/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/mio-1-1/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_mio_1_1(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(6, 15), params_mio_1_1_c_p());
    data.pairData.emplace(std::make_pair(16, 1), params_mio_1_1_s_h());
    data.pairData.emplace(std::make_pair(8, 8), params_mio_1_1_o_o());
    data.pairData.emplace(std::make_pair(15, 15), params_mio_1_1_p_p());
    data.pairData.emplace(std::make_pair(1, 15), params_mio_1_1_h_p());
    data.pairData.emplace(std::make_pair(6, 16), params_mio_1_1_c_s());
    data.pairData.emplace(std::make_pair(16, 7), params_mio_1_1_s_n());
    data.pairData.emplace(std::make_pair(16, 8), params_mio_1_1_s_o());
    data.pairData.emplace(std::make_pair(8, 16), params_mio_1_1_o_s());
    data.pairData.emplace(std::make_pair(7, 16), params_mio_1_1_n_s());
    data.pairData.emplace(std::make_pair(7, 6), params_mio_1_1_n_c());
    data.pairData.emplace(std::make_pair(7, 1), params_mio_1_1_n_h());
    data.pairData.emplace(std::make_pair(15, 16), params_mio_1_1_p_s());
    data.pairData.emplace(std::make_pair(8, 1), params_mio_1_1_o_h());
    data.pairData.emplace(std::make_pair(6, 7), params_mio_1_1_c_n());
    data.pairData.emplace(std::make_pair(7, 7), params_mio_1_1_n_n());
    data.pairData.emplace(std::make_pair(6, 1), params_mio_1_1_c_h());
    data.pairData.emplace(std::make_pair(15, 6), params_mio_1_1_p_c());
    data.pairData.emplace(std::make_pair(7, 8), params_mio_1_1_n_o());
    data.pairData.emplace(std::make_pair(7, 15), params_mio_1_1_n_p());
    data.pairData.emplace(std::make_pair(16, 6), params_mio_1_1_s_c());
    data.pairData.emplace(std::make_pair(1, 1), params_mio_1_1_h_h());
    data.pairData.emplace(std::make_pair(6, 6), params_mio_1_1_c_c());
    data.pairData.emplace(std::make_pair(1, 7), params_mio_1_1_h_n());
    data.pairData.emplace(std::make_pair(1, 16), params_mio_1_1_h_s());
    data.pairData.emplace(std::make_pair(6, 8), params_mio_1_1_c_o());
    data.pairData.emplace(std::make_pair(8, 7), params_mio_1_1_o_n());
    data.pairData.emplace(std::make_pair(1, 8), params_mio_1_1_h_o());
    data.pairData.emplace(std::make_pair(15, 7), params_mio_1_1_p_n());
    data.pairData.emplace(std::make_pair(16, 15), params_mio_1_1_s_p());
    data.pairData.emplace(std::make_pair(15, 1), params_mio_1_1_p_h());
    data.pairData.emplace(std::make_pair(8, 6), params_mio_1_1_o_c());
    data.pairData.emplace(std::make_pair(16, 16), params_mio_1_1_s_s());
    data.pairData.emplace(std::make_pair(8, 15), params_mio_1_1_o_p());
    data.pairData.emplace(std::make_pair(15, 8), params_mio_1_1_p_o());
    data.pairData.emplace(std::make_pair(1, 6), params_mio_1_1_h_c());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(6) && required.at(15)) {
      data.pairData.emplace(std::make_pair(6, 15), params_mio_1_1_c_p());
    }
    if (required.at(16) && required.at(1)) {
      data.pairData.emplace(std::make_pair(16, 1), params_mio_1_1_s_h());
    }
    if (required.at(8)) {
      data.pairData.emplace(std::make_pair(8, 8), params_mio_1_1_o_o());
    }
    if (required.at(15)) {
      data.pairData.emplace(std::make_pair(15, 15), params_mio_1_1_p_p());
    }
    if (required.at(1) && required.at(15)) {
      data.pairData.emplace(std::make_pair(1, 15), params_mio_1_1_h_p());
    }
    if (required.at(6) && required.at(16)) {
      data.pairData.emplace(std::make_pair(6, 16), params_mio_1_1_c_s());
    }
    if (required.at(16) && required.at(7)) {
      data.pairData.emplace(std::make_pair(16, 7), params_mio_1_1_s_n());
    }
    if (required.at(16) && required.at(8)) {
      data.pairData.emplace(std::make_pair(16, 8), params_mio_1_1_s_o());
    }
    if (required.at(8) && required.at(16)) {
      data.pairData.emplace(std::make_pair(8, 16), params_mio_1_1_o_s());
    }
    if (required.at(7) && required.at(16)) {
      data.pairData.emplace(std::make_pair(7, 16), params_mio_1_1_n_s());
    }
    if (required.at(7) && required.at(6)) {
      data.pairData.emplace(std::make_pair(7, 6), params_mio_1_1_n_c());
    }
    if (required.at(7) && required.at(1)) {
      data.pairData.emplace(std::make_pair(7, 1), params_mio_1_1_n_h());
    }
    if (required.at(15) && required.at(16)) {
      data.pairData.emplace(std::make_pair(15, 16), params_mio_1_1_p_s());
    }
    if (required.at(8) && required.at(1)) {
      data.pairData.emplace(std::make_pair(8, 1), params_mio_1_1_o_h());
    }
    if (required.at(6) && required.at(7)) {
      data.pairData.emplace(std::make_pair(6, 7), params_mio_1_1_c_n());
    }
    if (required.at(7)) {
      data.pairData.emplace(std::make_pair(7, 7), params_mio_1_1_n_n());
    }
    if (required.at(6) && required.at(1)) {
      data.pairData.emplace(std::make_pair(6, 1), params_mio_1_1_c_h());
    }
    if (required.at(15) && required.at(6)) {
      data.pairData.emplace(std::make_pair(15, 6), params_mio_1_1_p_c());
    }
    if (required.at(7) && required.at(8)) {
      data.pairData.emplace(std::make_pair(7, 8), params_mio_1_1_n_o());
    }
    if (required.at(7) && required.at(15)) {
      data.pairData.emplace(std::make_pair(7, 15), params_mio_1_1_n_p());
    }
    if (required.at(16) && required.at(6)) {
      data.pairData.emplace(std::make_pair(16, 6), params_mio_1_1_s_c());
    }
    if (required.at(1)) {
      data.pairData.emplace(std::make_pair(1, 1), params_mio_1_1_h_h());
    }
    if (required.at(6)) {
      data.pairData.emplace(std::make_pair(6, 6), params_mio_1_1_c_c());
    }
    if (required.at(1) && required.at(7)) {
      data.pairData.emplace(std::make_pair(1, 7), params_mio_1_1_h_n());
    }
    if (required.at(1) && required.at(16)) {
      data.pairData.emplace(std::make_pair(1, 16), params_mio_1_1_h_s());
    }
    if (required.at(6) && required.at(8)) {
      data.pairData.emplace(std::make_pair(6, 8), params_mio_1_1_c_o());
    }
    if (required.at(8) && required.at(7)) {
      data.pairData.emplace(std::make_pair(8, 7), params_mio_1_1_o_n());
    }
    if (required.at(1) && required.at(8)) {
      data.pairData.emplace(std::make_pair(1, 8), params_mio_1_1_h_o());
    }
    if (required.at(15) && required.at(7)) {
      data.pairData.emplace(std::make_pair(15, 7), params_mio_1_1_p_n());
    }
    if (required.at(16) && required.at(15)) {
      data.pairData.emplace(std::make_pair(16, 15), params_mio_1_1_s_p());
    }
    if (required.at(15) && required.at(1)) {
      data.pairData.emplace(std::make_pair(15, 1), params_mio_1_1_p_h());
    }
    if (required.at(8) && required.at(6)) {
      data.pairData.emplace(std::make_pair(8, 6), params_mio_1_1_o_c());
    }
    if (required.at(16)) {
      data.pairData.emplace(std::make_pair(16, 16), params_mio_1_1_s_s());
    }
    if (required.at(8) && required.at(15)) {
      data.pairData.emplace(std::make_pair(8, 15), params_mio_1_1_o_p());
    }
    if (required.at(15) && required.at(8)) {
      data.pairData.emplace(std::make_pair(15, 8), params_mio_1_1_p_o());
    }
    if (required.at(1) && required.at(6)) {
      data.pairData.emplace(std::make_pair(1, 6), params_mio_1_1_h_c());
    }
  }
  data.spin = params_mio_1_1_spin();

  return data;
}

SkfSpinConstants params_mio_1_1_spin() {
  // clang-format off
  return {{
    {15, {{{{-0x1.51d68c692f6e8p-6, -0x1.079e59f2ba9d2p-6, 0x1.1b1d92b7fe08bp-12}}, {{-0x1.079e59f2ba9d2p-6, -0x1.e83e425aee632p-7, -0x1.797cc39ffd60fp-13}}, {{0x1.1b1d92b7fe08bp-12, -0x1.797cc39ffd60fp-13, -0x1.47ae147ae147bp-4}}}}},
    {1, {{{{-0x1.25d8d79d0a676p-4, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {6, {{{{-0x1.f5ad96a6a0126p-6, -0x1.9a6b50b0f27bbp-6, 0x0p+0}}, {{-0x1.9a6b50b0f27bbp-6, -0x1.7318fc504816fp-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {16, {{{{-0x1.5e2046c764aep-6, -0x1.165d3996fa82fp-6, 0x1.3a92a30553261p-13}}, {{-0x1.165d3996fa82fp-6, -0x1.fb9389b52007ep-7, -0x1.f75104d551d69p-15}}, {{0x1.3a92a30553261p-13, -0x1.f75104d551d69p-15, -0x1.47ae147ae147bp-4}}}}},
    {7, {{{{-0x1.0fcf80dc33722p-5, -0x1.c36113404ea4bp-6, 0x0p+0}}, {{-0x1.c36113404ea4bp-6, -0x1.a0f9096bb98c8p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
    {8, {{{{-0x1.20afa2f05a709p-5, -0x1.e44fa05143bf7p-6, 0x0p+0}}, {{-0x1.e44fa05143bf7p-6, -0x1.c84b5dcc63f14p-6, 0x0p+0}}, {{0x0p+0, 0x0p+0, 0x0p+0}}}}},
  }};
  // clang-format on
}
SkfData params_mio_1_1_c_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.660956a7d854p-6, 0x1.64dcd42f61f11p-5, 0x1.0a340bf33bf52p-4, 0x1.604d988ea966fp-4, 0x1.b442397641de4p-4, 0x1.02d3c0b68be67p-3, 0x1.2a10c226a711ep-3, 0x1.4fb14d7182a6ep-3, 0x1.73956f8b924c8p-3, 0x1.95a38a443c6bp-3, 0x1.b5c7e272f755cp-3, 0x1.d3f40a80ae23fp-3, 0x1.f01df7595d3d4p-3, 0x1.05201911cc3ebp-2, 0x1.112c4d31548dap-2, 0x1.1c3437fdfdb2p-2, 0x1.2639c4ae7d7cap-2, 0x1.2f4030e2cd86dp-2, 0x1.374b9e63fa793p-2, 0x1.3e612b1f3a57bp-2, 0x1.4486bba54f29p-2, 0x1.49c2c1731502dp-2, 0x1.4e1c4f610fc47p-2, 0x1.519afc864b691p-2, 0x1.54463c19752d7p-2, 0x1.5626c0999739fp-2, 0x1.5745555f19b23p-2, 0x1.57a9aa1d02214p-2, 0x1.575c67c9f49e3p-2, 0x1.56678873922ddp-2, 0x1.54d3f3b374999p-2, 0x1.52a9696bcccacp-2, 0x1.4ff169d39ef4fp-2, 0x1.4cb4e01f42991p-2, 0x1.48fc62aca7c6ap-2, 0x1.44d05f839af4dp-2, 0x1.40394188dc13fp-2, 0x1.3b3f5816adc69p-2, 0x1.35eaad578fc68p-2, 0x1.3042fc4c3510cp-2, 0x1.2a4fc08af4926p-2, 0x1.241841115251ap-2, 0x1.1da38b6f1d3bap-2, 0x1.16f86a2fd4c54p-2, 0x1.101d5fc8a131bp-2, 0x1.0918a44fbece1p-2, 0x1.01f0226b2a709p-2, 0x1.f552eb1743901p-3, 0x1.e693da86b9899p-3, 0x1.d7ad2997dd238p-3, 0x1.c8a872f1eaa5bp-3, 0x1.b98ed7c301745p-3, 0x1.aa68f7e4cb3fbp-3, 0x1.9b3ee6b1675b7p-3, 0x1.8c1823d77f433p-3, 0x1.7cfb9c21b867fp-3, 0x1.6defb26751f41p-3, 0x1.5efa4e62819c2p-3, 0x1.5020ee1151d41p-3, 0x1.4168b61e2a418p-3, 0x1.32d67e17012f9p-3, 0x1.246ed5c32a03dp-3, 0x1.167a1bedd094dp-3, 0x1.08788f72d5bfdp-3, 0x1.f55734f4468aap-4, 0x1.da2c7175a8e4p-4, 0x1.bf7676a799bcfp-4, 0x1.a53a69516c67p-4, 0x1.8b7ccb375334bp-4, 0x1.72416702bda06p-4, 0x1.598b52cf0a87ep-4, 0x1.415d0569c1e5p-4, 0x1.29b874c0a90abp-4, 0x1.129f33184ba67p-4, 0x1.f825074dc138ep-5, 0x1.cc26c8042c248p-5, 0x1.a145188388838p-5, 0x1.7780d4b4e2724p-5, 0x1.4eda3b2fcaf0bp-5, 0x1.2750eb7e1f119p-5, 0x1.00e3ee410abc6p-5, 0x1.b7238af810b4bp-6, 0x1.6eb10117a592cp-6, 0x1.286b9d5bf4975p-6, 0x1.c89c30d82f5e7p-7, 0x1.44a5234336931p-7, 0x1.89ca3c81cc312p-8, 0x1.2537b2a132902p-9, -0x1.717fd0aeffe13p-10, -0x1.434af7d6860f1p-8, -0x1.1124d74eb6fdap-7, -0x1.7cc18d981ecb1p-7, -0x1.e4903ee601077p-7, -0x1.24533e35bc07bp-6, -0x1.548d4b568df66p-6, -0x1.8301b6325dd4p-6, -0x1.afbc1ea0d3765p-6, -0x1.dac8411fe9f9cp-6, -0x1.0218f312e5eabp-5, -0x1.16026a5babe5ep-5, -0x1.2926642995da8p-5, -0x1.3b8ab51e052e2p-5, -0x1.4d35270a922f7p-5, -0x1.5e2b78c656e59p-5, -0x1.6e735f42abd98p-5, -0x1.7e12877127e61p-5, -0x1.8d0e98710ca3fp-5, -0x1.9b6d3571822c5p-5, -0x1.a933fec2bea0ap-5, -0x1.b66891aedfe65p-5, -0x1.c31086dcc1cc6p-5, -0x1.cf316f2b8399bp-5, -0x1.dad0cf1e876dep-5, -0x1.e5f419146ed9bp-5, -0x1.f0a0a69f176ap-5, -0x1.fadbb1672597ep-5, -0x1.0255260975761p-4, -0x1.0708add682d67p-4, -0x1.0b8ac9009a365p-4, -0x1.0fddb4aa1e585p-4, -0x1.140390df84213p-4, -0x1.17fe6028227p-4, -0x1.1bd007f7ac17dp-4, -0x1.1f7a51eaa19a8p-4, -0x1.22feeda872e1fp-4, -0x1.265f733be1408p-4, -0x1.29948ea940506p-4, -0x1.2cacc5b2ffc33p-4, -0x1.2fa5a31db17bdp-4, -0x1.3280b07786bf9p-4, -0x1.353f6328d9cbbp-4, -0x1.37e31c987d5e1p-4, -0x1.3a6d2a9233027p-4, -0x1.3cdec7d6d44ffp-4, -0x1.3f391cbf16b4bp-4, -0x1.417d3fde5ade2p-4, -0x1.43ac3699673f8p-4, -0x1.45c6f5ac07b93p-4, -0x1.47ce619f12979p-4, -0x1.49c34f3566228p-4, -0x1.4ba683d9774ecp-4, -0x1.4d78b615f8df2p-4, -0x1.4f3a8e230136ep-4, -0x1.50eca68e835abp-4, -0x1.528f8d035107fp-4, -0x1.5423c32df163bp-4, -0x1.55a9bfbac21d3p-4, -0x1.5721ef65ab3d4p-4, -0x1.588cb61154ba7p-4, -0x1.59ea6fda8d724p-4, -0x1.5b3b721c5eb91p-4, -0x1.5c800c5a1dcd5p-4, -0x1.5db8890683ebep-4, -0x1.5ee52e2126a21p-4, -0x1.60063da6821a1p-4, -0x1.611bf5d1ab0f5p-4, -0x1.62269131b28dp-4, -0x1.632646976463bp-4, -0x1.641b48e23c638p-4, -0x1.6505c6b515265p-4, -0x1.65e5ea1c0fd3p-4, -0x1.66bbd82d89986p-4, -0x1.6787b0af9d0dbp-4, -0x1.68498dcac761p-4, -0x1.690183d0eb7dcp-4, -0x1.69afa11e2dccbp-4, -0x1.6a53ee174b59dp-4, -0x1.6aee6d470f3fbp-4, -0x1.6b7f1b9abeef6p-4, -0x1.6c05f0bba4748p-4, -0x1.6c82df829481dp-4, -0x1.6cf5d6812ec98p-4, -0x1.6d5ec09c02244p-4, -0x1.6dbd85b04df9fp-4, -0x1.6e120b401ab83p-4, -0x1.6e5c351f9438dp-4, -0x1.6e9be61ef72fcp-4, -0x1.6ed100acf48f9p-4, -0x1.6efb676e12d5ap-4, -0x1.6f1afdc64c80ep-4, -0x1.6f2fa852e0dbcp-4, -0x1.6f394d5307caap-4, -0x1.6f37d4fed5e26p-4, -0x1.6f2b29cc49ea4p-4, -0x1.6f1338a2f5f63p-4, -0x1.6eeff0ff3001dp-4, -0x1.6ec145061ba57p-4, -0x1.6e87298c13428p-4, -0x1.6e41960f38d31p-4, -0x1.6df084a811f7cp-4, -0x1.6d93f1f20c306p-4, -0x1.6d2bdcedd54dfp-4, -0x1.6cb846df4d1c7p-4, -0x1.6c393328b67bep-4, -0x1.6baea724a95ap-4, -0x1.6b18aa0010753p-4, -0x1.6a77449545e04p-4, -0x1.69ca814935f76p-4, -0x1.69126beb336a9p-4, -0x1.684f1197f61bbp-4, -0x1.678080a015077p-4, -0x1.66a6c8721de18p-4, -0x1.65c1f9884a0acp-4, -0x1.64d22559b812p-4, -0x1.63d75e4ef00c9p-4, -0x1.62d1b7b96f387p-4, -0x1.61c145cded264p-4, -0x1.60a61da0f7e65p-4, -0x1.5f805525972eep-4, -0x1.5e50032d95307p-4, -0x1.5d153f6b1e771p-4, -0x1.5bd0227367912p-4, -0x1.5a80c5c21656p-4, -0x1.592743bd2ef07p-4, -0x1.57c3b7b958586p-4, -0x1.56563dfe43fbbp-4, -0x1.54def3cb1cf72p-4, -0x1.535df75ad90ep-4, -0x1.51d367e8569c2p-4, -0x1.503f65b22a7dcp-4, -0x1.4ea211fe0c807p-4, -0x1.4cfb8f1bc7fb5p-4, -0x1.4b4c00679ec8ep-4, -0x1.49938a4c06b65p-4, -0x1.47d25242aae32p-4, -0x1.46087ed49fd3cp-4, -0x1.44363799af79bp-4, -0x1.425ba536afffap-4, -0x1.4078f15ad30d7p-4, -0x1.3e8e46bbdddc2p-4, -0x1.3c9bd11147761p-4, -0x1.3aa1bd0e2fc4fp-4, -0x1.38a0385a353b8p-4, -0x1.369771892893cp-4, -0x1.34879811ab1f9p-4, -0x1.3270dc42c0775p-4, -0x1.30536f3866868p-4, -0x1.2e2f82cf4641dp-4, -0x1.2c054997935e9p-4, -0x1.29d4f6c736aa2p-4, -0x1.279ebe2b57f06p-4, -0x1.2562d4196857p-4, -0x1.23216d5fc439bp-4, -0x1.20dabf360a9bbp-4, -0x1.1e8eff2d45a15p-4, -0x1.1c3e631ffc2a2p-4, -0x1.19e9212247775p-4, -0x1.178f6f720308ap-4, -0x1.153184672f502p-4, -0x1.12cf9664968c1p-4, -0x1.1069dbc8ccc12p-4, -0x1.0e008adf92bfcp-4, -0x1.0b93d9d3b4a94p-4, -0x1.0923fea165e32p-4, -0x1.06ab88ee765ccp-4, -0x1.04368feb8d49cp-4, -0x1.01bf0f5260aacp-4, -0x1.fe8a748a66558p-5, -0x1.f992871121a22p-5, -0x1.f496baf94b967p-5, -0x1.ef97742df192cp-5, -0x1.ea9515b902b99p-5, -0x1.e59001b81f931p-5, -0x1.e08899520318dp-5, -0x1.db7f3cac6fb1bp-5, -0x1.d6744ae298bcp-5, -0x1.d16821fbf0b79p-5, -0x1.cc5b1ee35d1fp-5, -0x1.c74d9d5eb69a9p-5, -0x1.c23ff8069ad3bp-5, -0x1.bd32883e78b04p-5, -0x1.b825a62ce12a4p-5, -0x1.b319a8b40ad19p-5, -0x1.ae0ee56a8f019p-5, -0x1.a905b09458b31p-5, -0x1.a3fe5d1bca8b8p-5, -0x1.9ef93c8b184a3p-5, -0x1.99f69f05dc06bp-5, -0x1.94f6d342e3b9bp-5, -0x1.8ffa268640924p-5, -0x1.8b00e49b9816p-5, -0x1.860b57d0c032bp-5, -0x1.8119c8f0a58d2p-5, -0x1.7c2c7f3e8532ep-5, -0x1.7743c0717de88p-5, -0x1.725fd0b07912ep-5, -0x1.6d80f28e75172p-5, -0x1.68a767073021ep-5, -0x1.63d36d7c378f9p-5, -0x1.5f0543b25e6b2p-5, -0x1.5a3d25cf9cc6dp-5, -0x1.557b4e5958486p-5, -0x1.50bff633169c8p-5, -0x1.4c0b549d975bfp-5, -0x1.475d9f3658e64p-5, -0x1.42b709f781dd3p-5, -0x1.3e17c7382dd87p-5, -0x1.398007ad2298bp-5, -0x1.34effa69daba2p-5, -0x1.3067cce1f2372p-5, -0x1.2be7aaeae9d28p-5, -0x1.276fbebe3c22bp-5, -0x1.230030fbc43d7p-5, -0x1.1e9928ac6efaep-5, -0x1.1a3acb4532f11p-5, -0x1.15e53caa4c574p-5, -0x1.11989f32b4b9ap-5, -0x1.0d5513abd6d75p-5, -0x1.091ab95d75848p-5, -0x1.04e9ae0dc69ffp-5, -0x1.00c20e05b89a4p-5, -0x1.f947e82ac5d52p-6, -0x1.f11ef3313852p-6, -0x1.e9096cf75d89ep-6, -0x1.e107828066c27p-6, -0x1.d9195e040202p-6, -0x1.d13f26f86af65p-6, -0x1.c979021cb3738p-6, -0x1.c1c711832493dp-6, -0x1.ba29749bce489p-6, -0x1.b2a0483f29eb7p-6, -0x1.ab2ba6b8e0b2ap-6, -0x1.a3cba7d2a5258p-6, -0x1.9c8060df1c0bep-6, -0x1.9549e4c4ddfe8p-6, -0x1.8e284409821dap-6, -0x1.871b8cdcb6d9fp-6, -0x1.8023cb2364985p-6, -0x1.79410882d8c66p-6, -0x1.72734c6bfa15bp-6, -0x1.6bba9c267d6aap-6, -0x1.6516fadc26c1ep-6, -0x1.5e8869a408adbp-6, -0x1.580ee78dc6a39p-6, -0x1.51aa71acda1abp-6, -0x1.4b5b0323dd4b4p-6, -0x1.4520952fccc83p-6, -0x1.3efb1f3355c38p-6, -0x1.38ea96c214d7p-6, -0x1.32eeefabe394bp-6, -0x1.2d081c08174f9p-6, -0x1.27360c40c63a2p-6, -0x1.2178af1e057b2p-6, -0x1.1bcff1d125da6p-6, -0x1.163bbfffec344p-6, -0x1.10bc03cfc2e42p-6, -0x1.0b50a5f0ec972p-6, -0x1.05f98da9a7a33p-6, -0x1.00b6a0e15597cp-6, -0x1.f70f8857253ccp-7, -0x1.ecd9b5a691464p-7, -0x1.e2cb8dcb72ad7p-7, -0x1.d8e4d27afb452p-7, -0x1.cf25431af24cep-7, -0x1.c58c9cd7837f7p-7, -0x1.bc1a9ab8fbd56p-7, -0x1.b2cef5b95d771p-7, -0x1.a9a964d9dbc28p-7, -0x1.a0a99d3835898p-7, -0x1.97cf5223e67ffp-7, -0x1.8f1a35333dec7p-7, -0x1.8689f658376c1p-7, -0x1.7e1e43f54002cp-7, -0x1.75d6caf1b634bp-7, -0x1.6db336ce45891p-7, -0x1.65b331b906effp-7, -0x1.5dd664a16badfp-7, -0x1.561c774bea5a9p-7, -0x1.4e8510656c8a2p-7, -0x1.470fd59681373p-7, -0x1.3fbc6b963c6b3p-7, -0x1.388a763cdd9f8p-7, -0x1.317998961cbfcp-7, -0x1.2a8974f339884p-7, -0x1.23b9acfca2522p-7, -0x1.1d09e1c3572e9p-7, -0x1.1679b3d1ed05ap-7, -0x1.1008c33d38534p-7, -0x1.09b6afb494ac5p-7, -0x1.03831891cf3cp-7, -0x1.fadb39d15a625p-8, -0x1.eeebb72c12141p-8, -0x1.e336e69d16c6fp-8, -0x1.d7bc0559da8f4p-8, -0x1.cc7a507fc1659p-8, -0x1.c171052ef763ep-8, -0x1.b69f60a45fa48p-8, -0x1.ac04a052baff5p-8, -0x1.a1a001fad3fbep-8, -0x1.9770c3c2ca6dcp-8, -0x1.8d76244c7570fp-8, -0x1.83af62cad7d5bp-8, -0x1.7a1bbf16b4366p-8, -0x1.70ba79c22be37p-8, -0x1.678ad42b83aa5p-8, -0x1.5e8c108ef71b5p-8, -0x1.55bd7217ae49dp-8, -0x1.4d1e3cefce6ep-8, -0x1.44adb64fbd9c4p-8, -0x1.3c6b248c6778ap-8, -0x1.3455cf24d997ep-8, -0x1.2c6cfecef448p-8, -0x1.24affd8357b93p-8, -0x1.1d1e16888e5eap-8, -0x1.15b6967d7637bp-8, -0x1.0e78cb62f48c6p-8, -0x1.076404a4f614cp-8, -0x1.00779322c9563p-8, -0x1.f365926d8898dp-9, -0x1.e629f57af535bp-9, -0x1.d93afa384e399p-9, -0x1.cc974e8d5d702p-9, -0x1.c03da38a37989p-9, -0x1.b42cad710e885p-9, -0x1.a86323bf46264p-9, -0x1.9cdfc1358d334p-9, -0x1.91a143df3f1cbp-9, -0x1.86a66d18f4f47p-9, -0x1.7bee019662d4p-9, -0x1.7176c9679dd0ep-9, -0x1.673f8ffdb51d5p-9, -0x1.5d47242ec25d3p-9, -0x1.538c58397d013p-9, -0x1.4a0e01c8588a8p-9, -0x1.40caf9f420c31p-9, -0x1.37c21d463c747p-9, -0x1.2ef24bba8a392p-9, -0x1.265a68c0ff615p-9, -0x1.1df95b3ebfbc7p-9, -0x1.15ce0d8f247efp-9, -0x1.0dd76d845ef35p-9, -0x1.06146c67deef5p-9, -0x1.fd07fdf5067b3p-10, -0x1.ee4a3ae915f63p-10, -0x1.dfed870a9e70ap-10, -0x1.d1efe0a59aa2dp-10, -0x1.c44f4cf1e6b2ap-10, -0x1.b709d811a2ff4p-10, -0x1.aa1d950f0d906p-10, -0x1.9d889dda0173p-10, -0x1.914913452aa71p-10, -0x1.855d1d02c1947p-10, -0x1.79c2e9a11cd6cp-10, -0x1.6e78ae867e01dp-10, -0x1.637ca7ece526fp-10, -0x1.58cd18dd4a1a7p-10, -0x1.4e684b2a8148ap-10, -0x1.444c8f6bbe95dp-10, -0x1.3a783cf68a623p-10, -0x1.30e9b1d8a0087p-10, -0x1.279f52d10bd56p-10, -0x1.1e978b4912f4p-10, -0x1.15d0cd4c88fc7p-10, -0x1.0d499181e434bp-10, -0x1.05005721b7e8cp-10, -0x1.f9e747db8ac08p-11, -0x1.ea44084ff7e1p-11, -0x1.db1415106878fp-11, -0x1.cc54a064b11b8p-11, -0x1.be02e957483ccp-11, -0x1.b01c3b9f4997ep-11, -0x1.a29def8949d19p-11, -0x1.958569dfb862dp-11, -0x1.88d01bd2222f9p-11, -0x1.7c7b82db94f5cp-11, -0x1.708528a895f98p-11, -0x1.64eaa2fbfa7d4p-11, -0x1.59a993930de1fp-11, -0x1.4ebfa80905e3p-11, -0x1.442a99b9dac5bp-11, -0x1.39e82da40ed67p-11, -0x1.2ff6344a5eb5ap-11, -0x1.26528994494d6p-11, -0x1.1cfb14ae455cep-11, -0x1.13edc7e92b744p-11, -0x1.0b28a099ccf91p-11, -0x1.02a9a6f686d4cp-11, -0x1.f4dddbebfc8bcp-12, -0x1.e4ed2658b9473p-12, -0x1.d57d7d51816f9p-12, -0x1.c68b45a37cf79p-12, -0x1.b812f883ec0c5p-12, -0x1.aa1123484c94ep-12, -0x1.9c82671e1d841p-12, -0x1.8f6378c2311fep-12, -0x1.82b120371d34p-12, -0x1.7668387be9de4p-12, -0x1.6a85af425a92fp-12, -0x1.5f0684a48863dp-12, -0x1.53e7cadb11ccp-12, -0x1.4926a5f229cd9p-12, -0x1.3ec04b7fefd2dp-12, -0x1.34b20259ca013p-12, -0x1.2af92249f3cb4p-12, -0x1.219313c6498f5p-12, -0x1.187d4fa51cb6p-12, -0x1.0fb55ed45809cp-12, -0x1.0738da1013f1p-12, -0x1.fe0ad332f5a4bp-13, -0x1.ee3189dc8179dp-13, -0x1.dee16500a886ep-13, -0x1.d0160edccd38ep-13, -0x1.c1cb4e793d16dp-13, -0x1.b3fd071bfc29cp-13, -0x1.a6a737bcc2a43p-13, -0x1.99c5fa79b07a6p-13, -0x1.8d55840fb48a6p-13, -0x1.8152234f922c2p-13, -0x1.75b84098fd004p-13, -0x1.6a845d5518ebep-13, -0x1.5fba536b0b2e3p-13, -0x1.5548398fafa6fp-13, -0x1.4b32312dfd239p-13, -0x1.41751af77fb12p-13, -0x1.380dee25d7e61p-13, -0x1.2ef9b7fdf1f34p-13, -0x1.26359b5678783p-13, -0x1.1dbed01e3720dp-13, -0x1.1592a2e5cf8a9p-13, -0x1.0dae7469a6e85p-13, -0x1.060fb91eab6edp-13, -0x1.fd67f180705cdp-14, -0x1.ef319bbfced7ap-14, -0x1.e177caed32096p-14, -0x1.d435fcf268fc7p-14, -0x1.c767d2d6ca531p-14, -0x1.bb090fef28b5ep-14, -0x1.af15990e9104fp-14, -0x1.a38973b8c3b05p-14, -0x1.9860c55a79e99p-14, -0x1.8d97d2870e035p-14, -0x1.832afe30e4d84p-14, -0x1.7916c8ef4c448p-14, -0x1.6f57d041a49bbp-14, -0x1.65eacdd7ee05fp-14, -0x1.5ccc96ddadbe8p-14, -0x1.53fa1b48eea38p-14, -0x1.4b70652b00889p-14, -0x1.432c98065ced1p-14, -0x1.3b2bf025ebb36p-14, -0x1.336bc1f840376p-14, -0x1.2be9796d8ded9p-14, -0x1.24a299590b36bp-14, -0x1.1d94bad4be17dp-14, -0x1.16bd8ca956932p-14, -0x1.101ad2b6fd763p-14, -0x1.09aa65633bc1cp-14, -0x1.036a31088401p-14, -0x1.fab06ad17e022p-15, -0x1.eee50a4583946p-15, -0x1.e36e8a562c1ccp-15, -0x1.d849588b19124p-15, -0x1.cd720508bdbd4p-15, -0x1.c2e541903d54p-15, -0x1.b89fe083f9358p-15, -0x1.ae9ed3f5254fap-15, -0x1.a4df2cb5f761p-15, -0x1.9b5e1967ac241p-15, -0x1.9218e59b0d2edp-15, -0x1.890cf8ef5935ap-15, -0x1.8037d635d36b6p-15, -0x1.77971a9b18c82p-15, -0x1.6f287cd5de9e5p-15, -0x1.66e9cc588ceeep-15, -0x1.5ed8f08a1442p-15, -0x1.56f3e800a8731p-15, -0x1.4f38c7c35672ap-15, -0x1.47a5ba8e1bb4ep-15, -0x1.4039001c87e1ep-15, -0x1.38f0ec75b0798p-15, -0x1.31cbe740f830dp-15, -0x1.2ac86b18ef33ep-15, -0x1.23e504e864f7dp-15, -0x1.1d2053479ca41p-15, -0x1.167905df045e6p-15, -0x1.0feddccdf6416p-15, -0x1.097da8136465bp-15, -0x1.032746ff176f3p-15, -0x1.f9d34f413991dp-16, -0x1.ed878c7c87c92p-16, -0x1.e169599c72b1p-16, -0x1.d576e4e2ad52cp-16, -0x1.c9ae75f2ab0eap-16, -0x1.be0e6cc6538d8p-16, -0x1.b29540d3c70ffp-16, -0x1.a741800a0ea64p-16, -0x1.9c11cdfbaaeacp-16, -0x1.9104e2fbb877ep-16, -0x1.86198b491c704p-16, -0x1.7b4ea6378b3aep-16, -0x1.70a32569069cdp-16, -0x1.66160c04265edp-16, -0x1.5ba66df56bc45p-16, -0x1.51536f378bb72p-16, -0x1.471c43196f1ebp-16, -0x1.3d002b930b891p-16, -0x1.32fe7899e279cp-16, -0x1.2916877cbb28ep-16, -0x1.1f47c24260b79p-16, -0x1.15919f1174f81p-16, -0x1.0bf39f9866852p-16, -0x1.026d50800142p-16, -0x1.f1fc91b3e9a7p-17, -0x1.df4c5339d158cp-17, -0x1.ccc93a3f06a53p-17, -0x1.ba72ad351e858p-17, -0x1.a84823544fe58p-17, -0x1.964923cb1eeep-17, -0x1.847544add84c8p-17, -0x1.72cc2a39d0d15p-17, -0x1.614d85f362121p-17, -0x1.4ff915dce2e11p-17, -0x1.3ecea3ae365e6p-17, -0x1.2dce04164aaadp-17, -0x1.1cf716042fb8ap-17, -0x1.0c49c1ea467b7p-17, -0x1.f78bf26f20f8ep-18, -0x1.d6d76afeac284p-18, -0x1.b675f00233fe4p-18, }}, 
      {{0x1.363d27033f5d3p-6, 0x1.35ba138cfdc2cp-5, 0x1.cf52fc2e04c63p-5, 0x1.33b848af32ec2p-4, 0x1.7ed0dd83958b8p-4, 0x1.c8bf9e6747488p-4, 0x1.08aad6915116bp-3, 0x1.2c34a0227add2p-3, 0x1.4eeab33151de4p-3, 0x1.70bcf42615497p-3, 0x1.919d8d1948e81p-3, 0x1.b180d31ffd1c4p-3, 0x1.d05d08209b864p-3, 0x1.ee2a47c9299a1p-3, 0x1.05712b6e4a5f6p-2, 0x1.134043147cabap-2, 0x1.2080c22ad2b21p-2, 0x1.2d31a297c355fp-2, 0x1.39526ca1d05d1p-2, 0x1.44e32d7333c21p-2, 0x1.4fe4669c5ccd3p-2, 0x1.5a56fd23f41e5p-2, 0x1.643c3c090b177p-2, 0x1.6d95bfce244f2p-2, 0x1.766551d49ba6dp-2, 0x1.7ead471754ff1p-2, 0x1.866fec14a96a6p-2, 0x1.8daf91df5a4f6p-2, 0x1.946f40b151fe7p-2, 0x1.9ab20779d91a4p-2, 0x1.a07a65df9e59dp-2, 0x1.a5cbd31b7d9bp-2, 0x1.aaa97a38ba1a2p-2, 0x1.af16a2af13cdp-2, 0x1.b316a15cabf5dp-2, 0x1.b6acda6c2a6b2p-2, 0x1.b9dcbc47ea7a6p-2, 0x1.bca9b94b90c1dp-2, 0x1.bf1742540be95p-2, 0x1.c128c59282a0bp-2, 0x1.c2e1b01c0dda5p-2, 0x1.c4456b489ea61p-2, 0x1.c557574f2a0d6p-2, 0x1.c61ac9444db9ep-2, 0x1.c6930b6cbce86p-2, 0x1.c6c35bbfad98bp-2, 0x1.c6aee9571c657p-2, 0x1.c658d365de464p-2, 0x1.c5c4293e011d8p-2, 0x1.c4f3e9b283a3bp-2, 0x1.c3eb01df94b11p-2, 0x1.c2ac4c472b9e8p-2, 0x1.c13a903e6b57bp-2, 0x1.bf988117ae675p-2, 0x1.bdc8bd2c41d95p-2, 0x1.bbcdcd96fe002p-2, 0x1.b9aa270523447p-2, 0x1.b7602b03f8403p-2, 0x1.b4f228ba52e2dp-2, 0x1.b2625c6e1c218p-2, 0x1.afb2ee19de61p-2, 0x1.ace5f002d52c6p-2, 0x1.a9fa4618e3ef4p-2, 0x1.a6f7cb6ce7f5p-2, 0x1.a3dd8715673e5p-2, 0x1.a0ad44406ada3p-2, 0x1.9d68bb242ae84p-2, 0x1.9a11908f80525p-2, 0x1.96a9563dd6f95p-2, 0x1.93318bf038785p-2, 0x1.8faba0f2fc277p-2, 0x1.8c18f58f64e0cp-2, 0x1.887adc036e6d4p-2, 0x1.84d298e09de53p-2, 0x1.812162f985645p-2, 0x1.7d68632b1d695p-2, 0x1.79a8b4495634ap-2, 0x1.75e36352daa81p-2, 0x1.72196fe6c973bp-2, 0x1.6e4bccdbdf0e1p-2, 0x1.6a7b60d367846p-2, 0x1.66a906af127a8p-2, 0x1.62d58de4c37abp-2, 0x1.5f01babc63025p-2, 0x1.5b2e468b3167p-2, 0x1.575bdffdbaab5p-2, 0x1.538b2b784e67fp-2, 0x1.4fbcc38ac4e96p-2, 0x1.4bf1396bf781dp-2, 0x1.4829156e6e4f6p-2, 0x1.4464d7629e764p-2, 0x1.40a4f6e206d3ep-2, 0x1.3ce9e38666e0dp-2, 0x1.3934051655611p-2, 0x1.3583bbb2efad5p-2, 0x1.31d96010c7815p-2, 0x1.2e3543c1c4c88p-2, 0x1.2a97b190003f3p-2, 0x1.2700ede48d662p-2, 0x1.23713731fdf53p-2, 0x1.1fe8c659afd1ep-2, 0x1.1c67cf04993d9p-2, 0x1.18ee7feb83fb8p-2, 0x1.157d030e6e6aep-2, 0x1.12137dde3f588p-2, 0x1.0eb2115e4efb4p-2, 0x1.0b58da440ecb5p-2, 0x1.0807f11a7ea2ep-2, 0x1.04bf6a6d5a5a8p-2, 0x1.017f56fd9bf9cp-2, 0x1.fc8f87fd2e404p-3, 0x1.f63176b229575p-3, 0x1.efe487e15d07cp-3, 0x1.e9a8c3ce96415p-3, 0x1.e37e2db61f27p-3, 0x1.dd64c43826c44p-3, 0x1.d75c81b0ea109p-3, 0x1.d1655c7dd68e6p-3, 0x1.cb7f47327d122p-3, 0x1.c5aa30c2404cfp-3, 0x1.bfe604a4d4022p-3, 0x1.ba32aafbba723p-3, 0x1.b49008be1b4a1p-3, 0x1.aefdffee95d67p-3, 0x1.a97c6fdc8fbf9p-3, 0x1.a40b35702c518p-3, 0x1.9ea9df4fa7d2p-3, 0x1.9958dd9b2c0a7p-3, 0x1.9417c1718c5c9p-3, 0x1.8ee661f96963dp-3, 0x1.89c495294f307p-3, 0x1.84b22ff30cabcp-3, 0x1.7faf066b444bdp-3, 0x1.7abaebed0afcp-3, 0x1.75d5b339c75ecp-3, 0x1.70ff2e95be79ep-3, 0x1.6c372fe1e5fa3p-3, 0x1.677d88b3cba4cp-3, 0x1.62d20a6c545a2p-3, 0x1.5e34864de9f73p-3, 0x1.59a4cd929ea8p-3, 0x1.5522b1825905fp-3, 0x1.50ae038903baep-3, 0x1.4c46954c5d44p-3, 0x1.47ec38c0ea0a8p-3, 0x1.439ec03d7a549p-3, 0x1.3f5dfe8cc644dp-3, 0x1.3b29c6fcae6ffp-3, 0x1.3701ed6af42d4p-3, 0x1.32e6464f661c9p-3, 0x1.2ed6a6c3a5d32p-3, 0x1.2ad2e488dc02cp-3, 0x1.26dad60bbd9e1p-3, 0x1.22ee52675616bp-3, 0x1.1f0d3166f5b4ap-3, 0x1.1b374b879cdd5p-3, 0x1.176c79f92562bp-3, 0x1.13ac969f4ecaep-3, 0x1.0ff77c12c6325p-3, 0x1.0c4d05a21d776p-3, 0x1.08ad0f52c5093p-3, 0x1.051775e1d9bc3p-3, 0x1.018c16c4d6783p-3, 0x1.fc15a05424022p-4, 0x1.f52701f1f58e9p-4, 0x1.ee4c11a43be21p-4, 0x1.e784901dd552p-4, 0x1.e0d03f8274fbbp-4, 0x1.da2ee3653be2dp-4, 0x1.d3a040c6e6c05p-4, 0x1.cd241e13761d5p-4, 0x1.c6ba431f679ap-4, 0x1.c06279245d302p-4, 0x1.ba1c8abd30af8p-4, 0x1.b3e843e15ad35p-4, 0x1.adc571df9fdcep-4, 0x1.a7b3e357f1df9p-4, 0x1.a1b36834934b1p-4, 0x1.9bc3d1a254c2fp-4, 0x1.95e4f2082445ap-4, 0x1.90169cfdd9674p-4, 0x1.8a58a74271d25p-4, 0x1.84aae6b1ca043p-4, 0x1.7f0d3239fdb9cp-4, 0x1.797f61d08ed52p-4, 0x1.74014e677a51cp-4, 0x1.6e92d1e25333ap-4, 0x1.6933c70b899eep-4, 0x1.63e40989ee462p-4, 0x1.5ea375d68c0d3p-4, 0x1.5971e932e4023p-4, 0x1.544f419f94d46p-4, 0x1.4f3b5dd37a9edp-4, 0x1.4a361d333f1dbp-4, 0x1.453f5fc96616dp-4, 0x1.4057063ec511ep-4, 0x1.3b7cf1d36c5c5p-4, 0x1.36b10457ef0c2p-4, 0x1.31f3202704619p-4, 0x1.2d43281f7744p-4, 0x1.28a0ff9e54609p-4, 0x1.240c8a794fb23p-4, 0x1.1f85acf94fb02p-4, 0x1.1b0c4bd51934cp-4, 0x1.16a04c2c0f9f7p-4, 0x1.124193810417dp-4, 0x1.0df007b50bda5p-4, 0x1.09ab8f0263026p-4, 0x1.05740ff751cacp-4, 0x1.014971711f875p-4, 0x1.fa57352e28709p-5, 0x1.f234e5ab1b493p-5, 0x1.ea2bc3b26404ep-5, 0x1.e23b9f148ec87p-5, 0x1.da6448106737bp-5, 0x1.d2a58f4a64f43p-5, 0x1.caff45c4814f6p-5, 0x1.c3713cd6903ap-5, 0x1.bbfb462711879p-5, 0x1.b49d33a48731bp-5, 0x1.ad56d77f4fe5dp-5, 0x1.a6280423f933ep-5, 0x1.9f108c360a116p-5, 0x1.9810428b37447p-5, 0x1.9126fa26f6cdcp-5, 0x1.8a548636692c9p-5, 0x1.8398ba0c86e48p-5, 0x1.7cf3691e89795p-5, 0x1.766467008390cp-5, 0x1.6feb8762207c2p-5, 0x1.69889e0b81a9ep-5, 0x1.633b7eda33aaap-5, 0x1.5d03fdbe3b225p-5, 0x1.56e1eeb733515p-5, 0x1.50d525d18599p-5, 0x1.4add7723b1e2fp-5, 0x1.44fab6cbb70d7p-5, 0x1.3f2cb8ec97236p-5, 0x1.397351abfe694p-5, 0x1.33ce553017cd7p-5, 0x1.2e3d979d8974bp-5, 0x1.28c0ed15a8843p-5, 0x1.235829b4e536ap-5, 0x1.1e0321916c12ap-5, 0x1.18c1a8ba0aaebp-5, 0x1.139393354edd3p-5, 0x1.0e78b500e6efcp-5, 0x1.0970e2113fe74p-5, 0x1.047bee5162448p-5, 0x1.ff335b461119cp-6, 0x1.f593e7bddce95p-6, 0x1.ec1929aaadd8ap-6, 0x1.e2c2c89d7a35ap-6, 0x1.d9906c1970b85p-6, 0x1.d081d9aed95c9p-6, 0x1.c79673a7201aap-6, 0x1.bece0643d0a5ap-6, 0x1.b62838f66b978p-6, 0x1.ada4b3339526cp-6, 0x1.a5431c75979d9p-6, 0x1.9d031c3f01f76p-6, 0x1.94e45a1d60872p-6, 0x1.8ce67dac13e05p-6, 0x1.85092e973c27bp-6, 0x1.7d4c149ec1f23p-6, 0x1.75aed799662d7p-6, 0x1.6e311f77f5376p-6, 0x1.66d2944879f5cp-6, 0x1.5f92de398a42fp-6, 0x1.5871a59d9bcc9p-6, 0x1.516e92ee69212p-6, 0x1.4a894ed058263p-6, 0x1.43c18215f009bp-6, 0x1.3d16d5c35588ap-6, 0x1.3688f311c89d9p-6, 0x1.30178373271cep-6, 0x1.29c2309572d53p-6, 0x1.2388a46658642p-6, 0x1.1d6a8916b556bp-6, 0x1.1767891e1b79cp-6, 0x1.117f4f3e4ff0cp-6, 0x1.0bb18686ca4cfp-6, 0x1.05fdda5826fa4p-6, 0x1.0063f6679bc7dp-6, 0x1.f5c70d84be25p-7, 0x1.eaf86fa208c22p-7, 0x1.e05b6cb5aaf6ap-7, 0x1.d5ef5f1236a49p-7, 0x1.cbb3a1d4c125fp-7, 0x1.c1a790eb4813bp-7, 0x1.b7ca891af7163p-7, 0x1.ae1be80665441p-7, 0x1.a49b0c339fd6bp-7, 0x1.9b47551225639p-7, 0x1.92202300b9ad8p-7, 0x1.8924d75319174p-7, 0x1.8054d4578e881p-7, 0x1.77af7d5c5adeep-7, 0x1.6f3436b50a198p-7, 0x1.66e265bf95d1bp-7, 0x1.5eb970e95ab0dp-7, 0x1.56b8bfb3fb97ep-7, 0x1.4edfbaba13857p-7, 0x1.472dcbb3b3f93p-7, 0x1.3fa25d7ace16ap-7, 0x1.383cdc0f65755p-7, 0x1.30fcb49b9e7d2p-7, 0x1.29e15577a121ep-7, 0x1.22ea2e2d55571p-7, 0x1.1c16af7bf29e5p-7, 0x1.15664b5b64611p-7, 0x1.0ed874ff8ca76p-7, 0x1.086ca0db5057ap-7, 0x1.022244a388b8bp-7, 0x1.f7f1aea37d419p-8, 0x1.ebdfa24d8b64ap-8, 0x1.e00d575a512d5p-8, 0x1.d479c376f0762p-8, 0x1.c923deecca4d4p-8, 0x1.be0aa4a574d45p-8, 0x1.b32d122e636f7p-8, 0x1.a88a27bc40fd6p-8, 0x1.9e20e82df2cccp-8, 0x1.93f0590f64f72p-8, 0x1.89f7829bf8b7ep-8, 0x1.80356fc0d0fd1p-8, 0x1.76a92e1ea0ddap-8, 0x1.6d51ce0b5da2ap-8, 0x1.642e6293a908fp-8, 0x1.5b3e017be3b1dp-8, 0x1.527fc34116324p-8, 0x1.49f2c31985b19p-8, 0x1.41961ef519ce4p-8, 0x1.3968f77d77eb6p-8, 0x1.316a7015f566p-8, 0x1.2999aedb2f27dp-8, 0x1.21f5dca2855bbp-8, 0x1.1a7e24f958a67p-8, 0x1.1331b623f7fe1p-8, 0x1.0c0fc11c7e2eep-8, 0x1.051779916ab19p-8, 0x1.fc902bc7e456ap-9, 0x1.ef419e4c7d339p-9, 0x1.e241c232e175dp-9, 0x1.d58f1456d371dp-9, 0x1.c92816e8e6afp-9, 0x1.bd0b51696a5dfp-9, 0x1.b13750a302bccp-9, 0x1.a5aaa6a4ca043p-9, 0x1.9a63eabc7a558p-9, 0x1.8f61b96fd4e12p-9, 0x1.84a2b475f5e91p-9, 0x1.7a2582b06144dp-9, 0x1.6fe8d023b2025p-9, 0x1.65eb4df01d8d9p-9, 0x1.5c2bb249779eap-9, 0x1.52a8b86f37476p-9, 0x1.496120a400b86p-9, 0x1.4053b02530b5fp-9, 0x1.377f3121db508p-9, 0x1.2ee272b1d81f8p-9, 0x1.267c48cc60b64p-9, 0x1.1e4b8c3e9893cp-9, 0x1.164f1aa1cd942p-9, 0x1.0e85d651a14d6p-9, 0x1.06eea661cd16fp-9, 0x1.ff10ed27d525fp-10, 0x1.f0a46e99f2727p-10, 0x1.e295bb15626fap-10, 0x1.d4e2c5b18d21ap-10, 0x1.c7898a8bbf506p-10, 0x1.ba880eb1059f4p-10, 0x1.addc6007df1d3p-10, 0x1.a1849538fee31p-10, 0x1.957ecd98d3dabp-10, 0x1.89c93110000dep-10, 0x1.7e61f003e9db5p-10, 0x1.7347433f2c846p-10, 0x1.68776bd98ce16p-10, 0x1.5df0b32010fd8p-10, 0x1.53b16a7caefd3p-10, 0x1.49b7eb5e224bbp-10, 0x1.4002971f1d887p-10, 0x1.368fd6edf06acp-10, 0x1.2d5e1bb3a32a9p-10, 0x1.246bddfb328ebp-10, 0x1.1bb79dd8a493bp-10, 0x1.133fe2d007ae3p-10, 0x1.0b033bbc6fccep-10, 0x1.03003eb6e7144p-10, 0x1.f66b11fa8b38dp-11, 0x1.e7437db26d1c1p-11, 0x1.d887170dc65a1p-11, 0x1.ca33423833793p-11, 0x1.bc4570ddfd766p-11, 0x1.aebb21fa542f7p-11, 0x1.a191e1a555763p-11, 0x1.94c748e1aa87dp-11, 0x1.8858fd6bb85cep-11, 0x1.7c44b187a23b4p-11, 0x1.708823cfc1d4p-11, 0x1.65211f03d05e7p-11, 0x1.5a0d79d800d6ep-11, 0x1.4f4b16c451a27p-11, 0x1.44d7e3d446011p-11, 0x1.3ab1da76c6e89p-11, 0x1.30d6ff4e87d34p-11, 0x1.274562027bc5fp-11, 0x1.1dfb1d0f2e373p-11, 0x1.14f65597a7188p-11, 0x1.0c353b374451dp-11, 0x1.03b607d3fa984p-11, 0x1.f6edfee183758p-12, 0x1.e6ece0016198ep-12, 0x1.d7656273c0df1p-12, 0x1.c85448d3d2dd6p-12, 0x1.b9b66893fb1bep-12, 0x1.ab88a9a694e2dp-12, 0x1.9dc806290125dp-12, 0x1.90718a0f23ac5p-12, 0x1.838252cf1a529p-12, 0x1.76f78f0f9c55ep-12, 0x1.6ace7e554e90bp-12, 0x1.5f0470b26e3d8p-12, 0x1.5396c6773d623p-12, 0x1.4882efe345265p-12, 0x1.3dc66cd7713c9p-12, 0x1.335ecc8a482e6p-12, 0x1.2949ad3b1bbdcp-12, 0x1.1f84bbe798d0cp-12, 0x1.160db4033a258p-12, 0x1.0ce25f2d76c4fp-12, 0x1.040094eac5153p-12, 0x1.f6cc74bbc5aa4p-13, 0x1.e622840453e81p-13, 0x1.d5ff56cdaf6adp-13, 0x1.c65f05d89228fp-13, 0x1.b73dc3000f398p-13, 0x1.a897d8b87b6a8p-13, 0x1.9a69a98c00a93p-13, 0x1.8cafaf9d9606ap-13, 0x1.7f667c29c9497p-13, 0x1.728ab70c6f33ep-13, 0x1.66191e4523586p-13, 0x1.5a0e85810e1bbp-13, 0x1.4e67d5a44408bp-13, 0x1.43220c559ba53p-13, 0x1.383a3b8c0a3p-13, 0x1.2dad891fb13a7p-13, 0x1.23792e58ad988p-13, 0x1.199a7783d5d56p-13, 0x1.100ec386f2724p-13, 0x1.06d3837757ef2p-13, 0x1.fbcc74658f2f1p-14, 0x1.ea88f7f03655bp-14, 0x1.d9d7dc0793cf3p-14, 0x1.c9b48c5b0438ep-14, 0x1.ba1a950cb07c1p-14, 0x1.ab05a1f3f3cfp-14, 0x1.9c717de1bb044p-14, 0x1.8e5a11e7ed59ap-14, 0x1.80bb64a50f67cp-14, 0x1.739199920986ap-14, 0x1.66d8f0526933cp-14, 0x1.5a8dc40b14973p-14, 0x1.4eac8ab8b373ep-14, 0x1.4331d488dcc7fp-14, 0x1.381a4b393dd91p-14, 0x1.2d62b1772cfa8p-14, 0x1.2307e24554bbap-14, 0x1.1906d05ebd2b7p-14, 0x1.0f5c85a22f98bp-14, 0x1.0606227e1729bp-14, 0x1.fa01babec440dp-15, 0x1.e8940446636d8p-15, 0x1.d7bde3163d22dp-15, 0x1.c77a416e3016ep-15, 0x1.b7c431363d47bp-15, 0x1.a896eafe6a0ep-15, 0x1.99edccf97ad0ap-15, 0x1.8bc45a04dc2c9p-15, 0x1.7e1638af2a5p-15, 0x1.70df32470d988p-15, 0x1.641b31eeadbbep-15, 0x1.57c643b3097efp-15, 0x1.4bdc93ac85972p-15, 0x1.405a6d183d80ep-15, 0x1.353c398a2d38cp-15, 0x1.2a7e80123d124p-15, 0x1.201de46aec7c1p-15, 0x1.16172635df026p-15, 0x1.0c67202aca72cp-15, 0x1.030ac75ae2cb6p-15, 0x1.f3fe54e8b1ccdp-16, 0x1.e282e20abf74ap-16, 0x1.d19db58efd29bp-16, 0x1.c1497dde1517bp-16, 0x1.b18116f9103d4p-16, 0x1.a23f8933f82a5p-16, 0x1.938007d6cff9dp-16, 0x1.853defebb072fp-16, 0x1.7774c6fcdb0bbp-16, 0x1.6a2039e44640ap-16, 0x1.5d3c1b9f6c28ep-16, 0x1.50c4642b034b8p-16, 0x1.44b52f649a2f3p-16, 0x1.390abbf9ca929p-16, 0x1.2dc16a52ef537p-16, 0x1.22d5bb88e2fe1p-16, 0x1.1844506d51711p-16, 0x1.0e0a13a6c3ddcp-16, 0x1.04238680d9d78p-16, 0x1.f51ba87dd05b6p-17, 0x1.e28c25dfe47fcp-17, 0x1.d092e757e10acp-17, 0x1.bf2a83710a66dp-17, 0x1.ae4dc3629f188p-17, 0x1.9df7a171f7b35p-17, 0x1.8e2347525f233p-17, 0x1.7ecc0cac6cf78p-17, 0x1.6fed758639c91p-17, 0x1.618330db4c456p-17, 0x1.538917304a7a9p-17, 0x1.45fb291e1fc24p-17, 0x1.38d58e2086d88p-17, 0x1.2c14931e39026p-17, 0x1.1fb4a9391679dp-17, 0x1.13b2648b85261p-17, 0x1.080a7afbdfc7fp-17, 0x1.f9738619d4b08p-18, 0x1.e37a655cf2425p-18, 0x1.ce23bc8029195p-18, 0x1.b969eeca00b68p-18, 0x1.a5479833ce856p-18, 0x1.91b78b177c7f3p-18, 0x1.7eb4ce6f26dc6p-18, 0x1.6c3a9be74d1ebp-18, 0x1.5a445e0141b1ep-18, 0x1.48cdae4ec4a63p-18, 0x1.37d253b683701p-18, 0x1.274e40c703724p-18, 0x1.173d921585927p-18, 0x1.079c8cac5d7a4p-18, 0x1.f0cf38fe6fa4p-19, 0x1.d336a5ffd419cp-19, 0x1.b668cb37a96bdp-19, 0x1.9a5f58bcb2e79p-19, 0x1.7f14415454cb3p-19, 0x1.6481b7a4c8c2ep-19, 0x1.4aa22bbffed83p-19, 0x1.317048eafebb1p-19, 0x1.18e6f32ed107bp-19, 0x1.0101448316c07p-19, 0x1.d37516e7fa3d7p-20, 0x1.a61c911f9d718p-20, 0x1.79f0589d9ab53p-20, 0x1.4ee82a95ea9fp-20, 0x1.24fc1c6049485p-20, 0x1.f8492f891896bp-21, 0x1.a8b4af894b34cp-21, 0x1.5b2cc91c8d615p-21, 0x1.0fa4211cfc9a4p-21, 0x1.8c1bd4aa5b3c8p-22, 0x1.f9777cbcfed58p-23, 0x1.c441dc5618a7fp-24, -0x1.6fc9048d8fb68p-26, -0x1.3701f6e6af08ap-23, -0x1.1c918b3cf7a75p-22, -0x1.9a42289e7638cp-22, -0x1.0a52f80cb0634p-21, -0x1.45e79c47e8ad9p-21, -0x1.7fe7cf03838b4p-21, -0x1.b85c05361457fp-21, -0x1.ef4c5eeeca3b4p-21, -0x1.126055b7f8bd2p-20, -0x1.2c6036c4baefcp-20, -0x1.45a96ecc5c5c4p-20, -0x1.5e3f77f37df7cp-20, -0x1.7625ab18b76dbp-20, -0x1.8d5f41cec80b5p-20, -0x1.a3ef57da4f38bp-20, -0x1.b9d8eccae9039p-20, -0x1.cf1ee572b7a2cp-20, -0x1.e3c40d2f079a3p-20, -0x1.f7cb17d2c8f3bp-20, -0x1.059b5100ab57ap-19, -0x1.0f0499872de3p-19, -0x1.18229f03d85d8p-19, -0x1.20f6915fbd723p-19, -0x1.298197952ea52p-19, -0x1.31c4cfd608318p-19, -0x1.39c15086df817p-19, -0x1.41782863c834dp-19, -0x1.48ea5f08ddd42p-19, -0x1.5018f55cf5ad8p-19, -0x1.5704e5f8bdd9bp-19, -0x1.5daf259ec170ap-19, -0x1.6418a34a40911p-19, -0x1.6a4248f9db93p-19, -0x1.702cfbb2cbf1dp-19, -0x1.75d99c0022f16p-19, -0x1.7b4905fe8996ep-19, -0x1.807c11f4a537bp-19, -0x1.85739449b30e2p-19, -0x1.8a305e312c5fp-19, -0x1.8eb33d5e95ec3p-19, -0x1.92fcfc98e1508p-19, -0x1.970e63d57bbffp-19, -0x1.9ae83875823bap-19, -0x1.9e8b3d6c42794p-19, -0x1.a1f83368e9c01p-19, -0x1.a52fd90c890d1p-19, -0x1.a832eb087c729p-19, -0x1.ab022443c6004p-19, -0x1.ad9e3e078e5b8p-19, -0x1.b007f005c7p-19, -0x1.b23ff08177be8p-19, -0x1.b446f4a1e520ap-19, -0x1.b61db025c1e8bp-19, }}, 
      {{-0x1.b93ad5d5e17a5p-6, -0x1.330a110f74256p-5, -0x1.be0ec911cd15ep-5, -0x1.3bce2b0ea6f63p-4, -0x1.ac689c5c88014p-4, -0x1.16a141536af6fp-3, -0x1.5d697cd1f18aap-3, -0x1.a8de5a737c369p-3, -0x1.f77019faf4fe3p-3, -0x1.23da10303ffa6p-2, -0x1.4c33c4fb8ff9cp-2, -0x1.7437b2ccb9502p-2, -0x1.9b6c1f4288d2ap-2, -0x1.c16a390bca2f4p-2, -0x1.e5db36ca68919p-2, -0x1.043c910f657b9p-1, -0x1.1485dc60fe178p-1, -0x1.23b381a43f58p-1, -0x1.31b528928a57ep-1, -0x1.3e7f70aa43c5ap-1, -0x1.4a0b3844517f5p-1, -0x1.5454cdd9c9c8bp-1, -0x1.5d5baa8acc26p-1, -0x1.65222c453f524p-1, -0x1.6bacc56fa3a35p-1, -0x1.71026739743c9p-1, -0x1.752b6967dfb37p-1, -0x1.78308eeae56fcp-1, -0x1.7a1c37ae17cf7p-1, -0x1.7afa6465e2b8dp-1, -0x1.7ad6f68e7d307p-1, -0x1.79becdd37b038p-1, -0x1.77bea6ffc199ap-1, -0x1.74e3a7ef99107p-1, -0x1.713b38fee39f6p-1, -0x1.6cd2c9ba5e87fp-1, -0x1.67b79f5b79aa8p-1, -0x1.61f6cd6e85c89p-1, -0x1.5b9d3c04df2d5p-1, -0x1.54b79bac12dbcp-1, -0x1.4d524d1ce0b4dp-1, -0x1.457951c9c4de7p-1, -0x1.3d38496ef57a4p-1, -0x1.349a7122b9e5fp-1, -0x1.2baa9bc514e37p-1, -0x1.227326a1461fcp-1, -0x1.18fdf133a2fc2p-1, -0x1.0f545b6ab9685p-1, -0x1.057f48f18e8e4p-1, -0x1.f70e4c1625a7fp-2, -0x1.e2e7d61ce93b3p-2, -0x1.ce9a3aa70d7b1p-2, -0x1.ba339c794ff4cp-2, -0x1.a5c1343d83e01p-2, -0x1.914f516eb5455p-2, -0x1.7ce9602603454p-2, -0x1.6899f39e1e40ep-2, -0x1.546ad3a72bc58p-2, -0x1.40650a5d1f6f5p-2, -0x1.2c90ef94ea603p-2, -0x1.18f6309a476bbp-2, -0x1.059bd4708d9aap-2, -0x1.e5433e463518dp-3, -0x1.bfb94bbf25699p-3, -0x1.9ad22f423804ap-3, -0x1.7696b75d131c6p-3, -0x1.530e8ac2792aep-3, -0x1.304053a773d9fp-3, -0x1.0e31e6830239fp-3, -0x1.d9d0b9767356ep-4, -0x1.98d0429f74579p-4, -0x1.5969e4fb2761ap-4, -0x1.1ba3bc4e57703p-4, -0x1.bf04fc38ab8ebp-5, -0x1.4a12fcc20f71dp-5, -0x1.b0eb077820105p-6, -0x1.a8b8e219c76c7p-7, 0x1.86ab1a5cd52d9p-14, 0x1.a1858d75b892ep-7, 0x1.995f6d027ddf7p-6, 0x1.2db3684af07e8p-5, 0x1.8b72c0afa4702p-5, 0x1.e5f51eabae0ebp-5, 0x1.1ea174cbb0306p-4, 0x1.48b2c34246cf6p-4, 0x1.7133a6dc920eap-4, 0x1.9829befa3bd88p-4, 0x1.bd9b165b86835p-4, 0x1.e18e19ecb2c07p-4, 0x1.0204c7517fb77p-3, 0x1.128a4370bbbbep-3, 0x1.225b2be42134bp-3, 0x1.317b475924122p-3, 0x1.3fee7383d5ec3p-3, 0x1.4db8a03c34395p-3, 0x1.5addcad51753bp-3, 0x1.6761f9b4d8062p-3, 0x1.7349383de4535p-3, 0x1.7e97931c4e333p-3, 0x1.895115110a6b5p-3, 0x1.9379c4508a546p-3, 0x1.9d15a080e40a3p-3, 0x1.a628a154ed674p-3, 0x1.aeb6b5b163f12p-3, 0x1.b6c3c33b5a3d9p-3, 0x1.be53a6260b031p-3, 0x1.c56a3113c7ab8p-3, 0x1.cc0b2ce16810fp-3, 0x1.d23a583c7e709p-3, 0x1.d7fb66f025275p-3, 0x1.dd5200e0d6326p-3, 0x1.e241c0bb4d327p-3, 0x1.e6ce3263bc839p-3, 0x1.eafad1397467dp-3, 0x1.eecb06476eaf9p-3, 0x1.f242267c619b9p-3, 0x1.f563710596a2p-3, 0x1.f8320de668f16p-3, 0x1.fab10ce32ffcbp-3, 0x1.fce364d0f47d1p-3, 0x1.fecbf353e2608p-3, 0x1.0036be86b05fdp-2, 0x1.00e55718b2673p-2, 0x1.01730db9002d7p-2, 0x1.01e12194fb0bbp-2, 0x1.0230c755ebd43p-2, 0x1.0260fbc7a48e8p-2, 0x1.02766fedca859p-2, 0x1.0270f6b7e8a1cp-2, 0x1.0251a7f8f460cp-2, 0x1.021992175204cp-2, 0x1.01c9ba6795b3bp-2, 0x1.01631d8914941p-2, 0x1.00e6afbd73723p-2, 0x1.00555d35e934ap-2, 0x1.ff6014a5dcd5cp-3, 0x1.fdef27aab9467p-3, 0x1.fc599e0481912p-3, 0x1.faa11378eb161p-3, 0x1.f8c71530b281dp-3, 0x1.f6cd21dd1694dp-3, 0x1.f4b4a9e4eadap-3, 0x1.f27f0fa162944p-3, 0x1.f02da7b05a822p-3, 0x1.edc1b95f0fc53p-3, 0x1.eb3c7f2d60f5cp-3, 0x1.e89f2766f4f6p-3, 0x1.e5ead4cd8c4c6p-3, 0x1.e3209f4e27e6ep-3, 0x1.e04194b9f850cp-3, 0x1.dd4eb97bc2e9cp-3, 0x1.da490942fd8f8p-3, 0x1.d731779ed3121p-3, 0x1.d408f0848bc2p-3, 0x1.d0d058be7abf2p-3, 0x1.cd888e42270ddp-3, 0x1.ca32686e1d84fp-3, 0x1.c6ceb8314f5e3p-3, 0x1.c35e481f17b22p-3, 0x1.bfe1dc7408482p-3, 0x1.bc5a331033adap-3, 0x1.b8c8036bc86d3p-3, 0x1.b52bfe8ade717p-3, 0x1.b186cef4bdb14p-3, 0x1.add918b24368cp-3, 0x1.aa23795640d39p-3, 0x1.a66688119b0c1p-3, 0x1.a2a2d5d427a0cp-3, 0x1.9ed8ed7a3285bp-3, 0x1.9b09540601dc6p-3, 0x1.973488e3cbbe9p-3, 0x1.935b0636582b4p-3, 0x1.8f7d4129ee65ap-3, 0x1.8b9baa4b3dcb9p-3, 0x1.87b6addfca947p-3, 0x1.83ceb43d830ecp-3, 0x1.7fe4221f61484p-3, 0x1.7bf758f53fe5dp-3, 0x1.7808b72d56577p-3, 0x1.741898764836cp-3, 0x1.702755f8f838fp-3, 0x1.6c354689cf89dp-3, 0x1.6842bed15ba8ap-3, 0x1.6450116cad349p-3, 0x1.605d8f05df749p-3, 0x1.5c6b8665a7252p-3, 0x1.587a447ebe4aap-3, 0x1.548a1474394fdp-3, 0x1.509b3f9bbd7dfp-3, 0x1.4cae0d7cbbf43p-3, 0x1.48c2c3cd908b4p-3, 0x1.44d9a66f7f53cp-3, 0x1.40f2f76a55b9dp-3, 0x1.3d0ef6e859f0fp-3, 0x1.392de33318094p-3, 0x1.354ff8b1690a8p-3, 0x1.317571e70a479p-3, 0x1.2d9e8775dd8bdp-3, 0x1.29cb7020dd92p-3, 0x1.25fc60d0c33fbp-3, 0x1.22318c9a340fdp-3, 0x1.1e6b24c54f747p-3, 0x1.1aa958d65bda5p-3, 0x1.16ec5697612a9p-3, 0x1.13344a226d10dp-3, 0x1.0f815dec3c68ap-3, 0x1.0bd3bacf26a35p-3, 0x1.082b8815fbfc5p-3, 0x1.0488eb86ca2b4p-3, 0x1.00ec096d51ebdp-3, 0x1.faaa094a394a1p-4, 0x1.f387fd464839ep-4, 0x1.ec722efe06da2p-4, 0x1.e568dbf7545c4p-4, 0x1.de6c3f1f43609p-4, 0x1.d77c90d9c87fbp-4, 0x1.d09a0710a912cp-4, 0x1.c9c4d541cba71p-4, 0x1.c2fd2c8cf66e3p-4, 0x1.bc433bc125e2ap-4, 0x1.b5972f6980e84p-4, 0x1.aef931da0a133p-4, 0x1.a8696b3c1199dp-4, 0x1.a1e8019a6d38ap-4, 0x1.9b7518ed906bdp-4, 0x1.9510d327576e2p-4, 0x1.8ebb503eac64ap-4, 0x1.8874ae3ae9572p-4, 0x1.823d093eeda1bp-4, 0x1.7c147b93e40fp-4, 0x1.75fb1db3ada5p-4, 0x1.6ff10652e8854p-4, 0x1.69f64a6a8df36p-4, 0x1.640afd411fc53p-4, 0x1.5e2f307366767p-4, 0x1.5862f3fcbd976p-4, 0x1.52a6563ef2a25p-4, 0x1.4cf96409b8adbp-4, 0x1.475c28a1bb02cp-4, 0x1.41ceadc754934p-4, 0x1.3c50fbbcf7eb1p-4, 0x1.36e3194d5339dp-4, 0x1.31850bd13b5cfp-4, 0x1.2c36d7356aeeap-4, 0x1.26f87e00233fap-4, 0x1.21ca0156b8bcp-4, 0x1.1cab610319818p-4, 0x1.179c9b7956126p-4, 0x1.129daddd362cp-4, 0x1.0dae9407e5b6dp-4, 0x1.08cf488db91c9p-4, 0x1.03ffc4c417cb4p-4, 0x1.fe80018f10499p-5, 0x1.f51fe703cc5d1p-5, 0x1.ebdaf5e5847fep-5, 0x1.e2b9b2f9f38f9p-5, 0x1.d9b798ce39a9bp-5, 0x1.d0d48b63f29c3p-5, 0x1.c8106ca44744dp-5, 0x1.bf6b1c6f1775fp-5, 0x1.b6e478aa4f211p-5, 0x1.ae7c5d51563ffp-5, 0x1.a632a48494711p-5, 0x1.9e072698fc51cp-5, 0x1.95f9ba27967eap-5, 0x1.8e0a341cfdcc8p-5, 0x1.863867c8c8279p-5, 0x1.7e8426ecce5fep-5, 0x1.76ed41cc4f047p-5, 0x1.6f73873adfa15p-5, 0x1.6816c4ab2dcb2p-5, 0x1.60d6c63d82f0fp-5, 0x1.59b356ce0af61p-5, 0x1.52ac4002db774p-5, 0x1.4bc14a59b5befp-5, 0x1.44f23d3584d21p-5, 0x1.3e3edeeb951eap-5, 0x1.37a6f4d089aa5p-5, 0x1.312a434508c66p-5, 0x1.2ac88dc228604p-5, 0x1.248196e597d32p-5, 0x1.1e55207d89557p-5, 0x1.1842eb945dd46p-5, 0x1.124ab87c1396ep-5, 0x1.0c6c46d97e573p-5, 0x1.06a755af46b6cp-5, 0x1.00fba368b1673p-5, 0x1.f6d1dbc8712a4p-6, 0x1.ebdde4fbde49p-6, 0x1.e11adc33698e1p-6, 0x1.d6883a5a7ac6fp-6, 0x1.cc257793d1467p-6, 0x1.c1f20b4cd6d0cp-6, 0x1.b7ed6c50a24f7p-6, 0x1.ae1710da974c9p-6, 0x1.a46e6ea8b5ea8p-6, 0x1.9af2fb0d8d436p-6, 0x1.91a42b01da0c7p-6, 0x1.88817335c368fp-6, 0x1.7f8a4821c6d05p-6, 0x1.76be1e173e9ffp-6, 0x1.6e1c6950916b1p-6, 0x1.65a49e0100e29p-6, 0x1.5d56306414d0cp-6, 0x1.553094cca87dcp-6, 0x1.4d333fb39373ap-6, 0x1.455da5c5eb84bp-6, 0x1.3daf3bf2e44eep-6, 0x1.3627777945e45p-6, 0x1.2ec5cdf47cb82p-6, 0x1.2789b5693ffcap-6, 0x1.2072a451d415ap-6, 0x1.198011a9dd27ep-6, 0x1.12b174f9d2a8bp-6, 0x1.0c0646620256ep-6, 0x1.057dfea52ffb2p-6, 0x1.fe302e659e3f6p-7, 0x1.f1a81461a945ap-7, 0x1.e562a50a48b8fp-7, 0x1.d95ed7bd3e213p-7, 0x1.cd9ba57b8f104p-7, 0x1.c21808fa1b2e5p-7, 0x1.b6d2feb17177bp-7, 0x1.abcb84ece8e35p-7, 0x1.a1009bd90d565p-7, 0x1.967145914a605p-7, 0x1.8c1c862cf8567p-7, 0x1.820163cbb983ap-7, 0x1.781ee6a12fdd7p-7, 0x1.6e7419001681fp-7, 0x1.65000764b95bbp-7, 0x1.5bc1c07ed8ffcp-7, 0x1.52b8553af68d1p-7, 0x1.49e2d8cb0e953p-7, 0x1.414060aeca19dp-7, 0x1.38d004bb26e1bp-7, 0x1.3090df21998a4p-7, 0x1.28820c76ad6acp-7, 0x1.20a2abb82cd69p-7, 0x1.18f1de52cbb23p-7, 0x1.116ec8275bcffp-7, 0x1.0a188f8f918d6p-7, 0x1.02ee5d62598abp-7, 0x1.f7deb9ef7c254p-8, 0x1.ea357858d4d51p-8, 0x1.dcdf56c989b9bp-8, 0x1.cfdabb1f4b5e9p-8, 0x1.c326105164ac9p-8, 0x1.b6bfc674b1e99p-8, 0x1.aaa652bee34b6p-8, 0x1.9ed82f8916effp-8, 0x1.9353dc51c88acp-8, 0x1.8817ddbe17576p-8, 0x1.7d22bd9a73c57p-8, 0x1.72730adaaf3b6p-8, 0x1.68075999797bep-8, 0x1.5dde431749b5p-8, 0x1.53f665b8bf0afp-8, 0x1.4a4e6504702d4p-8, 0x1.40e4e9a046accp-8, 0x1.37b8a14e45b26p-8, 0x1.2ec83ee8e8492p-8, 0x1.26127a5ef91c1p-8, 0x1.1d9610aefc6e5p-8, 0x1.1551c3e21ec99p-8, 0x1.0d445b06c831cp-8, 0x1.056ca22ab1cf6p-8, 0x1.fb92d4a9358bdp-9, 0x1.ecb312fb3a1c4p-9, 0x1.de37b5142d965p-9, 0x1.d01e7a847a6abp-9, 0x1.c2652c94a273fp-9, 0x1.b5099e34ea7f3p-9, 0x1.a809abec6cb52p-9, 0x1.9b633bc76d4d1p-9, 0x1.8f143d451a103p-9, 0x1.831aa944a84cep-9, 0x1.777481f1d2e8cp-9, 0x1.6c1fd2b0cdf69p-9, 0x1.611ab009a48d3p-9, 0x1.566337930cb2dp-9, 0x1.4bf78fdcb1ebcp-9, 0x1.41d5e8590ab12p-9, 0x1.37fc7946a09b6p-9, 0x1.2e698398ed059p-9, 0x1.251b50e0c24a6p-9, 0x1.1c10333443d9p-9, 0x1.134685167ce66p-9, 0x1.0abca95e8ef97p-9, 0x1.02710b1e81e3bp-9, 0x1.f4c43b1391b48p-10, 0x1.e51cb7b6c7d66p-10, 0x1.d5e89277924d2p-10, 0x1.c724e14ce52aep-10, 0x1.b8cec99e8990ep-10, 0x1.aae3800f4c0c6p-10, 0x1.9d604846e1c4bp-10, 0x1.904274bb6072ap-10, 0x1.8387667a72ca4p-10, 0x1.772c8cf24ef8p-10, 0x1.6b2f65ba6e10ep-10, 0x1.5f8d7c5c317efp-10, 0x1.54446a1b5022p-10, 0x1.4951d5be5574dp-10, 0x1.3eb37357090c6p-10, 0x1.3467040af11d8p-10, 0x1.2a6a55dbe3a53p-10, 0x1.20bb4370c5ba5p-10, 0x1.1757b3de6945cp-10, 0x1.0e3d9a70be0b4p-10, 0x1.056af6743be4cp-10, 0x1.f9bba5ff3400ap-11, 0x1.e9288d7bd0d22p-11, 0x1.d918e772189aap-11, 0x1.c9890e4953dd6p-11, 0x1.ba757252fec6p-11, 0x1.abda99628045p-11, 0x1.9db51e6604c7ep-11, 0x1.9001b1004e9d9p-11, 0x1.82bd15239f607p-11, 0x1.75e422ae1c5bbp-11, 0x1.6973c506dfa64p-11, 0x1.5d68fabcfc3ddp-11, 0x1.51c0d52739348p-11, 0x1.4678780563174p-11, 0x1.3b8d1922d7aecp-11, 0x1.30fbfffa82d23p-11, 0x1.26c2855bef4bdp-11, 0x1.1cde13123a86ep-11, 0x1.134c238be3911p-11, 0x1.0a0a41842fa7fp-11, 0x1.011607adf9513p-11, 0x1.f0da40bf7c276p-12, 0x1.e01a8a823a11dp-12, 0x1.cfe87df3559bap-12, 0x1.c03fc9c22c315p-12, 0x1.b11c396110052p-12, 0x1.a279b46b2de07p-12, 0x1.94543e0c7aac7p-12, 0x1.86a7f46c5c638p-12, 0x1.7971101aff1b4p-12, 0x1.6cabe380f22cbp-12, 0x1.6054da51143b8p-12, 0x1.546878fd673bfp-12, 0x1.48e35c2db77efp-12, 0x1.3dc23838c4815p-12, 0x1.3301d89fc2828p-12, 0x1.289f1f8c0be82p-12, 0x1.1e97054ec613cp-12, 0x1.14e697e342885p-12, 0x1.0b8afa72dfc4dp-12, 0x1.028164db68472p-12, 0x1.f38e466e86777p-13, 0x1.e2b32acf3b284p-13, 0x1.d26c5d42133dp-13, 0x1.c2b4e9f2ef2e4p-13, 0x1.b38801f088b49p-13, 0x1.a4e0fa50f35eap-13, 0x1.96bb4b593cfedp-13, 0x1.89128fa85a11cp-13, 0x1.7be2836716923p-13, 0x1.6f27037a0a037p-13, 0x1.62dc0cb833226p-13, 0x1.56fdbb240be4bp-13, 0x1.4b884929379cfp-13, 0x1.40780edc81ca5p-13, 0x1.35c981401fae6p-13, 0x1.2b79318a87ea7p-13, 0x1.2183cc7110957p-13, 0x1.17e61975467a7p-13, 0x1.0e9cfa365e943p-13, 0x1.05a569c51ef0ap-13, 0x1.f9f8f7f604e05p-14, 0x1.e93eb9a97a6d2p-14, 0x1.d9169f9f7f3d2p-14, 0x1.c97b5e958c34dp-14, 0x1.ba67d7d28c87ap-14, 0x1.abd717f4d6e68p-14, 0x1.9dc455c50dbf1p-14, 0x1.902af10f417f4p-14, 0x1.8306718223b13p-14, 0x1.76528593c90b3p-14, 0x1.6a0b016c467b3p-14, 0x1.5e2bddd63174ep-14, 0x1.52b1373472dc9p-14, 0x1.47974c7e09195p-14, 0x1.3cda7e3eba66fp-14, 0x1.32774d9e684b1p-14, 0x1.286a5b6c6a5dcp-14, 0x1.1eb06731c9cb2p-14, 0x1.15464e46a6398p-14, 0x1.0c290aefc459ep-14, 0x1.0355b37f1c10fp-14, 0x1.f592f2f268efep-15, 0x1.e5035183df9cep-15, 0x1.d4f74d98d1b31p-15, 0x1.c569e39fedd59p-15, 0x1.b656400606a9fp-15, 0x1.a7b7bdb13012cp-15, 0x1.9989e48c502e5p-15, 0x1.8bc868148ecb6p-15, 0x1.7e6f25f51951ep-15, 0x1.717a24a95f468p-15, 0x1.64e5922938acp-15, 0x1.58adc29d907f8p-15, 0x1.4ccf2f1deed1bp-15, 0x1.414674755b385p-15, 0x1.361051f22eaf8p-15, 0x1.2b29a839ec9fcp-15, 0x1.208f782a4fc1p-15, 0x1.1638619119055p-15, 0x1.0c2e7ce331974p-15, 0x1.0268cece172d1p-15, 0x1.f1c99d3d6e71bp-16, 0x1.df401d3c9d6fcp-16, 0x1.cd30763980fc9p-16, 0x1.bb963305da5f2p-16, 0x1.aa6d0ed6400afp-16, 0x1.99b0f383ac83fp-16, 0x1.895df7d2d60b6p-16, 0x1.79705dd2292bdp-16, 0x1.69e4913c091a4p-16, 0x1.5ab725ea63f5bp-16, 0x1.4be4d65251b52p-16, 0x1.3d6a820d84653p-16, 0x1.2f452c71e6a8p-16, 0x1.2171fb2e4e20dp-16, 0x1.13ee34f71dc5fp-16, 0x1.06b740390f60ap-16, 0x1.f39543b60134ep-17, 0x1.da4bf80e965e2p-17, 0x1.c18e19fc43b05p-17, 0x1.a9575be82f19fp-17, 0x1.91a3a3e97cf49p-17, 0x1.7a6f09af1fac6p-17, 0x1.63b5d468b54bap-17, 0x1.4d7478ca8099ep-17, 0x1.37a7971f794a1p-17, 0x1.224bf96c7310ep-17, 0x1.0d5e91a27dbf2p-17, 0x1.f1b8efc1d1307p-18, 0x1.c985d18f7fd0bp-18, 0x1.a21e87ac0a7e1p-18, 0x1.7b7e13b3cdc26p-18, 0x1.559fb6d1f7713p-18, 0x1.307eeeddd82e6p-18, 0x1.0c17738844904p-18, 0x1.d0ca671a252b6p-19, 0x1.8ac8a4668b9b6p-19, 0x1.4622496a64209p-19, 0x1.02d05f871430cp-19, 0x1.819894fb4eb4p-20, 0x1.001f87b954043p-20, 0x1.02535a8379ab4p-21, 0x1.2aed7e9bd2677p-26, -0x1.d5946cf52cf67p-22, -0x1.da25f1ff73d98p-21, -0x1.626792b790dbap-20, -0x1.d56c1bc3e63a8p-20, -0x1.2314a94d22598p-19, -0x1.5a53c38c1a499p-19, -0x1.90775085f3fa7p-19, -0x1.c58313252b7f6p-19, -0x1.f97aa0410dc8bp-19, -0x1.1630b0b0cf03bp-18, -0x1.2f1d4bc7eb0dbp-18, -0x1.4784aedfec9d8p-18, -0x1.5f6855b17528ep-18, -0x1.76c9ab5743d58p-18, -0x1.8daa0b8141ee6p-18, -0x1.a40ac36c83afp-18, -0x1.b9ed12ff26ebfp-18, -0x1.cf522dbcb57f2p-18, -0x1.e43b3bb5b612dp-18, -0x1.f8a95a6c2da3ep-18, -0x1.064eced3b849ap-17, -0x1.100c882d57121p-17, -0x1.198e5aa137f0ap-17, -0x1.22d4c3df3ffeap-17, -0x1.2be03e3bdc377p-17, -0x1.34b141051c3aep-17, -0x1.3d4840d265b2p-17, -0x1.45a5afd143f6cp-17, -0x1.4dc9fe08b04a9p-17, -0x1.55b5999f1fad3p-17, -0x1.5d68ef1c67b03p-17, -0x1.64e469a2583dp-17, -0x1.6c2873244b2ccp-17, -0x1.733574a361e76p-17, -0x1.7a0bd652887p-17, -0x1.80abffd7c432bp-17, -0x1.8716586482e94p-17, -0x1.8d4b46ea61678p-17, -0x1.934b323c2ba3ep-17, -0x1.9916813286f01p-17, -0x1.9ead9acd2ff99p-17, -0x1.a410e64de7d15p-17, -0x1.a940cb5b06089p-17, -0x1.ae3db20f62d43p-17, -0x1.b30803185b44ep-17, -0x1.b7a027c76d342p-17, -0x1.bc068a2a8064cp-17, -0x1.c03b95163b06cp-17, -0x1.c43fb43955309p-17, -0x1.c813542ab2f5p-17, -0x1.cbb6e27441cfap-17, -0x1.cf2acd9dadb6dp-17, -0x1.d26f85360d01fp-17, -0x1.d58579d9d9793p-17, -0x1.d86d1d3a4798dp-17, -0x1.db26e22325b02p-17, -0x1.ddb33c7bcb1c9p-17, -0x1.e012a14c65da9p-17, -0x1.e24586be4f8c9p-17, -0x1.e44c641b19ed1p-17, -0x1.e627b1cecf44ap-17, -0x1.e7d7e961ab877p-17, -0x1.e95d857eb55cep-17, -0x1.eab901e5942fap-17, }}, 
      {{-0x1.92211007b507ep-6, -0x1.cc6c2bc2247b4p-6, -0x1.15b8aaa026122p-5, -0x1.5640cd5566d82p-5, -0x1.a63a4814749ccp-5, -0x1.01f7b66b7bd23p-4, -0x1.36cf6b4be47e4p-4, -0x1.70c4fd0b25c8dp-4, -0x1.aefff81d4bf16p-4, -0x1.f0b23a69544ap-4, -0x1.1a8d277bc911fp-3, -0x1.3dc24df976863p-3, -0x1.61a6462682c2cp-3, -0x1.85ee307c94301p-3, -0x1.aa567a5ef385ap-3, -0x1.cea2d75021dc8p-3, -0x1.f29da620ba025p-3, -0x1.0b0bd354fb3a7p-2, -0x1.1c73ca1a84597p-2, -0x1.2d74d233bf849p-2, -0x1.3dff8babcb688p-2, -0x1.4e06e1112ce48p-2, -0x1.5d7fe11009903p-2, -0x1.6c6185d35bd3dp-2, -0x1.7aa46a04f3bdcp-2, -0x1.8842ea740e574p-2, -0x1.95389fed73942p-2, -0x1.a1823c4a40582p-2, -0x1.ad1df6651104ap-2, -0x1.b80af7e976f0bp-2, -0x1.c248d4de5fe1fp-2, -0x1.cbd87665cae23p-2, -0x1.d4bb30fe56d6dp-2, -0x1.dcf30851736b1p-2, -0x1.e4828a7c0a70fp-2, -0x1.eb6cb83732b75p-2, -0x1.f1b4f553b02eap-2, -0x1.f75efed0da1e8p-2, -0x1.fc6edd23dd9d5p-2, -0x1.00746aab6e923p-1, -0x1.0268af33ec81bp-1, -0x1.04168bd7df371p-1, -0x1.05805f4dc8f9ep-1, -0x1.06a893461f6a9p-1, -0x1.0791994b7dc58p-1, -0x1.083de75d3768dp-1, -0x1.08aff488336c8p-1, -0x1.08ea36584d409p-1, -0x1.08ef1ee2507a3p-1, -0x1.08c11aba019edp-1, -0x1.08628ee00c271p-1, -0x1.07d5d711f6e26p-1, -0x1.071d447c0ce96p-1, -0x1.063b1c7e7929ep-1, -0x1.05319776b2847p-1, -0x1.0402dfd0968a8p-1, -0x1.02b1118c7667p-1, -0x1.013e3a0df4ac8p-1, -0x1.ff58afaf7a98fp-2, -0x1.fbfab3f990d6bp-2, -0x1.f8663ebdf8553p-2, -0x1.f49eec18aa3abp-2, -0x1.f0a6ede5a7c7fp-2, -0x1.ec8407fe3ac5bp-2, -0x1.e83859da0a275p-2, -0x1.e3c6ff0962389p-2, -0x1.df32f4425e09dp-2, -0x1.da7f17cfed5f8p-2, -0x1.d5ae29d35753bp-2, -0x1.d0c2cc9361045p-2, -0x1.cbbf84f683f4ep-2, -0x1.c6a6bb2328708p-2, -0x1.c17abb31ce28bp-2, -0x1.bc3db5e2f800ep-2, -0x1.b6f1c1589de39p-2, -0x1.b198d9db0a6a6p-2, -0x1.ac34e2ae4284ep-2, -0x1.a6c7a6f3797a5p-2, -0x1.a152da8982bfdp-2, -0x1.9bd81adddf293p-2, -0x1.9658efa65ab9p-2, -0x1.90d6cb852f90ap-2, -0x1.8b530ca211ef2p-2, -0x1.85cefd45aaf47p-2, -0x1.804bd48266f45p-2, -0x1.7acab6ef13afp-2, -0x1.754cb77079315p-2, -0x1.6fd2d8097d7c2p-2, -0x1.6a5e0aa71f66ep-2, -0x1.64ef31dee84ap-2, -0x1.5f87219a6718cp-2, -0x1.5a269faf7fb36p-2, -0x1.54ce6469f062dp-2, -0x1.4f7f1b0d29d79p-2, -0x1.4a396255b7021p-2, -0x1.44fdccff85f6bp-2, -0x1.3fcce25312ad8p-2, -0x1.3aa71eb84659p-2, -0x1.358cf44b5478cp-2, -0x1.307ecb6ee0977p-2, -0x1.2b7d0356dd058p-2, -0x1.2687f288f016bp-2, -0x1.219fe750dc6abp-2, -0x1.1cc5282968472p-2, -0x1.17f7f41bc0dd8p-2, -0x1.13388318483cap-2, -0x1.0e87064bf95d4p-2, -0x1.09e3a87514c94p-2, -0x1.054e8e38c4de5p-2, -0x1.00c7d67a489d3p-2, -0x1.f89f35661ef76p-3, -0x1.efcbde94bf936p-3, -0x1.e715c7d5a6bdbp-3, -0x1.de7d07a7b98ccp-3, -0x1.d601ac4c10d4ap-3, -0x1.cda3bc524014fp-3, -0x1.c563371810f2cp-3, -0x1.bd40153d7846bp-3, -0x1.b53a490e7d6dfp-3, -0x1.ad51bee56ae2fp-3, -0x1.a5865d87d92e1p-3, -0x1.9dd80680f944ep-3, -0x1.9646967b1d668p-3, -0x1.8ed1e599ba78ep-3, -0x1.8779c7d436598p-3, -0x1.803e0d5101d38p-3, -0x1.791e599851744p-3, -0x1.721ac729af7dcp-3, -0x1.6b32f7764f2a1p-3, -0x1.6466aede1db8ap-3, -0x1.5db5af5654ae3p-3, -0x1.571fb8a6e5ba9p-3, -0x1.50a488a3d6eabp-3, -0x1.4a43db62849aep-3, -0x1.43fd6b6ad112p-3, -0x1.3dd0f1e48c8adp-3, -0x1.37be26c16e82ep-3, -0x1.31c4c0e409dbdp-3, -0x1.2be47644263e8p-3, -0x1.261cfc10f57ebp-3, -0x1.206e06d168bbp-3, -0x1.1ad74a82eb966p-3, -0x1.15587ab69fef7p-3, -0x1.0ff14aad211edp-3, -0x1.0aa16d70b2969p-3, -0x1.056895edcf549p-3, -0x1.00467709e39f3p-3, -0x1.f675877063d8fp-4, -0x1.ec8a5e1992e51p-4, -0x1.e2cad89b550d2p-4, -0x1.d9365e0444eebp-4, -0x1.cfcc5601220cfp-4, -0x1.c68c28f58fc33p-4, -0x1.bd7540124406fp-4, -0x1.b487056929ea2p-4, -0x1.abc0e3ff8cfb4p-4, -0x1.a32247dec19ddp-4, -0x1.9aaa9e234c1dfp-4, -0x1.9259550acbcfap-4, -0x1.8a2ddc00be473p-4, -0x1.8227a3aa2ff47p-4, -0x1.7a461df081b63p-4, -0x1.7288be0b45dbbp-4, -0x1.6aeef8894dbdp-4, -0x1.63784358f21dcp-4, -0x1.5c2415cf9e726p-4, -0x1.54f1e8b0a82d6p-4, -0x1.4de136336fcb8p-4, -0x1.46f17a08d5d26p-4, -0x1.4022315ff9e87p-4, -0x1.3972daea4db1fp-4, -0x1.32e2f6def0e67p-4, -0x1.2c7206fd5d1f2p-4, -0x1.261f8e8f5c461p-4, -0x1.1feb126a46d42p-4, -0x1.19d418ef94f3ep-4, -0x1.13da2a0cb9e9bp-4, -0x1.0dfccf3a5b5a2p-4, -0x1.083b937ae412fp-4, -0x1.0296035889ea9p-4, -0x1.fa1759c59d9adp-5, -0x1.ef383f572b341p-5, -0x1.e48dd987b271dp-5, -0x1.da174d70420fcp-5, -0x1.cfd3c3197ee0ep-5, -0x1.c5c26573e14cbp-5, -0x1.bbe2624fd052p-5, -0x1.b232ea55adc25p-5, -0x1.a8b330fde9e0bp-5, -0x1.9f626c892ffbep-5, -0x1.963fd5f8adc5fp-5, -0x1.8d4aa9067bbe6p-5, -0x1.8482241e2a341p-5, -0x1.7be5885575af3p-5, -0x1.737419651780bp-5, -0x1.6b2d1da1b6568p-5, -0x1.630fddf4ee62ap-5, -0x1.5b1ba5d67114dp-5, -0x1.534fc34530cbp-5, -0x1.4bab86c0970f9p-5, -0x1.442e4341c457ep-5, -0x1.3cd74e34c9c75p-5, -0x1.35a5ff71e18a2p-5, -0x1.2e99b136a405cp-5, -0x1.27b1c01f2ef6p-5, -0x1.20ed8b1f45db3p-5, -0x1.1a4c737b69421p-5, -0x1.13cddcc1e4e63p-5, -0x1.0d712cc3d9f55p-5, -0x1.0735cb8e4628p-5, -0x1.011b236311e41p-5, -0x1.f64141643cbd7p-6, -0x1.ea8b6424d1021p-6, -0x1.df13907660bebp-6, -0x1.d3d8abfa89dc1p-6, -0x1.c8d9a078aaaf2p-6, -0x1.be155bd0db329p-6, -0x1.b38acfef03ceap-6, -0x1.a938f2be3c9b8p-6, -0x1.9f1ebe1c616a9p-6, -0x1.953b2fcde0382p-6, -0x1.8b8d4971b775dp-6, -0x1.82141075af728p-6, -0x1.78ce8e0aba74ap-6, -0x1.6fbbcf197a21ap-6, -0x1.66dae436f6263p-6, -0x1.5e2ae19965df4p-6, -0x1.55aadf0d1de5dp-6, -0x1.4d59f7e9941fcp-6, -0x1.45374b0677847p-6, -0x1.3d41fab0e8401p-6, -0x1.35792ca0b7945p-6, -0x1.2ddc09edc32b1p-6, -0x1.2669bf0562b4ap-6, -0x1.1f217b9fec0a7p-6, -0x1.180272b64d227p-6, -0x1.110bda77c0bffp-6, -0x1.0a3cec3f93538p-6, -0x1.0394e48b0f436p-6, -0x1.fa2605def9ceap-7, -0x1.ed6d1420872fcp-7, -0x1.e0fd7f2a4dc5ep-7, -0x1.d4d5d841483e1p-7, -0x1.c8f4b68ce38b7p-7, -0x1.bd58b7043a1fcp-7, -0x1.b2007c5b8e795p-7, -0x1.a6eaaef210483p-7, -0x1.9c15fcbfcd34p-7, -0x1.91811943f8e41p-7, -0x1.872abd735b06ep-7, -0x1.7d11a7a70688bp-7, -0x1.73349b8b2fc09p-7, -0x1.6992620e5876fp-7, -0x1.6029c9508fap-7, -0x1.56f9621882e12p-7, -0x1.4e008213cf251p-7, -0x1.453dcb05e07ebp-7, -0x1.3cb01f38d40e6p-7, -0x1.345665d81a95fp-7, -0x1.2c2f8ae072419p-7, -0x1.243a7f1012664p-7, -0x1.1c7637d6fb6c8p-7, -0x1.14e1af475cf6cp-7, -0x1.0d7be40623046p-7, -0x1.0643d93ba252dp-7, -0x1.fe712d08c331p-8, -0x1.f0b24fc3fb435p-8, -0x1.e3493b5869a98p-8, -0x1.d63419040d66ap-8, -0x1.c9711a75ef9c3p-8, -0x1.bcfe79b0d953cp-8, -0x1.b0da78ee54b87p-8, -0x1.a5036281db10fp-8, -0x1.997788bc3c25dp-8, -0x1.8e3545cf45449p-8, -0x1.833afbb1ac60ap-8, -0x1.7887140313216p-8, -0x1.6e17fff07335ap-8, -0x1.63ec38189480ep-8, -0x1.5a023c70e5cd8p-8, -0x1.5058942a6ed31p-8, -0x1.46edcd9716669p-8, -0x1.3dc07e0f08794p-8, -0x1.34cf41d673588p-8, -0x1.2c18bc0361a4cp-8, -0x1.239b9663e7985p-8, -0x1.1b56816478d76p-8, -0x1.134833f67ddc8p-8, -0x1.0b6f6b772a226p-8, -0x1.03caeb967a465p-8, -0x1.f8b2fc7d08258p-9, -0x1.ea33e6f5e3c5fp-9, -0x1.dc1642c17125fp-9, -0x1.ce57c7ec1c588p-9, -0x1.c0f63a351bc85p-9, -0x1.b3ef68df61a67p-9, -0x1.a7412e82a46eap-9, -0x1.9ae970dd56abbp-9, -0x1.8ee620a6b2706p-9, -0x1.8335396142ea4p-9, -0x1.77d4c12e24e95p-9, -0x1.6cc2c8a073e18p-9, -0x1.61fd6a9148b95p-9, -0x1.5782cbf43111dp-9, -0x1.4d511bac1063ap-9, -0x1.4366926085f78p-9, -0x1.39c17253b7133p-9, -0x1.3060073881dc1p-9, -0x1.2740a6095acc1p-9, -0x1.1e61acdf6814p-9, -0x1.15c182ca29ba3p-9, -0x1.0d5e97a799116p-9, -0x1.053763fcbb98p-9, -0x1.fa94d19d2b147p-10, -0x1.eb2c5ef793afcp-10, -0x1.dc32932ce82c7p-10, -0x1.cda4a17d299f2p-10, -0x1.bf7fccf9eff7fp-10, -0x1.b1c1683d019d1p-10, -0x1.a466d51ffffebp-10, -0x1.976d8474ad492p-10, -0x1.8ad2f5be8f1fdp-10, -0x1.7e94b6ed433b3p-10, -0x1.72b064179d90fp-10, -0x1.6723a737e4767p-10, -0x1.5bec37e8c4486p-10, -0x1.5107db237d331p-10, -0x1.467462fe88532p-10, -0x1.3c2fae6d81186p-10, -0x1.3237a901ddd34p-10, -0x1.288a4aac4942fp-10, -0x1.1f25977f5269ep-10, -0x1.16079f72a5be1p-10, -0x1.0d2e7e27500ffp-10, -0x1.04985aacbd947p-10, -0x1.f886ce8db7821p-11, -0x1.e85bc2699edf4p-11, -0x1.d8ac20f181c38p-11, -0x1.c9748f407e659p-11, -0x1.bab1c71bb4d9ep-11, -0x1.ac6096864eadep-11, -0x1.9e7ddf581e92p-11, -0x1.910696d520be5p-11, -0x1.83f7c5471a796p-11, -0x1.774e85989719ep-11, -0x1.6b0804f1b1c05p-11, -0x1.5f2182566a7aep-11, -0x1.53984e468d222p-11, -0x1.4869ca5f393e5p-11, -0x1.3d9368fdd67d3p-11, -0x1.3312ace4a743bp-11, -0x1.28e528e1400fp-11, -0x1.1f087f73dfca4p-11, -0x1.157a6278c0c56p-11, -0x1.0c3892d26ca04p-11, -0x1.0340e0164f8c7p-11, -0x1.f5225073f5f09p-12, -0x1.e44eae84784f1p-12, -0x1.d402cde6decafp-12, -0x1.c43abd070f3b5p-12, -0x1.b4f2a499f252ep-12, -0x1.a626c7071e906p-12, -0x1.97d37fd48e80cp-12, -0x1.89f543153a0b7p-12, -0x1.7c889cd9df17ep-12, -0x1.6f8a30a57b811p-12, -0x1.62f6b8e33beedp-12, -0x1.56cb065f899fap-12, -0x1.4b03ffc3662b2p-12, -0x1.3f9ea1128def7p-12, -0x1.3497fb2b8d0b2p-12, -0x1.29ed334ad9285p-12, -0x1.1f9b828f572cp-12, -0x1.15a03582bc15dp-12, -0x1.0bf8aba2dac2fp-12, -0x1.02a256edd8c9ep-12, -0x1.f33576e10ed8bp-13, -0x1.e1beddae3823ep-13, -0x1.d0dc2fffa3b5bp-13, -0x1.c088dd1fd829ap-13, -0x1.b0c07515ef998p-13, -0x1.a17ea7d6a090ep-13, -0x1.92bf447ce1755p-13, -0x1.847e38829df2cp-13, -0x1.76b78effd01c3p-13, -0x1.69676fee9244cp-13, -0x1.5c8a1f6ea7ef7p-13, -0x1.501bfd1296e73p-13, -0x1.4419832c560e2p-13, -0x1.387f461f90b74p-13, -0x1.2d49f3b72ec4fp-13, -0x1.2276527e123ccp-13, -0x1.1801411ca7bdbp-13, -0x1.0de7b5b84989ap-13, -0x1.0426bd579c2cdp-13, -0x1.f576f692bde4dp-14, -0x1.e346511e38153p-14, -0x1.d1b626940543cp-14, -0x1.c0c13c5c13507p-14, -0x1.b0627fe6a2443p-14, -0x1.a095059fff206p-14, -0x1.915407e2bd591p-14, -0x1.829ae5f3832c5p-14, -0x1.74652301d86a7p-14, -0x1.66ae652f10e51p-14, -0x1.5972749b1a502p-14, -0x1.4cad3a768e557p-14, -0x1.405ac01b62e8cp-14, -0x1.34772e27c8b3p-14, -0x1.28fecba522b38p-14, -0x1.1dedfd2cb3dfcp-14, -0x1.13414415ed21dp-14, -0x1.08f53da9ab0c1p-14, -0x1.fe0d44b06ab6cp-15, -0x1.eae489eba8e0dp-15, -0x1.d86a23fab25ddp-15, -0x1.c6981da561816p-15, -0x1.b568b22293b9fp-15, -0x1.a4d64bb08faa9p-15, -0x1.94db823e656cp-15, -0x1.85731a1bbe0a4p-15, -0x1.769802aaac6b3p-15, -0x1.68455528b751ap-15, -0x1.5a76537427e52p-15, -0x1.4d2666db0e35bp-15, -0x1.40511ef4b7cedp-15, -0x1.33f230813eb26p-15, -0x1.280574523af4cp-15, -0x1.1c86e637acd9cp-15, -0x1.1172a3f7b3cb6p-15, -0x1.06c4ec491d187p-15, -0x1.f8f43bb3f371p-16, -0x1.e51d6cb10a31bp-16, -0x1.d1fea3083dc42p-16, -0x1.bf91508953c76p-16, -0x1.adcf1f9264d13p-16, -0x1.9cb1f14f46f6bp-16, -0x1.8c33dc17d6e32p-16, -0x1.7c4f29c93b6ccp-16, -0x1.6cfe562b565ffp-16, -0x1.5e3c0d6e2458fp-16, -0x1.50032aa32df8cp-16, -0x1.424eb64de2969p-16, -0x1.3519e4f163f0bp-16, -0x1.286015b2ac598p-16, -0x1.1c1cd100e6e0fp-16, -0x1.104bc746b0d62p-16, -0x1.04e8cfa79859cp-16, -0x1.f3dfcd77daf1fp-17, -0x1.deba5ad4b8d7ap-17, -0x1.ca59cf6aea8bdp-17, -0x1.b6b6f7370bc49p-17, -0x1.a3cadfff0c72fp-17, -0x1.918ed71e9c2a2p-17, -0x1.7ffc678a3f1c8p-17, -0x1.6f0d57b845975p-17, -0x1.5ebba7beead9ep-17, -0x1.4f018f553e82p-17, -0x1.3fd97c0ebf21dp-17, -0x1.313e0f794987cp-17, -0x1.232a1d7bfeebap-17, -0x1.1598aa935182ep-17, -0x1.0884ea34dd734p-17, -0x1.f7d47a5b41d01p-18, -0x1.df8860460c83p-18, -0x1.c81cf416a85f4p-18, -0x1.b189f5800db0cp-18, -0x1.9bc7731dea09cp-18, -0x1.86cdc7c16cc03p-18, -0x1.729597bde066ap-18, -0x1.5f17ce661718p-18, -0x1.4c4d9b84ea548p-18, -0x1.3a3070f5e2badp-18, -0x1.28ba004dc2af7p-18, -0x1.17e4389057d41p-18, -0x1.07a9441c6b276p-18, -0x1.f0070c95882ecp-19, -0x1.d1db33494e7d9p-19, -0x1.b4c49b762b6aep-19, -0x1.98b94a95222efp-19, -0x1.7dafa8a0e7355p-19, -0x1.639e7c85fe4cp-19, -0x1.4a7ce89e8cb03p-19, -0x1.3242674a29aa4p-19, -0x1.1ae6c7b8d69f5p-19, -0x1.04622aad366fp-19, -0x1.dd59feb887cp-20, -0x1.b3800144beacep-20, -0x1.8b286414708fap-20, -0x1.6445ba2c65608p-20, -0x1.3ecb1cbe3a47bp-20, -0x1.1aac26a994bbfp-20, -0x1.efb9de47e85f4p-21, -0x1.aca409059540ap-21, -0x1.6c00d0fac0c18p-21, -0x1.2dbb15a8a337fp-21, -0x1.e37d15cd27abfp-22, -0x1.6fef6097c12c9p-22, -0x1.00a790d48e8c4p-22, -0x1.2b0349120bc94p-23, -0x1.72d80fbd3eaf9p-25, 0x1.a76cb542695d4p-25, 0x1.28f032009e8d7p-23, 0x1.e0c67439e60c2p-23, 0x1.48cc7d69cdfc6p-22, 0x1.9dd041568cbbep-22, 0x1.ef89cadb69047p-22, 0x1.1f09a8bffdf95p-21, 0x1.44c305c4ac36bp-21, 0x1.68fd1b0a4c879p-21, 0x1.8bc3031e8d996p-21, 0x1.ad20f2a553b5dp-21, 0x1.cd214177e1ba5p-21, 0x1.ebce517bef0cbp-21, 0x1.0499106be161dp-20, 0x1.12ab27193be04p-20, 0x1.20220e651241bp-20, 0x1.2d023c2eb0c53p-20, 0x1.394ffc7719f67p-20, 0x1.450f735b5ecc6p-20, 0x1.50449e8eb9563p-20, 0x1.5af357222245ep-20, 0x1.651f53200da2p-20, 0x1.6ecc275632effp-20, 0x1.77fd48516244cp-20, 0x1.80b60c23a31cp-20, 0x1.88f9aba61f2bdp-20, 0x1.90cb43c0277c4p-20, 0x1.982dd6c3dc202p-20, 0x1.9f244d8b9eaddp-20, 0x1.a5b17859fb32ep-20, 0x1.abd8107e3f8aap-20, 0x1.b19ab8e679a02p-20, 0x1.b6fbff980a1d1p-20, 0x1.bbfe5e15e7cdap-20, 0x1.c0a43aadb8019p-20, 0x1.c4efe931bbc25p-20, 0x1.c8e3abe46e5f5p-20, 0x1.cc81b436c0d57p-20, 0x1.cfcc238eddff9p-20, 0x1.d2c50c020681ep-20, 0x1.d56e7107e1828p-20, 0x1.d7ca4821a230fp-20, 0x1.d9da79842ad7ep-20, 0x1.dba0e096ecf7bp-20, 0x1.dd1f4caa44385p-20, 0x1.de57815b64963p-20, 0x1.df4b3770d71d7p-20, 0x1.dffc1cd868b8ep-20, 0x1.e06bd55b4de7p-20, 0x1.e09bfb46132bbp-20, 0x1.e08e1f9a6d86ep-20, 0x1.e043ca6ad97d8p-20, 0x1.dfbe7b501bf9dp-20, 0x1.deffa9ddb43b6p-20, 0x1.de08c5d4b453p-20, 0x1.dcdb375c38771p-20, 0x1.db785fbe8edecp-20, 0x1.d9e1994a29364p-20, 0x1.d81837de5bb8dp-20, 0x1.d61d88eb94881p-20, 0x1.d3f2d3e135bb9p-20, 0x1.d1995a5787b07p-20, 0x1.cf125850dce4ep-20, 0x1.cc5f0460589f3p-20, 0x1.c980900414f5cp-20, 0x1.c67827995063cp-20, 0x1.c346f2a9c60fp-20, 0x1.bfee140651504p-20, 0x1.bc6eaa29fd5c2p-20, 0x1.b8c9cefcd7fa2p-20, 0x1.b5009836dc495p-20, 0x1.b11417710b3dap-20, 0x1.ad055a43d4268p-20, 0x1.a8d56a6344d1cp-20, 0x1.a4854da19e2b4p-20, 0x1.a0160666d878p-20, 0x1.9b88933be79cap-20, 0x1.96ddef3a66f47p-20, 0x1.92171212a7ffbp-20, 0x1.8d34f006a71dfp-20, 0x1.88387a2345ba4p-20, 0x1.83229e191744p-20, 0x1.7df446a4ef689p-20, 0x1.78ae5b08690b5p-20, 0x1.7351bfc1f18fbp-20, 0x1.6ddf562f4ecf7p-20, 0x1.6857fc9efcc5p-20, 0x1.62bc8ea7687afp-20, 0x1.5d0de4aa1a37bp-20, 0x1.574cd47613c48p-20, 0x1.517a30c847ff6p-20, 0x1.4b96c99ff8888p-20, 0x1.45a36c325b4bep-20, 0x1.3fa0e2f21d93bp-20, 0x1.398ff59198f7p-20, 0x1.337168f93ba0bp-20, 0x1.2d45ff9239836p-20, 0x1.270e78e2f9414p-20, 0x1.20cb91cdf8b8bp-20, 0x1.1a7e048c57acdp-20, 0x1.142688ccc857ap-20, 0x1.0dc5d37eb82ffp-20, 0x1.075c96f73273cp-20, 0x1.00eb82f9768cbp-20, 0x1.f4e68946845eap-21, 0x1.e7e90d0e6f911p-21, 0x1.dadfe1090f8b2p-21, 0x1.cdcc5009314cbp-21, 0x1.c0af9fa7a08b7p-21, 0x1.b38b10561c58bp-21, 0x1.a65fdd6fd2d23p-21, 0x1.992f3d324cbep-21, 0x1.8bfa60c1a7362p-21, 0x1.7ec274348d0bfp-21, 0x1.71889eb56b0a3p-21, 0x1.644e01c01cc7cp-21, 0x1.5713ba9e9e42ap-21, 0x1.49dae11546dd9p-21, }}, 
      {{0x1.b5732c38c9827p-11, 0x1.af1302e8c4f36p-9, 0x1.da4e24a3d61f1p-8, 0x1.99ce700fe3c95p-7, 0x1.359da2f93c52cp-6, 0x1.ad4fe6b33098ep-6, 0x1.184eb67c7d0dep-5, 0x1.5e2578c36375fp-5, 0x1.a6abbfb5e4e3cp-5, 0x1.f083b1fa5e1a7p-5, 0x1.1d3a8c7f6c138p-4, 0x1.41b6c9c5b281p-4, 0x1.653fa0b3d2815p-4, 0x1.876fffe44a85dp-4, 0x1.a7f333fad5615p-4, 0x1.c683b98234b77p-4, 0x1.e2e975939a799p-4, 0x1.fcf8f5b0bf3edp-4, 0x1.0a48a263ac6adp-3, 0x1.14cd9de2935ecp-3, 0x1.1e03f6190c212p-3, 0x1.25e7eb48cc1b5p-3, 0x1.2c78b65621fdfp-3, 0x1.31b80f1f36d78p-3, 0x1.35aacafcd204p-3, 0x1.38568c8a57a95p-3, 0x1.39c29a844aea3p-3, 0x1.39f9347629396p-3, 0x1.3904afd0fdebfp-3, 0x1.36eed680b92e3p-3, 0x1.33c3727ba77fap-3, 0x1.2f8fdfb25cd2fp-3, 0x1.2a609cc9807bfp-3, 0x1.2442ec6495cd3p-3, 0x1.1d43fb2a00187p-3, 0x1.15710a2173c14p-3, 0x1.0cd78ef194749p-3, 0x1.0385052df7b4p-3, 0x1.f30d5f29bda41p-4, 0x1.ddd3110b3c61p-4, 0x1.c774a45f5ab48p-4, 0x1.b00b35a46ba85p-4, 0x1.97af50c0207f8p-4, 0x1.7e78be0585159p-4, 0x1.647e6e45ccbc2p-4, 0x1.49d6864cc5cc4p-4, 0x1.2e966cfadacfep-4, 0x1.12d2c7aeedb4dp-4, 0x1.ed3ed00e274cbp-5, 0x1.b41e6f71a069p-5, 0x1.7a685694f6053p-5, 0x1.403e7f3b9f984p-5, 0x1.05c10742897c1p-5, 0x1.961cad9dbc61ep-6, 0x1.20869313db92cp-6, 0x1.55ed213289dabp-7, 0x1.ad049b39f789ep-9, -0x1.fa540daf4c8a6p-9, -0x1.673a05fdbf71fp-7, -0x1.272c8e18240f6p-6, -0x1.99d1f2c6cdd29p-6, -0x1.05b47d087d54cp-5, -0x1.3d9a9a14bc65dp-5, -0x1.751ec5cc1ae2ep-5, -0x1.abeec5d40dbbp-5, -0x1.e1fd5c9930e25p-5, -0x1.0b9f127c42d32p-4, -0x1.25d2dcd72beeap-4, -0x1.3f94ebc50939ep-4, -0x1.58e0b653deec5p-4, -0x1.71b24818d9208p-4, -0x1.8a06334c97217p-4, -0x1.a1d97dd0ab98ep-4, -0x1.b9298e7fff4bp-4, -0x1.cff41f01d76dcp-4, -0x1.e6373406bdd4cp-4, -0x1.fbf11b5744756p-4, -0x1.089036a62311cp-3, -0x1.12e2075093e54p-3, -0x1.1ced980ae885p-3, -0x1.26b2a5534962bp-3, -0x1.30310c53c274cp-3, -0x1.3968c69f53bdcp-3, -0x1.4259e619cd5bfp-3, -0x1.4b0491e3ac83dp-3, -0x1.536904bcc3616p-3, -0x1.5b878cd282e81p-3, -0x1.63608c85d016dp-3, -0x1.6af47b7c7f972p-3, -0x1.7243e7547e543p-3, -0x1.794f737f862ap-3, -0x1.8017d8180307ap-3, -0x1.869ddfc998385p-3, -0x1.8ce2651daf552p-3, -0x1.92e64f947b502p-3, -0x1.98aa90ecba95p-3, -0x1.9e3022e111cb1p-3, -0x1.a378057c609fp-3, -0x1.a8833e0331327p-3, -0x1.ad52d6567ef27p-3, -0x1.b1e7dca7450b1p-3, -0x1.b643635160dd4p-3, -0x1.ba6680bba2072p-3, -0x1.be524f2666016p-3, -0x1.c207ec5dc2558p-3, -0x1.c588794dc3303p-3, -0x1.c8d5197dad6f3p-3, -0x1.cbeef27a52d96p-3, -0x1.ced72b37e7107p-3, -0x1.d18eeb720ea24p-3, -0x1.d4175b0db157p-3, -0x1.d671a17c327fdp-3, -0x1.d89ee51c4c19ep-3, -0x1.daa04a92cd2edp-3, -0x1.dc76f415dbbe9p-3, -0x1.de2400a87221ap-3, -0x1.dfa88b48d875fp-3, -0x1.e105aa1adb545p-3, -0x1.e23c6d9b87ebep-3, -0x1.e34ddfef2691dp-3, -0x1.e43b0459b1b01p-3, -0x1.e504d6ee97601p-3, -0x1.e5ac4c7e612e7p-3, -0x1.e63252c1c602ap-3, -0x1.e697d0ba6865fp-3, -0x1.e6dda73c0e979p-3, -0x1.e7034f03bd515p-3, -0x1.e70b71bd84024p-3, -0x1.e6f68553fc5dfp-3, -0x1.e6c5626122013p-3, -0x1.e678dbdd4994ep-3, -0x1.e611bf38567f7p-3, -0x1.e590d47e815a9p-3, -0x1.e4f6de7f14a9dp-3, -0x1.e4449aed58646p-3, -0x1.e37ac276c43b9p-3, -0x1.e29a08cce4e16p-3, -0x1.e1a31ca467802p-3, -0x1.e096a7ad3d2fp-3, -0x1.df754e892d4bep-3, -0x1.de3fb0c6a0dfep-3, -0x1.dcf668e4e2b2fp-3, -0x1.db9a0c65aa94dp-3, -0x1.da2b2bee315c8p-3, -0x1.d8aa537818638p-3, -0x1.d7180a90b3ec7p-3, -0x1.d574d4a3fa89ap-3, -0x1.d3c1314f5575p-3, -0x1.d1fd9cb820b9ep-3, -0x1.d02a8fe1a76e4p-3, -0x1.ce4880fea2459p-3, -0x1.cc57e3baf319cp-3, -0x1.ca59297afac21p-3, -0x1.c84cc18ec7bbep-3, -0x1.c63319581867cp-3, -0x1.c40c9c63112fdp-3, -0x1.c1d9b47219d25p-3, -0x1.bf9ac97e0b1eep-3, -0x1.bd5041ac47edcp-3, -0x1.bafa813cd65c7p-3, -0x1.b899ea72bdd96p-3, -0x1.b62edd7932458p-3, -0x1.b3b9b84809e33p-3, -0x1.b13ad689e164fp-3, -0x1.aeb2918620309p-3, -0x1.ac214010ba75p-3, -0x1.a9873681138fep-3, -0x1.a6e4c6b0f0e4bp-3, -0x1.a43a4003fd911p-3, -0x1.a187ef77ba0dbp-3, -0x1.9ece1fbb69c7cp-3, -0x1.9c0d194f05c5p-3, -0x1.994522a801569p-3, -0x1.9676805a7674fp-3, -0x1.93a175452606ap-3, -0x1.90c642beb8549p-3, -0x1.8de528c2b9c3ap-3, -0x1.8afe661cf8613p-3, -0x1.881238920599cp-3, -0x1.8520dd03ef7cdp-3, -0x1.822a8f9279b6cp-3, -0x1.7f2f8bb66143cp-3, -0x1.7c300c5776f6bp-3, -0x1.792c4bdd93775p-3, -0x1.7624843ca32b3p-3, -0x1.7318eefc26657p-3, -0x1.7009c53aa568fp-3, -0x1.6cf73fadb5afp-3, -0x1.69e1969f23592p-3, -0x1.66c901e7f784p-3, -0x1.63adb8e9e1309p-3, -0x1.608ff287a53eep-3, -0x1.5d6fe51d0c3a1p-3, -0x1.5a4dc676c677fp-3, -0x1.5729cbca914f3p-3, -0x1.540429afe6678p-3, -0x1.50dd141962dfep-3, -0x1.4db4be4efc492p-3, -0x1.4a8b5ae908bbbp-3, -0x1.47611bcc1765p-3, -0x1.4436322589b77p-3, -0x1.410ace68c92bep-3, -0x1.3ddf204d063cp-3, -0x1.3ab356cb60086p-3, -0x1.3787a01d517c1p-3, -0x1.345c29bb4b4c8p-3, -0x1.3131205b6e84cp-3, -0x1.2e06aff04b77p-3, -0x1.2add03a7a7b7p-3, -0x1.27b445e94799dp-3, -0x1.248ca055c1623p-3, -0x1.21663bc560422p-3, -0x1.1e4140473276ap-3, -0x1.1b1dd520443f1p-3, -0x1.17fc20cb291e3p-3, -0x1.14dc48f7d7c98p-3, -0x1.11be728bf32b5p-3, -0x1.0ea2c1a383fbdp-3, -0x1.0b8959923103cp-3, -0x1.08725ce4ea9ap-3, -0x1.055ded641bd48p-3, -0x1.024c2c1643843p-3, -0x1.fe7a7285e4b16p-4, -0x1.f86268ec305d1p-4, -0x1.f25079071ddfp-4, -0x1.ec44df159a10bp-4, -0x1.e63fd5f535041p-4, -0x1.e04197298df81p-4, -0x1.da4a5ae363d2ep-4, -0x1.d45a58074a212p-4, -0x1.ce71c433bdfe8p-4, -0x1.c890d3c693de2p-4, -0x1.c2b7b9e19b039p-4, -0x1.bce6a86e74e9cp-4, -0x1.b71dd0218d3f2p-4, -0x1.b15d607c40879p-4, -0x1.aba587ce3166cp-4, -0x1.a5f67335de288p-4, -0x1.a0504ea08f295p-4, -0x1.9ab344c9a1a33p-4, -0x1.951f7f395f6dp-4, -0x1.8f952643759e3p-4, -0x1.8a1461051b53bp-4, -0x1.849d556316813p-4, -0x1.7f302807a6053p-4, -0x1.79ccfc607a564p-4, -0x1.7473f49cc37a9p-4, -0x1.6f2531ab706ddp-4, -0x1.69e0d339ad285p-4, -0x1.64a6f7b1ade0ep-4, -0x1.5f77bc39ce92fp-4, -0x1.5a533cb41183fp-4, -0x1.553993be012e1p-4, -0x1.502adab0f6f92p-4, -0x1.4b240a8051d35p-4, -0x1.462bb444bdd47p-4, -0x1.413e943415181p-4, -0x1.3c5cbde7b2c4bp-4, -0x1.378643c129e74p-4, -0x1.32bb36ede028ep-4, -0x1.2dfba76ad560fp-4, -0x1.2947a40893ca4p-4, -0x1.249f3a6f4097p-4, -0x1.20027722cd6a8p-4, -0x1.1b7165874246dp-4, -0x1.16ec0fe51c3c9p-4, -0x1.12727f6dbe93ap-4, -0x1.0e04bc3ff17fap-4, -0x1.09a2cd6c6c9dfp-4, -0x1.054cb8fa65ac2p-4, -0x1.010283ec27568p-4, -0x1.f9886487549fep-5, -0x1.f1238e0e5c799p-5, -0x1.e8d6888ba1b64p-5, -0x1.e0a1563848946p-5, -0x1.d883f77187d2bp-5, -0x1.d07e6ac1c298cp-5, -0x1.c890ace99f353p-5, -0x1.c0bab8e91401dp-5, -0x1.b8fc88086b7bbp-5, -0x1.b15611e13d736p-5, -0x1.a9c74c6765122p-5, -0x1.a2502bf1e9dadp-5, -0x1.9af0a343e8aa8p-5, -0x1.93a8a39571d11p-5, -0x1.8c781c9c6b087p-5, -0x1.855efc9567ebdp-5, -0x1.7e5d304c83235p-5, -0x1.7772a3263cd6ap-5, -0x1.709f3f284eeb2p-5, -0x1.69e2ed028c2bp-5, -0x1.633d9417bad8bp-5, -0x1.5caf1a86748a2p-5, -0x1.5637653202d87p-5, -0x1.4fd657cb40498p-5, -0x1.498bd4d97c095p-5, -0x1.4357bdc3536f9p-5, -0x1.3d39f2d7966d9p-5, -0x1.37325356216dcp-5, -0x1.3140bd78b0841p-5, -0x1.2b650e7bb5148p-5, -0x1.259f22a71d0d5p-5, -0x1.1feed5571262cp-5, -0x1.1a540104b21a1p-5, -0x1.14ce7f4eaff9ap-5, -0x1.0f5e2901f3304p-5, -0x1.0a02d6221b0f7p-5, -0x1.04bc5df1f33c2p-5, -0x1.ff152df7af604p-6, -0x1.f4daae33f7c3fp-6, -0x1.eac8e6fd399fcp-6, -0x1.e0df817838596p-6, -0x1.d71e2599fe18dp-6, -0x1.cd847a3795947p-6, -0x1.c4122515a0ad5p-6, -0x1.bac6caf79a9a9p-6, -0x1.b1a20faee986ep-6, -0x1.a8a39629aebbfp-6, -0x1.9fcb00814b839p-6, -0x1.9717f008a9836p-6, -0x1.8e8a055a3e231p-6, -0x1.8620e065c794p-6, -0x1.7ddc207dc2c66p-6, -0x1.75bb646499977p-6, -0x1.6dbe4a598c09ep-6, -0x1.65e47025526bcp-6, -0x1.5e2d732677b54p-6, -0x1.5698f05d6b6d4p-6, -0x1.4f2684784d2edp-6, -0x1.47d5cbde73394p-6, -0x1.40a662bbacbd9p-6, -0x1.3997e50b36c4dp-6, -0x1.32a9eea27761ap-6, -0x1.2bdc1b3b6e4bap-6, -0x1.252e067ee4089p-6, -0x1.1e9f4c0e59c0fp-6, -0x1.182f878db36a4p-6, -0x1.11de54aca7894p-6, -0x1.0bab4f2fe895dp-6, -0x1.059612fa1c68dp-6, -0x1.ff3c7829138cdp-7, -0x1.f386cd6f2514ap-7, -0x1.e80a5ea5e1368p-7, -0x1.dcc6652b7525cp-7, -0x1.d1ba1aec619d1p-7, -0x1.c6e4ba7297bdfp-7, -0x1.bc457ef4444fbp-7, -0x1.b1dba46213e2dp-7, -0x1.a7a6677523eb3p-7, -0x1.9da505bc7ad18p-7, -0x1.93d6bdaa36d6p-7, -0x1.8a3acea0319e8p-7, -0x1.80d078fc673fdp-7, -0x1.7796fe24e70fap-7, -0x1.6e8da0936bcb8p-7, -0x1.65b3a3e09de6ap-7, -0x1.5d084ccef1eb6p-7, -0x1.548ae15522f02p-7, -0x1.4c3aa8a870877p-7, -0x1.4416eb4665e8bp-7, -0x1.3c1ef2fe59094p-7, -0x1.34520afa94486p-7, -0x1.2caf7fc91c53p-7, -0x1.25369f6433bd7p-7, -0x1.1de6b93a7894ep-7, -0x1.16bf1e36bfee7p-7, -0x1.0fbf20c78e3eep-7, -0x1.08e614e6451a9p-7, -0x1.0233501dfa1f9p-7, -0x1.f74c53240691bp-8, -0x1.ea7bf40852ed7p-8, -0x1.ddf437b515c69p-8, -0x1.d1b3d64a5a2cp-8, -0x1.c5b98b468b094p-8, -0x1.ba04159043984p-8, -0x1.ae92377fa2dap-8, -0x1.a362b6e6d80e6p-8, -0x1.98745d1a3472bp-8, -0x1.8dc5f6f77ba1p-8, -0x1.835654ecbcdeap-8, -0x1.79244afe6251dp-8, -0x1.6f2eb0ccbcc4p-8, -0x1.65746198f2e45p-8, -0x1.5bf43c4958d36p-8, -0x1.52ad236d07fefp-8, -0x1.499dfd3f3328bp-8, -0x1.40c5b3a958c91p-8, -0x1.3823344582653p-8, -0x1.2fb5705f78c5ap-8, -0x1.277b5cf595f1cp-8, -0x1.1f73f2b903ac1p-8, -0x1.179e2e0d6509p-8, -0x1.0ff90f0802c34p-8, -0x1.0883996e669bp-8, -0x1.013cd4b474f23p-8, -0x1.f44797f4100ecp-9, -0x1.e66f1c101d8dap-9, -0x1.d8ee5a9a57a2bp-9, -0x1.cbc37fb3f181ap-9, -0x1.beecbeb945943p-9, -0x1.b2685238cc50fp-9, -0x1.a6347be8b45a2p-9, -0x1.9a4f849c1397dp-9, -0x1.8eb7bc3731821p-9, -0x1.836b79a32f4acp-9, -0x1.78691ac0f09fap-9, -0x1.6daf045b8ad3dp-9, -0x1.633ba219fa435p-9, -0x1.590d66706bap-9, -0x1.4f22ca90ed4p-9, -0x1.457a4e5ba8836p-9, -0x1.3c12784ec3f7cp-9, -0x1.32e9d575fb2dp-9, -0x1.29fef9597e741p-9, -0x1.21507decc51b4p-9, -0x1.18dd037d642b2p-9, -0x1.10a330a0f5e2ep-9, -0x1.08a1b22363b86p-9, -0x1.00d73af4c201dp-9, -0x1.f285082e2fd77p-10, -0x1.e3c49917eaa8p-10, -0x1.d56ab2842fb14p-10, -0x1.c774ea05b055ap-10, -0x1.b9e0e0bf49c9ap-10, -0x1.acac433ed8f8ap-10, -0x1.9fd4c958284f5p-10, -0x1.935835ffbbbeap-10, -0x1.8734572643616p-10, -0x1.7b67059319cf6p-10, -0x1.6fee24bfa03e3p-10, -0x1.64c7a2b2f9358p-10, -0x1.59f177dd6b70ep-10, -0x1.4f69a6f41db44p-10, -0x1.452e3ccd0aebcp-10, -0x1.3b3d503b3af9ap-10, -0x1.319501eb58f72p-10, -0x1.28337c40112a2p-10, -0x1.1f16f32f42a6p-10, -0x1.163da41f5192cp-10, -0x1.0da5d5c408ddep-10, -0x1.054dd7fcd5ae2p-10, -0x1.fa680764d0bccp-11, -0x1.eaad756ae5ff1p-11, -0x1.db68cf38975adp-11, -0x1.cc96fb44b8562p-11, -0x1.be34f10dae535p-11, -0x1.b03fb8d7fb92p-11, -0x1.a2b46b6d40a31p-11, -0x1.959031db91a01p-11, -0x1.88d0453591ff6p-11, -0x1.7c71ee52c264dp-11, -0x1.7072859038827p-11, -0x1.64cf729297da7p-11, -0x1.59862c06d962bp-11, -0x1.4e9437654ad67p-11, -0x1.43f728b3b1cd6p-11, -0x1.39aca24986c16p-11, -0x1.2fb25491dd6p-11, -0x1.2605fdd0afcdcp-11, -0x1.1ca569e63148fp-11, -0x1.138e7214b7467p-11, -0x1.0abefcc5dea6fp-11, -0x1.0234fd4f72c5cp-11, -0x1.f3dce7744f8ebp-12, -0x1.e3d2d910c86ecp-12, -0x1.d44800f96a2b8p-12, -0x1.c538a8c3a2b6ep-12, -0x1.b6a131a45cf81p-12, -0x1.a87e14014cfe2p-12, -0x1.9acbdf01d7c4fp-12, -0x1.8d8738232d477p-12, -0x1.80acdaca4623cp-12, -0x1.743997d937949p-12, -0x1.682a5544b6b36p-12, -0x1.5c7c0daa401dap-12, -0x1.512bcfe8fa1aep-12, -0x1.4636beb80d583p-12, -0x1.3b9a1042220acp-12, -0x1.31530dbfd8c2ap-12, -0x1.275f131206e5bp-12, -0x1.1dbb8e6083d8ap-12, -0x1.1465ffb7223bep-12, -0x1.0b5bf8a4efecap-12, -0x1.029b1bdc540c8p-12, -0x1.f44239aab8c54p-13, -0x1.e3d77edf0d8f3p-13, -0x1.d3f1af28ea69dp-13, -0x1.c48c91bde09f3p-13, -0x1.b5a40c814d2dep-13, -0x1.a7342350de295p-13, -0x1.9938f75747912p-13, -0x1.8baec6610aaecp-13, -0x1.7e91ea30dedfcp-13, -0x1.71ded7d970c44p-13, -0x1.65921f196bcc1p-13, -0x1.59a869b7a7cbp-13, -0x1.4e1e7ae507eabp-13, -0x1.42f12e9ee36bap-13, -0x1.381d79147e06ep-13, -0x1.2da0660f40ac4p-13, -0x1.2377185f10189p-13, -0x1.199ec9448a975p-13, -0x1.1014c7e2fa583p-13, -0x1.06d678b25b957p-13, -0x1.fbc2a9e89ca5fp-14, -0x1.ea65d455c02f9p-14, -0x1.d991b32b74869p-14, -0x1.c941af546ae0ap-14, -0x1.b9715729d42dp-14, -0x1.aa1c5d78905bdp-14, -0x1.9b45312f5c30ep-14, -0x1.8cda8b443e331p-14, -0x1.7edf29cc84328p-14, -0x1.714f480b42074p-14, -0x1.6427411042f87p-14, -0x1.57638ed9f364cp-14, -0x1.4b00c97563d8bp-14, -0x1.3efba62e2c8e5p-14, -0x1.3350f6b6defffp-14, -0x1.27fda85daad14p-14, -0x1.1cfec343a4d19p-14, -0x1.12516997b06fdp-14, -0x1.07f2d6d5f9988p-14, -0x1.fbc0be194e209p-15, -0x1.e82edc479e1c8p-15, -0x1.d52b0e519b373p-15, -0x1.c2b0873fa9ba2p-15, -0x1.b0baa5b03646ap-15, -0x1.9f44f28b4b41cp-15, -0x1.8e4b1fb2ba643p-15, -0x1.7dc906d1a9cb7p-15, -0x1.6dbaa81527b2ap-15, -0x1.5e1c2902f197cp-15, -0x1.4ee9d34ff6337p-15, -0x1.402013bdd7275p-15, -0x1.31bb78fec72cap-15, -0x1.23b8b2a513688p-15, -0x1.1614901180fe4p-15, -0x1.08cbff6ed3527p-15, -0x1.f7b819639c5d8p-16, -0x1.de83c13e84826p-16, -0x1.c5f57fb3d4917p-16, -0x1.ae0813e7f126p-16, -0x1.96b6710e97d55p-16, -0x1.7ffbbcb6ef437p-16, -0x1.69d34d02d2cefp-16, -0x1.5438a7048455dp-16, -0x1.3f277d2292203p-16, -0x1.2a9bad7dc8a75p-16, -0x1.1691406d94ca8p-16, -0x1.030466fd89d9fp-16, -0x1.dfe2f30036037p-17, -0x1.baa9ec1b6561bp-17, -0x1.9656fe8f5560fp-17, -0x1.72e3b5cbbf405p-17, -0x1.5049e1016c301p-17, -0x1.2e83907d7281ep-17, -0x1.0d8b13291c34dp-17, -0x1.dab5e8b5e360dp-18, -0x1.9bdbf2a59a1b8p-18, -0x1.5e7e3e328ba04p-18, -0x1.22933098d3f3fp-18, -0x1.d0232bf44ab1p-19, -0x1.5de13aa9af555p-19, -0x1.dc9f521d91795p-20, -0x1.02bc91af3c794p-20, -0x1.6fd9a33247805p-23, 0x1.4384ec446ea64p-21, 0x1.6c98de1171746p-20, 0x1.1951a0768ad6bp-19, 0x1.79fddadcac4fep-19, 0x1.d85d9d11599aap-19, 0x1.1a3e6fd30d764p-18, 0x1.47338d4a4892cp-18, 0x1.7313a58861437p-18, 0x1.9de3fc940dd19p-18, 0x1.c7a99e6ece419p-18, 0x1.f06961dcfb971p-18, 0x1.0c13f563ef533p-17, 0x1.1f74d65b4f8bbp-17, 0x1.325976898b8dap-17, 0x1.44c3e2ae28133p-17, 0x1.56b612c8a3241p-17, 0x1.6831eafdc722bp-17, 0x1.79393cb22e6dap-17, 0x1.89cdc77a0bf1p-17, 0x1.99f13a06ae113p-17, 0x1.a9a5330ff1cbep-17, 0x1.b8eb422805166p-17, 0x1.c7c4e89ffe474p-17, 0x1.d6339a421111cp-17, 0x1.e438be249fa0fp-17, 0x1.f1d5af5f8b36ap-17, 0x1.ff0bbdbd646cdp-17, 0x1.05ee17375910cp-16, 0x1.0c241e5763eadp-16, 0x1.12288d31517d5p-16, 0x1.17fbf85929e3cp-16, 0x1.1d9ef0467df48p-16, 0x1.231201a23116bp-16, 0x1.2855b58b99e26p-16, 0x1.2d6a91cdb44abp-16, 0x1.325119244748dp-16, 0x1.3709cb6b66051p-16, 0x1.3b9525efe29eep-16, 0x1.3ff3a37fcc078p-16, 0x1.4425bcb83abap-16, 0x1.482be81e8a889p-16, 0x1.4c069a6683afdp-16, 0x1.4fb6468c31ba1p-16, 0x1.533b5dfd72147p-16, 0x1.569650c7a0d82p-16, 0x1.59c78db59ad9dp-16, 0x1.5ccf82744040ep-16, 0x1.5fae9bb621d3ep-16, 0x1.62654545c864ap-16, 0x1.64f3ea2929e82p-16, 0x1.675af4d150181p-16, 0x1.699acf0f14b41p-16, }}, 
      {{0x1.3fc8ce3810e38p-3, 0x1.3832c6ca811aap-2, 0x1.c3f96a36cbe3cp-2, 0x1.20332b79b1e0dp-1, 0x1.5612c100d4766p-1, 0x1.8375d8df6db64p-1, 0x1.a890c75402c41p-1, 0x1.c5d41f74cd659p-1, 0x1.dbd65c0a52e7p-1, 0x1.eb4367be04d06p-1, 0x1.f4d0878c48a3bp-1, 0x1.f933916feafc7p-1, 0x1.f91d6ebd52523p-1, 0x1.f53576b311487p-1, 0x1.ee17e4b38474ep-1, 0x1.e453e35827bfdp-1, 0x1.d86b1abd1da3ap-1, 0x1.cad1fb187806cp-1, 0x1.bbefeb32a4ef8p-1, 0x1.ac1ff1504fd8cp-1, 0x1.9bb18ec9d3592p-1, 0x1.8ae9b4b61b7d2p-1, 0x1.7a03b3a6e6ccap-1, 0x1.6932135edb2e5p-1, 0x1.589f19a75b81fp-1, 0x1.486e541d4d7dp-1, 0x1.38bd144753b0dp-1, 0x1.29a2a2605ff7p-1, 0x1.1b31c0cfb0239p-1, 0x1.0d794e307b3a1p-1, 0x1.0083f2e98cc73p-1, 0x1.e8b08577a47c3p-2, 0x1.d1f6621dda4e6p-2, 0x1.bcddacce66017p-2, 0x1.a966381d0fa51p-2, 0x1.978c44cda6297p-2, 0x1.87492eb5bfca1p-2, 0x1.7893db85ee141p-2, 0x1.6b610e6b12bap-2, 0x1.5fa3c634fd46cp-2, 0x1.554da2e7e0242p-2, 0x1.4c4f39f619421p-2, 0x1.449854c44174fp-2, 0x1.3e18284debaep-2, 0x1.38bd8bf3ac885p-2, 0x1.34772926c730ap-2, 0x1.3133a1009437ep-2, 0x1.2ee1ac208d04cp-2, 0x1.2d703881ca061p-2, 0x1.2cce849a0e9e6p-2, 0x1.2cec35a06e951p-2, 0x1.2db967f89405ep-2, 0x1.2f26b9fb44e26p-2, 0x1.31255256ee5a5p-2, 0x1.33a6e440b73d3p-2, 0x1.369db3dd78ba1p-2, 0x1.39fc9c1631073p-2, 0x1.3db71539a2974p-2, 0x1.41c13ab0623dp-2, 0x1.460fce2ccdb54p-2, 0x1.4a9837aff2dabp-2, 0x1.4f5082b27a672p-2, 0x1.5427cd5e875a7p-2, 0x1.5923b4c2b6f7bp-2, 0x1.5e351ffb4f2c7p-2, 0x1.63548057ca422p-2, 0x1.687ada7a62996p-2, 0x1.6da1b8bbc3756p-2, 0x1.72c31f0721376p-2, 0x1.77d9827ab4a03p-2, 0x1.7cdfc52adb69bp-2, 0x1.81d134c7c6b1ap-2, 0x1.86a98a28090d5p-2, 0x1.8b64e7ecc3af8p-2, 0x1.8fffd73fbe8d1p-2, 0x1.9477429570a2bp-2, 0x1.98c86f068d568p-2, 0x1.9cf0f5180ed66p-2, 0x1.a0eeb9b45b65dp-2, 0x1.a4bfe7d4287ccp-2, 0x1.a862eb0a5089p-2, 0x1.abd66aec423ep-2, 0x1.af194731bb878p-2, 0x1.b22a945e1c712p-2, 0x1.b50998cae6489p-2, 0x1.b7b5c9f3e5d7ep-2, 0x1.ba2ec9ebecf89p-2, 0x1.bc7464e32dde2p-2, 0x1.be868ea8b716ep-2, 0x1.c065601322f8dp-2, 0x1.c211144406c56p-2, 0x1.c38a05c553b04p-2, 0x1.c4d0ab8d0d381p-2, 0x1.c5e595fdfe46dp-2, 0x1.c6c96c00a801ep-2, 0x1.c77ce84d93aadp-2, 0x1.c800d6faf2b9ap-2, 0x1.c85613558f901p-2, 0x1.c87d860393384p-2, 0x1.c878236854621p-2, 0x1.c846ea3c72e8ap-2, 0x1.c7eae24cb7192p-2, 0x1.c7651b53c9cc9p-2, 0x1.c6b6abe5f7561p-2, 0x1.c5e0b069a428cp-2, 0x1.c4e44a1a233a7p-2, 0x1.c3c29e14c6ff8p-2, 0x1.c27cd470f7bf8p-2, 0x1.c1141764159cap-2, 0x1.bf89927128f17p-2, 0x1.bdde71a32b65fp-2, 0x1.bc13e0cf9fe9ap-2, 0x1.ba2b0ade6b99bp-2, 0x1.b8251913fea1ap-2, 0x1.b603325bd744ap-2, 0x1.b3c67a935d4d5p-2, 0x1.b17011d7882cdp-2, 0x1.af0113da55544p-2, 0x1.ac7a9746e99cbp-2, 0x1.a9ddad3bf0d47p-2, 0x1.a72b60e30670ep-2, 0x1.a464b729c2f17p-2, 0x1.a18aae9dd708fp-2, 0x1.9e9e3f6a22961p-2, 0x1.9ba05b6f7a2eap-2, 0x1.9891ee7186616p-2, 0x1.95733d3ff6043p-2, 0x1.9246118b1a64ap-2, 0x1.8f0b071355573p-2, 0x1.8bc2f625d41ffp-2, 0x1.886eb12098318p-2, 0x1.850f049421969p-2, 0x1.81a4b76601221p-2, 0x1.7e308aef9f894p-2, 0x1.7ab33b15e18a3p-2, 0x1.772d7e57eb9a6p-2, 0x1.73a005d4fd31fp-2, 0x1.700b7d4aef162p-2, 0x1.6c708b1005cfep-2, 0x1.68cfd00b79d6ep-2, 0x1.6529e7b04133cp-2, 0x1.617f67fd498e1p-2, 0x1.5dd0e185a1aeep-2, 0x1.5a1edf821d6b4p-2, 0x1.5669e7ecf22e6p-2, 0x1.52b27ba6dc6e5p-2, 0x1.4ef916a47fcafp-2, 0x1.4b3e30222354ep-2, 0x1.47823adb87a4cp-2, 0x1.43c5a5457ede1p-2, 0x1.4008d9c6eac38p-2, 0x1.3c4c3eef19743p-2, 0x1.389037a7bd235p-2, 0x1.34d5236134f07p-2, 0x1.311b5e3843efap-2, 0x1.2d634114da761p-2, 0x1.29ad21c1f44e8p-2, 0x1.25f952ff0af13p-2, 0x1.2248248bde929p-2, 0x1.1e99e32fab1eep-2, 0x1.1aeed8bd086cap-2, 0x1.17474c13c8befp-2, 0x1.13a3812230271p-2, 0x1.1003b8e6bc27ap-2, 0x1.0c6831739c8cfp-2, 0x1.08d125f4b0256p-2, 0x1.053eceb8b5b56p-2, 0x1.01b1613dfcce2p-2, 0x1.fc522085825d8p-3, 0x1.f54c17b20b2d6p-3, 0x1.ee5102fb308cfp-3, 0x1.e76138638cf41p-3, 0x1.e07d092e32fd6p-3, 0x1.d9a4c218e49e9p-3, 0x1.d2d8ab978ef45p-3, 0x1.cc190a0faf2f7p-3, 0x1.c5661e124fbf7p-3, 0x1.bec024937e188p-3, 0x1.b827571e48121p-3, 0x1.b19bec0499bcbp-3, 0x1.ab1e168a7b448p-3, 0x1.a4ae070c75b23p-3, 0x1.9e4beb212675cp-3, 0x1.97f7edb62327cp-3, 0x1.91b237288b9f9p-3, 0x1.8b7aed59ba13bp-3, 0x1.855233c09ee36p-3, 0x1.7f382b7853e3dp-3, 0x1.792cf34c8c8ffp-3, 0x1.7330a7c468cd3p-3, 0x1.6d43632c3e0c1p-3, 0x1.67653d9ec9ff1p-3, 0x1.61964d0e34f09p-3, 0x1.5bd6a54d42b73p-3, 0x1.56265818e2a9ep-3, 0x1.5085752250b63p-3, 0x1.4af40a19de789p-3, 0x1.457222ba65369p-3, 0x1.3fffc8d5635fdp-3, 0x1.3a9d045fa6cbp-3, 0x1.3549db7e759d9p-3, 0x1.3006529503b98p-3, 0x1.2ad26c5228619p-3, 0x1.25ae29be1e6b9p-3, 0x1.20998a483ac57p-3, 0x1.1b948bd4729a1p-3, 0x1.169f2ac8a7677p-3, 0x1.11b962199334dp-3, 0x1.0ce32b575e94dp-3, 0x1.081c7eb9ca769p-3, 0x1.0365532bedc5fp-3, 0x1.fd7b3caf32a5bp-4, 0x1.f44aa960a0d24p-4, 0x1.eb38d2fbf0ccap-4, 0x1.e2459dce75cebp-4, 0x1.d970ebf751438p-4, 0x1.d0ba9d7b694e9p-4, 0x1.c8229058f94bp-4, 0x1.bfa8a09afd589p-4, 0x1.b74ca86c55c83p-4, 0x1.af0e802ad8f0ep-4, 0x1.a6edfe7a32006p-4, 0x1.9eeaf85695929p-4, 0x1.970541274f95cp-4, 0x1.8f3caad114a9fp-4, 0x1.879105c80bb9ep-4, 0x1.80022121875b5p-4, 0x1.788fcaa55e137p-4, 0x1.7139ceded06f7p-4, 0x1.69fff92cf6f4bp-4, 0x1.62e213d2a5444p-4, 0x1.5bdfe805c026fp-4, 0x1.54f93dfdfc4fp-4, 0x1.4e2ddd030438fp-4, 0x1.477d8b7a060d9p-4, 0x1.40e80ef2a73bap-4, 0x1.3a6d2c3367cf5p-4, 0x1.340ca74574a7fp-4, 0x1.2dc6437ff8b96p-4, 0x1.2799c392f0584p-4, 0x1.2186e9918c1c1p-4, 0x1.1b8d76fc28cb4p-4, 0x1.15ad2cc9f08c9p-4, 0x1.0fe5cb722503cp-4, 0x1.0a3712f523c41p-4, 0x1.04a0c2e529d7ep-4, 0x1.fe4534ddc7211p-5, 0x1.f378b0c38c4d5p-5, 0x1.e8db767094143p-5, 0x1.de6d023feee8fp-5, 0x1.d42cd002ae60ap-5, 0x1.ca1a5b0f88d2fp-5, 0x1.c0351e5246cc9p-5, 0x1.b67c945afb605p-5, 0x1.acedec81b437ep-5, 0x1.a38d4bf375d95p-5, 0x1.9a57ccac9daadp-5, 0x1.914ce80963834p-5, 0x1.886c1756d0c23p-5, 0x1.7fb4d3e109605p-5, 0x1.772697014ea13p-5, 0x1.6ec0da2bb4b79p-5, 0x1.668316fc8e864p-5, 0x1.5e6cc7457f4ebp-5, 0x1.567d651a40bap-5, 0x1.4eb46add087aap-5, 0x1.4711534a94e92p-5, 0x1.3f939985dd18cp-5, 0x1.383ab9235fcf7p-5, 0x1.31062e340e921p-5, 0x1.29f5754fdc272p-5, 0x1.23080b9fe0d84p-5, 0x1.1c3d6ee820c1fp-5, 0x1.15951d90ea589p-5, 0x1.0f0e96afd6a1ap-5, 0x1.08a95a10679d8p-5, 0x1.0264e83c44868p-5, 0x1.f881850638b07p-6, 0x1.ec78d60451456p-6, 0x1.e0aec956b3a08p-6, 0x1.d522669859071p-6, 0x1.c9d2b72852eb9p-6, 0x1.bebec63623e4bp-6, 0x1.b3e5a0cd88629p-6, 0x1.a94655e19aba6p-6, 0x1.9edff657663c1p-6, 0x1.94b1950fee3fcp-6, 0x1.8aba46f1ae178p-6, 0x1.80f922f18fc88p-6, 0x1.776d421b66eb7p-6, 0x1.6e15bf99ee4b3p-6, 0x1.64f1b8be4d2e9p-6, 0x1.5c004d0728869p-6, 0x1.53409e2744edcp-6, 0x1.4ab1d00bb48c3p-6, 0x1.425308e1a32acp-6, 0x1.3a23711bacc2ep-6, 0x1.32223376dccc9p-6, 0x1.2a4e7cff3b8c5p-6, 0x1.22a77d13fafa7p-6, 0x1.1b2c656b4d1b8p-6, 0x1.13dc6a15d0181p-6, 0x1.0cb6c1819e24ap-6, 0x1.05baa47d0a618p-6, 0x1.fdce9c71ef62p-7, 0x1.f077f895c17bdp-7, 0x1.e36fdd5d0bdf3p-7, 0x1.d6b4cf8e7cf5bp-7, 0x1.ca4558c20d326p-7, 0x1.be2007625c195p-7, 0x1.b2436ead7547cp-7, 0x1.a6ae26b4faacdp-7, 0x1.9b5ecc5dbafbep-7, 0x1.9054015eaa7edp-7, 0x1.858c6c3f4f2b4p-7, 0x1.7b06b855aca5ap-7, 0x1.70c195c38b9bp-7, 0x1.66bbb9735ffe3p-7, 0x1.5cf3dd149b7f6p-7, 0x1.5368bf1786facp-7, 0x1.4a1922a8acb81p-7, 0x1.4103cfabc5f94p-7, 0x1.382792b64f725p-7, 0x1.2f833d099f3bap-7, 0x1.2715a48c9ffd8p-7, 0x1.1edda3c52fa4fp-7, 0x1.16da19d120393p-7, 0x1.0f09ea5ed4589p-7, 0x1.076bfda5a6cabp-7, 0x1.fffe80bbd2722p-8, 0x1.f18547713ddc4p-8, 0x1.e36a3aadedacfp-8, 0x1.d5ab4e82fa577p-8, 0x1.c8467fbe217ddp-8, 0x1.bb39d3d73df62p-8, 0x1.ae8358dd4486ap-8, 0x1.a2212562e5ff7p-8, 0x1.9611586acbb6ep-8, 0x1.8a5219536d018p-8, 0x1.7ee197c2b0df1p-8, 0x1.73be0b91184f3p-8, 0x1.68e5b4b4c9af9p-8, 0x1.5e56db2c31fcbp-8, 0x1.540fcee884037p-8, 0x1.4a0ee7b800af8p-8, 0x1.4052852ff7db2p-8, 0x1.36d90e96bac3fp-8, 0x1.2da0f2cd4478bp-8, 0x1.24a8a838d6748p-8, 0x1.1beeacac6d89fp-8, 0x1.13718552127eep-8, 0x1.0b2fbe94343a1p-8, 0x1.0327ec06ca7d7p-8, 0x1.f6b150a0e0ee1p-9, 0x1.e7812a26f6c0cp-9, 0x1.d8bcb5ae1d2c9p-9, 0x1.ca6151e035b75p-9, 0x1.bc6c6ad4c31bp-9, 0x1.aedb79e302413p-9, 0x1.a1ac0573f40bap-9, 0x1.94dba0d443156p-9, 0x1.8867ec06d2e63p-9, 0x1.7c4e9396be793p-9, 0x1.708d5069c0082p-9, 0x1.6521e792bbbe8p-9, 0x1.5a0a2a2444cb2p-9, 0x1.4f43f5036f917p-9, 0x1.44cd30bab6ff3p-9, 0x1.3aa3d14d1cfdap-9, 0x1.30c5d6095f275p-9, 0x1.2731495d9703cp-9, 0x1.1de440aac17dbp-9, 0x1.14dcdc18c3537p-9, 0x1.0c19466a6ea76p-9, 0x1.0397b4d208ea2p-9, 0x1.f6accd8bb4af4p-10, 0x1.e6a74ba9ffc1cp-10, 0x1.d71b8af92d318p-10, 0x1.c80645fa61becp-10, 0x1.b9644a60edcd1p-10, 0x1.ab3278be47127p-10, 0x1.9d6dc42e58f74p-10, 0x1.90133204f9b2cp-10, 0x1.831fd97b8fd14p-10, 0x1.7690e35ed5005p-10, 0x1.6a6389bed04f2p-10, 0x1.5e95179d74877p-10, 0x1.5322e89f8c7fap-10, 0x1.480a68bd607dep-10, 0x1.3d4913f45fb0bp-10, 0x1.32dc75f9800cep-10, 0x1.28c229ec2e48cp-10, 0x1.1ef7da0a1de5ap-10, 0x1.157b3f63df61p-10, 0x1.0c4a2191e93e7p-10, 0x1.0362566abf7e3p-10, 0x1.f5838373985ddp-11, 0x1.e4cca9ed3eb65p-11, 0x1.d49c1dfba2eb2p-11, 0x1.c4edf793b218fp-11, 0x1.b5be685ad1f4bp-11, 0x1.a709bb1c0bf6fp-11, 0x1.98cc533ffd647p-11, 0x1.8b02ac460a061p-11, 0x1.7da9593f6426ap-11, 0x1.70bd044c1a418p-11, 0x1.643a6e198879bp-11, 0x1.581e6d6305ccbp-11, 0x1.4c65ee7483d15p-11, 0x1.410df2ae67b06p-11, 0x1.3613900c357e3p-11, 0x1.2b73f0ac6a38p-11, 0x1.212c525ab3f1p-11, 0x1.173a061beed58p-11, 0x1.0d9a6fbbb085dp-11, 0x1.044b055d3ceabp-11, 0x1.f6929e17c9ae8p-12, 0x1.e525cca0bc1fep-12, 0x1.d44aeb8b23773p-12, 0x1.c3fd716173034p-12, 0x1.b438f5369b4f2p-12, 0x1.a4f92ddb41972p-12, 0x1.9639f11bec062p-12, 0x1.87f732fe9954cp-12, 0x1.7a2d050521633p-12, 0x1.6cd795748995dp-12, 0x1.5ff32e9f5bc3dp-12, 0x1.537c363382c36p-12, 0x1.476f2c8c6c706p-12, 0x1.3bc8ac085163ep-12, 0x1.3085686112819p-12, 0x1.25a22e08f54fbp-12, 0x1.1b1be18b17781p-12, 0x1.10ef7eedf1a82p-12, 0x1.071a191adb43ep-12, 0x1.fb31b29067c78p-13, 0x1.e8d1fcccca1b1p-13, 0x1.d70fb92204709p-13, 0x1.c5e5b90570fafp-13, 0x1.b54ef6151f36ap-13, 0x1.a546911067ea1p-13, 0x1.95c7d0ce4616fp-13, 0x1.86ce213e7c3b2p-13, 0x1.7855126e2e13p-13, 0x1.6a5857923b097p-13, 0x1.5cd3c61869597p-13, 0x1.4fc354bcac53bp-13, 0x1.43231aa43286p-13, 0x1.36ef4e7d39435p-13, 0x1.2b2445a46d818p-13, 0x1.1fbe734ee25a8p-13, 0x1.14ba67b8775c7p-13, 0x1.0a14cf592d44dp-13, 0x1.ff94e433f9434p-14, 0x1.ebb0652a39609p-14, 0x1.d8761aaac580ap-14, 0x1.c5e030388e17bp-14, 0x1.b3e902574a73dp-14, 0x1.a28b1d28c69f3p-14, 0x1.91c13b0c4d831p-14, 0x1.818643525e081p-14, 0x1.71d548ece50b6p-14, 0x1.62a9892ba3463p-14, 0x1.53fe6a7b3635fp-14, 0x1.45cf7b39c219fp-14, 0x1.3818708102cb3p-14, 0x1.2ad52503c6c01p-14, 0x1.1e0197ec1c966p-14, 0x1.1199ebc58ed71p-14, 0x1.059a65671edfcp-14, 0x1.f3fed5d88cd3ap-15, 0x1.dd8b055b751e1p-15, 0x1.c7d2a4879160ap-15, 0x1.b2cf3b1d0995cp-15, 0x1.9e7a8b87d6eb9p-15, 0x1.8ace910801137p-15, 0x1.77c57de43ae3dp-15, 0x1.6559b9b03d759p-15, 0x1.5385df8f2f9p-15, 0x1.4244bc933640cp-15, 0x1.31914e17af3c9p-15, 0x1.2166c0326eaep-15, 0x1.11c06c299d48ep-15, 0x1.0299d6f5b7af7p-15, 0x1.e7dd5f9b8a594p-16, 0x1.cb759d7e4e67ep-16, 0x1.aff4668604759p-16, 0x1.955205edb14ccp-16, 0x1.7b87109315959p-16, 0x1.628c62653f12dp-16, 0x1.4a5b1bf864102p-16, 0x1.32eca021e70a3p-16, 0x1.1c3a91a9920b5p-16, 0x1.063ed0f44f561p-16, 0x1.e1e6f3e479737p-17, 0x1.b8a5c3d0618fep-17, 0x1.90af2ae192022p-17, 0x1.69f8acd7eeeb8p-17, 0x1.4478341eac01bp-17, 0x1.20240e200d354p-17, 0x1.f9e5cf32e0d2bp-18, 0x1.b5b791fd05489p-18, 0x1.73ac2633793d8p-18, 0x1.33b2f76f349c9p-18, 0x1.eb7829b8baad1p-19, 0x1.73705602dcb79p-19, 0x1.fe61f6ad257dp-20, 0x1.1d3b890530bd1p-20, 0x1.0cdb99f6784aap-22, -0x1.1fc0a4c6d0493p-21, -0x1.5ca145e10b027p-20, -0x1.113aac34ffb47p-19, -0x1.70f69648e5327p-19, -0x1.cd9ac3a945f38p-19, -0x1.139e5ddbc6c92p-18, -0x1.3ef899da36f4cp-18, -0x1.68e60bb0bb534p-18, -0x1.9170488dd82bbp-18, -0x1.b8a08914dbdabp-18, -0x1.de7fad35e1d44p-18, -0x1.018b1ff04ff61p-17, -0x1.13363d3e8d52p-17, -0x1.24452448de993p-17, -0x1.34bba5a5cb8d9p-17, -0x1.449d6e1d9becbp-17, -0x1.53ee085d645fcp-17, -0x1.62b0de73b1762p-17, -0x1.70e93b3c3ab41p-17, -0x1.7e9a4bbfff993p-17, -0x1.8bc720979d53ep-17, -0x1.9872af14ab47fp-17, -0x1.a49fd2a4932e8p-17, -0x1.b0514de3a135ep-17, -0x1.bb89cbcd4bb45p-17, -0x1.c64be0cb5b1ebp-17, -0x1.d09a0bcd21b9ap-17, -0x1.da76b7324fcf4p-17, -0x1.e3e439e480032p-17, -0x1.ece4d82ac45e9p-17, -0x1.f57ac495f1391p-17, -0x1.fda820d987af3p-17, -0x1.02b77f4e81d4cp-16, -0x1.0668b0218bd59p-16, -0x1.09e89cd5bb83ep-16, -0x1.0d38387215cedp-16, -0x1.10586f6f26201p-16, -0x1.134a2804f1fd1p-16, -0x1.160e4290733b6p-16, -0x1.18a599bfac38bp-16, -0x1.1b1102eaeac24p-16, -0x1.1d514e64fb73dp-16, -0x1.1f6747a54c049p-16, -0x1.2153b5a0f994bp-16, -0x1.23175af0fd209p-16, -0x1.24b2f618fb088p-16, -0x1.262741bb48071p-16, -0x1.2774f4bfc2951p-16, -0x1.289cc29e46ddcp-16, -0x1.299f5b77ee4fap-16, -0x1.2a7d6c4fb0e1p-16, -0x1.2b379f2bf0e2fp-16, -0x1.2bce9b4327fc6p-16, -0x1.2c43051f7351ap-16, -0x1.2c957ec418cb3p-16, -0x1.2cc6a7cba486fp-16, -0x1.2cd71d8d6cae5p-16, -0x1.2cc77b36a8acdp-16, -0x1.2c9859e3d12e3p-16, -0x1.2c4a50bd74fa7p-16, -0x1.2bddf523f826ap-16, -0x1.2b53daa12f0e8p-16, -0x1.2aac931acb72cp-16, -0x1.29e8aedcf3475p-16, -0x1.2908bcaef0ef4p-16, -0x1.280d49e49b476p-16, -0x1.26f6e26ef27cfp-16, -0x1.25c610ebd1fc6p-16, -0x1.247b5eb18aa7bp-16, -0x1.231753e052162p-16, -0x1.219a776eb2cdbp-16, -0x1.20054f293fe19p-16, -0x1.1e585fcbefe4dp-16, -0x1.1c942d0543f5ep-16, -0x1.1ab9398098a7ep-16, -0x1.18c806e31c823p-16, -0x1.16c115e390389p-16, -0x1.14a4e645abceap-16, -0x1.1273f6dd8fdb6p-16, -0x1.102ec5a77babp-16, -0x1.0dd5cfacea4dfp-16, -0x1.0b699126db362p-16, -0x1.08ea856aa888dp-16, -0x1.065926f8be4a3p-16, -0x1.03b5ef79f5065p-16, -0x1.010157c5b4abap-16, -0x1.fc77afbcca087p-17, -0x1.f6cbcdea8643fp-17, -0x1.f0fff6d399dd3p-17, -0x1.eb151596ea3c8p-17, -0x1.e50c13a7ea20dp-17, -0x1.dee5d8dfe3667p-17, -0x1.d8a34b74a75cep-17, -0x1.d2454fee319dap-17, -0x1.cbccc9305e09p-17, -0x1.c53a9876e259ap-17, -0x1.be8f9d4842fe3p-17, -0x1.b7ccb57d7c821p-17, -0x1.b0f2bd35ea83fp-17, -0x1.aa028eda6d50bp-17, -0x1.a2fd0316d69f5p-17, -0x1.9be2f0cef686ap-17, -0x1.94b52d27b1822p-17, -0x1.8d748b748f3b5p-17, -0x1.8621dd3a0969p-17, -0x1.7ebdf2252149cp-17, -0x1.7749980fddadcp-17, -0x1.6fc59ad037009p-17, -0x1.6832c492353fp-17, -0x1.6091dd6a0e1e9p-17, }}, 
      {{-0x1.04944dea2cc8fp-1, -0x1.228ae43909b28p-1, -0x1.4a2911d7af5bep-1, -0x1.75cedaf6cbe0bp-1, -0x1.a1a34d037e4ddp-1, -0x1.cb1a9e5f8772bp-1, -0x1.f09b5426cb9d8p-1, -0x1.089d78e8a1be7p+0, -0x1.164644bca8e8p+0, -0x1.213dc5a95f6cap+0, -0x1.2997e06b6d218p+0, -0x1.2f7c4bd151aep+0, -0x1.331ee6b64a61ap+0, -0x1.34ba2eed7695ep+0, -0x1.348b3690180f4p+0, -0x1.32cedadb051dbp+0, -0x1.2fbfe01d9ba12p+0, -0x1.2b95a51986ba2p+0, -0x1.26836aaf1ffffp+0, -0x1.20b7ede294764p+0, -0x1.1a5d495617d76p+0, -0x1.1398f1ab32a75p+0, -0x1.0c8be5fb9e838p+0, -0x1.0552f75a882edp+0, -0x1.fc0deee73d30cp-1, -0x1.ed7a891be7926p-1, -0x1.df0fdcd802a19p-1, -0x1.d0ebaae6afc28p-1, -0x1.c326a7d4051d2p-1, -0x1.b5d512ff952bp-1, -0x1.a9067a332c6b8p-1, -0x1.9cc72db4381c3p-1, -0x1.911feb63e2d62p-1, -0x1.8616ba99ec677p-1, -0x1.7baf42fbdbb32p-1, -0x1.71eb125a76e92p-1, -0x1.68c9e0b14d635p-1, -0x1.6049de33a350cp-1, -0x1.5867faf2a9b68p-1, -0x1.51201db196475p-1, -0x1.4a6d509c1a6a7p-1, -0x1.4449eb831d236p-1, -0x1.3eafbca51f6efp-1, -0x1.39982d5dac38ep-1, -0x1.34fc5fe92306cp-1, -0x1.30d5466407227p-1, -0x1.2d1bb656aa90bp-1, -0x1.29c87b821fe55p-1, -0x1.26d469b35cc23p-1, -0x1.24386c2f50bbp-1, -0x1.21ed923c38f7bp-1, -0x1.1fed191837c8p-1, -0x1.1e30738d8415ap-1, -0x1.1cb14f445fc92p-1, -0x1.1b69986d548bp-1, -0x1.1a537cbe44df1p-1, -0x1.19696e69a88cap-1, -0x1.18a626efdf6bap-1, -0x1.1804a91e6a486p-1, -0x1.178041a0a86e3p-1, -0x1.1714860cad438p-1, -0x1.16bd52ed5df5p-1, -0x1.167419e13bf67p-1, -0x1.163a35a772713p-1, -0x1.160a14f71a11fp-1, -0x1.15e09ede85d5ep-1, -0x1.15baf64b668afp-1, -0x1.15967a2a59cd9p-1, -0x1.1570c4d6d3d6cp-1, -0x1.1547aa6a2903bp-1, -0x1.151935e7977f4p-1, -0x1.14e3a5994532fp-1, -0x1.14a5671f76e2bp-1, -0x1.145d13b2d3a2fp-1, -0x1.14096cf38c076p-1, -0x1.13a95a638c7d3p-1, -0x1.133be76fbd4cfp-1, -0x1.12c041c675ac1p-1, -0x1.1235b7b0e702p-1, -0x1.119bb63838209p-1, -0x1.10f1c7025e854p-1, -0x1.10378df74c64fp-1, -0x1.0f6cc6d82c299p-1, -0x1.0e9142f93b8a7p-1, -0x1.0da4e744801e5p-1, -0x1.0ca7aa965626cp-1, -0x1.0b99946d9a3abp-1, -0x1.0a7abbd75ecbp-1, -0x1.094b467625578p-1, -0x1.080b6786d77f8p-1, -0x1.06bb5ecfd29f7p-1, -0x1.055b7773cdaccp-1, -0x1.03ec06aeddef9p-1, -0x1.026d6a8c07a49p-1, -0x1.00e008a443bf7p-1, -0x1.fe8899eae1b4dp-2, -0x1.fb3551b43e644p-2, -0x1.f7c72449ee477p-2, -0x1.f43f04bad62acp-2, -0x1.f09dec309b321p-2, -0x1.ece4d8cbd4b59p-2, -0x1.e914cc9f697dbp-2, -0x1.e52eccc204024p-2, -0x1.e133e06fa78b9p-2, -0x1.dd2510384716cp-2, -0x1.d903653a48084p-2, -0x1.d4cfe868f7b4dp-2, -0x1.d08ba1df587a5p-2, -0x1.cc37983f5559dp-2, -0x1.c7d4d01cdc195p-2, -0x1.c3644b7393307p-2, -0x1.bee709254ddfbp-2, -0x1.ba5e047f0a9d6p-2, -0x1.b5ca34c27fe01p-2, -0x1.b12c8cb2f2b11p-2, -0x1.ac85fa2548f6ap-2, -0x1.a7d76594daeb1p-2, -0x1.a321b1bfee8cap-2, -0x1.9e65bb4fe68f8p-2, -0x1.99a4589169bc7p-2, -0x1.94de594050e69p-2, -0x1.90148669b6e27p-2, -0x1.8b47a264a5321p-2, -0x1.867868dfac31cp-2, -0x1.81a78effcc0fp-2, -0x1.7cd5c38bc5239p-2, -0x1.780391e9ab483p-2, -0x1.73319b332a426p-2, -0x1.6e609f9d3dde8p-2, -0x1.699138ae1e745p-2, -0x1.64c3f9d37a0b1p-2, -0x1.5ff9708564a83p-2, -0x1.5b32246e7daa7p-2, -0x1.566e979557f57p-2, -0x1.51af4683f2752p-2, -0x1.4cf4a86b02249p-2, -0x1.483f2f40006fbp-2, -0x1.438f47d604895p-2, -0x1.3ee559f26dd3ap-2, -0x1.3a41c85efefa9p-2, -0x1.35a4f0fb6152p-2, -0x1.310f2ccfffb0cp-2, -0x1.2c80d023e365p-2, -0x1.27fa2a96bacep-2, -0x1.237b873fa9418p-2, -0x1.1f052cd0dd28ep-2, -0x1.1a975dbf7add9p-2, -0x1.1632586eede51p-2, -0x1.11d6575e8712fp-2, -0x1.0d839158163c6p-2, -0x1.093a399e3e6e7p-2, -0x1.04fa8019463bfp-2, -0x1.00c491815ee49p-2, -0x1.f9312f0b0b19cp-3, -0x1.f0ed71dcd9e88p-3, -0x1.e8be337a33ca5p-3, -0x1.e0a3b68a55cccp-3, -0x1.d89e3885f3968p-3, -0x1.d0adf1dc1a025p-3, -0x1.c8d31610e18dp-3, -0x1.c10dd3d7747ebp-3, -0x1.b95e5528fd6e2p-3, -0x1.b1c4bf5a22919p-3, -0x1.aa41333090047p-3, -0x1.a2d3ccf9de5fcp-3, -0x1.9b7ca4a4e653cp-3, -0x1.943bcdde43a75p-3, -0x1.8d1158306a21cp-3, -0x1.85fd4f27706e4p-3, -0x1.7effba7869656p-3, -0x1.78189e2bd41acp-3, -0x1.7147faca9c1b7p-3, -0x1.6a8dcd8cdc085p-3, -0x1.63ea1089983d2p-3, -0x1.5d5cbae699221p-3, -0x1.56e5c1079834fp-3, -0x1.508514bbf57a9p-3, -0x1.4a3aa56a5703ap-3, -0x1.44066039a94d8p-3, -0x1.3de8303727a78p-3, -0x1.37dffe791e539p-3, -0x1.31edb23e69e7p-3, -0x1.2c11310aac012p-3, -0x1.264a5ebf60711p-3, -0x1.20991db22032dp-3, -0x1.1afd4ec04d32cp-3, -0x1.1576d1609af2ep-3, -0x1.100583b2c25b9p-3, -0x1.0aa9428dcc06fp-3, -0x1.0561e98d52aa7p-3, -0x1.002f531dfeb5dp-3, -0x1.f622b113409d9p-4, -0x1.ec0fa40622039p-4, -0x1.e2252d642055bp-4, -0x1.d862f97e916d4p-4, -0x1.cec8b2c102376p-4, -0x1.c55601ca2364cp-4, -0x1.bc0a8d8528726p-4, -0x1.b2e5fb4393c51p-4, -0x1.a9e7eed742199p-4, -0x1.a1100aac8e962p-4, -0x1.985defe471943p-4, -0x1.8fd13e6e4fe6fp-4, -0x1.8769952158219p-4, -0x1.7f2691d546d08p-4, -0x1.7707d17a668cp-4, -0x1.6f0cf030af35ep-4, -0x1.6735895df3ad7p-4, -0x1.5f8137c30d6f7p-4, -0x1.57ef959002706p-4, -0x1.50803c77293d4p-4, -0x1.4932c5bf545b2p-4, -0x1.4206ca550fce6p-4, -0x1.3afbe2db066c7p-4, -0x1.3411a7b9a0ea2p-4, -0x1.2d47b12df1d32p-4, -0x1.269d975805a3ep-4, -0x1.2012f248a815fp-4, -0x1.19a75a0eaecdfp-4, -0x1.135a66c3d9144p-4, -0x1.0d2bb0994f259p-4, -0x1.071acfe3c6e9cp-4, -0x1.01275d2755a23p-4, -0x1.f6a1e245dcc3ap-5, -0x1.eb2e49b718dbcp-5, -0x1.dff3234e14d1cp-5, -0x1.d4efa26d3af72p-5, -0x1.ca22fb41e9ac5p-5, -0x1.bf8c62d7ea8a7p-5, -0x1.b52b0f2c1b049p-5, -0x1.aafe373e402b9p-5, -0x1.a1051321f835bp-5, -0x1.973edc0ecda8ap-5, -0x1.8daacc6f613d8p-5, -0x1.84481fefb2f18p-5, -0x1.7b16138a82debp-5, -0x1.7213e595d8fdfp-5, -0x1.6940d5ceaff48p-5, -0x1.609c2563d1b2dp-5, -0x1.582516fff235ap-5, -0x1.4fdaeed3080ffp-5, -0x1.47bcf29af7d8cp-5, -0x1.3fca69aba144fp-5, -0x1.38029cf64b762p-5, -0x1.3064d7108ae1fp-5, -0x1.28f0643aa6191p-5, -0x1.21a4926582936p-5, -0x1.1a80b138235bep-5, -0x1.13841214c7afp-5, -0x1.0cae081da9e5p-5, -0x1.05fde839660c8p-5, -0x1.fee6122e27a3p-6, -0x1.f21986641d868p-6, -0x1.e594e1aaefc42p-6, -0x1.d9550db525e8fp-6, -0x1.cd5c6b11cfb21p-6, -0x1.c1a7e3606f283p-6, -0x1.b63639c436099p-6, -0x1.ab06351c24fb2p-6, -0x1.a016a006f866p-6, -0x1.956648e69d00bp-6, -0x1.8af401e329e6cp-6, -0x1.80bea0ed61a82p-6, -0x1.76c4ffc0bbb7ep-6, -0x1.6d05fbe4f098fp-6, -0x1.638076af0b9aap-6, -0x1.5a33554204f3dp-6, -0x1.511d808edbcc3p-6, -0x1.483de5543a0ddp-6, -0x1.3f93741d9a401p-6, -0x1.371d2141fb63ep-6, -0x1.2ed9e4e218424p-6, -0x1.26c8bae62f8cp-6, -0x1.1ee8a2fb5675cp-6, -0x1.1738a09061118p-6, -0x1.0fb7bad25b7a7p-6, -0x1.0864fca8a1e3fp-6, -0x1.013f74b08fcfap-6, -0x1.f48c6a71a8f96p-7, -0x1.e6f0a878d6514p-7, -0x1.d9a9d6ba808cep-7, -0x1.ccb62fbd05f28p-7, -0x1.c013f53d524d5p-7, -0x1.b3c1702262c7fp-7, -0x1.a7bcf070332f3p-7, -0x1.9c04cd3a3ed75p-7, -0x1.9097649574c46p-7, -0x1.85731b89d760dp-7, -0x1.7a965e03a5fcap-7, -0x1.6fff9ec42c397p-7, -0x1.65ad575238ccdp-7, -0x1.5b9e07ea4b136p-7, -0x1.51d0376e67fa2p-7, -0x1.48427355b803fp-7, -0x1.3ef34f9bda287p-7, -0x1.35e166b00918bp-7, -0x1.2d0b5963fa265p-7, -0x1.246fceda9a1b2p-7, -0x1.1c0d74769501fp-7, -0x1.13e2fdc8b206cp-7, -0x1.0bef247e127c9p-7, -0x1.0430a84e44d67p-7, -0x1.f94c9dd27d26fp-8, -0x1.ea9dc7ca6c6ffp-8, -0x1.dc527158ce151p-8, -0x1.ce6848d578a72p-8, -0x1.c0dd07f6d69b5p-8, -0x1.b3ae73acecda8p-8, -0x1.a6da5bfc5b1fp-8, -0x1.9a5e9bd93021ap-8, -0x1.8e391901b47c9p-8, -0x1.8267c3d92a043p-8, -0x1.76e8974280b59p-8, -0x1.6bb9987b0b14dp-8, -0x1.60d8d6f531234p-8, -0x1.56446c332e078p-8, -0x1.4bfa7ba1d27f4p-8, -0x1.41f9327365263p-8, -0x1.383ec77a8786ap-8, -0x1.2ec97b053f313p-8, -0x1.259796b812407p-8, -0x1.1ca76d6953266p-8, -0x1.13f75afc865f3p-8, -0x1.0b85c43df7fdap-8, -0x1.035116be777f5p-8, -0x1.f6af915ea31b9p-9, -0x1.e730b17ce8806p-9, -0x1.d8229be58edf4p-9, -0x1.c9826f11a726fp-9, -0x1.bb4d599f209cp-9, -0x1.ad809a0b0ae39p-9, -0x1.a0197e6c4f668p-9, -0x1.9315642efe32ep-9, -0x1.8671b7d02e5b8p-9, -0x1.7a2bf49a75367p-9, -0x1.6e41a462fc5bfp-9, -0x1.62b05f4737862p-9, -0x1.5775cb6b3ed22p-9, -0x1.4c8f9cb8c8524p-9, -0x1.41fb949eec49p-9, -0x1.37b781d271107p-9, -0x1.2dc1400ee2cafp-9, -0x1.2416b7d856371p-9, -0x1.1ab5de3de5d94p-9, -0x1.119cb49ce6abcp-9, -0x1.08c94864d8d46p-9, -0x1.0039b2dc12b08p-9, -0x1.efd831ca66545p-10, -0x1.dfbd558a779e7p-10, -0x1.d01f47d52910ap-10, -0x1.c0fa9569423b7p-10, -0x1.b24be0788418ep-10, -0x1.a40fe039fb5aep-10, -0x1.9643607deb6e7p-10, -0x1.88e34143414dap-10, -0x1.7bec764e86415p-10, -0x1.6f5c06c265b49p-10, -0x1.632f0cb99370bp-10, -0x1.5762b4e275555p-10, -0x1.4bf43e1c1ed5bp-10, -0x1.40e0f914b8206p-10, -0x1.362647e9c2a8ep-10, -0x1.2bc19dc97ccb8p-10, -0x1.21b07e95ecc85p-10, -0x1.17f07e8958886p-10, -0x1.0e7f41dc44136p-10, -0x1.055a7c6cd0a67p-10, -0x1.f8ffe2cf303f2p-11, -0x1.e7dae5e3dfd22p-11, -0x1.d741c3ab3979bp-11, -0x1.c7305a5bd668cp-11, -0x1.b7a2a42c546e7p-11, -0x1.a894b6b326e27p-11, -0x1.9a02c248afafap-11, -0x1.8be9116ce892ap-11, -0x1.7e44082edeeb5p-11, -0x1.7110239738337p-11, -0x1.6449f91543b49p-11, -0x1.57ee35ee9a2a4p-11, -0x1.4bf99eb15c6d7p-11, -0x1.40690ea8de453p-11, -0x1.35397754d65bbp-11, -0x1.2a67dfe318847p-11, -0x1.1ff164abb446dp-11, -0x1.15d336af48628p-11, -0x1.0c0a9b18330fcp-11, -0x1.0294eabd78ad2p-11, -0x1.f2df23514711cp-12, -0x1.e1301d3ad74e8p-12, -0x1.d017e547c3c02p-12, -0x1.bf91c1299bdeap-12, -0x1.af99195084595p-12, -0x1.a029780cbb6a6p-12, -0x1.913e88b47da99p-12, -0x1.82d416ce21ee7p-12, -0x1.74e60d3e7dd34p-12, -0x1.6770757ba9d06p-12, -0x1.5a6f76c2dbb8cp-12, -0x1.4ddf55546893p-12, -0x1.41bc71b1d1c39p-12, -0x1.360347e0c42d6p-12, -0x1.2ab06eb1d8638p-12, -0x1.1fc0970b47446p-12, -0x1.15308b3773766p-12, -0x1.0afd2e374bd5p-12, -0x1.01237b1851a95p-12, -0x1.ef41089d36cc5p-13, -0x1.dce2e6247e953p-13, -0x1.cb270d8137cf4p-13, -0x1.ba082881f278ep-13, -0x1.a9810ad9da47dp-13, -0x1.998cb0f85cd2ep-13, -0x1.8a263ee77617fp-13, -0x1.7b48ff3185728p-13, -0x1.6cf061cc085fep-13, -0x1.5f17fb0c14423p-13, -0x1.51bb829df47a4p-13, -0x1.44d6d2855aaap-13, -0x1.3865e6230de2ap-13, -0x1.2c64d940e3695p-13, -0x1.20cfe7240e94ap-13, -0x1.15a369a48802p-13, -0x1.0adbd84bf8ba4p-13, -0x1.0075c778d619p-13, -0x1.ecdbcf0fc66bcp-14, -0x1.d98208063e6d1p-14, -0x1.c6d805ac34783p-14, -0x1.b4d7c70f489dbp-14, -0x1.a37b7cf1b3c68p-14, -0x1.92bd8850e61afp-14, -0x1.829878f97532p-14, -0x1.73070c2193f8fp-14, -0x1.64042b0e878d3p-14, -0x1.558ae9c336ca9p-14, -0x1.479685b7daad3p-14, -0x1.3a22649aa531bp-14, -0x1.2d2a1318d4e4ep-14, -0x1.20a943b08d675p-14, -0x1.149bcd8b1db51p-14, -0x1.08fdab5d0943bp-14, -0x1.fb95f4a666ab6p-15, -0x1.e5fff2042f913p-15, -0x1.d1320cbf3f7a5p-15, -0x1.bd2541855d464p-15, -0x1.a9d2c9d6fec9ap-15, -0x1.97341a22a2f56p-15, -0x1.8542dfef1b5e9p-15, -0x1.73f90012babb4p-15, -0x1.635094f75483cp-15, -0x1.5343ecea79a4ep-15, -0x1.43cd887a1c691p-15, -0x1.34e818dc9946cp-15, -0x1.268e7e65991bbp-15, -0x1.18bbc7029efa8p-15, -0x1.0b6b2cc7b11b2p-15, -0x1.fd302904f077bp-16, -0x1.e47c18b1aa64ep-16, -0x1.ccb194e587335p-16, -0x1.b5c8575ad0fbfp-16, -0x1.9fb864a74388ap-16, -0x1.8a7a09d269ca4p-16, -0x1.7605d9ecfd46ep-16, -0x1.6254abc116d89p-16, -0x1.4f5f978cd515ap-16, -0x1.3d1ff4dd55d11p-16, -0x1.2b8f5869800cp-16, -0x1.1aa792047c1b7p-16, -0x1.0a62aa9e636fap-16, -0x1.f575c4a891deap-17, -0x1.d7555d1c69006p-17, -0x1.ba59705aae797p-17, -0x1.9e77b389f5006p-17, -0x1.83a63bc82a4efp-17, -0x1.69db7ad5a3017p-17, -0x1.510e3bdaa8d8cp-17, -0x1.3935a044285f1p-17, -0x1.22491cbde25d9p-17, -0x1.0c40763edb5f7p-17, -0x1.ee277e6717ad9p-18, -0x1.c576a9619c274p-18, -0x1.9e5fb7a8b254cp-18, -0x1.78d47e4ad9fe6p-18, -0x1.54c75828d1f57p-18, -0x1.322b211b368adp-18, -0x1.10f331399bfd6p-18, -0x1.e226b0c2da417p-19, -0x1.a4ffb33cff7fcp-19, -0x1.6a5ace4b7ca28p-19, -0x1.32223c28a161p-19, -0x1.f88209d86908fp-20, -0x1.9145edc1dfd2fp-20, -0x1.2e693e2ac3a0ep-20, -0x1.9f8d08992e096p-21, -0x1.d4e6a9fd86765p-22, -0x1.e9feef9ffc2a7p-24, 0x1.a14149eca55e6p-23, 0x1.067dbdb9b27dap-21, 0x1.9d8688baaf6fbp-21, 0x1.16d349b0babeap-20, 0x1.5b8bc7800c941p-20, 0x1.9d0889f6d7a63p-20, 0x1.db645b58a23bp-20, 0x1.0b5c8704488fp-19, 0x1.278fc32396459p-19, 0x1.4257e1cad16b4p-19, 0x1.5bc074de834b3p-19, 0x1.73d4a4c963cb4p-19, 0x1.8a9f349426685p-19, 0x1.a02a8633fce4cp-19, 0x1.b4809e047ffe3p-19, 0x1.c7a5a88b46ff3p-19, 0x1.d9ae46b60a314p-19, 0x1.ea9daec0f7b84p-19, 0x1.fa7c9314d4201p-19, 0x1.04a9ad0fdeb7ap-18, 0x1.0b9510b1c57d8p-18, 0x1.1204603dba96ep-18, 0x1.17fb65f2676cbp-18, 0x1.1d7dcbe58586bp-18, 0x1.228f1d50181f7p-18, 0x1.2732c7d2aabe7p-18, 0x1.2b6c1cad52c18p-18, 0x1.2f3e51e0182afp-18, 0x1.32ac83644009bp-18, 0x1.35b9b418b9f8ep-18, 0x1.3868cee0ec2ecp-18, 0x1.3abca79bf7c7p-18, 0x1.3cb7fc150736p-18, 0x1.3e5d74edb8234p-18, 0x1.3fafa673e6095p-18, 0x1.40b1118bebff9p-18, 0x1.4164245c8a031p-18, 0x1.41cb3b29d9fd4p-18, 0x1.41e8a106730cep-18, 0x1.41be90894434bp-18, 0x1.414f347730d25p-18, 0x1.409ca86591c61p-18, 0x1.3fa8f9571043ap-18, 0x1.3e76265278957p-18, 0x1.3d0620efbef8p-18, 0x1.3b5acde1665eap-18, 0x1.39760574bf0b8p-18, 0x1.3759941147813p-18, 0x1.35073aaefeed9p-18, 0x1.3280af4244844p-18, 0x1.2fc79d2f799e6p-18, 0x1.2cdda5abcfc6cp-18, 0x1.29c4602a6fcbcp-18, 0x1.267d5aaa7042ep-18, 0x1.230a1a19829e7p-18, 0x1.1f6c1aa8aac92p-18, 0x1.1ba4d012ee8a3p-18, 0x1.17b5a60b68a69p-18, 0x1.13a00056abe64p-18, 0x1.0f653b2f4a4d6p-18, 0x1.0b06ab8261471p-18, 0x1.06859f2eb33a4p-18, 0x1.01e35d3d81716p-18, 0x1.fa424c33a995ap-19, 0x1.f080679c8943fp-19, 0x1.e68374652c637p-19, 0x1.dc4dce3b324cap-19, 0x1.d1e1c52572e6ep-19, 0x1.c7419dde2792p-19, 0x1.bc6f92236b0b8p-19, 0x1.b16dd1071ed5cp-19, 0x1.a63e7f3c15f43p-19, 0x1.9ae3b7528646fp-19, 0x1.8f5f89fa21655p-19, 0x1.83b3fe7481783p-19, 0x1.77e3127aba271p-19, 0x1.6beebaa95028fp-19, 0x1.5fd8e2b543cc2p-19, 0x1.53a36d94b332dp-19, 0x1.475035b16b535p-19, 0x1.3ae10d1590ea8p-19, 0x1.2e57bd99ec841p-19, 0x1.21b60907aba05p-19, 0x1.14fda9458f637p-19, 0x1.08305079c27bap-19, 0x1.f69f5257c5d1fp-20, 0x1.dcbaacbe22bdep-20, 0x1.c2b5e783c5629p-20, 0x1.a8942b59989c8p-20, 0x1.8e5892e92d8eep-20, 0x1.74062a852f95bp-20, 0x1.599ff0ab32ee4p-20, 0x1.3f28d6144e621p-20, 0x1.24a3be0dbf14p-20, 0x1.0a137e60f4b04p-20, 0x1.def5bf53c93e4p-21, 0x1.a9b93add103dcp-21, 0x1.7476cc8c0b725p-21, 0x1.3f33b7fa73c0dp-21, 0x1.09f52756d90fep-21, 0x1.a980579b4d97cp-22, 0x1.3f337b51971dp-22, 0x1.aa1af27c5b4d4p-23, 0x1.ac5f7ef4714afp-24, 0x1.5c0cebca6a7b9p-30, -0x1.a073440419bbep-24, -0x1.a29376fdf6c54p-23, -0x1.3a21e329a2761p-22, -0x1.a29ca7faba4e1p-22, -0x1.0558cb815c307p-21, -0x1.392c365ef1d6ap-21, -0x1.6cc489857da75p-21, -0x1.a01dd08bf6d69p-21, -0x1.d3342da77ce07p-21, -0x1.0301ecb245cdcp-20, -0x1.1c449148a542dp-20, -0x1.35603705fc968p-20, -0x1.4e531b4992a71p-20, -0x1.671b8653e47bap-20, -0x1.7fb7cb2af72ddp-20, -0x1.982647a47438fp-20, -0x1.b06564392ceadp-20, -0x1.c87393ac5400ap-20, -0x1.e04f538ed0d76p-20, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.fdd81fbcf7fefp-7, -0x1.fd767ede36e9p-6, -0x1.7d9f14f4bbdap-5, -0x1.fbf172ac83a2ep-5, -0x1.3cc17bc6a79cdp-4, -0x1.7b1295c88c56p-4, -0x1.b8d5573efc1cp-4, -0x1.f5f3b08660203p-4, -0x1.192c221eb0cf8p-3, -0x1.36f73b2ed1078p-3, -0x1.54513c64edb32p-3, -0x1.7130aabeb5298p-3, -0x1.8d8c7b464d9f7p-3, -0x1.a95c161379b27p-3, -0x1.c49758665f8b4p-3, -0x1.df3695f47a214p-3, -0x1.f932997f4f87dp-3, -0x1.09425265c32c3p-2, -0x1.15933806b2e9fp-2, -0x1.2189146f24a88p-2, -0x1.2d213866460b3p-2, -0x1.38592dcaeaabfp-2, -0x1.432eb68cca9fdp-2, -0x1.4d9fcb8801535p-2, -0x1.57aa9b480fdd4p-2, -0x1.614d88b6f1256p-2, -0x1.6a8729bc36f02p-2, -0x1.735645cf82d56p-2, -0x1.7bb9d4814d65ap-2, -0x1.83b0fbfc730d5p-2, -0x1.8b3b0f82bbdcp-2, -0x1.92578de63e038p-2, -0x1.99062001484e4p-2, -0x1.9f46972e4d772p-2, -0x1.a518ebc11728ep-2, -0x1.aa7d3b826c267p-2, -0x1.af73c82f2761ap-2, -0x1.b3fcf5fba12dp-2, -0x1.b8194a1c33f84p-2, -0x1.bbc969537dfefp-2, -0x1.bf0e1686ed178p-2, -0x1.c1e8315a0e044p-2, -0x1.c458b4d0f034ep-2, -0x1.c660b5f9eaed7p-2, -0x1.c801629ef2737p-2, -0x1.c93bfffe9650dp-2, -0x1.ca11e98cbb97cp-2, -0x1.ca848fbb0e4fep-2, -0x1.ca9576c91cdb3p-2, -0x1.ca46359c0755ep-2, -0x1.c998749d9e6f2p-2, -0x1.c88deca2d0bfcp-2, -0x1.c72865d93aa28p-2, -0x1.c569b6bba66b8p-2, -0x1.c353c30d595f2p-2, -0x1.c0e87adbf74f3p-2, -0x1.be29d987d235ap-2, -0x1.bb19e4d27ff9ep-2, -0x1.b7baabf389f54p-2, -0x1.b40e46b3184e2p-2, -0x1.b016d48a751a2p-2, -0x1.abd67bca4e34ap-2, -0x1.a74f68c6a03dbp-2, -0x1.a283cd083371cp-2, -0x1.9d75de839fcbap-2, -0x1.9827d6d5c74a5p-2, -0x1.929bf285c5794p-2, -0x1.8cd4704c45b74p-2, -0x1.86d390604431fp-2, -0x1.809b93c9352f4p-2, -0x1.7a2ebbb694681p-2, -0x1.738f48dcdab09p-2, -0x1.6cbf7ad7e0887p-2, -0x1.65c18f92ad214p-2, -0x1.5e97c2b4b5d0cp-2, -0x1.57444d148bbc8p-2, -0x1.4fc9642ffe56bp-2, -0x1.482939a9ad667p-2, -0x1.4065facc0f709p-2, -0x1.3881d011df508p-2, -0x1.307edcb3f7289p-2, -0x1.285f3e3c8dab7p-2, -0x1.20250c1fc96e5p-2, -0x1.17d25759a880bp-2, -0x1.0f692a1129d23p-2, -0x1.06eb8740a9713p-2, -0x1.fcb6d4c6cf708p-3, -0x1.eb758e503a23dp-3, -0x1.da1712512771cp-3, -0x1.c89f274c4eb61p-3, -0x1.b711829634b05p-3, -0x1.a571c7e1464b6p-3, -0x1.93c388d33b377p-3, -0x1.820a44a37f40ap-3, -0x1.704967c26d99ap-3, -0x1.5e844b892955bp-3, -0x1.4cbe35f1caeefp-3, -0x1.3afa5957b198fp-3, -0x1.293bd43fb1ffep-3, -0x1.1785b127e23e5p-3, -0x1.05dae65ec9ddcp-3, -0x1.e87cabc357fb1p-4, -0x1.c5659a8366ab8p-4, -0x1.a2760b1f6398bp-4, -0x1.7fb3469c907edp-4, -0x1.5d226cd43be1fp-4, -0x1.3ac8746fef74fp-4, -0x1.18aa2af0d4d7fp-4, -0x1.ed986983a7325p-5, -0x1.aa661aa7da4dp-5, -0x1.67c60e88c30bp-5, -0x1.25c099183fd4cp-5, -0x1.c8bb7ae057b9bp-6, -0x1.474a5ca79a9c8p-6, -0x1.8e793b04e1864p-7, -0x1.2281948ea67bap-8, 0x1.a3e60d6d57809p-9, 0x1.601bcf3b3bda6p-7, 0x1.2a06b739524adp-6, 0x1.a25b7344f7eaep-6, 0x1.0c807a7da48f8p-5, 0x1.46f6551bf8e05p-5, 0x1.808a49c71bac4p-5, 0x1.b937a1269aee7p-5, 0x1.f0f9eb397bc54p-5, 0x1.13e67f23e5f56p-4, 0x1.2ed67ae6693d3p-4, 0x1.494b18ad39045p-4, 0x1.6342a9bb20b26p-4, 0x1.7cbba03874c28p-4, 0x1.95b48e9c21599p-4, 0x1.ae2c271258592p-4, 0x1.c6213ae115d21p-4, 0x1.dd92b9cac5411p-4, 0x1.f47fb16f1ba32p-4, 0x1.0573a655430afp-3, 0x1.1064697a1ebp-3, 0x1.1b11d3dd9e3d3p-3, 0x1.257ba4e129342p-3, 0x1.2fa1a93db31cap-3, 0x1.3983bab112c21p-3, 0x1.4321bfab266c4p-3, 0x1.4c7baafacfa1bp-3, 0x1.55917b7ae1b87p-3, 0x1.5e633bbf0ea4ap-3, 0x1.66f101c0ef0b4p-3, 0x1.6f3aee8d22151p-3, 0x1.77412df0aad44p-3, 0x1.7f03f6268fa2p-3, 0x1.86838785c4411p-3, 0x1.8dc02c2f7f4fep-3, 0x1.94ba37bdf31ffp-3, 0x1.9b7206f387dbp-3, 0x1.a1e7ff6a99991p-3, 0x1.a81c8f45ccep-3, 0x1.ae102ce0f98d3p-3, 0x1.b3c35682c92fcp-3, 0x1.b936920f02ab7p-3, 0x1.be6a6cb992f8dp-3, 0x1.c35f7aba62d8ap-3, 0x1.c8165701f5147p-3, 0x1.cc8fa2eee0a5cp-3, 0x1.d0cc06042f904p-3, 0x1.d4cc2da0a18dbp-3, 0x1.d890ccb6dd197p-3, 0x1.dc1a9b86a1547p-3, 0x1.df6a5756e80bbp-3, 0x1.e280c231186c2p-3, 0x1.e55ea29d3a8f7p-3, 0x1.e804c35f3f3afp-3, 0x1.ea73f3355bd16p-3, 0x1.ecad04977d1a9p-3, 0x1.eeb0cd77db6f3p-3, 0x1.f0802704ada5bp-3, 0x1.f21bed6b054d4p-3, 0x1.f384ff9ad276p-3, 0x1.f4bc3f0c144c7p-3, 0x1.f5c28f85392bbp-3, 0x1.f698d6e2b28d7p-3, 0x1.f73ffcdfbb13cp-3, 0x1.f7b8eae056988p-3, 0x1.f8048bbc8376ap-3, 0x1.f823cb8cb1471p-3, 0x1.f817977765534p-3, 0x1.f7e0dd80255d2p-3, 0x1.f7808c5798064p-3, 0x1.f6f7932ce4839p-3, 0x1.f646e180527e9p-3, 0x1.f56f66f71dd37p-3, 0x1.f472133090a5p-3, 0x1.f34fd59c53f13p-3, 0x1.f2099d51fbed2p-3, 0x1.f0a058e9cca41p-3, 0x1.ef14f656ba5ep-3, 0x1.ed6862c1a167ep-3, 0x1.eb9b8a65ad535p-3, 0x1.e9af586dfbfdp-3, 0x1.e7a4b6d469e35p-3, 0x1.e57c8e4195dd1p-3, 0x1.e337c5ee08d97p-3, 0x1.e0d74384909afp-3, 0x1.de5beb05b932dp-3, 0x1.dbc69eac6fcc5p-3, 0x1.d9183ed3c5f9ep-3, 0x1.d651a9ddd2013p-3, 0x1.d373bc1baa637p-3, 0x1.d07f4fb6783acp-3, 0x1.cd753c9999654p-3, 0x1.ca56585dda66cp-3, 0x1.c7237635b2043p-3, 0x1.c3dd66da8e6e5p-3, 0x1.c084f87b1a78fp-3, 0x1.bd1af6aa8c76bp-3, 0x1.b9a02a50ec3ffp-3, 0x1.b615599c4c002p-3, 0x1.b27b47f2f9f04p-3, 0x1.aed2b5e699682p-3, 0x1.ab1c61282a4f7p-3, 0x1.a759047ceffa5p-3, 0x1.a38957b43af67p-3, 0x1.9fae0f9e0ebf1p-3, 0x1.9bc7de0298ca1p-3, 0x1.97d7719a7c726p-3, 0x1.93dd7607ebd57p-3, 0x1.8fda93d084d79p-3, 0x1.8bcf7057f4f37p-3, 0x1.87bcaddb5945cp-3, 0x1.83a2eb6d53cbfp-3, 0x1.7f82c4f2da3c1p-3, 0x1.7b5cd320b2251p-3, 0x1.7731ab79926cep-3, 0x1.7301e04cf2f8p-3, 0x1.6ece00b672bb5p-3, 0x1.6a96989de0877p-3, 0x1.665c30b7d79b4p-3, 0x1.621f4e86eb95ep-3, 0x1.5de0745d674e5p-3, 0x1.59a0215f8cf84p-3, 0x1.555ed1865e9ffp-3, 0x1.511cfda2e38d6p-3, 0x1.4cdb1b61e4672p-3, 0x1.48999d5025fecp-3, 0x1.4458f2df09451p-3, 0x1.40198869a03b8p-3, 0x1.3bdbc73a264a5p-3, 0x1.37a0158fdf819p-3, 0x1.3366d6a55272fp-3, 0x1.2f306ab6e3aeep-3, 0x1.2afd2f09bdc8ap-3, 0x1.26cd7df31777ep-3, 0x1.22a1aedfbf383p-3, 0x1.1e7a165bf6f3bp-3, 0x1.1a57061b8fe3ap-3, 0x1.1638cd0252f81p-3, 0x1.121fb72c999fcp-3, 0x1.0e0c0df832368p-3, 0x1.09fe180d6dc9ep-3, 0x1.05f619686a903p-3, 0x1.01f4536286d57p-3, 0x1.fbf2097814e29p-4, 0x1.f408d34be191cp-4, 0x1.ec2d7797bf59bp-4, 0x1.e46064bc71351p-4, 0x1.dca20438abf1p-4, 0x1.d4f2babdb3d4bp-4, 0x1.cd52e84437dbep-4, 0x1.c5c2e8215ff6p-4, 0x1.be43111bf3e5ep-4, 0x1.b6d3b581b6e8dp-4, 0x1.af75233cd3323p-4, 0x1.a827a3e9635p-4, 0x1.a0eb7ceb10aaep-4, 0x1.99c0ef82bc953p-4, 0x1.92a838e430629p-4, 0x1.8ba1924bdddc9p-4, 0x1.84ad311494fc1p-4, 0x1.7dcb46cd3b373p-4, 0x1.76fc014e7b6dp-4, 0x1.703f8ad068172p-4, 0x1.69960a001158ep-4, 0x1.62ffa21504893p-4, 0x1.5c7c72e6b88fbp-4, 0x1.560c9901dd684p-4, 0x1.4fb02dbd9142ap-4, 0x1.4967475073547p-4, 0x1.4331f8e594b72p-4, 0x1.3d1052b14291cp-4, 0x1.37026205a8271p-4, 0x1.310831674542p-4, 0x1.2b21c8a136319p-4, 0x1.254f2cd94d7f2p-4, 0x1.1f9060a3f966p-4, 0x1.19e56417f5ec2p-4, 0x1.144e34e1c8717p-4, 0x1.0ecace5702f3dp-4, 0x1.095b29894dcccp-4, 0x1.03ff3d5934359p-4, 0x1.fd6dfd116c6eap-5, 0x1.f304bf9b33baep-5, 0x1.e8c2a3c6f972p-5, 0x1.dea7873b4c1e8p-5, 0x1.d4b343f127c9ep-5, 0x1.cae5b0568e98fp-5, 0x1.c13e9f7095b97p-5, 0x1.b7bde0fce8094p-5, 0x1.ae634192bfdfbp-5, 0x1.a52e8ac34ed31p-5, 0x1.9c1f83399c462p-5, 0x1.9335eed9cf20ap-5, 0x1.8a718edfebda1p-5, 0x1.81d221fdfe635p-5, 0x1.79576479b2675p-5, 0x1.710110495a951p-5, 0x1.68cedd3064d88p-5, 0x1.60c080db3a188p-5, 0x1.58d5aefa8db34p-5, 0x1.510e195e17187p-5, 0x1.4969700ebbd56p-5, 0x1.41e7616824198p-5, 0x1.3a879a31bde9fp-5, 0x1.3349c5b72fba9p-5, 0x1.2c2d8de039b6ap-5, 0x1.25329b4804abdp-5, 0x1.1e589553e21bfp-5, 0x1.179f22497f379p-5, 0x1.1105e76487f19p-5, 0x1.0a8c88ebbbed8p-5, 0x1.0432aa457b43dp-5, 0x1.fbefdc1788da6p-6, 0x1.efb7ec3f557p-6, 0x1.e3bcc7788a903p-6, 0x1.d7fdaf1227a07p-6, 0x1.cc79e357c185bp-6, 0x1.c130a3b43e6fcp-6, 0x1.b6212ed38589bp-6, 0x1.ab4ac2c337abfp-6, 0x1.a0ac9d125ca78p-6, 0x1.9645faf01d17ap-6, 0x1.8c16194981af9p-6, 0x1.821c34e63da75p-6, 0x1.78578a848390ep-6, 0x1.6ec756f3f142cp-6, 0x1.656ad72f8e9d9p-6, 0x1.5c414876e79eep-6, 0x1.5349e8663d887p-6, 0x1.4a83f50ddfff4p-6, 0x1.41eead08a4484p-6, 0x1.39894f9188019p-6, 0x1.31531c987df07p-6, 0x1.294b54d66a838p-6, 0x1.217139e054449p-6, 0x1.19c40e39cbbc5p-6, 0x1.124315668e4e5p-6, 0x1.0aed93fb66dd2p-6, 0x1.03c2cfae51d77p-6, 0x1.f9841ecbd4a15p-7, 0x1.ebd536903d759p-7, 0x1.de7779906b69ep-7, 0x1.d1697d6848abbp-7, 0x1.c4a9da8275bffp-7, 0x1.b8372c305997p-7, 0x1.ac1010c0eb1eap-7, 0x1.a03329963cc26p-7, 0x1.949f1b39d24cdp-7, 0x1.89528d6fd0a4cp-7, 0x1.7e4c2b48fef3fp-7, 0x1.738aa333a8b3cp-7, 0x1.690ca70b71823p-7, 0x1.5ed0ec280cacap-7, 0x1.54d62b6af7671p-7, 0x1.4b1b214c26342p-7, 0x1.419e8de5be431p-7, 0x1.385f34feda1p-7, 0x1.2f5bde1560072p-7, 0x1.26935466f258fp-7, 0x1.1e0466f900b8dp-7, 0x1.15ade8a0001b3p-7, 0x1.0d8eb005d198dp-7, 0x1.05a597af5c203p-7, 0x1.fbe2fc02c35d2p-8, 0x1.ece28a89296c4p-8, 0x1.de47a751eadbep-8, 0x1.d0102690f5fbp-8, 0x1.c239e4522279fp-8, 0x1.b4c2c47bdcd63p-8, 0x1.a7a8b2d08f347p-8, 0x1.9ae9a2eed5bbp-8, 0x1.8e83905083368p-8, 0x1.82747e48892c4p-8, 0x1.76ba77ffc5e2fp-8, 0x1.6b539070c8fcbp-8, 0x1.603de26298358p-8, 0x1.55779062787d1p-8, 0x1.4afec4bcd08adp-8, 0x1.40d1b1752188bp-8, 0x1.36ee903d2b83bp-8, 0x1.2d53a26b3da02p-8, 0x1.23ff30efc21e4p-8, 0x1.1aef8c4a08ff2p-8, 0x1.12230c7c5fecdp-8, 0x1.099810ff7ac71p-8, 0x1.014d00b53a9e4p-8, 0x1.f28093b5a87d1p-9, 0x1.e2e0c3f4c947ep-9, 0x1.d3b78bb7f2853p-9, 0x1.c501f2ec22663p-9, 0x1.b6bd0fbb423a4p-9, 0x1.a8e6066b4143ap-9, 0x1.9b7a093c524fap-9, 0x1.8e76584651b18p-9, 0x1.81d841556ea7ep-9, 0x1.759d1fc615ea6p-9, 0x1.69c25c6033e5p-9, 0x1.5e456d31dc243p-9, 0x1.5323d56953b02p-9, 0x1.485b252ea01f4p-9, 0x1.3de8f97c901d4p-9, 0x1.33cafbf9562b4p-9, 0x1.29fee2cebd7b8p-9, 0x1.2082708200c9bp-9, 0x1.175373cb4b11ap-9, 0x1.0e6fc76cf307cp-9, 0x1.05d5520a74241p-9, 0x1.fb040bfe5da2fp-10, 0x1.eae7c269f6079p-10, 0x1.db51d9f5290b5p-10, 0x1.cc3e7bb3cf813p-10, 0x1.bda9e6dc8c9edp-10, 0x1.af9070751f7d6p-10, 0x1.a1ee82fe9bd51p-10, 0x1.94c09e21a4f92p-10, 0x1.8803565ab0b58p-10, 0x1.7bb354a662f18p-10, 0x1.6fcd562e0f9a8p-10, 0x1.644e2bf462d5fp-10, 0x1.5932ba824cc21p-10, 0x1.4e77f9943303fp-10, 0x1.441af3c76a64dp-10, 0x1.3a18c6481022fp-10, 0x1.306ea07f48975p-10, 0x1.2719c3c1e32f8p-10, 0x1.1e1782ff78013p-10, 0x1.1565427207f7dp-10, 0x1.0d00774e133aep-10, 0x1.04e6a7734de0dp-10, 0x1.fa2ad23bb24efp-11, 0x1.eb14c53046282p-11, 0x1.dc8693dabdb96p-11, 0x1.ce7bc9394ee27p-11, 0x1.c0f00e999cc88p-11, 0x1.b3df2b01b6835p-11, 0x1.a745029a85f62p-11, 0x1.9b1d961bb55b5p-11, 0x1.8f650239120afp-11, 0x1.84177f117ae53p-11, 0x1.79315f9f5ad51p-11, 0x1.6eaf112abcec2p-11, 0x1.648d1abcfb39ap-11, 0x1.5ac81c96120a8p-11, 0x1.515ccfa39c4cfp-11, 0x1.484804f97c3f7p-11, 0x1.3f86a54c3764cp-11, 0x1.3715b06d08ac3p-11, 0x1.2ef23cc7ac66ap-11, 0x1.271976e1e883ap-11, 0x1.1f88a0dcd7648p-11, 0x1.183d11f7f2574p-11, 0x1.11343615e1221p-11, 0x1.0a6b8d4311184p-11, 0x1.03e0ab3e1226p-11, 0x1.fb226e03773f4p-12, 0x1.eef5d4a2386acp-12, 0x1.e337228a6114bp-12, 0x1.d7e213b8c9e04p-12, 0x1.ccf28717bdcb5p-12, 0x1.c2647da51f681p-12, 0x1.b834199c1b5d1p-12, 0x1.ae5d9da26912ap-12, 0x1.a4dd6bf913b31p-12, 0x1.9bb005b0ccd79p-12, 0x1.92d209e1bef8bp-12, 0x1.8a4034e6dfa37p-12, 0x1.81f75f9cbfa5p-12, 0x1.79f47ea3cc1dep-12, 0x1.7234a1a601635p-12, 0x1.6ab4f2a00c144p-12, 0x1.6372b52dc89e8p-12, 0x1.5c6b45da2869cp-12, 0x1.559c19726862bp-12, 0x1.4f02bc5c9c823p-12, 0x1.489cd1f18499cp-12, 0x1.426813d9a4182p-12, 0x1.3c62516d910f2p-12, 0x1.36896f197bd65p-12, 0x1.30db65c3ddb8cp-12, 0x1.2b5642374b13bp-12, 0x1.25f8248f60589p-12, 0x1.20bf3fa8c008ap-12, 0x1.1ba9d8941a767p-12, 0x1.16b6460c32b0ap-12, 0x1.11e2efeedde24p-12, 0x1.0d2e4eb8ef32bp-12, 0x1.0896eb0503fc4p-12, 0x1.041b5d0d3226cp-12, 0x1.ff74985f02749p-13, 0x1.f6e4dcea5e237p-13, 0x1.ee85103965531p-13, 0x1.e652d64ce0dd4p-13, 0x1.de4bedc839cdbp-13, 0x1.d66e2f157dab5p-13, 0x1.ceb78b8e909e5p-13, 0x1.c7260cab76ed9p-13, 0x1.bfb7d335adb8p-13, 0x1.b86b16806fc9cp-13, 0x1.b13e23a5d823p-13, 0x1.aa2f5cc8d92fap-13, 0x1.a33d385be0264p-13, 0x1.9c66406c21dbbp-13, 0x1.95a911f17a864p-13, 0x1.8f045c22c483ep-13, 0x1.8876dfce9a6f3p-13, 0x1.81ff6eb86c2f3p-13, 0x1.7b9ceaf9dd1c6p-13, 0x1.754e4668447cbp-13, 0x1.6f1281fe54da5p-13, 0x1.68e8ad49c7125p-13, 0x1.62cfe5dcf718bp-13, 0x1.5cc756c465d52p-13, 0x1.56ce38000efb4p-13, 0x1.50e3ce007358cp-13, 0x1.4b0769275149ep-13, 0x1.4538654bf785p-13, 0x1.3f762943181d2p-13, 0x1.39c0266a18215p-13, 0x1.3415d835b51edp-13, 0x1.2e76c3c40504cp-13, 0x1.28e27771b3998p-13, 0x1.23588a7266136p-13, 0x1.1dd89c6c44d7bp-13, 0x1.186255168bd78p-13, 0x1.12f563db1321ap-13, 0x1.0d917f7ac95bep-13, 0x1.083665b4fecfdp-13, 0x1.02e3daf1858b8p-13, 0x1.fb3353dafc1d1p-14, 0x1.f0af46d5b871ep-14, 0x1.e63b3bc4f44bep-14, 0x1.dbd6ea717e825p-14, 0x1.d18214e981213p-14, 0x1.c73c86f39ec8cp-14, 0x1.bd061586c703bp-14, 0x1.b2de9e46b4f88p-14, 0x1.a8c60704ed395p-14, 0x1.9ebc3d4621d66p-14, 0x1.94c135cbeaddbp-14, 0x1.8ad4ec22a8399p-14, 0x1.80f762337dcccp-14, 0x1.77289fda4ccaap-14, 0x1.6d68b27f8eeabp-14, 0x1.63b7acb5fa6bcp-14, 0x1.5a15a5dbd7213p-14, 0x1.5082b9bfeac57p-14, 0x1.46ff0849e5569p-14, 0x1.3d8ab52634cdcp-14, 0x1.3425e77528f4dp-14, 0x1.2ad0c97d52ff6p-14, 0x1.218b886105843p-14, 0x1.185653d6e3e99p-14, 0x1.0f315de567dd3p-14, 0x1.061cdaa14aa61p-14, 0x1.fa31ffdd756d6p-15, 0x1.e84c0a8a95e47p-15, 0x1.d68846ed0eee7p-15, 0x1.c4e728ee35b77p-15, 0x1.b3692654e5d98p-15, 0x1.a20eb661a12a4p-15, 0x1.90d8516f60036p-15, 0x1.7fc67098f3664p-15, 0x1.6ed98d62cbf0fp-15, 0x1.5e12216910632p-15, 0x1.4d70a611d1fafp-15, 0x1.3cf594434e72bp-15, 0x1.2ca1641e0e9fdp-15, 0x1.1c748cbad00bdp-15, 0x1.0c6f83ec112d3p-15, 0x1.f9257c064e0e4p-16, 0x1.d9bd5b31755e7p-16, 0x1.baa786b12d2a3p-16, 0x1.9be4dba1435bap-16, 0x1.7d763285e73bcp-16, 0x1.5f5c5ef5bafbcp-16, 0x1.41982f49b0e95p-16, 0x1.242a6c526cf67p-16, 0x1.0713d91304653p-16, 0x1.d4aa6501c5534p-17, 0x1.9bde5e9159323p-17, 0x1.63c4ff2fd7b79p-17, 0x1.2c5f99d6ad0dap-17, 0x1.eb5ee786334ep-18, 0x1.7f6b88485c7e4p-18, 0x1.14e767a2112aep-18, 0x1.57a9741bccd91p-19, 0x1.10d65978e792cp-20, -0x1.0fa055466c183p-21, -0x1.0d4c9d528520ep-19, -0x1.d3bef3ec1976dp-19, -0x1.4b9defd0ab581p-18, -0x1.abe0329aa5c93p-18, -0x1.055271fd9d7cap-17, -0x1.33f5627ce3befp-17, -0x1.61d85b06b5daap-17, -0x1.8efadb913249dp-17, -0x1.bb5c73cad1776p-17, -0x1.e6fcc31378681p-17, -0x1.08edbc3894143p-16, -0x1.1dfc29402e94ep-16, -0x1.32a98fb039dcdp-16, -0x1.46f5de4e1c3f1p-16, -0x1.5ae10b876afb1p-16, }}, 
      {{-0x1.b997d8fcef2cfp-7, -0x1.b96d8e30b9ba5p-6, -0x1.4add5f5a56f78p-5, -0x1.b8c4cfc9881f3p-5, -0x1.132c2f046e108p-4, -0x1.49c1ca32b338ap-4, -0x1.8019282cd6293p-4, -0x1.b62867d9d477dp-4, -0x1.ebe5de2c0ac63p-4, -0x1.10a40daa010ddp-3, -0x1.2b22f7a5084fcp-3, -0x1.456b36db66044p-3, -0x1.5f7878a1ab4bfp-3, -0x1.79468f2dbd29dp-3, -0x1.92d172b5ee079p-3, -0x1.ac154253678fdp-3, -0x1.c50e44ad1a5d7p-3, -0x1.ddb8e8705844dp-3, -0x1.f611c49c14a67p-3, -0x1.070acc51bd4a6p-2, -0x1.12e0a6362e4dap-2, -0x1.1e88f816cfb8bp-2, -0x1.2a025e18b7fb6p-2, -0x1.354b883f65097p-2, -0x1.40633a36bdbb9p-2, -0x1.4b484b13b6b1cp-2, -0x1.55f9a50ce9d8ap-2, -0x1.6076452c3e703p-2, -0x1.6abd3afaa26e3p-2, -0x1.74cda826bde2fp-2, -0x1.7ea6c0276a3fcp-2, -0x1.8847c7daa2b26p-2, -0x1.91b015218dabap-2, -0x1.9adf0e7a2f62cp-2, -0x1.a3d42a974550dp-2, -0x1.ac8eeff6c0f2cp-2, -0x1.b50ef4773f0f8p-2, -0x1.bd53dcece2dccp-2, -0x1.c55d5cb5e188ap-2, -0x1.cd2b354f0649ap-2, -0x1.d4bd35e87866fp-2, -0x1.dc133afaf39a1p-2, -0x1.e32d2dddb370dp-2, -0x1.ea0b045d30e9p-2, -0x1.f0acc052e69cbp-2, -0x1.f7126f3e36524p-2, -0x1.fd3c29de907dp-2, -0x1.019509e77a45bp-1, -0x1.046e2d916ee78p-1, -0x1.07299c0258d4bp-1, -0x1.09c7762adacb4p-1, -0x1.0c47e1a7cdcbdp-1, -0x1.0eab0893d55c2p-1, -0x1.10f11959c20dcp-1, -0x1.131a4687c871fp-1, -0x1.1526c6a385e1bp-1, -0x1.1716d3feda22fp-1, -0x1.18eaac8d8e015p-1, -0x1.1aa291bbcacebp-1, -0x1.1c3ec8455e2dep-1, -0x1.1dbf980dc783fp-1, -0x1.1f254bf9110aap-1, -0x1.207031c56bf03p-1, -0x1.21a099e592d1fp-1, -0x1.22b6d75bee628p-1, -0x1.23b33f9677d76p-1, -0x1.24962a4b5bcp-1, -0x1.255ff15657575p-1, -0x1.2610f096d0c02p-1, -0x1.26a985cea7884p-1, -0x1.272a1081bdacp-1, -0x1.2792f1d635cb9p-1, -0x1.27e48c756775bp-1, -0x1.281f446d878b9p-1, -0x1.28437f14036c4p-1, -0x1.2851a2e890aafp-1, -0x1.284a1778ece8dp-1, -0x1.282d45455239bp-1, -0x1.27fb95a599b1fp-1, -0x1.27b572af11651p-1, -0x1.275b471b016fap-1, -0x1.26ed7e2de124cp-1, -0x1.266c839f3befdp-1, -0x1.25d8c38244d02p-1, -0x1.2532aa2f186f3p-1, -0x1.247aa42cac0e3p-1, -0x1.23b11e1b6a9dcp-1, -0x1.22d684a07c09bp-1, -0x1.21eb4451b95cap-1, -0x1.20efc9a2491dap-1, -0x1.1fe480cfe5006p-1, -0x1.1ec9d5d0c807cp-1, -0x1.1da034423fd36p-1, -0x1.1c680757e6268p-1, -0x1.1b21b9cb7933fp-1, -0x1.19cdb5cd57153p-1, -0x1.186c64f598061p-1, -0x1.16fe3035c4fabp-1, -0x1.15837fcb29048p-1, -0x1.13fcbb31bb1c2p-1, -0x1.126a49179efdcp-1, -0x1.10cc8f5138ea9p-1, -0x1.0f23f2cdd28dp-1, -0x1.0d70d78ccf3d5p-1, -0x1.0bb3a0936b787p-1, -0x1.09ecafe306a94p-1, -0x1.081c666ff1c32p-1, -0x1.06432418c2af6p-1, -0x1.0461479e28972p-1, -0x1.02772e9b3dbdbp-1, -0x1.0085357e5366dp-1, -0x1.fd176f046dceep-2, -0x1.f9161d4fd7669p-2, -0x1.f5072761ab21dp-2, -0x1.f0eb3c32aa4ecp-2, -0x1.ecc30827998e9p-2, -0x1.e88f350821795p-2, -0x1.e45069f67a009p-2, -0x1.e0074b67dc9d6p-2, -0x1.dbb47b1db47d4p-2, -0x1.d758981f8cad1p-2, -0x1.d2f43eb5b0645p-2, -0x1.ce8808647cfd6p-2, -0x1.ca148be858dbfp-2, -0x1.c59a5d325416dp-2, -0x1.c11a0d6564621p-2, -0x1.bc942ad438b48p-2, -0x1.b80940ffa4387p-2, -0x1.b379d8959588ap-2, -0x1.aee6777097957p-2, -0x1.aa4fa097d7cd7p-2, -0x1.a5b5d43faa7edp-2, -0x1.a1198fca8c911p-2, -0x1.9c7b4dca96b72p-2, -0x1.97db8603667f5p-2, -0x1.933aad6c7242bp-2, -0x1.8e993633c46f7p-2, -0x1.89f78fc11cdb7p-2, -0x1.855626b970a66p-2, -0x1.80b56502c6775p-2, -0x1.7c15b1c86ab08p-2, -0x1.7777717f7570bp-2, -0x1.72db05eba3438p-2, -0x1.6e40ce2478964p-2, -0x1.69a9269aad4d3p-2, -0x1.6514691ddf98cp-2, -0x1.6082ece284cd4p-2, -0x1.5bf506881b53p-2, -0x1.576b081f96a35p-2, -0x1.52e541320401fp-2, -0x1.4e63fec7615a3p-2, -0x1.49e78b6da8719p-2, -0x1.45702f4007d82p-2, -0x1.40fe2fee46824p-2, -0x1.3c91d0c4535cep-2, -0x1.382b52b1f8f2bp-2, -0x1.33caf452b4403p-2, -0x1.2f70f1f5b0089p-2, -0x1.2b1d85a5dcc17p-2, -0x1.26d0e73223525p-2, -0x1.228b4c35b5bbcp-2, -0x1.1e4ce820754c3p-2, -0x1.1a15ec3f6c9eep-2, -0x1.15e687c5623bfp-2, -0x1.11bee7d37788ep-2, -0x1.0d9f3781d950ap-2, -0x1.09879fe87e5fp-2, -0x1.05784827efc86p-2, -0x1.017155721ca12p-2, -0x1.fae5d6266c209p-3, -0x1.f2fa54f51dcdbp-3, -0x1.eb2066870480fp-3, -0x1.e358467cb98f6p-3, -0x1.dba22cf28e984p-3, -0x1.d3fe4e9261cfap-3, -0x1.cc6cdca56de38p-3, -0x1.c4ee052618ffdp-3, -0x1.bd81f2d1b5bf1p-3, -0x1.b628cd3a3b4fdp-3, -0x1.aee2b8d7f1492p-3, -0x1.a7afd71b09e7ap-3, -0x1.a090467d280fap-3, -0x1.99842292d4983p-3, -0x1.928b841cd933cp-3, -0x1.8ba681198397cp-3, -0x1.84d52cd5cf232p-3, -0x1.7e1797fe6df89p-3, -0x1.776dd0b0b9777p-3, -0x1.70d7e28b795e4p-3, -0x1.6a55d6bf924bp-3, -0x1.63e7b420875fep-3, -0x1.5d8d7f34e0a37p-3, -0x1.57473a465e5c5p-3, -0x1.5114e5721046bp-3, -0x1.4af67eb83aa74p-3, -0x1.44ec020c166c1p-3, -0x1.3ef569635f2a5p-3, -0x1.3912acc5b7c4dp-3, -0x1.3343c25be4d98p-3, -0x1.2d889e7ecee39p-3, -0x1.27e133c65a252p-3, -0x1.224d73180e2fdp-3, -0x1.1ccd4bb588a68p-3, -0x1.1760ab4abddbfp-3, -0x1.12077dfc082f2p-3, -0x1.0cc1ae7403827p-3, -0x1.078f25f13066cp-3, -0x1.026fcc5364424p-3, -0x1.fac71052106b6p-4, -0x1.f0d47d783860ep-4, -0x1.e707a83e0a7d6p-4, -0x1.dd6056724a9bcp-4, -0x1.d3de4ba67c553p-4, -0x1.ca814947331ebp-4, -0x1.c1490eb3fa9b5p-4, -0x1.b8355956c74e3p-4, -0x1.af45e4bb03059p-4, -0x1.a67a6aa41c5fp-4, -0x1.9dd2a323b203fp-4, -0x1.954e44af46fb6p-4, -0x1.8ced04358f01dp-4, -0x1.84ae95333fbd5p-4, -0x1.7c92a9c77d4fbp-4, -0x1.7498f2c7d2741p-4, -0x1.6cc11fd3bc6a9p-4, -0x1.650adf67c5c6p-4, -0x1.5d75def036f7cp-4, -0x1.5601cadb56cc3p-4, -0x1.4eae4eab3f3c5p-4, -0x1.477b15074669p-4, -0x1.4067c7ccfbbecp-4, -0x1.39741020bb31fp-4, -0x1.329f967dd52b3p-4, -0x1.2bea02c64f2f4p-4, -0x1.2552fc523b27p-4, -0x1.1eda29fea7e9ap-4, -0x1.187f323c2b918p-4, -0x1.1241bb1d084ecp-4, -0x1.0c216a62ecc72p-4, -0x1.061de58c521dap-4, -0x1.0036d1e176c2bp-4, -0x1.f4d7a901f2c7p-5, -0x1.e97924d824c66p-5, -0x1.de516124e2fedp-5, -0x1.d35fa7bb750c5p-5, -0x1.c8a34279515a3p-5, -0x1.be1b7b5bab1a3p-5, -0x1.b3c79c944d24fp-5, -0x1.a9a6f09dc5487p-5, -0x1.9fb8c24edf508p-5, -0x1.95fc5ced76786p-5, -0x1.8c710c409c37bp-5, -0x1.83161ca21a656p-5, -0x1.79eadb0f51657p-5, -0x1.70ee953974d77p-5, -0x1.682099952afeap-5, -0x1.5f8037698f989p-5, -0x1.570cbedea12a9p-5, -0x1.4ec5810b159c4p-5, -0x1.46a9d0019cce2p-5, -0x1.3eb8fedd94572p-5, -0x1.36f261cf2b001p-5, -0x1.2f554e26fd7e3p-5, -0x1.27e11a6129413p-5, -0x1.20951e2fd98dcp-5, -0x1.1970b28554863p-5, -0x1.1273319d87128p-5, -0x1.0b9bf70716b13p-5, -0x1.04ea5fabf49efp-5, -0x1.fcbb93b302347p-6, -0x1.efeb2a9064357p-6, -0x1.e36246459ed7ap-6, -0x1.d71fac1a7774bp-6, -0x1.cb222455a557cp-6, -0x1.bf687a48bb85ep-6, -0x1.b3f17c5b42ef5p-6, -0x1.a8bbfc150b6p-6, -0x1.9dc6ce27bd08fp-6, -0x1.9310ca77a7d13p-6, -0x1.8898cc23d996p-6, -0x1.7e5db18d8261cp-6, -0x1.745e5c5ea802dp-6, -0x1.6a99b1902defep-6, -0x1.610e996f3d6edp-6, -0x1.57bbffa204d97p-6, -0x1.4ea0d32be04b7p-6, -0x1.45bc0670ec6d6p-6, -0x1.3d0c8f39008cep-6, -0x1.349166b220e49p-6, -0x1.2c498972658fdp-6, -0x1.2433f77959ae9p-6, -0x1.1c4fb430dc934p-6, -0x1.149bc66d8717fp-6, -0x1.0d17386e95193p-6, -0x1.05c117dd60775p-6, -0x1.fd30eb98cbbd5p-7, -0x1.ef38cd6bc5a69p-7, -0x1.e19804f40d549p-7, -0x1.d44cc8b98bd7ap-7, -0x1.c75556068f58cp-7, -0x1.baaff0e1ec05ep-7, -0x1.ae5ae40879bd3p-7, -0x1.a25480e5d250fp-7, -0x1.969b1f8c7a9c8p-7, -0x1.8b2d1ead6b296p-7, -0x1.8008e38f023c8p-7, -0x1.752cda03621ep-7, -0x1.6a97745e4de5fp-7, -0x1.60472b6a7c5d5p-7, -0x1.563a7e5e77771p-7, -0x1.4c6ff2d0f615cp-7, -0x1.42e614acd73e5p-7, -0x1.399b7624a53dbp-7, -0x1.308eafa5b78eep-7, -0x1.27be5fcaf5e57p-7, -0x1.1f292b4f3f997p-7, -0x1.16cdbcff7e35dp-7, -0x1.0eaac5ac67626p-7, -0x1.06befc1bf4368p-7, -0x1.fe1239f521d1fp-8, -0x1.ef0fd59818a68p-8, -0x1.e0745bb891eecp-8, -0x1.d23d685f6bbd1p-8, -0x1.c468a2e7251ap-8, -0x1.b6f3bddc07105p-8, -0x1.a9dc76dbf316ap-8, -0x1.9d209675e261p-8, -0x1.90bdf0091c035p-8, -0x1.84b261a429c67p-8, -0x1.78fbd3e392294p-8, -0x1.6d9839d05fb78p-8, -0x1.628590be7ac71p-8, -0x1.57c1e02adf2ep-8, -0x1.4d4b3999afa1ap-8, -0x1.431fb8743248cp-8, -0x1.393d81e6b6394p-8, -0x1.2fa2c4be6ed3cp-8, -0x1.264db94742747p-8, -0x1.1d3ca1299a445p-8, -0x1.146dc7482ef19p-8, -0x1.0bdf7f9de0f2bp-8, -0x1.0390271b98f2fp-8, -0x1.f6fc470c72d5p-9, -0x1.e74fc6a948f51p-9, -0x1.d817bb1bb51d2p-9, -0x1.c951234e6ad78p-9, -0x1.baf90ec5861c9p-9, -0x1.ad0c9d5b8bed9p-9, -0x1.9f88fefeb6ee9p-9, -0x1.926b736e9cf3p-9, -0x1.85b149fa2e9c5p-9, -0x1.7957e13e1cdd5p-9, -0x1.6d5ca6e3a0725p-9, -0x1.61bd175fb940cp-9, -0x1.5676bdb2d66d3p-9, -0x1.4b873328fecb2p-9, -0x1.40ec1f1a7135p-9, -0x1.36a336acc9c06p-9, -0x1.2caa3c94abcc4p-9, -0x1.22ff00d7f3bbbp-9, -0x1.199f60907b0e8p-9, -0x1.108945af66f5bp-9, -0x1.07baa6c112486p-9, -0x1.fe630d6313ac6p-10, -0x1.edd7e9234dd45p-10, -0x1.ddd016b985da3p-10, -0x1.ce47e37e1db27p-10, -0x1.bf3bb3b911bcfp-10, -0x1.b0a8023132713p-10, -0x1.a2895fbca6cedp-10, -0x1.94dc72d2bc115p-10, -0x1.879df71f0baa7p-10, -0x1.7acabd15f5421p-10, -0x1.6e5fa98a725c6p-10, -0x1.6259b5453e063p-10, -0x1.56b5ec9d628a3p-10, -0x1.4b716f1218eb5p-10, -0x1.40896ee61409ap-10, -0x1.35fb30bc1d8c7p-10, -0x1.2bc40b352658p-10, -0x1.21e1668fa2076p-10, -0x1.1850bc485953p-10, -0x1.0f0f96bc907c6p-10, -0x1.061b90cd93c3bp-10, -0x1.fae4ab0b53923p-11, -0x1.ea233f7cbe0bp-11, -0x1.d9ee73906f0abp-11, -0x1.ca41fa277b1d8p-11, -0x1.bb19a3b7dee43p-11, -0x1.ac715da4136b4p-11, -0x1.9e4531955b6fdp-11, -0x1.909144d8c3459p-11, -0x1.8351d7bed2e9dp-11, -0x1.768344fdeb48ap-11, -0x1.6a2201174eeep-11, -0x1.5e2a99becce72p-11, -0x1.5299b5450d9a8p-11, -0x1.476c12047a622p-11, -0x1.3c9e85d0bc4d6p-11, -0x1.322dfd68cbf5fp-11, -0x1.28177beb8c8d6p-11, -0x1.1e581a4eef6f6p-11, -0x1.14ed06d99689ep-11, -0x1.0bd3849ef2e76p-11, -0x1.0308eafdd7b35p-11, -0x1.f5154a42f7bc8p-12, -0x1.e4ac6309ca65ap-12, -0x1.d4d242f167435p-12, -0x1.c582315692c4p-12, -0x1.b6b79966900c9p-12, -0x1.a86e0938b62c7p-12, -0x1.9aa130ec93c04p-12, -0x1.8d4ce1cc9466ep-12, -0x1.806d0d7516ecp-12, -0x1.73fdc4ffec0dp-12, -0x1.67fb3834266c7p-12, -0x1.5c61b4ba36c04p-12, -0x1.512da55440ddap-12, -0x1.465b911a99de2p-12, -0x1.3be81abc65e9fp-12, -0x1.31cfffc441631p-12, -0x1.281017e0ebfb6p-12, -0x1.1ea55431e33ffp-12, -0x1.158cbe97ddbb7p-12, -0x1.0cc379091daf8p-12, -0x1.0446bce9829e5p-12, -0x1.f827b4ccade3fp-13, -0x1.e8506fab8029fp-13, -0x1.d902a2339476ap-13, -0x1.ca396e0df8fbfp-13, -0x1.bbf01d9cd15a1p-13, -0x1.ae2222d651c3cp-13, -0x1.a0cb162679b86p-13, -0x1.93e6b55764e2ep-13, -0x1.8770e2802d9e4p-13, -0x1.7b65a2fa2bfa2p-13, -0x1.6fc11e5c83bcfp-13, -0x1.647f9d7de0f6ep-13, -0x1.599d897c48201p-13, -0x1.4f176acadebbdp-13, -0x1.44e9e84587942p-13, -0x1.3b11c64a4b577p-13, -0x1.318be5d85faa2p-13, -0x1.285543b4b70c9p-13, -0x1.1f6af79404df5p-13, -0x1.16ca334a17cb8p-13, -0x1.0e7041fe693bcp-13, -0x1.065a8765d7175p-13, -0x1.fd0cfe02bad1fp-14, -0x1.ede376c38de1fp-14, -0x1.df33cae056643p-14, -0x1.d0f977766925bp-14, -0x1.c3302391fa118p-14, -0x1.b5d39edb0d69fp-14, -0x1.a8dfe04b3c033p-14, -0x1.9c5104ec3d2acp-14, -0x1.90234e9efc3a5p-14, -0x1.845322eb06da2p-14, -0x1.78dd09d632fc8p-14, -0x1.6dbdacc445fc8p-14, -0x1.62f1d55e753e3p-14, -0x1.58766c82945cp-14, -0x1.4e487939c433ep-14, -0x1.44651fb67ca45p-14, -0x1.3ac9a059c2acp-14, -0x1.317356bf65a32p-14, -0x1.285fb8d11a4c9p-14, -0x1.1f8c55e04b094p-14, -0x1.16f6d5c676fc8p-14, -0x1.0e9cf80bf9f11p-14, -0x1.067c931517577p-14, -0x1.fd2726aa445cp-15, -0x1.edbff50f3addp-15, -0x1.debfbdde65e9ap-15, -0x1.d022d534b3ec4p-15, -0x1.c1e5b55b1e41fp-15, -0x1.b404fd65ede4ep-15, -0x1.a67d6fde996acp-15, -0x1.994bf177f72aep-15, -0x1.8c6d87cc83c5cp-15, -0x1.7fdf58267c90fp-15, -0x1.739ea651904afp-15, -0x1.67a8d375e8d7cp-15, -0x1.5bfb5cfc545fbp-15, -0x1.5093db7b4a163p-15, -0x1.457001aca07f8p-15, -0x1.3a8d9b6baa45dp-15, -0x1.2fea8cbb91435p-15, -0x1.2584d0d5b1c8dp-15, -0x1.1b5a793fbf015p-15, -0x1.1169ace9847e4p-15, -0x1.07b0a75208647p-15, -0x1.fc5b6f67c262fp-16, -0x1.e9be80711ac0dp-16, -0x1.d7876a6535b3ep-16, -0x1.c5b338bce3051p-16, -0x1.b43f18532369p-16, -0x1.a32856002ee58p-16, -0x1.926c5d40b1cbbp-16, -0x1.8208b6e8ebf76p-16, -0x1.71fb07e34ee3ep-16, -0x1.62410ffa5f7efp-16, -0x1.52d8a8ad733f2p-16, -0x1.43bfc41007a2ep-16, -0x1.34f46bb362ab4p-16, -0x1.2674bf9a30aa4p-16, -0x1.183ef535d3ba9p-16, -0x1.0a51566d206cdp-16, -0x1.f95481587dc66p-17, -0x1.de9047facf282p-17, -0x1.c4530454858d6p-17, -0x1.aa99dbcb359c2p-17, -0x1.916213fa62e6ap-17, -0x1.78a91126cb634p-17, -0x1.606c54c10b78ap-17, -0x1.48a97bf6e7571p-17, -0x1.315e3e5304714p-17, -0x1.1a886c6a6ae55p-17, -0x1.0425ee9783526p-17, -0x1.dc6987842cecdp-18, -0x1.b1660067cc2fcp-18, -0x1.873d98f2fac2bp-18, -0x1.5decc89d9eaafp-18, -0x1.35702b2e89589p-18, -0x1.0dc47ec1b4d5fp-18, -0x1.cdcd43c7ca1c2p-19, -0x1.81a72385f7cd2p-19, -0x1.3710d0e4a1de2p-19, -0x1.dc096d097ffe4p-20, -0x1.4cfae4aca1d9p-20, -0x1.81d74a44e416bp-21, -0x1.be8d2d103e0e2p-23, 0x1.3973356d5659cp-22, 0x1.a3522ebc7e386p-21, 0x1.521c50f676bf6p-20, 0x1.cfbf4c839eeafp-20, 0x1.254d4d61c0888p-19, 0x1.615b4793fea46p-19, 0x1.9c0da1fb5289bp-19, 0x1.d5684f19feb04p-19, 0x1.06b7945714d3fp-18, 0x1.2212f8bafbecep-18, 0x1.3cc82b6e23199p-18, 0x1.56d8f947701abp-18, 0x1.704725ff84cbp-18, 0x1.89146ce6993a7p-18, 0x1.a1428190511cbp-18, 0x1.b8d31075edad5p-18, 0x1.cfc7bf8f40eb2p-18, 0x1.e6222ee2baf15p-18, 0x1.fbe3f90ceff7bp-18, 0x1.088759dff6011p-17, 0x1.12d1f81d55807p-17, 0x1.1cd29ddc8431bp-17, 0x1.268a0fee3a67dp-17, 0x1.2ff91186df535p-17, 0x1.3920646c1e72dp-17, 0x1.4200c91f4e9e2p-17, 0x1.4a9aff04d2e21p-17, 0x1.52efc48891215p-17, 0x1.5affd73fa743cp-17, 0x1.62cbf40774488p-17, 0x1.6a54d7221bffp-17, 0x1.719b3c50a6d5fp-17, 0x1.789fdeeacd9b5p-17, 0x1.7f6379f491be8p-17, 0x1.85e6c831ca6fp-17, 0x1.8c2a8437ac5bfp-17, 0x1.922f687c6bc7dp-17, 0x1.97f62f651cf97p-17, 0x1.9d7f9351dbadep-17, 0x1.a2cc4ea8509c4p-17, 0x1.a7dd1bdcb34d1p-17, 0x1.acb2b57960c6ep-17, 0x1.b14dd624ffd9cp-17, 0x1.b5af38a76e21cp-17, 0x1.b9d797ed68c66p-17, 0x1.bdc7af0b10ac7p-17, 0x1.c180393d5cd66p-17, 0x1.c501f1ea80b6cp-17, 0x1.c84d94a166292p-17, 0x1.cb63dd18382fep-17, 0x1.ce45872a23ef6p-17, 0x1.d0f34ed445cfap-17, 0x1.d36df031de25bp-17, 0x1.d5b62777dd40ap-17, 0x1.d7ccb0efc8499p-17, 0x1.d9b248f20e05ep-17, 0x1.db67abdfce5e9p-17, 0x1.dced961c2485bp-17, 0x1.de44c404fdd12p-17, 0x1.df6df1eb8a433p-17, 0x1.e069dc0c3e1b1p-17, 0x1.e1393e86956cfp-17, 0x1.e1dcd55472d9p-17, 0x1.e2555c41432bdp-17, 0x1.e2a38ee0e5e89p-17, 0x1.e2c828865abcep-17, 0x1.e2c3e43a3df4dp-17, 0x1.e2977cb1298d3p-17, 0x1.e243ac41e6b71p-17, 0x1.e1c92cdb9262bp-17, 0x1.e128b7fba2161p-17, 0x1.e06306a3deacap-17, 0x1.df78d1505953bp-17, 0x1.de6acfed5951ep-17, 0x1.dd39b9cd4299cp-17, 0x1.dbe6459e9089fp-17, 0x1.da712961d38eep-17, 0x1.d8db1a5fb1a64p-17, 0x1.d724cd1f0aea8p-17, 0x1.d54ef55b29a4bp-17, 0x1.d35a45fa051bap-17, 0x1.d1477102ae2dap-17, 0x1.cf172793ca533p-17, 0x1.ccca19da41135p-17, 0x1.ca60f707ff154p-17, 0x1.c7dc6d4ae2fd4p-17, 0x1.c53d29c3dcba7p-17, }}, 
      {{0x1.8a46c4646e278p-1, 0x1.8a400b1fbfed9p-1, 0x1.8a33e7257fb14p-1, 0x1.8a20ff19ba7ebp-1, 0x1.8a0586d730ed7p-1, 0x1.89df5188cf716p-1, 0x1.89abe4a9becafp-1, 0x1.89688ae1d8316p-1, 0x1.89126608e41b9p-1, 0x1.88a67fdad0c05p-1, 0x1.8821d916bdfp-1, 0x1.878176e5d4774p-1, 0x1.86c26e804e89p-1, 0x1.85e1ef18fec1fp-1, 0x1.84dd4a23d89bp-1, 0x1.83b1fa13cc3f3p-1, 0x1.825da7b0e73eep-1, 0x1.80de2e29ccf57p-1, 0x1.7f319e041d2e7p-1, 0x1.7d563f0e8a4a9p-1, 0x1.7b4a9175d1ac8p-1, 0x1.790d4e1ba5a93p-1, 0x1.769d664c26cdbp-1, 0x1.73fa02ebf77b9p-1, 0x1.712283365afd6p-1, 0x1.6e167b203c9fbp-1, 0x1.6ad5b17294f32p-1, 0x1.67601dac519e2p-1, 0x1.63b5e5b9c617ep-1, 0x1.5fd75b8dbbfbp-1, 0x1.5bc4faa6793e1p-1, 0x1.577f65877bcfp-1, 0x1.5307632f440c5p-1, 0x1.4e5ddc8f4965dp-1, 0x1.4983da0b218d1p-1, 0x1.447a8102e69bfp-1, 0x1.3f43116c24p-1, 0x1.39dee37bcf5bep-1, 0x1.344f6563452aap-1, 0x1.2e961921b353p-1, 0x1.28b4926af8abbp-1, 0x1.22ac74a49b812p-1, 0x1.1c7f70f935749p-1, 0x1.162f44826f873p-1, 0x1.0fbdb6897b308p-1, 0x1.092c96ddcb965p-1, 0x1.027dbc41b2895p-1, 0x1.f76605d8dac88p-2, 0x1.e99c964239845p-2, 0x1.dba2efb42377cp-2, 0x1.cd7cdb0faad8ep-2, 0x1.bf2e21c69317bp-2, 0x1.b0ba8ba4720c3p-2, 0x1.a225dcbb69735p-2, 0x1.9373d373292abp-2, 0x1.84a826b8f2119p-2, 0x1.75c6844f50966p-2, 0x1.66d28f3c563d1p-2, 0x1.57cfde5517a8bp-2, 0x1.48c1fae54092p-2, 0x1.39ac5f7195ae3p-2, 0x1.2a92769445c56p-2, 0x1.1b7799f1f7f82p-2, 0x1.0c5f11467e2dp-2, 0x1.fa98231063a9ap-3, 0x1.dc837841e5691p-3, 0x1.be863c77a81b4p-3, 0x1.a0a6604d154b5p-3, 0x1.82e9a98b5d403p-3, 0x1.6555b235e53dbp-3, 0x1.47efe7b8e420bp-3, 0x1.2abd8a3889c2bp-3, 0x1.0dc3abff1116ap-3, 0x1.e20e621050c17p-4, 0x1.a9199d5068d86p-4, 0x1.70b2169bd148p-4, 0x1.38e07cb9aa2e6p-4, 0x1.01ad203ef1f3fp-4, 0x1.963fe73e36b07p-5, 0x1.2a8116cce258cp-5, 0x1.80587a6f23d6fp-6, 0x1.5d3c3a389e2c2p-7, -0x1.00979cb10a1ep-9, -0x1.d7445e228dfd7p-7, -0x1.b3f877522139ep-6, -0x1.3c800a6ded1cbp-5, -0x1.9d5259211b87dp-5, -0x1.fc69aba9fe13dp-5, -0x1.2cde98fb3176ep-4, -0x1.5aa2629d6071ep-4, -0x1.877c7286997dcp-4, -0x1.b3695a2f4308dp-4, -0x1.de65fb2a42cefp-4, -0x1.0437c2c21a885p-3, -0x1.18c1bb0b2488bp-3, -0x1.2ccfca66fda61p-3, -0x1.4060f9758d079p-3, -0x1.5374749aa5d8dp-3, -0x1.66098b151d36ep-3, -0x1.781fae12d2238p-3, -0x1.89b66fc220e2fp-3, -0x1.9acd82614f60ep-3, -0x1.ab64b74c6a3e2p-3, -0x1.bb7bfe09ff98cp-3, -0x1.cb1363573c60dp-3, -0x1.da2b1033b37a1p-3, -0x1.e8c348ed545c8p-3, -0x1.f6dc6c2ccd058p-3, -0x1.023b790163776p-2, -0x1.08c9b57b2395ap-2, -0x1.0f193f8a3b23fp-2, -0x1.152a768115435p-2, -0x1.1afdc487b18b1p-2, -0x1.20939e268297cp-2, -0x1.25ec81d280e7dp-2, -0x1.2b08f77a9848dp-2, -0x1.2fe990167d082p-2, -0x1.348ee5370cf58p-2, -0x1.38f9989841f12p-2, -0x1.3d2a53b4daf5bp-2, -0x1.4121c75bbe421p-2, -0x1.44e0ab472fe74p-2, -0x1.4867bdb5e5165p-2, -0x1.4bb7c30605547p-2, -0x1.4ed1855222d23p-2, -0x1.51b5d4103869p-2, -0x1.546583b2b1349p-2, -0x1.56e16d4b884b4p-2, -0x1.592a6e31841abp-2, -0x1.5b4167a7931fap-2, -0x1.5d273e8650929p-2, -0x1.5edcdae7b730ap-2, -0x1.606327d4ff0dbp-2, -0x1.61bb12f6aec99p-2, -0x1.62e58c46e10a9p-2, -0x1.63e385c5b9d71p-2, -0x1.64b5f3301033ep-2, -0x1.655dc9b84e3acp-2, -0x1.65dbffc17ae77p-2, -0x1.66318c9c79ec6p-2, -0x1.665f6847745c9p-2, -0x1.66668b2f68d9cp-2, -0x1.6647edf3e5087p-2, -0x1.6604892cdb896p-2, -0x1.659d5532998bdp-2, -0x1.651349e7cfa8dp-2, -0x1.64675e85b03a4p-2, -0x1.639a896a1357ep-2, -0x1.62adbfe7a31ebp-2, -0x1.61a1f6180624bp-2, -0x1.60781eaffdfb1p-2, -0x1.5f312ad576ab9p-2, -0x1.5dce09f77d834p-2, -0x1.5c4fa9a818923p-2, -0x1.5ab6f577f370fp-2, -0x1.5904d6d3df17fp-2, -0x1.573a34e413a32p-2, -0x1.5557f46d3633fp-2, -0x1.535ef7b30cf3ep-2, -0x1.51501e5ce59e9p-2, -0x1.4f2c455b9b386p-2, -0x1.4cf446d137de1p-2, -0x1.4aa8f9fa25ec1p-2, -0x1.484b3317e892cp-2, -0x1.45dbc35d5149ep-2, -0x1.435b78dc2dbccp-2, -0x1.40cb1e7459843p-2, -0x1.3e2b7bc43812fp-2, -0x1.3b7d551a822a6p-2, -0x1.38c16b69611e6p-2, -0x1.35f87c3ad3838p-2, -0x1.332341a6469bp-2, -0x1.3042724766b05p-2, -0x1.2d56c13615408p-2, -0x1.2a60ddff7e52dp-2, -0x1.276174a04355bp-2, -0x1.24592d7fb4e75p-2, -0x1.2148ad6c0b438p-2, -0x1.1e3095979dc8p-2, -0x1.1b11839707f73p-2, -0x1.17ec116039561p-2, -0x1.14c0d54a63d49p-2, -0x1.1190620ec308ep-2, -0x1.0e5b46ca2e2aap-2, -0x1.0b220eff737c7p-2, -0x1.07e5429a7143ap-2, -0x1.04a565f3e2a14p-2, -0x1.0162f9d5dbe6bp-2, -0x1.fc3cf701d6ccep-3, -0x1.f5b0c963b2f6bp-3, -0x1.ef22574ffc2ecp-3, -0x1.e89286584b672p-3, -0x1.e202352ffc4bbp-3, -0x1.db723bbc08a7dp-3, -0x1.d4e36b23d4cf3p-3, -0x1.ce568de2e600bp-3, -0x1.c7cc67db6a22p-3, -0x1.c145b66991b55p-3, -0x1.bac33077a4491p-3, -0x1.b4458692c939cp-3, -0x1.adcd6300732ddp-3, -0x1.a75b69d46ba88p-3, -0x1.a0f03907636ebp-3, -0x1.9a8c688e140eap-3, -0x1.94308a70cf5b1p-3, -0x1.8ddd2ae3805e7p-3, -0x1.8792d05e14faep-3, -0x1.8151fbb538767p-3, -0x1.7b1b28336981fp-3, -0x1.74eecbb2531a3p-3, -0x1.6ecd56b45db39p-3, -0x1.68b7347e8421bp-3, -0x1.62accb3246666p-3, -0x1.5cae7be7d30ap-3, -0x1.56bca2c83be35p-3, -0x1.50d79727d2741p-3, -0x1.4affaba086e9dp-3, -0x1.45352e2c55309p-3, -0x1.3f78683fb4a9fp-3, -0x1.39c99ee3fc749p-3, -0x1.342912d1c7b37p-3, -0x1.2e97008b3dafap-3, -0x1.2913a0764cc82p-3, -0x1.239f26f6c4d67p-3, -0x1.1e39c4885107p-3, -0x1.18e3a5d852079p-3, -0x1.139cf3df8611fp-3, -0x1.0e65d3fb8880ap-3, -0x1.093e68081d7e1p-3, -0x1.0426ce7843a58p-3, -0x1.fe3e44de2702p-4, -0x1.f44ef7b0b3147p-4, -0x1.ea7fdf01e6f2fp-4, -0x1.e0d11e5dd3b47p-4, -0x1.d742d37282fd4p-4, -0x1.cdd5163f06206p-4, -0x1.c487f941edf54p-4, -0x1.bb5b89a72ee7fp-4, -0x1.b24fcf75551cap-4, -0x1.a964cdba1a3f3p-4, -0x1.a09a82b65b3bfp-4, -0x1.97f0e80957e41p-4, -0x1.8f67f2db413d9p-4, -0x1.86ff94072384p-4, -0x1.7eb7b8440fe08p-4, -0x1.7690484d96904p-4, -0x1.6e89290b86ea5p-4, -0x1.66a23bb8f573p-4, -0x1.5edb5e0a87fcp-4, -0x1.57346a54055abp-4, -0x1.4fad37ad2779fp-4, -0x1.48459a15afc7p-4, -0x1.40fd6298bedaep-4, -0x1.39d45f6f6acd1p-4, -0x1.32ca5c2299498p-4, -0x1.2bdf21ac1ac72p-4, -0x1.2512769705fc7p-4, -0x1.1e641f1f57183p-4, -0x1.17d3dd50d127cp-4, -0x1.11617125236e4p-4, -0x1.0b0c98a152252p-4, -0x1.04d50ff265fdap-4, -0x1.fd752312c4131p-5, -0x1.f179ac6d017dbp-5, -0x1.e5b72a877628cp-5, -0x1.da2d091d363edp-5, -0x1.cedab142b3b0bp-5, -0x1.c3bf899698d85p-5, -0x1.b8daf67141819p-5, -0x1.ae2c5a12daca5p-5, -0x1.a3b314d026af3p-5, -0x1.996e853def959p-5, -0x1.8f5e085b2c874p-5, -0x1.8580f9b9d61efp-5, -0x1.7bd6b3a679859p-5, -0x1.725e8f4e87bcap-5, -0x1.6917e4e5667e1p-5, -0x1.60020bc84b7c5p-5, -0x1.571c5aa0e1a92p-5, -0x1.4e662786c1a8ep-5, -0x1.45dec81fbf348p-5, -0x1.3d8591bf159e6p-5, -0x1.3559d9837103fp-5, -0x1.2d5af473df6d5p-5, -0x1.2588379baec96p-5, -0x1.1de0f82539e16p-5, -0x1.16648b73aa403p-5, -0x1.0f12473bb724bp-5, -0x1.07e9819b655dbp-5, -0x1.00e99130ca861p-5, -0x1.f4239a5fbbabdp-6, -0x1.e6c31aeeb0938p-6, -0x1.d9b0554955a07p-6, -0x1.cce9fc4e1e218p-6, -0x1.c06ec4a3767a1p-6, -0x1.b43d64da6da1cp-6, -0x1.a854958fbbf25p-6, -0x1.9cb3118b27f82p-6, -0x1.915795dd53d35p-6, -0x1.8640e1fc0358ap-6, -0x1.7b6db7dcda3e8p-6, -0x1.70dcdc0eaa428p-6, -0x1.668d15d151476p-6, -0x1.5c7d2f2c2fddfp-6, -0x1.52abf5034ebc9p-6, -0x1.4918372b2c1cbp-6, -0x1.3fc0c87b48361p-6, -0x1.36a47edf72417p-6, -0x1.2dc23367de72ap-6, -0x1.2518c2581c24ep-6, -0x1.1ca70b34dc07dp-6, -0x1.146bf0d0a815dp-6, -0x1.0c665957891a4p-6, -0x1.04952e59a2ed2p-6, -0x1.f9eeb9a9a6b6p-7, -0x1.eb17aa7ab2b4cp-7, -0x1.dca3170b23d9bp-7, -0x1.ce8eee4995593p-7, -0x1.c0d9263a6927ep-7, -0x1.b37fbc021295ep-7, -0x1.a680b3edab381p-7, -0x1.99da197a0bd3ep-7, -0x1.8d89ff5959d26p-7, -0x1.818e7f772f39ep-7, -0x1.75e5bafb4c4afp-7, -0x1.6a8dda4b06d37p-7, -0x1.5f850d096654cp-7, -0x1.54c98a160650ep-7, -0x1.4a598f8aca023p-7, -0x1.403362b8759d6p-7, -0x1.3655502225a7dp-7, -0x1.2cbdab77c7fe2p-7, -0x1.236acf8f910d7p-7, -0x1.1a5b1e5e825bep-7, -0x1.118d00f007715p-7, -0x1.08fee75cb9076p-7, -0x1.00af48c04cd65p-7, -0x1.f139465d7fdb7p-8, -0x1.e18af75185432p-8, -0x1.d250bc1ee4977p-8, -0x1.c387ba2ed183dp-8, -0x1.b52d2476566e1p-8, -0x1.a73e3b5a047bbp-8, -0x1.99b84c908553cp-8, -0x1.8c98b3041fcacp-8, -0x1.7fdcd6b3432a7p-8, -0x1.73822c9023396p-8, -0x1.6786365f7af5ep-8, -0x1.5be682967f4e3p-8, -0x1.50a0ac38146ap-8, -0x1.45b25ab153084p-8, -0x1.3b1941b568125p-8, -0x1.30d32118e2627p-8, -0x1.26ddc4ac73cc1p-8, -0x1.1d3704173694p-8, -0x1.13dcc2b084497p-8, -0x1.0accef5963a16p-8, -0x1.020584559ec88p-8, -0x1.f3090e491538fp-9, -0x1.e29010b30badfp-9, -0x1.d29c46e880699p-9, -0x1.c329fd719cc57p-9, -0x1.b435960f2d049p-9, -0x1.a5bb876a365f6p-9, -0x1.97b85cc36366dp-9, -0x1.8a28b5a252016p-9, -0x1.7d094584cf64bp-9, -0x1.7056d38e1a3ffp-9, -0x1.640e3a3630b91p-9, -0x1.582c66f93c3fep-9, -0x1.4cae5a072829fp-9, -0x1.419125f36f79cp-9, -0x1.36d1ef652d13bp-9, -0x1.2c6decc778825p-9, -0x1.226265fa1dedbp-9, -0x1.18acb402bbf71p-9, -0x1.0f4a40be46e9cp-9, -0x1.063886930df69p-9, -0x1.faea204669edap-10, -0x1.e9faefff7eda3p-10, -0x1.d99ed0b84ae55p-10, -0x1.c9d1358509286p-10, -0x1.ba8daf90d4bcbp-10, -0x1.abcfed88965afp-10, -0x1.9d93bb07387d5p-10, -0x1.8fd500034ccd8p-10, -0x1.828fc03e1afbep-10, -0x1.75c01ab41fc34p-10, -0x1.6962490f1b9d3p-10, -0x1.5d729f19a285dp-10, -0x1.51ed8a343ed21p-10, -0x1.46cf90cc313a1p-10, -0x1.3c1551d3d1793p-10, -0x1.31bb843c9884fp-10, -0x1.27bef672cd99dp-10, -0x1.1e1c8ddaf5a3ep-10, -0x1.14d14650ed5fp-10, -0x1.0bda31a8c1525p-10, -0x1.0334773148613p-10, -0x1.f5baa670f6dc4p-11, -0x1.e5a42d232947cp-11, -0x1.d6204c39e6445p-11, -0x1.c729f4a392ef9p-11, -0x1.b8bc3d9327c1ap-11, -0x1.aad2639ab6783p-11, -0x1.9d67c7c9840b2p-11, -0x1.9077eecdbcbc7p-11, -0x1.83fe8019bcde5p-11, -0x1.77f7450cf3b5ap-11, -0x1.6c5e28205776fp-11, -0x1.612f34166f53p-11, -0x1.5666932eed0a6p-11, -0x1.4c008e5dd2e12p-11, -0x1.41f98c8623ec7p-11, -0x1.384e11b81a385p-11, -0x1.2efabe72dc04bp-11, -0x1.25fc4ee9ae4c5p-11, -0x1.1d4f9a4c9b94p-11, -0x1.14f192148c87bp-11, -0x1.0cdf4152c92a8p-11, -0x1.0515cc03dcf73p-11, -0x1.fb24dccbb1179p-12, -0x1.eca4f8a3cc1e4p-12, -0x1.dea6c1325814ap-12, -0x1.d12538c9ebdb5p-12, -0x1.c41b8d342f57p-12, -0x1.b785167f0fd0ap-12, -0x1.ab5d55d04a877p-12, -0x1.9f9ff43f3f7fdp-12, -0x1.9448c1b4f523p-12, -0x1.8953b3d241e07p-12, -0x1.7ebce4dc02267p-12, -0x1.748092ad4bd3dp-12, -0x1.6a9b1daf8a6c3p-12, -0x1.610907d870b1p-12, -0x1.57c6f3adab5b5p-12, -0x1.4ed1a34e40b1dp-12, -0x1.4625f7818d382p-12, -0x1.3dc0eecbbfbe7p-12, -0x1.359fa487cbcebp-12, -0x1.2dbf5006b5326p-12, -0x1.261d43b422ffdp-12, -0x1.1eb6ec4029f8fp-12, -0x1.1789cfce2d5a6p-12, -0x1.10938d28d2f55p-12, -0x1.09d1dafae27d4p-12, -0x1.0342870d0e3e2p-12, -0x1.f9c6eb10fc16bp-13, -0x1.ed65407c3282ap-13, -0x1.e15c2be4da56bp-13, -0x1.d5a7f35c4664dp-13, -0x1.ca450425e09f6p-13, -0x1.bf2ff169ccafcp-13, -0x1.b46572f0341fbp-13, -0x1.a9e263e5043cbp-13, -0x1.9fa3c1a3f9aebp-13, -0x1.95a6aa8cdb214p-13, -0x1.8be85cdfacf59p-13, -0x1.826635a0c4c37p-13, -0x1.791daf8485b8bp-13, -0x1.700c61e2b2ecp-13, -0x1.672fffb118972p-13, -0x1.5e86568583358p-13, -0x1.560d4d9ec0fa6p-13, -0x1.4dc2e4f4a01b6p-13, -0x1.45a5344eb94bdp-13, -0x1.3db26a61dec73p-13, -0x1.35e8cbf41c1a4p-13, -0x1.2e46b3070c1dcp-13, -0x1.26ca8e087320ap-13, -0x1.1f72df08f76b9p-13, -0x1.183e3af8ceb07p-13, -0x1.112b48ea42ab3p-13, -0x1.0a38c159ef3b8p-13, -0x1.03656d7c9255ap-13, -0x1.f9604d249c86ap-14, -0x1.ec2faa7e8d953p-14, -0x1.df36e1d2d12b6p-14, -0x1.d273fe3698e7bp-14, -0x1.c5e525d81da12p-14, -0x1.b98898d7f9838p-14, -0x1.ad5cb02c00504p-14, -0x1.a15fdc8b3dac9p-14, -0x1.9590a56306642p-14, -0x1.89eda7d4c5708p-14, -0x1.7e7595bc57316p-14, -0x1.732734bebf21cp-14, -0x1.68015d60fb553p-14, -0x1.5d02fa26c742dp-14, -0x1.522b06b912c77p-14, -0x1.47788f1400845p-14, -0x1.3ceaaebc34d69p-14, -0x1.32808ffb4690ap-14, -0x1.28396b231f06p-14, -0x1.1e1485d81aeddp-14, -0x1.14113261bf144p-14, -0x1.0a2ecf01ce3b4p-14, -0x1.006cc5519912ep-14, -0x1.ed95134ab11b5p-15, -0x1.da8f34ead0cfep-15, -0x1.c7c6ff9a6ebf9p-15, -0x1.b53b957f8c0b9p-15, -0x1.a2ec29c30d822p-15, -0x1.90d7ff8ef93cfp-15, -0x1.7efe6916de3f8p-15, -0x1.6d5ec6aa19b3ap-15, -0x1.5bf885cfb2ca9p-15, -0x1.4acb206b81f56p-15, -0x1.39d61bec5c7b2p-15, -0x1.29190882fff76p-15, -0x1.1893806176c89p-15, -0x1.08452702b82d3p-15, -0x1.f05b50f47b9cdp-16, -0x1.d0997196a181bp-16, -0x1.b144268fa50f7p-16, -0x1.925af3ec7ee7bp-16, -0x1.73dd69fd7093dp-16, -0x1.55cb243d9ee7fp-16, -0x1.3823c847d17cap-16, -0x1.1ae704d7dfa27p-16, -0x1.fc2921b0d19d6p-17, -0x1.c35854f8ca6f5p-17, -0x1.8b5b2cc864c76p-17, -0x1.54313d9b5dba1p-17, -0x1.1dda259e16cc9p-17, -0x1.d0ab166fbec1bp-18, -0x1.674637525e3e1p-18, -0x1.ff0a26f463964p-19, -0x1.32ce323538d7ep-19, -0x1.a75de5803d0a3p-21, 0x1.6f6c498ebda8cp-21, 0x1.1e4a7be10a4dep-19, 0x1.dd77cdb6880d7p-19, 0x1.4cb20afcd10b1p-18, 0x1.a90834cf7c0cap-18, 0x1.01df79ea5e3e2p-17, 0x1.2e6b6f08afedp-17, 0x1.5a2848b7b013bp-17, 0x1.85165a8332babp-17, 0x1.af35fd2606821p-17, 0x1.d8878f1660942p-17, 0x1.0085ba8393496p-16, 0x1.14610d2f3c769p-16, 0x1.27d5f8d0fad54p-16, 0x1.3ae4ba6c9150bp-16, 0x1.4d8d92f33933dp-16, 0x1.5fd0c76b9c7ffp-16, 0x1.71aea11589b5dp-16, 0x1.83276d8980c57p-16, 0x1.943b7ed459457p-16, 0x1.a4eb2b8f225ffp-16, 0x1.b536cef373385p-16, 0x1.c51ec8ec54235p-16, 0x1.d4a37e23e348dp-16, 0x1.e3c5580deab9fp-16, 0x1.f284c4ef82a4bp-16, 0x1.00711bf1f8529p-15, 0x1.076f146f6d454p-15, 0x1.0e3c8a5600f14p-15, 0x1.14d9be764ccb9p-15, 0x1.1b46f40932f25p-15, 0x1.218470ac5b9e1p-15, 0x1.27927c5db54a5p-15, 0x1.2d71617606b82p-15, 0x1.33216ca299a23p-15, 0x1.38a2ecde175b6p-15, 0x1.3df6336899814p-15, 0x1.431b93bf05747p-15, 0x1.48136391b4c18p-15, 0x1.4cddfaba82f93p-15, 0x1.517bb3323e729p-15, 0x1.55ece905924e5p-15, 0x1.5a31fa496ec58p-15, 0x1.5e4b470efc041p-15, 0x1.623931571ec44p-15, 0x1.65fc1d059b46p-15, 0x1.69946fd3de34cp-15, 0x1.6d029143747bfp-15, 0x1.7046ea9038876p-15, 0x1.7361e6a2412f7p-15, 0x1.7653f1ff941dap-15, 0x1.791d7abda9b71p-15, 0x1.7bbef072c1784p-15, 0x1.7e38c427169c5p-15, 0x1.808b6845f3421p-15, 0x1.82b7508ead3b6p-15, 0x1.84bcf205907bdp-15, 0x1.869cc2e4bbd6dp-15, 0x1.88573a8cf96bp-15, 0x1.89ecd17690354p-15, 0x1.8b5e01221d33fp-15, 0x1.8cab44096f11p-15, 0x1.8dd5159070907p-15, 0x1.8edbf1f61f9b8p-15, 0x1.8fc0564599ea4p-15, 0x1.9082c0473f4a7p-15, 0x1.9123ae71ef487p-15, 0x1.91a39fdc6296ap-15, 0x1.9203142ea7667p-15, 0x1.92428b93c058fp-15, 0x1.926286ab69fbbp-15, 0x1.9263867c08fc6p-15, 0x1.92460c64c2df9p-15, 0x1.920a9a0fc6a34p-15, 0x1.91b1b164c1b1ap-15, 0x1.913bd47b8911dp-15, 0x1.90a9858ef4ad3p-15, 0x1.8ffb46efee1a1p-15, 0x1.8f319af8b9c46p-15, 0x1.8e4d0400733f5p-15, 0x1.8d4e044ec61e5p-15, 0x1.8c351e0fdea69p-15, 0x1.8b02d34898d46p-15, 0x1.89b7a5cae7957p-15, 0x1.8854172a7c24bp-15, 0x1.86d8a8b1ab01dp-15, 0x1.8545db568d708p-15, 0x1.839c2fb06374dp-15, 0x1.81dc25ed34814p-15, }}, 
      {{0x1.8a48337b8b785p-1, 0x1.8a4601dff9174p-1, 0x1.8a4229a66714fp-1, 0x1.8a3c647dc2fd5p-1, 0x1.8a34537f689c1p-1, 0x1.8a298206d7fafp-1, 0x1.8a1b68c3d413p-1, 0x1.8a0970defd212p-1, 0x1.89f2f713cbe2dp-1, 0x1.89d74eab4be63p-1, 0x1.89b5c449835d1p-1, 0x1.898da0848c0dep-1, 0x1.895e2a403a95ep-1, 0x1.8926a8cc23e69p-1, 0x1.88e665c3f3926p-1, 0x1.889caeb39cc3p-1, 0x1.8848d68202911p-1, 0x1.87ea36a573c79p-1, 0x1.87803025ca705p-1, 0x1.870a2c703995ap-1, 0x1.86879e00ea4afp-1, 0x1.85f800e6800a5p-1, 0x1.855adb2377f4p-1, 0x1.84afbcf12ee7ap-1, 0x1.83f640e819905p-1, 0x1.832e0c1086071p-1, 0x1.8256cddeeedc8p-1, 0x1.8170401eb4ffp-1, 0x1.807a26cdc96bep-1, 0x1.7f744feb9401cp-1, 0x1.7e5e933d2dd22p-1, 0x1.7d38d208c4debp-1, 0x1.7c02f6c9d0941p-1, 0x1.7abcf4df8b142p-1, 0x1.7966c836f881ap-1, 0x1.780074f19ad59p-1, 0x1.768a0709cd274p-1, 0x1.750391f59fa9ap-1, 0x1.736d3048eff2dp-1, 0x1.71c703575f2d1p-1, 0x1.701132d6ac8efp-1, 0x1.6e4bec81ea686p-1, 0x1.6c7763bdefa02p-1, 0x1.6a93d13f52613p-1, 0x1.68a172b234503p-1, 0x1.66a08a64118b6p-1, 0x1.64915eefc14cap-1, 0x1.62743aebc72dbp-1, 0x1.60496c9b1135ap-1, 0x1.5e1145a0340e7p-1, 0x1.5bcc1ab333753p-1, 0x1.597a4359dc65p-1, 0x1.571c19a2b8e6ap-1, 0x1.54b1f9e298762p-1, 0x1.523c4274acff5p-1, 0x1.4fbb537d36f01p-1, 0x1.4d2f8eaeb75e4p-1, 0x1.4a9957119e221p-1, 0x1.47f910ce6ca42p-1, 0x1.454f20fa3dfa6p-1, 0x1.429bed65a7cabp-1, 0x1.3fdfdc6de9d5cp-1, 0x1.3d1b54d059092p-1, 0x1.3a4ebd7ffc6a7p-1, 0x1.377a7d7d49d46p-1, 0x1.349efbaff58c1p-1, 0x1.31bc9ec2c4681p-1, 0x1.2ed3cd015390fp-1, 0x1.2be4ec37c40a5p-1, 0x1.28f061943cd3ap-1, 0x1.25f6918a3635cp-1, 0x1.22f7dfb77b8d5p-1, 0x1.1ff4aecad9e3ap-1, 0x1.1ced606c69174p-1, 0x1.19e25527637a3p-1, 0x1.16d3ec557f26p-1, 0x1.13c2840bb6fd3p-1, 0x1.10ae79087c887p-1, 0x1.0d9826a33e74dp-1, 0x1.0a7fe6bd3d8aep-1, 0x1.076611b39da58p-1, 0x1.044afe52aa85cp-1, 0x1.012f01ca4270ep-1, 0x1.fc24df46b7336p-2, 0x1.f5eb336d2eb79p-2, 0x1.efb1a047b64bfp-2, 0x1.e978c295beed8p-2, 0x1.e34133895ed6dp-2, 0x1.dd0b88bc136b7p-2, 0x1.d6d854253a0f5p-2, 0x1.d0a8241224a76p-2, 0x1.ca7b831fb9ec9p-2, 0x1.c452f83594601p-2, 0x1.be2f06828036ep-2, 0x1.b8102d7a55274p-2, 0x1.b1f6e8d510d56p-2, 0x1.abe3b08f282ffp-2, 0x1.a5d6f8eafaa24p-2, 0x1.9fd1327358273p-2, 0x1.99d2c9ff108f5p-2, 0x1.93dc28b577c02p-2, 0x1.8dedb413cf873p-2, 0x1.8807cdf3922a8p-2, 0x1.822ad49186d7ep-2, 0x1.7c5722959808cp-2, 0x1.768d0f1b61bbep-2, 0x1.70ccedbb649d3p-2, 0x1.6b170e94da955p-2, 0x1.656bbe581f202p-2, 0x1.5fcb46519b23p-2, 0x1.5a35ec753676fp-2, 0x1.54abf36a37d66p-2, 0x1.4f2d9a9794f2p-2, 0x1.49bb1e30a1843p-2, 0x1.4454b7421b31ep-2, 0x1.3efa9bbf8575fp-2, 0x1.39acfe90cfe0ep-2, 0x1.346c0fa03c8e5p-2, 0x1.2f37fbe886d0fp-2, 0x1.2a10ed83372abp-2, 0x1.24f70bb72968fp-2, 0x1.1fea7b0738223p-2, 0x1.1aeb5d4108bf9p-2, 0x1.15f9d18bf3ac8p-2, 0x1.1115f4780212ap-2, 0x1.0c3fe00cfa8a5p-2, 0x1.0777abd97b6d5p-2, 0x1.02bd6d021a704p-2, 0x1.fc226ca10dcp-3, 0x1.f2e6308551958p-3, 0x1.e9c6423377865p-3, 0x1.e0c2b9d2bc689p-3, 0x1.d7dbab4d2463dp-3, 0x1.cf11266d5ea9dp-3, 0x1.c66336fc7c531p-3, 0x1.bdd1e4df7b4p-3, 0x1.b55d343496ecep-3, 0x1.ad052570655fap-3, 0x1.a4c9b57aaf79ep-3, 0x1.9caaddcb08338p-3, 0x1.94a89485174eap-3, 0x1.8cc2cc949b099p-3, 0x1.84f975c9147e8p-3, 0x1.7d4c7cf124d9p-3, 0x1.75bbcbf58b8b8p-3, 0x1.6e4749f3cf334p-3, 0x1.66eedb5885b9bp-3, 0x1.5fb261f939f23p-3, 0x1.5891bd2df4db6p-3, 0x1.518cc9ea5487bp-3, 0x1.4aa362d64bf09p-3, 0x1.43d560666c0abp-3, 0x1.3d2298f3c8937p-3, 0x1.368ae0d3718eap-3, 0x1.300e0a6d76e5ep-3, 0x1.29abe6538a657p-3, 0x1.2364435724d0fp-3, 0x1.1d36ee9f4792fp-3, 0x1.1723b3bdc0a42p-3, 0x1.112a5cc408692p-3, 0x1.0b4ab257a54cbp-3, 0x1.05847bc622471p-3, 0x1.ffaefe31299ep-4, 0x1.f487024d52cedp-4, 0x1.e9908b528f01ap-4, 0x1.decb1e99762d2p-4, 0x1.d4363f84eec4ep-4, 0x1.c9d16fa4bb12bp-4, 0x1.bf9c2ed73537fp-4, 0x1.b595fb6a283e3p-4, 0x1.abbe523acd40ap-4, 0x1.a214aed4e3e34p-4, 0x1.98988b90fcc81p-4, 0x1.8f4961b1e3b86p-4, 0x1.8626a98134ef9p-4, 0x1.7d2fda6b1e6a5p-4, 0x1.74646b194e741p-4, 0x1.6bc3d18d13acap-4, 0x1.634d8338add14p-4, 0x1.5b00f517d4ea5p-4, 0x1.52dd9bc778a06p-4, 0x1.4ae2eb9cb8126p-4, 0x1.431058bb1881fp-4, 0x1.3b655729fbe4bp-4, 0x1.33e15ae959a4p-4, 0x1.2c83d805bd962p-4, 0x1.254c42ab905c3p-4, 0x1.1e3a0f39aa607p-4, 0x1.174cb25336e7ep-4, 0x1.1083a0f0e8cddp-4, 0x1.09de507185211p-4, 0x1.035c36a9c42aep-4, 0x1.f9f993e721936p-5, 0x1.ed7f027948ba3p-5, 0x1.e147a8290c9adp-5, 0x1.d5527573dda73p-5, 0x1.c99e5c4f2a8e7p-5, 0x1.be2a5040cd8e4p-5, 0x1.b2f546765c11fp-5, 0x1.a7fe35db5a077p-5, 0x1.9d44172e55d6fp-5, 0x1.92c5e514f94dfp-5, 0x1.88829c2f0e6fbp-5, 0x1.7e793b288420ep-5, 0x1.74a8c2ca78aa1p-5, 0x1.6b10360b4bd3fp-5, 0x1.61ae9a1dc3de3p-5, 0x1.5882f67f49e58p-5, 0x1.4f8c550541f05p-5, 0x1.46c9c1e9898b6p-5, 0x1.3e3a4bd61b337p-5, 0x1.35dd03efe6614p-5, 0x1.2db0fde0d7ff2p-5, 0x1.25b54fe1231dp-5, 0x1.1de912bfc65f5p-5, 0x1.164b61ea5ad17p-5, 0x1.0edb5b742de01p-5, 0x1.0798201cad294p-5, 0x1.0080d3552b2cep-5, 0x1.f329368bfbd51p-6, 0x1.e5a541a606c8cp-6, 0x1.d8741f3f13d36p-6, 0x1.cb942c234d6f9p-6, 0x1.bf03caa9fc375p-6, 0x1.b2c162ba0132cp-6, 0x1.a6cb61cd4bc95p-6, 0x1.9b203af34aa19p-6, 0x1.8fbe66d26b23bp-6, 0x1.84a463a8a852cp-6, 0x1.79d0b54b343efp-6, 0x1.6f41e5254e5ccp-6, 0x1.64f682363d9aep-6, 0x1.5aed210e8407cp-6, 0x1.51245bcc56948p-6, 0x1.479ad2174fcf8p-6, 0x1.3e4f291b7a70ep-6, 0x1.35400b83aecafp-6, 0x1.2c6c29734dae4p-6, 0x1.23d2387f607d1p-6, 0x1.1b70f3a725794p-6, 0x1.13471b4c10bd6p-6, 0x1.0b537529461a2p-6, 0x1.0394cc4a95b25p-6, 0x1.f813e205f8126p-7, 0x1.e96371c56e35fp-7, 0x1.db15fd59ceb31p-7, 0x1.cd294499a082fp-7, 0x1.bf9b1195710ecp-7, 0x1.b2693880d95c2p-7, 0x1.a591979adff7bp-7, 0x1.99121715ba6f6p-7, 0x1.8ce8a8fdf6cd4p-7, 0x1.8113492123981p-7, 0x1.758ffcf3e9aeap-7, 0x1.6a5cd377bb2d2p-7, 0x1.5f77e52010537p-7, 0x1.54df53b73dae5p-7, 0x1.4a914a42eec59p-7, 0x1.408bfce853ab1p-7, 0x1.36cda8cff40a8p-7, 0x1.2d5494094d06ep-7, 0x1.241f0d6e2a8d9p-7, 0x1.1b2b6c85cd03p-7, 0x1.12781167e1e65p-7, 0x1.0a03649f5313ep-7, 0x1.01cbd70cf6822p-7, 0x1.f39fc39445a92p-8, 0x1.e41c0c165e7c7p-8, 0x1.d5099a03c81adp-8, 0x1.c6658f7fc6635p-8, 0x1.b82d1e321568ep-8, 0x1.aa5d870bb56dp-8, 0x1.9cf41a0bbf045p-8, 0x1.8fee36044fb83p-8, 0x1.8349485f92ce2p-8, 0x1.7702cce4f36f2p-8, 0x1.6b184d7e7cb15p-8, 0x1.5f8761fe72343p-8, 0x1.544dafe5258a4p-8, 0x1.4968ea2714d0cp-8, 0x1.3ed6d0f35277p-8, 0x1.3495317a4296fp-8, 0x1.2aa1e5b4b0affp-8, 0x1.20fad42b45a4ep-8, 0x1.179defbe5faf1p-8, 0x1.0e89376e585ecp-8, 0x1.05bab62434ba1p-8, 0x1.fa6104f599f84p-9, 0x1.e9d17d10d007bp-9, 0x1.d9c32f51ae39fp-9, 0x1.ca328c901904ap-9, 0x1.bb1c1b5a73177p-9, 0x1.ac7c778ce00dcp-9, 0x1.9e5051e9a0099p-9, 0x1.90946fb27e973p-9, 0x1.8345aa43640b9p-9, 0x1.7660eeae09ef4p-9, 0x1.69e33d56d4b47p-9, 0x1.5dc9a992db2b2p-9, 0x1.521159471cd36p-9, 0x1.46b78488e9ddep-9, 0x1.3bb9753f839cap-9, 0x1.311486c6f2028p-9, 0x1.26c6259414f41p-9, 0x1.1ccbced9f4c91p-9, 0x1.132310304cee9p-9, 0x1.09c9873b576aap-9, 0x1.00bce154dca25p-9, 0x1.eff5b66cfba06p-10, 0x1.df02814a919c2p-10, 0x1.ce9bd83d119f7p-10, 0x1.bebd8d0bbc60ep-10, 0x1.af638da927833p-10, 0x1.a089e39470b73p-10, 0x1.922cb33cfba28p-10, 0x1.84483b689f867p-10, 0x1.76d8d49c666cep-10, 0x1.69daf087baf4ep-10, 0x1.5d4b19721902fp-10, 0x1.5125f1ab3612p-10, 0x1.456832fd97042p-10, 0x1.3a0eae239c741p-10, 0x1.2f164a3efa454p-10, 0x1.247c045298326p-10, 0x1.1a3ceebed3787p-10, 0x1.105630c024ff2p-10, 0x1.06c505f020bc6p-10, 0x1.fb0d7b919249bp-11, 0x1.e931765468d24p-11, 0x1.d7f0e7c4fbf72p-11, 0x1.c746e06ff9a63p-11, 0x1.b72e94eb727bp-11, 0x1.a7a35cf43bf36p-11, 0x1.98a0b28fb88acp-11, 0x1.8a223131fd2ccp-11, 0x1.7c2394e845238p-11, 0x1.6ea0b987a9783p-11, 0x1.619599e00dd03p-11, 0x1.54fe4ef334d06p-11, 0x1.48d70f2ff1ab9p-11, 0x1.3d1c2db166de5p-11, 0x1.31ca198245097p-11, 0x1.26dd5ce3fca18p-11, 0x1.1c529c99d5d78p-11, 0x1.12269737debdbp-11, 0x1.08562475a25f8p-11, 0x1.fdbc690939ba5p-12, 0x1.eb779ed4b8367p-12, 0x1.d9d828bc7f786p-12, 0x1.c8d872559551dp-12, 0x1.b8731324f1ba7p-12, 0x1.a8a2cd7013e18p-12, 0x1.99628d1464c92p-12, 0x1.8aad66655074fp-12, 0x1.7c7e9510f130dp-12, 0x1.6ed17b0b3a056p-12, 0x1.61a19f7f7e93ep-12, 0x1.54eaadc83f201p-12, 0x1.48a8746d1b838p-12, 0x1.3cd6e426d610ep-12, 0x1.31720ee944a1bp-12, 0x1.267626f31aa3p-12, 0x1.1bdf7de36df42p-12, 0x1.11aa83d4de47p-12, 0x1.07d3c67e3fed8p-12, 0x1.fcafe0b170215p-13, 0x1.ea678f964d7c8p-13, 0x1.d8c85cb598a98p-13, 0x1.c7cc3fc21af7p-13, 0x1.b76d638c79c45p-13, 0x1.a7a62482a5d15p-13, 0x1.98710f38ecba1p-13, 0x1.89c8defc897dbp-13, 0x1.7ba87c6f7503p-13, 0x1.6e0afc2d52948p-13, 0x1.60eb9d79432e1p-13, 0x1.5445c8f468ab5p-13, 0x1.48150f5d042p-13, 0x1.3c552855e1e1fp-13, 0x1.3101f135fbdc1p-13, 0x1.26176be02184cp-13, 0x1.1b91bda274d56p-13, 0x1.116d2e1d8f38fp-13, 0x1.07a6263334534p-13, 0x1.fc725df8a55afp-14, 0x1.ea45e18c674e7p-14, 0x1.d8c0642d764dbp-14, 0x1.c7dbad6eec5c3p-14, 0x1.b791bd8edcd64p-14, 0x1.a7dccba70771p-14, 0x1.98b743ea647bp-14, 0x1.8a1bc5ef3dfa7p-14, 0x1.7c0523057b0cdp-14, 0x1.6e6e5c98ea311p-14, 0x1.6152a29f33791p-14, 0x1.54ad521134aa9p-14, 0x1.4879f36f7c5f4p-14, 0x1.3cb43951a73ffp-14, 0x1.3157ff00546acp-14, 0x1.2661471977ba7p-14, 0x1.1bcc3a3ec352p-14, 0x1.119525cdec6ecp-14, 0x1.07b87aa28e41fp-14, 0x1.fc6597c2d5027p-15, 0x1.ea019b99a28f5p-15, 0x1.d83ea943dfee6p-15, 0x1.c716a6fda6cdp-15, 0x1.b683b6a1c14dbp-15, 0x1.a680339720a2ap-15, 0x1.9706b0ce69638p-15, 0x1.8811f6cf2d22ep-15, 0x1.799d01d4697f7p-15, 0x1.6ba2fff7e7179p-15, 0x1.5e1f4f6c137dcp-15, 0x1.510d7cc3f8ddp-15, 0x1.44694148edb3cp-15, 0x1.382e815da62cep-15, 0x1.2c594aee45739p-15, 0x1.20e5d3ed1bc82p-15, 0x1.15d078dbb3a8fp-15, 0x1.0b15bb5fdd5b5p-15, 0x1.00b240e4625b7p-15, 0x1.ed45a28a24539p-16, 0x1.d9c8ab0ba56a8p-16, 0x1.c6e7ad28dc416p-16, 0x1.b49cf82991ba6p-16, 0x1.a2e3166e7a29ap-16, 0x1.91b4cb3199b73p-16, 0x1.810d1059d1b6cp-16, 0x1.70e71460fe31dp-16, 0x1.613e384c2d787p-16, 0x1.520e0db55a65cp-16, 0x1.435254e639a78p-16, 0x1.3506fb0387c35p-16, 0x1.2728184873ae2p-16, 0x1.19b1ee519693ap-16, 0x1.0ca0e677155adp-16, 0x1.ffe3206ad8bd2p-17, 0x1.e7413f48f9ba5p-17, 0x1.cf55d7f8dd31cp-17, 0x1.b81adc4ff044p-17, 0x1.a18a7ec750601p-17, 0x1.8b9f2fd392003p-17, 0x1.76539b550187p-17, 0x1.61a2a61f9027ep-17, 0x1.4d876b99b744dp-17, 0x1.39fd3b71a3e0ap-17, 0x1.26ff9767ea2eep-17, 0x1.148a312f214adp-17, 0x1.0298e85fb7422p-17, 0x1.e24f90febaaeap-18, 0x1.c0660e36d4ff8p-18, 0x1.9f6e03eb36b3cp-18, 0x1.7f607a852c89ap-18, 0x1.6036c3f346f89p-18, 0x1.41ea786a0d061p-18, 0x1.24757344e3a4fp-18, 0x1.07d1d00614a25p-18, 0x1.d7f3cee9e5bd4p-19, 0x1.a1d099b23041cp-19, 0x1.6d2f96a39031bp-19, 0x1.3a06c69109704p-19, 0x1.084c8ffbccc4p-19, 0x1.afef74bf7266fp-20, 0x1.51fed361b5ba4p-20, 0x1.ed6c6821413b4p-21, 0x1.3c0a6dfb924e3p-21, 0x1.1f70719e6e4e3p-22, -0x1.7a88607e33aedp-25, -0x1.7469f5c9ced67p-22, -0x1.58093dd1a49b4p-21, -0x1.f1405fe517fd2p-21, -0x1.42fa3c073706dp-20, -0x1.8b1f57a8e4e3cp-20, -0x1.d11ba63df306ep-20, -0x1.0a7d6fd46a398p-19, -0x1.2b642ad017d7fp-19, -0x1.4b477c64d9e4fp-19, -0x1.6a2caeccef874p-19, -0x1.8818e07d7ee09p-19, -0x1.a511065eb17cdp-19, -0x1.c119ede987bb5p-19, -0x1.dc383f2c55e17p-19, -0x1.f6707eb6e87bdp-19, -0x1.07e387b7a115ap-18, -0x1.14201a27e9d71p-18, -0x1.1ff009080b865p-18, -0x1.2b55585c322adp-18, -0x1.3651fe90e727cp-18, -0x1.40e7e5316f0fap-18, -0x1.4b18e994f2521p-18, -0x1.54e6dd82d47e2p-18, -0x1.5e5387ce9731fp-18, -0x1.6760a4eb9d75ap-18, -0x1.700fe77927fd8p-18, -0x1.7862f8c6dec7cp-18, -0x1.805b7952359d8p-18, -0x1.87fb013cfabbbp-18, -0x1.8f4320bd596c3p-18, -0x1.963560879a0fcp-18, -0x1.9cd34231e5587p-18, -0x1.a31e40924bd91p-18, -0x1.a917d01755a52p-18, -0x1.aec15f1b563eep-18, -0x1.b41c5632c563fp-18, -0x1.b92a1875cf72ep-18, -0x1.bdec03c55df98p-18, -0x1.c263710bc845bp-18, -0x1.c691b4796475fp-18, -0x1.ca781dbd26944p-18, -0x1.ce17f83983a2p-18, -0x1.d1728b35c1cb9p-18, -0x1.d4891a0be4bf6p-18, -0x1.d75ce4536490ap-18, -0x1.d9ef2608d093ap-18, -0x1.dc4117b28e577p-18, -0x1.de53ee82d6756p-18, -0x1.e028dc771464fp-18, -0x1.e1c11074cdeeep-18, -0x1.e31db66432d21p-18, -0x1.e43ff748772f5p-18, -0x1.e528f95614b34p-18, -0x1.e5d9e0071513p-18, -0x1.e653cc2d7dc8cp-18, -0x1.e697dc03fc319p-18, -0x1.e6a72b3cea41bp-18, -0x1.e682d30fc77b8p-18, -0x1.e62bea453c5aap-18, -0x1.e5a38541bef85p-18, -0x1.e4eab60ef28fcp-18, -0x1.e4028c63d2e49p-18, -0x1.e2ec15abc25p-18, -0x1.e1a85d0c8e0e8p-18, -0x1.e0386b6b7a18bp-18, -0x1.de9d47716667ap-18, -0x1.dcd7f58e20149p-18, -0x1.dae977faeb4fp-18, -0x1.d8d2cebc59c0dp-18, -0x1.d694f7a378557p-18, -0x1.d430ee4e63166p-18, -0x1.d1a7ac284fd56p-18, -0x1.cefa2869151dfp-18, -0x1.cc295814422eep-18, -0x1.c9362df7ca93ap-18, -0x1.c6219aaa57d0bp-18, -0x1.c2ec8c8946e57p-18, -0x1.bf97efb65ade2p-18, -0x1.bc24ae15308fcp-18, -0x1.b893af487c244p-18, -0x1.b4e5d8af1435dp-18, -0x1.b11c0d60d7287p-18, -0x1.ad372e2b703aap-18, -0x1.a938198f0339dp-18, -0x1.a51fabbac32b9p-18, -0x1.a0eebe897f74p-18, -0x1.9ca6297e272fcp-18, -0x1.9846c1c04b667p-18, -0x1.93d15a18a4b27p-18, -0x1.8f46c2eda068p-18, -0x1.8aa7ca3ffa69bp-18, -0x1.85f53ba765fafp-18, -0x1.812fe04f4c798p-18, -0x1.7c587ef3a1222p-18, -0x1.776fdbddd1f11p-18, -0x1.7276b8e1d42e7p-18, -0x1.6d6dd55b53477p-18, -0x1.6855ee2b0038fp-18, -0x1.632fbdb408778p-18, -0x1.5dfbfbd9b298fp-18, -0x1.58bb5dfd23ec3p-18, -0x1.536e96fb53075p-18, -0x1.4e16572b2343ep-18, -0x1.48b34c5bb0a73p-18, -0x1.434621d2c8c12p-18, -0x1.3dcf804b951efp-18, -0x1.38500df574254p-18, -0x1.32c86e7304ee4p-18, -0x1.2d3942d964bbfp-18, -0x1.27a329af9eda3p-18, -0x1.2206beee4e14fp-18, -0x1.1c649bff7336cp-18, -0x1.16bd57be7cd0fp-18, -0x1.1111867883c31p-18, -0x1.0b61b9ecb8c1ep-18, -0x1.05ae814d06e71p-18, -0x1.fff0d27dcf15cp-19, -0x1.f47ff7b8d2437p-19, -0x1.e90b816ace337p-19, -0x1.dd9479a1eaa02p-19, -0x1.d21be55df2b5p-19, -0x1.c6a2c493ee3dfp-19, -0x1.bb2a123217a5cp-19, -0x1.afb2c4242feb5p-19, -0x1.a43dcb582ff9ap-19, -0x1.98cc13c353ed9p-19, -0x1.8d5e846783be7p-19, -0x1.81f5ff590d2ebp-19, -0x1.769361c4b83d4p-19, -0x1.6b3783f630e8ap-19, -0x1.5fe3395ebd9c5p-19, -0x1.5497509c4c176p-19, -0x1.49549380c787fp-19, -0x1.3e1bc719bec83p-19, -0x1.32edabb853d0fp-19, -0x1.27cafcf970ec7p-19, -0x1.1cb471ce468c4p-19, -0x1.11aabc850d23cp-19, -0x1.06ae8ad207006p-19, -0x1.f7810bb185634p-20, -0x1.e1c2a46b363edp-20, -0x1.cc23200ee4da7p-20, -0x1.b6a3b5f34868cp-20, -0x1.a145949c688a7p-20, -0x1.8c09e1d051498p-20, -0x1.76f1baac40226p-20, -0x1.61fe33ba25379p-20, -0x1.4d30590681e7cp-20, -0x1.38892e36a5edcp-20, -0x1.2409ae9f364b1p-20, }}, 
      {{0x1.0749db83f6766p-16, 0x1.09cd231d7b851p-14, 0x1.2facdafcd08f3p-13, 0x1.139bb6c340516p-12, 0x1.b9c3ac3722642p-12, 0x1.4795f4108df9ep-11, 0x1.ccb3bb44d28b4p-11, 0x1.37a5ec7a22fd1p-10, 0x1.9951be24197fbp-10, 0x1.0688be44379f8p-9, 0x1.4a51778bf1758p-9, 0x1.98e3245e4e569p-9, 0x1.f31bdd4ec77d6p-9, 0x1.2cea727afd478p-8, 0x1.66f0190dfe8fcp-8, 0x1.a8032adae798ap-8, 0x1.f0825c155a3d4p-8, 0x1.20630a163550ep-7, 0x1.4c8fed80c7a2fp-7, 0x1.7cecf4312ea51p-7, 0x1.b19b6917f273p-7, 0x1.eab8aacee00dcp-7, 0x1.142f0e0411e47p-6, 0x1.35508f15b8186p-6, 0x1.58c98a511ee47p-6, 0x1.7ea0b7bdfcf29p-6, 0x1.a6dade1dcfcaep-6, 0x1.d17adde43b364p-6, 0x1.fe81be5057d98p-6, 0x1.16f75e23812cp-5, 0x1.2fdfad4e468d3p-5, 0x1.49f7b9c42d29p-5, 0x1.653ca58364323p-5, 0x1.81aad0fae2699p-5, 0x1.9f3de4df5f98ep-5, 0x1.bdf0dc32cff56p-5, 0x1.ddbe0e6c2fb4dp-5, 0x1.fe9f39af0ae4cp-5, 0x1.1046c681c3314p-4, 0x1.21c0d94073739p-4, 0x1.33b9ecaed7594p-4, 0x1.462ddfecc7601p-4, 0x1.59185e7b3aa0dp-4, 0x1.6c74e4fb9d10ap-4, 0x1.803ec5cdbee65p-4, 0x1.94712d88c788bp-4, 0x1.a907274c2a898p-4, 0x1.bdfba0e631261p-4, 0x1.d3496ece507bep-4, 0x1.e8eb4ff1ef3e3p-4, 0x1.fedbf152f28fep-4, 0x1.0a8af8bbde417p-3, 0x1.15c9f1d66a173p-3, 0x1.2128298c612b2p-3, 0x1.2ca2e2d18d57fp-3, 0x1.38375f57e924cp-3, 0x1.43e2e0d83852fp-3, 0x1.4fa2aa4652d03p-3, 0x1.5b7400f20f8a7p-3, 0x1.67542d95be66dp-3, 0x1.73407d531eda1p-3, 0x1.7f36429fdcc77p-3, 0x1.8b32d6227f613p-3, 0x1.97339780c4bc1p-3, 0x1.a335ee204de6ap-3, 0x1.af3749da849dbp-3, 0x1.bb3523a4832a8p-3, 0x1.c72cfe2bd3481p-3, 0x1.d31c6668acf2ep-3, 0x1.df00f42666d0dp-3, 0x1.ead84a82ae9b1p-3, 0x1.f6a018641565dp-3, 0x1.012b0c743423bp-2, 0x1.06fc09e5a60f1p-2, 0x1.0cc1eee2b64p-2, 0x1.127bac7254927p-2, 0x1.18283a6ebd7b3p-2, 0x1.1dc697aae9d0fp-2, 0x1.2355ca14ddb1dp-2, 0x1.28d4ded4e49a7p-2, 0x1.2e42ea69d7433p-2, 0x1.339f08c279577p-2, 0x1.38e85d54010ecp-2, 0x1.3e1e132dd336p-2, 0x1.433f5d0a837e2p-2, 0x1.484b755e216afp-2, 0x1.4d419e61e3eb2p-2, 0x1.5221221d32b77p-2, 0x1.56e9526c23e7fp-2, 0x1.5b99890372245p-2, 0x1.60312771f8a18p-2, 0x1.64af971fc0cd1p-2, 0x1.6914494ab098cp-2, 0x1.6d5eb700e1c39p-2, 0x1.718e6118b507dp-2, 0x1.75a2d026b2568p-2, 0x1.799b94713d288p-2, 0x1.7d7845e2397cfp-2, 0x1.813883f6a96e3p-2, 0x1.84dbf5ac5f13ap-2, 0x1.8862496dcc5cbp-2, 0x1.8bcb34fc0f3ddp-2, 0x1.8f16755744bdep-2, 0x1.9243cea542ffp-2, 0x1.95530c16c37e9p-2, 0x1.9843ffcb20bcbp-2, 0x1.9b1682b2b0f75p-2, 0x1.9dca746fde84dp-2, 0x1.a05fbb370e84ap-2, 0x1.a2d643ad6da5cp-2, 0x1.a52e00c6b81f2p-2, 0x1.a766eba219e18p-2, 0x1.a98103662eecap-2, 0x1.ab7c4d1c499b2p-2, 0x1.ad58d38b0972bp-2, 0x1.af16a71056b45p-2, 0x1.b0b5dd7ae256ap-2, 0x1.b23691e32c9d4p-2, 0x1.b398e484373f1p-2, 0x1.b4dcfa93e8623p-2, 0x1.b602fe1b362d9p-2, 0x1.b70b1dce2c179p-2, 0x1.b7f58ce3d873fp-2, 0x1.b8c282ee344b4p-2, 0x1.b9723bb211595p-2, 0x1.ba04f6ff203d3p-2, 0x1.ba7af88818153p-2, 0x1.bad487bb12e25p-2, 0x1.bb11ef9a2469ap-2, 0x1.bb337e943703cp-2, 0x1.bb39865e41439p-2, 0x1.bb245bccd3929p-2, 0x1.baf456ae0e7a4p-2, 0x1.baa9d1a40750ep-2, 0x1.ba4529ffa4f7dp-2, 0x1.b9c6bf9bf8ap-2, 0x1.b92ef4ba1e74ep-2, 0x1.b87e2ddda8608p-2, 0x1.b7b4d1a999f23p-2, 0x1.b6d348bdf95dbp-2, 0x1.b5d9fd95fd7c3p-2, 0x1.b4c95c66d8603p-2, 0x1.b3a1d2ff25138p-2, 0x1.b263d0a6fab3cp-2, 0x1.b10fc600a8008p-2, 0x1.afa624ea198e3p-2, 0x1.ae27605eebefep-2, 0x1.ac93ec5b2b9a7p-2, 0x1.aaec3dbec6754p-2, 0x1.a930ca31a9625p-2, 0x1.a762080893da6p-2, 0x1.a5806e2a98d19p-2, 0x1.a38c73f7529bcp-2, 0x1.a186912dc6bdap-2, 0x1.9f6f3dd3fef05p-2, 0x1.9d46f21f4a268p-2, 0x1.9b0e265d372aap-2, 0x1.98c552dd350b6p-2, 0x1.966cefdae6886p-2, 0x1.940575691f42bp-2, 0x1.918f5b5d8d544p-2, 0x1.8f0b193d09979p-2, 0x1.8c79262893e54p-2, 0x1.89d9f8caf04a7p-2, 0x1.872e0746ecb02p-2, 0x1.8475c72645488p-2, 0x1.81b1ad492c971p-2, 0x1.7ee22dd66eb93p-2, 0x1.7c07bc2c33037p-2, 0x1.7922cad154789p-2, 0x1.7633cb675510dp-2, 0x1.733b2e9ce6899p-2, 0x1.7039642101b3fp-2, 0x1.6d2eda96949e4p-2, 0x1.6a1bff88b9f51p-2, 0x1.67013f5f80a62p-2, 0x1.63df05553a177p-2, 0x1.60b5bb6c4f63ep-2, 0x1.5d85ca659e7ep-2, 0x1.5a4f99b7566d1p-2, 0x1.57138f8454d7fp-2, 0x1.53d21093ff96p-2, 0x1.508b804a9b27fp-2, 0x1.4d4040a219418p-2, 0x1.49f0b2235a1dp-2, 0x1.469d33dfe731ep-2, 0x1.4346236c185a3p-2, 0x1.3febdcd9ad13ap-2, 0x1.3c8ebab2cfbe8p-2, 0x1.392f15f581fa7p-2, 0x1.35cd460f6fec5p-2, 0x1.3269a0da2bc0cp-2, 0x1.2f047a97c89ep-2, 0x1.2b9e25efd5e76p-2, 0x1.2836f3ecb9f1p-2, 0x1.24cf33f965fa7p-2, 0x1.216733df65a51p-2, 0x1.1dff3fc5426a7p-2, 0x1.1a97a22d3f798p-2, 0x1.1730a3f461a9ep-2, 0x1.13ca8c51cda2bp-2, 0x1.1065a0d66f035p-2, 0x1.0d02256cedd58p-2, 0x1.09a05c59eb3e8p-2, 0x1.0640863c848f1p-2, 0x1.02e2e20f1e73cp-2, 0x1.ff0f5a50de14bp-3, 0x1.f85e467993dd9p-3, 0x1.f1b2fcbf53b72p-3, 0x1.eb0dee0aefb87p-3, 0x1.e46f880b17596p-3, 0x1.ddd83538c543bp-3, 0x1.d7485cdc205e6p-3, 0x1.d0c06311bd9b5p-3, 0x1.ca40a8d047cd6p-3, 0x1.c3c98bee8ca67p-3, 0x1.bd5b6729dd454p-3, 0x1.b6f6922ccea44p-3, 0x1.b09b619647703p-3, 0x1.aa4a2700e6b59p-3, 0x1.a403310ab0eccp-3, 0x1.9dc6cb5d0c306p-3, 0x1.97953eb4fa063p-3, 0x1.916ed0eb9f70dp-3, 0x1.8b53c4feff252p-3, 0x1.85445b1afcc12p-3, 0x1.7f40d0a2895a9p-3, 0x1.7949603912061p-3, 0x1.735e41cc1b3a4p-3, 0x1.6d7faa9d066bbp-3, 0x1.67adcd4b09ccp-3, 0x1.61e8d9dd4c195p-3, 0x1.5c30fdcd29c53p-3, 0x1.5686641095606p-3, 0x1.50e93524a23edp-3, 0x1.4b5997181fd23p-3, 0x1.45d7ad9659f64p-3, 0x1.406399f1e831p-3, 0x1.3afd7b2f9675p-3, 0x1.35a56e115e9a7p-3, 0x1.305b8d216feacp-3, 0x1.2b1ff0bd49251p-3, 0x1.25f2af20d5266p-3, 0x1.20d3dc719685bp-3, 0x1.1bc38ac9d5d3ap-3, 0x1.16c1ca43d8a5cp-3, 0x1.11cea905127a2p-3, 0x1.0cea33495e65ep-3, 0x1.0814736e2ff8cp-3, 0x1.034d71fdc17c9p-3, 0x1.fd2a6b748469ep-4, 0x1.f3d78751df053p-4, 0x1.eaa23e3a6a207p-4, 0x1.e18a938765378p-4, 0x1.d890875a81bd5p-4, 0x1.cfb416b3b9e7bp-4, 0x1.c6f53b871eafap-4, 0x1.be53ecd26f483p-4, 0x1.b5d01eb290ebp-4, 0x1.ad69c278e6fa8p-4, 0x1.a520c6c07115fp-4, 0x1.9cf51782cb456p-4, 0x1.94e69e2ceb4c4p-4, 0x1.8cf541b3c311p-4, 0x1.8520e6a8989aep-4, 0x1.7d696f4d36207p-4, 0x1.75cebba7dc561p-4, 0x1.6e50a996fb096p-4, 0x1.66ef14e4ae45ep-4, 0x1.5fa9d759fe414p-4, 0x1.5880c8d1dfc5ep-4, 0x1.5173bf4bf439dp-4, 0x1.4a828eff08079p-4, 0x1.43ad0a6b4e5a2p-4, 0x1.3cf3026c572f2p-4, 0x1.3654464ac1ad4p-4, 0x1.2fd0a3cda7965p-4, 0x1.2967e74bc0f19p-4, 0x1.2319dbbc412b3p-4, 0x1.1ce64ac769c9bp-4, 0x1.16ccfcd6d44dbp-4, 0x1.10cdb925733d7p-4, 0x1.0ae845cf467c9p-4, 0x1.051c67e0c6478p-4, 0x1.fed3c6cc05c75p-5, 0x1.f3a0f6f2ee2a2p-5, 0x1.e89fe4a5226f2p-5, 0x1.ddd012a7db102p-5, 0x1.d33102328e7dfp-5, 0x1.c8c2330a355a9p-5, 0x1.be83239bfa92fp-5, 0x1.b4735117504f3p-5, 0x1.aa923787711cep-5, 0x1.a0df51ec431e5p-5, 0x1.975a1a52ab52ep-5, 0x1.8e0209ec455b8p-5, 0x1.84d69926866a5p-5, 0x1.7bd73fc14d20cp-5, 0x1.730374e4da7c6p-5, 0x1.6a5aaf37391a2p-5, 0x1.61dc64f1121b2p-5, 0x1.59880bf1eef87p-5, 0x1.515d19d3ee3eap-5, 0x1.495b03fee5387p-5, 0x1.41813fbafa22bp-5, 0x1.39cf4242a9e6ep-5, 0x1.324480d44ba62p-5, 0x1.2ae070c304035p-5, 0x1.23a2878733c7ap-5, 0x1.1c8a3ace60201p-5, 0x1.1597008a968f6p-5, 0x1.0ec84f014a78ep-5, 0x1.081d9cd9b6779p-5, 0x1.0196612aba1eap-5, 0x1.f664271076582p-6, 0x1.e9e0582019fddp-6, 0x1.dda046ecb0a9bp-6, 0x1.d1a2e623242dbp-6, 0x1.c5e729cbe860ap-6, 0x1.ba6c076111f2dp-6, 0x1.af3075e37c9a3p-6, 0x1.a4336def17cd7p-6, 0x1.9973e9ce52514p-6, 0x1.8ef0e58caf25fp-6, 0x1.84a95f08826c3p-6, 0x1.7a9c5603ddffep-6, 0x1.70c8cc34b41d1p-6, 0x1.672dc5542bd73p-6, 0x1.5dca472d34c05p-6, 0x1.549d59aa54d4bp-6, 0x1.4ba606e2bf6fep-6, 0x1.42e35b26aef81p-6, 0x1.3a54650b0a642p-6, 0x1.31f835745cf1bp-6, 0x1.29cddfa11b1fbp-6, 0x1.21d47933451a8p-6, 0x1.1a0b1a396262ep-6, 0x1.1270dd36d97e9p-6, 0x1.0b04df2bb05ebp-6, 0x1.03c63f9bb08dbp-6, 0x1.f9684129e824bp-7, 0x1.eb9b4d6bd506ap-7, 0x1.de23f26587fd6p-7, 0x1.d10083b4bc584p-7, 0x1.c42f5a35479c1p-7, 0x1.b7aed408de21bp-7, 0x1.ab7d549dd8f8fp-7, 0x1.9f9944b506e97p-7, 0x1.940112668cc9bp-7, 0x1.88b33125e07p-7, 0x1.7dae19c4eae63p-7, 0x1.72f04a764c408p-7, 0x1.687846cec6b7ep-7, 0x1.5e4497c5f2cebp-7, 0x1.5453cbb61ab98p-7, 0x1.4aa4765b6473p-7, 0x1.413530d244dadp-7, 0x1.380499953a53p-7, 0x1.2f115479e5cb4p-7, 0x1.265a0aad7c2f7p-7, 0x1.1ddd6ab099c84p-7, 0x1.159a28527f2a1p-7, 0x1.0d8efcabbba19p-7, 0x1.05baa6184b73ap-7, 0x1.fc37d0625f6bp-8, 0x1.ed63178b0bde9p-8, 0x1.def4bda647811p-8, 0x1.d0ea68fd7971ep-8, 0x1.c341ca172ea43p-8, 0x1.b5f89ba5ade6p-8, 0x1.a90ca274bcbd6p-8, 0x1.9c7bad56a2e5fp-8, 0x1.9043951072e8p-8, 0x1.84623c45a39c1p-8, 0x1.78d58f6301139p-8, 0x1.6d9b84890149ep-8, 0x1.62b21b758286bp-8, 0x1.58175d6cfddb3p-8, 0x1.4dc95d23335c8p-8, 0x1.43c636a35de4ep-8, 0x1.3a0c0f37ee14ap-8, 0x1.30991551ddbd6p-8, 0x1.276b806f9a085p-8, 0x1.1e81910392698p-8, 0x1.15d9905a70994p-8, 0x1.0d71d08101bdap-8, 0x1.0548ac29d4fc9p-8, 0x1.fab90d2533c21p-9, 0x1.eb5796d281a62p-9, 0x1.dc69dd61d1cc3p-9, 0x1.cdecd94d33b81p-9, 0x1.bfdd934bb0524p-9, 0x1.b239241a24ceep-9, 0x1.a4fcb443e039p-9, 0x1.98257beb10031p-9, 0x1.8bb0c29101cf6p-9, 0x1.7f9bdede46419p-9, 0x1.73e4366abefc3p-9, 0x1.68873d859e8b7p-9, 0x1.5d8276fd68dfdp-9, 0x1.52d373e7f2187p-9, 0x1.4877d36a7101ap-9, 0x1.3e6d4281a306bp-9, 0x1.34b17bca0dfa2p-9, 0x1.2b42474865553p-9, 0x1.221d7a321acfbp-9, 0x1.1940f6b623534p-9, 0x1.10aaabc5ee988p-9, 0x1.085894dea402ap-9, 0x1.0048b9d29d674p-9, 0x1.f0f25d2664aedp-10, 0x1.e1d025f59daecp-10, 0x1.d327252ebe308p-10, 0x1.c4f3c8ea2ba76p-10, 0x1.b73295d326f7fp-10, 0x1.a9e026bed37d3p-10, 0x1.9cf92c44199aep-10, 0x1.907a6c54599a5p-10, 0x1.8460c1d4fa145p-10, 0x1.78a91c39e08b2p-10, 0x1.6d507f20d1f36p-10, 0x1.625401edc54eep-10, 0x1.57b0cf68327b4p-10, 0x1.4d64255958b29p-10, 0x1.436b542b8b628p-10, 0x1.39c3be8a88b8fp-10, 0x1.306ad904d446cp-10, 0x1.275e29ae2e7cp-10, 0x1.1e9b47c316fb6p-10, 0x1.161fdb4d66268p-10, 0x1.0de99cca0a45bp-10, 0x1.05f654cfdae6p-10, 0x1.fc87b76f21abap-11, 0x1.eda03289bd9fdp-11, 0x1.df3208a162b91p-11, 0x1.d13944e9291d6p-11, 0x1.c3b20f6e85c26p-11, 0x1.b698ac74badb3p-11, 0x1.a9e97bd29f06ep-11, 0x1.9da0f852bd808p-11, 0x1.91bbb715cbef8p-11, 0x1.863666f77edb4p-11, 0x1.7b0dcff5b46bap-11, 0x1.703ed299fbfefp-11, 0x1.65c6676578557p-11, 0x1.5ba19e3f18b69p-11, 0x1.51cd9de42d921p-11, 0x1.4847a35b52c1fp-11, 0x1.3f0d0169b0199p-11, 0x1.361b200a8ca8bp-11, 0x1.2d6f7be93390bp-11, 0x1.2507a5dd282d8p-11, 0x1.1ce14268a5bcp-11, 0x1.14fa093967cc1p-11, 0x1.0d4fc4abb735ep-11, 0x1.05e0514fbb593p-11, 0x1.fd533ae20f16ep-12, 0x1.ef535140c401p-12, 0x1.e1bd067f869p-12, 0x1.d48c9c210b2d7p-12, 0x1.c7be73877f9cdp-12, 0x1.bb4f0d19972edp-12, 0x1.af3b076bd9b98p-12, 0x1.a37f1e6e2f7cp-12, 0x1.98182a9d9f1d6p-12, 0x1.8d03203a3538fp-12, 0x1.823d0e8105419p-12, 0x1.77c31eea3d6d1p-12, 0x1.6d92946b410c7p-12, 0x1.63a8cabcbc41p-12, 0x1.5a0335a4a7993p-12, 0x1.509f60442cb8bp-12, 0x1.477aec6964d71p-12, 0x1.3e9391e4de2acp-12, 0x1.35e71de2e17e8p-12, 0x1.2d7372486a6f8p-12, 0x1.25368513c3033p-12, 0x1.1d2e5fc0b7c69p-12, 0x1.15591eb05a8dep-12, 0x1.0db4f09440eb2p-12, 0x1.064015dd36b2ep-12, 0x1.fdf1c05aac4c5p-13, 0x1.efbb639aece36p-13, 0x1.e1d9fa4bd1b4ap-13, 0x1.d44a8874e43f7p-13, 0x1.c70a3052ea8c8p-13, 0x1.ba16315c8ad94p-13, 0x1.ad6be74d19522p-13, 0x1.a108c9357c0cp-13, 0x1.94ea68930eb87p-13, 0x1.890e706c63d8dp-13, 0x1.7d72a473d0884p-13, 0x1.7214e02fa5218p-13, 0x1.66f31627fb562p-13, 0x1.5c0b4f1a03329p-13, 0x1.515ba930adbb2p-13, 0x1.46e25742a6b8bp-13, 0x1.3c9da01576fa1p-13, 0x1.328bdda5c8bbbp-13, 0x1.28ab7c74a3e0ap-13, 0x1.1efafad99393p-13, 0x1.1578e859995ffp-13, 0x1.0c23e502d831ap-13, 0x1.02faa0ccded45p-13, 0x1.f3f7b5faefd13p-14, 0x1.e24cc323d3499p-14, 0x1.d0f2215924f43p-14, 0x1.bfe5a40d7d2f4p-14, 0x1.af2538cd68fap-14, 0x1.9eaee633938d7p-14, 0x1.8e80cae505fdcp-14, 0x1.7e991c9522763p-14, 0x1.6ef6271151decp-14, 0x1.5f964b5429047p-14, 0x1.5077fe9fde596p-14, 0x1.4199c99fe76a6p-14, 0x1.32fa47919327dp-14, 0x1.249825737a485p-14, 0x1.1672213b9c561p-14, 0x1.088709140139dp-14, 0x1.f5ab753b75c3p-15, 0x1.daba44743b239p-15, 0x1.c03874b415018p-15, 0x1.a62415a64edc5p-15, 0x1.8c7b5075bb26bp-15, 0x1.733c668dfb05cp-15, 0x1.5a65b067c2d4p-15, 0x1.41f59c5fdba43p-15, 0x1.29eaad9898fc2p-15, 0x1.12437ae57f0bap-15, 0x1.f5fd5b81ae28bp-16, 0x1.c8360295e6a4dp-16, 0x1.9b2e82a5b78fp-16, 0x1.6ee492d051a5p-16, 0x1.435607eba0f97p-16, 0x1.1880d2cb3c252p-16, 0x1.dcc5fd3099152p-17, 0x1.89f55e73c652p-17, 0x1.388c3f9aa57a5p-17, 0x1.d10e84b85d67bp-18, 0x1.33c66233895fap-18, 0x1.3273f0aab0b91p-19, 0x1.636e882e65235p-26, -0x1.2785a40c40b7ep-19, -0x1.263e2326dc6b6p-18, -0x1.b613a638a6f58p-18, -0x1.21a4244179251p-17, -0x1.66f063b01e465p-17, -0x1.aaf0da1c3fd23p-17, -0x1.eda7bc26ac972p-17, -0x1.178b96164ec54p-16, -0x1.37a09e00ca31ep-16, -0x1.5713f74a10887p-16, -0x1.75e69cbf2037ep-16, -0x1.94198340f7f79p-16, -0x1.b1ad9a7956905p-16, -0x1.cea3cd863176dp-16, -0x1.eafd039c3e744p-16, -0x1.035d1050689b1p-15, -0x1.10ee02ddaf19ap-15, -0x1.1e31c8ef72983p-15, -0x1.2b28d125c89b3p-15, -0x1.37d389846488fp-15, -0x1.44325fabffceap-15, -0x1.5045c1103e067p-15, -0x1.5c0e1b2a2d2dep-15, -0x1.678bdba787658p-15, -0x1.72bf7096c9af2p-15, -0x1.7da948904917dp-15, -0x1.8849d2dc5b353p-15, -0x1.92a17f96b037ep-15, -0x1.9cb0bfcefcd84p-15, -0x1.a67805a70901dp-15, -0x1.aff7c46e45783p-15, -0x1.b93070baf6deap-15, -0x1.c22280811c535p-15, -0x1.cace6b271a436p-15, -0x1.d334a99850615p-15, -0x1.db55b655a3cp-15, -0x1.e3320d841cc5ep-15, -0x1.eaca2cf9a92fap-15, -0x1.f21e944818d4ep-15, -0x1.f92fc4c668a36p-15, -0x1.fffe419872279p-15, -0x1.034547da85c2cp-14, -0x1.066a9af55ab7p-14, -0x1.096f5e716e69dp-14, -0x1.0c53d791e66acp-14, -0x1.0f184c88ac38bp-14, -0x1.11bd04762a107p-14, -0x1.14424768745f3p-14, -0x1.16a85e59e9947p-14, -0x1.18ef932f4f86bp-14, -0x1.1b1830b5745dap-14, -0x1.1d22829e5ba75p-14, -0x1.1f0ed57dfca33p-14, -0x1.20dd76c69a0cep-14, -0x1.228eb4c4b7b91p-14, -0x1.2422de9ab6d8cp-14, -0x1.259a443c1a52cp-14, -0x1.26f536687eebp-14, -0x1.283406a6467c7p-14, -0x1.2957073d005fp-14, -0x1.2a5e8b2f90c44p-14, -0x1.2b4ae6361f55fp-14, -0x1.2c1c6cb7cce75p-14, -0x1.2cd373c43a7e6p-14, -0x1.2d70510ce1e28p-14, -0x1.2df35ade45476p-14, -0x1.2e5ce818fa936p-14, -0x1.2ead502a9639bp-14, -0x1.2ee4eb0677d05p-14, -0x1.2f04111e7d9c1p-14, -0x1.2f0b1b5ba2ac9p-14, -0x1.2efa631689b1ap-14, -0x1.2ed2420ff7c8cp-14, -0x1.2e93126943661p-14, -0x1.2e3d2e9cb8f95p-14, -0x1.2dd0f175fa595p-14, }}, 
      {{-0x1.02aceae13ae33p-6, -0x1.02096efec0561p-5, -0x1.817e3f7f3a988p-5, -0x1.ff28ee1cd7aa1p-5, -0x1.3d47bcfe8d7c9p-4, -0x1.79a5a1dea0159p-4, -0x1.b484988ce8efap-4, -0x1.edc47b76bee79p-4, -0x1.12a6f60c3ba3fp-3, -0x1.2d88c4b431b4fp-3, -0x1.478388be4e656p-3, -0x1.60963e5b6571p-3, -0x1.78c28e258e09dp-3, -0x1.900c615682b35p-3, -0x1.a6797d01d46fcp-3, -0x1.bc112583f42a3p-3, -0x1.d0dbcab71646bp-3, -0x1.e4e2bd0e232a9p-3, -0x1.f82feb6895b3cp-3, -0x1.0566d49f60623p-2, -0x1.0e633e52c5637p-2, -0x1.171279cb0123cp-2, -0x1.1f79bfee364ebp-2, -0x1.279e2c8831af2p-2, -0x1.2f84b1fd43263p-2, -0x1.37320f6910b27p-2, -0x1.3eaac8e2a30d3p-2, -0x1.45f321a384c15p-2, -0x1.4d0f17d4af697p-2, -0x1.540261c9197a7p-2, -0x1.5ad06c72a1443p-2, -0x1.617c5ae2f3c18p-2, -0x1.680906aeaaaf5p-2, -0x1.6e79010d3e723p-2, -0x1.74ce949480d27p-2, -0x1.7b0bc7723241ep-2, -0x1.81325e09b5306p-2, -0x1.8743dddf32e3bp-2, -0x1.8d4190bc6c8dbp-2, -0x1.932c87fe26ba1p-2, -0x1.99059ffb84773p-2, -0x1.9ecd837ada1ffp-2, -0x1.a484af29692d5p-2, -0x1.aa2b750d3860cp-2, -0x1.afc1ffe9bdc0ep-2, -0x1.b548569169ffep-2, -0x1.babe5f1f553c5p-2, -0x1.c023e2154a61bp-2, -0x1.c5788d5b5f6f8p-2, -0x1.cabbf71efb7edp-2, -0x1.cfeda08fe4159p-2, -0x1.d50cf87a60c3dp-2, -0x1.da195dbe175dap-2, -0x1.df1221a18ad42p-2, -0x1.e3f68a02853e7p-2, -0x1.e8c5d363fb22ap-2, -0x1.ed7f32da1cbebp-2, -0x1.f221d7d581109p-2, -0x1.f6acedce6e16ep-2, -0x1.fb1f9dd15b4a6p-2, -0x1.ff790fedddc67p-2, -0x1.01dc36449a509p-1, -0x1.03ee6ecad9463p-1, -0x1.05f2c7d824aap-1, -0x1.07e8d992b66b7p-1, -0x1.09d03e6f4a21cp-1, -0x1.0ba8939cbfe8p-1, -0x1.0d7179653f23ap-1, -0x1.0f2a938564d83p-1, -0x1.10d3897a10a57p-1, -0x1.126c06c55542ep-1, -0x1.13f3bb2b0f166p-1, -0x1.156a5ae5a3bf7p-1, -0x1.16cf9ed35d5f7p-1, -0x1.1823449cd7b5dp-1, -0x1.19650ed4ee8ep-1, -0x1.1a94c51294309p-1, -0x1.1bb23404f618ep-1, -0x1.1cbd2d824e0dap-1, -0x1.1db58891bca06p-1, -0x1.1e9b2170822f7p-1, -0x1.1f6dd992e9888p-1, -0x1.202d97a1338f2p-1, -0x1.20da4770cd596p-1, -0x1.2173d9fa191b9p-1, -0x1.21fa454b0c853p-1, -0x1.226d8476e6bebp-1, -0x1.22cd978337de5p-1, -0x1.231a835278102p-1, -0x1.2354518c628d8p-1, -0x1.237b10844a7e4p-1, -0x1.238ed31d9b3d1p-1, -0x1.238fb0aeb2d5fp-1, -0x1.237dc4e2447bfp-1, -0x1.23592f976da0bp-1, -0x1.232214c0a3eecp-1, -0x1.22d89c41a5b8dp-1, -0x1.227cf1cc8eb9ap-1, -0x1.220f44be33033p-1, -0x1.218fc7f9e2da7p-1, -0x1.20feb1c4b2fe5p-1, -0x1.205c3ba068213p-1, -0x1.1fa8a2261f894p-1, -0x1.1ee424e0cf73p-1, -0x1.1e0f0627b56bp-1, -0x1.1d298af8c97edp-1, -0x1.1c33fad34c411p-1, -0x1.1b2e9f928253bp-1, -0x1.1a19c548aed57p-1, -0x1.18f5ba1a5f658p-1, -0x1.17c2ce1a16b5cp-1, -0x1.1681532468cdap-1, -0x1.15319cbc8f5dfp-1, -0x1.13d3ffe98a994p-1, -0x1.1268d313d24dcp-1, -0x1.10f06de3a715ep-1, -0x1.0f6b292008e6ep-1, -0x1.0dd95e8e5ea49p-1, -0x1.0c3b68d2d3595p-1, -0x1.0a91a35172bdep-1, -0x1.08dc6a10070d4p-1, -0x1.071c1998c2b19p-1, -0x1.05510eddb4409p-1, -0x1.037ba71d0cea5p-1, -0x1.019c3fc63b8d3p-1, -0x1.ff666cbfbaa08p-2, -0x1.fb81d0dd0f734p-2, -0x1.f78b66b8d8f1p-2, -0x1.f383e8c3b22ccp-2, -0x1.ef6c10dd20488p-2, -0x1.eb44982801732p-2, -0x1.e70e36e0ad8cdp-2, -0x1.e2c9a434cdb83p-2, -0x1.de77961ce5201p-2, -0x1.da18c1378a11ap-2, -0x1.d5add8a648d1ep-2, -0x1.d1378dec2f4c5p-2, -0x1.ccb690cdfb74p-2, -0x1.c82b8f33e4dc2p-2, -0x1.c397350d00a66p-2, -0x1.befa2c3434597p-2, -0x1.ba551c56b3a89p-2, -0x1.b5a8aadc03e64p-2, -0x1.b0f57acf7a935p-2, -0x1.ac3c2ccb3152cp-2, -0x1.a77d5ee46596p-2, -0x1.a2b9ac99415dp-2, -0x1.9df1aebffe87bp-2, -0x1.9925fb775e8f8p-2, -0x1.945726186fa0fp-2, -0x1.8f85bf299728ep-2, -0x1.8ab25452d2e33p-2, -0x1.85dd7053314a5p-2, -0x1.81079af76fd18p-2, -0x1.7c315911bcb6p-2, -0x1.775b2c728c21bp-2, -0x1.728593e282615p-2, -0x1.6db10b1d5d30cp-2, -0x1.68de0acde0f47p-2, -0x1.640d088ab3e17p-2, -0x1.5f3e76d42a293p-2, -0x1.5a72c512f03f1p-2, -0x1.55aa5f9793a87p-2, -0x1.50e5af9ada11bp-2, -0x1.4c251b3ee3935p-2, -0x1.476905910eebbp-2, -0x1.42b1ce8c927b2p-2, -0x1.3dffd31dca72fp-2, -0x1.39536d262c627p-2, -0x1.34acf380de5f8p-2, -0x1.300cba07e498bp-2, -0x1.2b731199e2adbp-2, -0x1.26e04820663ffp-2, -0x1.2254a896b26p-2, -0x1.1dd07b110cb92p-2, -0x1.195404c4783f7p-2, -0x1.14df880ee2a86p-2, -0x1.1073447fb7ecp-2, -0x1.0c0f76e0d5a6cp-2, -0x1.07b4593fdc999p-2, -0x1.036222f7d0027p-2, -0x1.fe32117617328p-3, -0x1.f5b2793af5476p-3, -0x1.ed45dc3e2e548p-3, -0x1.e4ec946d49195p-3, -0x1.dca6f6b944c3cp-3, -0x1.d475532ce2f6ep-3, -0x1.cc57f50354555p-3, -0x1.c44f22bf2c4bdp-3, -0x1.bc5b1e41a94cdp-3, -0x1.b47c24e23475fp-3, -0x1.acb26f861ec8fp-3, -0x1.a4fe32b885f92p-3, -0x1.9d5f9ec26533dp-3, -0x1.95d6dfc2c593bp-3, -0x1.8e641dc7002b3p-3, -0x1.87077ce3152b9p-3, -0x1.7fc11d4a0af6bp-3, -0x1.78911b664ef2cp-3, -0x1.71778ff211f86p-3, -0x1.6a74900f9db78p-3, -0x1.63882d6196c1dp-3, -0x1.5cb276232ddeep-3, -0x1.55f375402ff3ep-3, -0x1.4f4b326cff0c2p-3, -0x1.48b9b23e61294p-3, -0x1.423ef641269cfp-3, -0x1.3bdafd11a386ap-3, -0x1.358dc272fc74dp-3, -0x1.2f573f6638f8fp-3, -0x1.29376a411c2cap-3, -0x1.232e36c4c8713p-3, -0x1.1d3b96341ccf7p-3, -0x1.175f7769d1416p-3, -0x1.1199c6ee54877p-3, -0x1.0bea6f0d566dcp-3, -0x1.065157eb139dcp-3, -0x1.00ce67994fa1cp-3, -0x1.f6c30457f8743p-4, -0x1.ec15139b382bbp-4, -0x1.e192bda68d187p-4, -0x1.d73bbfa0c4a7ep-4, -0x1.cd0fd3540276cp-4, -0x1.c30eaf53e3fabp-4, -0x1.b9380722d495bp-4, -0x1.af8b8b56d4ec9p-4, -0x1.a608e9bd72a7p-4, -0x1.9cafcd7f1ad1bp-4, -0x1.937fdf41af22fp-4, -0x1.8a78c54a717b8p-4, -0x1.819a239f27342p-4, -0x1.78e39c26916ccp-4, -0x1.7054cec827b63p-4, -0x1.67ed598b1cd52p-4, -0x1.5facd8b4aa45fp-4, -0x1.5792e6e5a3bd1p-4, -0x1.4f9f1d3753de8p-4, -0x1.47d11357a1a6bp-4, -0x1.40285fa480181p-4, -0x1.38a49746a6c73p-4, -0x1.31454e4b98b7fp-4, -0x1.2a0a17bef607ap-4, -0x1.22f285c31c9d3p-4, -0x1.1bfe29a916fdcp-4, -0x1.152c9407debap-4, -0x1.0e7d54d2ee959p-4, -0x1.07effb702a095p-4, -0x1.018416cd1be31p-4, -0x1.f6726ae717522p-5, -0x1.ea1dcb3ad97bfp-5, -0x1.de096a9054e18p-5, -0x1.d234648ea4667p-5, -0x1.c69dd4ad3958p-5, -0x1.bb44d656b73c9p-5, -0x1.b028850a95179p-5, -0x1.a547fc7d9016fp-5, -0x1.9aa258b8efaaep-5, -0x1.9036b638a379ap-5, -0x1.860432083be2dp-5, -0x1.7c09e9dec7fb3p-5, -0x1.7246fc3997985p-5, -0x1.68ba8875eba02p-5, -0x1.5f63aee997c74p-5, -0x1.564190fa988e6p-5, -0x1.4d535135aa298p-5, -0x1.44981363db0a3p-5, -0x1.3c0efc9f2878ep-5, -0x1.33b7336626a6cp-5, -0x1.2b8fdfaeb8703p-5, -0x1.23982af7de336p-5, -0x1.1bcf405aa0a8dp-5, -0x1.14344c9a1ca98p-5, -0x1.0cc67e32b3c2bp-5, -0x1.058505686b16cp-5, -0x1.fcde28a8ed912p-6, -0x1.ef07bde400bd8p-6, -0x1.e185365444fa8p-6, -0x1.d45501be522d9p-6, -0x1.c77593ee2b776p-6, -0x1.bae564cad7ca4p-6, -0x1.aea2f0689ee1bp-6, -0x1.a2acb719eb4e7p-6, -0x1.97013d7edef6fp-6, -0x1.8b9f0c93a3e4dp-6, -0x1.8084b1bd7fb63p-6, -0x1.75b0bed6ba94ep-6, -0x1.6b21ca395b1ccp-6, -0x1.60d66ec8c1bfp-6, -0x1.56cd4bfa31b51p-6, -0x1.4d0505dc4c70bp-6, -0x1.437c451d87fa8p-6, -0x1.3a31b711a8b0ap-6, -0x1.31240db64d2cfp-6, -0x1.2851ffb688cdep-6, -0x1.1fba486da3665p-6, -0x1.175ba7e8f70b6p-6, -0x1.0f34e2e903ed1p-6, -0x1.0744c2e1b1c75p-6, -0x1.ff142bf3a97a1p-7, -0x1.f0075e13eb385p-7, -0x1.e160cb34c2207p-7, -0x1.d31e2bc12b5eep-7, -0x1.c53d4177fbc72p-7, -0x1.b7bbd7643321p-7, -0x1.aa97c1d404bb9p-7, -0x1.9dcede4ed7691p-7, -0x1.915f138a19b5bp-7, -0x1.8546515d1e6bfp-7, -0x1.798290b3edb1ep-7, -0x1.6e11d3813228p-7, -0x1.62f224af3997dp-7, -0x1.582198101e4ddp-7, -0x1.4d9e4a4d25caep-7, -0x1.436660d55362fp-7, -0x1.397809cb4dc0ep-7, -0x1.2fd17bf28c9cdp-7, -0x1.2670f69be6d93p-7, -0x1.1d54c1918540dp-7, -0x1.147b2d0243e26p-7, -0x1.0be2916c8c2dp-7, -0x1.03894f88af8a4p-7, -0x1.f6dba0659a50ep-8, -0x1.e71d08a8909bfp-8, -0x1.d7d3c999b6a11p-8, -0x1.c8fce4b696895p-8, -0x1.ba956b0b8e303p-8, -0x1.ac9a7d03ef6fcp-8, -0x1.9f094a39928fep-8, -0x1.91df1143e8139p-8, -0x1.85191f869886p-8, -0x1.78b4d0ffbd439p-8, -0x1.6caf9015c1283p-8, -0x1.6106d564f345ep-8, -0x1.55b8278cd8dep-8, -0x1.4ac11afd4997dp-8, -0x1.401f51c35f3d7p-8, -0x1.35d07b56463acp-8, -0x1.2bd25463f6778p-8, -0x1.2222a69ddf3e7p-8, -0x1.18bf48859174ap-8, -0x1.0fa61d396af03p-8, -0x1.06d5144154f3fp-8, -0x1.fc9452b7271b2p-9, -0x1.ec06c8936e07p-9, -0x1.dbfdb13b6053p-9, -0x1.cc754b0e240d2p-9, -0x1.bd69eb41103b9p-9, -0x1.aed7fd7b0854cp-9, -0x1.a0bc03705f638p-9, -0x1.9312947f3ee5ap-9, -0x1.85d85d4cafcc3p-9, -0x1.790a1f623aea8p-9, -0x1.6ca4b0cc3f3a9p-9, -0x1.60a4fbb8fa959p-9, -0x1.5507fe184f036p-9, -0x1.49cac93c56144p-9, -0x1.3eea817ac1b42p-9, -0x1.34645dcf11c9ep-9, -0x1.2a35a77dac24cp-9, -0x1.205bb9b7dbc8fp-9, -0x1.16d40140b5ebcp-9, -0x1.0d9bfc12f851ep-9, -0x1.04b13907d6ef8p-9, -0x1.f822aefd9b3a7p-10, -0x1.e7740e0cd8a01p-10, -0x1.d7520e0c5a105p-10, -0x1.c7b84cd29cc9cp-10, -0x1.b8a286957fa0dp-10, -0x1.aa0c95443465ap-10, -0x1.9bf26fe35599ap-10, -0x1.8e5029eb30393p-10, -0x1.8121f2a82e744p-10, -0x1.7464149d83fd4p-10, -0x1.6812f4ea07aa3p-10, -0x1.5c2b12af4b4b6p-10, -0x1.50a9067ae8b52p-10, -0x1.458981b219626p-10, -0x1.3ac94dff8109dp-10, -0x1.30654cc338a94p-10, -0x1.265a768528aa1p-10, -0x1.1ca5da698e16bp-10, -0x1.13449da7d12a5p-10, -0x1.0a33fb0394743p-10, -0x1.01714247ff435p-10, -0x1.f1f3af8a9d73p-11, -0x1.e19667a12d54cp-11, -0x1.d1c5c48b8533bp-11, -0x1.c27d0417960f9p-11, -0x1.b3b789363c0a9p-11, -0x1.a570db0c72194p-11, -0x1.97a4a408dfe4p-11, -0x1.8a4eb0fdbb17p-11, -0x1.7d6af03ef560fp-11, -0x1.70f570c4ad705p-11, -0x1.64ea6151dca29p-11, -0x1.59460f9f3694bp-11, -0x1.4e04e78a32419p-11, -0x1.4323724833381p-11, -0x1.389e559dc8c76p-11, -0x1.2e725319f88bfp-11, -0x1.249c47558ae7bp-11, -0x1.1b1929364d03dp-11, -0x1.11e609363e724p-11, -0x1.090010ae9fa19p-11, -0x1.00648126d3658p-11, -0x1.f021674e167f8p-12, -0x1.e004301d5d4cp-12, -0x1.d06c68dceb395p-12, -0x1.c15548cc4c6dcp-12, -0x1.b2ba310bd53e9p-12, -0x1.a496ab666a29cp-12, -0x1.96e6692244307p-12, -0x1.89a541d898cdcp-12, -0x1.7ccf325414df9p-12, -0x1.70605b76026cdp-12, -0x1.645501220fd3bp-12, -0x1.58a989308fd7dp-12, -0x1.4d5a7a672426bp-12, -0x1.42647b77b172bp-12, -0x1.37c4520585452p-12, -0x1.2d76e1b0985ddp-12, -0x1.23792b26ca7e6p-12, -0x1.19c84b3b052bp-12, -0x1.10617a022c27dp-12, -0x1.074209f5ba5f7p-12, -0x1.fccece37f6df7p-13, -0x1.eb9e2c6b82de1p-13, -0x1.daed67e300cc9p-13, -0x1.cab7e8476ba69p-13, -0x1.baf9420905f73p-13, -0x1.abad34e4c7fc9p-13, -0x1.9ccfaa73c588cp-13, -0x1.8e5cb4c4709a4p-13, -0x1.80508cfd799ffp-13, -0x1.72a7920a1cc38p-13, -0x1.655e474fb3b3ep-13, -0x1.5871536c5b4a7p-13, -0x1.4bdd7efe744d1p-13, -0x1.3f9fb374dee03p-13, -0x1.33b4f9e7b7e94p-13, -0x1.281a79f971a73p-13, -0x1.1ccd78c011754p-13, -0x1.11cb57b673327p-13, -0x1.071193b55c41ap-13, -0x1.f93b87e86234p-14, -0x1.e4db32225bc1dp-14, -0x1.d0fdb841d29c4p-14, -0x1.bd9edb8a0f784p-14, -0x1.aaba8a93c2487p-14, -0x1.984cdf96098a1p-14, -0x1.86521ebccdacdp-14, -0x1.74c6b48c29408p-14, -0x1.63a7345089c7p-14, -0x1.52f0569b43fdcp-14, -0x1.429ef7cb4a328p-14, -0x1.32b016a1bc09ap-14, -0x1.2320d2e205223p-14, -0x1.13ee6bfd44835p-14, -0x1.05163fc8b26e1p-14, -0x1.ed2b927d831e6p-15, -0x1.d0d53e9569e5ep-15, -0x1.b524e73cce001p-15, -0x1.9a16232403c3p-15, -0x1.7fa4ba1ac5e01p-15, -0x1.65cca2f5db50ep-15, -0x1.4c8a01871a4dap-15, -0x1.33d924a74c5ccp-15, -0x1.1bb684517b25ap-15, -0x1.041ebfcf2e68ap-15, -0x1.da1d37ea4cc3p-16, -0x1.ad0602e04171ep-16, -0x1.80f1f64269782p-16, -0x1.55db6912bcb94p-16, -0x1.2bbcf08787376p-16, -0x1.02915d1ca79e1p-16, -0x1.b4a76f814899ap-17, -0x1.65fe7e39a16f6p-17, -0x1.191ec9ef7d3c5p-17, -0x1.9bff2ec4cf6bfp-18, -0x1.09310f5ba583bp-18, -0x1.e70c9d15789b5p-20, 0x1.259f16098ea76p-22, 0x1.366a092444db8p-19, 0x1.20dc46a176b94p-18, 0x1.a35d5e1ef99e2p-18, 0x1.1162b5b73c499p-17, 0x1.4f908806340b6p-17, 0x1.8c3e3ac2c6d9fp-17, 0x1.c771aa11ca67ep-17, 0x1.00983e5437db1p-16, 0x1.1cc0136d793abp-16, 0x1.3832f6c4a12fdp-16, 0x1.52f374754e56dp-16, 0x1.6d04039ca7334p-16, 0x1.8667079fd0064p-16, 0x1.9f1ed1636f1bfp-16, 0x1.b72da074ce3bp-16, 0x1.ce95a4250eabep-16, 0x1.e558fc96e774fp-16, 0x1.fb79bbbf69024p-16, 0x1.087cf32d1a999p-15, 0x1.12edba68d043bp-15, 0x1.1d102a0d932cbp-15, 0x1.26e533444ed69p-15, 0x1.306dc24749019p-15, 0x1.39aabec0156aap-15, 0x1.429d0c207fb53p-15, 0x1.4b4589f69b6b6p-15, 0x1.53a5143c2ab7ep-15, 0x1.5bbc83a186b9bp-15, 0x1.638cadd435668p-15, 0x1.6b1665c158368p-15, 0x1.725a7bd420a47p-15, 0x1.7959be3068686p-15, 0x1.8014f8e9a2bfcp-15, 0x1.868cf6364057dp-15, 0x1.8cc27e9fb22acp-15, 0x1.92b6592f2aa7dp-15, 0x1.98694b974524fp-15, 0x1.9ddc1a5aacd1ap-15, 0x1.a30f88efecf65p-15, 0x1.a80459e285e24p-15, 0x1.acbb4ef1618d4p-15, 0x1.b135292accad3p-15, 0x1.b572a9060d1bp-15, 0x1.b9748e7ab1461p-15, 0x1.bd3b9915b35e5p-15, 0x1.c0c8880c8cac2p-15, 0x1.c41c1a4e5195bp-15, 0x1.c7370e92e90dfp-15, 0x1.ca1a236883749p-15, 0x1.ccc6173f58d42p-15, 0x1.cf3ba873d05c7p-15, 0x1.d17b955720971p-15, 0x1.d3869c367cdf3p-15, 0x1.d55d7b60e7884p-15, 0x1.d700f12bb71cep-15, 0x1.d871bbf5e3f72p-15, 0x1.d9b09a2a32bc7p-15, 0x1.dabe4a404405cp-15, 0x1.db9b8abca496p-15, 0x1.dc491a2fe5afcp-15, 0x1.dcc7b734d1b78p-15, 0x1.dd18206dc961bp-15, 0x1.dd3b148158eb3p-15, 0x1.dd31521612549p-15, 0x1.dcfb97cdb9f4fp-15, 0x1.dc9aa43fd0eaep-15, 0x1.dc0f35f38dffdp-15, 0x1.db5a0b5948f2ep-15, 0x1.da7be2c3691b5p-15, 0x1.d9757a5ee230ep-15, 0x1.d847902b4612bp-15, 0x1.d6f2e1f2765bep-15, 0x1.d5782d40014d7p-15, 0x1.d3d82f5831416p-15, 0x1.d213a52ed6f14p-15, 0x1.d02b4b5dd84a4p-15, 0x1.ce1fde1b887ddp-15, 0x1.cbf21930d75b2p-15, 0x1.c9a2b7ef53fcep-15, 0x1.c7327527180a7p-15, 0x1.c4a20b1c93a1dp-15, 0x1.c1f2337e4966fp-15, 0x1.bf23a75a7f0b1p-15, 0x1.bc371f14e41a8p-15, 0x1.b92d525c36a0ap-15, 0x1.b606f81feea45p-15, 0x1.b2c4c685ebcdep-15, 0x1.af6772e033438p-15, 0x1.abefb1a2bada4p-15, 0x1.a85e36594c6acp-15, 0x1.a4b3b39d7be23p-15, 0x1.a0f0db0cbd07bp-15, 0x1.9d165d3e96ccep-15, 0x1.9924e9baf6af4p-15, 0x1.951d2ef0aaa6ep-15, 0x1.90ffda2c02b61p-15, 0x1.8ccd978d9a1b9p-15, 0x1.888712014efe6p-15, 0x1.842cf33566c6dp-15, 0x1.7fbfe391e3772p-15, 0x1.7b408a300abcap-15, 0x1.76af8cd2219adp-15, 0x1.720d8fdb5b3f7p-15, 0x1.6d5b3648017ccp-15, 0x1.689921a5d0c7fp-15, 0x1.63c7f20c9345cp-15, 0x1.5ee84616eea33p-15, 0x1.59fabadb726c6p-15, 0x1.54ffebe5def42p-15, 0x1.4ff87330aa339p-15, 0x1.4ae4e91ebe4f8p-15, 0x1.45c5e47579af9p-15, 0x1.409bfa56e8bbep-15, 0x1.3b67be3c3ea67p-15, 0x1.3629c1f08ce64p-15, 0x1.30e2958bb738cp-15, 0x1.2b92c76da7c57p-15, 0x1.263ae439bd9f8p-15, 0x1.20db76d27cd93p-15, 0x1.1b75085578f61p-15, 0x1.160820177f7dep-15, 0x1.109543a0fcee3p-15, 0x1.0b1cf6aaa0b84p-15, 0x1.059fbb1a39cfcp-15, 0x1.001e10ffd35b6p-15, 0x1.f530ed26110a2p-16, 0x1.ea1ed06129a23p-16, 0x1.df06c0b03c367p-16, 0x1.d3e9af546f00ap-16, 0x1.c8c889cd38408p-16, 0x1.bda439d54652ap-16, 0x1.b27da55fd26b2p-16, 0x1.a755ae9661916p-16, 0x1.9c2d33d6f03fbp-16, 0x1.91050fb2867f6p-16, 0x1.85de18ec330fbp-16, 0x1.7ab922786b6ddp-16, }}, 
      {{0x1.be02847bc4cecp-1, 0x1.bdfeceb7f074cp-1, 0x1.bdf4a10f1ff9bp-1, 0x1.bddf6884593ccp-1, 0x1.bdba4204af263p-1, 0x1.bd807720ae7b9p-1, 0x1.bd2dcc2611785p-1, 0x1.bcbeacdd7543bp-1, 0x1.bc3041c41aeb8p-1, 0x1.bb8075072d3ddp-1, 0x1.baadec9812deep-1, 0x1.b9b7fd3fbdab8p-1, 0x1.b89e9982f6d48p-1, 0x1.b7623e5c34a4fp-1, 0x1.b603df36dbdf6p-1, 0x1.b484d226cb9c5p-1, 0x1.b2e6bd03c51c3p-1, 0x1.b12b83d32248bp-1, 0x1.af5538bdd7ee7p-1, 0x1.ad660db0be0cep-1, 0x1.ab6047ae5aeaep-1, 0x1.a94633c9a78bcp-1, 0x1.a71a1db69b23fp-1, 0x1.a4de47d67fc01p-1, 0x1.a294e4a211c96p-1, 0x1.a0401151739fp-1, 0x1.9de1d1a18bb03p-1, 0x1.9b7c0c96f194ap-1, 0x1.99108a1fd83ep-1, 0x1.96a0f17825f7ep-1, 0x1.942ec834f91fap-1, 0x1.91bb71df03facp-1, 0x1.8f4830056e2b2p-1, 0x1.8cd622b5243c5p-1, 0x1.8a664942a0042p-1, 0x1.87f9835642c7dp-1, 0x1.8590922d45cd2p-1, 0x1.832c1a0309ab4p-1, 0x1.80cca3982b343p-1, 0x1.7e729dce464b7p-1, 0x1.7c1e5f5097f97p-1, 0x1.79d02842f08efp-1, 0x1.778823f16a986p-1, 0x1.75466a7c51e4p-1, 0x1.730b027c78c07p-1, 0x1.70d5e29cf057p-1, 0x1.6ea6f327bbbdbp-1, 0x1.6c7e0f839deedp-1, 0x1.6a5b07a19d4d5p-1, 0x1.683da1593ac54p-1, 0x1.662599b2b1008p-1, 0x1.6412a61edc7a3p-1, 0x1.6204759ca2df2p-1, 0x1.5ffab1cbedf76p-1, 0x1.5df4ffee6a79cp-1, 0x1.5bf301d667253p-1, 0x1.59f456c447922p-1, 0x1.57f89c3310386p-1, 0x1.55ff6e94a4eddp-1, 0x1.540869fe608dcp-1, 0x1.52132ac6abd09p-1, 0x1.501f4e144af08p-1, 0x1.4e2c726011281p-1, 0x1.4c3a37e9b136p-1, 0x1.4a4841205de88p-1, 0x1.485632ffeb7c1p-1, 0x1.4663b5631fbf7p-1, 0x1.4470734bd9dfp-1, 0x1.427c1b21b7dfp-1, 0x1.40865ee7d5e57p-1, 0x1.3e8ef46a42233p-1, 0x1.3c959563b87a8p-1, 0x1.3a99ff9c31bdcp-1, 0x1.389bf500cc019p-1, 0x1.369b3bb58dc0fp-1, 0x1.34979e217e16ap-1, 0x1.3290eaf58151ap-1, 0x1.3086f52e6dc8p-1, 0x1.2e799412bba45p-1, 0x1.2c68a32c3384p-1, 0x1.2a54023df87aep-1, 0x1.283b9537441efp-1, 0x1.261f44232785bp-1, 0x1.23fefb159cd66p-1, 0x1.21daaa1632e53p-1, 0x1.1fb2450896c99p-1, 0x1.1d85c3933afdap-1, 0x1.1b55210455dbap-1, 0x1.19205c3573123p-1, 0x1.16e7776dc71d7p-1, 0x1.14aa7843798ccp-1, 0x1.1269677c0f6bfp-1, 0x1.102450ec22e4fp-1, 0x1.0ddb43568cd28p-1, 0x1.0b8e504b256ecp-1, 0x1.093d8c053ce01p-1, 0x1.06e90d49eb50dp-1, 0x1.0490ed46539c4p-1, 0x1.0235476df40e8p-1, 0x1.ffac72b2382cep-2, 0x1.fae7c5473dc15p-2, 0x1.f61cc997a807dp-2, 0x1.f14bc623f39fbp-2, 0x1.ec7504b01850ep-2, 0x1.e798d20435d92p-2, 0x1.e2b77dae5e985p-2, 0x1.ddd159c5992dep-2, 0x1.d8e6baae2f75dp-2, 0x1.d3f7f6df56c46p-2, 0x1.cf0566aa4ca5ep-2, 0x1.ca0f6402ee4a5p-2, 0x1.c5164a49da016p-2, 0x1.c01a761827182p-2, 0x1.bb1c450cb8ee1p-2, 0x1.b61c159b375f1p-2, 0x1.b11a46dcb31cp-2, 0x1.ac173861f34d8p-2, 0x1.a7134a0779b2fp-2, 0x1.a20edbcb35532p-2, 0x1.9d0a4da3e7b3ep-2, 0x1.9805ff5a401d5p-2, 0x1.93025063a0277p-2, 0x1.8dff9fbe96538p-2, 0x1.88fe4bd0fa76p-2, 0x1.83feb247b67fp-2, 0x1.7f012ff82bcc2p-2, 0x1.7a0620c33817fp-2, 0x1.750ddf79cb838p-2, 0x1.7018c5c30fba2p-2, 0x1.6b272c0415a09p-2, 0x1.66396949052abp-2, 0x1.614fd32fc0d39p-2, 0x1.5c6abdd3fd994p-2, 0x1.578a7bbcbe553p-2, 0x1.52af5dcb303e8p-2, 0x1.4dd9b32adc458p-2, 0x1.4909c943232adp-2, 0x1.443feba9fc67dp-2, 0x1.3f7c6417f2a07p-2, 0x1.3abf7a5d4ab64p-2, 0x1.360974585348ep-2, 0x1.315a95ecd215ep-2, 0x1.2cb320fc82772p-2, 0x1.281355609df61p-2, 0x1.237b70e463f52p-2, 0x1.1eebaf4099d6cp-2, 0x1.1a644a17f35b6p-2, 0x1.15e578f463379p-2, 0x1.116f714541688p-2, 0x1.0d02665e43c29p-2, 0x1.089e89773f7d9p-2, 0x1.044409aca459dp-2, 0x1.ffe6280169c6dp-3, 0x1.f757a6bac5816p-3, 0x1.eedce12daed19p-3, 0x1.e67624dd24c4cp-3, 0x1.de23bb2e3e7c3p-3, 0x1.d5e5e970adf7cp-3, 0x1.cdbcf0e84034ap-3, 0x1.c5a90ed7652dfp-3, 0x1.bdaa7c8a9586fp-3, 0x1.b5c16f64941b9p-3, 0x1.adee18eb80098p-3, 0x1.a630a6d6a2142p-3, 0x1.9e89431ce9f42p-3, 0x1.96f8140411e6fp-3, 0x1.8f7d3c3057c63p-3, 0x1.8818dab4c0385p-3, 0x1.80cb0b23dc108p-3, 0x1.7993e5a0fc826p-3, 0x1.72737ef1d2a69p-3, 0x1.6b69e8906c3b8p-3, 0x1.647730bd83f71p-3, 0x1.5d9b629319174p-3, 0x1.56d6861748eb8p-3, 0x1.5028a04f5e066p-3, 0x1.4991b3530d2bep-3, 0x1.4311be5fd8133p-3, 0x1.3ca8bdec8b6c9p-3, 0x1.3656abbcd669bp-3, 0x1.301b7ef4ebf2cp-3, 0x1.29f72c2d2ca7bp-3, 0x1.23e9a585d0e0fp-3, 0x1.1df2daba8c888p-3, 0x1.1812b93627835p-3, 0x1.12492c2603a1bp-3, 0x1.0c961c8d866a7p-3, 0x1.06f97159706dp-3, 0x1.01730f7309797p-3, 0x1.f805b3a651917p-4, 0x1.ed51632a2ce13p-4, 0x1.e2c8ec1275685p-4, 0x1.d86c098f32de7p-4, 0x1.ce3a73843a40dp-4, 0x1.c433dead437a6p-4, 0x1.ba57fcc19037ap-4, 0x1.b0a67c97108bp-4, 0x1.a71f0a4505635p-4, 0x1.9dc14f4610fe4p-4, 0x1.948cf299c7fc5p-4, 0x1.8b8198e5ac65ap-4, 0x1.829ee4958b955p-4, 0x1.79e475fb4ee0fp-4, 0x1.7151eb6e2a0cep-4, 0x1.68e6e1692f782p-4, 0x1.60a2f2a9429bfp-4, 0x1.5885b84a67a43p-4, 0x1.508ec9e4715bap-4, 0x1.48bdbda70825p-4, 0x1.411228750b3c5p-4, 0x1.398b9dff4aaa9p-4, 0x1.3229b0de99ecep-4, 0x1.2aebf2ad395e2p-4, 0x1.23d1f41f98273p-4, 0x1.1cdb451c6e003p-4, 0x1.160774d42c966p-4, 0x1.0f5611d7c94b2p-4, 0x1.08c6aa2ee0e04p-4, 0x1.0258cb6d3431cp-4, 0x1.f818058f013f3p-5, 0x1.ebbfba4f679c6p-5, 0x1.dfa7ce80fbce6p-5, 0x1.d3cf5b40834fap-5, 0x1.c8357986c9bep-5, 0x1.bcd9424c07ff5p-5, 0x1.b1b9ceaa0f171p-5, 0x1.a6d637fd43583p-5, 0x1.9c2d980461f73p-5, 0x1.91bf08ff1e5b9p-5, 0x1.8789a5cb929e6p-5, 0x1.7d8c8a0291473p-5, 0x1.73c6d212d35c2p-5, 0x1.6a379b5b0ebap-5, 0x1.60de0442f4b61p-5, 0x1.57b92c5321793p-5, 0x1.4ec8344bfdd91p-5, 0x1.460a3e3b9d2d2p-5, 0x1.3d7e6d9295047p-5, 0x1.3523e737dccefp-5, 0x1.2cf9d19bb3b7p-5, 0x1.24ff54c9951e3p-5, 0x1.1d339a79404f4p-5, 0x1.1595ce1ed9bafp-5, 0x1.0e251cfa28ea8p-5, 0x1.06e0b624fb994p-5, 0x1.ff8f95415d536p-6, 0x1.f1b31ac5d06fap-6, 0x1.e42a66c307b03p-6, 0x1.d6f3e73b6eadbp-6, 0x1.ca0e0e5ceb34dp-6, 0x1.bd7752942b45ap-6, 0x1.b12e2e9e82571p-6, 0x1.a531219a633e2p-6, 0x1.997eaf167f2ap-6, 0x1.8e155f1f95ab7p-6, 0x1.82f3be4cfeedcp-6, 0x1.78185dcbf72a4p-6, 0x1.6d81d369bda2ap-6, 0x1.632eb99c8889ep-6, 0x1.591daf8b57b5fp-6, 0x1.4f4d5914b7b1fp-6, 0x1.45bc5ed476993p-6, 0x1.3c696e2856b15p-6, 0x1.33533933c7e91p-6, 0x1.2a7876e2b0ae8p-6, 0x1.21d7e2eb5211ep-6, 0x1.19703dcf49525p-6, 0x1.11404cdbbc33p-6, 0x1.0946da28bb5adp-6, 0x1.0182b497d956bp-6, 0x1.f3e55fa40cd9fp-7, 0x1.e52b4889709ap-7, 0x1.d6d4de3cbe021p-7, 0x1.c8dfe49472e01p-7, 0x1.bb4a28d70bd37p-7, 0x1.ae1181b033fe7p-7, 0x1.a133cf24df773p-7, 0x1.94aefa8640fc9p-7, 0x1.8880f663c527bp-7, 0x1.7ca7be7c0aa9p-7, 0x1.712157acfabecp-7, 0x1.65ebcfe2ef9aap-7, 0x1.5b053e0712ee2p-7, 0x1.506bc1eceefd2p-7, 0x1.461d843f4511ep-7, 0x1.3c18b66c2db04p-7, 0x1.325b929095f33p-7, 0x1.28e45b631ce5ap-7, 0x1.1fb15c1e602ep-7, 0x1.16c0e86abeccep-7, 0x1.0e115c479e52dp-7, 0x1.05a11bf439052p-7, 0x1.fadd27afff91ap-8, 0x1.eaf070d5311a2p-8, 0x1.db790c3701e61p-8, 0x1.cc740272b9e0cp-8, 0x1.bdde6bb1f7659p-8, 0x1.afb56f782db22p-8, 0x1.a1f6446fad20cp-8, 0x1.949e303640247p-8, 0x1.87aa87296b628p-8, 0x1.7b18ac325d935p-8, 0x1.6ee610919cf58p-8, 0x1.631033aa7efe1p-8, 0x1.5794a2ce72b7fp-8, 0x1.4c70f9082e245p-8, 0x1.41a2dee6c487ap-8, 0x1.37280a48b48bep-8, 0x1.2cfe3e26f3dacp-8, 0x1.23234a60056a6p-8, 0x1.19950b832184bp-8, 0x1.10516a9b791d7p-8, 0x1.07565cfb9c56fp-8, 0x1.fd43c812182ebp-9, 0x1.ec641a0ffe42p-9, 0x1.dc09e1cec51d4p-9, 0x1.cc31681a30789p-9, 0x1.bcd70c45001f3p-9, 0x1.adf743c29b0f3p-9, 0x1.9f8e99c1637bep-9, 0x1.9199aec5bc244p-9, 0x1.84153845cad03p-9, 0x1.76fe004604574p-9, 0x1.6a50e4f686b0fp-9, 0x1.5e0ad8514c522p-9, 0x1.5228dfb942f8ap-9, 0x1.46a8139a49d63p-9, 0x1.3b859f0a20acdp-9, 0x1.30bebf6a4f2dcp-9, 0x1.2650c40b076c4p-9, 0x1.1c390dcf0e153p-9, 0x1.12750ed0aaad9p-9, 0x1.09024a07a2a6fp-9, 0x1.ffbca5e093f97p-10, 0x1.ee0d9a6750752p-10, 0x1.dcf2d8a16bb6fp-10, 0x1.cc67e68d72a81p-10, 0x1.bc686881878f2p-10, 0x1.acf020849ad05p-10, 0x1.9dfaeda9f5064p-10, 0x1.8f84cb6f0a939p-10, 0x1.8189d11ba1ad4p-10, 0x1.740631244bff8p-10, 0x1.66f6388f386d3p-10, 0x1.5a564e5b59891p-10, 0x1.4e22f2e9e30a3p-10, 0x1.4258bf6a2a9ccp-10, 0x1.36f46547d6ac5p-10, 0x1.2bf2ad9b68a8dp-10, 0x1.2150789d2aa93p-10, 0x1.170abd1a65659p-10, 0x1.0d1e87ecf2cc9p-10, 0x1.0388fb752a0e2p-10, 0x1.f48e9e2c22cc8p-11, 0x1.e2ad9d67d0ecbp-11, 0x1.d169b469f3e4ap-11, 0x1.c0bdca096f58ap-11, 0x1.b0a4eb3236f4bp-11, 0x1.a11a49f492447p-11, 0x1.92193c98db61dp-11, 0x1.839d3cb7b026ap-11, 0x1.75a1e6568b4bbp-11, 0x1.6822f708bdcc3p-11, 0x1.5b1c4d14bb466p-11, 0x1.4e89e69db51p-11, 0x1.4267e0d171162p-11, 0x1.36b2771a5a0cfp-11, 0x1.2b660255b6ec5p-11, 0x1.207ef80e01d7ep-11, 0x1.15f9e9b95128dp-11, 0x1.0bd383fbc7577p-11, 0x1.02088dedfc7b8p-11, 0x1.f12bd0ceab5a8p-12, 0x1.def11a98798a9p-12, 0x1.cd5b1dc05a6f7p-12, 0x1.bc642e370deadp-12, 0x1.ac06ce0a373a4p-12, 0x1.9c3dac1ed080dp-12, 0x1.8d03a2f2dd58fp-12, 0x1.7e53b76640833p-12, 0x1.7029178a9beb5p-12, 0x1.627f197a1c653p-12, 0x1.55513a3519b5ep-12, 0x1.489b1c866d2f5p-12, 0x1.3c5887ee644c8p-12, 0x1.308567943616ap-12, 0x1.251dc93ddb57cp-12, 0x1.1a1ddc4e32a4dp-12, 0x1.0f81f0c95451cp-12, 0x1.0546765ef9f0fp-12, 0x1.f6cff6f5bcb01p-13, 0x1.e3c658b5f9e4p-13, 0x1.d169a4572717cp-13, 0x1.bfb3a4519e61p-13, 0x1.ae9e598c0666fp-13, 0x1.9e23f9b4b29bdp-13, 0x1.8e3eeda5ae72p-13, 0x1.7ee9cfd34db84p-13, 0x1.701f6ac50790ep-13, 0x1.61dab79869938p-13, 0x1.5416dc8df5291p-13, 0x1.46cf2b9faac9ap-13, 0x1.39ff21211d46bp-13, 0x1.2da26268d630fp-13, 0x1.21b4bc82d54e1p-13, 0x1.163222ec08e4cp-13, 0x1.0b16ae56819eap-13, 0x1.005e9b7636c46p-13, 0x1.ec0c93ac62cb7p-14, 0x1.d814756bd45bfp-14, 0x1.c4ce1fdd66573p-14, 0x1.b23315c1e7c8ap-14, 0x1.a03d16d23ec8bp-14, 0x1.8ee61db84510bp-14, 0x1.7e285e1665a26p-14, 0x1.6dfe429d8c8bep-14, 0x1.5e626b312171fp-14, 0x1.4f4fab18b7d83p-14, 0x1.40c1073f224b5p-14, 0x1.32b1b47e9c94ap-14, 0x1.251d15f9ba195p-14, 0x1.17febb80cc8f9p-14, 0x1.0b5260037959bp-14, 0x1.fe27d01c5e58ep-15, 0x1.e67ec0a667279p-15, 0x1.cfa1f87e0373bp-15, 0x1.b98a292f61de1p-15, 0x1.a4304c4e3c47ap-15, 0x1.8f8da0df292e8p-15, 0x1.7b9ba8d562314p-15, 0x1.685426a47a683p-15, 0x1.55b11ae588a62p-15, 0x1.43acc20f3dca5p-15, 0x1.3241924073db5p-15, 0x1.216a391caf28ap-15, 0x1.112199ba27e55p-15, 0x1.0162caa0d85bep-15, 0x1.e45227b44a2ebp-16, 0x1.c6dfda215826p-16, 0x1.aa65f77f91743p-16, 0x1.8edc22e4c7c04p-16, 0x1.743a542147364p-16, 0x1.5a78d47827325p-16, 0x1.41903b73b8c1p-16, 0x1.29796bd55b353p-16, 0x1.122d909fdf613p-16, 0x1.f74c34779790fp-17, 0x1.cbb9776972f3ep-17, 0x1.a196d01e3f067p-17, 0x1.78d89f6b94ddfp-17, 0x1.5173bbfcc571bp-17, 0x1.2b5d6d8892a03p-17, 0x1.068b683253aa8p-17, 0x1.c5e7902a78d6bp-18, 0x1.811a19f1139acp-18, 0x1.3e9c2c56b6209p-18, 0x1.fcb87a1c1c38bp-19, 0x1.8092e25b20eep-19, 0x1.08a72b8e6c755p-19, 0x1.29ac6319b17e1p-20, 0x1.28102120e1b51p-22, -0x1.1bc8987d78175p-21, -0x1.5e43f955a9699p-20, -0x1.13a82121c052bp-19, -0x1.749e3322815ddp-19, -0x1.d21cdb96ec456p-19, -0x1.161debca3884fp-18, -0x1.41890167bbd75p-18, -0x1.6b5ab0d2b582dp-18, -0x1.939d956073a42p-18, -0x1.ba5be82dafab9p-18, -0x1.df9f848fb9596p-18, -0x1.01b8f62bc7ab7p-17, -0x1.12ee25f437244p-17, -0x1.2373bf11aafd7p-17, -0x1.334e08147baa1p-17, -0x1.42812279bb8a8p-17, -0x1.51110c64b182bp-17, -0x1.5f01a24596fb9p-17, -0x1.6c56a06e4789cp-17, -0x1.7913a49574f0ep-17, -0x1.853c2f490f792p-17, -0x1.90d3a5506708fp-17, -0x1.9bdd50feaa2a9p-17, -0x1.a65c63765038fp-17, -0x1.b053f5ddeaa48p-17, -0x1.b9c70a87019a7p-17, -0x1.c2b88e0762609p-17, -0x1.cb2b584573d6cp-17, -0x1.d3222d7805d88p-17, -0x1.da9fbf1a0ecadp-17, -0x1.e1a6acd2dd5c3p-17, -0x1.e839855316605p-17, -0x1.ee5ac72701ec7p-17, -0x1.f40ce17e8c95fp-17, -0x1.f95234eb590e8p-17, -0x1.fe2d141553f8ap-17, -0x1.014fe2331540fp-16, -0x1.03563f55f813p-16, -0x1.052ab7d9b200dp-16, -0x1.06ce5c6d110c9p-16, -0x1.0842384c88a26p-16, -0x1.09875183b89a4p-16, -0x1.0a9ea92b61d16p-16, -0x1.0b893ba3f5062p-16, -0x1.0c4800cce0006p-16, -0x1.0cdbec38ba29cp-16, -0x1.0d45ed5e7b1a6p-16, -0x1.0d86efc7cf472p-16, -0x1.0d9fdb3cbb18p-16, -0x1.0d9193ec9db32p-16, -0x1.0d5cfa94ba643p-16, -0x1.0d02eca4634acp-16, -0x1.0c84445edff81p-16, -0x1.0be1d8fb2d87ep-16, -0x1.0b1c7ec1add1dp-16, -0x1.0a350727ea741p-16, -0x1.092c40ea7009p-16, -0x1.0802f824f05f5p-16, -0x1.06b9f668ac6bfp-16, -0x1.055202d14fc22p-16, -0x1.03cbe2183d904p-16, -0x1.022856a679a69p-16, -0x1.006820a52c157p-16, -0x1.fd17fc19c113p-17, -0x1.f929556719da1p-17, -0x1.f505c0b2dfc1dp-17, -0x1.f0aead69b9578p-17, -0x1.ec2586f9fd6afp-17, -0x1.e76bb4e74a43ap-17, -0x1.e2829adc556f1p-17, -0x1.dd6b98baf879dp-17, -0x1.d8280aaab88c7p-17, -0x1.d2b94925b1dd5p-17, -0x1.cd20a9043d6eap-17, -0x1.c75f7b8728bf5p-17, -0x1.c1770e60c49b4p-17, -0x1.bb68abbccdecbp-17, -0x1.b5359a47462d4p-17, -0x1.aedf1d325113fp-17, -0x1.a866743b25ea1p-17, -0x1.a1ccdbae2fe86p-17, -0x1.9b138c6a66426p-17, -0x1.943bbbe3f2eeep-17, -0x1.8d469c262c7fep-17, -0x1.86355bd4ffdd7p-17, -0x1.7f09262dccc49p-17, -0x1.77c32307d06c6p-17, -0x1.706476d40e774p-17, -0x1.68ee429cf1d53p-17, -0x1.6161a4057bcbfp-17, -0x1.59bfb548408f3p-17, -0x1.52098d36079bep-17, -0x1.4a403f344ccedp-17, -0x1.4264db3b835d1p-17, -0x1.3a786dd5365bbp-17, -0x1.327c001a0c743p-17, -0x1.2a7097afb4d41p-17, -0x1.225736c6c4d5ap-17, -0x1.1a30dc188d281p-17, -0x1.11fe82e4edd05p-17, -0x1.09c122f02d7a9p-17, -0x1.0179b080db51p-17, -0x1.f25238bb7e77cp-18, -0x1.e1a0a797bbbf8p-18, -0x1.d0e0811929ee6p-18, -0x1.c01391b7a9913p-18, -0x1.af3b9edcf0e6ap-18, -0x1.9e5a66e187b44p-18, -0x1.8d71a10a0ee8ep-18, -0x1.7c82fd84ddd9fp-18, -0x1.6b902567f7fddp-18, -0x1.5a9abaaf64117p-18, -0x1.49a4583be2a62p-18, -0x1.38ae91d20fe7ap-18, -0x1.27baf419ec92p-18, -0x1.16cb049ed79a9p-18, -0x1.05e041cff7adcp-18, -0x1.e9f846022ff02p-19, -0x1.c84030d7f22dbp-19, -0x1.a69b16643508dp-19, -0x1.850bbabdf6af5p-19, -0x1.6394d3d5ab06cp-19, -0x1.4239097ba0d26p-19, -0x1.20faf56763568p-19, -0x1.ffba468017959p-20, -0x1.bdc4214b17a8ap-20, -0x1.7c185a75d7afp-20, -0x1.3abbb562f91c6p-20, -0x1.f365b353fa5ecp-21, -0x1.7204a662e15e6p-21, -0x1.e2ba492bdbbb3p-22, -0x1.c5df5e8985e77p-23, 0x1.b459ae22b6cf6p-26, 0x1.17d51c129d6f5p-22, 0x1.095763b008c54p-21, 0x1.85e17dc9cd003p-21, 0x1.00c0a0a430811p-20, 0x1.3e17a42ceb6e2p-20, 0x1.7af2310a25146p-20, 0x1.b74cc90f33e2cp-20, 0x1.f324082a5e9bap-20, 0x1.173a521afcebep-19, 0x1.349db66401f0fp-19, 0x1.51baa580245c3p-19, 0x1.6e8fa0aa86869p-19, 0x1.8b1b35af3294ep-19, 0x1.a75bfed0120e3p-19, 0x1.c350a2a940945p-19, 0x1.def7d414bdc7bp-19, 0x1.fa50520d7f7c3p-19, 0x1.0aac73c8f6bd2p-18, 0x1.180835c2e76e4p-18, 0x1.253ae049d3a82p-18, 0x1.3243ea86c7dfdp-18, 0x1.3f22d166c7379p-18, 0x1.4bd7178ab901ep-18, 0x1.586045371ce87p-18, 0x1.64bde843864bcp-18, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      112, 0x1.4cccccccccccdp+2, 0x1.68f6b8acac653p+0, 0x1.a96f0067175a5p+1, -0x1.5667675f2b074p-1, 
      {{
        {0x1.6b6ae7d566cf4p+0, 0x1.6e8a71de69ad4p+0, 0x1.8a897635e742ap+1, -0x1.5280326fb60c1p+2, 0x1.dd4a824e05b01p+1, 0x1.e1ee3d62cae8fp-1}, 
        {0x1.6e8a71de69ad4p+0, 0x1.71a9fbe76c8b4p+0, 0x1.82594af4f0d84p+1, -0x1.4ca6a2ae6d53ep+2, 0x1.e1b3621fc2176p+1, -0x1.2d34e65dbec91p+2}, 
        {0x1.71a9fbe76c8b4p+0, 0x1.74c985f06f694p+0, 0x1.7a4d7f0ed3d86p+1, -0x1.46e89e53a498fp+2, 0x1.cba7030714131p+1, 0x1.5ce97b190d92p+0}, 
        {0x1.74c985f06f694p+0, 0x1.77e90ff972474p+0, 0x1.726516db0dd83p+1, -0x1.41430fa85a175p+2, 0x1.d209984d1793p+1, -0x1.7da4a5d84f4bbp-1}, 
        {0x1.77e90ff972474p+0, 0x1.7b089a0275254p+0, 0x1.6aa012599ed7cp+1, -0x1.3b98fc6ed4dabp+2, 0x1.ce8ba24dbca26p+1, -0x1.f1b7b9b640e09p+1}, 
        {0x1.7b089a0275254p+0, 0x1.7e28240b78034p+0, 0x1.62fe1da7b0b39p+1, -0x1.3610cf9b7ba15p+2, 0x1.bc5437ec2fb67p+1, -0x1.c6ed5b91ba528p-3}, 
        {0x1.7e28240b78034p+0, 0x1.8147ae147ae14p+0, 0x1.5b7e3d1cc100ep+1, -0x1.30a6b530aa96p+2, 0x1.bb49d026cb382p+1, -0x1.75d2459b40b58p-1}, 
        {0x1.8147ae147ae14p+0, 0x1.8467381d7dbf5p+0, 0x1.54201cd5f99c4p+1, -0x1.2b4392308a477p+2, 0x1.b7de2c84f9f97p+1, -0x1.2ea686ae0bad7p+1}, 
        {0x1.8467381d7dbf5p+0, 0x1.8786c226809d5p+0, 0x1.4ce368f08462p+1, -0x1.25f712d69d85fp+2, 0x1.acca75b8aacdp+1, -0x1.a7025fa0195c8p-1}, 
        {0x1.8786c226809d5p+0, 0x1.8aa64c2f837b5p+0, 0x1.45c779a6b50b1p+1, -0x1.20c1eb0f700cdp+2, 0x1.a8eb9a59b2c2bp+1, 0x1.4c1444d595682p-3}, 
        {0x1.8aa64c2f837b5p+0, 0x1.8dc5d63886595p+0, 0x1.3ecbfb15b573fp+1, -0x1.1b919eed50077p+2, 0x1.a9ae1188f889fp+1, -0x1.55160da83ab79p+2}, 
        {0x1.8dc5d63886595p+0, 0x1.90e5604189375p+0, 0x1.37f0995aaf79p+1, -0x1.1687205db998bp+2, 0x1.90b66311da6fcp+1, 0x1.289c2176ab36p+2}, 
        {0x1.90e5604189375p+0, 0x1.9404ea4a8c155p+0, 0x1.313458cd20afap+1, -0x1.1181b751ecdbdp+2, 0x1.a66c9e7423cb6p+1, -0x1.ece6a7312a2a1p+2}, 
        {0x1.9404ea4a8c155p+0, 0x1.972474538ef35p+0, 0x1.2a978d4fdf3b6p+1, -0x1.0c92be5dee795p+2, 0x1.82580c7b16922p+1, 0x1.092f374922816p+2}, 
        {0x1.972474538ef35p+0, 0x1.9a43fe5c91d15p+0, 0x1.2418e757928e1p+1, -0x1.07bdcd1d2b139p+2, 0x1.95c164991eba6p+1, -0x1.aec4c9e4b64b2p+1}, 
        {0x1.9a43fe5c91d15p+0, 0x1.9d63886594af5p+0, 0x1.1db8bac710cb3p+1, -0x1.02e32a8deb802p+2, 0x1.85fd433300812p+1, -0x1.b235160910ccp+0}, 
        {0x1.9d63886594af5p+0, 0x1.a083126e978d5p+0, 0x1.17765fd8adabap+1, -0x1.fc5b1ec4421d6p+1, 0x1.7e0b167b7d269p+1, -0x1.ba813836f224p-1}, 
        {0x1.a083126e978d5p+0, 0x1.a3a29c779a6b5p+0, 0x1.11512ec6bce85p+1, -0x1.f3155ed3f7764p+1, 0x1.79fe908db9ae4p+1, -0x1.6a5ef638b8004p-2}, 
        {0x1.a3a29c779a6b5p+0, 0x1.a6c226809d495p+0, 0x1.0b48d3ae685dbp+1, -0x1.e9e171ac15cc7p+1, 0x1.785627e350bfep+1, -0x1.9d17d8d7eda16p+1}, 
        {0x1.a6c226809d495p+0, 0x1.a9e1b089a0275p+0, 0x1.055cfaacd9e84p+1, -0x1.e0e1ea6e43622p+1, 0x1.6937a361c2e18p+1, 0x1.1fdbfe2128d22p+1}, 
        {0x1.a9e1b089a0275p+0, 0x1.ad013a92a3055p+0, 0x1.ff19f7f8ca81ap+0, -0x1.d7f0b3ec473c7p+1, 0x1.73c0c3e06a364p+1, -0x1.712c0fd65ad2ep+2}, 
        {0x1.ad013a92a3055p+0, 0x1.b020c49ba5e35p+0, 0x1.f3b1af3a14cecp+0, -0x1.cf32fc03e053dp+1, 0x1.58bac6675ac1dp+1, 0x1.1366cd4566598p+2}, 
        {0x1.b020c49ba5e35p+0, 0x1.b3404ea4a8c15p+0, 0x1.e87f23cc8de2bp+0, -0x1.c68ab425ca5b4p+1, 0x1.6ce394820a7ep+1, -0x1.7bfb543e3aaa1p+2}, 
        {0x1.b3404ea4a8c15p+0, 0x1.b65fd8adab9f5p+0, 0x1.dd82fd75e2047p+0, -0x1.bdfa54f7d8ddfp+1, 0x1.511306a950218p+1, 0x1.7656215fa0fd6p+1}, 
        {0x1.b65fd8adab9f5p+0, 0x1.b97f62b6ae7d5p+0, 0x1.d2bb44e50c5ebp+0, -0x1.b5960a72020afp+1, 0x1.5ec668a69e29ep+1, -0x1.70b0ee80e5ae8p+2}, 
        {0x1.b97f62b6ae7d5p+0, 0x1.bc9eecbfb15b5p+0, 0x1.c827fa1a0cf18p+0, -0x1.ad5b3fc818439p+1, 0x1.43c96e8a22dbp+1, 0x1.cc7a6c9fdffbfp+1}, 
        {0x1.bc9eecbfb15b5p+0, 0x1.bfbe76c8b4396p+0, 0x1.bdc725c3dee78p+0, -0x1.a5401c32dbdbfp+1, 0x1.54a3edb3d3dcp+1, -0x1.8fa0337a4ca55p+1}, 
        {0x1.bfbe76c8b4396p+0, 0x1.c2de00d1b7176p+0, 0x1.b3996fa82e87dp+0, -0x1.9d1e03e1fa51p+1, 0x1.460398428d298p+1, -0x1.0fc8e2bd3c817p+1}, 
        {0x1.c2de00d1b7176p+0, 0x1.c5fd8adab9f56p+0, 0x1.a99d883ba3444p+0, -0x1.9548ab247ec43p+1, 0x1.3c1114abf54a4p+1, 0x1.33d1e9abf9c79p-1}, 
        {0x1.c5fd8adab9f56p+0, 0x1.c91d14e3bcd36p+0, 0x1.9fd21ff2e48e9p+0, -0x1.8d8997bb0b737p+1, 0x1.3ee21e45af728p+1, -0x1.20483775ea078p-2}, 
        {0x1.c91d14e3bcd36p+0, 0x1.cc3c9eecbfb16p+0, 0x1.963736cdf266cp+0, -0x1.85c5d6e10e9b5p+1, 0x1.3d907b755eb0bp+1, -0x1.3edc00594bdaap+2}, 
        {0x1.cc3c9eecbfb16p+0, 0x1.cf5c28f5c28f6p+0, 0x1.8ccc25072085bp+0, -0x1.7e4f1a2eae64dp+1, 0x1.26395003ed83fp+1, 0x1.d83223b1f6131p+1}, 
        {0x1.cf5c28f5c28f6p+0, 0x1.d27bb2fec56d6p+0, 0x1.838ef34d6a162p+0, -0x1.76eb4934601fap+1, 0x1.3781994f19b23p+1, -0x1.1114760979f74p+2}, 
        {0x1.d27bb2fec56d6p+0, 0x1.d59b3d07c84b6p+0, 0x1.7a8049667b5f2p+0, -0x1.6f8feca52aebcp+1, 0x1.23844cacd1cadp+1, 0x1.2ea24894bb748p+1}, 
        {0x1.d59b3d07c84b6p+0, 0x1.d8bac710cb296p+0, 0x1.719ed7c6fbd27p+0, -0x1.6850666afe48cp+1, 0x1.2e97dbb8d1134p+1, -0x1.4c301b1fda7a3p+2}, 
        {0x1.d8bac710cb296p+0, 0x1.dbda5119ce076p+0, 0x1.68ea9e6eeb702p+0, -0x1.613a39e493c91p+1, 0x1.1646ec2b1e5e9p+1, 0x1.e04f54c55e4cep+0}, 
        {0x1.dbda5119ce076p+0, 0x1.def9db22d0e56p+0, 0x1.6061a60d4562ep+0, -0x1.5a548b66945bep+1, 0x1.1f11140afe2cep+1, -0x1.283e734b4ae95p+1}, 
        {0x1.def9db22d0e56p+0, 0x1.e219652bd3c36p+0, 0x1.5803eea209aaap+0, -0x1.5375463fa2c18p+1, 0x1.143964192f324p+1, 0x1.dfd501905fa54p+0}, 
        {0x1.e219652bd3c36p+0, 0x1.e538ef34d6a16p+0, 0x1.4fd0d0678c005p+0, -0x1.4c9c716d8d898p+1, 0x1.1d014ee793a91p+1, -0x1.4bb5c7eab95f4p+2}, 
        {0x1.e538ef34d6a16p+0, 0x1.e858793dd97f6p+0, 0x1.47c84b5dcc63fp+0, -0x1.45f405aa77ad5p+1, 0x1.04b9539fd0d7ep+1, 0x1.2b0cd88633912p+1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb780346dc5d6p+0, 0x1.3fe86833c6003p+0, -0x1.3f75408304373p+1, 0x1.0fab4ea58bf8dp+1, -0x1.0a63e921d033ap+2}, 
        {0x1.eb780346dc5d6p+0, 0x1.ee978d4fdf3b6p+0, 0x1.383126e978d5p+0, -0x1.3911330a840d9p+1, 0x1.f856bbacbf817p+0, 0x1.a6432c8376627p+1}, 
        {0x1.ee978d4fdf3b6p+0, 0x1.f1b71758e2196p+0, 0x1.30a137f38c543p+0, -0x1.32b9c7ad91cb4p+1, 0x1.0b9fcbdb63eeap+1, -0x1.c35d3dc7693ebp+1}, 
        {0x1.f1b71758e2196p+0, 0x1.f4d6a161e4f76p+0, 0x1.29394317acc4fp+0, -0x1.2c65afecf3502p+1, 0x1.f635635ef7c36p+0, -0x1.a9d796b3133c1p-3}, 
        {0x1.f4d6a161e4f76p+0, 0x1.f7f62b6ae7d56p+0, 0x1.21f7f8ca8198fp+0, -0x1.26483b58f690fp+1, 0x1.f442a45042b3cp+0, -0x1.2628fd1c39fbdp+0}, 
        {0x1.f7f62b6ae7d56p+0, 0x1.fb15b573eab36p+0, 0x1.1adcb1465e892p+0, -0x1.203ea1a29b5abp+1, 0x1.e97e7ab0f7e05p+0, -0x1.67e0b97ba46dep-1}, 
        {0x1.fb15b573eab36p+0, 0x1.fe353f7ced917p+0, 0x1.13e6c4c5974e6p+0, -0x1.1a5020bc15bcbp+1, 0x1.e2e8860ae4268p+0, -0x1.8be4d3eff2402p+0}, 
        {0x1.fe353f7ced917p+0, 0x1.00aa64c2f837bp+1, 0x1.0d158b827fa1ap+0, -0x1.1482892b959c7p+1, 0x1.d46b281099495p+0, 0x1.61b46875193a3p+0}, 
        {0x1.00aa64c2f837bp+1, 0x1.023a29c779a6bp+1, 0x1.06685db76b3bcp+0, -0x1.0eb75ae62785dp+1, 0x1.e15d3a6dc48d2p+0, -0x1.fd7666f0c9ee2p+1}, 
        {0x1.023a29c779a6bp+1, 0x1.03c9eecbfb15bp+1, 0x1.ffbe76c8b4396p-1, -0x1.091231d7ea93cp+1, 0x1.bc124ef37d3e9p+0, 0x1.df6ee5d1c13f3p+0}, 
        {0x1.03c9eecbfb15bp+1, 0x1.0559b3d07c84bp+1, 0x1.f2f1455219a84p-1, -0x1.038bde6614028p+1, 0x1.cd9e67d952b46p+0, -0x1.346c444ba0b63p+1}, 
        {0x1.0559b3d07c84bp+1, 0x1.06e978d4fdf3bp+1, 0x1.e6696a26e5471p-1, -0x1.fc1acb086056fp+0, 0x1.b70ace9311fffp+0, 0x1.c6eedd51e0eecp-5}, 
        {0x1.06e978d4fdf3bp+1, 0x1.08793dd97f62bp+1, 0x1.da250f840181ep-1, -0x1.f162bc163308bp+0, 0x1.b79002e6b6e07p+0, -0x1.1de8157c7e55cp+0}, 
        {0x1.08793dd97f62bp+1, 0x1.104816f0068dcp+1, 0x1.ce236c15d2d02p-1, -0x1.e6c9bba3b1c63p+0, 0x1.ad192e5a04608p+0, -0x1.80b7c885edcbcp-1}, 
        {0x1.104816f0068dcp+1, 0x1.1816f0068db8cp+1, 0x1.95db3397dd00fp-1, -0x1.b495d7aa1e058p+0, 0x1.89e58c8408db9p+0, -0x1.697ba52dcc4e4p-1}, 
        {0x1.1816f0068db8cp+1, 0x1.1fe5c91d14e3cp+1, 0x1.6371327243138p-1, -0x1.868c2be7bdcccp+0, 0x1.68d22bddab074p+0, -0x1.5595b6c738594p-1}, 
        {0x1.1fe5c91d14e3cp+1, 0x1.27b4a2339c0ecp+1, 0x1.36672fba01eefp-1, -0x1.5c6f16bf0abfp+0, 0x1.4990e37631023p+0, -0x1.3bd678390558p-1}, 
        {0x1.27b4a2339c0ecp+1, 0x1.2f837b4a2339cp+1, 0x1.0e466b1e5c0bap-1, -0x1.35fd5fa92aee8p+0, 0x1.2caab45d849dbp+0, -0x1.289d85d0f161ep-1}, 
        {0x1.2f837b4a2339cp+1, 0x1.37525460aa64cp+1, 0x1.d540cc78e9f6bp-2, -0x1.12f6c54b12821p+0, 0x1.1186c98774ac8p+0, -0x1.1571d2423184dp-1}, 
        {0x1.37525460aa64cp+1, 0x1.3f212d77318fcp+1, 0x1.961b6d43d0397p-2, -0x1.e648d7af07c7dp-1, 0x1.f047d96184a31p-1, -0x1.000dc1aa49e72p-1}, 
        {0x1.3f212d77318fcp+1, 0x1.46f0068db8bacp+1, 0x1.5e5b8561d4307p-2, -0x1.ac98bca2406c5p-1, 0x1.c16c3e636118dp-1, -0x1.ddf5f7b6cd0d6p-2}, 
        {0x1.46f0068db8bacp+1, 0x1.4ebedfa43fe5dp+1, 0x1.2d4e09784ec63p-2, -0x1.786f4dda7eeb7p-1, 0x1.95b07d5ab78dp-1, -0x1.bd4b39730ffb2p-2}, 
        {0x1.4ebedfa43fe5dp+1, 0x1.568db8bac710dp+1, 0x1.024c404a72eaep-2, -0x1.496d13a3fe6dp-1, 0x1.6cf1ed37bda3bp-1, -0x1.97188539c9a94p-2}, 
        {0x1.568db8bac710dp+1, 0x1.5e5c91d14e3bdp+1, 0x1.b9767903211cbp-3, -0x1.1f2ccc559217cp-1, 0x1.47b21d718ea4cp-1, -0x1.7c850677e8a2ep-2}, 
        {0x1.5e5c91d14e3bdp+1, 0x1.662b6ae7d566dp+1, 0x1.7818c5c9a34cap-3, -0x1.f2a3d47443a84p-2, 0x1.24e0d2bd5e9bp-1, -0x1.5891115dfcdfep-2}, 
        {0x1.662b6ae7d566dp+1, 0x1.6dfa43fe5c91dp+1, 0x1.3f77292c49342p-3, -0x1.af0629b153dcfp-2, 0x1.0559b188dd9c9p-1, -0x1.4579eb2842c0ep-2}, 
        {0x1.6dfa43fe5c91dp+1, 0x1.75c91d14e3bcdp+1, 0x1.0e9f6a93f290bp-3, -0x1.72e34bd580007p-2, 0x1.cf2379d3d5eb5p-2, -0x1.20ea3e4e3b269p-2}, 
        {0x1.75c91d14e3bcdp+1, 0x1.7d97f62b6ae7dp+1, 0x1.c9613d31b9b67p-4, -0x1.3d9c315431cb3p-2, 0x1.9a4462a6498f2p-2, -0x1.0d48890f0e215p-2}, 
        {0x1.7d97f62b6ae7dp+1, 0x1.8566cf41f212dp+1, 0x1.81beb18116ebdp-4, -0x1.0e9044aa3faaap-2, 0x1.68fcffd6fcfd5p-2, -0x1.e9094a3eec35ep-3}, 
        {0x1.8566cf41f212dp+1, 0x1.8d35a858793dep+1, 0x1.44e0daa0cae64p-4, -0x1.ca814c1b82f5fp-3, 0x1.3c3dd036dce16p-2, -0x1.beb708ad5b9c7p-3}, 
        {0x1.8d35a858793dep+1, 0x1.9504816f0068ep+1, 0x1.1171e29b6b2afp-4, -0x1.82542e44b54a1p-3, 0x1.135df63450045p-2, -0x1.8ad8e04ab9043p-3}, 
        {0x1.9504816f0068ep+1, 0x1.9cd35a858793ep+1, 0x1.cc76d117b5287p-5, -0x1.438c0517b0c74p-3, 0x1.de7a1f85f578dp-3, -0x1.6ceef7da21714p-3}, 
        {0x1.9cd35a858793ep+1, 0x1.a4a2339c0ebeep+1, 0x1.844f1a1986b9cp-5, -0x1.0d3f1affaa275p-3, 0x1.9bb1b84f72efbp-3, -0x1.48ee9e96c9ad2p-3}, 
        {0x1.a4a2339c0ebeep+1, 0x1.ac710cb295e9ep+1, 0x1.48711d798d8a9p-5, -0x1.bd6223e6f9d68p-4, 0x1.5f7fe899be287p-3, -0x1.1e4df3a7db193p-3}, 
        {0x1.ac710cb295e9ep+1, 0x1.b43fe5c91d14ep+1, 0x1.1713ad5bee3d6p-5, -0x1.6e026d6465cf1p-4, 0x1.2b1b1d8c2d5bdp-3, -0x1.02395630f52a2p-3}, 
        {0x1.b43fe5c91d14ep+1, 0x1.bc0ebedfa43fep+1, 0x1.dd4845132f87bp-6, -0x1.2acaf161bae04p-4, 0x1.f7b3ad7819904p-4, -0x1.d16fa5417800cp-4}, 
        {0x1.bc0ebedfa43fep+1, 0x1.c3dd97f62b6aep+1, 0x1.9b738e6d15ad1p-6, -0x1.e512d50432d9dp-5, 0x1.a286ed2de93c7p-4, -0x1.90d3080db4ffp-4}, 
        {0x1.c3dd97f62b6aep+1, 0x1.cbac710cb295fp+1, 0x1.66234a87e38ebp-6, -0x1.87e6da179154ep-5, 0x1.592d1b93d9c71p-4, -0x1.5d5f3b47b41f7p-4}, 
        {0x1.cbac710cb295fp+1, 0x1.d37b4a2339c0fp+1, 0x1.3b256ffc115dfp-6, -0x1.3b7a95feed90ap-5, 0x1.193dba75109f1p-4, -0x1.3904c0f93962ep-4}, 
        {0x1.d37b4a2339c0fp+1, 0x1.db4a2339c0ebfp+1, 0x1.188f42fe82518p-6, -0x1.fbb05e3dd3789p-6, 0x1.bfeade6a0cc07p-5, -0x1.013f2a7a15db2p-4}, 
        {0x1.db4a2339c0ebfp+1, 0x1.e318fc504816fp+1, 0x1.f961804d98394p-7, -0x1.99e2378e0bceep-6, 0x1.61c3e0c9a791ap-5, -0x1.c7eabc67db755p-5}, 
        {0x1.e318fc504816fp+1, 0x1.eae7d566cf41fp+1, 0x1.cc39ffd60e94fp-7, -0x1.4dbe67699fd65p-6, 0x1.0e5514d664875p-5, -0x1.70ac5abd9a202p-5}, 
        {0x1.eae7d566cf41fp+1, 0x1.f2b6ae7d566cfp+1, 0x1.a732df505d0fap-7, -0x1.14037ff8ae299p-6, 0x1.95baf3fbdefbap-6, -0x1.5721891923f0ap-5}, 
        {0x1.f2b6ae7d566cfp+1, 0x1.fa858793dd97fp+1, 0x1.883ba3443d46bp-7, -0x1.d459c3730f409p-7, 0x1.1824f3784d38cp-6, -0x1.e7a12188199f3p-6}, 
        {0x1.fa858793dd97fp+1, 0x1.012a305532618p+2, 0x1.6d86ec17ebaf1p-7, -0x1.9ae1da16156c7p-7, 0x1.7dd0f9e636f46p-7, -0x1.42b1557d8e935p-6}, 
        {0x1.012a305532618p+2, 0x1.028f5c28f5c29p+2, 0x1.55bccaf709b74p-7, -0x1.73814d0100ae4p-7, 0x1.07b5f5beeab47p-7, -0x1.0851540dbe7b5p-4}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.4dbdf8f47304p-7, -0x1.6b05a41b15b09p-7, 0x1.f5add73419bdcp-9, 0x1.28e4a34a95297p-12}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.3f6c2699c7bccp-7, -0x1.60f1a4be5ee7ep-7, 0x1.fa21e9034c9e7p-9, -0x1.56b05dc773f8bp-6}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.31769a91105e2p-7, -0x1.5a1c70095545bp-7, 0x1.624d5b68edc4ep-10, -0x1.53c436deba467p-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.23aafff36ac64p-7, -0x1.5832edd988378p-7, 0x1.c2059ef452ee8p-14, -0x1.01c7347b136d8p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.15df6555c52e7p-7, -0x1.5a6470ef90d35p-7, -0x1.d2cec325fed7p-10, -0x1.3c044a915b4c4p-8}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.07e9d94d0dcfdp-7, -0x1.5fd1a12570accp-7, -0x1.353f7378717dfp-9, -0x1.846901e7252b8p-7}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.f36262cba732ep-8, -0x1.67de41c6731f9p-7, -0x1.efaf4b6c83557p-9, 0x1.5f4c59ca8a18p-8}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.d63886594af4fp-8, -0x1.70f0533f53d4bp-7, -0x1.9b5f87cb43788p-9, -0x1.3a2fb1adeedd4p-7}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.b8561d4306e5dp-8, -0x1.7aaca0bfb8d5bp-7, -0x1.19175f2e1880dp-8, 0x1.c8c4ce93aeaecp-10}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.999999999999ap-8, -0x1.85a4d7d643b1dp-7, -0x1.0b63633906767p-8, 0x1.573529905627cp-9}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.7a02fb5d03105p-8, -0x1.8fed7718c826bp-7, -0x1.ed976f89b0aabp-9, 0x1.bec8f274e0274p-9}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.59a30984e3fffp-8, -0x1.994366cf35b4dp-7, -0x1.b7fa33b91ae34p-9, 0x1.eb69c326ee7c7p-7}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.389b52007dd44p-8, -0x1.9fb43cb7e56e8p-7, -0x1.9832b657136ecp-10, -0x1.d594938bf7675p-11}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.172ef0ae5365p-8, -0x1.a3ed49bf635f1p-7, -0x1.b45f7783505b6p-10, 0x1.44fdb0ddfbb82p-6}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.eafee6fb4c3c2p-9, -0x1.a52bb47526439p-7, 0x1.773833061ba6dp-11, 0x1.f56bc248dfc69p-7}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.a7e308787485ep-9, -0x1.a0e34722b20e5p-7, 0x1.4e7ca773ddd8bp-9, 0x1.a05595208b08ap-7}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.65d3996fa82e8p-9, -0x1.98331cfa55806p-7, 0x1.0b29e82824c58p-8, 0x1.c49ef49a79fe8p-6}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.2599ed7c6fbd2p-9, -0x1.892afee951a17p-7, 0x1.e46bf72a9cc5p-8, 0x1.1d596305d28acp-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.d0c804102ff8fp-10, -0x1.730d3e3633a18p-7, 0x1.36b1d5e89fa28p-7, 0x1.c5fb7f4e3b644p-6}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.5e7c8d195896ap-10, -0x1.55d6824d706d3p-7, 0x1.a3a683d27072fp-7, 0x1.cab89fc13ff4cp-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.ede1198aeb80fp-11, -0x1.2fdcb6f09c796p-7, 0x1.08df2c1f212e1p-6, 0x1.079100d6627b3p-5}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.3a0c6b484d76bp-11, -0x1.006c15dad1137p-7, 0x1.4820b1714d4bbp-6, 0x1.7c5facc5d6051p-5}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.5097c80841edep-12, -0x1.893cb917e93cap-8, 0x1.a36adae8766bap-6, 0x1.bc1304915c3e4p-11}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.ffb480a5accd5p-14, -0x1.02c1d6ee689c7p-8, 0x1.a5152a9aed7c9p-6, 0x1.19f7c8bc450cep-3}, 
        {0x1.4p+2, 0x1.4147ae147ae14p+2, 0x1.d5c31593e5fb7p-17, -0x1.42cd44affcab3p-10, 0x1.59e2ccb212c48p-5, -0x1.90b676492af89p-1}, 
        {0x1.4147ae147ae14p+2, 0x1.4cccccccccccdp+2, 0x0p+0, -0x1.f9101e3a0bbccp-12, -0x1.3662e96e243c6p-8, 0x1.5855f05ce0e38p-3}, 
      }}, 
      -0x1.19687cc910b25p+0, 0x1.1823d8879e6ccp+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.541a531276a52p-2, -0x1.c1f65404b9f91p-1, -0x1.bb83cf2cf95d5p-5, 0x1.deb702602c908p-2, 0x1.0beea209aaa3bp-1, 0x1.fb4a2339c0ebfp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5e0260bf5504bp+0, -0x1.42f9888293135p+0, -0x1.288476898a64dp+0, -0x1.0eb5d3fa0af8dp+0, -0x1.eb3a896396a41p-1, -0x1.ba8ef6e40d1c3p-1, -0x1.8b7d27177aa2cp-1, -0x1.5e14faee0c624p-1, -0x1.32627c92f81a8p-1, -0x1.086df6d512bdfp-1, -0x1.c0780d5ce068bp-2, -0x1.739c05146a01fp-2, -0x1.2a4557508f175p-2, -0x1.c8db617e67e9bp-3, -0x1.44175860d2186p-3, -0x1.8c4bdc41d6ca3p-4, -0x1.3ba14c9f8bb4dp-5, 0x1.0e33cab3c6445p-6, 0x1.1821be0cc341p-4, 0x1.e04a54905a294p-4, 0x1.4e33e061e131p-3, 0x1.a675a380dc321p-3, 0x1.f9087b78e543ep-3, 0x1.2314af2140532p-2, 0x1.470632a7cb0bap-2, 0x1.6872f98ac0bdcp-2, 0x1.87753561efd98p-2, 0x1.a426ffd61e2e6p-2, 0x1.bea248b0807c9p-2, 0x1.d700c3da3c3d9p-2, 0x1.ed5bd2c983aabp-2, 0x1.00e63470b65ecp-1, 0x1.0a35773525179p-1, 0x1.12a793d8957dcp-1, 0x1.1a48124a3a85ep-1, 0x1.21221ca7a3f1p-1, 0x1.27407ef12bf37p-1, 0x1.2cada7ebf354ep-1, 0x1.3173a964496d3p-1, 0x1.359c371107547p-1, 0x1.3930a46ffa879p-1, 0x1.3c39e28fac1dp-1, 0x1.3ec07eba04766p-1, 0x1.40cca287dbf7cp-1, 0x1.4266155fd7416p-1, 0x1.43943f000d561p-1, 0x1.445e2a8a56705p-1, 0x1.44ca899951177p-1, 0x1.44dfb713dd18dp-1, 0x1.44a3b9ae7d8fap-1, 0x1.441c4639e9b8ep-1, 0x1.434ec1f763bddp-1, 0x1.4240452aea711p-1, 0x1.40f59e0e6bf45p-1, 0x1.3f73542a8f8e9p-1, 0x1.3dbdabfd09df2p-1, 0x1.3bd8aac19316p-1, 0x1.39c81a2c705b4p-1, 0x1.378f8bea5ff3dp-1, 0x1.35325cc60f453p-1, 0x1.32b3b762fe011p-1, 0x1.3016968dead7bp-1, 0x1.2d5dc7310bd91p-1, 0x1.2a8c5d128caa5p-1, 0x1.27a420f9eabb4p-1, 0x1.24a79217553c1p-1, 0x1.2198cf0f58266p-1, 0x1.1e79d21f79eb4p-1, 0x1.1b4c73c69d0cp-1, 0x1.18126d4bf70e6p-1, 0x1.14cd5b12cb5ep-1, 0x1.117ebeb005be9p-1, 0x1.0e2800bdc759cp-1, 0x1.0aca726f180bap-1, 0x1.07674eea92907p-1, 0x1.03ffbc75e2909p-1, 0x1.0094cd7d51bdp-1, 0x1.fa4f03054dd16p-2, 0x1.f3718bfb236dcp-2, 0x1.ec92ee6c26d29p-2, 0x1.e5b4c23e235d4p-2, 0x1.ded88069b363p-2, 0x1.d7ff84c1f340fp-2, 0x1.d12b0fc597f5p-2, 0x1.ca5c4874f463ep-2, 0x1.c3943e26691fbp-2, 0x1.bcd3ea51cc20ap-2, 0x1.b61c324b80fcbp-2, 0x1.af6de8e8cb825p-2, 0x1.a8c9d008587cep-2, 0x1.a23099fb7a1cp-2, 0x1.9ba2eace35f83p-2, 0x1.9521596d94729p-2, 0x1.8eac70acdc155p-2, 0x1.8844b02b4a0dep-2, 0x1.81ea8d1c9bb1ep-2, 0x1.7b9e72f748679p-2, 0x1.7560c40bc601fp-2, 0x1.6f31da085e7b8p-2, 0x1.6912066d51e06p-2, 0x1.630192f4dab7fp-2, 0x1.5d00c1f276064p-2, 0x1.570fceac5ef67p-2, 0x1.512eedb1a81a8p-2, 0x1.4b5e4d2ebf2b6p-2, 0x1.459e154189defp-2, 0x1.3fee684db31ecp-2, 0x1.3a4f6351405fbp-2, 0x1.34c11e393a539p-2, 0x1.2f43ac35d7615p-2, 0x1.29d71c0d9964bp-2, 0x1.247b786ea4ac2p-2, 0x1.1f30c83dc1447p-2, 0x1.19f70ee26d85cp-2, 0x1.14ce4c8f91babp-2, 0x1.0fb67e8876c3cp-2, 0x1.0aaf9f61b481fp-2, 0x1.05b9a73ddae71p-2, 0x1.00d48c05afd7dp-2, 0x1.f8008337c62f9p-3, 0x1.ee7974184b8bap-3, 0x1.e513cb6b57214p-3, 0x1.dbcf66e23dc27p-3, 0x1.d2ac216460e03p-3, 0x1.c9a9d349e7f1fp-3, 0x1.c0c8528e9b8e4p-3, 0x1.b80772fda1159p-3, 0x1.af670656c518cp-3, 0x1.a6e6dc6e3cb27p-3, 0x1.9e86c347aac63p-3, 0x1.9646872d5bebbp-3, 0x1.8e25f2c468f19p-3, 0x1.8624cf1e9da0ep-3, 0x1.7e42e3caba2bap-3, 0x1.767ff6e3a3ed9p-3, 0x1.6edbcd1eefedep-3, 0x1.675629db32719p-3, 0x1.5feecf2e3cf6fp-3, 0x1.58a57df3882b1p-3, 0x1.5179f5dadd353p-3, 0x1.4a6bf577455ffp-3, 0x1.437b3a4e4e34p-3, 0x1.3ca780e7906c7p-3, 0x1.35f084dc6e557p-3, 0x1.2f5600e809954p-3, 0x1.28d7aef749ab9p-3, 0x1.22754838ec1e1p-3, 0x1.1c2fdbb35e4e8p-3, 0x1.160473ebf1033p-3, 0x1.0ff418e16ecf3p-3, 0x1.09fe81fc16051p-3, 0x1.0423664330267p-3, 0x1.fcc4f8cd402bfp-4, 0x1.f176f590a13c2p-4, 0x1.e65c2f0b04d8ep-4, 0x1.db7410fff6883p-4, 0x1.d0be06ce2947ap-4, 0x1.c6397b8143ecbp-4, 0x1.bbe5d9e36ff27p-4, 0x1.b1c28c8e742b4p-4, 0x1.a7cefdfc7b01fp-4, 0x1.9e0a989869e54p-4, 0x1.9474c6cdb279cp-4, 0x1.8b0cf317b144cp-4, 0x1.81d28810826b4p-4, 0x1.78c4f07f465c3p-4, 0x1.6fe39765d693ap-4, 0x1.672de80ded19ap-4, 0x1.5ea34e15b4022p-4, 0x1.5643357bc6c7fp-4, 0x1.4e0d0aaaa5287p-4, 0x1.46003a8399c99p-4, 0x1.3e1c32691e56fp-4, 0x1.36606048bf332p-4, 0x1.2ecc32a488f08p-4, 0x1.275f189c04d8ap-4, 0x1.201881f4cdd61p-4, 0x1.18f7df22c5505p-4, 0x1.11fca14ff06b7p-4, 0x1.0b263a6403d49p-4, 0x1.04741d0ba95cdp-4, 0x1.fbcb797eff79bp-5, 0x1.eef51b95c365bp-5, 0x1.e2640aa4eab86p-5, 0x1.d61732b5138bep-5, 0x1.ca0d819a91b89p-5, 0x1.be45e7017a641p-5, 0x1.b2bf547962284p-5, 0x1.a778bd80d5905p-5, 0x1.9c71179080a8dp-5, 0x1.91a75a261686fp-5, 0x1.871a7ecef1bd5p-5, 0x1.7cc981326d63cp-5, 0x1.72b35f1bf6b2fp-5, 0x1.68d71884d5cadp-5, 0x1.5f33af9daa798p-5, 0x1.55c828d79a8c5p-5, 0x1.4c938aed2fe82p-5, 0x1.4394deeae06e7p-5, 0x1.3acb30373ea03p-5, 0x1.32358c9ad3591p-5, 0x1.29d3044795baap-5, 0x1.21a2a9e004724p-5, 0x1.19a3927ddfff7p-5, 0x1.11d4d5b87f4bap-5, 0x1.0a358daab9a59p-5, 0x1.02c4d6f87434ap-5, 0x1.f703a1a78295bp-6, 0x1.e8d73a032a36dp-6, 0x1.db02bfbc36e3cp-6, 0x1.cd8480c14215fp-6, 0x1.c05ad03e23ef2p-6, 0x1.b38406a23bdabp-6, 0x1.a6fe81a5d3c7bp-6, 0x1.9ac8a44ed9cc7p-6, 0x1.8ee0d6f4c6aedp-6, 0x1.83458743c2e9p-6, 0x1.77f5283f27b89p-6, 0x1.6cee324330974p-6, 0x1.622f23060c42ep-6, 0x1.57b67d983dd91p-6, 0x1.4d82ca6453a85p-6, 0x1.4392972dfef8ap-6, 0x1.39e477108aaedp-6, 0x1.3077027cbaa54p-6, 0x1.2748d736173dfp-6, 0x1.1e58984fa52efp-6, 0x1.15a4ee281bd38p-6, 0x1.0d2c86658703cp-6, 0x1.04ee13f072b37p-6, 0x1.f9d09ddd28c49p-7, 0x1.ea33e979f436fp-7, 0x1.db038fd3894a1p-7, 0x1.cc3d205adb26bp-7, 0x1.bdde34c754498p-7, 0x1.afe47107aa27fp-7, 0x1.a24d83320251dp-7, 0x1.951723733664fp-7, 0x1.883f13fd7a5fep-7, 0x1.7bc320f634131p-7, 0x1.6fa12063240ddp-7, 0x1.63d6f216fd961p-7, 0x1.58627f9d46419p-7, 0x1.4d41bc25a061ap-7, 0x1.4272a46e76d1ap-7, 0x1.37f33eaf3ab74p-7, 0x1.2dc19a81fbc11p-7, 0x1.23dbd0cc79d91p-7, 0x1.1a4003a8e31a8p-7, 0x1.10ec5e4df8ccap-7, 0x1.07df14f6c6dep-7, 0x1.fe2cc9942c462p-8, 0x1.ed212782b3b8bp-8, 0x1.dc97e11e8d171p-8, 0x1.cc8da50c60b2p-8, 0x1.bcff32fbe1709p-8, 0x1.ade95b735a2d2p-8, 0x1.9f48ff9a74116p-8, 0x1.911b11049bd64p-8, 0x1.835c917b20a5bp-8, 0x1.760a92c6ad32ap-8, 0x1.69223678a3d2ap-8, 0x1.5ca0adb41934p-8, 0x1.508338f689454p-8, 0x1.44c727e07ee24p-8, 0x1.3969d8fde6c7bp-8, 0x1.2e68b98e67dfdp-8, 0x1.23c1454d9818p-8, 0x1.1971063b33be7p-8, 0x1.0f7594633bd35p-8, 0x1.05cc95a657e74p-8, 0x1.f8e77b0420039p-9, 0x1.e6d199b2930b7p-9, 0x1.d5532379c6a71p-9, 0x1.c467ce68c11e3p-9, 0x1.b40b6a0e214dbp-9, 0x1.a439df0a5c21fp-9, 0x1.94ef2ea2cb7ccp-9, 0x1.8627725556c9cp-9, 0x1.77dedb6c6d349p-9, 0x1.6a11b29457443p-9, 0x1.5cbc57709ddb8p-9, 0x1.4fdb40328a23p-9, 0x1.436af9307ace4p-9, 0x1.3768247dbdacp-9, 0x1.2bcf7983efe72p-9, 0x1.209dc49ca805ap-9, 0x1.15cfe6ac639abp-9, 0x1.0b62d4be6d3afp-9, 0x1.015397a17966bp-9, 0x1.ef3e970bb84ecp-10, 0x1.dc863f386669cp-10, 0x1.ca78ab6ad924dp-10, 0x1.b91083c77e79ap-10, 0x1.a848943a0641p-10, 0x1.981bcbbb75e87p-10, 0x1.88853b9ae6728p-10, 0x1.798016c8d3fe2p-10, 0x1.6b07b12402a0cp-10, 0x1.5d177ec9156ddp-10, 0x1.4fab1364a8618p-10, 0x1.42be2186fb1ddp-10, 0x1.364c79fae5d3fp-10, 0x1.2a520b1e55fd6p-10, 0x1.1ecae03d4f195p-10, 0x1.13b320efb9bcfp-10, 0x1.09071078df9b4p-10, 0x1.fd861a532d998p-11, 0x1.e9c71f896b516p-11, 0x1.d6ca55cb86f3p-11, 0x1.c48914d442c5ap-11, 0x1.b2fce5b8f249bp-11, 0x1.a21f81c42ad5p-11, 0x1.91ead156e6f9dp-11, 0x1.8258eacc6590ap-11, 0x1.73a7b40663eb5p-11, 0x1.6548c599bbf6dp-11, 0x1.577bd3f03892bp-11, 0x1.4a3ba55d32ca3p-11, 0x1.3d8328df005acp-11, 0x1.314d751b6d062p-11, 0x1.2595c760e694cp-11, 0x1.1a5782adabb91p-11, 0x1.0f8e2eb9ebf38p-11, 0x1.05357707a2f58p-11, 0x1.f69253ed2e15bp-12, 0x1.e38a6fb9d4701p-12, 0x1.d14b644909151p-12, 0x1.bfcd94d8a7091p-12, 0x1.af09a35db6d88p-12, 0x1.9ef86ed9023cfp-12, 0x1.8f9311b5082c2p-12, 0x1.80d2e02cc5439p-12, 0x1.72b166b9ec526p-12, 0x1.6528688de1bd9p-12, 0x1.5831de10dce6cp-12, 0x1.4bc7f36a7c745p-12, 0x1.3fe5071295d61p-12, 0x1.3483a868def09p-12, 0x1.299e965705112p-12, 0x1.1f30bdf7dded1p-12, 0x1.15353948cef7cp-12, 0x1.0ba74de11813ep-12, 0x1.02826bb1c0a1cp-12, 0x1.f3845796beb65p-13, 0x1.e2c49e5c29d4cp-13, 0x1.d2bd7b3c0df6p-13, 0x1.c36708fe70fe3p-13, 0x1.b4b9ab74bbe2ap-13, 0x1.a6ae0d4ceed62p-13, 0x1.993d1df1d2031p-13, 0x1.8c600f7d92716p-13, 0x1.801054b2c1bb1p-13, 0x1.74479f06d16dap-13, 0x1.68ffdcb67171dp-13, 0x1.5e3336e7953e8p-13, 0x1.53dc0fd4fc974p-13, 0x1.49f5010a0c07ap-13, 0x1.4078d9a5c8eeap-13, 0x1.37629caa4cc98p-13, 0x1.2ead7f5961306p-13, 0x1.2654e79876543p-13, 0x1.1e546a61b92b6p-13, 0x1.16a7ca3fb260cp-13, 0x1.0f4af5d11c703p-13, 0x1.083a06582cb5p-13, 0x1.01713e5373d4bp-13, 0x1.f5da103e3f5bdp-14, 0x1.e953e94487e08p-14, 0x1.dd497402eafcdp-14, 0x1.d1b464bd002ffp-14, 0x1.c68eb53a2eddap-14, 0x1.bbd2a2664938dp-14, 0x1.b17aa9fdeecb3p-14, 0x1.a781884ff77d1p-14, 0x1.9de23609f46cdp-14, 0x1.9497e6199fb1cp-14, 0x1.8b9e039a0271p-14, 0x1.82f02fcf36bbbp-14, 0x1.7a8a4034aaacbp-14, 0x1.72683c93d769ap-14, 0x1.6a865d3130301p-14, 0x1.62e108fe57becp-14, 0x1.5b74d3de54bf2p-14, 0x1.543e7cf692a45p-14, 0x1.4d3aed0904cf6p-14, 0x1.466734e210a5ap-14, 0x1.3fc08bcb55b5p-14, 0x1.39444e0efeb0dp-14, 0x1.32effb80ce9a7p-14, 0x1.2cc1361d0f224p-14, 0x1.26b5c0a8b3416p-14, 0x1.20cb7d5d95bf8p-14, 0x1.1b006ca85fb62p-14, 0x1.1552abe87e8a6p-14, 0x1.0fc0743e437a5p-14, 0x1.0a481961f7dc1p-14, 0x1.04e808847d8ep-14, 0x1.ff3d8e7279d02p-15, 0x1.f4d5e4d3c9884p-15, 0x1.ea967a9e81eep-15, 0x1.e07ce0f51da48p-15, 0x1.d686d1bbdd562p-15, 0x1.ccb22dc953cbap-15, 0x1.c2fcfb1a1f2ebp-15, 0x1.b96563206a063p-15, 0x1.afe9b118e1083p-15, 0x1.a6885073fe5d5p-15, 0x1.9d3fcb470d6d8p-15, 0x1.940ec8d67ca8p-15, 0x1.8af40c223acap-15, 0x1.81ee72850205cp-15, 0x1.78fcf25f43dbbp-15, 0x1.701e99ce81378p-15, 0x1.67528d71c632cp-15, 0x1.5e9807353c9c9p-15, 0x1.55ee5530770fp-15, 0x1.4d54d88bd0fb8p-15, 0x1.44cb046f2c137p-15, 0x1.3c505cfe9e573p-15, 0x1.33e4765aa19f4p-15, 0x1.2b86f3b5aac49p-15, 0x1.2337866b486a5p-15, 0x1.1af5ed179d4bap-15, 0x1.12c1f2d1c2c19p-15, 0x1.0a9b6e5270c5bp-15, 0x1.02824136ad164p-15, 0x1.f4ecae8044f3fp-16, 0x1.e4ef4b43623aep-16, 0x1.d50c54a5148ddp-16, 0x1.c543d6d4208d8p-16, 0x1.b595ecfdf5fb8p-16, 0x1.a602c0276fa31p-16, 0x1.968a860570aabp-16, 0x1.872d7ff2911fep-16, 0x1.77ebf9d196bdcp-16, 0x1.68c64932507cfp-16, 0x1.59bccc4bb4305p-16, 0x1.4acfe919f4601p-16, 0x1.3c000c8cc9c71p-16, 0x1.2d4da9b4fa41cp-16, 0x1.1eb938fd37a95p-16, 0x1.1043377649821p-16, 0x1.01ec261e977b1p-16, 0x1.e769127dd00cbp-17, 0x1.cb39cf95dd345p-17, 0x1.af4b9590431adp-17, 0x1.939f79875c54cp-17, 0x1.78369290a8835p-17, 0x1.5d11f8c8e0a8ep-17, 0x1.4232c45820cc8p-17, 0x1.279a0c9ecac31p-17, 0x1.0d48e75a8839ap-17, 0x1.e680cfbb39a08p-18, 0x1.b3033cc27d344p-18, 0x1.801b2ea603ca3p-18, 0x1.4dcab550e14dep-18, 0x1.1c13d6b971f43p-18, 0x1.d5f11b64f19a1p-19, 0x1.74f591c5de29ep-19, 0x1.1538d3d35cc69p-19, 0x1.6d7d11d4714ecp-20, 0x1.6628ec37b39ecp-21, -0x1.30556e9f47f14p-26, -0x1.73fb778ade2dfp-21, -0x1.6c9a68f65332p-20, -0x1.0e48a77db5f2ep-19, -0x1.64ee538fd55d1p-19, -0x1.ba3b791e592acp-19, -0x1.0716bedfa5669p-18, -0x1.3060f65654c5fp-18, -0x1.58fb3ba909423p-18, -0x1.80e47ae1c8cep-18, -0x1.a81bb38f5eafep-18, -0x1.ce9ff8f177828p-18, -0x1.f47071f80b532p-18, -0x1.0cc62cc808165p-17, -0x1.1ef97f3a2c624p-17, -0x1.30d1e1a619bd9p-17, -0x1.424f0f4fedfb4p-17, -0x1.5370cd657d0c8p-17, -0x1.6436eaea9229ap-17, -0x1.74a140d19f20cp-17, -0x1.84afb1b168f34p-17, -0x1.946229d8084cbp-17, -0x1.a3b89f2aca4c8p-17, -0x1.b2b3110d4319fp-17, -0x1.c1518847fe795p-17, -0x1.cf9416e053bc5p-17, -0x1.dd7ad80debc67p-17, -0x1.eb05f00369162p-17, -0x1.f8358bd5f1f68p-17, -0x1.0284f0aaddbb8p-16, -0x1.08c19773a4fc6p-16, -0x1.0ed0ddada5712p-16, -0x1.14b2eae28c63ap-16, -0x1.1a67eaa793012p-16, -0x1.1ff00c8b6a17ep-16, -0x1.254b83f710983p-16, -0x1.2a7a881e63f11p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2e28190e682e3p+1, -0x1.27c27e1d8f891p+1, -0x1.21563fb8edad4p+1, -0x1.1ae7aa418d3dfp+1, -0x1.147aaa53a6ed7p+1, -0x1.0e12d408e9bp+1, -0x1.07b3653b8916fp+1, -0x1.015f4b3c501dep+1, -0x1.f6324ea1b30dep+0, -0x1.e9c6a2e1f118ep+0, -0x1.dd7fbb046d09p+0, -0x1.d161439885918p+0, -0x1.c56e782df6b36p+0, -0x1.b9aa2aa64e837p+0, -0x1.ae16c94171495p+0, -0x1.a2b66518825dbp+0, -0x1.978ab9fea3f23p+0, -0x1.8c9536d21f439p+0, -0x1.81d7047e51b7ep+0, -0x1.77510b9e37a39p+0, -0x1.6d03fa4d50fd3p+0, -0x1.62f051485b391p+0, -0x1.591658ae93b8fp+0, -0x1.4f762a50432c2p+0, -0x1.460fb9d4629b7p+0, -0x1.3ce2d6caa73d3p+0, -0x1.33ef30d9b65e7p+0, -0x1.2b345b1d9351fp+0, -0x1.22b1cece640e9p+0, -0x1.1a66edbeb335ep+0, -0x1.1253051fee6abp+0, -0x1.0a7550828df89p+0, -0x1.02ccfcae9b4ap+0, -0x1.f6b253ebc6f7p-1, -0x1.e831dbd400b2dp-1, -0x1.da16a9587f803p-1, -0x1.cc5ec4561d978p-1, -0x1.bf08270f141d5p-1, -0x1.b210c152a28edp-1, -0x1.a5767bb583784p-1, -0x1.99373a7512733p-1, -0x1.8d50dfc09d5ffp-1, -0x1.81c14d619c0a3p-1, -0x1.768665ef66e42p-1, -0x1.6b9e0dd06c60bp-1, -0x1.61062c40606b9p-1, -0x1.56bcac74c9344p-1, -0x1.4cbf7ed86aa79p-1, -0x1.430c9a3fb7dd6p-1, -0x1.39a1fcf35ec95p-1, -0x1.307dad78b723ap-1, -0x1.279dbb1349435p-1, -0x1.1f003e0da75fbp-1, -0x1.16a357e321d27p-1, -0x1.0e853364bdedep-1, -0x1.06a404eba3225p-1, -0x1.fdfc153dbc47ep-2, -0x1.ef23198ce7c7cp-2, -0x1.e0b9bc3c88519p-2, -0x1.d2bcb8328bf1ep-2, -0x1.c528de11722c1p-2, -0x1.b7fb1441f7a34p-2, -0x1.ab3056b94a32p-2, -0x1.9ec5c98d4dcf2p-2, -0x1.92b877aa301ep-2, -0x1.87059e737fa42p-2, -0x1.7baa894d55a1ap-2, -0x1.70a4975552019p-2, -0x1.65f13b1965848p-2, -0x1.5b8dfa3f793c5p-2, -0x1.51786d1fd39f6p-2, -0x1.47ae3e55fbba1p-2, -0x1.3e2d2a4cb2f9fp-2, -0x1.34f2fec943e3p-2, -0x1.2bfd9a7939d12p-2, -0x1.234aec8409a29p-2, -0x1.1ad8f420bdc4fp-2, -0x1.12a5c02eac45dp-2, -0x1.0aaf6ecfbd1cp-2, -0x1.02f42d02da397p-2, -0x1.f6e46c7b11179p-3, -0x1.e84fa8089f88ap-3, -0x1.da26bb045dd22p-3, -0x1.cc666e3fb59bp-3, -0x1.bf0ba4377ec19p-3, -0x1.b213584786afbp-3, -0x1.a57a9de35ec41p-3, -0x1.993e9fd58faecp-3, -0x1.8d5c9f85b4d2p-3, -0x1.81d1f4456fd17p-3, -0x1.769c0aa38ef1dp-3, -0x1.6bb863c4940fcp-3, -0x1.612494bf960dp-3, -0x1.56de45fe9fed2p-3, -0x1.4ce332a1e4be1p-3, -0x1.433127e55c1c4p-3, -0x1.39c60488cc986p-3, -0x1.309fb83a8192dp-3, -0x1.27bc43051fc5cp-3, -0x1.1f19b4c13895cp-3, -0x1.16b62c8b36174p-3, -0x1.0e8fd83e2d667p-3, -0x1.06a4f3f3f9d5ap-3, -0x1.fde79315b7c4ep-4, -0x1.eef560611d7c3p-4, -0x1.e07017e57089cp-4, -0x1.d2549aa88ae02p-4, -0x1.c49fe1cea8873p-4, -0x1.b74efdd645c08p-4, -0x1.aa5f15db085e6p-4, -0x1.9dcd66ded6a4ep-4, -0x1.9197431851ebep-4, -0x1.85ba11462e9b6p-4, -0x1.7a334c06f781ap-4, -0x1.6f008135208bap-4, -0x1.641f51474ea8bp-4, -0x1.598d6eb4eb8b6p-4, -0x1.4f489d5f2abf8p-4, -0x1.454eb1feaa7c7p-4, -0x1.3b9d9195d9028p-4, -0x1.323330e83bb8p-4, -0x1.290d93f6b7573p-4, -0x1.202acd80cb9f6p-4, -0x1.1788fe8ac6106p-4, -0x1.0f2655e8ba991p-4, -0x1.07010fce34db7p-4, -0x1.fe2eeac49d469p-5, -0x1.eecfb8b01e1dcp-5, -0x1.dfe14d15797b2p-5, -0x1.d160833beb423p-5, -0x1.c34a4d4283005p-5, -0x1.b59bb36de116ep-5, -0x1.a851d37c0ec9ep-5, -0x1.9b69dffe1d747p-5, -0x1.8ee11fb7321e2p-5, -0x1.82b4ed00bc583p-5, -0x1.76e2b5338afcap-5, -0x1.6b67f815abcddp-5, -0x1.6042474cca516p-5, -0x1.556f45d50c7f3p-5, -0x1.4aeca77c349d5p-5, -0x1.40b83060ffd82p-5, -0x1.36cfb476bf7ap-5, -0x1.2d31170cea9d2p-5, -0x1.23da4a5aca1dcp-5, -0x1.1ac94f0f002d3p-5, -0x1.11fc33e2e6f15p-5, -0x1.09711dfa1b3e7p-5, -0x1.012623c6c229dp-5, -0x1.f2330b98ca4a6p-6, -0x1.e2930dff77e8ap-6, -0x1.d368ecf35b444p-6, -0x1.c4b15e3db9cb7p-6, -0x1.b6692e9418fbdp-6, -0x1.a88d40f282f56p-6, -0x1.9b1a8dfb19df2p-6, -0x1.8e0e235ac2869p-6, -0x1.81652332b7c8p-6, -0x1.751cc386caf09p-6, -0x1.69324db04250ep-6, -0x1.5da31dd504623p-6, -0x1.526ca263070a3p-6, -0x1.478c5b8faf414p-6, -0x1.3cffdadb39084p-6, -0x1.32c4c297bd6b8p-6, -0x1.28d8c573f36d3p-6, -0x1.1f39a609581a5p-6, -0x1.15e5366dc36a6p-6, -0x1.0cd957c834708p-6, -0x1.0413f9e8ca4dcp-6, -0x1.f72635c77b237p-7, -0x1.e6a98d5ea5fc8p-7, -0x1.d6ae2d893dbd6p-7, -0x1.c73063861e319p-7, -0x1.b82c962d30272p-7, -0x1.a99f4540ef931p-7, -0x1.9b8508c4f53d1p-7, -0x1.8dda905948d4fp-7, -0x1.809ca29a52a2ep-7, -0x1.73c81c856a013p-7, -0x1.6759f0e1c5833p-7, -0x1.5b4f27ad67756p-7, -0x1.4fa4dd8e828f4p-7, -0x1.445843485e4cep-7, -0x1.39669d347b76cp-7, -0x1.2ecd42bf1b771p-7, -0x1.24899de7716bp-7, -0x1.1a992ac3615a3p-7, -0x1.10f977066d74ap-7, -0x1.07a8218c05d62p-7, -0x1.fd45b3c9cac2ap-8, -0x1.ebcebfcf00f71p-8, -0x1.dae70686da116p-8, -0x1.ca8a462f2fc36p-8, -0x1.bab45b16a1472p-8, -0x1.ab613ed3f6926p-8, -0x1.9c8d0782c46dap-8, -0x1.8e33e7052855bp-8, -0x1.80522a4a68ed6p-8, -0x1.72e4389a6af4ap-8, -0x1.65e692e5cfb35p-8, -0x1.5955d31a53032p-8, -0x1.4d2eab7c3b82cp-8, -0x1.416de6031fa77p-8, -0x1.361063bbc299fp-8, -0x1.2b131c2d23e23p-8, -0x1.20731cc22fcdfp-8, -0x1.162d8836cd27ap-8, -0x1.0c3f9608ad01dp-8, -0x1.02a691ec03ffap-8, -0x1.f2bfb686d7759p-9, -0x1.e0d1c936dca2bp-9, -0x1.cf7e66524e6ap-9, -0x1.bec0bc98fe6e9p-9, -0x1.ae941e2a4edb5p-9, -0x1.9ef3ff95f16e8p-9, -0x1.8fdbf6f245fbep-9, -0x1.8147baf8abb62p-9, -0x1.733322278242ap-9, -0x1.659a21e9b5ff4p-9, -0x1.5878cdc3a5608p-9, -0x1.4bcb568550349p-9, -0x1.3f8e0981ae744p-9, -0x1.33bd4fcafb67ep-9, -0x1.2855ad73e8bccp-9, -0x1.1d53c0d59854dp-9, -0x1.12b441da28761p-9, -0x1.0874014bf5d08p-9, -0x1.fd1fd05150154p-10, -0x1.ea09edf3d8cf5p-10, -0x1.d7a08a61014d7p-10, -0x1.c5de010a57318p-10, -0x1.b4bcd8b90ff41p-10, -0x1.a437c25dca83dp-10, -0x1.944997e934565p-10, -0x1.84ed5b2aa1d0ap-10, -0x1.761e34b6c879cp-10, -0x1.67d772d4ea9ecp-10, -0x1.5a148873e9145p-10, -0x1.4cd10c2517e6dp-10, -0x1.4008b71e55e5ap-10, -0x1.33b76442328cbp-10, -0x1.27d90f2e56155p-10, -0x1.1c69d350a548p-10, -0x1.1165eb01d4eabp-10, -0x1.06c9aea5b95bcp-10, -0x1.f92327a3ca1bp-11, -0x1.e57458f2dbc64p-11, -0x1.d2804c3c5d191p-11, -0x1.c040920f0582fp-11, -0x1.aeaeeefc3d89cp-11, -0x1.9dc55a19e380bp-11, -0x1.8d7dfb8e19198p-11, -0x1.7dd32b24b8c31p-11, -0x1.6ebf6eee4605p-11, -0x1.603d79e7ef033p-11, -0x1.52482aacc2101p-11, -0x1.44da8a2fffe2dp-11, -0x1.37efca7e1ef89p-11, -0x1.2b83458a6308fp-11, -0x1.1f907bfed810ep-11, -0x1.1413141a3f982p-11, -0x1.0906d8913b874p-11, -0x1.fccf6ef37f87dp-12, -0x1.e86382795c2f1p-12, -0x1.d4c24f1c2a947p-12, -0x1.c1e478df491d4p-12, -0x1.afc2e26cd319dp-12, -0x1.9e56ab321ae2bp-12, -0x1.8d992d89e639dp-12, -0x1.7d83fcf1561a7p-12, -0x1.6e10e4498c7dfp-12, -0x1.5f39e4292e932p-12, -0x1.50f93134e02f5p-12, -0x1.4349328710fb3p-12, -0x1.362480208777p-12, -0x1.2985e165258b8p-12, -0x1.1d684ba4b4373p-12, -0x1.11c6e0abd2263p-12, -0x1.069ced614ebbp-12, -0x1.f7cbd0d6fb57dp-13, -0x1.e33ae1c1abe06p-13, -0x1.cf7e9a038c9f9p-13, -0x1.bc8ed1f660bc5p-13, -0x1.aa63ab65e7096p-13, -0x1.98f58f37c83c3p-13, -0x1.883d2b270a56cp-13, -0x1.78336f8fa242dp-13, -0x1.68d18d493b3e5p-13, -0x1.5a10f393bc9b4p-13, -0x1.4beb4e11babffp-13, -0x1.3e5a82d1a9c55p-13, -0x1.3158b06622c4cp-13, -0x1.24e02c103c25p-13, -0x1.18eb7ff24c6d3p-13, -0x1.0d75694d5ac6dp-13, -0x1.0278d6d9fc9cep-13, -0x1.efe1ce3b626b7p-14, -0x1.dbb1cdaf37c51p-14, -0x1.c8589ee4bedc9p-14, -0x1.b5cd8b1091cb1p-14, -0x1.a4082ed3cc20ap-14, -0x1.9300777b4a2afp-14, -0x1.82aea0389e78p-14, -0x1.730b2f83e6d48p-14, -0x1.640ef483460b5p-14, -0x1.55b30492bfdf1p-14, -0x1.47f0b8d97b7edp-14, -0x1.3ac1abf4c7da3p-14, -0x1.2e1fb7ade50fdp-14, -0x1.2204f2d157297p-14, -0x1.166baf06d0b44p-14, -0x1.0b4e76c7e9878p-14, -0x1.00a80b59fc977p-14, -0x1.ece6c5c7abf0cp-15, -0x1.d96e415cdae9ep-15, -0x1.c6ae7cae9a531p-15, -0x1.b4b654fa89011p-15, -0x1.a37d3a4652a53p-15, -0x1.92faf4c6142c6p-15, -0x1.8327a1984d98ap-15, -0x1.73fbafbad60a4p-15, -0x1.656fdd05e158ap-15, -0x1.577d334e33b98p-15, -0x1.4a1d059ae792ap-15, -0x1.3d48ed6dc99dbp-15, -0x1.30fac82ad6429p-15, -0x1.252cb48cf9931p-15, -0x1.19d9103bbd4bcp-15, -0x1.0efa7564010d2p-15, -0x1.048bb87a77357p-15, -0x1.f50fcc029979bp-16, -0x1.e1d480cd06142p-16, -0x1.cf5c7bf33eb52p-16, -0x1.bd9f0dce12bd6p-16, -0x1.ac93e6a1f9d9fp-16, -0x1.9c3312e6697cep-16, -0x1.8c74f7ade4785p-16, -0x1.7d524f3e71a01p-16, -0x1.6ec425a29e54ep-16, -0x1.60c3d569a2634p-16, -0x1.534b04c20ea5dp-16, -0x1.4653a23e58976p-16, -0x1.39d7e205ac49ep-16, -0x1.2dd23b0c6b604p-16, -0x1.223d6456a7319p-16, -0x1.1714527200943p-16, -0x1.0c5234c1b4ae8p-16, -0x1.01f2735c64293p-16, -0x1.efe1590b4a4e8p-17, -0x1.dc91650114a7fp-17, -0x1.c9ed12b06a857p-17, -0x1.b7ecc9ca3af12p-17, -0x1.a6894d51f5315p-17, -0x1.95bbb7ea157afp-17, -0x1.857d780dcbb1bp-17, -0x1.75c84c80fdeb5p-17, -0x1.669640d22c0c5p-17, -0x1.57e1aa1c456f8p-17, -0x1.49a52397ed73p-17, -0x1.3bdb8bd5f9c4p-17, -0x1.2e8001b26cd9ap-17, -0x1.218de15622b4bp-17, -0x1.1500c19940934p-17, -0x1.08d4715b6e898p-17, -0x1.fa09e9f5cbb6bp-18, -0x1.e31d07ca6ec6p-18, -0x1.ccdb0c8541c5bp-18, -0x1.b73d255d53c08p-18, -0x1.a23cd8529ce5ap-18, -0x1.8dd3ffc1e1b41p-18, -0x1.79fcc69b456b6p-18, -0x1.66b1a47d08df3p-18, -0x1.53ed5a236dd99p-18, -0x1.41aaedbede1ebp-18, -0x1.2fe5a7ba926b2p-18, -0x1.1e990f6508d62p-18, -0x1.0dc0e7f973553p-18, -0x1.fab25aa2bf09ap-19, -0x1.dabc238432cfbp-19, -0x1.bb97f49e895bap-19, -0x1.9d3efa5594cdp-19, -0x1.7faabd21ea30cp-19, -0x1.62d51d182e423p-19, -0x1.46b84d45e2a03p-19, -0x1.2b4ecf946812dp-19, -0x1.10937036631d6p-19, -0x1.ed0283818bba6p-20, -0x1.ba27348cd4066p-20, -0x1.888c1ac612b81p-20, -0x1.5828d6c938eap-20, -0x1.28f578d6cca92p-20, -0x1.f5d4f733b1d1dp-21, -0x1.9c017adc7300bp-21, -0x1.4462f61efbc7p-21, -0x1.ddd927f25a231p-22, -0x1.37244cecd2052p-22, -0x1.292072da02571p-23, 0x1.3f21a40f40c3fp-27, 0x1.4918d9004a154p-23, 0x1.3b3dc5971558ep-22, 0x1.ce200823c9f6dp-22, 0x1.2ea29d6fbaff5p-21, 0x1.745f493854da7p-21, 0x1.b84e3f2ed919ep-21, 0x1.fa77580e23fc1p-21, 0x1.1d710b34bef3p-20, 0x1.3ccad60661fffp-20, 0x1.5b4c7fa2451acp-20, 0x1.78f9585c1e8b8p-20, 0x1.95d4900c34a46p-20, 0x1.b1e1387b94578p-20, 0x1.cd2247a2bc4dfp-20, 0x1.e79a99c7adfefp-20, 0x1.00a679e30e734p-19, 0x1.0d1e01e7c14fep-19, 0x1.1935326aa9656p-19, 0x1.24ed4f949d26ap-19, 0x1.30479521390c7p-19, 0x1.3b4536fa9b089p-19, 0x1.45e76270f516ep-19, 0x1.502f3e263987bp-19, 0x1.5a1dea9b662e5p-19, 0x1.63b48429473fp-19, 0x1.6cf421a94d91ep-19, 0x1.75ddd5cbda702p-19, 0x1.7e72afc0ac88fp-19, 0x1.86b3bb4e81e64p-19, 0x1.8ea2014add4bap-19, 0x1.963e87f4e4223p-19, 0x1.9d8a5352bd6a6p-19, 0x1.a486655cd2f81p-19, 0x1.ab33be7bd839dp-19, 0x1.b1935d90cdd8fp-19, 0x1.b7a640168b878p-19, 0x1.bd6d6355bcd88p-19, 0x1.c2e9c2f7e911p-19, 0x1.c81c5a5471988p-19, 0x1.cd0624263052bp-19, 0x1.d1a81b22542f4p-19, 0x1.d603391f668fap-19, 0x1.da187868c39dbp-19, 0x1.dde8d30df387p-19, 0x1.e1754324e39f5p-19, 0x1.e4bec2dba44f7p-19, 0x1.e7c64c8f7d3acp-19, 0x1.ea8cdaabb7073p-19, 0x1.ed1367f2260cp-19, 0x1.ef5aef544643dp-19, 0x1.f1646c015f795p-19, 0x1.f330d96632d84p-19, 0x1.f4c1332c32515p-19, 0x1.f616751f0b309p-19, 0x1.f7319b84b77e9p-19, 0x1.f813a28938f16p-19, 0x1.f8bd869e3699fp-19, 0x1.f930443b29afdp-19, 0x1.f96cd800894eep-19, 0x1.f9743ebe0c733p-19, 0x1.f94774ac59a69p-19, 0x1.f8e77681e776cp-19, 0x1.f85540a36c9cdp-19, 0x1.f791cf27b9bc6p-19, 0x1.f69e1e3ef78ap-19, 0x1.f57b29705ae07p-19, 0x1.f429ec03fdde1p-19, 0x1.f2ab608af5a14p-19, 0x1.f10081d2df1f9p-19, 0x1.ef2a495d4f97dp-19, 0x1.ed29b04317df2p-19, 0x1.eaffaee608fa8p-19, 0x1.e8ad3cdf167b6p-19, 0x1.e63350ec6de7bp-19, 0x1.e392e0df8bd43p-19, 0x1.e0cce1abc6acep-19, 0x1.dde246f2fab16p-19, 0x1.dad40336b58e1p-19, 0x1.d7a308035064bp-19, 0x1.d45045811c217p-19, 0x1.d0dcaa826d714p-19, 0x1.cd492472cf34dp-19, 0x1.c9969f0edd46dp-19, 0x1.c5c6053349674p-19, 0x1.c1d83f7c536b3p-19, 0x1.bdce35178d708p-19, 0x1.b9a8cb7bf3becp-19, 0x1.b568e65b0407fp-19, 0x1.b10f6790477b2p-19, 0x1.ac9d2f2a022d1p-19, 0x1.a8131b1308d2bp-19, 0x1.a3720768ef0fep-19, 0x1.9ebace2fb6a24p-19, 0x1.99ee4754cd7f2p-19, 0x1.950d48a30b8f9p-19, 0x1.9018a5b71d6p-19, 0x1.8b112ff469058p-19, 0x1.85f7b67f9832ep-19, 0x1.80cd061d0dd6bp-19, 0x1.7b91e985665f7p-19, 0x1.7647286460a1ep-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.32c31829ddc05p-2, -0x1.f5306e476cf5ep-3, -0x1.8203b83e97981p-3, -0x1.0d16bcc638024p-3, -0x1.2ec7df9ac058dp-4, -0x1.0e545be1e030fp-6, 0x1.4bbf474b27151p-5, 0x1.8c3b55d47012dp-4, 0x1.372842336328p-3, 0x1.a58e1b3dc006bp-3, 0x1.0870b0cdff20cp-2, 0x1.3c6318f5fee66p-2, 0x1.6e786f284bc2dp-2, 0x1.9e922dfa597fdp-2, 0x1.cc987373a413ap-2, 0x1.f8796586eb867p-2, 0x1.11144ed61c099p-1, 0x1.24cf488340e5ep-1, 0x1.376bf8300881ep-1, 0x1.48ea84deaf8cdp-1, 0x1.594c9ffe28d8p-1, 0x1.6895479b5903dp-1, 0x1.76c8a1efe4715p-1, 0x1.83ec1e70c322bp-1, 0x1.9005e48d25565p-1, 0x1.9b1cd2f3ed0e4p-1, 0x1.a538613d25b31p-1, 0x1.ae608415cfa37p-1, 0x1.b69d92f6270bcp-1, 0x1.bdf82fb5788f7p-1, 0x1.c47930985398bp-1, 0x1.ca298d091ed6fp-1, 0x1.cf124cc689011p-1, 0x1.d33c79459225p-1, 0x1.d6b1111e30e19p-1, 0x1.d978fd58a6543p-1, 0x1.db9d084d46aa5p-1, 0x1.dd25d5a719c3cp-1, 0x1.de1bdb2319fc7p-1, 0x1.de8759e0ffa6bp-1, 0x1.de7058697508dp-1, 0x1.ddde9dc3b66e4p-1, 0x1.dcd9adf5174abp-1, 0x1.db68c81278b81p-1, 0x1.d992e5c1a543bp-1, 0x1.d75ebbc777776p-1, 0x1.d4d2bb1dde1dbp-1, 0x1.d1f5121117b4cp-1, 0x1.cecbad081d99ap-1, 0x1.cb5c36d3dd2f5p-1, 0x1.c7ac189b2bc9fp-1, 0x1.c3c079a6c6ad3p-1, 0x1.bf9e3f661ec34p-1, 0x1.bb4a0dff80d6ep-1, 0x1.b6c849a0ea1ep-1, 0x1.b21d189d2afe3p-1, 0x1.ad4c66377d1f2p-1, 0x1.a859e5e0f043dp-1, 0x1.a349169cc7c02p-1, 0x1.9e1d464392acdp-1, 0x1.98d9946ce0311p-1, 0x1.9380f4df30dd2p-1, 0x1.8e16317f421fbp-1, 0x1.889ba76b5c87ep-1, 0x1.8314913749326p-1, 0x1.7d82cc0631deep-1, 0x1.77e87f4dc82bap-1, 0x1.7247aef29462bp-1, 0x1.6ca23d5667089p-1, 0x1.66f9ed54ab94ap-1, 0x1.615064232223cp-1, 0x1.5ba72b119af06p-1, 0x1.55ffb1270536dp-1, 0x1.505b4c9ccc362p-1, 0x1.4abb3c3b259f8p-1, 0x1.4520a899af07dp-1, 0x1.3f8ca547e09d8p-1, 0x1.3a0031e0c6f2ap-1, 0x1.347c3b0d3f1f7p-1, 0x1.2f019b77c998ap-1, 0x1.29911cb4d93a7p-1, 0x1.242b78223a295p-1, 0x1.1ed157bfd77ep-1, 0x1.198357039670ep-1, 0x1.144203a968696p-1, 0x1.0f0dde8004f9bp-1, 0x1.09e75c321d96cp-1, 0x1.04cee60b4801bp-1, 0x1.ff89b56ef8e35p-2, 0x1.f5931df76e54ap-2, 0x1.ebba9ccc87d51p-2, 0x1.e200b7ea81577p-2, 0x1.d865e5645002dp-2, 0x1.ceea8c82fe8fep-2, 0x1.c58f06cc70164p-2, 0x1.bc53a0f1800d8p-2, 0x1.b3389ba46cffdp-2, 0x1.aa3e2c593f95p-2, 0x1.a1647df2930bbp-2, 0x1.98abb15d8d541p-2, 0x1.9013de2001dc3p-2, 0x1.879d12dbbc506p-2, 0x1.7f4755c99c914p-2, 0x1.7712a52ecfe49p-2, 0x1.6efef7cde5c7ap-2, 0x1.670c3d54f5215p-2, 0x1.5f3a5ec987e83p-2, 0x1.57893ef285f88p-2, 0x1.4ff8bac00adf4p-2, 0x1.4888a9b0cf14ep-2, 0x1.4138de34b6431p-2, 0x1.3a09260c061f5p-2, 0x1.32f94aa2d624p-2, 0x1.2c0911686183dp-2, 0x1.25383c21fab0fp-2, 0x1.1e868939813dbp-2, 0x1.17f3b407522dp-2, 0x1.117f7517be206p-2, 0x1.0b29826c242e9p-2, 0x1.04f18fb7d886p-2, 0x1.fdae9d3204cc2p-3, 0x1.f1b4dd9b41ddcp-3, 0x1.e5f53cc9d2b65p-3, 0x1.da6f13da57e2bp-3, 0x1.cf21b93ce47eep-3, 0x1.c40c810405396p-3, 0x1.b92ebd2df70acp-3, 0x1.ae87bde86adccp-3, 0x1.a416d1cf2fdadp-3, 0x1.99db46262edabp-3, 0x1.8fd4670f12569p-3, 0x1.86017fbaf20f1p-3, 0x1.7c61da98677c1p-3, 0x1.72f4c17e6686cp-3, 0x1.69b97dd41ac44p-3, 0x1.60af58b62c947p-3, 0x1.57d59b19ac9a5p-3, 0x1.4f2b8dece7857p-3, 0x1.46b07a365ede6p-3, 0x1.3e63a93222a63p-3, 0x1.3644646db19b5p-3, 0x1.2e51f5e296adfp-3, 0x1.268ba80fdee79p-3, 0x1.1ef0c61289334p-3, 0x1.17809bbd0d0c9p-3, 0x1.103a75ae02a4cp-3, 0x1.091da16608a27p-3, 0x1.022a0c8a7ee4bp-3, 0x1.f6bb99ddffd85p-4, 0x1.e971944dd9deap-4, 0x1.dc74ac839164ap-4, 0x1.cfc389426ee46p-4, 0x1.c35cd40e70f39p-4, 0x1.b73f39471af9ep-4, 0x1.ab696840a2f82p-4, 0x1.9fda135baa5a8p-4, 0x1.948ff01b725bfp-4, 0x1.8989b73ab7c78p-4, 0x1.7ec624bf1fc11p-4, 0x1.7443f80b548afp-4, 0x1.6a01f3efc9aa4p-4, 0x1.5ffedeba34412p-4, 0x1.56398243b79f5p-4, 0x1.4cb0abfdd14afp-4, 0x1.43632cfe05bdp-4, 0x1.3a4fda0857d8dp-4, 0x1.31758b9892275p-4, 0x1.28d31dea6a485p-4, 0x1.206771008a093p-4, 0x1.183168aa8529dp-4, 0x1.102fec89cb79p-4, 0x1.0861e815a03fep-4, 0x1.00c64a9e21b8dp-4, 0x1.f2b80e9ce5b95p-5, 0x1.e4442a5c1616ep-5, 0x1.d62ede427f97p-5, 0x1.c87627d220b9bp-5, 0x1.bb180c447c115p-5, 0x1.ae1298878042bp-5, 0x1.a163e13932a7fp-5, 0x1.950a02a23a7edp-5, 0x1.890320af5513bp-5, 0x1.7d4d66e9ce5b6p-5, 0x1.71e7086f05045p-5, 0x1.66ce3fe711938p-5, 0x1.5c014f7a99b11p-5, 0x1.517e80c7d9da4p-5, 0x1.474424d6fba27p-5, 0x1.3d50940db9ecp-5, 0x1.33a22e225f689p-5, 0x1.2a375a0e2f379p-5, 0x1.210e85ff39bdep-5, 0x1.18262749a8457p-5, 0x1.0f7cba5889994p-5, 0x1.0710c29e25f24p-5, 0x1.fdc19507bfadfp-6, 0x1.edd6c6b35139cp-6, 0x1.de5e4a8a29b7fp-6, 0x1.cf555e601b549p-6, 0x1.c0b94d6e57fb6p-6, 0x1.b287702f82bd7p-6, 0x1.a4bd2c3b20127p-6, 0x1.9757f42081cep-6, 0x1.8a5547411e9b5p-6, 0x1.7db2b1aa7d1a5p-6, 0x1.716dcbef99fdcp-6, 0x1.65843b01fb203p-6, 0x1.59f3b00a541e7p-6, 0x1.4eb9e840d4641p-6, 0x1.43d4acc5347b5p-6, 0x1.3941d276726f9p-6, 0x1.2eff39ca5a1dcp-6, 0x1.250acea4d755bp-6, 0x1.1b62882f1dc23p-6, 0x1.120468aeb28ffp-6, 0x1.08ee7d5c55b4ap-6, 0x1.001ede3add246p-6, 0x1.ef275bdc0dc04p-7, 0x1.de96332287f71p-7, 0x1.ce86b11d12873p-7, 0x1.bef558ea6028ep-7, 0x1.afdec1a1c2131p-7, 0x1.a13f96013b47ep-7, 0x1.9314941bd065ap-7, 0x1.855a8d08199d6p-7, 0x1.780e648f2d53fp-7, 0x1.6b2d10dbf5b81p-7, 0x1.5eb39a2adc33p-7, 0x1.529f1a79f4eabp-7, 0x1.46ecbd39a761bp-7, 0x1.3b99befdd8dap-7, 0x1.30a36d2fa6209p-7, 0x1.260725bfb0d79p-7, 0x1.1bc256d9030f4p-7, 0x1.11d27e94a59b3p-7, 0x1.08352aadcd6acp-7, 0x1.fdcff06d8355bp-8, 0x1.ebd1269cd866bp-8, 0x1.da696dad61a0ap-8, 0x1.c9945856e4fefp-8, 0x1.b94d95b4c34ccp-8, 0x1.a990f0b71cf22p-8, 0x1.9a5a4f957e491p-8, 0x1.8ba5b34334f96p-8, 0x1.7d6f36e5339e8p-8, 0x1.6fb30f4998d2cp-8, 0x1.626d8a60e9f3ep-8, 0x1.559b0eb8ef55p-8, 0x1.49381af943097p-8, 0x1.3d4145619879bp-8, 0x1.31b33b49b721dp-8, 0x1.268ac0a331322p-8, 0x1.1bc4af7cd89b4p-8, 0x1.115df787f436bp-8, 0x1.07539d9f2f68cp-8, 0x1.fb45769eb4649p-9, 0x1.e890fcc3bf97ep-9, 0x1.d68450d21fe1ep-9, 0x1.c51a1c9c2c838p-9, 0x1.b44d2fc1c6094p-9, 0x1.a4187ed34a90ap-9, 0x1.94772278789b4p-9, 0x1.8564569a98adbp-9, 0x1.76db79924f1ep-9, 0x1.68d80b58f83bbp-9, 0x1.5b55acbd69193p-9, 0x1.4e501e9c6e799p-9, 0x1.41c3411c8f293p-9, 0x1.35ab12ed65125p-9, 0x1.2a03b08a69064p-9, 0x1.1ec953812b9a3p-9, 0x1.13f851baec743p-9, 0x1.098d1cc9b8911p-9, 0x1.ff0882717f25ep-10, 0x1.ebb4cbc03307p-10, 0x1.d91896779ee29p-10, 0x1.c72d958c5130ap-10, 0x1.b5edacaaa0b37p-10, 0x1.a552eef829ab9p-10, 0x1.95579ddbdd23ep-10, 0x1.85f627cc2f7e7p-10, 0x1.77292723a54edp-10, 0x1.68eb60fb7e551p-10, 0x1.5b37c40c6ed57p-10, 0x1.4e09679573b0cp-10, 0x1.415b8a4862a7fp-10, 0x1.3529913c8fbfap-10, 0x1.296f06e71729ep-10, 0x1.1e279a18ddbc6p-10, 0x1.134f1d0245b0ap-10, 0x1.08e1843c457e8p-10, 0x1.fdb5cbae152bcp-11, 0x1.ea6ef0dbd85ep-11, 0x1.d7e72481d83a6p-11, 0x1.c61750a5fe4c5p-11, 0x1.b4f89b1b27837p-11, 0x1.a48463d32738dp-11, 0x1.94b443395e617p-11, 0x1.85820897fea2ep-11, 0x1.76e7b8869b96cp-11, 0x1.68df8b62145c9p-11, 0x1.5b63ebcdb6dd3p-11, 0x1.4e6f753de371fp-11, 0x1.41fcf28b1d18ep-11, 0x1.36075c8e33d27p-11, 0x1.2a89d8c4c1a64p-11, 0x1.1f7fb7fe6a72fp-11, 0x1.14e4751238cd2p-11, 0x1.0ab3b39c33a0ap-11, 0x1.00e93ec2b89b6p-11, 0x1.ef02100834c65p-12, 0x1.dcee4c16e0a2p-12, 0x1.cb8fa71abd82p-12, 0x1.badedc578a0a8p-12, 0x1.aad4eac230fc3p-12, 0x1.9b9dde1d9704dp-12, 0x1.8ccc4c7039477p-12, 0x1.7e8e00b5e7cf5p-12, 0x1.70dcf6585162dp-12, 0x1.63b362641dd3p-12, 0x1.570bb1adaf09cp-12, 0x1.4ae087037a7adp-12, 0x1.3f2cb96bb1f0fp-12, 0x1.33eb526f5827dp-12, 0x1.29178c706869ap-12, 0x1.1eacd10c2134dp-12, 0x1.14a6b788a3344p-12, 0x1.0b01034d9eb96p-12, 0x1.01b7a2686465bp-12, 0x1.f18d58341a2dap-13, 0x1.e054bee19dedp-13, 0x1.cfbe43d63347dp-13, 0x1.bfc2fc49b82fap-13, 0x1.b05c451dbe31cp-13, 0x1.a183c05e17d3p-13, 0x1.933352d574067p-13, 0x1.856521b38aef2p-13, 0x1.781390451afa8p-13, 0x1.6b393dbe5b27ap-13, 0x1.5ed1031422512p-13, 0x1.52d5f0e7225d7p-13, 0x1.47434d813bd56p-13, 0x1.3c1492de4f3bep-13, 0x1.31456cc76a5a1p-13, 0x1.26d1b6fcce958p-13, 0x1.1cb57b6cd44dfp-13, 0x1.12ecf07b4a1b8p-13, 0x1.09747753ba7a2p-13, 0x1.00489a4d7e339p-13, 0x1.eecc16b11bf32p-14, 0x1.dd9344f472e8fp-14, 0x1.cce0b8a77b792p-14, 0x1.bcaeb16fd96c7p-14, 0x1.acf7b29337727p-14, 0x1.9db6804f8d69p-14, 0x1.8ee61d474e30ep-14, 0x1.8081c80583201p-14, 0x1.7284f893498ccp-14, 0x1.64eb5e25e355cp-14, 0x1.57b0dcdd25347p-14, 0x1.4ad18b98b43eep-14, 0x1.3e49b1de3e777p-14, 0x1.3215c5d166e2dp-14, 0x1.26326a3dccb7fp-14, 0x1.1a9c6cb3b6664p-14, 0x1.0f50c3b42faafp-14, 0x1.044c8ced7a175p-14, 0x1.f31a1711b82a4p-15, 0x1.de1f4d08bf677p-15, 0x1.c9a3ce4034254p-15, 0x1.b5a2eeaa1a726p-15, 0x1.a21840bd94748p-15, 0x1.8eff929c30227p-15, 0x1.7c54eb5b51fc4p-15, 0x1.6a14885cb49b4p-15, 0x1.583adacace1fep-15, 0x1.46c485230cb2p-15, 0x1.35ae58df77f2cp-15, 0x1.24f554309f492p-15, 0x1.14969fd76294bp-15, 0x1.048f8d013275bp-15, 0x1.e9bb26a5e8559p-16, 0x1.cafc9de32af4cp-16, 0x1.acdefd5141bcfp-16, 0x1.8f5e04419e8fbp-16, 0x1.7275b0588be92p-16, 0x1.56223a3b0e5dap-16, 0x1.3a60126a393c1p-16, 0x1.1f2bde4738e03p-16, 0x1.0482751272e5p-16, 0x1.d4c1ba7eb6b47p-17, 0x1.a1889373cfaa9p-17, 0x1.6f542ec56c5cfp-17, 0x1.3e1f9528f212p-17, 0x1.0de619a7d1e3cp-17, 0x1.bd46aa47fc043p-18, 0x1.60a64423d00c8p-18, 0x1.05e330c65785ep-18, 0x1.59ec2680f1ac9p-19, 0x1.575fe962667f7p-20, 0x1.04b313182a4fep-27, -0x1.4c43f7cf1fe17p-20, -0x1.49cfc6b2a1469p-19, -0x1.ea0fb97af9f5bp-19, -0x1.437624c9ea668p-18, -0x1.9037b04b91f88p-18, -0x1.db513385a8183p-18, -0x1.1263939e231d6p-17, -0x1.364ee6b0e7399p-17, -0x1.596c9ae12360bp-17, -0x1.7bbea11aa5629p-17, -0x1.9d46d55a3ed92p-17, -0x1.be070099f83d4p-17, -0x1.de00daa264c91p-17, -0x1.fd360bc67e16cp-17, -0x1.0dd41739d6e91p-16, -0x1.1cac6863fbb1bp-16, -0x1.2b24bb008466ap-16, -0x1.393dcbe7cd421p-16, -0x1.46f853cde8bep-16, -0x1.545507e233e92p-16, -0x1.61549a559645cp-16, -0x1.6df7badae1d08p-16, -0x1.7a3f173e1bcc1p-16, -0x1.862b5bb7626fap-16, -0x1.91bd3368e083cp-16, -0x1.9cf548c34c1aep-16, -0x1.a7d445de3027bp-16, -0x1.b25ad4cf2c2dfp-16, -0x1.bc899ffa039ap-16, -0x1.c661525596bfp-16, -0x1.cfe297b220dp-16, -0x1.d90e1cf5bc419p-16, -0x1.e1e4904fe9a74p-16, -0x1.ea66a16c56e3cp-16, -0x1.f29501a8430bap-16, -0x1.fa70642803eb4p-16, -0x1.00fcbf05622fep-15, -0x1.0498833f95f69p-15, -0x1.080bdb7442cffp-15, -0x1.0b572571cf531p-15, -0x1.0e7ac0383823p-15, -0x1.11770bf884809p-15, -0x1.144c6a1ecbe6bp-15, -0x1.16fb3d556ac6ap-15, -0x1.1983e98969272p-15, -0x1.1be6d3e893882p-15, -0x1.1e2462e778fe1p-15, -0x1.203cfe3d289a7p-15, -0x1.22310ee16f6bcp-15, -0x1.2400ff0b2e455p-15, -0x1.25ad3a2b1c64bp-15, -0x1.27362ce8361dap-15, -0x1.289c4517ece45p-15, -0x1.29dff1b9f2672p-15, -0x1.2b01a2f023c84p-15, -0x1.2c01c9f432f13p-15, -0x1.2ce0d9130afd2p-15, -0x1.2d9f43a280089p-15, -0x1.2e3d7df1c6b19p-15, -0x1.2ebbfd48f31c1p-15, -0x1.2f1b37d7c8073p-15, -0x1.2f5ba4ab60202p-15, -0x1.2f7dbba668dbdp-15, -0x1.2f81f56fe26a4p-15, -0x1.2f68cb6b736c4p-15, -0x1.2f32b7a7fe634p-15, -0x1.2ee034dddb5e5p-15, -0x1.2e71be5548117p-15, -0x1.2de7cfe143b35p-15, -0x1.2d42e5d0ebff3p-15, -0x1.2c837ce28582fp-15, -0x1.2baa12367a336p-15, -0x1.2ab7234248deap-15, -0x1.29ab2dc539807p-15, -0x1.2886afb576f35p-15, -0x1.274a27397af44p-15, -0x1.25f61298d76c1p-15, -0x1.248af02fc5d9ep-15, -0x1.23093e614967dp-15, -0x1.21717b8b1248p-15, -0x1.1fc425f7f6418p-15, -0x1.1e01bbd777c1bp-15, -0x1.1c2abb2b75ca8p-15, -0x1.1a3fa1c02d83bp-15, -0x1.1840ed1f3d7d3p-15, -0x1.162f1a83e99b3p-15, -0x1.140aa6d003a77p-15, -0x1.11d40e7f5de93p-15, -0x1.0f8bcd9cce044p-15, -0x1.0d325fb96a2ddp-15, -0x1.0ac83fdf9e73ap-15, -0x1.084de88967412p-15, -0x1.05c3d3961a673p-15, -0x1.032a7a4070fdep-15, -0x1.00825514ce298p-15, -0x1.fb97b7d014ecp-16, -0x1.f60f0b9b281e6p-16, -0x1.f06b92213a508p-16, -0x1.eaae364892883p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c834f9907dfdcp+0, -0x1.b8b68b907edfp+0, -0x1.ab2b2ad719ff1p+0, -0x1.9f630baa060f1p+0, -0x1.953019feef949p+0, -0x1.8c665dd41b024p+0, -0x1.84dc48bd59fa6p+0, -0x1.7e6afa4c4bec8p+0, -0x1.78ee63f8ae0b7p+0, -0x1.7445436c5351ap+0, -0x1.70510b6a5356ep+0, -0x1.6cf5d1314f6a6p+0, -0x1.6a1a40c357023p+0, -0x1.67a78e8974c66p+0, -0x1.65895c285c3dap+0, -0x1.63ad8e50d8ccap+0, -0x1.62041a66db16cp+0, -0x1.607ed550413dbp+0, -0x1.5f114916d70fp+0, -0x1.5db092d9b84aep+0, -0x1.5c534804c1963p+0, -0x1.5af10425c34cep+0, -0x1.5983ec4bff77fp+0, -0x1.5805f884e5f33p+0, -0x1.567280c93ce55p+0, -0x1.54c5c1ac402f2p+0, -0x1.52fcc50a04503p+0, -0x1.51154b596365fp+0, -0x1.4f0db5a2b43b1p+0, -0x1.4ce4f1022a8c8p+0, -0x1.4a9a64939acdbp+0, -0x1.482de1edcbaf6p+0, -0x1.459f97a1a830ap+0, -0x1.42f004fa26381p+0, -0x1.401fee759c97ep+0, -0x1.3d3052d549e38p+0, -0x1.3a2260e509a18p+0, -0x1.36f76e2b933fp+0, -0x1.33b0ee9bca155p+0, -0x1.30506d42f979dp+0, -0x1.2cd785e41d0ccp+0, -0x1.2947df74d4abbp+0, -0x1.25a32778896d5p+0, -0x1.21eb0e3455ddp+0, -0x1.1e2143a9227abp+0, -0x1.1a47752f2579bp+0, -0x1.165f4b7ff8b93p+0, -0x1.126a68f9a22a3p+0, -0x1.0e6a67ee85567p+0, -0x1.0a60d8ea9fd2ap+0, -0x1.064f40ef793f2p+0, -0x1.023717beb5522p+0, -0x1.fc338cb200fa5p-1, -0x1.f3f14bafefee9p-1, -0x1.eba9fd7cbc231p-1, -0x1.e360118dced68p-1, -0x1.db15d649d805p-1, -0x1.d2cd7a3365555p-1, -0x1.ca890d709fe5p-1, -0x1.c24a83645212bp-1, -0x1.ba13b41afd7fdp-1, -0x1.b1e65d660b5d2p-1, -0x1.a9c423987d7b5p-1, -0x1.a1ae2a63f766ep-1, -0x1.99a6def642925p-1, -0x1.91af0e7b6968p-1, -0x1.89c7f3ae9b6a8p-1, -0x1.81f2b12c0f9d6p-1, -0x1.7a30528a83d4cp-1, -0x1.7281cd75fe2d8p-1, -0x1.6ae802c569be8p-1, -0x1.6363bf873db56p-1, -0x1.5bf5be037d38bp-1, -0x1.549ea6b293604p-1, -0x1.4d5f1129132e5p-1, -0x1.463784f8656ecp-1, -0x1.3f287a844c4c4p-1, -0x1.38325bcd29408p-1, -0x1.3155852f22a04p-1, -0x1.2a924616b902dp-1, -0x1.23e8e1abe3cd8p-1, -0x1.1d598f7538212p-1, -0x1.16e47bf4ec5b7p-1, -0x1.1089c9418630dp-1, -0x1.0a498f9bc19b8p-1, -0x1.0423de02ca528p-1, -0x1.fc31758e97747p-2, -0x1.f050483a8623ap-2, -0x1.e4a42157d2742p-2, -0x1.d92ce0355c5adp-2, -0x1.cdea5733e0de5p-2, -0x1.c2dc4ccc21336p-2, -0x1.b8027c873419fp-2, -0x1.ad5c97e6eb8f7p-2, -0x1.a2ea473ceefcap-2, -0x1.98ab2a6ff1b4dp-2, -0x1.8e9ed9af42761p-2, -0x1.84c4e615a6415p-2, -0x1.7b1cda3d0c1dcp-2, -0x1.71a63ac508911p-2, -0x1.686086ce3783p-2, -0x1.5f4b386c9d1d8p-2, -0x1.5665c512f5515p-2, -0x1.4daf9df88c559p-2, -0x1.4528307ae2f3ep-2, -0x1.3ccee67bf06aap-2, -0x1.34a326bd84f3cp-2, -0x1.2ca45539f092p-2, -0x1.24d1d379e2b31p-2, -0x1.1d2b00e7489aep-2, -0x1.15af3b1ce0426p-2, -0x1.0e5dde3238dc8p-2, -0x1.07364503ddb5ap-2, -0x1.0037c9777f737p-2, -0x1.f2c3897815fddp-3, -0x1.e5671f0b519ffp-3, -0x1.d859048b7fc31p-3, -0x1.cb97eabe370b7p-3, -0x1.bf2282acc9da3p-3, -0x1.b2f77dfe43454p-3, -0x1.a7158f4ad8671p-3, -0x1.9b7b6a69316bfp-3, -0x1.9027c4b5ebffdp-3, -0x1.851955559e5bfp-3, -0x1.7a4ed571b2eb1p-3, -0x1.6fc700705a156p-3, -0x1.65809427c8bf3p-3, -0x1.5b7a510d0814dp-3, -0x1.51b2fa5e89a8ep-3, -0x1.4829564ab127p-3, -0x1.3edc2e129674bp-3, -0x1.35ca4e293181cp-3, -0x1.2cf2864f3546bp-3, -0x1.2453a9abc1852p-3, -0x1.1bec8ee247a6cp-3, -0x1.13bc1025bfc13p-3, -0x1.0bc10b497ce9dp-3, -0x1.03fa61cfd1397p-3, -0x1.f8cdf1ed81ab8p-4, -0x1.ea0b7385d8eb9p-4, -0x1.dbab2211dae1p-4, -0x1.cdaadeea908bep-4, -0x1.c008932644ff9p-4, -0x1.b2c22fa3b726ep-4, -0x1.a5d5ad133f497p-4, -0x1.99410bfe31266p-4, -0x1.8d0254cc8e858p-4, -0x1.8118213b9489bp-4, -0x1.757f7df4a3497p-4, -0x1.6a37097916c03p-4, -0x1.5f3cebfa2677fp-4, -0x1.548f559f3018fp-4, -0x1.4a2c7e7f8033p-4, -0x1.4012a69ab2636p-4, -0x1.364015cfc9e91p-4, -0x1.2cb31bd3119cap-4, -0x1.236a1022df166p-4, -0x1.1a6351fb41a26p-4, -0x1.119d4848b4eecp-4, -0x1.09166199ddc94p-4, -0x1.00cd14106419fp-4, -0x1.f17fbaa1e0856p-5, -0x1.e1da84e4b98d2p-5, -0x1.d2a79fd844c4ap-5, -0x1.c3e433081bc67p-5, -0x1.b58d747691c54p-5, -0x1.a7a0a87586981p-5, -0x1.9a1b217e08b93p-5, -0x1.8cfa4006e90fp-5, -0x1.803b725a4f439p-5, -0x1.73dc346a6c94ap-5, -0x1.67da0fa55b2dfp-5, -0x1.5c329ac84d97fp-5, -0x1.50e379b213db7p-5, -0x1.45ea5d351b4c2p-5, -0x1.3b4502e8f5fep-5, -0x1.30f134fb79082p-5, -0x1.26ecca0190893p-5, -0x1.1d35a4c7c8bbdp-5, -0x1.13c9b422b434ap-5, -0x1.0aa6f2bf26263p-5, -0x1.01cb66f25d836p-5, -0x1.f26a45145edb9p-6, -0x1.e1c4853a5b8afp-6, -0x1.d1a1deb5d740ap-6, -0x1.c1feb7b8a6b33p-6, -0x1.b2d78be858f6p-6, -0x1.a428ebff8f4aep-6, -0x1.95ef7d6fd0cd4p-6, -0x1.8827fa03d5bddp-6, -0x1.7acf2f825e225p-6, -0x1.6de1ff51a76e6p-6, -0x1.615d5e1b7dafcp-6, -0x1.553e53720681p-6, -0x1.4981f9753f6c6p-6, -0x1.3e257c7941576p-6, -0x1.33261aad5925ep-6, -0x1.288123c3e3491p-6, -0x1.1e33f89b103a2p-6, -0x1.143c0ae68da7ap-6, -0x1.0a96dcda0a7bap-6, -0x1.014200d4acf3ap-6, -0x1.f076321b18c28p-7, -0x1.deffae82047eap-7, -0x1.ce1bf8be2547bp-7, -0x1.bdc6b07591c02p-7, -0x1.adfb92751bdf6p-7, -0x1.9eb6781321483p-7, -0x1.8ff3569469fa6p-7, -0x1.81ae3e930044cp-7, -0x1.73e35b673d119p-7, -0x1.668ef292e998ep-7, -0x1.59ad632e77dfep-7, -0x1.4d3b255865b9dp-7, -0x1.4134c9a6be9c5p-7, -0x1.3596f89ac4279p-7, -0x1.2a5e7216cb2fp-7, -0x1.1f880cd629155p-7, -0x1.1510b5e7661fbp-7, -0x1.0af570287ed8ep-7, -0x1.013353c560011p-7, -0x1.ef8f1b711bae1p-8, -0x1.dd5ebe9bb91cp-8, -0x1.cbd03b4ecd615p-8, -0x1.bade6289321b1p-8, -0x1.aa842b16e1347p-8, -0x1.9abcb0a774e79p-8, -0x1.8b8332e91ed09p-8, -0x1.7cd314a79a38bp-8, -0x1.6ea7daef988c5p-8, -0x1.60fd2c35db598p-8, -0x1.53cecf82d7641p-8, -0x1.4718aba228b99p-8, -0x1.3ad6c65639296p-8, -0x1.2f05438fb21aep-8, -0x1.23a064a916ee6p-8, -0x1.18a487a628337p-8, -0x1.0e0e2677514b6p-8, -0x1.03d9d640a2a59p-8, -0x1.f4088d49b26f6p-9, -0x1.e114822830901p-9, -0x1.ced1503c57313p-9, -0x1.bd38ed9159bcp-9, -0x1.ac457fd11d6p-9, -0x1.9bf15afecbcd2p-9, -0x1.8c37003821adbp-9, -0x1.7d111c7dbabf3p-9, -0x1.6e7a87826cfc9p-9, -0x1.606e428102a6p-9, -0x1.52e77718ccbffp-9, -0x1.45e17630e60f9p-9, -0x1.3957b6e17301ep-9, -0x1.2d45d563ab65ap-9, -0x1.21a79207e6206p-9, -0x1.1678d031f6ce7p-9, -0x1.0bb5955b493fbp-9, -0x1.015a081b3dfbbp-9, -0x1.eec4de6a7bc35p-10, -0x1.db96615948d36p-10, -0x1.c921a1bc462a8p-10, -0x1.b75fe33da9526p-10, -0x1.a64aa2c1b8548p-10, -0x1.95db94ba404bp-10, -0x1.860ca3855aa17p-10, -0x1.76d7edd569186p-10, -0x1.6837c52449f4cp-10, -0x1.5a26ac2ff8fc6p-10, -0x1.4c9f55810b97cp-10, -0x1.3f9ca1faaf24dp-10, -0x1.33199f74814e7p-10, -0x1.2711875ca0b29p-10, -0x1.1b7fbd63f07dfp-10, -0x1.105fce324c485p-10, -0x1.05ad6e23d73a3p-10, -0x1.f6c8f01de495ep-11, -0x1.e301d8237a9aep-11, -0x1.cffddcd194efdp-11, -0x1.bdb58c999c263p-11, -0x1.ac21b9b172f27p-11, -0x1.9b3b77eee353p-11, -0x1.8afc1ab0de6bdp-11, -0x1.7b5d32d8ff0fp-11, -0x1.6c588cd1aa7a8p-11, -0x1.5de82ea37ec43p-11, -0x1.50065617b0fefp-11, -0x1.42ad76e7e8f51p-11, -0x1.35d838faf891cp-11, -0x1.298176af2f462p-11, -0x1.1da43b2f997dbp-11, -0x1.123bc0d6f580fp-11, -0x1.07436f9d80232p-11, -0x1.f96db72535acap-12, -0x1.e52386c4dde6ap-12, -0x1.d1a01dcaae69ep-12, -0x1.bedb9b7639f0fp-12, -0x1.acce6be02c867p-12, -0x1.9b71455a5ba21p-12, -0x1.8abd25e2027c8p-12, -0x1.7aab50a853431p-12, -0x1.6b354ba9d2775p-12, -0x1.5c54dd5c326ap-12, -0x1.4e040a6c70096p-12, -0x1.403d138e8c3cdp-12, -0x1.32fa735e5ab32p-12, -0x1.2636dc52c9eb3p-12, -0x1.19ed36bd90eccp-12, -0x1.0e189ede92d64p-12, -0x1.02b46304b484ap-12, -0x1.ef78037bba784p-13, -0x1.da56502d4d739p-13, -0x1.c5fb5fcc15d87p-13, -0x1.b25f3c5195152p-13, -0x1.9f7a42d545fd2p-13, -0x1.8d4520739fa0ap-13, -0x1.7bb8cf548e616p-13, -0x1.6af46c35d29eap-13, -0x1.5aa4aefa454a1p-13, -0x1.4aea58b6ce835p-13, -0x1.3bbf7d9b39286p-13, -0x1.2d1e7148e8777p-13, -0x1.1f01c460feb34p-13, -0x1.1164422749a15p-13, -0x1.0440ee3673c34p-13, -0x1.ef260496ca9f1p-14, -0x1.d6abd8468223dp-14, -0x1.bf0a96d4a8218p-14, -0x1.a839df7f944aep-14, -0x1.9231ad9146f19p-14, -0x1.7cea54ab033f6p-14, -0x1.685c7d3569532p-14, -0x1.548120e37afe5p-14, -0x1.41518765187cbp-14, -0x1.2ec7432e9c308p-14, -0x1.1cdc2e625457bp-14, -0x1.0b8a67d18381dp-14, -0x1.f598a03c7b21ep-15, -0x1.d5390deb1aa39p-15, -0x1.b5ebd0c77b68cp-15, -0x1.97a71488a8736p-15, -0x1.7a61738a26bf5p-15, -0x1.5e11f2066f7a2p-15, -0x1.42aff995d3d42p-15, -0x1.283354a6a9e23p-15, -0x1.0e942a5058929p-15, -0x1.eb95f47799621p-16, -0x1.bba1316678157p-16, -0x1.8d3c55bc67d35p-16, -0x1.605a463f0041cp-16, -0x1.34ee7b3499875p-16, -0x1.0aecf9af5655ep-16, -0x1.c4949a410dd98p-17, -0x1.75f7024580fe5p-17, -0x1.29ec3752d86dcp-17, -0x1.c0c05c98b49b3p-18, -0x1.327f74bf127f7p-18, -0x1.51e209f88630fp-19, -0x1.1f8f75221bba9p-21, 0x1.727db2fa7442p-20, 0x1.b1c67be68dcdep-19, 0x1.50f859750dbc9p-18, 0x1.c4fc48dedae3ap-18, 0x1.1a85ad45cb259p-17, 0x1.50a058d294799p-17, 0x1.84db2a50ed558p-17, 0x1.b7429dc9c83a9p-17, 0x1.e7e2aedc5f652p-17, 0x1.0b636f9ccac05p-16, 0x1.21fd1e6ec9a04p-16, 0x1.37c3b3fb69ccap-16, 0x1.4cbc4c407e45ap-16, 0x1.60ebd1e20e423p-16, 0x1.745700b7114eep-16, 0x1.8702684441ad3p-16, 0x1.98f26df29e52fp-16, 0x1.aa2b4f7fbaa87p-16, 0x1.bab124f9bbc19p-16, 0x1.ca87e2cd34862p-16, 0x1.d9b35bb040e76p-16, 0x1.e83742807411p-16, 0x1.f6172bec896edp-16, 0x1.01ab481a05d0fp-15, 0x1.07fc6652ba399p-15, 0x1.0e009292610d7p-15, 0x1.13b962c9a451cp-15, 0x1.19286193bd724p-15, 0x1.1e4f0ed7304dfp-15, 0x1.232ee06258ed6p-15, 0x1.27c9427f2637ep-15, 0x1.2c1f986cbfcd7p-15, 0x1.30333cfa19e55p-15, 0x1.340582f087077p-15, 0x1.3797b58ba1aa6p-15, 0x1.3aeb18e5d53f7p-15, 0x1.3e00ea60578dcp-15, 0x1.40da61032ec87p-15, 0x1.4378add86b6c7p-15, 0x1.45dcfc41aa44fp-15, 0x1.48087248523c8p-15, 0x1.49fc30e8d0ffep-15, 0x1.4bb95458dbd8cp-15, 0x1.4d40f44a12f41p-15, 0x1.4e94242984757p-15, 0x1.4fb3f34da0f2ep-15, 0x1.50a16d40b5e54p-15, 0x1.515d99db87198p-15, 0x1.51e97d86e58cfp-15, 0x1.5246195bc8e02p-15, 0x1.52746b4d3d661p-15, 0x1.52756e4efd09bp-15, 0x1.524a1a746d34fp-15, 0x1.51f365119e20ap-15, 0x1.517240d765c76p-15, 0x1.50c79ded82725p-15, 0x1.4ff46a0a7652ep-15, 0x1.4ef9908adaec7p-15, 0x1.4dd7fa7dc84c3p-15, 0x1.4c908ec342762p-15, 0x1.4b2432116d612p-15, 0x1.4993c7072dbc7p-15, 0x1.47e02e3782a8dp-15, 0x1.460a46375d26ep-15, 0x1.4412eba7912a3p-15, 0x1.41faf92e23b5bp-15, 0x1.3fc34799bedfp-15, 0x1.3d6cadd414056p-15, 0x1.3af800e856f21p-15, 0x1.3866140d5f8e9p-15, 0x1.35b7b8a550e73p-15, 0x1.32edbe40a983cp-15, 0x1.3008f29f1d04dp-15, 0x1.2d0a21b3a0afdp-15, 0x1.29f2159f62af8p-15, 0x1.26c196b5b9cd4p-15, 0x1.23796b792ead3p-15, 0x1.201a589b961adp-15, 0x1.1ca520f8f86f5p-15, 0x1.191a859b331bep-15, 0x1.157b45b17151ep-15, 0x1.11c81e900404ap-15, 0x1.0e01cbb128caap-15, 0x1.0a2906a1833abp-15, 0x1.063e87139edfbp-15, 0x1.024302ceb09ccp-15, 0x1.fc6e5b564fde6p-16, 0x1.f43773220d066p-16, 0x1.ebe2ace536919p-16, 0x1.e37164957336fp-16, 0x1.dae4f22a159d4p-16, 0x1.d23ea997bebdbp-16, 0x1.c97fdac9aff71p-16, 0x1.c0a9d194e3365p-16, 0x1.b7bdd5b48c01fp-16, 0x1.aebd2ac48a806p-16, 0x1.a5a91023fbaf7p-16, 0x1.9c82c11060113p-16, 0x1.934b7485d17cap-16, 0x1.8a045d4185dedp-16, 0x1.80aea9b56635dp-16, 0x1.774b8409d9927p-16, 0x1.6ddc12040f5abp-16, 0x1.6461751c4d21dp-16, 0x1.5adcca657c746p-16, 0x1.514f2a8b980b2p-16, 0x1.47b9a9d3ed5dbp-16, 0x1.3e1d581129116p-16, 0x1.347b40a2fb763p-16, 0x1.2ad46a75bb927p-16, 0x1.2129d7fd18d98p-16, 0x1.177c872cbb435p-16, 0x1.0dcd717bdc318p-16, 0x1.041d8be18fff1p-16, 0x1.f4db8da6c583dp-17, 0x1.e17e1c88cdcc2p-17, 0x1.ce249349588a2p-17, 0x1.bad0b7d2f6395p-17, 0x1.a78446dc29e38p-17, 0x1.9440f43b7b4a6p-17, 0x1.81086acb9ef7ap-17, 0x1.6ddc4c59c9054p-17, 0x1.5abe31bd128bp-17, 0x1.47afaad78f2f7p-17, 0x1.34b23e9f3b1c2p-17, 0x1.21c76b182c27ap-17, 0x1.0ef0a56e5c9dbp-17, 0x1.f85eb3e391fddp-18, 0x1.d309d844c31a1p-18, 0x1.ade56d738652fp-18, 0x1.88f417632ee04p-18, 0x1.643868bf6ee6p-18, 0x1.3fb4e2ce6bbb4p-18, 0x1.1b6bf5b1a9db5p-18, 0x1.eec000e74e03p-19, 0x1.a726a249cd037p-19, 0x1.601049f2177f7p-19, 0x1.198150ca6771dp-19, 0x1.a6fbdcfdfbb4p-20, 0x1.1c14737d616d5p-20, 0x1.24a8a1c834571p-21, 0x1.38641ba338f04p-25, -0x1.f65ecb550f419p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7dd88bf820d98p-1, 0x1.727e383c28a8ap-1, 0x1.66e8538bdaf08p-1, 0x1.5b1e890d86926p-1, 0x1.4f284c5807b27p-1, 0x1.430cd543a1795p-1, 0x1.36d31c7d9503dp-1, 0x1.2a81d8cbf8fabp-1, 0x1.1e1f7cf0b91bfp-1, 0x1.11b2361beb54p-1, 0x1.053feadee9844p-1, 0x1.f19c75257c1c3p-2, 0x1.d8c4fa4b101ddp-2, 0x1.c0038686e113bp-2, 0x1.a761ada1750d3p-2, 0x1.8ee877568255p-2, 0x1.76a0615513d93p-2, 0x1.5e9161ac75905p-2, 0x1.46c2e996eea4fp-2, 0x1.2f3be8947c74p-2, 0x1.1802cfc8f3f51p-2, 0x1.011d9591f2314p-2, 0x1.d523729439251p-3, 0x1.a8c88e601635dp-3, 0x1.7d33b8d061a2fp-3, 0x1.526d5623bafcdp-3, 0x1.287cfcd08a4f8p-3, 0x1.fed2fba4c2d87p-4, 0x1.ae71d9eecbfd8p-4, 0x1.5fe1524769853p-4, 0x1.132ac903e84efp-4, 0x1.90acb265709e1p-5, 0x1.fdab92147b042p-6, 0x1.c3711758e61e3p-7, -0x1.9369c502555ebp-9, -0x1.3eb77363ae677p-6, -0x1.218de8c91148ep-5, -0x1.9fc9de1963e46p-5, -0x1.0d0708730ea55p-4, -0x1.482d50665d1b4p-4, -0x1.81589e239970bp-4, -0x1.b88a840c214fdp-4, -0x1.edc543d11f18fp-4, -0x1.1085e189e8e49p-3, -0x1.2930c03ce6a37p-3, -0x1.40e54499d88dbp-3, -0x1.57a5b77a37256p-3, -0x1.6d749f2b7c263p-3, -0x1.8254bad7e250fp-3, -0x1.9648fe23b114dp-3, -0x1.a9548cfd99da6p-3, -0x1.bb7ab7a09dc18p-3, -0x1.ccbef6c5e2ccdp-3, -0x1.dd24e804ddb48p-3, -0x1.ecb04a6025c33p-3, -0x1.fb64fafd5b7bap-3, -0x1.04a3790335fd3p-2, -0x1.0b2d1fd958587p-2, -0x1.115184bb1b278p-2, -0x1.1712c3aadbd48p-2, -0x1.1c7300aedc6e4p-2, -0x1.2174669da8a25p-2, -0x1.261925fa9b9a5p-2, -0x1.2a6373e1d5ee3p-2, -0x1.2e558902f9e9p-2, -0x1.31f1a0aa0fcb2p-2, -0x1.3539f7d5ecabcp-2, -0x1.3830cc5b9170cp-2, -0x1.3ad85c15e7ed8p-2, -0x1.3d32e4216141ep-2, -0x1.3f42a022e5a77p-2, -0x1.4109c999a669p-2, -0x1.428a973b51268p-2, -0x1.43c73c5a3915ap-2, -0x1.44c1e855099d8p-2, -0x1.457cc60f99307p-2, -0x1.45f9fb747f26fp-2, -0x1.463ba8ff0a16dp-2, -0x1.4643e94d42a71p-2, -0x1.4614d0b9a2085p-2, -0x1.45b06cfc2d58ap-2, -0x1.4518c4d2a8fb9p-2, -0x1.444fd7af959d3p-2, -0x1.43579d6fb5c8ap-2, -0x1.42320615d2a02p-2, -0x1.40e0f98c82943p-2, -0x1.3f66576daf402p-2, -0x1.3dc3f6cfa05e6p-2, -0x1.3bfba61752a7ep-2, -0x1.3a0f2acfdd0b6p-2, -0x1.38004186b6803p-2, -0x1.35d09dac9ee1p-2, -0x1.3381e97afed47p-2, -0x1.3115c5dd891a6p-2, -0x1.2e8dca5ff0d3fp-2, -0x1.2beb851f85b57p-2, -0x1.29307ac086a3bp-2, -0x1.265e26670245ep-2, -0x1.2375f9b31ae2fp-2, -0x1.20795cc082001p-2, -0x1.1d69ae29065ddp-2, -0x1.1a48430a09ab3p-2, -0x1.1716670cbeb49p-2, -0x1.13d55c7102c13p-2, -0x1.10865c1ab4a8ep-2, -0x1.0d2a95a1619a8p-2, -0x1.09c32f622b6fbp-2, -0x1.06514693c2b8dp-2, -0x1.02d5ef5c5386dp-2, -0x1.fea469d298a08p-3, -0x1.f78e3311b15fbp-3, -0x1.f06b2d89edd2ep-3, -0x1.e93d3b00174p-3, -0x1.e2062c25a7424p-3, -0x1.dac7c0d7437c3p-3, -0x1.d383a85d87811p-3, -0x1.cc3b81aff8e69p-3, -0x1.c4f0dbb9f1972p-3, -0x1.bda535a150e72p-3, -0x1.b659ff0ec30b1p-3, -0x1.af109877783aap-3, -0x1.a7ca5368195e2p-3, -0x1.a08872d0df014p-3, -0x1.994c2b52923f8p-3, -0x1.9216a38c636fap-3, -0x1.8ae8f46a60e57p-3, -0x1.83c429747b522p-3, -0x1.7ca9411def4bcp-3, -0x1.75992d14efec9p-3, -0x1.6e94d2927f2f2p-3, -0x1.679d0aaa4e357p-3, -0x1.60b2a29a8f7d2p-3, -0x1.59d65c1b9c378p-3, -0x1.5308edaf5cefdp-3, -0x1.4c4b02f051707p-3, -0x1.459d3ce02f198p-3, -0x1.3f003235f6006p-3, -0x1.38746fab71675p-3, -0x1.31fa784a0d8fdp-3, -0x1.2b92c5b6eeadcp-3, -0x1.253dc87e4493fp-3, -0x1.1efbe85db9aep-3, -0x1.18cd848e01ad7p-3, -0x1.12b2f40b72cd9p-3, -0x1.0cac85dd97353p-3, -0x1.06ba815dbc9edp-3, -0x1.00dd267c67025p-3, -0x1.f6295c0b50061p-4, -0x1.eac293c8a4aaep-4, -0x1.df864ac7ed4a2p-4, -0x1.d474cae3674c6p-4, -0x1.c98e51b798459p-4, -0x1.bed3111ff0e79p-4, -0x1.b4432fb0edd73p-4, -0x1.a9dec92faf5bp-4, -0x1.9fa5ef06f488bp-4, -0x1.9598a8b982eaep-4, -0x1.8bb6f451f03dap-4, -0x1.8200c6cfcc7fep-4, -0x1.78760c922ce01p-4, -0x1.6f16a9bf94b41p-4, -0x1.65e27aab3fd44p-4, -0x1.5cd95437cdfeap-4, -0x1.53fb043751055p-4, -0x1.4b4751c8c41ddp-4, -0x1.42bdfdb2ebc8dp-4, -0x1.3a5ec2bca6986p-4, -0x1.32295602b285dp-4, -0x1.2a1d674aeca55p-4, -0x1.223aa15511e6dp-4, -0x1.1a80aa290848p-4, -0x1.12ef2362b725fp-4, -0x1.0b85aa7b7699cp-4, -0x1.0443d91120142p-4, -0x1.fa528a558c65ep-5, -0x1.ec6b02f63c63ep-5, -0x1.ded03b4149475p-5, -0x1.d1814cc70e99p-5, -0x1.c47d4be2b815ap-5, -0x1.b7c3482d64ae9p-5, -0x1.ab524ced0bc0dp-5, -0x1.9f29617f3ff35p-5, -0x1.934789bfe1543p-5, -0x1.87abc66bd485cp-5, -0x1.7c55157fd741ep-5, -0x1.7142729385e7bp-5, -0x1.6672d730a5c81p-5, -0x1.5be53b26d1647p-5, -0x1.519894db95677p-5, -0x1.478bd9971751dp-5, -0x1.3dbdfdcd5e7d4p-5, -0x1.342df5644f4a1p-5, -0x1.2adab3f676ba3p-5, -0x1.21c32d12b2156p-5, -0x1.18e65478d4b8p-5, -0x1.10431e5354d84p-5, -0x1.07d87f6e1e37bp-5, -0x1.ff4adad53479fp-6, -0x1.ef51bde20c2bdp-6, -0x1.dfc397be53c55p-6, -0x1.d09e5ae905b65p-6, -0x1.c1dffcf7f6588p-6, -0x1.b38676e67706ap-6, -0x1.a58fc55f63739p-6, -0x1.97f9e902afc59p-6, -0x1.8ac2e6a6acf12p-6, -0x1.7de8c7951bf43p-6, -0x1.716999c43cfadp-6, -0x1.6543700bfaccap-6, -0x1.5974625757195p-6, -0x1.4dfa8dd233cb5p-6, -0x1.42d41513acbddp-6, -0x1.37ff20450afd7p-6, -0x1.2d79dd45843c6p-6, -0x1.23427fcadfd0ap-6, -0x1.1957417f23024p-6, -0x1.0fb6621b56f5cp-6, -0x1.065e277f9dad8p-6, -0x1.fa99bb91307d6p-7, -0x1.e901aec49abefp-7, -0x1.d7f0da3143cbp-7, -0x1.c763fc4b09f93p-7, -0x1.b757e079c1effp-7, -0x1.a7c95f2ce673ep-7, -0x1.98b55deb3afafp-7, -0x1.8a18cf5e93ad3p-7, -0x1.7bf0b35bfb1ffp-7, -0x1.6e3a16e84db6dp-7, -0x1.60f214398cd15p-7, -0x1.5415d2b505e9dp-7, -0x1.47a286ea7923fp-7, -0x1.3b95728c6f46bp-7, -0x1.2febe465d6a4ap-7, -0x1.24a3384d1abbap-7, -0x1.19b8d714d28e9p-7, -0x1.0f2a367a2a73fp-7, -0x1.04f4d9112afccp-7, -0x1.f62c9c5dfb34fp-8, -0x1.e31863a49e331p-8, -0x1.d0a85913d79fbp-8, -0x1.bed7e6b36bb86p-8, -0x1.ada28f3c1e29dp-8, -0x1.9d03eddba5068p-8, -0x1.8cf7b5f5f1b94p-8, -0x1.7d79b2e3fc6ep-8, -0x1.6e85c7b047fa7p-8, -0x1.6017eed147f0cp-8, -0x1.522c39e1d9445p-8, -0x1.44bed157f5325p-8, -0x1.37cbf439c97e2p-8, -0x1.2b4ff7d15c016p-8, -0x1.1f47475ede6f3p-8, -0x1.13ae63c9d9fb4p-8, -0x1.0881e3515071ap-8, -0x1.fb7ce275f0f1bp-9, -0x1.e6c19b035ca21p-9, -0x1.d2cb99067eb4ap-9, -0x1.bf94ad5b4afa2p-9, -0x1.ad16d057a246dp-9, -0x1.9b4c21243871p-9, -0x1.8a2ee514fde6fp-9, -0x1.79b9870132923p-9, -0x1.69e6969b61a73p-9, -0x1.5ab0c7c95982fp-9, -0x1.4c12f1fc5d85bp-9, -0x1.3e080f89a7dcdp-9, -0x1.308b3d0367b75p-9, -0x1.2397b8925ad92p-9, -0x1.1728e15022a55p-9, -0x1.0b3a36a276657p-9, -0x1.ff8eaf2e8be49p-10, -0x1.e9980483ea8abp-10, -0x1.d488263373ed8p-10, -0x1.c05708b2841b2p-10, -0x1.acfcdabf5a4bep-10, -0x1.9a720425e282bp-10, -0x1.88af2487826bfp-10, -0x1.77ad1226059f3p-10, -0x1.6764d8b1c44acp-10, -0x1.57cfb81b2df02p-10, -0x1.48e72367cfd78p-10, -0x1.3aa4bf8aedbdfp-10, -0x1.2d026241c3438p-10, -0x1.1ffa10f386ddcp-10, -0x1.1385ff953cf2bp-10, -0x1.07a08f9177402p-10, -0x1.f8889d67f0ecep-11, -0x1.e2d7ec32ca73bp-11, -0x1.ce24d245eecc8p-11, -0x1.ba6568dc975a3p-11, -0x1.a79019a296412p-11, -0x1.959b9cb475643p-11, -0x1.847ef6a7e8efp-11, -0x1.7431769ca076bp-11, -0x1.64aab4557a4b5p-11, -0x1.55e28e5a20a25p-11, -0x1.47d128210c8bcp-11, -0x1.3a6ee841f3338p-11, -0x1.2db476b096739p-11, -0x1.219abafff7976p-11, -0x1.161adaade2a07p-11, -0x1.0b2e3776cc6c4p-11, -0x1.00ce6db1f7589p-11, -0x1.edeaa56bad7acp-12, -0x1.db39e6894041ep-12, -0x1.c97f2401ff1e1p-12, -0x1.b8af4bd5bbee1p-12, -0x1.a8bfb1c8540edp-12, -0x1.99a60c7b221e5p-12, -0x1.8b5872962c371p-12, -0x1.7dcd5800e68eap-12, -0x1.70fb8b2a64a2ep-12, -0x1.64da3260c9395p-12, -0x1.5960c937ce74cp-12, -0x1.4e871dfe379ecp-12, -0x1.44454f41fb8d7p-12, -0x1.3a93c962fd512p-12, -0x1.316b44341c371p-12, -0x1.28c4c0aa713fdp-12, -0x1.2099869a814a5p-12, -0x1.18e3228335905p-12, -0x1.119b636661b59p-12, -0x1.0abc58aeaca17p-12, -0x1.044050229a60fp-12, -0x1.fc43a7c9227ccp-13, -0x1.f0b750ff2c18bp-13, -0x1.e5d196012d515p-13, -0x1.db88de38083bep-13, -0x1.d1d3fabf15b3p-13, -0x1.c8aa22df66bbap-13, -0x1.c002f0a269e64p-13, -0x1.b7d65d7b832f1p-13, -0x1.b01cbf083261ep-13, -0x1.a8cec3e65f869p-13, -0x1.a1e570a05589ep-13, -0x1.9b5a1cae110fcp-13, -0x1.95266f8b680a6p-13, -0x1.8f445de2b4835p-13, -0x1.89ae26cb88fe5p-13, -0x1.845e511d10c8ep-13, -0x1.7f4fa8d3b1edap-13, -0x1.7a7d3c898a1d7p-13, -0x1.75e25b016378cp-13, -0x1.717a90c3bc595p-13, -0x1.6d41a5cd7c52ap-13, -0x1.69339b4ff6f0ap-13, -0x1.654ca981dda07p-13, -0x1.61893d80ba145p-13, -0x1.5de5f742962afp-13, -0x1.5a5fa79773abep-13, -0x1.56f34e3a3b955p-13, -0x1.539e17f0bd646p-13, -0x1.505d5cba71c9ep-13, -0x1.4d2e9e0da2371p-13, -0x1.4a0f85229b308p-13, -0x1.46fde14c9a234p-13, -0x1.43f7a6601742ep-13, -0x1.40faeb2628c8dp-13, -0x1.3e05e7dc98e6p-13, -0x1.3b16f4c26f5b4p-13, -0x1.382c88b091f05p-13, -0x1.354537be36703p-13, -0x1.325fb1f0d5199p-13, -0x1.2f7ac1f751a6ep-13, -0x1.2c954bf00e5f9p-13, -0x1.29ae4c39a4bcep-13, -0x1.26c4d64df5464p-13, -0x1.23d813a74f97dp-13, -0x1.20e742af6b6b6p-13, -0x1.1df1b5b7e8c79p-13, -0x1.1af6d1fc23fdbp-13, -0x1.17f60eac09b2bp-13, -0x1.14eef3ffba4efp-13, -0x1.11e11a53b6939p-13, -0x1.0ecc294d5c968p-13, -0x1.0bafd7077531cp-13, -0x1.088be7469bdadp-13, -0x1.05602ab541d57p-13, -0x1.022c7e27196ap-13, -0x1.fde193c76d5fcp-14, -0x1.f75a01f039e95p-14, -0x1.f0c2411e3f13dp-14, -0x1.ea1a5ea09a04cp-14, -0x1.e362798a7347fp-14, -0x1.dc9ac18a02d78p-14, -0x1.d5c375cb74f8cp-14, -0x1.cedce3e78db3ep-14, -0x1.c7e766dd7e621p-14, -0x1.c0e36617aaac8p-14, -0x1.b9d1547b06829p-14, -0x1.b2b1af80af5b8p-14, -0x1.ab84fe596fb2cp-14, -0x1.a44bd11ae84a4p-14, -0x1.9d06bff5f2ee9p-14, -0x1.95b66a761dc6p-14, -0x1.8e5b76c9c3675p-14, -0x1.86f691129c0e2p-14, -0x1.7f886abe6e35ep-14, -0x1.7811b9e79c22dp-14, -0x1.709338bd4f79cp-14, -0x1.690da4f2f9397p-14, -0x1.6181bf36edb1fp-14, -0x1.59f04aafd7aacp-14, -0x1.525a0c80c910dp-14, -0x1.4abfcb53ae73cp-14, -0x1.43224ee9e89b6p-14, -0x1.3b825fb2d76f2p-14, -0x1.33e0c6681d122p-14, -0x1.2c3e4baf6721dp-14, -0x1.249bb7c186992p-14, -0x1.1cf9d216a782bp-14, -0x1.1559611776f08p-14, -0x1.0dbb29d306f04p-14, -0x1.061fefb942ea4p-14, -0x1.fd10e8b392b85p-15, -0x1.edeaee4df9a3bp-15, -0x1.decf6a7a4898ap-15, -0x1.cfbfd25ae2f4cp-15, -0x1.c0bd959989889p-15, -0x1.b1ca1e0c12507p-15, -0x1.a2e6cf60064fp-15, -0x1.941506ccd9846p-15, -0x1.85561acc7b6eep-15, -0x1.76ab5ad9f9d41p-15, -0x1.68160f35f32b1p-15, -0x1.599778b09b0b8p-15, -0x1.4b30d07910dc7p-15, -0x1.3ce347f1ce654p-15, -0x1.2eb00889f43e6p-15, -0x1.2098339b38b01p-15, -0x1.129ce24c4a28p-15, -0x1.04bf257767aa8p-15, -0x1.ee000b2a0976cp-16, -0x1.d2c105548284ep-16, -0x1.b7c3287613a6fp-16, -0x1.9d08527f63069p-16, -0x1.8292503bb1f25p-16, -0x1.6862dd48ec1eap-16, -0x1.4e7ba415af3fp-16, -0x1.34de3de4eeba1p-16, -0x1.1b8c32d6ed94bp-16, -0x1.0286f9f749658p-16, -0x1.d39ff29f7cd37p-17, -0x1.a2d10bfeebc6fp-17, -0x1.72a3c8ad039b9p-17, -0x1.431a8feac9cbap-17, -0x1.1437a7e0908f3p-17, -0x1.cbfa6bd6ff67p-18, -0x1.70da7de3444f2p-18, -0x1.17134f7838505p-18, -0x1.7d50d55c6cdcp-19, -0x1.9e746bb8cc5b7p-20, -0x1.1f46dc62af633p-22, 0x1.093b30e524e48p-20, 0x1.2a53fd2dd376ep-19, 0x1.cd35a0060031dp-19, 0x1.369f21626c6f7p-18, 0x1.85350cd335ed4p-18, 0x1.d25ae4ab2f0f2p-18, 0x1.0f079938a34c8p-17, 0x1.34285ae907801p-17, 0x1.588f31c80170fp-17, 0x1.7c3bb23801f3fp-17, 0x1.9f2d8a114ca1fp-17, 0x1.c16480152ae75p-17, 0x1.e2e0735fecb0fp-17, 0x1.01d0ad6cf64d3p-16, 0x1.11d3a253eba98p-16, 0x1.21792acd22509p-16, 0x1.30c1644e7c3e1p-16, 0x1.3fac7712f0edfp-16, 0x1.4e3a95d1ff135p-16, 0x1.5c6bfd772b478p-16, 0x1.6a40f4d99cfcfp-16, 0x1.77b9cc73e3ccp-16, 0x1.84d6de1c0134bp-16, 0x1.91988cbbc0eadp-16, 0x1.9dff44096ca5dp-16, 0x1.aa0b7840f1ca5p-16, 0x1.b5bda5dd7b16cp-16, 0x1.c11651539844ap-16, 0x1.cc1606cbf0032p-16, 0x1.d6bd59de991e1p-16, 0x1.e10ce54f122bdp-16, 0x1.eb054ac8f6be9p-16, 0x1.f4a7329d65d7dp-16, 0x1.fdf34b8130ae5p-16, 0x1.03752525eb68bp-15, 0x1.07c674dba8308p-15, 0x1.0bedf5105c8cbp-15, 0x1.0fec08a4e9c46p-15, 0x1.13c1150dbbf3ep-15, 0x1.176d823476905p-15, 0x1.1af1ba5a16bbfp-15, 0x1.1e4e29f9929f7p-15, 0x1.21833faaf1d1bp-15, 0x1.24916c06e54a8p-15, 0x1.2779218addcb2p-15, 0x1.2a3ad47da39ecp-15, 0x1.2cd6fad46cd13p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d1f37c1fb8d6ep-1, 0x1.cdad4173d0db1p-1, 0x1.c945034bf112cp-1, 0x1.c4bcc54992725p-1, 0x1.c01685c5f4591p-1, 0x1.bb543c91834ddp-1, 0x1.b677d9d7d83a4p-1, 0x1.b1834525af07cp-1, 0x1.ac785c8e56039p-1, 0x1.a758f3ee2fdb9p-1, 0x1.a226d4480a797p-1, 0x1.9ce3bb3b2a418p-1, 0x1.97915a9009572p-1, 0x1.923157d9edb4cp-1, 0x1.8cc54c2b94d66p-1, 0x1.874ec3dd4fd92p-1, 0x1.81cf3e630a9dp-1, 0x1.7c482e30cb989p-1, 0x1.76baf8ac5c23ap-1, 0x1.7128f62ad1c8fp-1, 0x1.6b9371f8d9365p-1, 0x1.65fbaa6ca441ep-1, 0x1.6062d1007ecadp-1, 0x1.5aca0a751a1acp-1, 0x1.55326efaab66dp-1, 0x1.4f9d0a6014024p-1, 0x1.4a0adc4750de2p-1, 0x1.447cd85e7f6e6p-1, 0x1.3ef3e69cd5033p-1, 0x1.3970e382f30cbp-1, 0x1.33f4a05e08b13p-1, 0x1.2e7fe38d49a49p-1, 0x1.291368c93ce8cp-1, 0x1.23afe16c819bep-1, 0x1.1e55f4bda0b76p-1, 0x1.190640399a9afp-1, 0x1.13c157dedc62ap-1, 0x1.0e87c67856e21p-1, 0x1.095a0de877f05p-1, 0x1.0438a773ca32dp-1, 0x1.fe480816144e3p-2, 0x1.f439192905c91p-2, 0x1.ea45446916e5cp-2, 0x1.e06d3d29fdc46p-2, 0x1.d6b1a857301a5p-2, 0x1.cd131cfe1c1edp-2, 0x1.c39224d5caadfp-2, 0x1.ba2f3cc3b72dep-2, 0x1.b0ead55dc737ep-2, 0x1.a7c553694813bp-2, 0x1.9ebf1056e22e7p-2, 0x1.95d85abb6bafap-2, 0x1.8d1176c5a0c48p-2, 0x1.846a9eb0a900cp-2, 0x1.7be4033379aap-2, 0x1.737dcbed066a9p-2, 0x1.6b3817cd50b0fp-2, 0x1.6312fd7b53194p-2, 0x1.5b0e8bb7d36ddp-2, 0x1.532ac9bd25ce1p-2, 0x1.4b67b79beaa81p-2, 0x1.43c54e94d759ap-2, 0x1.3c43816f8ec15p-2, 0x1.34e23ccea3404p-2, 0x1.2da16780c7748p-2, 0x1.2680e2cf42c81p-2, 0x1.1f808ac9b706cp-2, 0x1.18a0368f49e32p-2, 0x1.11dfb895400e2p-2, 0x1.0b3edeeb1b07bp-2, 0x1.04bd737c4d021p-2, 0x1.fcb6789f1c90ap-3, 0x1.f02ff787d284fp-3, 0x1.e3e6e19714962p-3, 0x1.d7daae48cab9cp-3, 0x1.cc0acf1d7f57dp-3, 0x1.c076b003583d2p-3, 0x1.b51db7bb1bff4p-3, 0x1.a9ff483958f11p-3, 0x1.9f1abf03c8ea3p-3, 0x1.946f758b1c1bbp-3, 0x1.89fcc181357f4p-3, 0x1.7fc1f52bfeb3ap-3, 0x1.75be5fb4f04dep-3, 0x1.6bf14d75592cep-3, 0x1.625a083f8c648p-3, 0x1.58f7d7a50e619p-3, 0x1.4fca0139caf3ap-3, 0x1.46cfc8d4792dap-3, 0x1.3e0870cc3eb5ap-3, 0x1.35733a33a4fc1p-3, 0x1.2d0f6510fc80bp-3, 0x1.24dc309439939p-3, 0x1.1cd8db4a6b1f2p-3, 0x1.1504a34ecefeep-3, 0x1.0d5ec679a6316p-3, 0x1.05e6828ccf0dbp-3, 0x1.fd362abc8505dp-4, 0x1.eef77a00f3526p-4, 0x1.e10f6fd1ac0f7p-4, 0x1.d37c8a283a8b3p-4, 0x1.c63d48521795ep-4, 0x1.b9502b32413f7p-4, 0x1.acb3b57f434eep-4, 0x1.a0666bfde377ep-4, 0x1.9466d5b87e528p-4, 0x1.88b37c33402fdp-4, 0x1.7d4aeb9d480acp-4, 0x1.722bb2fed81e7p-4, 0x1.67546464a96bfp-4, 0x1.5cc395087dcd3p-4, 0x1.5277dd7709bep-4, 0x1.486fd9b34bab6p-4, 0x1.3eaa29576a782p-4, 0x1.35256fb330808p-4, 0x1.2be053e83c9efp-4, 0x1.22d98103f98e4p-4, 0x1.1a0fa61776edcp-4, 0x1.1181764d349ddp-4, 0x1.092da8fcf5eb9p-4, 0x1.0112f9bdb03edp-4, 0x1.f26050eb514b5p-5, 0x1.e307f2d1a61dep-5, 0x1.d41a6a8b0830dp-5, 0x1.c595525f11394p-5, 0x1.b7764d9367c93p-5, 0x1.a9bb087beb748p-5, 0x1.9c6138880c29dp-5, 0x1.8f669c4d74db5p-5, 0x1.82c8fb9023266p-5, 0x1.768627480820cp-5, 0x1.6a9bf9a455794p-5, 0x1.5f08560c8ed9bp-5, 0x1.53c9291f7d17ep-5, 0x1.48dc68b01a6ebp-5, 0x1.3e4013c09768bp-5, 0x1.33f2327b8d404p-5, 0x1.29f0d62b7816dp-5, 0x1.203a19308dc6bp-5, 0x1.16cc1ef50d1afp-5, 0x1.0da513e0164fep-5, 0x1.04c32d47279b4p-5, 0x1.f84952bc979b2p-6, 0x1.e78f9e4e2e65ap-6, 0x1.d755dcbcfa822p-6, 0x1.c798bed333a4p-6, 0x1.b8550682f5d87p-6, 0x1.a98786bbfb84p-6, 0x1.9b2d233fa0469p-6, 0x1.8d42d0734c6f8p-6, 0x1.7fc593316acap-6, 0x1.72b28098fd287p-6, 0x1.6606bddbfd6d9p-6, 0x1.59bf800c9437dp-6, 0x1.4dda0be94f68dp-6, 0x1.4253b5a863cabp-6, 0x1.3729e0c2213bp-6, 0x1.2c59ffbaa49e7p-6, 0x1.21e193eae52a6p-6, 0x1.17be2d492c803p-6, 0x1.0ded6a3117dbfp-6, 0x1.046cf72b2b7d2p-6, 0x1.f6751d6821d2cp-7, 0x1.e4a7f20721db4p-7, 0x1.d36e17a6b5e99p-7, 0x1.c2c3544b50f5ep-7, 0x1.b2a3881798314p-7, 0x1.a30aacd97b7acp-7, 0x1.93f4d59761887p-7, 0x1.855e2e1d7307p-7, 0x1.7742fa8b429c4p-7, 0x1.699f96e1bb48p-7, 0x1.5c70769195e0cp-7, 0x1.4fb2240a4798bp-7, 0x1.436140499b826p-7, 0x1.377a826bf4d34p-7, 0x1.2bfab73d51662p-7, 0x1.20dec0cb236dp-7, 0x1.162395f7095d1p-7, 0x1.0bc6420a765f7p-7, 0x1.01c3e44b59363p-7, 0x1.f0335f2397b69p-8, 0x1.dd89d3bdb301ep-8, 0x1.cb85d7e8c8c0bp-8, 0x1.ba2241dc6bcb8p-8, 0x1.a95a0bb8839edp-8, 0x1.992852bc48d16p-8, 0x1.8988567fc97f9p-8, 0x1.7a75782fffcd3p-8, 0x1.6beb39cd86e0ap-8, 0x1.5de53d6dfe1ap-8, 0x1.505f44801c7fbp-8, 0x1.43552f12858abp-8, 0x1.36c2fb1d5da37p-8, 0x1.2aa4c3cead816p-8, 0x1.1ef6c0d9922d2p-8, 0x1.13b545c841cf3p-8, 0x1.08dcc150e8f3dp-8, 0x1.fcd3795ac116ap-9, 0x1.e8b1b5eb7e61dp-9, 0x1.d54db0fb8dad9p-9, 0x1.c2a1146a5c001p-9, 0x1.b0a5ba158a30dp-9, 0x1.9f55aaa4eac2ep-9, 0x1.8eab1c5c2c27fp-9, 0x1.7ea071f2350dep-9, 0x1.6f30396e1c327p-9, 0x1.60552b09c1edp-9, 0x1.520a2819fa8cdp-9, 0x1.444a39fc4629ap-9, 0x1.3710910a0473cp-9, 0x1.2a58839120923p-9, 0x1.1e1d8cd2254cbp-9, 0x1.125b4c03aa4d9p-9, 0x1.070d835b1299dp-9, 0x1.f8602e351a1a4p-10, 0x1.e37e1948864ap-10, 0x1.cf6d13255fd3fp-10, 0x1.bc25a5ac06c2cp-10, 0x1.a9a097ad23ef1p-10, 0x1.97d6eb3861d79p-10, 0x1.86c1dbf4ee99fp-10, 0x1.765add83a4253p-10, 0x1.669b99eaabdc9p-10, 0x1.577df00a83c5fp-10, 0x1.48fbf21c371a1p-10, 0x1.3b0fe438b953ap-10, 0x1.2db43ae9226efp-10, 0x1.20e399bfc599dp-10, 0x1.1498d1f9e7c6dp-10, 0x1.08cee12a0300ep-10, 0x1.fb01dfd4ba24ap-11, 0x1.e554a12fbefa3p-11, 0x1.d08cfc2a05a6p-11, 0x1.bca235294e141p-11, 0x1.a98bdcd970f98p-11, 0x1.9741cde0f1e1dp-11, 0x1.85bc2aa494286p-11, 0x1.74f35b19a7e21p-11, 0x1.64e00aa6c54d3p-11, 0x1.557b2612aebacp-11, 0x1.46bdd98111c75p-11, 0x1.38a18e7cdf28cp-11, 0x1.2b1fea0ff1aeap-11, 0x1.1e32cae7c0746p-11, 0x1.11d44786d316p-11, 0x1.05feac82b626bp-11, 0x1.f558f59c52dd9p-12, 0x1.dfb0cc1e8937p-12, 0x1.cafaa602a05c6p-12, 0x1.b72cabc422b8cp-12, 0x1.a43d61d4877fdp-12, 0x1.9223a5a20df01p-12, 0x1.80d6aab3f226bp-12, 0x1.704df7db8d2e2p-12, 0x1.60816479d591cp-12, 0x1.516915d8d7faap-12, 0x1.42fd7c989c395p-12, 0x1.3537522f12c0bp-12, 0x1.280f967a88df4p-12, 0x1.1b7f8d663a532p-12, 0x1.0f80bca08b216p-12, 0x1.040ce962798d9p-12, 0x1.f23c2c8fc3e91p-13, 0x1.dd5d0270445p-13, 0x1.c97142bd751f4p-13, 0x1.b66e4a66fba4bp-13, 0x1.a449e123e56b4p-13, 0x1.92fa35befbd2p-13, 0x1.8275da7feed77p-13, 0x1.72b3c1b09008cp-13, 0x1.63ab3a3d66bdp-13, 0x1.5553ec70e8907p-13, 0x1.47a5d6c89ac6ep-13, 0x1.3a994ae375f2dp-13, 0x1.2e26ea88d33afp-13, 0x1.2247a4c74a1fdp-13, 0x1.16f4b32acb829p-13, 0x1.0c2797095b664p-13, 0x1.01da16e5d4ccdp-13, 0x1.f00c77d0191bcp-14, 0x1.dd4c9ed392ac9p-14, 0x1.cb69b12ff132ap-14, 0x1.ba59344f140d5p-14, 0x1.aa11203ad6a2p-14, 0x1.9a87db523518bp-14, 0x1.8bb4362283472p-14, 0x1.7d8d6763b400bp-14, 0x1.700b0816b5dadp-14, 0x1.63250fc4e1a0fp-14, 0x1.56d3d0df87fefp-14, 0x1.4b0ff53eaf82fp-14, 0x1.3fd27abe186afp-14, 0x1.3514aff7a1d09p-14, 0x1.2ad0311a335ap-14, 0x1.20fee4dc51feap-14, 0x1.179af9898b211p-14, 0x1.0e9ee229ea6dep-14, 0x1.060553c2afa76p-14, 0x1.fb92855f02e86p-15, 0x1.ebcbc026bc1d3p-15, 0x1.dcad2ec123ce9p-15, 0x1.ce2e17edf7e3fp-15, 0x1.c0462dafe66c3p-15, 0x1.b2ed88de3dcc6p-15, 0x1.a61ca4df38522p-15, 0x1.99cc5b899dd24p-15, 0x1.8df5e12c7cd59p-15, 0x1.8292c0bbc7478p-15, 0x1.779cd820ae19p-15, 0x1.6d0e54ac8bc2bp-15, 0x1.62e1afad52502p-15, 0x1.5911ab225a349p-15, 0x1.4f994e90938b6p-15, 0x1.4673e3f50a787p-15, 0x1.3d9cf4d4c94d8p-15, 0x1.3510476920934p-15, 0x1.2cc9dbe7627dbp-15, 0x1.24c5e9e331b1p-15, 0x1.1d00ddca77b7cp-15, 0x1.1577567a33a25p-15, 0x1.0e2622eb3ffecp-15, 0x1.070a3ff64f676p-15, 0x1.0020d62e4a021p-15, 0x1.f2ce6fa0a6ef5p-16, 0x1.e5b5bd916e65ep-16, 0x1.d8f2d5980ef27p-16, 0x1.cc813f0772d7ap-16, 0x1.c05cc59b2aa8p-16, 0x1.b481761aa6aadp-16, 0x1.a8eb9b1f83591p-16, 0x1.9d97b9fdac9e1p-16, 0x1.92828fcc2c19dp-16, 0x1.87a90e8d7af3dp-16, 0x1.7d085a762e5fcp-16, 0x1.729dc750fc225p-16, 0x1.6866d5fef906ap-16, 0x1.5e613213139d5p-16, 0x1.548aaf87d13d9p-16, 0x1.4ae1488e561dcp-16, 0x1.41631b75cb731p-16, 0x1.380e68aa409c8p-16, 0x1.2ee190ca26875p-16, 0x1.25db12d192e4cp-16, 0x1.1cf98a5a769e9p-16, 0x1.143badf102d34p-16, 0x1.0ba04d7b74c0ap-16, 0x1.032650b497592p-16, 0x1.f5996b706011dp-17, 0x1.e5251f4180223p-17, 0x1.d4ee0a6bb2b75p-17, 0x1.c4f29f54ebe49p-17, 0x1.b53172d53ec79p-17, 0x1.a5a939efbbd0fp-17, 0x1.9658c7a7a17bbp-17, 0x1.873f0af0c4fd3p-17, 0x1.785b0cba1b57cp-17, 0x1.69abee115df6ep-17, 0x1.5b30e65ec319fp-17, 0x1.4ce941b7cdd9ap-17, 0x1.3ed45f484a718p-17, 0x1.30f1afd08800ap-17, 0x1.2340b437f5222p-17, 0x1.15c0fc334294fp-17, 0x1.087224fd3b698p-17, 0x1.f6a7b04313a09p-18, 0x1.dccb94b14b182p-18, 0x1.c34f74e85fec3p-18, 0x1.aa32e0b613713p-18, 0x1.91757828e492ep-18, 0x1.7916e9c3171b5p-18, 0x1.6116f0c939466p-18, 0x1.497553aaf53ddp-18, 0x1.3231e284fd8b2p-18, 0x1.1b4c75baf7707p-18, 0x1.04c4eca848fa3p-18, 0x1.dd3658cd7c523p-19, 0x1.b19e3d5410452p-19, 0x1.86c1615e31868p-19, 0x1.5c9fa47cd745dp-19, 0x1.3338e980b8952p-19, 0x1.0a8d14c54bd2fp-19, 0x1.c5381538ee466p-20, 0x1.76cb5bb2b15a8p-20, 0x1.29d3bcf13d416p-20, 0x1.bca1e193c6b28p-21, 0x1.28854958366a9p-21, 0x1.2ea1e649467d9p-22, 0x1.208088ae6c284p-26, -0x1.04c4fc097c0a6p-22, -0x1.0ae3b19242749p-21, -0x1.9080da0fdd632p-21, -0x1.099db1b68f2c4p-20, -0x1.498a7200e2dafp-20, -0x1.88078f372169ap-20, -0x1.c516019da2ea8p-20, -0x1.005b6c8efcf2dp-19, -0x1.1d759eed9dd11p-19, -0x1.39da385594997p-19, -0x1.5589e5bae56a2p-19, -0x1.708560be94ad7p-19, -0x1.8acd6fc7433d4p-19, -0x1.a462e60f4f19dp-19, -0x1.bd46a3a91eb9bp-19, -0x1.d579957a3d8a6p-19, -0x1.ecfcb52df03bap-19, -0x1.01e8848fe8c31p-18, -0x1.0cfbd21f87ce8p-18, -0x1.17b8d2f565b53p-18, -0x1.22201ce414476p-18, -0x1.2c324bc941ddp-18, -0x1.35f00173255e6p-18, -0x1.3f59e583743a9p-18, -0x1.4870a5501676ep-18, -0x1.5134f3c1d0c1dp-18, -0x1.59a789310f7cbp-18, -0x1.61c92341080d1p-18, -0x1.699a84b955a64p-18, -0x1.711c755e41ab9p-18, -0x1.784fc1c7db20ap-18, -0x1.7f353b3804599p-18, -0x1.85cdb76f99ccp-18, -0x1.8c1a1082d6524p-18, -0x1.921b24ad108b1p-18, -0x1.97d1d623f10cp-18, -0x1.9d3f0aea3f156p-18, -0x1.a263aca25e966p-18, -0x1.a740a8609364fp-18, -0x1.abd6ee7d29f0dp-18, -0x1.b027726693921p-18, -0x1.b4332a7390637p-18, -0x1.b7fb0fb577aa6p-18, -0x1.bb801dcab1881p-18, -0x1.bec352b1741d4p-18, -0x1.c1c5ae9ad2896p-18, -0x1.c48833be2c2e2p-18, -0x1.c70be62d0ca65p-18, -0x1.c951cba785a87p-18, -0x1.cb5aeb71113e3p-18, -0x1.cd284e26058acp-18, -0x1.cebafd91a5f0ap-18, -0x1.d0140484d7a4dp-18, -0x1.d1346ead85367p-18, -0x1.d21d486eb83fep-18, -0x1.d2cf9eb96c6cfp-18, -0x1.d34c7ee6283b1p-18, -0x1.d394f68f5bbcdp-18, -0x1.d3aa136c8bb87p-18, -0x1.d38ce32e50e9fp-18, -0x1.d33e735b28864p-18, -0x1.d2bfd12d206p-18, -0x1.d21209705d3d3p-18, -0x1.d13628627cce8p-18, -0x1.d02d3992da7cep-18, -0x1.cef847c3b1dd9p-18, -0x1.cd985ccc24d95p-18, -0x1.cc0e817b24aa9p-18, -0x1.ca5bbd7b3b635p-18, -0x1.c88117373bbedp-18, -0x1.c67f93bfd09dfp-18, -0x1.c45836b1f0379p-18, -0x1.c20c021e301a4p-18, -0x1.bf9bf670f7fbfp-18, -0x1.bd09125b9511p-18, -0x1.ba5452be294f1p-18, -0x1.b77eb29275748p-18, -0x1.b4892ad77c62ap-18, -0x1.b174b27dfea4bp-18, -0x1.ae423e55c8a8bp-18, -0x1.aaf2c0fbd5af8p-18, -0x1.a7872ac93df04p-18, -0x1.a40069c2f691p-18, -0x1.a05f698a56c5cp-18, -0x1.9ca5134e66fbap-18, -0x1.98d24dbdf122p-18, -0x1.94e7fcfa53818p-18, -0x1.90e7028b0e58cp-18, -0x1.8cd03d520dfa4p-18, -0x1.88a48980a7e7ap-18, -0x1.8464c08d4dccap-18, -0x1.8011b929ee47ap-18, -0x1.7bac473b00e79p-18, -0x1.77353bcf3ba4dp-18, -0x1.72ad6517ebc6cp-18, -0x1.6e158e61efe9p-18, -0x1.696e800f4f5f9p-18, -0x1.64b8ff916a152p-18, -0x1.5ff5cf63c097fp-18, -0x1.5b25af0749f6cp-18, -0x1.56495afe5ce64p-18, -0x1.51618cc91f37dp-18, -0x1.4c6efae27f5f7p-18, -0x1.477258bdb0424p-18, -0x1.426c56c423434p-18, -0x1.3d5da25401221p-18, -0x1.3846e5bf19073p-18, -0x1.3328c84a45bbfp-18, -0x1.2e03ee2d4395dp-18, -0x1.28d8f892f47cp-18, -0x1.23a8859a0e929p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6ec3cdf753da9p-3, -0x1.85a13dc13b799p-3, -0x1.9ca395221e04p-3, -0x1.b3bbec8afd74bp-3, -0x1.cadb71e55f41cp-3, -0x1.e1f386c06ddf8p-3, -0x1.f8f5da5b2c5a2p-3, -0x1.07ea3ff0640e2p-2, -0x1.134100955e86ep-2, -0x1.1e78b72cb131ep-2, -0x1.298b3547e042bp-2, -0x1.34729b0d83364p-2, -0x1.3f295b24b73e9p-2, -0x1.49aa3d97b6c1dp-2, -0x1.53f061cab65f6p-2, -0x1.5df73fa1de1c3p-2, -0x1.67baa7eef36fcp-2, -0x1.7136c43d4f248p-2, -0x1.7a681610aea13p-2, -0x1.834b75a9ad633p-2, -0x1.8bde1060fe47dp-2, -0x1.941d66a8e6c1dp-2, -0x1.9c0749c30dfbfp-2, -0x1.a399d93758a9p-2, -0x1.aad380174cb85p-2, -0x1.b1b2f2184fb81p-2, -0x1.b837288e0fa2ap-2, -0x1.be5f5f4d5c318p-2, -0x1.c42b117ee5751p-2, -0x1.c999f6686d1c6p-2, -0x1.ceabfe324afebp-2, -0x1.d3614eae5eaebp-2, -0x1.d7ba4024f9d0ep-2, -0x1.dbb75a2ba75ccp-2, -0x1.df59508931523p-2, -0x1.e2a10029d6462p-2, -0x1.e58f6c2612faep-2, -0x1.e825bade1ac7bp-2, -0x1.ea65332ba5e6bp-2, -0x1.ec4f39ab734e6p-2, -0x1.ede54e1f8f34cp-2, -0x1.ef2908eb20311p-2, -0x1.f01c18a85397cp-2, -0x1.f0c03fd8b609p-2, -0x1.f11752b0250d1p-2, -0x1.f12334fa51d45p-2, -0x1.f0e5d81ab029bp-2, -0x1.f061392688248p-2, -0x1.ef975f18c1ecbp-2, -0x1.ee8a591ef777cp-2, -0x1.ed3c3cff34804p-2, -0x1.ebaf2595c9ea1p-2, -0x1.e9e5316a8354ep-2, -0x1.e7e0815c88c8dp-2, -0x1.e5a3376429374p-2, -0x1.e32f7569ca18ep-2, -0x1.e0875c312c937p-2, -0x1.ddad0a58400ap-2, -0x1.daa29b68ae1afp-2, -0x1.d76a26fb570fcp-2, -0x1.d405bfecee44ap-2, -0x1.d07773a2ed1bdp-2, -0x1.ccc149601a169p-2, -0x1.c8e541a7d791ep-2, -0x1.c4e555af88e9p-2, -0x1.c0c376dd47a4p-2, -0x1.bc818e533f5f1p-2, -0x1.b8217c86fa56p-2, -0x1.b3a518e3fbd9cp-2, -0x1.af0e317904a4bp-2, -0x1.aa5e8aaf63286p-2, -0x1.a597df0bbc0fap-2, -0x1.a0bbdef7b9d24p-2, -0x1.9bcc309419b0dp-2, -0x1.96ca6f9295ad7p-2, -0x1.91b82d17263ddp-2, -0x1.8c96efa028ecbp-2, -0x1.876832f4fd171p-2, -0x1.822d681a9e41ep-2, -0x1.7ce7f54de01dep-2, -0x1.77993602e3fe3p-2, -0x1.72427ae967dfap-2, -0x1.6ce509f59ef6cp-2, -0x1.67821e6d3372bp-2, -0x1.621ae8f82d494p-2, -0x1.5cb08fb5684a1p-2, -0x1.57442e5259b21p-2, -0x1.51d6d625dcaeap-2, -0x1.4c698e4dc6ec6p-2, -0x1.46fd53cf087f3p-2, -0x1.419319b81ed8bp-2, -0x1.3c2bc945a2818p-2, -0x1.36c84208bd017p-2, -0x1.31695a0f5857fp-2, -0x1.2c0fde0dd7a4p-2, -0x1.26bc918a30f5cp-2, -0x1.21702f083c4fp-2, -0x1.1c2b68371584ap-2, -0x1.16eee61f67a89p-2, -0x1.11bb495286b97p-2, -0x1.0c912a1a3153p-2, -0x1.077118a8e1befp-2, -0x1.025b9d4a8d69fp-2, -0x1.faa2712b77bcp-3, -0x1.f0a4c739b157fp-3, -0x1.e6bf203f5e3a3p-3, -0x1.dcf25179e70d4p-3, -0x1.d33f22478dcc4p-3, -0x1.c9a64c8a49e13p-3, -0x1.c0287d0a5275bp-3, -0x1.b6c653d82d9e5p-3, -0x1.ad8064ae364e3p-3, -0x1.a457375168b16p-3, -0x1.9b4b47f166db8p-3, -0x1.925d07879e0a7p-3, -0x1.898cdc35686d3p-3, -0x1.80db21a12708cp-3, -0x1.78482952308b8p-3, -0x1.6fd43b0b934d9p-3, -0x1.677f9525874d8p-3, -0x1.5f4a6ce59653dp-3, -0x1.5734eed5570b6p-3, -0x1.4f3f3f17c1398p-3, -0x1.476979bd05f7ep-3, -0x1.3fb3b314e78a6p-3, -0x1.381df7ff7c97p-3, -0x1.30a84e3c6bf01p-3, -0x1.2952b4b888507p-3, -0x1.221d23d9c965fp-3, -0x1.1b078dc9aaf68p-3, -0x1.1411debdd97d6p-3, -0x1.0d3bfd3f3b368p-3, -0x1.0685ca6f4945ep-3, -0x1.ffde44977c85fp-4, -0x1.f2efb7e119eb7p-4, -0x1.e63f93b06c49bp-4, -0x1.d9cd7434c45f7p-4, -0x1.cd98ed51ac69p-4, -0x1.c1a18b15762a3p-4, -0x1.b5e6d22c71fd9p-4, -0x1.aa684050e242cp-4, -0x1.9f254cb79b55ep-4, -0x1.941d687970ca9p-4, -0x1.894ffef960131p-4, -0x1.7ebc764790af8p-4, -0x1.74622f812e767p-4, -0x1.6a40872d24a76p-4, -0x1.6056d595caaap-4, -0x1.56a46f1f8767ap-4, -0x1.4d28a49c7a8c3p-4, -0x1.43e2c39d363dfp-4, -0x1.3ad216be956eap-4, -0x1.31f5e5f4bc252p-4, -0x1.294d76d34d2f1p-4, -0x1.20d80cd2e5962p-4, -0x1.1894e993e6d2dp-4, -0x1.10834d1ea207bp-4, -0x1.08a27620eea66p-4, -0x1.00f1a2293bf9cp-4, -0x1.f2e01bbe5a203p-5, -0x1.e439ea7393278p-5, -0x1.d5ef2766abbbcp-5, -0x1.c7fe48f5bb64cp-5, -0x1.ba65c54704b7dp-5, -0x1.ad2412a32fe2p-5, -0x1.a037a7cb454bcp-5, -0x1.939efc4a7fe92p-5, -0x1.875888c41a64ap-5, -0x1.7b62c73d29cc6p-5, -0x1.6fbc3362addbcp-5, -0x1.64634acbe65e3p-5, -0x1.59568d39145e5p-5, -0x1.4e947cceb96d7p-5, -0x1.441b9e4d77d85p-5, -0x1.39ea7946a9401p-5, -0x1.2fff984dc6adbp-5, -0x1.26598926bfbp-5, -0x1.1cf6dcf157babp-5, -0x1.13d62851a04ccp-5, -0x1.0af60395af88p-5, -0x1.02550ad8a693bp-5, -0x1.f3e3bc46423ecp-6, -0x1.e39643124be73p-6, -0x1.d3befa8b60f7cp-6, -0x1.c45b3ba7d184p-6, -0x1.b568680c42d87p-6, -0x1.a6e3ea356102dp-6, -0x1.98cb359d723ap-6, -0x1.8b1bc6ddf2dabp-6, -0x1.7dd323cd6bee9p-6, -0x1.70eedb999d926p-6, -0x1.646c86de32b7ap-6, -0x1.5849c7b81a65ep-6, -0x1.4c8449d5ade48p-6, -0x1.4119c283d0225p-6, -0x1.3607f0b8195a4p-6, -0x1.2b4c9d183d66fp-6, -0x1.20e599fed210cp-6, -0x1.16d0c37d82b54p-6, -0x1.0d0bff5ce3f22p-6, -0x1.03953d19ff407p-6, -0x1.f4d4ebc35cdb3p-7, -0x1.e3135913de1b7p-7, -0x1.d1e1db12795d4p-7, -0x1.c13c9dd830feep-7, -0x1.b11fe091a170dp-7, -0x1.a187f56351abap-7, -0x1.9271414adbd05p-7, -0x1.83d83bfd3cc3dp-7, -0x1.75b96fc262b1fp-7, -0x1.6811794e2d226p-7, -0x1.5add079712b3p-7, -0x1.4e18dbaa77b85p-7, -0x1.41c1c87f0d07bp-7, -0x1.35d4b2c529d31p-7, -0x1.2a4e90b56d4b7p-7, -0x1.1f2c69ddb422bp-7, -0x1.146b56ec8cdbcp-7, -0x1.0a08817b4a6d4p-7, -0x1.000123d6d3571p-7, -0x1.eca5118e97f5dp-8, -0x1.d9f416ad72b7ep-8, -0x1.c7ea2d2d6d2a5p-8, -0x1.b6824acab2a29p-8, -0x1.a5b78462b9417p-8, -0x1.95850d7b586d7p-8, -0x1.85e637c8ca9c7p-8, -0x1.76d672b2ca46fp-8, -0x1.68514ad8f1fc7p-8, -0x1.5a5269968700fp-8, -0x1.4cd59485d66c7p-8, -0x1.3fd6ad03491b9p-8, -0x1.3351afb04f5f4p-8, -0x1.2742b3f6470c5p-8, -0x1.1ba5eb89789ebp-8, -0x1.1077a1ec4d391p-8, -0x1.05b43bf2d2e43p-8, -0x1.f6b06e8d63eacp-9, -0x1.e2c053d743ee7p-9, -0x1.cf9183890286cp-9, -0x1.bd1d8832336ffp-9, -0x1.ab5e1a3965cddp-9, -0x1.9a4d1eeaf1018p-9, -0x1.89e4a789a902cp-9, -0x1.7a1ef061872f8p-9, -0x1.6af65fdc725bp-9, -0x1.5c6585993ee0fp-9, -0x1.4e6719850883ap-9, -0x1.40f5faf6f5486p-9, -0x1.340d2fce855ap-9, -0x1.27a7e3947741bp-9, -0x1.1bc1669e647fp-9, -0x1.10552d3518be7p-9, -0x1.055ecebdbeb4ap-9, -0x1.f5b409cbe1616p-10, -0x1.e18555a563ef1p-10, -0x1.ce2978a4cdb68p-10, -0x1.bb98aa23a1422p-10, -0x1.a9cb5fa82fce3p-10, -0x1.98ba4b5bd8974p-10, -0x1.885e5a87826f7p-10, -0x1.78b0b4165d1bfp-10, -0x1.69aab71eea7bep-10, -0x1.5b45f972629c2p-10, -0x1.4d7c46326bf67p-10, -0x1.40479c6d355f3p-10, -0x1.33a22dbfeadf5p-10, -0x1.27865cff8b1d3p-10, -0x1.1beebce80fd02p-10, -0x1.10d60ed1fd839p-10, -0x1.0637416e36a25p-10, -0x1.f81adf1056776p-11, -0x1.e4a7bd9c790efp-11, -0x1.d20bfd40dde7bp-11, -0x1.c03ecdca87cbfp-11, -0x1.af37adc98128dp-11, -0x1.9eee68531fef7p-11, -0x1.8f5b12d06a3e9p-11, -0x1.80760ad87f3aep-11, -0x1.7237f416e8641p-11, -0x1.6499b63db4534p-11, -0x1.57947b033b228p-11, -0x1.4b21ac2b6e18p-11, -0x1.3f3af19c8cf8dp-11, -0x1.33da2f7f21b78p-11, -0x1.28f984691b88dp-11, -0x1.1e934793e75f2p-11, -0x1.14a2071d5db68p-11, -0x1.0b20865360c3dp-11, -0x1.0209bc0a04128p-11, -0x1.f2b1a1f82b6a4p-12, -0x1.e2123c6bc4284p-12, -0x1.d22c57140f241p-12, -0x1.c2f75c2067edfp-12, -0x1.b46b0d5b429c4p-12, -0x1.a67f814e5358cp-12, -0x1.992d20798c62dp-12, -0x1.8c6ca29ca7c34p-12, -0x1.80370c12df051p-12, -0x1.7485ab408717ep-12, -0x1.6952161235d54p-12, -0x1.5e96278d2259ap-12, -0x1.544bfd706b125p-12, -0x1.4a6df5e6ed49p-12, -0x1.40f6ad496042ep-12, -0x1.37e0fbf05b3bdp-12, -0x1.2f27f415fb066p-12, -0x1.26c6dfc6d0668p-12, -0x1.1eb93ee1cb09ep-12, -0x1.16fac526ce408p-12, -0x1.0f8758539f4aep-12, -0x1.085b0e4ee3632p-12, -0x1.01722b60d8615p-12, -0x1.f59240f3028ecp-13, -0x1.e8b91307e978fp-13, -0x1.dc52578d1121fp-13, -0x1.d057e89f0d0c5p-13, -0x1.c4c3ecdc54cc4p-13, -0x1.b990d46f30b78p-13, -0x1.aeb9562f11c64p-13, -0x1.a4386cd8c0ecep-13, -0x1.9a09545cdded4p-13, -0x1.902787441e682p-13, -0x1.868ebc28cc61p-13, -0x1.7d3ae344f6ca8p-13, -0x1.74282414d51c3p-13, -0x1.6b52db0cdd22p-13, -0x1.62b7976303ec3p-13, -0x1.5a5318eab779ap-13, -0x1.52224e030a018p-13, -0x1.4a225196a012dp-13, -0x1.4250692ce2894p-13, -0x1.3aaa030c02d8fp-13, -0x1.332cb46b6034bp-13, -0x1.2bd637b5d8761p-13, -0x1.24a46adb9c4b6p-13, -0x1.1d954db30fc72p-13, -0x1.16a700685a8a2p-13, -0x1.0fd7c1fb38be8p-13, -0x1.0925eeca9c4cfp-13, -0x1.028fff2dd46fcp-13, -0x1.f8290c356e782p-14, -0x1.eb645fb11fc3dp-14, -0x1.decf817eb1df6p-14, -0x1.d2682805e87b4p-14, -0x1.c62c3514003f1p-14, -0x1.ba19b39ff5348p-14, -0x1.ae2ed5a4a4777p-14, -0x1.a269f2102cce7p-14, -0x1.96c982c7e7899p-14, -0x1.8b4c22c0569f4p-14, -0x1.7ff08c28702b7p-14, -0x1.74b596a7a981ep-14, -0x1.699a35ae2d63ep-14, -0x1.5e9d76d6acb14p-14, -0x1.53be805938ecep-14, -0x1.48fc8f8e9fda5p-14, -0x1.3e56f783beeebp-14, -0x1.33cd1f9c49d1bp-14, -0x1.295e8244868cep-14, -0x1.1f0aabb17c15dp-14, -0x1.14d138af1e49dp-14, -0x1.0ab1d57bfbc6cp-14, -0x1.00ac3cb1fc232p-14, -0x1.ed806c777843cp-15, -0x1.d9db2cac33fbap-15, -0x1.c668793b0ab5cp-15, -0x1.b328264d5a2a7p-15, -0x1.a01a1b44453fbp-15, -0x1.8d3e511522a0ap-15, -0x1.7a94d0ba5495ep-15, -0x1.681db1b7ca73ep-15, -0x1.55d918b27d3dp-15, -0x1.43c7361a2d8f1p-15, -0x1.31e844e4c0bbfp-15, -0x1.203c895a90d4p-15, -0x1.0ec44ff30cca7p-15, -0x1.faffd882214efp-16, -0x1.d8df6fdcb448p-16, -0x1.b728238b04ba1p-16, -0x1.95dab993eb045p-16, -0x1.74f7febaa7674p-16, -0x1.5480c4e372b62p-16, -0x1.3475e190d86d1p-16, -0x1.14d82c78d3e16p-16, -0x1.eb50fc6185828p-17, -0x1.adcf5dde6fc9bp-17, -0x1.712d2ac599cc2p-17, -0x1.356c0b3a14fp-17, -0x1.f51b40426fbcp-18, -0x1.81270287a87f2p-18, -0x1.0efe77258b40fp-18, -0x1.3d493e34f365cp-19, -0x1.80e2fc7536017p-21, 0x1.e4bc0708be03ep-21, 0x1.4ee8b93b20fecp-19, 0x1.1077b157491ccp-18, 0x1.779f2212f1bdfp-18, 0x1.dce87902be16fp-18, 0x1.2028d497855d5p-17, 0x1.50ec67f854f7bp-17, 0x1.80be1b1f8d923p-17, 0x1.af9d28ea67093p-17, 0x1.dd88e315cb04ep-17, 0x1.05405954d7a74p-16, 0x1.1b420c293ceeep-16, 0x1.30c95654b75a2p-16, 0x1.45d6103687c82p-16, 0x1.5a681e551e7d5p-16, 0x1.6e7f716b7fa33p-16, 0x1.821c066fe5aeap-16, 0x1.953de693f8db9p-16, 0x1.a7e5273f09461p-16, 0x1.ba11ea029f37bp-16, 0x1.cbc45c89bc721p-16, 0x1.dcfcb8832943ep-16, 0x1.edbb43870fb16p-16, 0x1.fe004ef849931p-16, 0x1.06e61bf0cac5dp-15, 0x1.0e8fb36787e4cp-15, 0x1.15fd27d211975p-15, 0x1.1d2eb8b71ffbep-15, 0x1.2424ab1a4868p-15, 0x1.2adf49627a785p-15, 0x1.315ee33f348a2p-15, 0x1.37a3cd8c94bcfp-15, 0x1.3dae62365936bp-15, 0x1.437f0019ef5f1p-15, 0x1.49160ae7a69cfp-15, 0x1.4e73eb031da2cp-15, 0x1.53990d6303273p-15, 0x1.5885e3703c6a4p-15, 0x1.5d3ae2e488f0bp-15, 0x1.61b885a8afb79p-15, 0x1.65ff49b2519bdp-15, 0x1.6a0fb0e16b6a8p-15, 0x1.6dea40dd982b7p-15, 0x1.718f82f327d39p-15, 0x1.750003f014d17p-15, 0x1.783c5400e73a9p-15, 0x1.7b45068d962afp-15, 0x1.7e1ab2166c62fp-15, 0x1.80bdf01106d5ep-15, 0x1.832f5cc56c713p-15, 0x1.856f972b5348fp-15, 0x1.877f40c7977c6p-15, 0x1.895efd89ede99p-15, 0x1.8b0f73aadeefcp-15, 0x1.8c914b8a0ab12p-15, 0x1.8de52f8cc5f68p-15, 0x1.8f0bcbfd10c8cp-15, 0x1.9005cee8f07b1p-15, 0x1.90d3e80233a1fp-15, 0x1.9176c87ea2d84p-15, 0x1.91ef22f8a52c3p-15, 0x1.923dab505fc37p-15, 0x1.9263168d4eea5p-15, 0x1.92601ac063b8fp-15, 0x1.92356ee6a258p-15, 0x1.91e3cacc4d81p-15, 0x1.916be6f098053p-15, 0x1.90ce7c69e7873p-15, 0x1.900c44caa63dp-15, 0x1.8f25fa06a69dp-15, 0x1.8e1c56591ac24p-15, 0x1.8cf0142b238p-15, 0x1.8ba1edfaf440cp-15, 0x1.8a329e438e94ap-15, 0x1.88a2df6519642p-15, 0x1.86f36b8dcda7ep-15, 0x1.8524fca37fdaap-15, 0x1.83384c2dc22d9p-15, 0x1.812e1340a1a9bp-15, 0x1.7f070a67faa31p-15, 0x1.7cc3e9936b56ep-15, 0x1.7a656802da9d7p-15, 0x1.77ec3c339a9d2p-15, 0x1.75591bce21032p-15, 0x1.72acbb945912ep-15, 0x1.6fe7cf5085d3fp-15, 0x1.6d0b09c4c09ccp-15, 0x1.6a171c9b03684p-15, 0x1.670cb855cb364p-15, 0x1.63ec8c4147a7p-15, 0x1.60b746651ab5p-15, 0x1.5d6d9376a4f11p-15, 0x1.5a101ecbe123fp-15, 0x1.569f924ec4e25p-15, 0x1.531c96712c8ebp-15, 0x1.4f87d2214e1b4p-15, 0x1.4be1eabeacc7p-15, 0x1.482b840f94af6p-15, 0x1.4465403710e0dp-15, 0x1.408fbfab648cfp-15, 0x1.3caba12cfdab4p-15, 0x1.38b981bde2193p-15, 0x1.34b9fc99956cbp-15, 0x1.30adab2d74f35p-15, 0x1.2c95251184767p-15, 0x1.28710001af5f3p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8f049952a2efp-1, 0x1.c56b28ab47c71p-1, 0x1.c1ef0311b5dep-1, 0x1.be7c373c01ec4p-1, 0x1.bb12cf306239cp-1, 0x1.b7b28dc0629a2p-1, 0x1.b45afaab2ec64p-1, 0x1.b10b6da826934p-1, 0x1.adc3185e79026p-1, 0x1.aa810f52e1917p-1, 0x1.a74451d7ba2f8p-1, 0x1.a40bd10da356dp-1, 0x1.a0d676044430cp-1, 0x1.9da3270b54cdfp-1, 0x1.9a70cc444c11p-1, 0x1.973e5384e7bcbp-1, 0x1.940ab39a5add6p-1, 0x1.90d4eefc4dd05p-1, 0x1.8d9c15fe262e9p-1, 0x1.8a5f488c37cc7p-1, 0x1.871db781a1036p-1, 0x1.83d6a5a2b3bd8p-1, 0x1.80896846e4849p-1, 0x1.7d3567bc5b2a6p-1, 0x1.79da1f6e65d52p-1, 0x1.76771dd738992p-1, 0x1.730c0444a754ep-1, 0x1.6f988676be169p-1, 0x1.6c1c6a1e73df2p-1, 0x1.689786420eaafp-1, 0x1.6509c28c3039cp-1, 0x1.61731689feaddp-1, 0x1.5dd388dc50062p-1, 0x1.5a2b2e5f530f2p-1, 0x1.567a294bb96c3p-1, 0x1.52c0a8540ae3ap-1, 0x1.4efee5c06c66p-1, 0x1.4b35268ad3477p-1, 0x1.4763b97d5a44bp-1, 0x1.438af6542211dp-1, 0x1.3fab3ce3f6ceap-1, 0x1.3bc4f446b663p-1, 0x1.37d88a0e4d497p-1, 0x1.33e6717eecf31p-1, 0x1.2fef22d102917p-1, 0x1.2bf31a7b4fe96p-1, 0x1.27f2d8856d6eap-1, 0x1.23eedfe2e283fp-1, 0x1.1fe7b5d6ee0b7p-1, 0x1.1bdde16106c07p-1, 0x1.17d1eab20580fp-1, 0x1.13c45aa9e6d54p-1, 0x1.0fb5ba5dffddep-1, 0x1.0ba692a77992cp-1, 0x1.07976bb9df504p-1, 0x1.0388ccc185515p-1, 0x1.fef6771314cbfp-2, 0x1.f6de78525a6c4p-2, 0x1.eecaa17062395p-2, 0x1.e6bbf21412528p-2, 0x1.deb364df008d2p-2, 0x1.d6b1eefd1f964p-2, 0x1.ceb87fc03e601p-2, 0x1.c6c80046bb166p-2, 0x1.bee1532cd7959p-2, 0x1.b70554481f93fp-2, 0x1.af34d86c51fd5p-2, 0x1.a770ad393a2c1p-2, 0x1.9fb998f0fba73p-2, 0x1.98105a5641759p-2, 0x1.9075a891d651ap-2, 0x1.88ea331f2947p-2, 0x1.816ea1bf4556cp-2, 0x1.7a039471c7963p-2, 0x1.72a9a3736c6dbp-2, 0x1.6b615f41bf6a9p-2, 0x1.642b50a3922a1p-2, 0x1.5d07f8b5d4c4bp-2, 0x1.55f7d0fc727d2p-2, 0x1.4efb4b76e0034p-2, 0x1.4812d2b804372p-2, 0x1.413eca01299dcp-2, 0x1.3a7f8d5fb7e15p-2, 0x1.33d571cd61cc1p-2, 0x1.2d40c5528d402p-2, 0x1.26c1cf2ab4852p-2, 0x1.2058cfea83594p-2, 0x1.1a0601a77698bp-2, 0x1.13c99820d2101p-2, 0x1.0da3c0e9b0399p-2, 0x1.0794a394036d3p-2, 0x1.019c61dc5ebd5p-2, 0x1.f7762facb508dp-3, 0x1.ebe1b832e2e71p-3, 0x1.e07b7fdc5fc01p-3, 0x1.d5439ef734f66p-3, 0x1.ca3a23e951a89p-3, 0x1.bf5f138b72844p-3, 0x1.b4b26983cdc8ap-3, 0x1.aa3418a050743p-3, 0x1.9fe40b303a7abp-3, 0x1.95c2235d01622p-3, 0x1.8bce3b82447fcp-3, 0x1.82082684bcd85p-3, 0x1.786fb0280816ap-3, 0x1.6f049d632d2cdp-3, 0x1.65c6acb3cacadp-3, 0x1.5cb5966fd7e93p-3, 0x1.53d10d15d6bf7p-3, 0x1.4b18bd9b8593cp-3, 0x1.428c4fbad5fabp-3, 0x1.3a2b663d4b12p-3, 0x1.31f59f45866b6p-3, 0x1.29ea949720adcp-3, 0x1.2209dbdcb0056p-3, 0x1.1a5306ebf71b7p-3, 0x1.12c5a408447fbp-3, 0x1.0b613e22f714fp-3, 0x1.04255d1a1c112p-3, 0x1.fa230bea7e636p-4, 0x1.ec4a76409af46p-4, 0x1.debff94949c05p-4, 0x1.d18290c09578cp-4, 0x1.c4913476806a6p-4, 0x1.b7ead8b61e0bbp-4, 0x1.ab8e6ea8f4ceep-4, 0x1.9f7ae4b6e5c93p-4, 0x1.93af26e266d25p-4, 0x1.882a1f215e177p-4, 0x1.7ceab5b276ad5p-4, 0x1.71efd16f17feap-4, 0x1.6738581a07a7fp-4, 0x1.5cc32eaac31f8p-4, 0x1.528f3995a2671p-4, 0x1.489b5d10d612ap-4, 0x1.3ee67d564d7c5p-4, 0x1.356f7ee299607p-4, 0x1.2c3546b0db3e1p-4, 0x1.2336ba73d3409p-4, 0x1.1a72c0cc1ed0ep-4, 0x1.11e8417bb90c6p-4, 0x1.09962596d15c2p-4, 0x1.017b57b2074dbp-4, 0x1.f32d881c42fb7p-5, 0x1.e3ceb1829e20ap-5, 0x1.d4d80bbc0e1ffp-5, 0x1.c6477b2f30b3ep-5, 0x1.b81ae8c8f4332p-5, 0x1.aa50423ce3deap-5, 0x1.9ce57a413d14dp-5, 0x1.8fd888c6f2b5bp-5, 0x1.83276b2dc34f2p-5, 0x1.76d024747ff9dp-5, 0x1.6ad0bd65aba89p-5, 0x1.5f2744c08c996p-5, 0x1.53d1cf5ed96d4p-5, 0x1.48ce78571978ap-5, 0x1.3e1b611bde4d2p-5, 0x1.33b6b197f3bp-5, 0x1.299e9847a0bbp-5, 0x1.1fd14a4f20815p-5, 0x1.164d038e631cap-5, 0x1.0d1006b2420e2p-5, 0x1.04189d433660fp-5, 0x1.f6ca2f63677b9p-6, 0x1.e5e79ac085a37p-6, 0x1.d5863956e04c3p-6, 0x1.c5a2d5df5aa06p-6, 0x1.b63a491a7548dp-6, 0x1.a74979d462b22p-6, 0x1.98cd5ce590f8bp-6, 0x1.8ac2f52fc9266p-6, 0x1.7d2753981d744p-6, 0x1.6ff796fdcdf9ap-6, 0x1.6330ec2e420a6p-6, 0x1.56d08dd64ff76p-6, 0x1.4ad3c470e9b79p-6, 0x1.3f37e63361d6p-6, 0x1.33fa56f75d0ecp-6, 0x1.29188822a77cbp-6, 0x1.1e8ff88cfab83p-6, 0x1.145e3463e843ap-6, 0x1.0a80d50cf5a5cp-6, 0x1.00f581061a0b8p-6, 0x1.ef73d7895e0f8p-7, 0x1.dd97ab25eb0b8p-7, 0x1.cc5216d88ae16p-7, 0x1.bb9ecdb01abb7p-7, 0x1.ab799b875af3cp-7, 0x1.9bde64b69964bp-7, 0x1.8cc925c3887a3p-7, 0x1.7e35f30f5af01p-7, 0x1.7020f88358507p-7, 0x1.6286793c1facep-7, 0x1.5562cf33a6a56p-7, 0x1.48b26aea2e71p-7, 0x1.3c71d30e4a599p-7, 0x1.309da4241e3aap-7, 0x1.2532902beda44p-7, 0x1.1a2d5e48254a9p-7, 0x1.0f8aea62f34eap-7, 0x1.054824d391fa6p-7, 0x1.f6c42406b3d47p-8, 0x1.e3ab942573385p-8, 0x1.d140f0fc4d9cbp-8, 0x1.bf7eb7864a3b3p-8, 0x1.ae5f8a0ae547bp-8, 0x1.9dde2f68e7d72p-8, 0x1.8df59261dd665p-8, 0x1.7ea0c0e652ea5p-8, 0x1.6fdaeb62f9df6p-8, 0x1.619f640ed946dp-8, 0x1.53e99e3aa2d14p-8, 0x1.46b52da14d6afp-8, 0x1.39fdc5ba10784p-8, 0x1.2dbf390bd376cp-8, 0x1.21f5788232a8ep-8, 0x1.169c92c42336bp-8, 0x1.0bb0b38c5601dp-8, 0x1.012e230363075p-8, 0x1.ee228a37a835ep-9, 0x1.daad31e037dfdp-9, 0x1.c7f5704512f1ep-9, 0x1.b5f4ac7e8776bp-9, 0x1.a4a48040b2ad4p-9, 0x1.93feb6a7e7083p-9, 0x1.83fd4b095b5dep-9, 0x1.749a67c842cf2p-9, 0x1.65d0652f5ae7ap-9, 0x1.5799c84ef3594p-9, 0x1.49f141df85457p-9, 0x1.3cd1ad28e167fp-9, 0x1.30360eedf7618p-9, 0x1.2419945d4316cp-9, 0x1.18779205e2f2bp-9, 0x1.0d4b82d1567dbp-9, 0x1.02910701eed9cp-9, 0x1.f087c66bd3a76p-10, 0x1.dcbffede75d28p-10, 0x1.c9c2cc4006c93p-10, 0x1.b78886775c95cp-10, 0x1.a609c699681d5p-10, 0x1.953f651dfc48ep-10, 0x1.8522781dc9b1p-10, 0x1.75ac51997967p-10, 0x1.66d67dc9f0fdep-10, 0x1.589ac17987882p-10, 0x1.4af318663fcd8p-10, 0x1.3dd9b3ace0516p-10, 0x1.3148f83cd2a54p-10, 0x1.253b7d54c225p-10, 0x1.19ac0b07d6164p-10, 0x1.0e9598cb77675p-10, 0x1.03f34c0d82c1p-10, 0x1.f380eda5a95b8p-11, 0x1.dff12cbc214cep-11, 0x1.cd2ea3bd10e4cp-11, 0x1.bb30f24e53ea9p-11, 0x1.a9f006daabd72p-11, 0x1.99641c1f04d7ap-11, 0x1.8985b6c71cc3p-11, 0x1.7a4da3194a41ap-11, 0x1.6bb4f2b12e54fp-11, 0x1.5db4fa490f9f7p-11, 0x1.50474f91a3fa6p-11, 0x1.4365c7180d1fcp-11, 0x1.370a7239c6a83p-11, 0x1.2b2f9d264ad14p-11, 0x1.1fcfccee2e8abp-11, 0x1.14e5bd9f766cap-11, 0x1.0a6c606ee8e81p-11, 0x1.005ed9ee1b0cdp-11, 0x1.ed71009bfc7bdp-12, 0x1.dae9b35b5dc29p-12, 0x1.c91f34ea8d241p-12, 0x1.b8094778e842ep-12, 0x1.a7a003793e29cp-12, 0x1.97dbd49ca8654p-12, 0x1.88b576e38b0cep-12, 0x1.7a25f3c43aecap-12, 0x1.6c269f66d6859p-12, 0x1.5eb115f5d9325p-12, 0x1.51bf3902fb72bp-12, 0x1.454b2cffe2456p-12, 0x1.394f56ca325f7p-12, 0x1.2dc6594a9637bp-12, 0x1.22ab1326440e1p-12, 0x1.17f89c8295995p-12, 0x1.0daa44da49c42p-12, 0x1.03bb90e3fbd74p-12, 0x1.f4507112df5bfp-13, 0x1.e1d849de84becp-13, 0x1.d006dd193df64p-13, 0x1.bed4b6a512edap-13, 0x1.ae3ab9c4cf0cdp-13, 0x1.9e321da6acab5p-13, 0x1.8eb46a0bf488dp-13, 0x1.7fbb740cc0551p-13, 0x1.71415af72b3a9p-13, 0x1.6340854938ad3p-13, 0x1.55b39dc4b9be1p-13, 0x1.4895909c84038p-13, 0x1.3be188ba450abp-13, 0x1.2f92ed1c4f4a5p-13, 0x1.23a55e4aaf25cp-13, 0x1.1814b3e2eb473p-13, 0x1.0cdcfa39cb7aap-13, 0x1.01fa7012869e2p-13, 0x1.eed308d577a5ap-14, 0x1.da4da8b5530a7p-14, 0x1.c65e5211ee54ep-14, 0x1.b2feeb6337662p-14, 0x1.a029ab7e74ae3p-14, 0x1.8dd915eceeb7ap-14, 0x1.7c07f76575accp-14, 0x1.6ab16267aeda7p-14, 0x1.59d0abf82e599p-14, 0x1.4961687c5948fp-14, 0x1.395f68b519f94p-14, 0x1.29c6b6d770de2p-14, 0x1.1a9393c1f619ap-14, 0x1.0bc2744e636c7p-14, 0x1.fa9ffd7c8721dp-15, 0x1.de721083d671ep-15, 0x1.c2f52531c763bp-15, 0x1.a8239395e989cp-15, 0x1.8df803f2042cfp-15, 0x1.746d6a89e53bcp-15, 0x1.5b7f039fc4b48p-15, 0x1.43284f9bba502p-15, 0x1.2b650f5cdcc86p-15, 0x1.143140b297fbep-15, 0x1.fb1235f9d394ep-16, 0x1.ced217e44700bp-16, 0x1.a39b6911dab4dp-16, 0x1.7967cc0a8c288p-16, 0x1.50313e4e87f06p-16, 0x1.27f212f4d30a1p-16, 0x1.00a4ed88c53fdp-16, 0x1.b4897a48285c2p-17, 0x1.69996f868261cp-17, 0x1.2070aba4988fdp-17, 0x1.b20d37be47d33p-18, 0x1.26a6438b80de1p-18, 0x1.3d3a2e363253bp-19, 0x1.9e319890068ebp-22, -0x1.9e5644f17d8c5p-20, -0x1.cbb42b40be3e4p-19, -0x1.60f6fce8413a8p-18, -0x1.d8f8390deccb7p-18, -0x1.26f497fde0088p-17, -0x1.5fea6317dc22bp-17, -0x1.9762b46605644p-17, -0x1.cd628b8d89adap-17, -0x1.00f75ae3129d5p-16, -0x1.1a85e90befd84p-16, -0x1.335f2aad65acbp-16, -0x1.4b8546fd9e192p-16, -0x1.62fa53c28b2edp-16, -0x1.79c056fc48a23p-16, -0x1.8fd94875614b3p-16, -0x1.a547133a1f4d3p-16, -0x1.ba0b96f7fdc23p-16, -0x1.ce28a946445eap-16, -0x1.e1a016d8d91a2p-16, -0x1.f473a49e45828p-16, -0x1.03528864ebdfap-15, -0x1.0c1b09e56adaep-15, -0x1.14943098d1338p-15, -0x1.1cbed441d50cdp-15, -0x1.249bcaff76bd5p-15, -0x1.2c2be9a6fce6cp-15, -0x1.3370041684c12p-15, -0x1.3a68ed80866f9p-15, -0x1.411778b0ab683p-15, -0x1.477c784a4913fp-15, -0x1.4d98bf00d7332p-15, -0x1.536d1fcab3cfdp-15, -0x1.58fa6e0e7ccd4p-15, -0x1.5e417dcb51f15p-15, -0x1.634323bc41b37p-15, -0x1.68003577276f1p-15, -0x1.6c7989873c8b1p-15, -0x1.70aff7839f3f3p-15, -0x1.74a45822089b2p-15, -0x1.78578545edfb5p-15, -0x1.7bca5a0c44ae8p-15, -0x1.7efdb2d422868p-15, -0x1.81f26d4467a4ep-15, -0x1.84a9684ea8466p-15, -0x1.8723842f85087p-15, -0x1.8961a26c9bcf5p-15, -0x1.8b64a5d041f03p-15, -0x1.8d2d72632b4b9p-15, -0x1.8ebced642b032p-15, -0x1.9013fd3e2f4edp-15, -0x1.9133897c9de7bp-15, -0x1.921c7abe36de3p-15, -0x1.92cfbaa697cc4p-15, -0x1.934e33ce84231p-15, -0x1.9398d1b30d9a3p-15, -0x1.93b080a3baa76p-15, -0x1.93962dafc54bap-15, -0x1.934ac69288312p-15, -0x1.92cf399f3a856p-15, -0x1.922475ac089dbp-15, -0x1.914b69fca46b8p-15, -0x1.9045062c607c9p-15, -0x1.8f123a17ebdcep-15, -0x1.8db3f5c6babf4p-15, -0x1.8c2b295435dc8p-15, -0x1.8a78c4d8b9e74p-15, -0x1.889db85279d18p-15, -0x1.869af38e53044p-15, -0x1.847166109f122p-15, -0x1.8221fefe1094ep-15, -0x1.7fadad04a82eep-15, -0x1.7d155e44cbc66p-15, -0x1.7a5a003a89b5ap-15, -0x1.777c7fa717115p-15, -0x1.747dc87a867f7p-15, -0x1.715ec5bdd07b4p-15, -0x1.6e20617d24042p-15, -0x1.6ac384b293884p-15, -0x1.674917311f7bdp-15, -0x1.63b1ff902237dp-15, -0x1.5fff23172a746p-15, -0x1.5c3165aa417ccp-15, -0x1.5849a9b6a4ae4p-15, -0x1.5448d01ffa8bap-15, -0x1.502fb82dfe58ep-15, -0x1.4bff3f7aaf38bp-15, -0x1.47b841e0fd638p-15, -0x1.435b996bfed69p-15, -0x1.3eea1e46a83cdp-15, -0x1.3a64a6ac10313p-15, -0x1.35cc06d83b6a2p-15, -0x1.312110f974537p-15, -0x1.2c6495222fe3ap-15, -0x1.2797613b7d838p-15, -0x1.22ba40f808281p-15, -0x1.1dcdfdc7a0551p-15, -0x1.18d35ecb57521p-15, -0x1.13cb28ca2685dp-15, -0x1.0eb61e26246a2p-15, -0x1.0994fed243d94p-15, -0x1.04688848a31c3p-15, -0x1.fe62eb02c2014p-16, -0x1.f3e0fdd3fe536p-16, -0x1.e94cb4ba94184p-16, -0x1.dea7763790c3fp-16, -0x1.d3f2a389642c4p-16, -0x1.c92f989ecf9fp-16, -0x1.be5fac0adb423p-16, -0x1.b3842ef9cf95p-16, -0x1.a89e6d2724a89p-16, -0x1.9dafacd46c1a9p-16, -0x1.92b92ec1351aep-16, -0x1.87bc2e23d4dd2p-16, -0x1.7cb9e0a32408bp-16, -0x1.71b376511fdd2p-16, -0x1.66aa19a66b6fdp-16, -0x1.5b9eef7eb049ep-16, -0x1.50931715da152p-16, -0x1.4587aa061d7c4p-16, -0x1.3a7dbc46d7efbp-16, -0x1.2f765c2c336a2p-16, -0x1.247292678d7aep-16, -0x1.19736208a3c14p-16, -0x1.0e79c87f731b4p-16, -0x1.0386bd9ed39eap-16, -0x1.f136673f8194ep-17, -0x1.db702e4a94a9fp-17, -0x1.c5bc9e8263d54p-17, -0x1.b01d7af247b1dp-17, -0x1.9a947b99199efp-17, -0x1.85234d760f578p-17, -0x1.6fcb9296bb17p-17, -0x1.5a8ee2261c1f4p-17, -0x1.456ec87cc6f87p-17, -0x1.306cc73215226p-17, -0x1.1b8a552e46e2dp-17, -0x1.06c8debd9eaf8p-17, -0x1.e4538b48c6a4dp-18, -0x1.bb5cc26780d97p-18, -0x1.92affcbef9f98p-18, -0x1.6a4fbfa8fda49p-18, -0x1.423e7c2024041p-18, -0x1.1a7e8eefd1a1fp-18, -0x1.e62481cb3fa46p-19, -0x1.97f78e08293a4p-19, -0x1.4a7a856d36ecp-19, -0x1.fb63081abcb8fp-20, -0x1.6340ff488e408p-20, -0x1.992d2013fb826p-21, -0x1.bb5878aa93d6bp-23, 0x1.70e9e3a756186p-22, 0x1.dca68cd3bb6d9p-21, 0x1.7ed8e01735764p-20, 0x1.06e289f2ac00ep-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      42, 0x1.0cccccccccccdp+2, 0x1.c9f337a76a7cbp+0, 0x1.8b6db1b2a8174p+1, -0x1.e82facbcd5397p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.0b859c8c9320ep+1, -0x1.25dca5e59316bp+2, 0x1.06d70a3d70a78p+2, 0x1.1d882be0ccf11p-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.e9b79d909f1f1p+0, -0x1.10a9d3bee2d62p+2, 0x1.0b1f7b89c5a6p+2, -0x1.64ea36d90035ap+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.bfc148344c37ep+0, -0x1.f84cdfc3b3912p+1, 0x1.eb6a8a18395ap+1, -0x1.c3725f2863eafp+0}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.98f4623d0bfa1p+0, -0x1.d2120a3179f86p+1, 0x1.d054512f668e7p+1, -0x1.f06215ac7a4c3p+0}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.751f81a5870dap+0, -0x1.ae1d8d60463b5p+1, 0x1.b28bdf3ea6e6p+1, -0x1.c3054a25b4e89p+0}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.541355475a31ap+0, -0x1.8c6f264af7fbbp+1, 0x1.977c31d5fd532p+1, -0x1.b788c1bc9a582p+0}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.35a2f8bdec5f4p+0, -0x1.6ce3e7610265ep+1, 0x1.7d1cf302fe4dcp+1, -0x1.9ed7aee7f5fb9p+0}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.19a36e2eb1c43p+0, -0x1.4f65964daa722p+1, 0x1.6438f7e098814p+1, -0x1.891882a386c67p+0}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.ffd7c2ca148bbp-1, -0x1.33d7aaed72897p+1, 0x1.4ca30484dd37cp+1, -0x1.78c64689f0e1bp+0}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.d0ab2e1693c04p-1, -0x1.1a22c1ac434fdp+1, 0x1.3607c2d8bf67cp+1, -0x1.63ce6334b426cp+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.a577318fc5048p-1, -0x1.022ff166d35b4p+1, 0x1.20ae93ef2f79ep+1, -0x1.50002ca347c3ep+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.7df5cf2495e18p-1, -0x1.d7cc59e38eab5p+0, 0x1.0c859b7efd172p+1, -0x1.4430ea3e1e333p+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.59e4b44a1f08p-1, -0x1.ae640f57ef202p+0, 0x1.f22410a49a659p+0, -0x1.2b3c2a6445709p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.39049235f8099p-1, -0x1.87f9d5b0d3f3bp+0, 0x1.ce3b90ad0cf1bp+0, -0x1.1ede6c30ce13p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.1b1a2a4db163bp-1, -0x1.645fd05ed0a0fp+0, 0x1.abcef45546228p+0, -0x1.114a24d87e26cp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.ffda4052d666bp-2, -0x1.43761daa8ae7ep+0, 0x1.8b037f4588ea9p+0, -0x1.f7f200da7cf88p-1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.ce8ff327aa68fp-2, -0x1.2511dc30c4a81p+0, 0x1.6cc6e59ed3568p+0, -0x1.e5a3b2e5109a7p-1}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.a1f18c9fb6135p-2, -0x1.090d9af10096ep+0, 0x1.4fa3799b5257ap+0, -0x1.c17f33913314cp-1}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.79a027525460bp-2, -0x1.de8fcbd68c35fp-1, 0x1.34ab33f3e3c2p+0, -0x1.ac5f7ed62cc9fp-1}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.5542e557de0d6p-2, -0x1.af3b1bc9f2d6ap-1, 0x1.1af764a99963cp+0, -0x1.8d02d11615a01p-1}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.3485e3da2f8bep-2, -0x1.83dca71b0d998p-1, 0x1.03254de09817cp+0, -0x1.77953cd18014cp-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.171ac14c660a2p-2, -0x1.5c338f77eb3aep-1, 0x1.d938b32d2b0e1p-1, -0x1.5ca83ba3e95a4p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.f96fa82e87d2cp-3, -0x1.38046a12c9c6ap-1, 0x1.af61f3b3194adp-1, -0x1.45c9d49ed8e32p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.ca30db6a1e81dp-3, -0x1.171206e824226p-1, 0x1.8849bb7713beep-1, -0x1.343071e0b4d3fp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.9ff8a8f3a9b07p-3, -0x1.f25557b8d562ep-2, 0x1.634e28ae08494p-1, -0x1.197463de5422p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.7a4e7ab75643p-3, -0x1.bc2fbd7cb7605p-2, 0x1.4187df416ed48p-1, -0x1.05fdfea5f94d3p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.58c32a8c9b845p-3, -0x1.8b41b66ce08fdp-2, 0x1.221779048e5a9p-1, -0x1.ed27431397d4ep-2}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.3aef6f8f04146p-3, -0x1.5f358b37d04p-2, 0x1.0480a312bd90bp-1, -0x1.bf66f665993b2p-2}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.2072d1aeb3dd1p-3, -0x1.37ad21354d7bdp-2, 0x1.d35114194a05cp-2, -0x1.a53ce3560f20fp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.08f4b61fe21d9p-3, -0x1.145019ba73763p-2, 0x1.a0c4a6e60086ep-2, -0x1.7ba57c4228bf1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.e845996744b2bp-4, -0x1.e996654feaeabp-3, 0x1.7335e9e84d8eap-2, -0x1.5c2d2ba14eeb7p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c364388ebcc6cp-4, -0x1.b18949ba04f28p-3, 0x1.496deee96d0bfp-2, -0x1.43a5d5389b196p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.a2bbecaab8a5dp-4, -0x1.7fef4166852b2p-3, 0x1.2297792a5031dp-2, -0x1.253b7f7c455c1p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.85cdd50a88fp-4, -0x1.544144897e53fp-3, 0x1.fecebf410a9f6p-3, -0x1.076c2cd64e63cp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.6c2699c7bcc2ap-4, -0x1.2deb50b3674bp-3, 0x1.bf9610a7353fbp-3, -0x1.da279a5506499p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.555e6bc621b7ep-4, -0x1.0c63642e03377p-3, 0x1.86b0085f90a76p-3, -0x1.c8893cff45189p-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.4116ebd4cfd09p-4, -0x1.dea6335482968p-4, 0x1.4fe73e7e5f66fp-3, -0x1.43b371ade71fbp-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.2efa1e3eaf684p-4, -0x1.ac0321006c883p-4, 0x1.290f269cb44ebp-3, -0x1.e8a8fc492061ep-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.1ebe9c886162fp-4, -0x1.812c840e2564fp-4, 0x1.dcd7066f89cd8p-4, 0x1.4caec5a4cbdb4p-4}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.101f31f46ed24p-4, -0x1.596e0887e9e14p-4, 0x1.026184d6230d2p-3, -0x1.e42d23c01b134p-1}, 
        {0x1.6666666666666p+1, 0x1.a3d70a3d70a3dp+1, 0x1.02e2328f9f44dp-4, -0x1.42ae65b311f52p-4, 0x1.9f9ee8e67f991p-7, 0x1.97a117e5fad0ap-8}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.0cccccccccccdp+2, 0x1.db22d0e560419p-6, -0x1.fe64f2ec418a9p-5, 0x1.628e91889a179p-6, -0x1.5b32ef43b477ep-10}, 
      }}, 
      0x1.66f82c43c5da9p-5, -0x1.fa0fed604f855p-6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.0a76b7ed41b76p-1, -0x1.9f43404697133p-3, -0x1.05727bf36b721p-1, -0x1.e21c044284dfdp-5, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0x1.2858793dd97f6p-2, 0, 3, 2}, 
    {{
      {{-0x1.3ec0ed3351645p-2, -0x1.3dad804e2dcffp-2, -0x1.3be56c447369ep-2, -0x1.396f912d4dd5fp-2, -0x1.36524af41371cp-2, -0x1.3296d927ef28ap-2, -0x1.2e4739a734a8ap-2, -0x1.296d9bbb6e85p-2, -0x1.241573e9bd1d4p-2, -0x1.1e4a2964229b6p-2, -0x1.18178eca1325bp-2, -0x1.11882bfa4ca6bp-2, -0x1.0aa711d8ebef9p-2, -0x1.038063c0c6395p-2, -0x1.f83a6bf69bf6p-3, -0x1.e911857848aefp-3, -0x1.d9973475217aap-3, -0x1.c9df8d6431924p-3, -0x1.b9fa88a5ef493p-3, -0x1.a9f88fa126e1fp-3, -0x1.99e9ef0af33eap-3, -0x1.89db1f9f33f45p-3, -0x1.79db08e616c45p-3, -0x1.69f577bb65a07p-3, -0x1.5a35a88b58bcap-3, -0x1.4aa6b68547076p-3, -0x1.3b524efb024c9p-3, -0x1.2c415998bd385p-3, -0x1.1d7c3cb1064f9p-3, -0x1.0f0a8454a4962p-3, -0x1.00f1f07218bcap-3, -0x1.e676d1f2b3efbp-4, -0x1.cbd597d9da3a4p-4, -0x1.b206c3b7ed5e8p-4, -0x1.991352029eae6p-4, -0x1.8105814c5ad83p-4, -0x1.69e4d0f609f5bp-4, -0x1.53b4b7a40f45dp-4, -0x1.3e76c39a7b836p-4, -0x1.2a2d1bccd1ed4p-4, -0x1.16dafceda02a3p-4, -0x1.048349ac059f4p-4, -0x1.e64dd203194d8p-5, -0x1.c588d7b84397ap-5, -0x1.a6b20d20f7c71p-5, -0x1.89c3a981f5ff1p-5, -0x1.6eb8cccf43185p-5, -0x1.558cbebbff688p-5, -0x1.3e395d89a8169p-5, -0x1.28b6186f4b04cp-5, -0x1.14f817db4aad9p-5, -0x1.02f33fbd317a6p-5, -0x1.e53679f33fe79p-6, -0x1.c7c7fa306b1cbp-6, -0x1.ad82f0d7de9b9p-6, -0x1.964e52f3254dap-6, -0x1.820f4bbb87b1fp-6, -0x1.70a92f2414a8ep-6, -0x1.61fe139a1ce3dp-6, -0x1.55ef9e90efe2ep-6, -0x1.4c5f93fe763dp-6, -0x1.452ffccc834a5p-6, -0x1.4028fac71ffb9p-6, -0x1.3d86b3e67ac08p-6, -0x1.3ce875845ddf5p-6, -0x1.3e25c38f0875cp-6, -0x1.411a5a2a8e9adp-6, -0x1.45a7d799faeaap-6, -0x1.4bb5b22d40686p-6, -0x1.532fb41614a2fp-6, -0x1.5c03962dfff6ap-6, -0x1.661e77f0bc487p-6, -0x1.716adfa964d0dp-6, -0x1.7dcfb2c813d6ep-6, -0x1.8b304a510fedp-6, -0x1.996d7f88cf4b7p-6, -0x1.a86758b87febep-6, -0x1.b7fee534caec7p-6, -0x1.c817dbb6b0f47p-6, -0x1.d899a9798c854p-6, -0x1.e96fca11372b9p-6, -0x1.fa896c2c80599p-6, -0x1.05ec461356377p-5, -0x1.0ea861c149fa6p-5, -0x1.177308facebebp-5, -0x1.2045edc5dad88p-5, -0x1.291a223300a06p-5, -0x1.31e7fda48588dp-5, -0x1.3aa736d81d088p-5, -0x1.434f271d2e08bp-5, -0x1.4bd7259981fb4p-5, -0x1.5436e7b9b184fp-5, -0x1.5c66d59c94605p-5, -0x1.646045a6e1785p-5, -0x1.6c1d9856b1ee1p-5, -0x1.739a33ad32153p-5, -0x1.7ad262f886f0bp-5, -0x1.81c3239c747cep-5, -0x1.8869e946bca77p-5, -0x1.8ec463c54815ap-5, -0x1.94d04edf429fbp-5, -0x1.9a8b51b4d20fcp-5, -0x1.9ff2efee16bd1p-5, -0x1.a5048bff2451bp-5, -0x1.a9bd77679e716p-5, -0x1.ae1b0c5492f0ap-5, -0x1.b21acb75d7d5ap-5, -0x1.b5ba791574524p-5, -0x1.b8f8355fd6dcap-5, -0x1.bbd28d1537751p-5, -0x1.be488151759b1p-5, -0x1.c0598681796f6p-5, -0x1.c2057bcca6147p-5, -0x1.c34c9d0d98054p-5, -0x1.c42f71ddedb44p-5, -0x1.c4aebc363f6fp-5, -0x1.c4cb68c603276p-5, -0x1.c486828b34302p-5, -0x1.c3e12a79496f7p-5, -0x1.c2dc934b07177p-5, -0x1.c17a0105895eap-5, -0x1.bfbacb4bc6298p-5, -0x1.bda0616e41899p-5, -0x1.bb2c4f1d3c25dp-5, -0x1.b86040c388e8fp-5, -0x1.b53e06c7f50eap-5, -0x1.b1e514a8897cbp-5, -0x1.ae133d19c241ap-5, -0x1.a9f0bdb65f7b6p-5, -0x1.a5809bd76a4a9p-5, -0x1.a0c5e954dd173p-5, -0x1.9bc3b9c7a3af7p-5, -0x1.967d1a31ce237p-5, -0x1.90f50afd8782fp-5, -0x1.8b2e7c197991cp-5, -0x1.852c4ae306e23p-5, -0x1.7ef141883e35cp-5, -0x1.78801791312d8p-5, -0x1.71db734b1815cp-5, -0x1.6b05ebdd39144p-5, -0x1.64020bda83e0bp-5, -0x1.5cd2542a7f876p-5, -0x1.55793f28473dp-5, -0x1.4df943d6f1a0ep-5, -0x1.4654d909a6116p-5, -0x1.3e8e785bf786ap-5, -0x1.36a8a0d659d4p-5, -0x1.2ea5d91b4f748p-5, -0x1.2688b0fd31a3bp-5, -0x1.1e53c261d8d11p-5, -0x1.1609b161117b6p-5, -0x1.0dad2b942eb7p-5, -0x1.0540e69721d0ap-5, -0x1.f98f3b8c89e3fp-6, -0x1.e8881e9ca833p-6, -0x1.d771f15a7f933p-6, -0x1.c6522594acef4p-6, -0x1.b52e1ba3a087bp-6, -0x1.a40b1a05faba3p-6, -0x1.92ee4541b2909p-6, -0x1.81dc9864c6546p-6, -0x1.70dade7629b6ep-6, -0x1.5fedad19079a8p-6, -0x1.4f1960921d952p-6, -0x1.3e62194a6427p-6, -0x1.2dcbbad5453e8p-6, -0x1.1d59ec6c47d24p-6, -0x1.0d101ac027171p-6, -0x1.f9e2f5e0e0d44p-7, -0x1.da021cdfa8ea6p-7, -0x1.ba834f2909a7p-7, -0x1.9b6bdd21f256cp-7, -0x1.7cc0cd2486eep-7, -0x1.5e86e58a22763p-7, -0x1.40c2b611e07b5p-7, -0x1.2378a04388e35p-7, -0x1.06acde82b5ac3p-7, -0x1.d4c7133757549p-8, -0x1.9d41395347ep-8, -0x1.66cfee9905cd8p-8, -0x1.317abc71fa3acp-8, -0x1.fa91e9069634p-9, -0x1.9483581dbb05ap-9, -0x1.30d76a3640d67p-9, -0x1.9f3657ad7bdccp-10, -0x1.c36bfaec58af3p-11, -0x1.4a28586a31cb5p-13, 0x1.140dc1bda8a8ap-11, 0x1.3819f458bc08ap-10, 0x1.e0e24c2ccb3f2p-10, 0x1.4228083135edep-9, 0x1.912ac503c45efp-9, 0x1.dd7398cb2214p-9, 0x1.137eed6644e76p-8, 0x1.36e2fe636be39p-8, 0x1.58e4c355ac29fp-8, 0x1.7983877479374p-8, 0x1.98bf17d853f28p-8, 0x1.b697bcd7dbb47p-8, 0x1.d30e32659c5bcp-8, 0x1.ee239fb7c8685p-8, 0x1.03ecc7425f12fp-7, 0x1.1018f10e03557p-7, 0x1.1b97674ff2806p-7, 0x1.2669684dcc819p-7, 0x1.309052950b5bcp-7, 0x1.3a0da16b275dep-7, 0x1.42e2e9a9e1838p-7, 0x1.4b11d710f25aep-7, 0x1.529c2a1145691p-7, 0x1.5983b610526f1p-7, 0x1.5fca601d8fc24p-7, 0x1.65721e1027ef9p-7, 0x1.6a7cf5ffd5a44p-7, 0x1.6eecfe097b962p-7, 0x1.72c45c4eb11c2p-7, 0x1.7605471f237d9p-7, 0x1.78b2053aad688p-7, 0x1.7accee1c04b91p-7, 0x1.7c586a3d98a94p-7, 0x1.7d56f34bd9aa9p-7, 0x1.7dcb143ab56b4p-7, 0x1.7db769364a1d3p-7, 0x1.7d1e9f69465b1p-7, 0x1.7c03749637654p-7, 0x1.7a68b682cc9aep-7, 0x1.7851423685232p-7, 0x1.75c0031000803p-7, 0x1.72b7f1b54004fp-7, 0x1.6f3c12e504406p-7, 0x1.6b4f762f48a1ep-7, 0x1.66f5349c28ec2p-7, 0x1.62306f47fa928p-7, 0x1.5d044dfb9125cp-7, 0x1.5773fdc713ffp-7, 0x1.5182afa5210ep-7, 0x1.4b33972b3aaf6p-7, 0x1.4489e94ba6d46p-7, 0x1.3d88db2bc2ba8p-7, 0x1.3633a11119072p-7, 0x1.2e8d6d665769ap-7, 0x1.26996fd8906a3p-7, 0x1.1e5ad48c453e5p-7, 0x1.15d4c369353e8p-7, 0x1.0d0a5f7b43c3fp-7, 0x1.03fec6666b489p-7, 0x1.f56a1fd6d1d62p-8, 0x1.e2609af549402p-8, 0x1.cee713a5a92ccp-8, 0x1.bb0391522f5dcp-8, 0x1.a6bc0cafe8327p-8, 0x1.92166f270ac0cp-8, 0x1.7d189241ba8dp-8, 0x1.67c83f1e93c87p-8, 0x1.5216bcdec23fbp-8, 0x1.3c3a65a588583p-8, 0x1.261c76ee21aap-8, 0x1.0fc24da12e1fdp-8, 0x1.f2626d6985f4fp-9, 0x1.c4dcde3c1bd24p-9, 0x1.96fe474c5fe9fp-9, 0x1.68d0e14425ca4p-9, 0x1.3a5ec31dcdd47p-9, 0x1.0bb1e129deb07p-9, 0x1.b9a817ccfdc0cp-10, 0x1.5b9ddd5ef4e32p-10, 0x1.fab0393519655p-11, 0x1.3dd31daa0c7a2p-11, 0x1.019267c0e78b9p-12, -0x1.e24b2f1a7f438p-14, -0x1.f2828afa80f19p-12, -0x1.b5fbbb76fc5a7p-11, -0x1.392b6cb2bc30cp-10, -0x1.9718bbff20c1fp-10, -0x1.f4b59e66b6412p-10, -0x1.28f927de426dbp-9, -0x1.575fbba0838a2p-9, -0x1.858714dd18a9bp-9, -0x1.b367f59f555dcp-9, -0x1.e0fb5858624aap-9, -0x1.071d3839b8053p-8, -0x1.1d8f55608270cp-8, -0x1.33d0d6dca6885p-8, -0x1.49deaccb5f341p-8, -0x1.5fb5e4259ccf1p-8, -0x1.7553a6a84c0cfp-8, -0x1.8ab53aac648d6p-8, -0x1.9fd802ef3797p-8, -0x1.b4b97e4d97d1p-8, -0x1.c9574772453a4p-8, -0x1.ddaf147a30dbcp-8, -0x1.f1beb68fcbde8p-8, -0x1.02c20cbf74a1fp-7, -0x1.0c7ea1a16af7cp-7, -0x1.161429c8380f2p-7, -0x1.1f81c1ae6d66cp-7, -0x1.28c6923152d39p-7, -0x1.31e1d053237e4p-7, -0x1.3ad2bcfd6a1ddp-7, -0x1.4398a4c3f0b18p-7, -0x1.4c32dfa88c0edp-7, -0x1.54a0d0e009ebap-7, -0x1.5ce1e6987605ep-7, -0x1.64f599c0cfe36p-7, -0x1.6cdb6dd253136p-7, -0x1.7492f09b2c16ep-7, -0x1.7c1bba0acddecp-7, -0x1.83756bff9d46ep-7, -0x1.8a9fb21603736p-7, -0x1.919a4178a2192p-7, -0x1.9864d8b1932cbp-7, -0x1.9eff3f7c8df89p-7, -0x1.a5694699c5f8ep-7, -0x1.aba2c7a134adcp-7, -0x1.b1aba4d6637f2p-7, -0x1.b783c8fc424bap-7, -0x1.bd2b27293209ep-7, -0x1.c2a1ba9ad2e5cp-7, -0x1.c7e786899a118p-7, -0x1.ccfc95fc3926p-7, -0x1.d1e0fb9a5f70bp-7, -0x1.d694d17f445e3p-7, -0x1.db18390b727e3p-7, -0x1.df6b5ab6110c7p-7, -0x1.e38e65ddc283ep-7, -0x1.e7819098abddfp-7, -0x1.eb4517843de5p-7, -0x1.eed93d9438165p-7, -0x1.f23e4be16c2eep-7, -0x1.f574917801a65p-7, -0x1.f87c63256ffa6p-7, -0x1.fb561b4628c29p-7, -0x1.fe0219933c222p-7, -0x1.00406177e548p-6, -0x1.0169409b3d6bdp-6, -0x1.027be1838ff96p-6, -0x1.03787dca41be4p-6, -0x1.045f51393b407p-6, -0x1.053099b223d1p-6, -0x1.05ec9715d0b18p-6, -0x1.06938b2c01a0bp-6, -0x1.0725b98b5d711p-6, -0x1.07a36781c748bp-6, -0x1.080cdbfd0f5c9p-6, -0x1.08625f7404135p-6, -0x1.08a43bcfe7c85p-6, -0x1.08d2bc565455bp-6, -0x1.08ee2d9388df9p-6, -0x1.08f6dd452b079p-6, -0x1.08ed1a45747ep-6, -0x1.08d13476de88ap-6, -0x1.08a37cb034475p-6, -0x1.086444a9201cep-6, -0x1.0813dee72089ep-6, -0x1.07b29eaafc64ep-6, -0x1.0740d7de98e33p-6, -0x1.06bedf0337c6bp-6, -0x1.062d09202ffcbp-6, -0x1.058babb1f5c1p-6, -0x1.04db1c999c7e7p-6, -0x1.041bb20cab032p-6, -0x1.034dc28549c88p-6, -0x1.0271a4b2e069p-6, -0x1.0187af6aeee68p-6, -0x1.0090399a5a587p-6, -0x1.ff17346de262p-7, -0x1.fcf45062a40d7p-7, -0x1.fab874ce4acdbp-7, -0x1.f8644f2b1a45ep-7, -0x1.f5f88c97f786ep-7, -0x1.f375d9be8f958p-7, -0x1.f0dce2ba131f2p-7, -0x1.ee2e52fe9406fp-7, -0x1.eb6ad540eb77cp-7, -0x1.e893135f30ebp-7, -0x1.e5a7b649d1a1p-7, -0x1.e2a965ed32051p-7, -0x1.df98c91bdbce7p-7, -0x1.dc768579647f6p-7, -0x1.d9433f65c74b3p-7, -0x1.d5ff99e96d80ap-7, -0x1.d2ac36a1d7648p-7, -0x1.cf49b5aede745p-7, -0x1.cbd8b5a0a4c3cp-7, -0x1.c859d366127fap-7, -0x1.c4cdaa3c2252dp-7, -0x1.c134d39dc462ap-7, -0x1.bd8fe7346fce1p-7, -0x1.b9df7ac96df3ap-7, -0x1.b6242237db446p-7, -0x1.b25e6f5f6a4e1p-7, -0x1.ae8ef217bec53p-7, -0x1.aab63824bd709p-7, -0x1.a6d4cd2b7143bp-7, -0x1.a2eb3aa7b6e9ap-7, -0x1.9efa07e2c5452p-7, -0x1.9b01b9ea6a15bp-7, -0x1.9702d388fac12p-7, -0x1.92fdd53e32f68p-7, -0x1.8ef33d38baca7p-7, -0x1.8ae3875082cp-7, -0x1.86cf2d01d6c67p-7, -0x1.82b6a56949f3ep-7, -0x1.7e9a654050c2cp-7, -0x1.7a7adedaae6bap-7, -0x1.765882248f599p-7, -0x1.7233bca1673edp-7, -0x1.6e0cf96b8e90ap-7, -0x1.69e4a13480741p-7, -0x1.65bb1a45d3d8ep-7, -0x1.6190c882e5e8cp-7, -0x1.5d660d6b0cfa9p-7, -0x1.593b481c935e4p-7, -0x1.5510d5582590fp-7, -0x1.50e70f84dca81p-7, -0x1.4cbe4eb4e224dp-7, -0x1.4896e8aa818d9p-7, -0x1.447130ddc73p-7, -0x1.404d7882776a1p-7, -0x1.3c2c0e8e960fap-7, -0x1.380d3fc12f1dep-7, -0x1.33f156a982ef3p-7, -0x1.2fd89bae8d113p-7, -0x1.2bc35516c67f6p-7, -0x1.27b1c71020b8fp-7, -0x1.23a433b84a4e1p-7, -0x1.1f9adb250c9ep-7, -0x1.1b95fb6cd18d9p-7, -0x1.1795d0af5135ap-7, -0x1.139a951e3c793p-7, -0x1.0fa4810600a86p-7, -0x1.0bb3cad68853p-7, -0x1.07c8a72bf7be3p-7, -0x1.03e348d758e28p-7, -0x1.0003e0e73be01p-7, -0x1.f8553d606a7e1p-8, -0x1.f0af5faa844f7p-8, -0x1.e91680a008229p-8, -0x1.e18af4f1ae039p-8, -0x1.da0d0e1d6a464p-8, -0x1.d29d1a7dded76p-8, -0x1.cb3b655950fcp-8, -0x1.c3e836f042be9p-8, -0x1.bca3d48b9592fp-8, -0x1.b56e808a2e512p-8, -0x1.ae487a6e2a492p-8, -0x1.a731fee9ab113p-8, -0x1.a02b47eb1a601p-8, -0x1.99348ca8feb92p-8, -0x1.924e01ad63b97p-8, -0x1.8b77d8e0cac55p-8, -0x1.84b24194c30abp-8, -0x1.7dfd688e0b4c5p-8, -0x1.7759780e617b7p-8, -0x1.70c697ddf2562p-8, -0x1.6a44ed5472e3fp-8, -0x1.63d49b6211fa5p-8, -0x1.5d75c297eba76p-8, -0x1.5728813078abap-8, -0x1.50ecf317a66ap-8, -0x1.4ac331f2e22d5p-8, -0x1.44ab5528eab98p-8, -0x1.3ea571e987683p-8, -0x1.38b19b3540acbp-8, -0x1.32cfe1e4f0589p-8, -0x1.2d0054b1723e1p-8, -0x1.2743003b32c47p-8, -0x1.2197ef11ca6dep-8, -0x1.1bff29bbda1bcp-8, -0x1.1678b6beb026bp-8, -0x1.11049aa63976fp-8, -0x1.0ba2d80d0da18p-8, -0x1.06536fa48918dp-8, -0x1.0116603d192f4p-8, -0x1.f7d74d9d6a463p-9, -0x1.eda67d02f5d2bp-9, -0x1.e39a416ce6328p-9, -0x1.d9b28a211d15dp-9, -0x1.cfef42fba830ap-9, -0x1.c65054812fdffp-9, -0x1.bcd5a3f2523fdp-9, -0x1.b37f135eb2d1cp-9, -0x1.aa4c81b8d5eccp-9, -0x1.a13dcaea24b5fp-9, -0x1.9852c7e72723fp-9, -0x1.8f8b4ec447eeap-9, -0x1.86e732cab2f44p-9, -0x1.7e66448d6648fp-9, -0x1.760851fe96073p-9, -0x1.6dcd268538187p-9, -0x1.65b48b12a3218p-9, -0x1.5dbe46388270bp-9, -0x1.55ea1c3ead35bp-9, -0x1.4e37cf3927624p-9, -0x1.46a71f1e31bdbp-9, -0x1.3f37c9dc3c22cp-9, -0x1.37e98b6ff8638p-9, -0x1.30bc1dfa6d2e1p-9, -0x1.29af39d68a467p-9, -0x1.22c295af0e61fp-9, -0x1.1bf5e69426137p-9, -0x1.1548e010c57a1p-9, -0x1.0ebb343fe1d89p-9, -0x1.084c93e175227p-9, -0x1.01fcae6f3cda7p-9, -0x1.f79664620572p-10, -0x1.eb6f98a21df6ep-10, -0x1.df8451df83ecfp-10, -0x1.d3d3e66e6b154p-10, -0x1.c85daadca9584p-10, -0x1.bd82d45a6ae1dp-10, -0x1.b27dff67453d7p-10, -0x1.a7b12f4a954b1p-10, -0x1.9d1bb5148216dp-10, -0x1.92bce0b1398ecp-10, -0x1.8894010a4374bp-10, -0x1.7ea06426da5c6p-10, -0x1.74e1574b5a79fp-10, -0x1.6b5627187704fp-10, -0x1.61fe1fa9333ap-10, -0x1.58d88cb022b75p-10, -0x1.4fe4b993dbcecp-10, -0x1.4721f18aa8301p-10, -0x1.3e8f7fb53a8p-10, -0x1.362caf38ac6a3p-10, -0x1.2df8cb578bc0cp-10, -0x1.25f31f8a445bcp-10, -0x1.1e1af79635f2p-10, -0x1.166f9fa4beb02p-10, -0x1.0ef06458bcdf3p-10, -0x1.079c92e38a8fbp-10, -0x1.007379191f851p-10, -0x1.f2e8cb0729a77p-11, -0x1.e53d4eeae345ep-11, -0x1.d7e31e373122fp-11, -0x1.cad8db1c53a09p-11, -0x1.be1d29c284393p-11, -0x1.b1aeb067a3bf2p-11, -0x1.a58c177dce84fp-11, -0x1.99b409c764d9ap-11, -0x1.8e253471e1803p-11, -0x1.82de472f84e35p-11, -0x1.77ddf44f84685p-11, -0x1.6d22f0d520bb7p-11, -0x1.62abf48d26c9dp-11, -0x1.5877ba22e99fp-11, -0x1.4e84ff33931f9p-11, -0x1.44d28460407d7p-11, -0x1.3b5f0d5f72a33p-11, -0x1.3229610d27ac1p-11, -0x1.2930497a07ebcp-11, -0x1.207293f9aacd2p-11, -0x1.17ef112f5a681p-11, -0x1.0fa4951b1eed5p-11, -0x1.0791f7246a882p-11, -0x1.ff6c244b3e012p-12, -0x1.f01f88e8822b6p-12, -0x1.e13bdfd7579c6p-12, -0x1.d2bef3e730695p-12, -0x1.c4a69710bbf68p-12, -0x1.b6f0a282ca4d7p-12, -0x1.a99af6adf99a5p-12, -0x1.9ca37b4f72449p-12, -0x1.90081f79cea79p-12, -0x1.83c6d99d0ce68p-12, -0x1.77dda78d0f006p-12, -0x1.6c4a8e86fb1cep-12, -0x1.610b9b3553fcfp-12, -0x1.561ee1b305736p-12, -0x1.4b827d8d7d39bp-12, -0x1.413491c40f8ffp-12, -0x1.373348c9a46e6p-12, -0x1.2d7cd481bbb5dp-12, -0x1.240f6e3f2e54cp-12, -0x1.1ae956bf4960dp-12, -0x1.1208d6265994dp-12, -0x1.096c3bfa0a29cp-12, -0x1.0111df1ade016p-12, -0x1.f1f03b79855aep-13, -0x1.e23ababf61f57p-13, -0x1.d300158968fe2p-13, -0x1.c43d33cea498ep-13, -0x1.b5ef0bdd6b84p-13, -0x1.a812a249571adp-13, -0x1.9aa509d17741p-13, -0x1.8da36345f9cbep-13, -0x1.810add6b0c266p-13, -0x1.74d8b4de70b65p-13, -0x1.690a33f6d57a2p-13, -0x1.5d9cb2a4903dp-13, -0x1.528d965169661p-13, -0x1.47da51bd2f858p-13, -0x1.3d8064db37c5ep-13, -0x1.337d5caddc0cfp-13, -0x1.29ced32147ac4p-13, -0x1.20726ee548c42p-13, -0x1.1765e3465c64bp-13, -0x1.0ea6f005e8d15p-13, -0x1.0633613253bc2p-13, -0x1.fc121df92ac88p-14, -0x1.ec4bbb215c97ep-14, -0x1.dd0f79d4f32b5p-14, -0x1.ce5951569b4aep-14, -0x1.c0254fdf7a5e9p-14, -0x1.b26f9a47777b6p-14, -0x1.a5346bb51dffp-14, -0x1.9870153ac7421p-14, -0x1.8c1efd90f648cp-14, -0x1.803da0ae9ac12p-14, -0x1.74c88f7c703cp-14, -0x1.69bc6f7d1f0dap-14, -0x1.5f15fa7578edap-14, -0x1.54d1fe17d1481p-14, -0x1.4aed5bae71ad5p-14, -0x1.416507c6bc187p-14, -0x1.383609de22aa1p-14, -0x1.2f5d7c0a7a9e6p-14, -0x1.26d88aad59e65p-14, -0x1.1ea4741dde1d1p-14, }}, 
      {{-0x1.3ed1a589c4c25p-2, -0x1.3defda84a7686p-2, -0x1.3c78c9e9c92abp-2, -0x1.3a70f039153a8p-2, -0x1.37db891a3ce48p-2, -0x1.34be2151b75c4p-2, -0x1.311ee96a63aa1p-2, -0x1.2d03cdf5b7512p-2, -0x1.28740eda54b5ap-2, -0x1.2376d8172d223p-2, -0x1.1e14258867b66p-2, -0x1.1852ce89a615bp-2, -0x1.1239621441924p-2, -0x1.0bd188eb15d26p-2, -0x1.05210f2a83eb1p-2, -0x1.fc604f9261d82p-3, -0x1.ee0a4310d170bp-3, -0x1.df4f05f07a237p-3, -0x1.d03a919f64496p-3, -0x1.c0dae7a875bd6p-3, -0x1.b13b446f98af6p-3, -0x1.a167e67fd2324p-3, -0x1.916bf0d3fe89ap-3, -0x1.8151e13d98d34p-3, -0x1.7123f74a5a41p-3, -0x1.60ebd792119afp-3, -0x1.50b28d36e032bp-3, -0x1.4080ba98af471p-3, -0x1.305e848be516cp-3, -0x1.20538e0c5613cp-3, -0x1.1066fee470a97p-3, -0x1.009fe460351eap-3, -0x1.e207c11ba81bbp-4, -0x1.c3321e8046d1ap-4, -0x1.a4ca7a4a66861p-4, -0x1.86dafbf769793p-4, -0x1.696c975ca522ap-4, -0x1.4c878462a5af3p-4, -0x1.3033906a60e2ap-4, -0x1.147826c359d56p-4, -0x1.f2b8100a11e5ap-5, -0x1.bdca0dc60c305p-5, -0x1.8a3025a257473p-5, -0x1.57f2ef64ed164p-5, -0x1.271a2738de71fp-5, -0x1.ef598450510d2p-6, -0x1.93617a2a17c7bp-6, -0x1.3a55c8086e4fap-6, -0x1.c87b0e4064314p-7, -0x1.223b2dd9df0d2p-7, -0x1.03e432585fb33p-8, 0x1.85cf01517d38fp-11, 0x1.5962c9850601ep-8, 0x1.3b0d963d9638cp-7, 0x1.c376e11ba9ae2p-7, 0x1.22fad8b8cab08p-6, 0x1.614aa6a725c33p-6, 0x1.9cb1bd633ece3p-6, 0x1.d5381334b8d2cp-6, 0x1.057349b912992p-5, 0x1.1ee3882e0ee6fp-5, 0x1.36f21ddb18a84p-5, 0x1.4da108c557c41p-5, 0x1.62fcff133501fp-5, 0x1.770b1a1434a96p-5, 0x1.89d201544b012p-5, 0x1.9b5849ee0bc34p-5, 0x1.aba498bd89143p-5, 0x1.babdcd3e1383dp-5, 0x1.c8ab261b4ed6dp-5, 0x1.d57454a133f53p-5, 0x1.e1217a8bb81e8p-5, 0x1.ebbb141482519p-5, 0x1.f549d4d777945p-5, 0x1.fdd68064903e8p-5, 0x1.02b4e3878c0b3p-4, 0x1.060616a8961e5p-4, 0x1.08e3006818becp-4, 0x1.0b4fad50fbba4p-4, 0x1.0d5015d54a4cp-4, 0x1.0ee82724c4bc8p-4, 0x1.101bcc1d64a35p-4, 0x1.10eef431351acp-4, 0x1.116596e589ea8p-4, 0x1.1183b37abc4d3p-4, 0x1.114d4d2285da3p-4, 0x1.10c664c74174p-4, 0x1.0ff2f1b438b33p-4, 0x1.0ed6da6fb5397p-4, 0x1.0d75eeda198aep-4, 0x1.0bd3e442d467bp-4, 0x1.09f453b51426ap-4, 0x1.07daba5708779p-4, 0x1.058a7b65e4f9ep-4, 0x1.0306e3283f486p-4, 0x1.00532a23c6c4ep-4, 0x1.fae4efef98e1ap-5, 0x1.f4cfcad4a3369p-5, 0x1.ee6cfad8ba1f4p-5, 0x1.e7c27a2029282p-5, 0x1.e0d6252d9a50dp-5, 0x1.d9adb7b56a43cp-5, 0x1.d24ec8cbcb65ep-5, 0x1.cabec710bca31p-5, 0x1.c302f5640a6c9p-5, 0x1.bb2068823ff28p-5, 0x1.b31c05b98081fp-5, 0x1.aafa82b63065bp-5, 0x1.a2c06640a6b89p-5, 0x1.9a7209accd422p-5, 0x1.92139ab25585dp-5, 0x1.89a91d65b3e27p-5, 0x1.81366e1466702p-5, 0x1.78bf42d6a38d5p-5, 0x1.70472cbafd13ep-5, 0x1.67d198837e65ap-5, 0x1.5f61cefd7dd44p-5, 0x1.56faf50b6e8dcp-5, 0x1.4ea00b807c7ep-5, 0x1.4653eef003a6fp-5, 0x1.3e19578e69f05p-5, 0x1.35f2d9387768fp-5, 0x1.2de2e3ab9dec8p-5, 0x1.25ebc2efeb031p-5, 0x1.1e0f9fed6803cp-5, 0x1.1650812323ec3p-5, 0x1.0eb27e463ec4fp-5, 0x1.07337840b05c2p-5, 0x1.ffad126d816fap-6, 0x1.f13a6b623abcbp-6, 0x1.e311d15a42c93p-6, 0x1.d535e7bf5ccfbp-6, 0x1.c7a91f77bee0ep-6, 0x1.ba6db6a26ef4dp-6, 0x1.ad85b82cfc402p-6, 0x1.a0f2fb6b3dbefp-6, 0x1.94b723d75023ep-6, 0x1.88d3a1185e8b8p-6, 0x1.7d49af6776721p-6, 0x1.721a585f778bp-6, 0x1.6746743c22de4p-6, 0x1.5cceab83167d5p-6, 0x1.52b3790a45a15p-6, 0x1.48f52c493ab6ep-6, 0x1.3f93ebdf3af3cp-6, 0x1.368fb8362b32ep-6, 0x1.2de86e2a7f604p-6, 0x1.259dc9a232bc3p-6, 0x1.1daf68007796ep-6, 0x1.161cca676eb57p-6, 0x1.0ee557be99cf7p-6, 0x1.08085e79573d2p-6, 0x1.0185161d60822p-6, 0x1.f6b5411acb365p-7, 0x1.eb10163d64b31p-7, 0x1.e0189f06aa98cp-7, 0x1.d5cca9262f7f5p-7, 0x1.cc29ddfcab807p-7, 0x1.c32dc3e9ad0f2p-7, 0x1.bad5bf94b13ddp-7, 0x1.b31f15416c07p-7, 0x1.ac06ea3b0e3a3p-7, 0x1.a58a465fefa9p-7, 0x1.9fa615d154f87p-7, 0x1.9a572ac841be5p-7, 0x1.959a3f8caf282p-7, 0x1.916bf889b03dap-7, 0x1.8dc8e6771932p-7, 0x1.8aad8890407b3p-7, 0x1.88164ecec34b9p-7, 0x1.85ff9c2070bd9p-7, 0x1.8465c89090092p-7, 0x1.8345235ccf6f6p-7, 0x1.8299f4f094c89p-7, 0x1.826080c1602dep-7, 0x1.82950709962b6p-7, 0x1.8333c65f777d8p-7, 0x1.8438fd27a5e9ap-7, 0x1.85a0eae43384cp-7, 0x1.8767d1618e2e2p-7, 0x1.8989f5c497e35p-7, 0x1.8c03a17c7ffccp-7, 0x1.8ed1231cfa1bcp-7, 0x1.91eecf24875d5p-7, 0x1.955900b2dda49p-7, 0x1.990c1a32d6f83p-7, 0x1.9d0485fc0f846p-7, 0x1.a13eb6edd70eap-7, 0x1.a5b72906c3b1bp-7, 0x1.aa6a61f9756dfp-7, 0x1.af54f1c037ce7p-7, 0x1.b473732f7c01ap-7, 0x1.b9c28c8751657p-7, 0x1.bf3ef0030da44p-7, 0x1.c4e55c66b8046p-7, 0x1.cab29d8886722p-7, 0x1.d0a38cd5fd15p-7, 0x1.d6b511d2c10aep-7, 0x1.dce422906b8c7p-7, 0x1.e32dc41e08e5cp-7, 0x1.e98f0aee8813cp-7, 0x1.f0051b358308ap-7, 0x1.f68d2939afa9ep-7, 0x1.fd24799d0ea59p-7, 0x1.01e430cd41224p-6, 0x1.053b239cacfb1p-6, 0x1.0895d0bb4bbd1p-6, 0x1.0bf2fc326ba44p-6, 0x1.0f5172a1898c6p-6, 0x1.12b009456b457p-6, 0x1.160d9dfb72558p-6, 0x1.1969174138c09p-6, 0x1.1cc1643135d49p-6, 0x1.20157c7c844f7p-6, 0x1.236460623b29cp-6, 0x1.26ad18a4e72b6p-6, 0x1.29eeb67e22799p-6, 0x1.2d285390ef7c5p-6, 0x1.305911dac2b27p-6, 0x1.33801ba3a0c9dp-6, 0x1.369ca36d439c5p-6, 0x1.39ade3e19379ep-6, 0x1.3cb31fc01d7d7p-6, 0x1.3faba1caf3ff2p-6, 0x1.4296bcb276416p-6, 0x1.4573cb00823acp-6, 0x1.48422f0272295p-6, 0x1.4b0152b23b14p-6, 0x1.4db0a79e99eecp-6, 0x1.504fa6d2203b5p-6, 0x1.52ddd0b93e69fp-6, 0x1.555aad075b738p-6, 0x1.57c5ca9ae10d6p-6, 0x1.5a1ebf6052fb4p-6, 0x1.5c65283491dd5p-6, 0x1.5e98a8c62597bp-6, 0x1.60b8eb75e1a7dp-6, 0x1.62c5a136ab1c4p-6, 0x1.64be816cac2edp-6, 0x1.66a349cbea3e5p-6, 0x1.6873be3658314p-6, 0x1.6a2fa8996a2e9p-6, 0x1.6bd6d8cb4b0b8p-6, 0x1.6d692467da21ap-6, 0x1.6ee666ad48bd7p-6, 0x1.704e8058aa2dep-6, 0x1.71a1578245e7cp-6, 0x1.72ded77a132cep-6, 0x1.7406f0a409132p-6, 0x1.751998548ab09p-6, 0x1.7616c8ad048a1p-6, 0x1.76fe80788e3aap-6, 0x1.77d0c308ddbb4p-6, 0x1.788d98134adaap-6, 0x1.79347f90da32fp-6, 0x1.79c696c66f50ep-6, 0x1.7a43725d1b117p-6, 0x1.7aab2a448263ap-6, 0x1.7afdda1b3f5ffp-6, 0x1.7b3ba10e88fe4p-6, 0x1.7b64a1ba10464p-6, 0x1.7b79020866b83p-6, 0x1.7b78eb13cc27p-6, 0x1.7b6489074458dp-6, 0x1.7b3c0b0039645p-6, 0x1.7affa2f042a57p-6, 0x1.7aaf857f5fce8p-6, 0x1.7a4be9ee631ep-6, 0x1.79d509f9de78p-6, 0x1.794b21bd29d44p-6, 0x1.78ae6f95cb7c5p-6, 0x1.77ff34073bc4ep-6, 0x1.773db19ee05dfp-6, 0x1.766a2cd86c43bp-6, 0x1.7584ec02860dfp-6, 0x1.748e3723dd6e3p-6, 0x1.738657e08928bp-6, 0x1.726d995fd2d3ap-6, 0x1.71444832651acp-6, 0x1.700ab238ec025p-6, 0x1.6ec1268b10a49p-6, 0x1.6d67f55f177cbp-6, 0x1.6bff6ff1c5c42p-6, 0x1.6a87e86ee5d8ap-6, 0x1.6901b1da43426p-6, 0x1.676d1ff92d225p-6, 0x1.65ca873c882d2p-6, 0x1.641a3cab57931p-6, 0x1.625c95cdffad3p-6, 0x1.6091e899ebe3fp-6, 0x1.5eba8b5ddedf6p-6, 0x1.5cd6d4aed0dd3p-6, 0x1.5ae71b5561ccep-6, 0x1.58ebb63bd11f4p-6, 0x1.56e4fc5cab22ep-6, 0x1.54d344b1e0a27p-6, 0x1.52b6e6248819fp-6, 0x1.5090377d249f1p-6, 0x1.4e5f8f5479863p-6, 0x1.4c254404eefd7p-6, 0x1.49e1ab9c8147fp-6, 0x1.47951bcf2deebp-6, 0x1.453fe9e9ea29bp-6, 0x1.42e26ac61ac38p-6, 0x1.407cf2bd8f93cp-6, 0x1.3e0fd59ef1ad4p-6, 0x1.3b9b66a2b73efp-6, 0x1.391ff8607b622p-6, 0x1.369ddcc4e845dp-6, 0x1.34156507f7e86p-6, 0x1.3186e1a3b2127p-6, 0x1.2ef2a24b532bap-6, 0x1.2c58f5e2dd509p-6, 0x1.29ba2a77194c2p-6, 0x1.27168d35f3bf8p-6, 0x1.246e6a673cce4p-6, 0x1.21c20d65df6b2p-6, 0x1.1f11c0995c324p-6, 0x1.1c5dcd6fb85fcp-6, 0x1.19a67c57b810dp-6, 0x1.16ec14bb864c8p-6, 0x1.142edcfb9fe4ep-6, 0x1.116f1a6a24621p-6, 0x1.0ead11467f96bp-6, 0x1.0be904b9560eep-6, 0x1.092336d0cf153p-6, 0x1.065be87d2cd4ep-6, 0x1.0393598db07aap-6, 0x1.00c9c8adcdda1p-6, 0x1.fbfee6c54c4b8p-7, 0x1.f6692c119be55p-7, 0x1.f0d2d7a4aac1dp-7, 0x1.eb3c5d8a45333p-7, 0x1.e5a62f730226bp-7, 0x1.e010bcb1ed024p-7, 0x1.da7c723ab806p-7, 0x1.d4e9baa060ad1p-7, 0x1.cf58fe1452b89p-7, 0x1.c9caa265fbd13p-7, 0x1.c43f0b02bd749p-7, 0x1.beb698f67f53p-7, 0x1.b931aaec6a7dfp-7, 0x1.b3b09d302e823p-7, 0x1.ae33c9afad4p-7, 0x1.a8bb87fcdc3dp-7, 0x1.a3482d502fe34p-7, 0x1.9dda0c8b40739p-7, 0x1.9871763bc3697p-7, 0x1.930eb89ed3aeep-7, 0x1.8db21fa496b36p-7, 0x1.885bf4f40ff44p-7, 0x1.830c7fef48f69p-7, 0x1.7dc405b7b5c5p-7, 0x1.7882c932d75a8p-7, 0x1.73490b0f1929ap-7, 0x1.6e1709c8e856bp-7, 0x1.68ed01b0006dap-7, 0x1.63cb2cece0e7dp-7, 0x1.5eb1c3868a79p-7, 0x1.59a0fb683c5b7p-7, 0x1.549908679f637p-7, 0x1.4f9a1c4ad21c1p-7, 0x1.4aa466cec51c2p-7, 0x1.45b815adb5e5ap-7, 0x1.40d554a5ba3cdp-7, 0x1.3bfc4d7f80f9cp-7, 0x1.372d2815177edp-7, 0x1.32680a58e3aeap-7, 0x1.2dad185ca261dp-7, 0x1.28fc745884b04p-7, 0x1.24563eb26aa34p-7, 0x1.1fba96051cc85p-7, 0x1.1b299727b8fep-7, 0x1.16a35d350e153p-7, 0x1.1228019317ad7p-7, 0x1.0db79bfa88b3ap-7, 0x1.0952427e628bbp-7, 0x1.04f809938c3a5p-7, 0x1.00a9041881e77p-7, 0x1.f8ca86ba03686p-8, 0x1.f059ae53988a8p-8, 0x1.e7ff9b90afdb9p-8, 0x1.dfbc68152e462p-8, 0x1.d7902aa59fa5fp-8, 0x1.cf7af7369bb6bp-8, 0x1.c77cdefc6bbf5p-8, 0x1.bf95f07aa8ec6p-8, 0x1.b7c63793d1601p-8, 0x1.b00dbd98d6c95p-8, 0x1.a86c8958998e9p-8, 0x1.a0e29f2f86dfdp-8, 0x1.99700116fe7d6p-8, 0x1.9214aeb4c5b8ep-8, 0x1.8ad0a56a68bbp-8, 0x1.83a3e06484fc8p-8, 0x1.7c8e58aa01736p-8, 0x1.7590052b3b7dap-8, 0x1.6ea8dad130b3cp-8, 0x1.67d8cc8c3824p-8, 0x1.611fcb632b4c5p-8, 0x1.5a7dc681f9e5ep-8, 0x1.53f2ab486bda7p-8, 0x1.4d7e655891505p-8, 0x1.4720dea53a503p-8, 0x1.40d9ff802c45bp-8, 0x1.3aa9aea84f0dap-8, 0x1.348fd1578ffd8p-8, 0x1.2e8c4b50bd098p-8, 0x1.289efeed2bd76p-8, 0x1.22c7cd2a232d1p-8, 0x1.1d0695b644a76p-8, 0x1.175b36fe7dafcp-8, 0x1.11c58e3b37c71p-8, 0x1.0c45777cca89cp-8, 0x1.06dacdb83ad36p-8, 0x1.01856ad37d78bp-8, 0x1.f88a4f633d68fp-9, 0x1.ee33b87d6dd3dp-9, 0x1.e406bef7155a7p-9, 0x1.da030f124305fp-9, 0x1.d028536806396p-9, 0x1.c67634fe75c37p-9, 0x1.bcec5b5e6ca17p-9, 0x1.b38a6ca8dc5bdp-9, 0x1.aa500dab4105dp-9, 0x1.a13ce1f41e3e6p-9, 0x1.98508be6b969cp-9, 0x1.8f8aacce9c2f4p-9, 0x1.86eae4f242bbfp-9, 0x1.7e70d3a59369fp-9, 0x1.761c175c1abb8p-9, 0x1.6dec4dba24daap-9, 0x1.65e113a60a539p-9, 0x1.5dfa0558ae347p-9, 0x1.5636be6ddaf68p-9, 0x1.4e96d9f3924ffp-9, 0x1.4719f27993118p-9, 0x1.3fbfa220169a1p-9, 0x1.388782a630d7fp-9, 0x1.31712d77d2466p-9, 0x1.2a7c3bbb39ce4p-9, 0x1.23a8465e24382p-9, 0x1.1cf4e6228326dp-9, 0x1.1661b3aae541p-9, 0x1.0fee478625254p-9, 0x1.099a3a3b8233bp-9, 0x1.0365245521344p-9, 0x1.fa9d3cd6a88a8p-10, 0x1.eeac825ddf322p-10, 0x1.e2f74ae7119cdp-10, 0x1.d77cc87246b6ap-10, 0x1.cc3c2d6b3cf63p-10, 0x1.c134acbc0069cp-10, 0x1.b66579de7ef08p-10, 0x1.abcdc8ed64edbp-10, 0x1.a16cceb4da754p-10, 0x1.9741c0c2780fep-10, 0x1.8d4bd5746472ap-10, 0x1.838a4408368aap-10, 0x1.79fc44a965d15p-10, 0x1.70a1107eedb6ep-10, 0x1.6777e1b8a35cep-10, 0x1.5e7ff39c1cf9ep-10, 0x1.55b88290aa8cep-10, 0x1.4d20cc2be56eep-10, 0x1.44b80f3c868aep-10, 0x1.3c7d8bd54d78ep-10, 0x1.34708357fcfd4p-10, 0x1.2c90387f7d1b9p-10, 0x1.24dbef691e3bep-10, 0x1.1d52ed9e5eea8p-10, 0x1.15f47a1db444p-10, 0x1.0ebfdd6316b57p-10, 0x1.07b461705f71fp-10, 0x1.00d151d4cefa2p-10, 0x1.f42bf76965dffp-11, 0x1.e7035ba0e80fdp-11, 0x1.da277116756a6p-11, 0x1.cd96dbe36bac8p-11, 0x1.c150437f474d6p-11, 0x1.b55252cbe9e1ap-11, 0x1.a99bb81fde2e6p-11, 0x1.9e2b25503f76ap-11, 0x1.92ff4fbc640afp-11, 0x1.8816f053797c6p-11, 0x1.7d70c39ed872fp-11, 0x1.730b89c935862p-11, 0x1.68e606a59c7e1p-11, 0x1.5eff01b5f187fp-11, 0x1.55554630c7f5p-11, 0x1.4be7a306a420ep-11, 0x1.42b4eae6b3c26p-11, 0x1.39bbf44315df4p-11, 0x1.30fb995434f52p-11, 0x1.2872b81bea6acp-11, 0x1.2020326865e1bp-11, 0x1.1802edd550d2p-11, 0x1.1019d3ceab806p-11, 0x1.0863d19045a88p-11, 0x1.00dfd827393ep-11, 0x1.f319b8e31ad94p-12, 0x1.e4d3ae3c7297bp-12, 0x1.d6eb895732b62p-12, 0x1.c95f4acc50306p-12, 0x1.bc2cfacf1b031p-12, 0x1.af52a92826614p-12, 0x1.a2ce6d2d613c4p-12, 0x1.969e65bfab059p-12, 0x1.8ac0b941dee5fp-12, 0x1.7f3395921aea7p-12, 0x1.74085ff38aaa4p-12, 0x1.691670d499e02p-12, 0x1.5e6fbe99d694fp-12, 0x1.541295296679p-12, 0x1.49fd47acf79fdp-12, 0x1.402e3087844edp-12, 0x1.36a3b148708d6p-12, 0x1.2d5c329e4f7p-12, 0x1.2456244acbc52p-12, 0x1.1b8ffd14bea33p-12, 0x1.13083aba2515ap-12, 0x1.0abd61e0f8b66p-12, 0x1.02adfe0a6cc4bp-12, 0x1.f5b1430086c03p-13, 0x1.e677ca8e0bba2p-13, 0x1.d7acd21c127f3p-13, 0x1.c94da63a016c5p-13, 0x1.bb57a08edddc7p-13, 0x1.adc827abdb5c5p-13, 0x1.a09caef0c184bp-13, 0x1.93d2b666c713bp-13, 0x1.8767ca9befa16p-13, 0x1.7b59848181f5dp-13, 0x1.6fa58942d3b4ap-13, 0x1.64498a23a8483p-13, 0x1.59434458613c1p-13, 0x1.4e9080e36add5p-13, 0x1.442f146ae4f6ep-13, 0x1.3a1cdf150b23p-13, 0x1.3057cc6138d0dp-13, 0x1.26ddd2ffed7cap-13, 0x1.1dacf4adb2986p-13, 0x1.14c33e0ac94bap-13, 0x1.0c1ec671eb4fbp-13, 0x1.03bdafdb4c1a6p-13, 0x1.f73c4d48d28adp-14, 0x1.e77cc2edd6d52p-14, 0x1.d8394234e3c4dp-14, 0x1.c96e609f15616p-14, 0x1.bb18c75027052p-14, 0x1.ad3532c00d859p-14, 0x1.9fc0726c2855ep-14, 0x1.92b7688cc4ed5p-14, 0x1.861709c1f193dp-14, 0x1.79dc5cc857a0dp-14, 0x1.6e047a32188b4p-14, 0x1.628c8c0f5e1f9p-14, 0x1.5771cdaa975a4p-14, 0x1.4cb18b3a05f46p-14, 0x1.424921930b6a4p-14, 0x1.3835fdde5816ep-14, 0x1.2e759d5892d22p-14, 0x1.25058cf72d205p-14, 0x1.1be3692acb033p-14, 0x1.130cdd93bbf15p-14, 0x1.0a7fa4b9fc1fep-14, 0x1.023987c584579p-14, 0x1.f470bc71a55dp-15, 0x1.e4f41b51d351ap-15, 0x1.d5f912eb1d284p-15, 0x1.c77ba52659feap-15, 0x1.b977ee608dd66p-15, 0x1.abea24ffdfe11p-15, 0x1.9ece98f24747ap-15, 0x1.9221b31994a66p-15, 0x1.85dff4d38307dp-15, 0x1.7a05f77742fffp-15, 0x1.6e906bd7e4601p-15, 0x1.637c19c146c21p-15, 0x1.58c5df8414d53p-15, 0x1.4e6ab174734eep-15, 0x1.4467997cf6866p-15, 0x1.3ab9b698570efp-15, 0x1.315e3c6294644p-15, 0x1.285272a98045ep-15, 0x1.1f93b4ea85a0ap-15, 0x1.171f721132d84p-15, 0x1.0ef32bc3274afp-15, 0x1.070c7621711p-15, 0x1.fed1ee9f28d46p-16, 0x1.f00cce211252cp-16, 0x1.e1c51ca82f8a4p-16, 0x1.d3f68dae76cb4p-16, 0x1.c69cf57aea297p-16, 0x1.b9b4485ae3ddcp-16, 0x1.ad3899deb9428p-16, 0x1.a1261c199908ap-16, 0x1.95791ee4d65d5p-16, 0x1.8a2e0f2312ea7p-16, 0x1.7f417614fc1d9p-16, 0x1.74aff895ba42bp-16, 0x1.6a765667fc759p-16, 0x1.609169bb7a9bfp-16, 0x1.56fe2637d551dp-16, 0x1.4db9987b9197cp-16, 0x1.44c0e58b21b8dp-16, 0x1.3c114a07a4d55p-16, 0x1.33a819b0f9c1dp-16, 0x1.2b82beba84f47p-16, 0x1.239eb93afe21ep-16, 0x1.1bf99e950088ep-16, 0x1.149118e6ff78ep-16, 0x1.0d62e67b6b1fep-16, 0x1.066cd93c826b6p-16, 0x1.ff59ac5ad7f9bp-17, 0x1.f241a9aa3bf48p-17, 0x1.e58dbdd6a00ap-17, 0x1.d93a1f228eb1ep-17, 0x1.cd43260557c1ep-17, }}, 
      {{-0x1.3f03e53971b3fp-2, -0x1.3eb84f9963eadp-2, -0x1.3e39d877153dfp-2, -0x1.3d8a81efb152fp-2, -0x1.3caa1f7f72ac8p-2, -0x1.3b99f4b55f2e2p-2, -0x1.3a5c0767ee928p-2, -0x1.38f102320c38dp-2, -0x1.375ab530259a6p-2, -0x1.359a844988266p-2, -0x1.33b2bbbe37103p-2, -0x1.31a548dbcdc6dp-2, -0x1.2f7263629674dp-2, -0x1.2d1cf1f73be9ap-2, -0x1.2aa791a3354c9p-2, -0x1.2812591e05e7bp-2, -0x1.25610388a72a4p-2, -0x1.2293b06aaa13ap-2, -0x1.1fad82588e92ep-2, -0x1.1caf49a63d07ep-2, -0x1.199b5bbe8151ep-2, -0x1.16730fb245cddp-2, -0x1.133835fb1f0b9p-2, -0x1.0fec55902489dp-2, -0x1.0c910173eb7b2p-2, -0x1.0927b9f85c724p-2, -0x1.05b1f2945976bp-2, -0x1.0231142a8e3a3p-2, -0x1.fd4cf39f234a9p-3, -0x1.f626e3e790e57p-3, -0x1.eef29b498130bp-3, -0x1.e7b220f50e71p-3, -0x1.e0683c82b930cp-3, -0x1.d9170d87bc108p-3, -0x1.d1c08dd65abddp-3, -0x1.ca66e1d649e11p-3, -0x1.c30c0729528d3p-3, -0x1.bbb1ce3a31d91p-3, -0x1.b459ffea11ddcp-3, -0x1.ad0655c40003ap-3, -0x1.a5b86c45d9355p-3, -0x1.9e71c813457d4p-3, -0x1.9733db85db9b5p-3, -0x1.900006ea6473cp-3, -0x1.88d797ea87461p-3, -0x1.81bbc92baaa38p-3, -0x1.7aadc21ae65a4p-3, -0x1.73ae9758303b9p-3, -0x1.6cbf4bbaf9982p-3, -0x1.65e0d16db6d9dp-3, -0x1.5f140aa5ac744p-3, -0x1.5859c9f197ca5p-3, -0x1.51b2d27092f05p-3, -0x1.4b1fd819dc96ep-3, -0x1.44a1801608f1p-3, -0x1.3e38614733a8p-3, -0x1.37e50504e469fp-3, -0x1.31a7e7caaa045p-3, -0x1.2b8179abd01d8p-3, -0x1.25721eac035dap-3, -0x1.1f7a2f26c596cp-3, -0x1.1999f844334aap-3, -0x1.13d1c669a1b02p-3, -0x1.0e21b7cb99d8dp-3, -0x1.088a09980ce14p-3, -0x1.030ae3057036bp-3, -0x1.fb48c401eb2dap-4, -0x1.f0ad36515256fp-4, -0x1.e6433418e2392p-4, -0x1.dc0ac36d52233p-4, -0x1.d203dad159fdep-4, -0x1.c82e62d97d70cp-4, -0x1.be8a37bb63989p-4, -0x1.b5172a9889e7cp-4, -0x1.abd5026b5af36p-4, -0x1.a2c37c972d1ddp-4, -0x1.99e24d2fd3179p-4, -0x1.91311f195c573p-4, -0x1.88af942291d52p-4, -0x1.805d4536c5ea7p-4, -0x1.7839c2b8158adp-4, -0x1.7044950633de8p-4, -0x1.687d3d2aef168p-4, -0x1.60e3359db7d35p-4, -0x1.5975f30d07cb5p-4, -0x1.5234e51d1e4fap-4, -0x1.4b1f770f7d8efp-4, -0x1.4435104bf5f99p-4, -0x1.3d7514c9d7ac1p-4, -0x1.36dee55d18a72p-4, -0x1.3071dfeee4f09p-4, -0x1.2a2d5faaec0c5p-4, -0x1.2410bd29d3daep-4, -0x1.1e1b4e9f80c2ep-4, -0x1.184c6810e29cep-4, -0x1.12a35b92a1d4ap-4, -0x1.0d1f799033b65p-4, -0x1.07c0111988499p-4, -0x1.02847034617c1p-4, -0x1.fad7c85b045ffp-5, -0x1.f0eb73cb866dep-5, -0x1.e7427c2fd6469p-5, -0x1.dddb7b2b71c92p-5, -0x1.d4b50af90aeaep-5, -0x1.cbcdc6c60db1ap-5, -0x1.c3244b03ee386p-5, -0x1.bab735b1d815p-5, -0x1.b285269fd1e97p-5, -0x1.aa8cbfabeb5bfp-5, -0x1.a2cca4fab5a55p-5, -0x1.9b437d2d589dfp-5, -0x1.93eff198b0066p-5, -0x1.8cd0ae7fa4b43p-5, -0x1.85e46351875ddp-5, -0x1.7f29c2ea590ap-5, -0x1.789f83d11e786p-5, -0x1.72446070054c9p-5, -0x1.6c17174389b3dp-5, -0x1.66166b00610efp-5, -0x1.604122b265602p-5, -0x1.5a9609d82584cp-5, -0x1.5513f07e9194cp-5, -0x1.4fb9ab5e3ad3p-5, -0x1.4a8613f97eff8p-5, -0x1.457808b905018p-5, -0x1.408e6d035e818p-5, -0x1.3bc814b238db1p-5, -0x1.37241ab5ca0bap-5, -0x1.32a159a4d33efp-5, -0x1.2e3ec8d4b4cbfp-5, -0x1.29fb64cb9cce6p-5, -0x1.25d62f4cff13dp-5, -0x1.21ce2f633c1b6p-5, -0x1.1de271664eb11p-5, -0x1.1a1206ff7dbp-5, -0x1.165c072a2f772p-5, -0x1.12bf8e321270fp-5, -0x1.0f3bbdaed1909p-5, -0x1.0bcfbc7dd63eap-5, -0x1.087ab6ba2d86dp-5, -0x1.053bddb3125a6p-5, -0x1.021267e15424dp-5, -0x1.fdfb21b7893fbp-6, -0x1.f7f93295f8214p-6, -0x1.f21d8db8c8e5fp-6, -0x1.ec66c86981677p-6, -0x1.e6d381c46ebb7p-6, -0x1.e162629bea425p-6, -0x1.dc121d5adb165p-6, -0x1.d6e16de6b1134p-6, -0x1.d1cf1980b2c27p-6, -0x1.ccd9eea70d5a1p-6, -0x1.c800c4f50c00bp-6, -0x1.c3427d02d607p-6, -0x1.be9e004478fdep-6, -0x1.ba1240e80eccbp-6, -0x1.b59e39b34c7d9p-6, -0x1.b140ede010e4ap-6, -0x1.acf968f885811p-6, -0x1.a8c6beb266a1cp-6, -0x1.a4a80ac9c95b5p-6, -0x1.a09c70db68755p-6, -0x1.9ca31c3e313c2p-6, -0x1.98bb3fdc72bbfp-6, -0x1.94e4160c58224p-6, -0x1.911ce067e7469p-6, -0x1.8d64e7a47db84p-6, -0x1.89bb7b6a098a5p-6, -0x1.861ff229e975bp-6, -0x1.8291a8f5d8f12p-6, -0x1.7f100356effdap-6, -0x1.7b9a6b24acccep-6, -0x1.7830505c7c115p-6, -0x1.74d128f94bdcbp-6, -0x1.717c70cbc057bp-6, -0x1.6e31a95295825p-6, -0x1.6af0599373a87p-6, -0x1.67b80df4346dp-6, -0x1.648858149b3c9p-6, -0x1.6160cea89eb66p-6, -0x1.5e410d532413cp-6, -0x1.5b28b4817e302p-6, -0x1.581769477b6a4p-6, -0x1.550cd53c0ad01p-6, -0x1.5208a65696d82p-6, -0x1.4f0a8eccf7657p-6, -0x1.4c1244f1d3afp-6, -0x1.491f8313b141ep-6, -0x1.4632075c62035p-6, -0x1.434993b0fd872p-6, -0x1.4065ed9241d73p-6, -0x1.3d86ddfd8c3a7p-6, -0x1.3aac314e2d75dp-6, -0x1.37d5b71f609b7p-6, -0x1.3503422ebc49fp-6, -0x1.3234a83f418ccp-6, -0x1.2f69c1fcd71ap-6, -0x1.2ca26ae0877cap-6, -0x1.29de811510df6p-6, -0x1.271de55c28fbep-6, -0x1.24607af442855p-6, -0x1.21a6277ec4917p-6, -0x1.1eeed2e6eb98dp-6, -0x1.1c3a674927b8ap-6, -0x1.1988d0db1f9ep-6, -0x1.16d9fdd42bc65p-6, -0x1.142dde568b84fp-6, -0x1.118464592996dp-6, -0x1.0edd8391fe566p-6, -0x1.0c39316111abap-6, -0x1.099764bc15afdp-6, -0x1.06f8161a9e3d6p-6, -0x1.045b3f62e1b7ap-6, -0x1.01c0dbd705db1p-6, -0x1.fe51d006172d9p-7, -0x1.f926c3564073ap-7, -0x1.f4008f75458bdp-7, -0x1.eedf3466d6cf6p-7, -0x1.e9c2b43b9ad1cp-7, -0x1.e4ab12f1e93aep-7, -0x1.df985657c0e14p-7, -0x1.da8a85ed5b854p-7, -0x1.d581aac8f9fb5p-7, -0x1.d07dcf7ba268ap-7, -0x1.cb7efff6b8a3dp-7, -0x1.c6854972532c5p-7, -0x1.c190ba54add49p-7, -0x1.bca1621a6173fp-7, -0x1.b7b7513f5c68ap-7, -0x1.b2d29928a5c2cp-7, -0x1.adf34c0f1551cp-7, -0x1.a9197cea9705fp-7, -0x1.a4453f5e4b478p-7, -0x1.9f76a7a5968ecp-7, -0x1.9aadca816aaf8p-7, -0x1.95eabd26d106ap-7, -0x1.912d952de3d66p-7, -0x1.8c7668817e97bp-7, -0x1.87c54d4fd9541p-7, -0x1.831a59fb5811bp-7, -0x1.7e75a50c81ccap-7, -0x1.79d7452433f3ap-7, -0x1.753f50eefd72p-7, -0x1.70addf18595abp-7, -0x1.6c23063f209abp-7, -0x1.679edcea3dd19p-7, -0x1.6321797e1f28ap-7, -0x1.5eaaf23263459p-7, -0x1.5a3b5d087b208p-7, -0x1.55d2cfc267fe6p-7, -0x1.51715fda29587p-7, -0x1.4d172279ac3dbp-7, -0x1.48c42c73135e7p-7, -0x1.4478923980929p-7, -0x1.4034554550989p-7, -0x1.3bf7ae24626cap-7, -0x1.37c29db7c30f3p-7, -0x1.339536b6090e6p-7, -0x1.2f6f8b5970926p-7, -0x1.2b51ad5aee13ap-7, -0x1.273badedf18cap-7, -0x1.232d9dbc74f78p-7, -0x1.1f278ce320e4p-7, -0x1.1b298aee1e4cbp-7, -0x1.1733a6d5e59c1p-7, -0x1.1345eefc93d09p-7, -0x1.0f60712b5f6fbp-7, -0x1.0b833a90a9683p-7, -0x1.07ae57bdb4972p-7, -0x1.03e1d4a53e55ap-7, -0x1.001dbc9a0c31cp-7, -0x1.f8c4349b79d7fp-8, -0x1.f15def9fbf17cp-8, -0x1.ea08bd1a68c9ep-8, -0x1.e2c4ae9ec7871p-8, -0x1.db91d478bf311p-8, -0x1.d4703dad2c476p-8, -0x1.cd5ff7f9e78ffp-8, -0x1.c6610fd663b79p-8, -0x1.bf73907489feep-8, -0x1.b89783c25b5fbp-8, -0x1.b1ccf26af9fbap-8, -0x1.ab13e3d8f00aep-8, -0x1.a46c5e3839276p-8, -0x1.9dd66678ee906p-8, -0x1.97520051aec0cp-8, -0x1.90df2e42bdf29p-8, -0x1.8a7df199612f1p-8, -0x1.842e4a72f9791p-8, -0x1.7df037c0db468p-8, -0x1.77c3b74bfc08fp-8, -0x1.71a8c5b954fb4p-8, -0x1.6b9f5e8d7e5ecp-8, -0x1.65a77c3163593p-8, -0x1.5fc117f6aee4fp-8, -0x1.59ec2a1c65399p-8, -0x1.5428a9d3a40cfp-8, -0x1.4e768d4481ca6p-8, -0x1.48d5c992f6a3dp-8, -0x1.434652e4429c8p-8, -0x1.3dc81c638c4b4p-8, -0x1.385b184782011p-8, -0x1.32ff37d78ffa7p-8, -0x1.2db46b71341ep-8, -0x1.287aa28d9c9b4p-8, -0x1.2351cbc6db02ap-8, -0x1.1e39d4dd89ed9p-8, -0x1.1932aabe8f14p-8, -0x1.143c398845f2fp-8, -0x1.0f566c906a6a7p-8, -0x1.0a812e699985ep-8, -0x1.05bc68e8e00fp-8, -0x1.0108052bac355p-8, -0x1.f8c7d739df85fp-9, -0x1.efa007f616959p-9, -0x1.e6986abae31f3p-9, -0x1.ddb0cc7410fcp-9, -0x1.d4e8f8d5c5a08p-9, -0x1.cc40ba6763d6fp-9, -0x1.c3b7da8ed5eeap-9, -0x1.bb4e219aedbb8p-9, -0x1.b30356cf285e4p-9, -0x1.aad7406d8b191p-9, -0x1.a2c9a3c1cbb7fp-9, -0x1.9ada452bdf49ep-9, -0x1.9308e82a74059p-9, -0x1.8b554f655148bp-9, -0x1.83bf3cb798a15p-9, -0x1.7c467139f1727p-9, -0x1.74eaad4cc0fb6p-9, -0x1.6dabb0a197256p-9, -0x1.66893a459db64p-9, -0x1.5f8308aa8ee5ep-9, -0x1.5898d9b0b519ep-9, -0x1.51ca6ab008e35p-9, -0x1.4b17788176643p-9, -0x1.447fbf87ea69cp-9, -0x1.3e02fbb936fe1p-9, -0x1.37a0e8a6d903ap-9, -0x1.31594186dd576p-9, -0x1.2b2bc13ba7f81p-9, -0x1.2518225cc7b47p-9, -0x1.1f1e1f3ed4f7cp-9, -0x1.193d71fbd4e1p-9, -0x1.1375d47a5306ep-9, -0x1.0dc700759a567p-9, -0x1.0830af84ef7d9p-9, -0x1.02b29b22efed8p-9, -0x1.fa98f96946592p-10, -0x1.effc1b2188e8ap-10, -0x1.e58e0e0c431dfp-10, -0x1.db4e44c50bc3ap-10, -0x1.d13c31f264205p-10, -0x1.c75748520bdbfp-10, -0x1.bd9efac681837p-10, -0x1.b412bc6141e11p-10, -0x1.aab2006fac002p-10, -0x1.a17c3a860c4f1p-10, -0x1.9870de8aa581ap-10, -0x1.8f8f60c0577edp-10, -0x1.86d735d1c468bp-10, -0x1.7e47d2da1fc9dp-10, -0x1.75e0ad6ff509ap-10, -0x1.6da13bae6df25p-10, -0x1.6588f43e6f8e2p-10, -0x1.5d974e5f48ae5p-10, -0x1.55cbc1f067e78p-10, -0x1.4e25c7782294fp-10, -0x1.46a4d82cb46fdp-10, -0x1.3f486dfbc959fp-10, -0x1.38100391e7a27p-10, -0x1.30fb146167727p-10, -0x1.2a091caaac3c1p-10, -0x1.23399980b449p-10, -0x1.1c8c08d0f8177p-10, -0x1.15ffe9692565ap-10, -0x1.0f94bafce580bp-10, -0x1.0949fe2becc24p-10, -0x1.031f3486bfd37p-10, -0x1.fa27c12877e4bp-11, -0x1.ee4f0bacc2c61p-11, -0x1.e2b3519e07846p-11, -0x1.d7539e07e6043p-11, -0x1.cc2efe08712d6p-11, -0x1.c14480d49665p-11, -0x1.b69337c389bd6p-11, -0x1.ac1a3652a3d9fp-11, -0x1.a1d8922dd1a32p-11, -0x1.97cd63358a516p-11, -0x1.8df7c38463851p-11, -0x1.8456cf74fec2fp-11, -0x1.7ae9a5a663dedp-11, -0x1.71af67018da48p-11, -0x1.68a736bd249b6p-11, -0x1.5fd03a61a7398p-11, -0x1.572999cd02333p-11, -0x1.4eb27f3511cb5p-11, -0x1.466a172d1fd8dp-11, -0x1.3e4f90a504a01p-11, -0x1.36621ced9955p-11, -0x1.2ea0efb9b1d4ep-11, -0x1.270b3f20470aap-11, -0x1.1fa0439da606cp-11, -0x1.185f38145ca95p-11, -0x1.114759ce0fc71p-11, -0x1.0a57e87bdbc41p-11, -0x1.03902636956d5p-11, -0x1.f9deaefd5e5a4p-12, -0x1.ece98677adbbp-12, -0x1.e03f6578fd523p-12, -0x1.d3dee368a1015p-12, -0x1.c7c69c79920efp-12, -0x1.bbf531a63b3dfp-12, -0x1.b06948aa550bap-12, -0x1.a5218c03476a3p-12, -0x1.9a1caaeb0ba82p-12, -0x1.8f595953ef851p-12, -0x1.84d64fe3df218p-12, -0x1.7a924beeeb79fp-12, -0x1.708c0f72c56cdp-12, -0x1.66c261107918fp-12, -0x1.5d340c05add58p-12, -0x1.53dfe027afbabp-12, -0x1.4ac4b1db242f8p-12, -0x1.41e15a0e34f8p-12, -0x1.3934b6309813fp-12, -0x1.30bda82a5441bp-12, -0x1.287b165b26f84p-12, -0x1.206beb8761d68p-12, -0x1.188f16d6a339bp-12, -0x1.10e38bcb0422dp-12, -0x1.09684235d167ep-12, -0x1.021c3630394dfp-12, -0x1.f5fcd023ae99dp-13, -0x1.e81bb8cd80c07p-13, -0x1.da9337cdcc206p-13, -0x1.cd6166d78f92bp-13, -0x1.c08467cd85754p-13, -0x1.b3fa64ae35fd5p-13, -0x1.a7c18f7f9c8dp-13, -0x1.9bd8223aeba96p-13, -0x1.903c5eb7dcbeap-13, -0x1.84ec8e9764112p-13, -0x1.79e7032ed2922p-13, -0x1.6f2a156ea8527p-13, -0x1.64b425de4520bp-13, -0x1.5a839c6be382cp-13, -0x1.5096e868d3237p-13, -0x1.46ec806f4c5ddp-13, -0x1.3d82e24c2aae9p-13, -0x1.345892e9e17f4p-13, -0x1.2b6c1e38cb9a8p-13, -0x1.22bc171b4031ep-13, -0x1.1a47174e4f4ebp-13, -0x1.120bbf52a4174p-13, -0x1.0a08b6590b526p-13, -0x1.023caa2920063p-13, -0x1.f54c9e1b88f13p-14, -0x1.e688bf7b76ff2p-14, -0x1.d82b3a8b6f3a8p-14, -0x1.ca319de4b933p-14, -0x1.bc998473e015fp-14, -0x1.af60954f252d2p-14, -0x1.a284838185031p-14, -0x1.96030df58d5ffp-14, -0x1.89d9ff3025f75p-14, -0x1.7e072d2f5ed57p-14, -0x1.728879422525cp-14, -0x1.675bcfd8fe635p-14, -0x1.5c7f285f40f88p-14, -0x1.51f0850db68b7p-14, -0x1.47adf2c1118d3p-14, -0x1.3db588cff5142p-14, -0x1.340568e0e2f35p-14, -0x1.2a9bbec127a4dp-14, -0x1.2176c03b51d44p-14, -0x1.1894acee5116p-14, -0x1.0ff3ce254585p-14, -0x1.079276ad4ae7ep-14, -0x1.fede056201742p-15, -0x1.ef0faf173179bp-15, -0x1.dfb6c74e1e4e1p-15, -0x1.d0d03c9890c67p-15, -0x1.c2590f1fe460ap-15, -0x1.b44e502d7f48ep-15, -0x1.a6ad21ea4bde3p-15, -0x1.9972b71835305p-15, -0x1.8c9c52cc74d16p-15, -0x1.8027481e483ep-15, -0x1.7410f9e0f305ep-15, -0x1.6856da55ce689p-15, -0x1.5cf66aed4a7c1p-15, -0x1.51ed3bf97db05p-15, -0x1.4738ec6a5ec88p-15, -0x1.3cd729880da12p-15, -0x1.32c5aead495c5p-15, -0x1.2902450783bd7p-15, -0x1.1f8ac3497eba8p-15, -0x1.165d0d7743327p-15, -0x1.0d77149b4f4bdp-15, -0x1.04d6d6888d531p-15, -0x1.f8f4bb32d22bp-16, -0x1.e8bf80e4af2afp-16, -0x1.d90a437be6efep-16, -0x1.c9d15ff16b858p-16, -0x1.bb114a7e3047p-16, -0x1.acc68dd445412p-16, -0x1.9eedcaec9a5b5p-16, -0x1.9183b8813ab11p-16, -0x1.84852298d26afp-16, -0x1.77f45d82d511bp-16, -0x1.6bc345453540cp-16, -0x1.5ff4897cf05cfp-16, -0x1.54854723b2281p-16, -0x1.4972ae5cc9ebp-16, -0x1.3eba01fd7dbbbp-16, -0x1.34589734896b3p-16, -0x1.2a4bd524165d9p-16, -0x1.2091347665d0fp-16, -0x1.17263efe1eb96p-16, -0x1.0e088f5524eap-16, -0x1.0535d07671f02p-16, -0x1.f9577af75bf13p-17, -0x1.e8d0422f22b25p-17, -0x1.d8d1aaadf7635p-17, -0x1.c957867e39676p-17, -0x1.ba5dc4cfb3027p-17, -0x1.abe071cc7009dp-17, -0x1.9ddbb526f9457p-17, -0x1.904bd1fb3cf43p-17, -0x1.832d2608c3ed3p-17, -0x1.767c291591a22p-17, -0x1.6a356c431f5e7p-17, -0x1.5e559985dcab8p-17, -0x1.52d973020216p-17, -0x1.47bdd282237dap-17, -0x1.3cffa8c01e66bp-17, -0x1.329bfd0bf453cp-17, -0x1.288fec9a777f2p-17, -0x1.1ed8aa0816c5dp-17, -0x1.15737cc15aecep-17, -0x1.0c5dc096618b9p-17, -0x1.0394e527f6c33p-17, -0x1.f62cda975027ep-18, -0x1.e5bfde272df99p-18, -0x1.d5de250a6ceafp-18, -0x1.c6832360e963ap-18, -0x1.b7aa702d3c80bp-18, -0x1.a94fc4668c5ep-18, -0x1.9b6efa1a181afp-18, -0x1.8e040b8e4d04ep-18, -0x1.810b12506b8f5p-18, -0x1.748046c8e88a1p-18, -0x1.685ffecd982a1p-18, -0x1.5ca6ad4f4674p-18, -0x1.5150e14282b74p-18, -0x1.465b4543480d3p-18, -0x1.3bc29e4dc8696p-18, -0x1.3183cb8b3faa7p-18, -0x1.279bc55124455p-18, -0x1.1e079c619a58fp-18, -0x1.14c479b1e9613p-18, -0x1.0bcf9d15a1a38p-18, -0x1.03265d0aef45ep-18, -0x1.f58c4bf87405ap-19, -0x1.e558f343f51d9p-19, -0x1.d5addcd1d930ep-19, -0x1.c6865db0d64fbp-19, -0x1.b7ddf206b8072p-19, -0x1.a9b03b7cee5dep-19, -0x1.9bf901e6079f8p-19, -0x1.8eb42f89b0b0ep-19, -0x1.81ddd1ede17d4p-19, -0x1.75721824759d3p-19, -0x1.696d52247eb62p-19, -0x1.5dcbef9899f7cp-19, -0x1.528a7efa0924cp-19, -0x1.47a5acb146233p-19, -0x1.3d1a42178d315p-19, -0x1.32e5247cf1d2cp-19, -0x1.290354daed2d5p-19, -0x1.1f71ee0214939p-19, -0x1.162e24e587cd5p-19, -0x1.0d3547068b152p-19, -0x1.0484ba1022beap-19, -0x1.f833f4f34811p-20, -0x1.e7e5396bd7b76p-20, -0x1.d818935135646p-20, -0x1.c8c97fb66db3fp-20, -0x1.b9f3a4b967995p-20, -0x1.ab92d00097606p-20, -0x1.9da2f5c158c7bp-20, -0x1.90202f4e80dap-20, -0x1.8306b9f056181p-20, -0x1.7652f5b81c773p-20, -0x1.6a01645bd974fp-20, -0x1.5e0ea81a3245dp-20, -0x1.527782a615b8ep-20, -0x1.4738d3ea12d93p-20, -0x1.3c4f99ca7205ap-20, -0x1.31b8edf59375p-20, -0x1.2772054f16007p-20, -0x1.1d78308f5016fp-20, -0x1.13c8d8a85c9ep-20, -0x1.0a617ff2f4684p-20, -0x1.013fc009075a8p-20, -0x1.f0c295129ffefp-21, -0x1.df87cbc5424a5p-21, -0x1.cecade59792eap-21, -0x1.be87af8ac87e7p-21, -0x1.aeba49faa125ap-21, -0x1.9f5edec172a68p-21, -0x1.9071c40dca2aep-21, -0x1.81ef73cf20f3bp-21, -0x1.73d48a5f99148p-21, -0x1.661dc41ac1dedp-21, -0x1.58c800fcc0861p-21, -0x1.4bd03c12f744ep-21, -0x1.3f338f4f33a14p-21, }}, 
      {{-0x1.b70cc44caf33bp-7, -0x1.afc12cce7db66p-6, -0x1.3b07b5913c66cp-5, -0x1.946de2b7df7ccp-5, -0x1.e1e4df2fd219ap-5, -0x1.10ed2c7f71364p-4, -0x1.29a728bfe89c7p-4, -0x1.3ae23203d213dp-4, -0x1.4497386431b01p-4, -0x1.46ed35819e222p-4, -0x1.422ec282ff693p-4, -0x1.36c27c7749ed5p-4, -0x1.25240947a5e82p-4, -0x1.0dd9fe754bd25p-4, -0x1.e2e73ec162ba4p-5, -0x1.a10a4dc29453bp-5, -0x1.573fd936ef0bep-5, -0x1.06aaf489c73e9p-5, -0x1.60bed1740d29ep-6, -0x1.55a212eac52f4p-7, 0x1.281e612883e02p-10, 0x1.aac8405ee457p-7, 0x1.9c24c2eb3ba98p-6, 0x1.329aa0f2ecd46p-5, 0x1.9794ff4f68ed9p-5, 0x1.fc5c850e48064p-5, 0x1.302df4f9157f7p-4, 0x1.61867c693779ep-4, 0x1.91fc1b72c36f8p-4, 0x1.c15a110f03b02p-4, 0x1.ef72a8abba294p-4, 0x1.0e0e23ad48a14p-3, 0x1.239a34a7ac8bap-3, 0x1.384e4a79b0ea6p-3, 0x1.4c1d8930057a7p-3, 0x1.5efd79ac1c095p-3, 0x1.70e59d1ad98cfp-3, 0x1.81cf1cbc9e9a2p-3, 0x1.91b4b82fef1cbp-3, 0x1.a092c18d77c03p-3, 0x1.ae670d08dee8ep-3, 0x1.bb30c9e603e7dp-3, 0x1.c6f04bf8b8fcp-3, 0x1.d1a6df3737255p-3, 0x1.db56b4d4e536dp-3, 0x1.e402e112c46d3p-3, 0x1.ebaf561a5d79ap-3, 0x1.f260cfc6e8499p-3, 0x1.f81cb2ff7039p-3, 0x1.fce8ec69dab5bp-3, 0x1.0065ec52ca519p-2, 0x1.01e61bf87cb3ep-2, 0x1.02f893d77326cp-2, 0x1.03a10d3af8e7cp-2, 0x1.03e36575847f2p-2, 0x1.03c3956f35cf4p-2, 0x1.0345a978a488dp-2, 0x1.026dbb113042fp-2, 0x1.013fecd58e05bp-2, 0x1.ff80cf1ead4bep-3, 0x1.fbe6ae2fdb74bp-3, 0x1.f7b9cca85da11p-3, 0x1.f3024e95026ffp-3, 0x1.edc99fc480c42p-3, 0x1.e816b7639d01ep-3, 0x1.e1f14402e4bbbp-3, 0x1.db60de9996297p-3, 0x1.d46d13428c341p-3, 0x1.cd1d611199a0ap-3, 0x1.c57930c2cfbedp-3, 0x1.bd87c4c972611p-3, 0x1.b55026e85203p-3, 0x1.acd917bf18945p-3, 0x1.a42903c95f603p-3, 0x1.9b45ffa214c97p-3, 0x1.9235cb7f6ef2ap-3, 0x1.88fddc3ea2fdp-3, 0x1.7fa3674e353a5p-3, 0x1.762b6e78693bfp-3, 0x1.6c9ac8f85eccep-3, 0x1.62f628346999p-3, 0x1.594217a7bad66p-3, 0x1.4f82f8a58a398p-3, 0x1.45bcfb7206ba1p-3, 0x1.3bf4178f537ebp-3, 0x1.322c050d4bad5p-3, 0x1.2868384193fecp-3, 0x1.1eabe0b07202p-3, 0x1.14f9eb44737bcp-3, 0x1.0b55075bd154cp-3, 0x1.01bfadc409232p-3, 0x1.f0785105e06ebp-4, 0x1.dd993496218c9p-4, 0x1.cae60952e5b2cp-4, 0x1.b862989df30e5p-4, 0x1.a612767889909p-4, 0x1.93f901ef61c1ap-4, 0x1.82196282dcfc8p-4, 0x1.707683cd95c03p-4, 0x1.5f1310c344152p-4, 0x1.4df16fbdaa224p-4, 0x1.3d13c03de08cap-4, 0x1.2c7bdae1ac287p-4, 0x1.1c2b53a237951p-4, 0x1.0c237e13db3aep-4, 0x1.f8cae632a2942p-5, 0x1.d9e42eabf1821p-5, 0x1.bb94434861e1fp-5, 0x1.9ddc41d627f55p-5, 0x1.80bd01b6466p-5, 0x1.64371aa536409p-5, 0x1.484ae8cafd801p-5, 0x1.2cf88e72852eap-5, 0x1.123ff411cbe95p-5, 0x1.f0418ee0bdaebp-6, 0x1.bd34f56e31d71p-6, 0x1.8b58882405bf6p-6, 0x1.5aaa3cad2f004p-6, 0x1.2b2795c4c4288p-6, 0x1.f99b52af824ffp-7, 0x1.9f3251492f6c6p-7, 0x1.470cd37630b2ap-7, 0x1.e245c6b341299p-8, 0x1.3ad7fb31885f7p-8, 0x1.2f7c93f2844c4p-9, -0x1.c685b3107fa94p-14, -0x1.43380dbc1ee13p-9, -0x1.384c29fb911a7p-8, -0x1.caf7d0b461d3cp-8, -0x1.2cd88b4ef78bdp-7, -0x1.72454ac6f0132p-7, -0x1.b5cbc5022daf7p-7, -0x1.f775f7e1e4fa1p-7, -0x1.1ba72494d0bf8p-6, -0x1.3aafc3a1e78ep-6, -0x1.58da70f5c6a12p-6, -0x1.762ced7dadf38p-6, -0x1.92ad1837b47b7p-6, -0x1.ae60e0a8b9019p-6, -0x1.c94e37dadfb58p-6, -0x1.e37b011089f12p-6, -0x1.fced0350b284cp-6, -0x1.0ad4ee66fb7d2p-5, -0x1.16db7c784b4c5p-5, -0x1.228cc4c273fc9p-5, -0x1.2deb41a1c8247p-5, -0x1.38f94ecf737eap-5, -0x1.43b92ac002e54p-5, -0x1.4e2cf93527cc8p-5, -0x1.5856c6ac9c948p-5, -0x1.62388c4d4d16cp-5, -0x1.6bd433f3b04bbp-5, -0x1.752b9c05998d3p-5, -0x1.7e409ac3714dcp-5, -0x1.871500dea802bp-5, -0x1.8faa9b31c5391p-5, -0x1.9803338b4bcf9p-5, -0x1.a0209090b4c8p-5, -0x1.a80474cfb7e58p-5, -0x1.afb09d21d48e7p-5, -0x1.b726be8f231d1p-5, -0x1.be6883e240f27p-5, -0x1.c5778b1fbba7p-5, -0x1.cc55631027acep-5, -0x1.d30389061325cp-5, -0x1.d9836700e5942p-5, -0x1.dfd65244bc7d3p-5, -0x1.e5fd8a75a704fp-5, -0x1.ebfa393bcb839p-5, -0x1.f1cd726d88efcp-5, -0x1.f77834b5c1d98p-5, -0x1.fcfb6aa6c6a8cp-5, -0x1.012bf6130d19fp-4, -0x1.03c7400d51d2fp-4, -0x1.064fef22c3eeap-4, -0x1.08c65896f9c63p-4, -0x1.0b2acc04a42d6p-4, -0x1.0d7d9445beed2p-4, -0x1.0fbef8474015cp-4, -0x1.11ef3bc191844p-4, -0x1.140e9fd12881ep-4, -0x1.161d636ca7708p-4, -0x1.181bc3b807537p-4, -0x1.1a09fc3626c4ap-4, -0x1.1be846dbb94e5p-4, -0x1.1db6dc07df553p-4, -0x1.1f75f2679cc37p-4, -0x1.2125bec9eb0dfp-4, -0x1.22c673ea56899p-4, -0x1.24584237e64d9p-4, -0x1.25db579d9eb02p-4, -0x1.274fdf513bda3p-4, -0x1.28b601abf3f01p-4, -0x1.2a0de4100ff96p-4, -0x1.2b57a8dd465bp-4, -0x1.2c936f74bb95dp-4, -0x1.2dc1544cb8c52p-4, -0x1.2ee17113524ep-4, -0x1.2ff3dcde9e326p-4, -0x1.30f8ac6880c9ap-4, -0x1.31eff253c6936p-4, -0x1.32d9bf77fe784p-4, -0x1.33b623316d6b6p-4, -0x1.34852bb27d81bp-4, -0x1.3546e654303d1p-4, -0x1.35fb5fe3538b4p-4, -0x1.36a2a4e886359p-4, -0x1.373cc1e978b6bp-4, -0x1.37c9c3a23be1bp-4, -0x1.3849b735d3373p-4, -0x1.38bcaa55af6e5p-4, -0x1.3922ab6013a7dp-4, -0x1.397bc975c2018p-4, -0x1.39c814879bf0fp-4, -0x1.3a079d5d1847dp-4, -0x1.3a3a7594a63f5p-4, -0x1.3a60af9f2a03bp-4, -0x1.3a7a5eb7cf3bfp-4, -0x1.3a8796d965975p-4, -0x1.3a886cb26b0f2p-4, -0x1.3a7cf598cdad5p-4, -0x1.3a65477e476ebp-4, -0x1.3a4178e60bbd2p-4, -0x1.3a11a0dc5669ap-4, -0x1.39d5d6f0341b6p-4, -0x1.398e332fbfab1p-4, -0x1.393ace26d9835p-4, -0x1.38dbc0e040c07p-4, -0x1.387124e8d9a22p-4, -0x1.37fb1454d521fp-4, -0x1.3779a9c654019p-4, -0x1.36ed007522707p-4, -0x1.365534371888cp-4, -0x1.35b26188b39efp-4, -0x1.3504a595811f5p-4, -0x1.344c1e3ff7c28p-4, -0x1.3388ea286e2aep-4, -0x1.32bb28b2ec99cp-4, -0x1.31e2fa0ba16f5p-4, -0x1.31007f29d9daap-4, -0x1.3013d9d166cb9p-4, -0x1.2f1d2c926cebep-4, -0x1.2e1c9ac7a9d3ap-4, -0x1.2d12489343684p-4, -0x1.2bfe5ada3ec6dp-4, -0x1.2ae0f73ecd857p-4, -0x1.29ba441992e64p-4, -0x1.288a687219ccdp-4, -0x1.27518bf6a1782p-4, -0x1.260fd6f37a58ep-4, -0x1.24c5724a14181p-4, -0x1.23728767e6abcp-4, -0x1.2217403d5d886p-4, -0x1.20b3c734da65p-4, -0x1.1f48e08fd5e2dp-4, -0x1.1dd5421ade786p-4, -0x1.1c59f3a3036edp-4, -0x1.1ad72284e9175p-4, -0x1.194cfc52a128ep-4, -0x1.17bbaec6d1e3fp-4, -0x1.162367b93f583p-4, -0x1.14845514b6177p-4, -0x1.12dea4ce5538fp-4, -0x1.113284de21b0ep-4, -0x1.0f802338d1904p-4, -0x1.0dc7adcab2807p-4, -0x1.0c0952738cdf2p-4, -0x1.0a453f035f95fp-4, -0x1.087ba137d3f64p-4, -0x1.06aca6ba417bfp-4, -0x1.04d87d1e1fb13p-4, -0x1.02ff51dfc35d1p-4, -0x1.0121526344835p-4, -0x1.fe7d57e6e0b36p-5, -0x1.faaf178154b4cp-5, -0x1.f6d83dbf4d44ep-5, -0x1.f2f9248fce894p-5, -0x1.ef1225a3d6a68p-5, -0x1.eb239a6a0b33fp-5, -0x1.e72ddc099f304p-5, -0x1.e331435c6851ep-5, -0x1.df2e28e81fd33p-5, -0x1.db24e4d6cfca2p-5, -0x1.d715ceee757bcp-5, -0x1.d3013e87e882p-5, -0x1.cee78a8514d56p-5, -0x1.cac909469f4ecp-5, -0x1.c6a610a108ae4p-5, -0x1.c27ef5d17364fp-5, -0x1.be540d7216561p-5, -0x1.ba25ab6e8e84dp-5, -0x1.b5f422f8149d2p-5, -0x1.b1bfc679c9003p-5, -0x1.ad88e78d1ae97p-5, -0x1.a94fd6ee72125p-5, -0x1.a514e4722bb9ap-5, -0x1.a0d85ef9ff762p-5, -0x1.9c9a946ada40dp-5, -0x1.985bd1a34a756p-5, -0x1.941c627274568p-5, -0x1.8fdc918faec06p-5, -0x1.8b9ca892bdd5bp-5, -0x1.875cefecb7f78p-5, -0x1.831daee192912p-5, -0x1.7edf2b8258213p-5, -0x1.7aa1aaa806cadp-5, -0x1.76656fef0c87p-5, -0x1.722abdb35f8e3p-5, -0x1.6df1d50d2ca47p-5, -0x1.69baf5ce1005cp-5, -0x1.65865e7ed0277p-5, -0x1.61544c5d966eap-5, -0x1.5d24fb5c90c0dp-5, -0x1.58f8a620ffcc4p-5, -0x1.54cf8602a0172p-5, -0x1.50a9d30b63fb5p-5, -0x1.4c87c3f77b09bp-5, -0x1.48698e359b395p-5, -0x1.444f65e78207ap-5, -0x1.40397de2acd68p-5, -0x1.3c2807b13b282p-5, -0x1.381b3392f9abfp-5, -0x1.3413307e9296ep-5, -0x1.30102c22d3cbfp-5, -0x1.2c1252e81d217p-5, -0x1.2819cff1d87f8p-5, -0x1.2426cd20174b3p-5, -0x1.20397311368p-5, -0x1.1c51e9239f49fp-5, -0x1.187055779882bp-5, -0x1.1494dcf12ad4bp-5, -0x1.10bfa33a1729cp-5, -0x1.0cf0cac3e290bp-5, -0x1.092874c9f521fp-5, -0x1.0566c153ccf2fp-5, -0x1.01abcf37489c3p-5, -0x1.fbef783612a45p-6, -0x1.f49548f1d217dp-6, -0x1.ed4947411783dp-6, -0x1.e60ba774161f6p-6, -0x1.dedc9b916de47p-6, -0x1.d7bc535bee7d6p-6, -0x1.d0aafc58851f9p-6, -0x1.c9a8c1d45fe12p-6, -0x1.c2b5cceb4faf1p-6, -0x1.bbd2448e5800fp-6, -0x1.b4fe4d8a6e668p-6, -0x1.ae3a0a8f76996p-6, -0x1.a7859c37697bep-6, -0x1.a0e1210da86ccp-6, -0x1.9a4cb59681dccp-6, -0x1.93c87456deb4fp-6, -0x1.8d5475dc1724fp-6, -0x1.86f0d0c3e5b34p-6, -0x1.809d99c485eebp-6, -0x1.7a5ae3b4e83bcp-6, -0x1.7428bf9500604p-6, -0x1.6e073c9630e7ep-6, -0x1.67f66823c333ep-6, -0x1.61f64deb74a76p-6, -0x1.5c06f7e60dacdp-6, -0x1.56286e6002965p-6, -0x1.505ab8021f0b7p-6, -0x1.4a9dd9da2f5b6p-6, -0x1.44f1d763b0d7ap-6, -0x1.3f56b29078554p-6, -0x1.39cc6bd1606bdp-6, -0x1.3453021ee61c2p-6, -0x1.2eea7301c62bbp-6, -0x1.2992ba9b88344p-6, -0x1.244bd3af0796dp-6, -0x1.1f15b7a8e69e2p-6, -0x1.19f05ea7f7134p-6, -0x1.14dbbf8596279p-6, -0x1.0fd7cfddf55e7p-6, -0x1.0ae48418512bbp-6, -0x1.0601cf6f197ebp-6, -0x1.012fa3f80531dp-6, -0x1.f8dbe5582d63fp-7, -0x1.ef7956df15acdp-7, -0x1.e6377a336ad8fp-7, -0x1.dd162af9a0c94p-7, -0x1.d41542db68f6p-7, -0x1.cb349996efacbp-7, -0x1.c274050e194ecp-7, -0x1.b9d359557d69dp-7, -0x1.b15268c345ab1p-7, -0x1.a8f103fdf37ccp-7, -0x1.a0aefa0af461fp-7, -0x1.988c185d1fcddp-7, -0x1.90882ae313338p-7, -0x1.88a2fc155e3cbp-7, -0x1.80dc5504ac2f7p-7, -0x1.7933fd67ab2e5p-7, -0x1.71a9bba8eb071p-7, -0x1.6a3d54f49769cp-7, -0x1.62ee8d460ab77p-7, -0x1.5bbd2775477c6p-7, -0x1.54a8e5445e358p-7, -0x1.4db1876c93c19p-7, -0x1.46d6cdab8e02cp-7, -0x1.401876d041085p-7, -0x1.397640c7cefc9p-7, -0x1.32efe8aa3d6eep-7, -0x1.2c852ac70ace9p-7, -0x1.2635c2b19ee29p-7, -0x1.20016b4d9b72ap-7, -0x1.19e7dedb03b3dp-7, -0x1.13e8d7023dd99p-7, -0x1.0e040cdfefeacp-7, -0x1.08393910ac75ap-7, -0x1.028813bc85a5fp-7, -0x1.f9e0a944a9d73p-8, -0x1.eee36645f8e14p-8, -0x1.e417cc98b25c7p-8, -0x1.d97d49c82c5fdp-8, -0x1.cf134ae48a4d2p-8, -0x1.c4d93c978dfb6p-8, -0x1.bace8b38f1d09p-8, -0x1.b0f2a2e266d14p-8, -0x1.a744ef830cfc5p-8, -0x1.9dc4dcf277afp-8, -0x1.9471d7034a741p-8, -0x1.8b4b4995471d4p-8, -0x1.8250a0a6de9bcp-8, -0x1.7981486647f72p-8, -0x1.70dcad420c382p-8, -0x1.68623bf913619p-8, -0x1.601161aa1a89fp-8, -0x1.57e98be2b05cbp-8, -0x1.4fea28ad8c193p-8, -0x1.4812a6a07e1dp-8, -0x1.406274e9acd95p-8, -0x1.38d9035c53ae8p-8, -0x1.3175c27cf042p-8, -0x1.2a38238ce3178p-8, -0x1.231f98957c638p-8, -0x1.1c2b94727f3a2p-8, -0x1.155b8adc1771p-8, -0x1.0eaef07040838p-8, -0x1.08253abbacad2p-8, -0x1.01bde042168d7p-8, -0x1.f6f0b10c4c4abp-9, -0x1.eaa8382161362p-9, -0x1.dea148ef37e59p-9, -0x1.d2dad8c85f232p-9, -0x1.c753df3206281p-9, -0x1.bc0b55eec8b29p-9, -0x1.b1003908b3d25p-9, -0x1.a63186da6867p-9, -0x1.9b9e401779b6ep-9, -0x1.914567d3fdfbp-9, -0x1.8726038b6ac66p-9, -0x1.7d3f1b26b7a7ap-9, -0x1.738fb901cd358p-9, -0x1.6a16e9f06cffbp-9, -0x1.60d3bd427d003p-9, -0x1.57c544c79c166p-9, -0x1.4eea94d26e742p-9, -0x1.4642c43b3d372p-9, -0x1.3dccec624221p-9, -0x1.358829316a83dp-9, -0x1.2d73991de6638p-9, -0x1.258e5d290eb52p-9, -0x1.1dd798e1417c1p-9, -0x1.164e72623e1c6p-9, -0x1.0ef212556cda2p-9, -0x1.07c1a3f1a3bcbp-9, -0x1.00bc54faeae2fp-9, -0x1.f3c2ab83c907dp-10, -0x1.e65fb24628924p-10, -0x1.d94e290bed9e3p-10, -0x1.cc8c7fb7def9fp-10, -0x1.c0192b3e0f465p-10, -0x1.b3f2a5a1414dcp-10, -0x1.a8176defe2861p-10, -0x1.9c860840d9a94p-10, -0x1.913cfdb022a3cp-10, -0x1.863adc5b2ed6dp-10, -0x1.7b7e375d088ep-10, -0x1.7105a6caa25e3p-10, -0x1.66cfc7ae41f53p-10, -0x1.5cdb3c038649bp-10, -0x1.5326aab2893c3p-10, -0x1.49b0bf8bc880cp-10, -0x1.40782b42c806p-10, -0x1.377ba36951fc1p-10, -0x1.2eb9e26a4d067p-10, -0x1.2631a78462039p-10, -0x1.1de1b6c4812d7p-10, -0x1.15c8d90012c9cp-10, -0x1.0de5dbcf52a22p-10, -0x1.06379187191e6p-10, -0x1.fd79a26564712p-11, -0x1.eee8ed1ad6f67p-11, -0x1.e0bac3f7d4fc1p-11, -0x1.d2ecf10ac6d13p-11, -0x1.c57d47994b602p-11, -0x1.b869a411624b9p-11, -0x1.abafebfacfb15p-11, -0x1.9f4e0de7be7eep-11, -0x1.93420164e92d4p-11, -0x1.8789c6e9a5e41p-11, -0x1.7c2367c740442p-11, -0x1.710cf61788165p-11, -0x1.66448cac81c7dp-11, -0x1.5bc84efd5c2bdp-11, -0x1.51966914c66a6p-11, -0x1.47ad0f7e43e22p-11, -0x1.3e0a7f3310923p-11, -0x1.34d23b8f20289p-11, -0x1.2bb78931d0496p-11, -0x1.22de7e496222ep-11, -0x1.1a4579bd387f3p-11, -0x1.11eae271aec3fp-11, -0x1.09cd27336675ep-11, -0x1.01eabea179e96p-11, -0x1.f4844e30614e2p-12, -0x1.e5a3cd36443e4p-12, -0x1.d731157e4517p-12, -0x1.c9295127e67e8p-12, -0x1.bb89b91bb7885p-12, -0x1.ae4f94dd3efb3p-12, -0x1.a1783a5e14c74p-12, -0x1.95010dcf28769p-12, -0x1.88e781725346cp-12, -0x1.7d29156bc4e16p-12, -0x1.71c35792903fbp-12, -0x1.66b3e341f1351p-12, -0x1.5bf861295c1f7p-12, -0x1.518e871d12007p-12, -0x1.477417e62f477p-12, -0x1.3da6e3127b8f3p-12, -0x1.3424c4c5a70c4p-12, -0x1.2aeba5875707ep-12, -0x1.21f97a1440a1p-12, -0x1.194c432e2be1p-12, -0x1.10e20d6b3034bp-12, -0x1.08b8f10636813p-12, -0x1.00cf11aefe062p-12, -0x1.f2453cb45f511p-13, -0x1.e363a223cd934p-13, -0x1.d4f5dd8c37e12p-13, -0x1.c6f88e3b13012p-13, -0x1.b968688bf887bp-13, -0x1.ac42358ccca5ap-13, -0x1.9f82d29f42395p-13, -0x1.9327311cfa4e9p-13, -0x1.872c55fb1ab67p-13, -0x1.7b8f596f19907p-13, -0x1.704d669412a42p-13, -0x1.6563bb107418bp-13, -0x1.5acfa6be0ddd2p-13, -0x1.508e8b4f9c25ap-13, -0x1.469ddbfa6a596p-13, -0x1.3cfb1d1f33726p-13, -0x1.33a3e3f36ca57p-13, -0x1.2a95d62e52e9ep-13, -0x1.21cea9b14b719p-13, -0x1.194c2436e5169p-13, -0x1.110c1affd6925p-13, -0x1.090c7280996e6p-13, -0x1.014b1e123b50dp-13, -0x1.f38c3f434b564p-14, -0x1.e4f70ec2a5d0dp-14, -0x1.d6d2e6f6c0c34p-14, -0x1.c91c1f8a31a49p-14, -0x1.bbcf2ae596b8fp-14, -0x1.aee8959ab99c5p-14, -0x1.a26505d0b6a56p-14, -0x1.96413ab1f81f3p-14, -0x1.8a7a0bdd476fbp-14, -0x1.7f0c68d844bc7p-14, -0x1.73f558827e296p-14, -0x1.6931f88d445ddp-14, -0x1.5ebf7cf32bcebp-14, -0x1.549b2f72fc0eap-14, -0x1.4ac26f0b3c061p-14, -0x1.4132af77c1eb8p-14, -0x1.37e978b6d2b37p-14, -0x1.2ee4668342c0ap-14, -0x1.262127dffe9ebp-14, -0x1.1d9d7e9987a42p-14, -0x1.15573ecfeac6ap-14, -0x1.0d4c4e81366f2p-14, -0x1.057aa514fbd2p-14, -0x1.fbc095d06fb7ep-15, -0x1.ecf6b1c27d0a8p-15, -0x1.de93effc90bcp-15, -0x1.d094c1d4ad50cp-15, -0x1.c2f5b7243e652p-15, -0x1.b5b37d78c254ep-15, -0x1.a8cadf45ca859p-15, -0x1.9c38c31ad90a7p-15, -0x1.8ffa2ade774f7p-15, -0x1.840c330c0590cp-15, -0x1.786c11f57e5e8p-15, -0x1.6d171708a7c9ep-15, -0x1.620aaa17a0f02p-15, -0x1.57444aab14941p-15, -0x1.4cc18f493c24dp-15, -0x1.428024d1a72e5p-15, -0x1.387dcdd01c532p-15, -0x1.2eb861db985aep-15, -0x1.252dccf4e7a7p-15, -0x1.1bdc0ee62e299p-15, -0x1.12c13aa95d6b7p-15, -0x1.09db75d8682p-15, -0x1.0128f80e94097p-15, -0x1.f15014c0082d8p-16, -0x1.e0ae0d9a2df37p-16, -0x1.d068af6d2ed91p-16, -0x1.c07ceeb354d29p-16, -0x1.b0e7de998e8bbp-16, -0x1.a1a6b0003e8cdp-16, -0x1.92b6b08202b6fp-16, -0x1.8415498586926p-16, -0x1.75bfff4a86ddcp-16, -0x1.67b4700805acep-16, }}, 
      {{-0x1.7d4ca4aeea2b1p-7, -0x1.7a1ba102074dbp-6, -0x1.17b1e1d198da4p-5, -0x1.6deb12a3b741ep-5, -0x1.be99571ec4441p-5, -0x1.04690b09a46e6p-4, -0x1.25ef9f96dc53dp-4, -0x1.439f058899ecp-4, -0x1.5d4c1aaba6e98p-4, -0x1.72e02d5a519d1p-4, -0x1.845553281122ep-4, -0x1.91b48e1cfab43p-4, -0x1.9b14b2b44914p-4, -0x1.a0944c8bc86d6p-4, -0x1.a2597700aa8b6p-4, -0x1.a093632c5e5f6p-4, -0x1.9b713fe68b461p-4, -0x1.9329c7096b262p-4, -0x1.87f199dd4ca6fp-4, -0x1.7a017899a1ee8p-4, -0x1.698fd6ab2c337p-4, -0x1.56d44fc7d2875p-4, -0x1.42045c8cd0723p-4, -0x1.2b548bc1a58e4p-4, -0x1.12f76cbb5356dp-4, -0x1.f23b3d2423723p-5, -0x1.bbeb3585ec555p-5, -0x1.83571d377036fp-5, -0x1.48d2a81f1d785p-5, -0x1.0cace28b36ca4p-5, -0x1.9e5fe56241b69p-6, -0x1.214535fca7d22p-6, -0x1.4513d17dc9a68p-7, -0x1.15479ba264eb8p-9, 0x1.77ad880cb2b44p-8, 0x1.bd9548205bb3ep-7, 0x1.5f937dbd6b1e6p-6, 0x1.dfeb56be8db46p-6, 0x1.2fbf91d14e82ep-5, 0x1.6f0176492a323p-5, 0x1.ad988b2370e6ep-5, 0x1.eb650c457bccep-5, 0x1.14250dabe2166p-4, 0x1.3216cb27c735cp-4, 0x1.4f7bfba0a88b9p-4, 0x1.6c4a1b109d66cp-4, 0x1.8877d259ed38ep-4, 0x1.a3fce374d226bp-4, 0x1.bed2168f3912cp-4, 0x1.d8f129acc387p-4, 0x1.f254c278329p-4, 0x1.057c3097b50f8p-3, 0x1.116c29e027871p-3, 0x1.1cf8d42f5d33ep-3, 0x1.28210fd22b227p-3, 0x1.32e40faedd29bp-3, 0x1.3d4153630e0f5p-3, 0x1.4738a1d373097p-3, 0x1.50ca03d9c7a95p-3, 0x1.59f5bf21edd9dp-3, 0x1.62bc5151c87c7p-3, 0x1.6b1e6b60fe6b2p-3, 0x1.731cfec0cf5c5p-3, 0x1.7ab8fb0f5de67p-3, 0x1.81f3926facb46p-3, 0x1.88ce18eb65358p-3, 0x1.8f4a0497204a9p-3, 0x1.9568e95d7b9abp-3, 0x1.9b2c74872074ep-3, 0x1.a0966869e90adp-3, 0x1.a5a8989d20db5p-3, 0x1.aa64e6ec38f9fp-3, 0x1.aecd4112945a2p-3, 0x1.b2e39f20b471ap-3, 0x1.b6aa024f0db48p-3, 0x1.ba2273f9a7abbp-3, 0x1.bd4f04883d42ap-3, 0x1.c031ca1b959b1p-3, 0x1.c2ccdef3c15d3p-3, 0x1.c5225f9bbe4b5p-3, 0x1.c73468f932a5ap-3, 0x1.c9051667106efp-3, 0x1.ca9680001e732p-3, 0x1.cbeab934cdefcp-3, 0x1.cd03cfb981629p-3, 0x1.cde3cacb84c35p-3, 0x1.ce8caabe8e4b5p-3, 0x1.cf0068bcb1a96p-3, 0x1.cf40f69fd8117p-3, 0x1.cf503ece044cfp-3, 0x1.cf30240795813p-3, 0x1.cee2811e8c7ecp-3, 0x1.ce692895aeb0fp-3, 0x1.cdc5e42c6a5b3p-3, 0x1.ccfa7460b09ffp-3, 0x1.cc088ff20ed2bp-3, 0x1.caf1e371c2f49p-3, 0x1.c9b810e9a0cbfp-3, 0x1.c85cafa003337p-3, 0x1.c6e14bfa26d54p-3, 0x1.c5476779ef4dp-3, 0x1.c39078d11dee7p-3, 0x1.c1bdec034edddp-3, 0x1.bfd122907ab55p-3, 0x1.bdcb73a2e989p-3, 0x1.bbae2c3c51ee7p-3, 0x1.b97a8f5e85cd2p-3, 0x1.b731d62ce8014p-3, 0x1.b4d5300598604p-3, 0x1.b265c2935ee25p-3, 0x1.afe4a9db91a79p-3, 0x1.ad52f84c5f438p-3, 0x1.aab1b6cfd19ddp-3, 0x1.a801e4e63158dp-3, 0x1.a54478c854b72p-3, 0x1.a27a5f90707d5p-3, 0x1.9fa47d67166d3p-3, 0x1.9cc3adb240013p-3, 0x1.99d8c34586dc2p-3, 0x1.96e48893bfb4dp-3, 0x1.93e7bfe2e9a13p-3, 0x1.90e3238321adep-3, 0x1.8dd7660842cbbp-3, 0x1.8ac532848310ep-3, 0x1.87ad2cc1b3c61p-3, 0x1.848ff176aaecep-3, 0x1.816e012e4325ep-3, 0x1.7e480e5df5e06p-3, 0x1.7b1e955baf8dbp-3, 0x1.77f2186956672p-3, 0x1.74c3137ea1bd3p-3, 0x1.7191fc7f02286p-3, 0x1.6e5f436fed1f3p-3, 0x1.6b2b52aedf8a6p-3, 0x1.67f68f26a33b2p-3, 0x1.64c1588398d04p-3, 0x1.618c09670d12fp-3, 0x1.5e56f7999e31cp-3, 0x1.5b22743ceca96p-3, 0x1.57eecbfcb785fp-3, 0x1.54bc473f5eb66p-3, 0x1.518b2a55d198dp-3, 0x1.4e5bb5aab4194p-3, 0x1.4b2e25f06c18ep-3, 0x1.4802b44dcc59cp-3, 0x1.44d99689095fp-3, 0x1.41b2ff30a12c6p-3, 0x1.3e8f1dc20d6f6p-3, 0x1.3b6e1ece2066dp-3, 0x1.38502c1b06614p-3, 0x1.35356cc416eb8p-3, 0x1.321e05578bad3p-3, 0x1.2f0a17f272458p-3, 0x1.2bf9c45b0ed05p-3, 0x1.28ed281a10b66p-3, 0x1.25e45e92e108bp-3, 0x1.22df811b67a39p-3, 0x1.1fdea7138d781p-3, 0x1.1ce1e5fcb8adp-3, 0x1.19e951917a029p-3, 0x1.16f4fbdd70be3p-3, 0x1.1404f5556a67dp-3, 0x1.11194cefa3f2fp-3, 0x1.0e32103c05a12p-3, 0x1.0b4f4b7c1c0aep-3, 0x1.087109ba97c55p-3, 0x1.059754e22a4ep-3, 0x1.02c235d369273p-3, 0x1.ffe368f3700cfp-4, 0x1.fa4bafbddb1ddp-4, 0x1.f4bd4c7b5a9dep-4, 0x1.ef384a24cc99dp-4, 0x1.e9bcb255a5e3ap-4, 0x1.e44a8d682b2eep-4, 0x1.dee1e28ec044ap-4, 0x1.d982b7ea80531p-4, 0x1.d42d129f460c9p-4, 0x1.cee0f6e570fe9p-4, 0x1.c99e6819941b5p-4, 0x1.c46568ca86d85p-4, 0x1.bf35fac612f0cp-4, 0x1.ba101f249179ap-4, 0x1.b4f3d653d647ep-4, 0x1.afe1202189526p-4, 0x1.aad7fbc52f27ap-4, 0x1.a5d867e9fadap-4, 0x1.a0e262b883c66p-4, 0x1.9bf5e9e05d72cp-4, 0x1.9712faa1ad233p-4, 0x1.923991d693a0ep-4, 0x1.8d69abfc8bec2p-4, 0x1.88a3453d96e98p-4, 0x1.83e659793519p-4, 0x1.7f32e44d193afp-4, 0x1.7a88e11d80879p-4, 0x1.75e84b1d1e2f6p-4, 0x1.71511d5485ba6p-4, 0x1.6cc352a8fa6abp-4, 0x1.683ee5e29a4fep-4, 0x1.63c3d1b1cf93dp-4, 0x1.5f5210b402badp-4, 0x1.5ae99d778d227p-4, 0x1.568a727eeb0acp-4, 0x1.52348a43397afp-4, 0x1.4de7df360bca3p-4, 0x1.49a46bc2adbd1p-4, 0x1.456a2a4ede591p-4, 0x1.4139153b1d201p-4, 0x1.3d1126e2973d1p-4, 0x1.38f2599ac9c01p-4, 0x1.34dca7b2e5936p-4, 0x1.30d00b7303699p-4, 0x1.2ccc7f1b36f31p-4, 0x1.28d1fce288ebbp-4, 0x1.24e07ef5e152dp-4, 0x1.20f7ff76f0953p-4, 0x1.1d18787b15053p-4, 0x1.1941e40a4fa11p-4, 0x1.15743c1e40c41p-4, 0x1.11af7aa1393f6p-4, 0x1.0df3996d5ba2ap-4, 0x1.0a40924bd408fp-4, 0x1.06965ef41f611p-4, 0x1.02f4f90b60416p-4, 0x1.feb8b44785063p-5, 0x1.f798f777cb185p-5, 0x1.f08aae7c96p-5, 0x1.e98dcc01853dep-5, 0x1.e2a24287afd0bp-5, 0x1.dbc804646c1f4p-5, 0x1.d4ff03c00bec8p-5, 0x1.ce47329488757p-5, 0x1.c7a082ac1e60cp-5, 0x1.c10ae59fd5f99p-5, 0x1.ba864cd607321p-5, 0x1.b412a980caff8p-5, 0x1.adafec9c6c5cdp-5, 0x1.a75e06edd4ba1p-5, 0x1.a11ce900f91fep-5, 0x1.9aec832752ef7p-5, 0x1.94ccc5765abf1p-5, 0x1.8ebd9fc619bacp-5, 0x1.88bf01afbaab7p-5, 0x1.82d0da8c44826p-5, 0x1.7cf319735adfap-5, 0x1.7725ad3a1a649p-5, 0x1.716884720d4cdp-5, 0x1.6bbb8d6842dd2p-5, 0x1.661eb624791d4p-5, 0x1.6091ec6869c14p-5, 0x1.5b151daf3393p-5, 0x1.55a8372ce2772p-5, 0x1.504b25ce15011p-5, 0x1.4afdd637bfee5p-5, 0x1.45c01610d5173p-5, 0x1.40920cd2b2b7ap-5, 0x1.3b738a118f5e4p-5, 0x1.366479518ea3cp-5, 0x1.3164c5cd8bd27p-5, 0x1.2c745a77c4e4cp-5, 0x1.279321fa922f4p-5, 0x1.22c106b93e687p-5, 0x1.1dfdf2d0f1573p-5, 0x1.1949d019aa559p-5, 0x1.14a4882750ffp-5, 0x1.100e044acacacp-5, 0x1.0b862d9323a6fp-5, 0x1.070cecceb638fp-5, 0x1.02a22a8c6aa2bp-5, 0x1.fc8b9e39dbc86p-6, 0x1.f3ef8527f0097p-6, 0x1.eb6fd99329633p-6, 0x1.e30c6ab6df78ep-6, 0x1.dac5075c5415cp-6, 0x1.d2997ddd56035p-6, 0x1.ca899c2705a61p-6, 0x1.c2952fbc8b87cp-6, 0x1.babc05b9e1e16p-6, 0x1.b2fdead6ac381p-6, 0x1.ab5aab69127eap-6, 0x1.a3d21368a3f4dp-6, 0x1.9c63ee715a64fp-6, 0x1.951007c68e9b1p-6, 0x1.8dd62a560bd1ap-6, 0x1.86b620bb29742p-6, 0x1.7fafb541f3a8ap-6, 0x1.78c2b1ea6083ap-6, 0x1.71eee06b929aep-6, 0x1.6b340a372c7b9p-6, 0x1.6491f87cab2a3p-6, 0x1.5e08742cd0d11p-6, 0x1.579745fd17e1bp-6, 0x1.513e366b37cc6p-6, 0x1.4afd0dc0b00e5p-6, 0x1.44d3941656c3ap-6, 0x1.3ec19157f985bp-6, 0x1.38c6cd47fe48dp-6, 0x1.32e30f830e14cp-6, 0x1.2d161f83c0708p-6, 0x1.275fc4a64566ap-6, 0x1.21bfc62c233cep-6, 0x1.1c35eb3fdf103p-6, 0x1.16c1faf8af49ep-6, 0x1.1163bc5e29dcfp-6, 0x1.0c1af66beefddp-6, 0x1.06e770154e395p-6, 0x1.01c8f048e752dp-6, 0x1.f97e7be8747ddp-7, 0x1.ef94400e8e9ap-7, 0x1.e5d2baf00a31fp-7, 0x1.dc397a8bd2f82p-7, 0x1.d2c80cfaa9e06p-7, 0x1.c97e0075f7acfp-7, 0x1.c05ae35e8626ep-7, 0x1.b75e4443178f3p-7, 0x1.ae87b1e6ea5c3p-7, 0x1.a5d6bb4822392p-7, 0x1.9d4aefa61378p-7, 0x1.94e3de8770f57p-7, 0x1.8ca117c05f3e8p-7, 0x1.84822b786b916p-7, 0x1.7c86aa30573cep-7, 0x1.74ae24c7e02f5p-7, 0x1.6cf82c83513a2p-7, 0x1.65645310f8ffcp-7, 0x1.5df22a8e8ffedp-7, 0x1.56a1458e67b96p-7, 0x1.4f71371c9002bp-7, 0x1.486192c3d37c4p-7, 0x1.4171ec92884e1p-7, 0x1.3aa1d91f5ee67p-7, 0x1.33f0ed8deb7bfp-7, 0x1.2d5ebf933673ep-7, 0x1.26eae57a09602p-7, 0x1.2094f62735a6ep-7, 0x1.1a5c891daa0cbp-7, 0x1.1441368275f26p-7, 0x1.0e429720a13acp-7, 0x1.0860446cec8acp-7, 0x1.0299d88965a14p-7, 0x1.f9dddc91e5a0dp-8, 0x1.eebe4265478f3p-8, 0x1.e3d41b09e69bdp-8, 0x1.d91ea071c4d9ap-8, 0x1.ce9d0e09f63cp-8, 0x1.c44ea0c04c275p-8, 0x1.ba329708e32c5p-8, 0x1.b04830e3559p-8, 0x1.a68eafdfc7d45p-8, 0x1.9d05572397cd7p-8, 0x1.93ab6b6dfe7c5p-8, 0x1.8a80331c3fa23p-8, 0x1.8182f62dc11eap-8, 0x1.78b2fe47e190bp-8, 0x1.700f96b971cdp-8, 0x1.67980c7e382d9p-8, 0x1.5f4bae41f5383p-8, 0x1.5729cc6352dfdp-8, 0x1.4f31b8f698aa6p-8, 0x1.4762c7c81f194p-8, 0x1.3fbc4e5e92a77p-8, 0x1.383da3fd065e6p-8, 0x1.30e621a4c5653p-8, 0x1.29b52216fa571p-8, 0x1.22aa01d621f77p-8, 0x1.1bc41f2759de5p-8, 0x1.1502da1348afbp-8, 0x1.0e6594672c9bp-8, 0x1.07ebb1b5798b9p-8, 0x1.019497565c535p-8, 0x1.f6bf58d03a5dfp-9, 0x1.ea98b39e948d6p-9, 0x1.deb4146d69bb5p-9, 0x1.d310541ebfbcap-9, 0x1.c7ac4f20479f5p-9, 0x1.bc86e56a860e5p-9, 0x1.b19efa7fad755p-9, 0x1.a6f3756a0fff5p-9, 0x1.9c8340ba78402p-9, 0x1.924d4a861807ep-9, 0x1.885084644eaebp-9, 0x1.7e8be36c1c9f1p-9, 0x1.74fe603163a5dp-9, 0x1.6ba6f6c1dfc39p-9, 0x1.6284a6a207c92p-9, 0x1.599672c965b83p-9, 0x1.50db619f2bfp-9, 0x1.48527cf63bedbp-9, 0x1.3ffad2090cf5p-9, 0x1.37d3717585c78p-9, 0x1.2fdb6f3868043p-9, 0x1.2811e2a8e4a04p-9, 0x1.2075e6739b30dp-9, 0x1.19069895ca2f1p-9, 0x1.11c31a5826da2p-9, 0x1.0aaa904996226p-9, 0x1.03bc2239d6f26p-9, 0x1.f9edf66780c2p-10, 0x1.ecb492ef7f02p-10, 0x1.dfca7cec0a806p-10, 0x1.d32e1d90e2914p-10, 0x1.c6dde45927edep-10, 0x1.bad846fae4c75p-10, 0x1.af1bc15a8876bp-10, 0x1.a3a6d57df9583p-10, 0x1.98780b7faa061p-10, 0x1.8d8df181439eap-10, 0x1.82e71b9e4a67fp-10, 0x1.788223de87e8dp-10, 0x1.6e5daa2834d3cp-10, 0x1.6478543241584p-10, 0x1.5ad0cd75dbcdp-10, 0x1.5165c7208777p-10, 0x1.4835f805b9b7fp-10, 0x1.3f401c9040117p-10, 0x1.3682f6b3a988fp-10, 0x1.2dfd4ddd8ae3dp-10, 0x1.25adeee6a8fe6p-10, 0x1.1d93ac0416c07p-10, 0x1.15ad5cb808c22p-10, 0x1.0df9ddc2c0966p-10, 0x1.0678111398bb5p-10, 0x1.fe4dbb729b866p-11, 0x1.f00a5fa6464e7p-11, 0x1.e223f1024222p-11, 0x1.d4985ba9b68dfp-11, 0x1.c76595841cdfbp-11, 0x1.ba899e1d31034p-11, 0x1.ae027e87769a8p-11, 0x1.a1ce493bf409ap-11, 0x1.95eb19fbc9fe2p-11, 0x1.8a5715b06f487p-11, 0x1.7f106a4cffe15p-11, 0x1.74154eaef342ap-11, 0x1.6964027f663ebp-11, 0x1.5eface1389113p-11, 0x1.54d8024e09ddp-11, 0x1.4af9f8801a826p-11, 0x1.415f124aa1042p-11, 0x1.3805b97f93292p-11, 0x1.2eec600348352p-11, 0x1.26117fae04ba5p-11, 0x1.1d739a2dd0f3ap-11, 0x1.151138e8241d3p-11, 0x1.0ce8ecdc16e78p-11, 0x1.04f94e8399449p-11, 0x1.fa81fb6e91a2ap-12, 0x1.eb7d431fe3b08p-12, 0x1.dce1d092fc0a9p-12, 0x1.cead0e4c00beep-12, 0x1.c0dc74a13bd08p-12, 0x1.b36d8982918c5p-12, 0x1.a65de03fcf6e7p-12, 0x1.99ab1950bb962p-12, 0x1.8d52e21e22ae5p-12, 0x1.8152f4c8a8fa1p-12, 0x1.75a917f3e2a7dp-12, 0x1.6a531e8ec1d9p-12, 0x1.5f4ee79e658c6p-12, 0x1.549a5e08eb3cap-12, 0x1.4a337860bafdbp-12, 0x1.401838b07c0a4p-12, 0x1.3646ac47a67d6p-12, 0x1.2cbceb87f87b4p-12, 0x1.237919b14deb5p-12, 0x1.1a7964b317192p-12, 0x1.11bc04f875566p-12, 0x1.093f3d38c76bbp-12, 0x1.01015a47ff17cp-12, 0x1.f20165ccb65dep-13, 0x1.e2774f249cbecp-13, 0x1.d36144b45085bp-13, 0x1.c4bc2d5cf813fp-13, 0x1.b685026a81685p-13, 0x1.a8b8cf3a8be49p-13, 0x1.9b54b0e50c53fp-13, 0x1.8e55d5e5d86d9p-13, 0x1.81b97dc72f715p-13, 0x1.757cf8ce9e4p-13, 0x1.699da7a86af34p-13, 0x1.5e18fb181432ep-13, 0x1.52ec73a575407p-13, 0x1.4815a14f35984p-13, 0x1.3d92233adfcbp-13, 0x1.335fa76824c9dp-13, 0x1.297bea6601fc3p-13, 0x1.1fe4b707b3fdep-13, 0x1.1697e618d4cbcp-13, 0x1.0d935e1663575p-13, 0x1.04d512e60524dp-13, 0x1.f8b60b23fa247p-14, 0x1.e84687ff873e4p-14, 0x1.d857d15ca228cp-14, 0x1.c8e634e3a17afp-14, 0x1.b9ee1862b07e3p-14, 0x1.ab6bf94ba258p-14, 0x1.9d5c6c317bb48p-14, 0x1.8fbc1c4e322e4p-14, 0x1.8287cb004600cp-14, 0x1.75bc4f53e3926p-14, 0x1.69569589293f3p-14, 0x1.5d539e9e166dcp-14, 0x1.51b07fd8d1a6cp-14, 0x1.466a6254f4365p-14, 0x1.3b7e82961c56dp-14, 0x1.30ea300f6b2cdp-14, 0x1.26aaccc1a1d93p-14, 0x1.1cbdccc99e72p-14, 0x1.1320b5f79d946p-14, 0x1.09d11f6802df1p-14, 0x1.00d4b93e76e18p-14, 0x1.f031d3d97195p-15, 0x1.df4787808fdaap-15, 0x1.cee63ea1c12acp-15, 0x1.bf09c92355ed3p-15, 0x1.afae14ed8a9ddp-15, 0x1.a0cf2d2f0d1ddp-15, 0x1.926939a8adb04p-15, 0x1.84787e009c304p-15, 0x1.76f959146389ap-15, 0x1.69e8444f78daap-15, 0x1.5d41d303964f1p-15, 0x1.5102b1ca83318p-15, 0x1.4527a5de932a2p-15, 0x1.39ad8c829e23p-15, 0x1.2e915a67a7dcap-15, 0x1.23d01b1799fbfp-15, 0x1.1966f0571f902p-15, 0x1.0f5311a513531p-15, 0x1.0591cba19492ep-15, 0x1.f840ff0b2357bp-16, 0x1.e5f9453382a26p-16, 0x1.d4477b68ae2dep-16, 0x1.c326d962f76dap-16, 0x1.b292bbed7458bp-16, 0x1.a286a3e59c502p-16, 0x1.92fe3553dc877p-16, 0x1.83f53667a9b64p-16, 0x1.75678e99b36e5p-16, 0x1.675145c09900fp-16, 0x1.59ae8338d67bep-16, 0x1.4c7b8cfbcee9fp-16, 0x1.3fb4c6d185a31p-16, 0x1.3356b17f60d85p-16, 0x1.275de9ea68718p-16, 0x1.1bc7286f66e6cp-16, 0x1.108f3ffe5348p-16, 0x1.05b31d685174cp-16, 0x1.f65f8d4776fabp-17, 0x1.e204b4286fd9bp-17, 0x1.ce501bafc51aep-17, 0x1.bb3c5e383e9a5p-17, 0x1.a8c442cb9ab59p-17, 0x1.96e2bbfe14b09p-17, 0x1.8592e68951e2ep-17, 0x1.74d0082b785d1p-17, 0x1.64958e4bfebf6p-17, 0x1.54df0cfaec2bdp-17, 0x1.45a83da3c514fp-17, 0x1.36ecfe0289d71p-17, 0x1.28a94f04bb3f4p-17, 0x1.1ad953c82937p-17, 0x1.0d795077ccfc1p-17, 0x1.0085a95a26da9p-17, 0x1.e7f5c3a04ab0bp-18, 0x1.cfab36beb0629p-18, 0x1.b82529832662p-18, 0x1.a15d51f9e9e18p-18, 0x1.8b4d9cfe51095p-18, 0x1.75f02c97f7dbcp-18, 0x1.613f55f2f7c62p-18, 0x1.4d35a041427aep-18, 0x1.39cdc2c3a95cep-18, 0x1.2702a36c26d6ap-18, 0x1.14cf55367b565p-18, 0x1.032f16c9415fp-18, 0x1.e43aa2030bc24p-19, 0x1.c32b2b11c1372p-19, 0x1.a3273b2e7a8a7p-19, 0x1.8426910597c5cp-19, 0x1.662134eb70ccp-19, 0x1.490f76dc80658p-19, 0x1.2ce9eb4bd4a4bp-19, 0x1.11a969b7fe677p-19, 0x1.ee8e131847e4bp-20, 0x1.bb7841107b653p-20, 0x1.8a04802057ae4p-20, 0x1.5a26677088762p-20, 0x1.2bd1fdb304d88p-20, 0x1.fdf76ac856a7p-21, 0x1.a730d247d86d7p-21, 0x1.533aafa9e0464p-21, 0x1.0200424eb1aafp-21, 0x1.66db089d4f667p-22, 0x1.9dbc8ed840156p-23, 0x1.df27c0ae76e7ep-25, -0x1.48d37feef5447p-24, -0x1.b723f24fdfd3ap-23, -0x1.6053d4e80db9cp-22, -0x1.e09acb9852704p-22, -0x1.2e4309e521395p-21, -0x1.6a19e7fd3dd69p-21, -0x1.a3e08b444a89p-21, -0x1.dba4ff322a149p-21, -0x1.08ba69e92947dp-20, -0x1.22ae90b7a25ddp-20, -0x1.3bb547a873362p-20, -0x1.53d4aaa1df378p-20, -0x1.6b12a15406f41p-20, -0x1.8174e06b658b2p-20, -0x1.9700ebc82edd1p-20, -0x1.abbc185b7545ep-20, -0x1.bfab8e06c4d5fp-20, -0x1.d2d4495f2d904p-20, -0x1.e53b1d6ebb493p-20, -0x1.f6e4b517a1a73p-20, -0x1.03eacac6ff5acp-19, -0x1.0c090f4fe0108p-19, -0x1.13cf4682584b4p-19, }}, 
      {{-0x1.fcefd17679437p+0, -0x1.f0f6991fcba81p+0, -0x1.de2348537dd58p+0, -0x1.c5bb60671c6e5p+0, -0x1.a916560709311p+0, -0x1.89808e3d263bap+0, -0x1.682877d702669p+0, -0x1.4615efd4c0f3fp+0, -0x1.2426f6efff9f2p+0, -0x1.030f7f831ac93p+0, -0x1.c6b860c3cf658p-1, -0x1.8aeabd7f330a4p-1, -0x1.5349a50f58d45p-1, -0x1.203599d4f9157p-1, -0x1.e3be2acdd7e72p-2, -0x1.90ae9af5a93d3p-2, -0x1.471ee247132a2p-2, -0x1.06ccdfd3f844ep-2, -0x1.9ea05be2de19fp-3, -0x1.405a25585c9a5p-3, -0x1.e357f687fffa7p-4, -0x1.62ce537f669a6p-4, -0x1.f95754160f93bp-5, -0x1.5cf8596cb3ee2p-5, -0x1.d75a7092e80c4p-6, -0x1.4197999efb4b2p-6, -0x1.df646748c0d2cp-7, -0x1.b25710e5e8345p-7, -0x1.ec156a8824a6ap-7, -0x1.3ee2885b22f61p-6, -0x1.accfdafb489f6p-6, -0x1.1cd000952d3fep-5, -0x1.6fbba9b2e15e3p-5, -0x1.cc86da78a63p-5, -0x1.186b59a1933d6p-4, -0x1.4d4835026523ap-4, -0x1.83e700a24bd2p-4, -0x1.bb6cb208c93fcp-4, -0x1.f316ea831a88ep-4, -0x1.151e4ff3b63c1p-3, -0x1.302624f508e97p-3, -0x1.4a641c3f93f4ep-3, -0x1.63a1a6d0319f4p-3, -0x1.7bafb7467fe63p-3, -0x1.9266a54acaefbp-3, -0x1.a7a61a979e259p-3, -0x1.bb54949a59f1dp-3, -0x1.cd5e7cc9e5273p-3, -0x1.ddb52d68e887fp-3, -0x1.ec4e36524d2dfp-3, -0x1.f922f927f35b1p-3, -0x1.02183c8b2f023p-2, -0x1.06bb9403f36cdp-2, -0x1.0a7d48c5c2c0dp-2, -0x1.0d6073df9d3fdp-2, -0x1.0f69466b1674fp-2, -0x1.109cd95a2084ep-2, -0x1.11010cb1dcf9dp-2, -0x1.109c71c395548p-2, -0x1.0f7638340dc54p-2, -0x1.0d9617d368604p-2, -0x1.0b04363fa1a14p-2, -0x1.07c9082d592bbp-2, -0x1.03ef61ae5191ep-2, -0x1.fefaee3293198p-3, -0x1.f4f77033115b1p-3, -0x1.e9e5c38eceefp-3, -0x1.ddd7f32793decp-3, -0x1.d0e06700d0e4ep-3, -0x1.c31194c7a40fap-3, -0x1.b47da83344484p-3, -0x1.a53636a0a267p-3, -0x1.954c0bd1f6757p-3, -0x1.84cf15b836a0cp-3, -0x1.73ce6d327911ep-3, -0x1.625873a1ce114p-3, -0x1.507afa09be1c9p-3, -0x1.3e4366580e751p-3, -0x1.2bbecdd4bf265p-3, -0x1.18f9ffb38925bp-3, -0x1.06017f29b336fp-3, -0x1.e5c2e072fcd5bp-4, -0x1.bf4af9b5071fdp-4, -0x1.98b171f00390fp-4, -0x1.720b161ee9047p-4, -0x1.4b6b3afa9f888p-4, -0x1.24e3b49e4aeeep-4, -0x1.fd09c52a347acp-5, -0x1.b0bb988d56517p-5, -0x1.64f88f3c2edc1p-5, -0x1.19da462ce8e3ep-5, -0x1.9ef1339cda2e1p-6, -0x1.0bd3ca326612fp-6, -0x1.ea195f620828cp-8, 0x1.4cfa0b7bec387p-10, 0x1.44123d5cafb73p-7, 0x1.2d03bb3b1741ap-6, 0x1.b59fcf594caffp-6, 0x1.1de04cf66965dp-5, 0x1.5fa62d8b0daafp-5, 0x1.a0162ea74595fp-5, 0x1.df2674870b248p-5, 0x1.0e6748ea81a9dp-4, 0x1.2c83b74e79816p-4, 0x1.49e594d240dafp-4, 0x1.668a7bb78a6dap-4, 0x1.8270810452446p-4, 0x1.9d962610578ecp-4, 0x1.b7fa4c9556356p-4, 0x1.d19c2da6308aap-4, 0x1.ea7b53800604cp-4, 0x1.014bcae50982ep-3, 0x1.0cf88bcc454bfp-3, 0x1.184423343a7b8p-3, 0x1.232eeca73185cp-3, 0x1.2db967d9b288cp-3, 0x1.37e4379859c0bp-3, 0x1.41b0202bed544p-3, 0x1.4b1e0537a2becp-3, 0x1.542ee72bfc84cp-3, 0x1.5ce3e0762d437p-3, 0x1.653e2297c6533p-3, 0x1.6d3ef34e41cf8p-3, 0x1.74e7a9e82b321p-3, 0x1.7c39acd98441ap-3, 0x1.83366f958bf4bp-3, 0x1.89de4d6494023p-3, 0x1.903676771141cp-3, 0x1.963de9f86daeap-3, 0x1.9bf62442e2b58p-3, 0x1.a160aafe14043p-3, 0x1.a67f0d90d6eb4p-3, 0x1.ab52e535e522ap-3, 0x1.afddd49b9d2b9p-3, 0x1.b4218702bf214p-3, 0x1.b81faedd86b08p-3, 0x1.bbda03fd4bf68p-3, 0x1.bf52416831038p-3, 0x1.c28a22f8c23b6p-3, 0x1.c58362ee01afp-3, 0x1.c83fb7931c53fp-3, 0x1.cac0d1228185cp-3, 0x1.cd085801f4038p-3, 0x1.cf17eb6c24de1p-3, 0x1.d0f12092b68d8p-3, 0x1.d29582395e401p-3, 0x1.d40690c1aeacp-3, 0x1.d545c297809d4p-3, 0x1.d65484e834eb8p-3, 0x1.d7343c8c0030dp-3, 0x1.d7e647073692p-3, 0x1.d86bfb8ae87c8p-3, 0x1.d8c6abdf07ap-3, 0x1.d8f7a5248e22bp-3, 0x1.d90030636e68ep-3, 0x1.d8e192dd7cef7p-3, 0x1.d89d0e250191ap-3, 0x1.d833dffa78784p-3, 0x1.d7a741f9163bfp-3, 0x1.d6f8691c92d45p-3, 0x1.d628852c9587ap-3, 0x1.d538c01ac1694p-3, 0x1.d42a3d5fff73dp-3, 0x1.d2fe19647f424p-3, 0x1.d1b568fbdcef6p-3, 0x1.d05138fccf444p-3, 0x1.ced28df923fd1p-3, 0x1.cd3a64187644p-3, 0x1.cb89af15cc3e5p-3, 0x1.c9c15a5e44332p-3, 0x1.c7e2494d67d87p-3, 0x1.c5ed57827a628p-3, 0x1.c3e35949473cep-3, 0x1.c1c51c107ed25p-3, 0x1.bf9366e79ef3fp-3, 0x1.bd4efafea202bp-3, 0x1.baf894221ed22p-3, 0x1.b890e92f62a7fp-3, 0x1.b618ac7cc069dp-3, 0x1.b3908c337dbfep-3, 0x1.b0f93299a9e2cp-3, 0x1.ae53464b3612fp-3, 0x1.ab9f6a62a2699p-3, 0x1.a8de3e924c2b3p-3, 0x1.a6105f3035145p-3, 0x1.a336653673f0fp-3, 0x1.a050e63af1265p-3, 0x1.9d60746134276p-3, 0x1.9a659e48e0f7ap-3, 0x1.9760eefb8e8dcp-3, 0x1.9452eddc2827fp-3, 0x1.913c1e99ca8cdp-3, 0x1.8e1d012796935p-3, 0x1.8af611ba8fc6dp-3, 0x1.87c7c8ce0875ep-3, 0x1.84929b2edd23bp-3, 0x1.8156fa0d4b767p-3, 0x1.7e155314d3801p-3, 0x1.7ace10896b8b3p-3, 0x1.7781996909f8cp-3, 0x1.743051907d4dp-3, 0x1.70da99e25ccc3p-3, 0x1.6d80d06f055f1p-3, 0x1.6a23509c823ccp-3, 0x1.66c2734d694bdp-3, 0x1.635e8f05cf557p-3, 0x1.5ff7f80d98ad9p-3, 0x1.5c8f008f9fbcdp-3, 0x1.5923f8b550a98p-3, 0x1.55b72ebe81d4bp-3, 0x1.5248ef157bf9cp-3, 0x1.4ed9845f543d8p-3, 0x1.4b693788ccf5p-3, 0x1.47f84fd01356dp-3, 0x1.448712cbcd518p-3, 0x1.4115c46fde714p-3, 0x1.3da4a710795ddp-3, 0x1.3a33fb63e85efp-3, 0x1.36c40083929abp-3, 0x1.3354f3ecace28p-3, 0x1.2fe71180ee056p-3, 0x1.2c7a9387a4c4cp-3, 0x1.290fb2af65f52p-3, 0x1.25a6a61086b14p-3, 0x1.223fa330789bep-3, 0x1.1edade0617255p-3, 0x1.1b7888fee7964p-3, 0x1.1818d505325e4p-3, 0x1.14bbf186e4ef7p-3, 0x1.11620c7d1e3eap-3, 0x1.0e0b5274382b8p-3, 0x1.0ab7ee9428deap-3, 0x1.07680aa91c72cp-3, 0x1.041bcf2c176a3p-3, 0x1.00d3634b7a5afp-3, 0x1.fb1dd9e6b33efp-4, 0x1.f49d21aaedd33p-4, 0x1.ee24e4e1b0a1fp-4, 0x1.e7b56831dbd32p-4, 0x1.e14eedf8553a2p-4, 0x1.daf1b6544e4d1p-4, 0x1.d49dff326d1cep-4, 0x1.ce54045709923p-4, 0x1.c813ff6784342p-4, 0x1.c1de27f2b9ff2p-4, 0x1.bbb2b378d4a07p-4, 0x1.b591d57285289p-4, 0x1.af7bbf57b585fp-4, 0x1.a970a0a5f725ep-4, 0x1.a370a6e69ee69p-4, 0x1.9d7bfdb4d2f63p-4, 0x1.9792cec37d6d8p-4, 0x1.91b541e354e7cp-4, 0x1.8be37d08ede6ep-4, 0x1.861e07722bc23p-4, 0x1.806419a3dd211p-4, 0x1.7ab65aed27a3fp-4, 0x1.7514eacbc8149p-4, 0x1.6f7fe6f0eaa58p-4, 0x1.69f76b45ca5f8p-4, 0x1.647b91f11c732p-4, 0x1.5f0c735d3c878p-4, 0x1.59aa263f1084ap-4, 0x1.5454bf9d94e74p-4, 0x1.4f0c52d9fb9f3p-4, 0x1.49d0f1b84dfd3p-4, 0x1.44a2ac6877d5p-4, 0x1.3f81918fa76a4p-4, 0x1.3a6dae51eba42p-4, 0x1.35670e5bfb12p-4, 0x1.306dbbed0bff7p-4, 0x1.2b81bfe0b11c5p-4, 0x1.26a321b8a0dadp-4, 0x1.21d1e7a65d7d2p-4, 0x1.1d0e1694b0476p-4, 0x1.1857b230e90dep-4, 0x1.13aebcf3dcac4p-4, 0x1.0f13382a99998p-4, 0x1.0a8523fecf9b4p-4, 0x1.06047f7ee4cap-4, 0x1.019148a5bd2dep-4, 0x1.fa56f8c4579a6p-5, 0x1.f1a62d3c389d9p-5, 0x1.e910248ad8c76p-5, 0x1.e094d2990562ep-5, 0x1.d834296d456aap-5, 0x1.cfee193811c75p-5, 0x1.c7c2905f9f12cp-5, 0x1.bfb17b8b539e6p-5, 0x1.b7bac5aee8ae6p-5, 0x1.afde581552b4ep-5, 0x1.a81c1a6b70e7dp-5, 0x1.a073f2ca9899p-5, 0x1.98e5c5c300e45p-5, 0x1.917176661d1fdp-5, 0x1.8a16e650ec63cp-5, 0x1.82d5f5b64371dp-5, 0x1.7bae83691ad48p-5, 0x1.74a06ce6e0842p-5, 0x1.6dab8e61d6e9ap-5, 0x1.66cfc2cb79835p-5, 0x1.600ce3def2126p-5, 0x1.5962ca2b936a2p-5, 0x1.52d14d1f635fbp-5, 0x1.4c584311a730dp-5, 0x1.45f7814d763fcp-5, 0x1.3faedc1c4ddd1p-5, 0x1.397e26d0a0d8ep-5, 0x1.336533d05e488p-5, 0x1.2d63d49f70e81p-5, 0x1.2779d9ea279dcp-5, 0x1.21a7138f8f902p-5, 0x1.1beb50abaffa3p-5, 0x1.16465fa1abf61p-5, 0x1.10b80e25c334ep-5, 0x1.0b4029472ba8fp-5, 0x1.05de7d79c4d5bp-5, 0x1.0092d69fa24f9p-5, 0x1.f6ba0024c9f3p-6, 0x1.ec798958d2ac8p-6, 0x1.e263dda38224p-6, 0x1.d87890f1fb82ap-6, 0x1.ceb736678ae0ap-6, 0x1.c51f606e6be07p-6, 0x1.bbb0a0c82282bp-6, 0x1.b26a889d6f5a4p-6, 0x1.a94ca88dd97dbp-6, 0x1.a05690bed1bccp-6, 0x1.9787d0ea6e63bp-6, 0x1.8edff86dc312cp-6, 0x1.865e9656d6c57p-6, 0x1.7e03397235395p-6, 0x1.75cd705821553p-6, 0x1.6dbcc9796f9a6p-6, 0x1.65d0d32c002e3p-6, 0x1.5e091bb6e0399p-6, 0x1.5665315e16d71p-6, 0x1.4ee4a26e21145p-6, 0x1.4786fd471110dp-6, 0x1.404bd06764a17p-6, 0x1.3932aa768dd85p-6, 0x1.323b1a4f27cf8p-6, 0x1.2b64af08e5c93p-6, 0x1.24aef80233802p-6, 0x1.1e1984e990817p-6, 0x1.17a3e5c6a03bcp-6, 0x1.114dab02f4635p-6, 0x1.0b16657292609p-6, 0x1.04fda65c30438p-6, 0x1.fe05ff025f23ap-7, 0x1.f24c064aabde6p-7, 0x1.e6cc882c7d66ep-7, 0x1.db86ab6514b52p-7, 0x1.d07997e199082p-7, 0x1.c5a476cc75398p-7, 0x1.bb06729a2854fp-7, 0x1.b09eb71598edbp-7, 0x1.a66c716bf0d3ep-7, 0x1.9c6ed037e7d3fp-7, 0x1.92a5038ca0afap-7, 0x1.890e3cfffd93p-7, 0x1.7fa9afb47e518p-7, 0x1.76769062ab3b5p-7, 0x1.6d741561f49ddp-7, 0x1.64a176b13128cp-7, 0x1.5bfdedfe9537ap-7, 0x1.5388b6af47965p-7, 0x1.4b410de67a6d8p-7, 0x1.4326328c10a23p-7, 0x1.3b376552eb1c3p-7, 0x1.3373e8beb5d5ep-7, 0x1.2bdb01295b45ap-7, 0x1.246bf4c80a491p-7, 0x1.1d260bafdfe15p-7, 0x1.16088fda2e22fp-7, 0x1.0f12cd2864febp-7, 0x1.08441167a11c2p-7, 0x1.019bac53e22d9p-7, 0x1.f631df35e2607p-8, 0x1.e9765dbdd97bp-8, 0x1.dd037f711229cp-8, 0x1.d0d7f3720ad55p-8, 0x1.c4f26cd7ab8dbp-8, 0x1.b951a2afffd17p-8, 0x1.adf450027af47p-8, 0x1.a2d933d1a9e05p-8, 0x1.97ff111c6824p-8, 0x1.8d64aede98e17p-8, 0x1.8308d81171f51p-8, 0x1.78ea5bab48731p-8, 0x1.6f080c9f0553p-8, 0x1.6560c1db15884p-8, 0x1.5bf3564816d46p-8, 0x1.52bea8c70a711p-8, 0x1.49c19c2f38e94p-8, 0x1.40fb174bbf891p-8, 0x1.386a04d8bf3a6p-8, 0x1.300d53804502bp-8, 0x1.27e3f5d6e4415p-8, 0x1.1fece257fa3b7p-8, 0x1.18271361be262p-8, 0x1.10918730fa362p-8, 0x1.092b3fdc909d5p-8, 0x1.01f34350b6c8bp-8, 0x1.f5d13693f2e73p-9, 0x1.e814aaa0062b7p-9, 0x1.daaf056059ad5p-9, 0x1.cd9e70efaa7adp-9, 0x1.c0e11edd0479ap-9, 0x1.b475481fa7edap-9, 0x1.a8592d0a78364p-9, 0x1.9c8b153f239ep-9, 0x1.91094fa0d7318p-9, 0x1.85d23246acc9p-9, 0x1.7ae41a6da90a7p-9, 0x1.703d6c6a739d8p-9, 0x1.65dc939ab8adfp-9, 0x1.5bc0025630eb2p-9, 0x1.51e631df63ba3p-9, 0x1.484da2541bb76p-9, 0x1.3ef4da9d8bd7ap-9, 0x1.35da68601cb85p-9, 0x1.2cfcdfeb1dc89p-9, 0x1.245adc27f7397p-9, 0x1.1bf2fe894efaep-9, 0x1.13c3eef9caa45p-9, 0x1.0bcc5bca9d932p-9, 0x1.040af9a1d7fbep-9, 0x1.f8fd06d108e3p-10, 0x1.ea4b747119215p-10, 0x1.dbfeca9496f5bp-10, 0x1.ce14a3c458466p-10, 0x1.c08aa67bb94bap-10, 0x1.b35e8502edd9fp-10, 0x1.a68dfd48ccb0dp-10, 0x1.9a16d8bca2aabp-10, 0x1.8df6ec27672d5p-10, 0x1.822c1784e556fp-10, 0x1.76b445dca07ep-10, 0x1.6b8d6d1a83c5cp-10, 0x1.60b58de777cd6p-10, 0x1.562ab381ca366p-10, 0x1.4beaf3956ee26p-10, 0x1.41f46e144c738p-10, 0x1.38454d0e77e95p-10, 0x1.2edbc48a4334dp-10, 0x1.25b6125c961afp-10, 0x1.1cd27e011a0e9p-10, 0x1.142f587290d3p-10, 0x1.0bcafc033f626p-10, 0x1.03a3cc35883afp-10, 0x1.f7706b29270a9p-11, 0x1.e80d5b1aa1b4p-11, 0x1.d91b648f1adp-11, 0x1.ca9794fe70156p-11, 0x1.bc7f0abc7557cp-11, 0x1.aecef4ac5b2d9p-11, 0x1.a18491f56e1e2p-11, 0x1.949d31b818028p-11, 0x1.881632c3ae50bp-11, 0x1.7bed034d019b7p-11, 0x1.701f20a5b339fp-11, 0x1.64aa16f434464p-11, 0x1.598b80ece4625p-11, 0x1.4ec1078bc3c2ap-11, 0x1.444861cedc4a6p-11, 0x1.3a1f547245d58p-11, 0x1.3043b1ac466f3p-11, 0x1.26b358eaa740ep-11, 0x1.1d6c369138254p-11, 0x1.146c43b8e646ep-11, 0x1.0bb185eff00bep-11, 0x1.033a0efb0f5a7p-11, 0x1.f607f92f0188dp-12, 0x1.e61af07c3d894p-12, 0x1.d6a96dce9f0f3p-12, 0x1.c7aff19ff9484p-12, 0x1.b92b127ee6e08p-12, 0x1.ab177c9c335dp-12, 0x1.9d71f15abd37dp-12, 0x1.903746e03f77ep-12, 0x1.836467a8ed36ep-12, 0x1.76f6521c33af6p-12, 0x1.6aea1822faa6ap-12, 0x1.5f3cdec0dc97cp-12, 0x1.53ebddade0935p-12, 0x1.48f45ef20de67p-12, 0x1.3e53be839555ap-12, 0x1.340769e59303dp-12, 0x1.2a0cdfc91c854p-12, 0x1.2061afaf0470bp-12, 0x1.1703798cbb873p-12, 0x1.0defed7129c0ap-12, 0x1.0524cb2be179ep-12, 0x1.f93fc3eb2ce3fp-13, 0x1.e8be203428f85p-13, 0x1.d8c0854771354p-13, 0x1.c942ea0fd11acp-13, 0x1.ba4161ab89f89p-13, 0x1.abb81acafa9d7p-13, 0x1.9da35f126176ap-13, 0x1.8fff927e68f41p-13, 0x1.82c932cb911c8p-13, 0x1.75fcd6dfee4efp-13, 0x1.69972e360a0cp-13, 0x1.5d95004de5b46p-13, 0x1.51f32c1cca212p-13, 0x1.46aea7814f334p-13, 0x1.3bc47eb962feep-13, 0x1.3131d3dae6fe1p-13, 0x1.270ff145831d7p-13, 0x1.1d236fe5b36bap-13, 0x1.138649de83abap-13, 0x1.0a35f458669a6p-13, 0x1.012ff7c504489p-13, 0x1.f0e3decb5d783p-14, 0x1.dff311a9063aep-14, 0x1.cf89071fbc8a6p-14, 0x1.bfa1610e294bp-14, 0x1.b037e3544136fp-14, 0x1.a14872f624c86p-14, 0x1.92cf15446a2a8p-14, 0x1.84c7ef03f522fp-14, 0x1.772f43a2290c3p-14, 0x1.6a017465369dcp-14, 0x1.5d3affa49614p-14, 0x1.50d88003f74e1p-14, 0x1.44d6abb28854bp-14, 0x1.393253ae94726p-14, 0x1.2de8630bbbaabp-14, 0x1.22f5de3e42134p-14, 0x1.1857e26910f2bp-14, 0x1.0e0ba4afa14a6p-14, 0x1.040e718c63561p-14, 0x1.f4bb5852fa68fp-15, 0x1.e1ed9b7c78662p-15, 0x1.cfaec9dc93cfdp-15, 0x1.bdfa2a5e3c2dbp-15, 0x1.accb2c5c9129bp-15, 0x1.9c1d66797b973p-15, 0x1.8bec95776cccbp-15, 0x1.7c349b1f1470ap-15, 0x1.6cf17d269489fp-15, 0x1.5e1f64228c565p-15, 0x1.4fba9a79708f8p-15, 0x1.41bf8b60673bfp-15, 0x1.342ac1e0bdf02p-15, 0x1.26f8e7dd47ecep-15, 0x1.1a26c520cc7e3p-15, 0x1.0db13e72aa391p-15, 0x1.019554b0c8263p-15, 0x1.eba047de15c8ep-16, 0x1.d4bdc53a335fep-16, 0x1.be7dc15fa0f67p-16, 0x1.a8db0da56d305p-16, 0x1.93d0ab36e09b1p-16, 0x1.7f59c98e572cdp-16, 0x1.6b71c4ee4d4fcp-16, 0x1.581424f05302bp-16, 0x1.453c9b146df17p-16, 0x1.32e701629c0fap-16, 0x1.210f5904b4b84p-16, 0x1.0fb1c9088950ep-16, 0x1.fd953a1794321p-17, 0x1.dcac8802ff22fp-17, 0x1.bca29df69fe35p-17, 0x1.9d70dffba1c17p-17, 0x1.7f10f1b5ccd53p-17, 0x1.617cb42970dfep-17, 0x1.44ae43939dee6p-17, 0x1.289ff550d59b3p-17, 0x1.0d4c55d153b06p-17, 0x1.e55c4d43aa4f9p-18, 0x1.b180b8f03d602p-18, 0x1.7efc3ab95f105p-18, 0x1.4dc57da87a9afp-18, 0x1.1dd38844f8134p-18, 0x1.de3b724ac279bp-19, 0x1.833787210c4a9p-19, 0x1.2a8b58d0631d9p-19, 0x1.a84f1bc202791p-20, 0x1.fff58e7b4c9bdp-21, 0x1.6ff5435261c67p-22, -0x1.0f125339cf116p-22, -0x1.beca55be797e2p-21, -0x1.76fdb1ce5eb39p-20, -0x1.055339e1eebdbp-19, -0x1.4d3b66fa046b9p-19, -0x1.93429d62ae41dp-19, -0x1.d773ad82be224p-19, -0x1.0cec7fb792a82p-18, -0x1.2d3e4bae250aep-18, -0x1.4cb40cdfc257bp-18, -0x1.6b5267bdb6c4ap-18, -0x1.891dd4e0a37d8p-18, -0x1.a61aa2f195566p-18, -0x1.c24cf8802d7a6p-18, -0x1.ddb8d5ca84c83p-18, -0x1.f862166e671f3p-18, -0x1.09263985a8298p-17, -0x1.15bdc174f087p-17, -0x1.21f95eb35c6b7p-17, -0x1.2ddabdd5ee86fp-17, -0x1.39637ce03af3ap-17, -0x1.44952c1047637p-17, -0x1.4f714e859725dp-17, -0x1.59f95ada93682p-17, -0x1.642ebbc61bd65p-17, -0x1.6e12d0acec198p-17, -0x1.77a6ee345dcebp-17, -0x1.80ec5ec6de8b2p-17, -0x1.89e4631ef96dbp-17, -0x1.929032c15371p-17, -0x1.9af0fc784c8e5p-17, -0x1.a307e6c3fc931p-17, -0x1.aad6104f39cb5p-17, -0x1.b25c90587104ep-17, -0x1.b99c7714bf98ep-17, -0x1.c096ce13e883ep-17, }}, 
      {{-0x1.ffae41fd55d47p+0, -0x1.fb9db32ffdb17p+0, -0x1.f515e99a9dd1bp+0, -0x1.ec61c97a60c19p+0, -0x1.e1d38cd286429p+0, -0x1.d5bfbb7b611bfp+0, -0x1.c8782af25f008p+0, -0x1.ba48efdc83908p+0, -0x1.ab778c8f24d8cp+0, -0x1.9c4191441a588p+0, -0x1.8cdcfc4d9d04ap+0, -0x1.7d77b1beaa004p+0, -0x1.6e37aa5735878p+0, -0x1.5f3d7b36c0714p+0, -0x1.50a2eea07ccfcp+0, -0x1.427bdf9dbe58p+0, -0x1.34d87cd19af8p+0, -0x1.27c3ac7ffb265p+0, -0x1.1b45cccec2a89p+0, -0x1.0f6379d878428p+0, -0x1.041f464acbea8p+0, -0x1.f2f2c122cdd1bp-1, -0x1.dee0d35ccfbbfp-1, -0x1.cc030c4d66297p-1, -0x1.ba5196ccd57dfp-1, -0x1.a9c2e0cabcbcbp-1, -0x1.9a4c0839e7efcp-1, -0x1.8be13d85a2df1p-1, -0x1.7e760c3f6553fp-1, -0x1.71fd9b07e6efp-1, -0x1.666aee105bf34p-1, -0x1.5bb0d1403efb2p-1, -0x1.51c2777db9492p-1, -0x1.489326c1f4f7cp-1, -0x1.40166d41c9993p-1, -0x1.38405038ccd75p-1, -0x1.310538290fbfcp-1, -0x1.2a59f958f01fdp-1, -0x1.2433edf5ba23cp-1, -0x1.1e88f7266a4bep-1, -0x1.194f74fcfaa13p-1, -0x1.147e45967e445p-1, -0x1.100cc69d7170cp-1, -0x1.0bf2d5749ddf1p-1, -0x1.0828cdc5a1b89p-1, -0x1.04a785da74e86p-1, -0x1.0168493c84d02p-1, -0x1.fcc9a63d06f75p-2, -0x1.f72e93382d1c1p-2, -0x1.f1f47390a27ebp-2, -0x1.ed1127ba4aa5cp-2, -0x1.e87b4df1ef1f1p-2, -0x1.e42a38abb5ab7p-2, -0x1.e015e47334ba1p-2, -0x1.dc36edecdd6bdp-2, -0x1.d886889a295c1p-2, -0x1.d4fe76881b91bp-2, -0x1.d1990078833cfp-2, -0x1.ce50ee0ec5d17p-2, -0x1.cb217df67e39fp-2, -0x1.c8065e38b3fd8p-2, -0x1.c4fba4e3a366ep-2, -0x1.c1fdef16a8e5fp-2, -0x1.bf09c4fe253fdp-2, -0x1.bc1c644a9259bp-2, -0x1.b933450db94b7p-2, -0x1.b64c2a9702935p-2, -0x1.b3651c538aa35p-2, -0x1.b07c5f09b0b6dp-2, -0x1.ad906ee4d9948p-2, -0x1.aa9ffa8bd31dcp-2, -0x1.a7a9df3cd4005p-2, -0x1.a4ad25b80447ap-2, -0x1.a1a8ffa6d70f4p-2, -0x1.9e9cc52cc395p-2, -0x1.9b87f260247ccp-2, -0x1.986a248796009p-2, -0x1.95431717c1998p-2, -0x1.9212a087a3943p-2, -0x1.8ed8af2127dc5p-2, -0x1.8b9545f7eca59p-2, -0x1.88487a29a86cap-2, -0x1.84f2707ea952ep-2, -0x1.81935b711fbfap-2, -0x1.7e2b79938eb4ap-2, -0x1.7abb144427825p-2, -0x1.77427e9587f94p-2, -0x1.73c214552014p-2, -0x1.703a391b96688p-2, -0x1.6cab5759fb727p-2, -0x1.6915df5e14ea4p-2, -0x1.657a464eb8c6p-2, -0x1.61d90526051cap-2, -0x1.5e3297b1d2c3fp-2, -0x1.5a877ba34474bp-2, -0x1.56d82fb521426p-2, -0x1.532532ee92d89p-2, -0x1.4f6f0404d65c9p-2, -0x1.4bb620db70adep-2, -0x1.47fb061f71221p-2, -0x1.443e2ef878239p-2, -0x1.408014c978aa8p-2, -0x1.3cc12efbcb9d5p-2, -0x1.3901f2d0685fep-2, -0x1.3542d33487b79p-2, -0x1.318440980acdfp-2, -0x1.2dc6a8c4c20f6p-2, -0x1.2a0a76b647d06p-2, -0x1.26501272d8b6ep-2, -0x1.2297e0e64919dp-2, -0x1.1ee243c0d54bcp-2, -0x1.1b2f995bb25ddp-2, -0x1.17803ca4d36c4p-2, -0x1.13d485125b86ep-2, -0x1.102cc69d30597p-2, -0x1.0c8951c13a615p-2, -0x1.08ea7381a02b4p-2, -0x1.0550756f88f48p-2, -0x1.01bb9db29e241p-2, -0x1.fc585e264c72p-3, -0x1.f544d20c037efp-3, -0x1.ee3d0f757012ep-3, -0x1.e7418856ed49ep-3, -0x1.e052a85cb3965p-3, -0x1.d970d50e1c2f5p-3, -0x1.d29c6defd918p-3, -0x1.cbd5b707fda26p-3, -0x1.c51d2bf554d51p-3, -0x1.be730a7d70f52p-3, -0x1.b7d79b2d108a5p-3, -0x1.b14b21242d399p-3, -0x1.aacdda45852ap-3, -0x1.a45fff665931p-3, -0x1.9e01c47da0036p-3, -0x1.97b358d22b5c9p-3, -0x1.9174e7277ee58p-3, -0x1.8b4695e94e4cdp-3, -0x1.85288755b509p-3, -0x1.7f1ad9a671a8ap-3, -0x1.791da7394e066p-3, -0x1.733106b7e2207p-3, -0x1.6d550b3ed13b5p-3, -0x1.6789c48490463p-3, -0x1.61cf3eff9412ep-3, -0x1.5c25840bd2455p-3, -0x1.568c9a0f738dap-3, -0x1.5104849e7d1f4p-3, -0x1.4b8d449d5d29ep-3, -0x1.4626d8622f398p-3, -0x1.40d13bd4bce53p-3, -0x1.3b8c688d1a3f9p-3, -0x1.365855f104bcep-3, -0x1.3134f94fea2c9p-3, -0x1.2c2245fdd6388p-3, -0x1.27202d6d3f61ap-3, -0x1.222e9f47f2ce2p-3, -0x1.1d4d89872a596p-3, -0x1.187cd88b06f2ap-3, -0x1.13bc773178f7fp-3, -0x1.0f0c4eecc6ee1p-3, -0x1.0a6c47d9a0fdfp-3, -0x1.05dc48d4e0e2p-3, -0x1.015c3790dbdfep-3, -0x1.f9d7f1547c05bp-4, -0x1.f116df78b2f5bp-4, -0x1.e874fee9af4d9p-4, -0x1.dff2134d5bc54p-4, -0x1.d78ddeb89e1eap-4, -0x1.cf4821d207aecp-4, -0x1.c7209bf2b1f31p-4, -0x1.bf170b454c7a2p-4, -0x1.b72b2ce347037p-4, -0x1.af5cbcf002b97p-4, -0x1.a7ab76b234bfap-4, -0x1.a01714ab61724p-4, -0x1.989f50ad97c0fp-4, -0x1.9143e3ef82197p-4, -0x1.8a04871eeed7bp-4, -0x1.82e0f271fb27p-4, -0x1.7bd8ddb706547p-4, -0x1.74ec00639c044p-4, -0x1.6e1a11a27a958p-4, -0x1.6762c860d7a8p-4, -0x1.60c5db5b07b6p-4, -0x1.5a4301289a871p-4, -0x1.53d9f047fb147p-4, -0x1.4d8a5f29ab81ep-4, -0x1.4754043b16202p-4, -0x1.413695f1018c7p-4, -0x1.3b31cad1a8ce6p-4, -0x1.3545597e733bp-4, -0x1.2f70f8bd4ddf3p-4, -0x1.29b45f81a6f9cp-4, -0x1.240f44f50013cp-4, -0x1.1e81607f184ebp-4, -0x1.190a69cda61aep-4, -0x1.13aa18db9c4b8p-4, -0x1.0e6025f7f2159p-4, -0x1.092c49cbf1ac7p-4, -0x1.040e3d60ffc27p-4, -0x1.fe0b744bc7b19p-5, -0x1.f424f3e72a79ap-5, -0x1.ea686e2312033p-5, -0x1.e0d5587320e1p-5, -0x1.d76b293694755p-5, -0x1.ce2957be69af5p-5, -0x1.c50f5c52ceb29p-5, -0x1.bc1cb037f2a51p-5, -0x1.b350cdb2583b6p-5, -0x1.aaab300a9dff1p-5, -0x1.a22b5390e73b3p-5, -0x1.99d0b59fdedffp-5, -0x1.919ad49f697ap-5, -0x1.8989300715b83p-5, -0x1.819b4860452abp-5, -0x1.79d09f4827f8ep-5, -0x1.7228b77183d03p-5, -0x1.6aa314a65acf1p-5, -0x1.633f3bc96b073p-5, -0x1.5bfcb2d79017cp-5, -0x1.54db00e908a25p-5, -0x1.4dd9ae32a3d23p-5, -0x1.46f84406ccc38p-5, -0x1.40364cd684acp-5, -0x1.3993543230af8p-5, -0x1.330ee6ca5a551p-5, -0x1.2ca89270407cbp-5, -0x1.265fe6164ce39p-5, -0x1.203471d063a7fp-5, -0x1.1a25c6d41599cp-5, -0x1.14337778a635cp-5, -0x1.0e5d1736f4c6cp-5, -0x1.08a23aa943c04p-5, -0x1.0302778ad9bebp-5, -0x1.fafac96f21e15p-6, -0x1.f02534567d7bp-6, -0x1.e58362020ca04p-6, -0x1.db1486e529ed6p-6, -0x1.d0d7d9ae86225p-6, -0x1.c6cc9346542e9p-6, -0x1.bcf1eecc43fb8p-6, -0x1.b34729955c23dp-6, -0x1.a9cb8329c2c77p-6, -0x1.a07e3d4266b4fp-6, -0x1.975e9bc686cc1p-6, -0x1.8e6be4c93ac8ep-6, -0x1.85a56086d55a3p-6, -0x1.7d0a596242001p-6, -0x1.749a1be244a77p-6, -0x1.6c53f6aec5f0cp-6, -0x1.64373a8df8c24p-6, -0x1.5c433a61808efp-6, -0x1.54774b238ba6ap-6, -0x1.4cd2c3e3e3ac6p-6, -0x1.4554eb863c9b5p-6, -0x1.3dfd406c81894p-6, -0x1.36cb0f254be56p-6, -0x1.2fbdb6f75b83p-6, -0x1.28d4992e97427p-6, -0x1.220f1919086b4p-6, -0x1.1b6c9c03cce02p-6, -0x1.14ec8937f7bb4p-6, -0x1.0e8e49f77a5cap-6, -0x1.08514979f2069p-6, -0x1.0234f4e96c544p-6, -0x1.f87176be494e7p-7, -0x1.ecb81bc069d34p-7, -0x1.e13cbeb459f83p-7, -0x1.d5fe493f65295p-7, -0x1.cafba8ca08885p-7, -0x1.c033ce78e8136p-7, -0x1.b5a5af25b2e91p-7, -0x1.ab504357e72d4p-7, -0x1.a132873d8ee4dp-7, -0x1.974b7aa3ce5f7p-7, -0x1.8d9a20ef7de47p-7, -0x1.841d8115a5d0bp-7, -0x1.7ad4a593e598ep-7, -0x1.71be9c68c87fdp-7, -0x1.68da770c285f8p-7, -0x1.60274a676368fp-7, -0x1.57a42ecda15fap-7, -0x1.4f503ff4024fbp-7, -0x1.472a9ce9cfa91p-7, -0x1.3f32681091c4dp-7, -0x1.3766c7144bfa7p-7, -0x1.2fc6e2e3884bp-7, -0x1.2851e7a77804fp-7, -0x1.210704bc0bd1fp-7, -0x1.19e56ca80be8dp-7, -0x1.12ec551531cbap-7, -0x1.0c1af6c83417p-7, -0x1.05708d98f0941p-7, -0x1.fdd8b0d4e31c1p-8, -0x1.f11b3246294eap-8, -0x1.e4a729493c84ep-8, -0x1.d87b2588b2e2fp-8, -0x1.cc95bc8655e5dp-8, -0x1.c0f5898b89624p-8, -0x1.b5992d9965acp-8, -0x1.aa7f4f591c0c7p-8, -0x1.9fa69b0c3611p-8, -0x1.950dc27cee2fbp-8, -0x1.8ab37cee85e27p-8, -0x1.8096870d9037fp-8, -0x1.76b5a2e077c98p-8, -0x1.6d0f97b7d09d4p-8, -0x1.63a3321ecc602p-8, -0x1.5a6f43cbb248p-8, -0x1.5172a3906749cp-8, -0x1.48ac2d4aef8d6p-8, -0x1.401ac1d60ae82p-8, -0x1.37bd46f9b13fcp-8, -0x1.2f92a75beab09p-8, -0x1.2799d2715f14dp-8, -0x1.1fd1bc6e22a08p-8, -0x1.18395e3677cabp-8, -0x1.10cfb54fb105dp-8, -0x1.0993c3d118f13p-8, -0x1.02849054d8d9bp-8, -0x1.f7424bd22f0d6p-9, -0x1.e9d12801ee2f5p-9, -0x1.dcb3dccbaf209p-9, -0x1.cfe89a50f8cc7p-9, -0x1.c36d9924c6a2ap-9, -0x1.b7411a2e3e188p-9, -0x1.ab61668ba8492p-9, -0x1.9fcccf757c782p-9, -0x1.9481ae21a2504p-9, -0x1.897e63a6c4753p-9, -0x1.7ec158e015ecfp-9, -0x1.7448fe50f5c21p-9, -0x1.6a13cc08f88b3p-9, -0x1.60204187fb843p-9, -0x1.566ce5a27e059p-9, -0x1.4cf84666430b4p-9, -0x1.43c0f8fefcdc9p-9, -0x1.3ac5999b4033ap-9, -0x1.3204cb51a7ce4p-9, -0x1.297d38063d3d1p-9, -0x1.212d905002595p-9, -0x1.19148b5ebd285p-9, -0x1.1130e6e106bc9p-9, -0x1.098166ea5f27fp-9, -0x1.0204d5d9cac9ep-9, -0x1.f5740880f13f6p-10, -0x1.e73f91913d3efp-10, -0x1.d96a00393462bp-10, -0x1.cbf1199cbb90cp-10, -0x1.bed2ae7e05058p-10, -0x1.b20c9b0d02645p-10, -0x1.a59cc6b7f2825p-10, -0x1.998123fbb6e55p-10, -0x1.8db7b0350cb1ep-10, -0x1.823e7371eac05p-10, -0x1.77138043e7283p-10, -0x1.6c34f3927c24bp-10, -0x1.61a0f46e2e273p-10, -0x1.5755b3e409bc3p-10, -0x1.4d516cd1c8119p-10, -0x1.439263b9ffe01p-10, -0x1.3a16e6999074dp-10, -0x1.30dd4cbcdfb16p-10, -0x1.27e3f695f81a4p-10, -0x1.1f294d92f6d4dp-10, -0x1.16abc3f503029p-10, -0x1.0e69d4a7fee13p-10, -0x1.0662031a5cf2cp-10, -0x1.fd25b62b79506p-11, -0x1.edf5e12fa121dp-11, -0x1.df31bf57ea2adp-11, -0x1.d0d6988aa06e2p-11, -0x1.c2e1c431906fbp-11, -0x1.b550a8f1a932bp-11, -0x1.a820bc60e7576p-11, -0x1.9b4f82be9acdfp-11, -0x1.8eda8eac6eddep-11, -0x1.82bf80e871149p-11, -0x1.76fc0807d79b6p-11, -0x1.6b8de0331b594p-11, -0x1.6072d2e2daf0fp-11, -0x1.55a8b69dc247bp-11, -0x1.4b2d6eb77e026p-11, -0x1.40feeb0fffa0bp-11, -0x1.371b27d52a95ap-11, -0x1.2d802d43e6748p-11, -0x1.242c0f6afaadcp-11, -0x1.1b1cedeeb7704p-11, -0x1.1250f3cd60a4cp-11, -0x1.09c65724aba24p-11, -0x1.017b58f8500d2p-11, -0x1.f2dc89f17e71p-12, -0x1.e33ae2982d9e2p-12, -0x1.d40e7cad766e1p-12, -0x1.c5542d0acd447p-12, -0x1.b708dc2fff40ep-12, -0x1.a92985daea428p-12, -0x1.9bb3389fb4d2p-12, -0x1.8ea31585739ap-12, -0x1.81f64f9ffb988p-12, -0x1.75aa2bb107297p-12, -0x1.69bbffc63478fp-12, -0x1.5e2932db056dcp-12, -0x1.52ef3c7c09441p-12, -0x1.480ba46b78cd9p-12, -0x1.3d7c02479259bp-12, -0x1.333dfd3264a96p-12, -0x1.294f4b7b366a5p-12, -0x1.1fadb2497a766p-12, -0x1.165705491d0dp-12, -0x1.0d4926588572dp-12, -0x1.048205388b76fp-12, -0x1.f7ff3e76a5323p-13, -0x1.e77ffdf215943p-13, -0x1.d7827804484e5p-13, -0x1.c802f5296bd33p-13, -0x1.b8fdd6a5cec9cp-13, -0x1.aa6f95f5e94b2p-13, -0x1.9c54c43f6508bp-13, -0x1.8eaa09c7ab926p-13, -0x1.816c256afbb97p-13, -0x1.7497ec1499c68p-13, -0x1.682a483e719bdp-13, -0x1.5c20396f109a8p-13, -0x1.5076d3ba67ffcp-13, -0x1.452b3f46ce6d8p-13, -0x1.3a3ab7d34134ap-13, -0x1.2fa28c4028bbcp-13, -0x1.25601e1ab2ee5p-13, -0x1.1b70e12ae2526p-13, -0x1.11d25b007b167p-13, -0x1.08822289598c7p-13, -0x1.fefbbf458fa35p-14, -0x1.ed869560e5a0cp-14, -0x1.dca0586b16004p-14, -0x1.cc44b8dd105b7p-14, -0x1.bc6f85dcfd2f3p-14, -0x1.ad1cac7b7b686p-14, -0x1.9e4836f5493e5p-14, -0x1.8fee4bf8ea77cp-14, -0x1.820b2df012192p-14, -0x1.749b3a4c85fbdp-14, -0x1.679ae8db8ada3p-14, -0x1.5b06cb17db767p-14, -0x1.4edb8b84cb919p-14, -0x1.4315ed069d318p-14, -0x1.37b2ca480f87p-14, -0x1.2caf1519d5f6p-14, -0x1.2207d5da5034cp-14, -0x1.17ba2ae00c255p-14, -0x1.0dc347e76a68ep-14, -0x1.04207581ce5c9p-14, -0x1.f59e2118f747bp-15, -0x1.e399134e3960ep-15, -0x1.d22cc9549caadp-15, -0x1.c1547055da013p-15, -0x1.b10b59f058566p-15, -0x1.a14cfb3afff09p-15, -0x1.9214ebd503be8p-15, -0x1.835ee4f7a2b64p-15, -0x1.7526c08e08751p-15, -0x1.6768785150099p-15, -0x1.5a2024f108fb9p-15, -0x1.4d49fd3386c3ep-15, -0x1.40e25528e47f2p-15, -0x1.34e59d54ab44bp-15, -0x1.295061f3786bdp-15, -0x1.1e1f4a2c23dc9p-15, -0x1.134f1755734dp-15, -0x1.08dca438baa07p-15, -0x1.fd89c8bc59b76p-16, -0x1.ea09c6b624cfep-16, -0x1.d7338849b9b3ap-16, -0x1.c50180d153418p-16, -0x1.b36e4fcd7b9bbp-16, -0x1.a274bfa4b64a6p-16, -0x1.920fc46afb68p-16, -0x1.823a7ab094e04p-16, -0x1.72f0265b6fe67p-16, -0x1.642c317fe0784p-16, -0x1.55ea2b533f5dbp-16, -0x1.4825c70916d06p-16, -0x1.3adadad62a28fp-16, -0x1.2e055ed543494p-16, -0x1.21a16c2bd5f6fp-16, -0x1.15ab3bf6586a7p-16, -0x1.0a1f265d518dcp-16, -0x1.fdf34363a5581p-17, -0x1.e86e830578e8bp-17, -0x1.d3a96b8742b3p-17, -0x1.bf9d93c82fc33p-17, -0x1.ac44c828a285bp-17, -0x1.999908d0669eap-17, -0x1.87948825d4b04p-17, -0x1.7631a948db683p-17, -0x1.656afe989c794p-17, -0x1.553b483e68718p-17, -0x1.459d72d581277p-17, -0x1.368c95f93926p-17, -0x1.2803f2ff1955dp-17, -0x1.19fef3a94021cp-17, -0x1.0c7928e59bc43p-17, -0x1.fedc93295355dp-18, -0x1.e5b462caa1799p-18, -0x1.cd71bef858088p-18, -0x1.b60ceb56b176p-18, -0x1.9f7e6e1fe9438p-18, -0x1.89bf0e4577827p-18, -0x1.74c7d15605027p-18, -0x1.6091f97d3f51ep-18, -0x1.4d247183bad0ep-18, -0x1.3a5d9187fe776p-18, -0x1.284536882264bp-18, -0x1.16d5829570cf9p-18, -0x1.0608cb1d4b9b9p-18, -0x1.ebb32eba92b81p-19, -0x1.cc853d2d311a1p-19, -0x1.ae7d8d14f56fp-19, -0x1.919243e9ea97p-19, -0x1.75b9de1727b67p-19, -0x1.5aeb2c163089dp-19, -0x1.411d4fc395171p-19, -0x1.2847b9175cdc7p-19, -0x1.10622455df375p-19, -0x1.f2c92de42ab63p-20, -0x1.c68eba695a3dap-20, -0x1.9c060faff388dp-20, -0x1.7320d33e186a6p-20, -0x1.4bd12a5eab50dp-20, -0x1.2609b59697c48p-20, -0x1.01bd8c6d583ap-20, -0x1.bdc072941ca67p-21, -0x1.7acb6abf9005ap-21, -0x1.3a84cab68cfcap-21, -0x1.f9ac52e9a6623p-22, -0x1.8353cae00aefp-22, -0x1.11d63bfe46147p-22, -0x1.4a16adc5a9969p-23, -0x1.e661938a22588p-25, 0x1.3866076332d29p-25, 0x1.0d478dfaa450ap-23, 0x1.c437c30f43af7p-23, 0x1.3996dd3aa891cp-22, 0x1.8d355bad996f6p-22, 0x1.dd16e0938de14p-22, 0x1.14aced396d8dp-21, 0x1.390dd599db4c2p-21, 0x1.5bbc5a21905c8p-21, 0x1.7cc62f8ca78c5p-21, 0x1.9c38932c027fdp-21, 0x1.ba204f4747549p-21, 0x1.d689bfa15381bp-21, 0x1.f180d47495adap-21, 0x1.05888c029ed17p-20, 0x1.11a2d8bb2be95p-20, 0x1.1d14b4306ef85p-20, 0x1.27e35498720f8p-20, 0x1.3213c38844ae5p-20, 0x1.3baae0834c19cp-20, 0x1.44ad61fdb9869p-20, 0x1.4d1fd6c96aa5ap-20, 0x1.5506a89b28296p-20, 0x1.5c661be8702ecp-20, 0x1.634252504d48cp-20, 0x1.699f4bac8c7c6p-20, 0x1.6f80e7578e83p-20, 0x1.74eae567ae575p-20, 0x1.79e0e7dfb065cp-20, 0x1.7e6673cd76af4p-20, 0x1.827ef26961dbep-20, 0x1.862db219227a5p-20, 0x1.8975e780a1bc2p-20, 0x1.8c5aae78278ap-20, 0x1.8edf0af1098ffp-20, 0x1.9105e9f15c905p-20, 0x1.92d22261c60e2p-20, 0x1.944675ea5b07fp-20, 0x1.956591a82350cp-20, 0x1.96320f7582e7fp-20, 0x1.96ae75735cea3p-20, 0x1.96dd38360cd4bp-20, 0x1.96c0ba5bc95b6p-20, 0x1.965b4dabb1524p-20, 0x1.95af341a95e73p-20, 0x1.94be9f6c2341ep-20, 0x1.938bb24fea125p-20, 0x1.9218816bb193ep-20, 0x1.906712e693799p-20, 0x1.8e795f945a14ap-20, 0x1.8c515347055dp-20, 0x1.89f0cd4d33246p-20, 0x1.8759a0dab43b2p-20, 0x1.848d9580e2802p-20, 0x1.818e679094ecp-20, 0x1.7e5dc8832c9cdp-20, 0x1.7afd5f5a49927p-20, 0x1.776ec8fc61981p-20, 0x1.73b3988c53facp-20, 0x1.6fcd57ebe76fcp-20, 0x1.6bbd8760e4aa5p-20, 0x1.67859eddd9a0dp-20, 0x1.63270d6c64221p-20, 0x1.5ea33a86303bap-20, 0x1.59fb8501168fp-20, 0x1.553144340407ap-20, 0x1.5045c7e8fbbap-20, 0x1.4b3a58db2d3b8p-20, 0x1.461038579afb6p-20, 0x1.40c8a1384b9bbp-20, 0x1.3b64c797c4a7ep-20, 0x1.35e5d92470614p-20, 0x1.304cfd4bbaa9fp-20, 0x1.2a9b556952a01p-20, 0x1.24d1fceeeee99p-20, 0x1.1ef2099656a98p-20, 0x1.18fc8b74574c9p-20, 0x1.12f28d402f90dp-20, 0x1.0cd5144dee5ecp-20, 0x1.06a520cabd0fap-20, }}, 
      {{-0x1.4e6fd046a35fep-12, -0x1.344d4e4882bcbp-10, -0x1.31d62b71bd6dep-9, -0x1.cab8d0f56295ep-9, -0x1.1f8732380f2e8p-8, -0x1.36d12fb766c8ap-8, -0x1.1d8a7b3931db7p-8, -0x1.93aae1c92cdfep-9, -0x1.a9e35ad049d1dp-11, 0x1.46f3eee7712f6p-9, 0x1.c0e3ab4401c4ap-8, 0x1.90c82e028fecdp-7, 0x1.3061b4ff2c454p-6, 0x1.a6e32250b56bp-6, 0x1.154c2da8eb85ep-5, 0x1.5ccaeeeedbe2ep-5, 0x1.a9292d120bc6ep-5, 0x1.f9631466626b3p-5, 0x1.2653937a181d5p-4, 0x1.5102e705cfea9p-4, 0x1.7c56bd70ad6d2p-4, 0x1.a7e97674ca4f3p-4, 0x1.d35b364aeb8b9p-4, 0x1.fe55e5af4011fp-4, 0x1.144566132a97dp-3, 0x1.28d9242c645c4p-3, 0x1.3cc6daff8550dp-3, 0x1.4ff30c6b19f1cp-3, 0x1.6245ba7ecd7f3p-3, 0x1.73aa6e5428c3ep-3, 0x1.84109ba8657f7p-3, 0x1.93678e3e74717p-3, 0x1.a1a5eef4623eep-3, 0x1.aec3aef0427cp-3, 0x1.bab9a47b5d98ap-3, 0x1.c5827d5b9e6d9p-3, 0x1.cf1b8ec295c39p-3, 0x1.d784cbd5a2a79p-3, 0x1.debfe34ec55f1p-3, 0x1.e4cf49d60e1d1p-3, 0x1.e9b60a183a51fp-3, 0x1.ed783e9ff5072p-3, 0x1.f01b7ab6a458dp-3, 0x1.f1a6b02970afep-3, 0x1.f221b0112e544p-3, 0x1.f194accf14208p-3, 0x1.f00808f048c61p-3, 0x1.ed84735cd2a57p-3, 0x1.ea131a375f9dep-3, 0x1.e5bdbd2b6529cp-3, 0x1.e08e8dfb984dfp-3, 0x1.da8ff531d908ap-3, 0x1.d3cc5e47d641cp-3, 0x1.cc4e210f86c96p-3, 0x1.c41f866345856p-3, 0x1.bb4ad6870c605p-3, 0x1.b1da5f6cb4fe2p-3, 0x1.a7d86b9c7f77p-3, 0x1.9d4f2e3c2e5c3p-3, 0x1.9248ae3a786e7p-3, 0x1.86ceb88dc688bp-3, 0x1.7aeadb562d3a2p-3, 0x1.6ea765378811ep-3, 0x1.6208965bf567dp-3, 0x1.551b9aa071601p-3, 0x1.47e9ad43a335ap-3, 0x1.3a7b63ec4c5bdp-3, 0x1.2cd89d1f2a92dp-3, 0x1.1f088eea037cap-3, 0x1.1111ed413f426p-3, 0x1.02fb1a7765445p-3, 0x1.e994a7785c92ep-4, 0x1.cd0b9dbfa08fcp-4, 0x1.b06788022727dp-4, 0x1.93b4c70a9ac82p-4, 0x1.76ff7aae364d7p-4, 0x1.5a53423342b0cp-4, 0x1.3dbaff0e8409dp-4, 0x1.2140a7a9fe7f4p-4, 0x1.04ed329288fe5p-4, 0x1.d19138197384ep-5, 0x1.99b4047be61b9p-5, 0x1.624fa00002bf4p-5, 0x1.2b6fd96bb82d2p-5, 0x1.ea3fa0017764cp-6, 0x1.7ed469cc0fa77p-6, 0x1.14b2de51d7797p-6, 0x1.57de85fd4370dp-7, 0x1.1274b401859dep-8, -0x1.09864391d037fp-9, -0x1.0ad2a781236d4p-7, -0x1.cff99dd540bd7p-7, -0x1.48dd7412412e6p-6, -0x1.a7ff7ab4c92bdp-6, -0x1.02ac8933ee30cp-5, -0x1.30711f159f536p-5, -0x1.5d4a4c1624427p-5, -0x1.89358448a2147p-5, -0x1.b430bd33ac602p-5, -0x1.de3a4c33fd4b3p-5, -0x1.03a86624f0e9fp-4, -0x1.17b986937078fp-4, -0x1.2b5005d6ad0a1p-4, -0x1.3e6b795a7464p-4, -0x1.510b90f8b9a01p-4, -0x1.63301c2f09929p-4, -0x1.74d90fc19f4f6p-4, -0x1.86068aa340b52p-4, -0x1.96b8d946be36dp-4, -0x1.a6f076dea50d4p-4, -0x1.b6ae0c709d66cp-4, -0x1.c5f26df5b4a2ap-4, -0x1.d4be95fd65ecep-4, -0x1.e313a06965d94p-4, -0x1.f0f2c4dda4a05p-4, -0x1.fe5d516eab834p-4, -0x1.05aa52fc780bcp-3, -0x1.0bed1832538abp-3, -0x1.11f7b4f974688p-3, -0x1.17caeac6d3944p-3, -0x1.1d677f7bf1216p-3, -0x1.22ce3d539212p-3, -0x1.27fff301b2114p-3, -0x1.2cfd73e3b073cp-3, -0x1.31c79820bc35cp-3, -0x1.365f3ca157591p-3, -0x1.3ac81a250a8ecp-3, -0x1.3efc63bc318a3p-3, -0x1.4300d4f8e9a7bp-3, -0x1.46d668b743afcp-3, -0x1.4a7e18d543dd9p-3, -0x1.4df8dd26a8edep-3, -0x1.5147aaba9c2fdp-3, -0x1.546b736535f38p-3, -0x1.5765257bfe7ebp-3, -0x1.5a35abb5222d8p-3, -0x1.5cdded1b988e3p-3, -0x1.5f5ecd0e9500ap-3, -0x1.61b92b46c883cp-3, -0x1.63ede3df89de2p-3, -0x1.65fdcf64c7f38p-3, -0x1.67e9c2e7c7176p-3, -0x1.69b2901ce6dd2p-3, -0x1.6b590583c22c5p-3, -0x1.6cddee999c65bp-3, -0x1.6e421414585d3p-3, -0x1.6f863c22bc9p-3, -0x1.70ab2aad9260fp-3, -0x1.71b1a194829d6p-3, -0x1.729a60e154dccp-3, -0x1.736626ecb18fep-3, -0x1.7415b0703f4dep-3, -0x1.74a9b8834e7cfp-3, -0x1.7522f880bc4a2p-3, -0x1.758227d66f756p-3, -0x1.75c7fbc093d19p-3, -0x1.75f526f437187p-3, -0x1.760a593e42827p-3, -0x1.76083f1ca4f33p-3, -0x1.75ef8157e4f0ep-3, -0x1.75c0c4a34c569p-3, -0x1.757ca94936ce6p-3, -0x1.7523cae84f026p-3, -0x1.74b6c04520736p-3, -0x1.74361b32498a2p-3, -0x1.73a2689004d81p-3, -0x1.72fc3062980f5p-3, -0x1.7243f5fde02dep-3, -0x1.717a3843601dp-3, -0x1.709f71ef3b75ep-3, -0x1.6fb419f030e6fp-3, -0x1.6eb8a3c64a798p-3, -0x1.6dad7fe3f2ee7p-3, -0x1.6c931c0d5cf9ap-3, -0x1.6b69e3b28d6bp-3, -0x1.6a324040d3996p-3, -0x1.68ec996953c34p-3, -0x1.6799555abc18fp-3, -0x1.6638d8ed5234cp-3, -0x1.64cb87c0ee93ap-3, -0x1.6351c44d71083p-3, -0x1.61cbefe6a2affp-3, -0x1.603a6ab506bp-3, -0x1.5e9d93a57bbfdp-3, -0x1.5cf5c851d6e66p-3, -0x1.5b4364e4a89bbp-3, -0x1.5986c3fa7b66cp-3, -0x1.57c03e82ba858p-3, -0x1.55f02ba238a2ep-3, -0x1.5416e0991b9afp-3, -0x1.5234b0ad8fc8p-3, -0x1.5049ed1c627b1p-3, -0x1.4e56e51030072p-3, -0x1.4c5be59f6f418p-3, -0x1.4a5939d16b2e6p-3, -0x1.484f2aa9b9619p-3, -0x1.463dff39986afp-3, -0x1.4425fcb65faffp-3, -0x1.42076693ffd8ap-3, -0x1.3fe27ea27a577p-3, -0x1.3db7852d36912p-3, -0x1.3b86b91b117f7p-3, -0x1.3950580e26f4ep-3, -0x1.37149e8260dbap-3, -0x1.34d3c7e9fb164p-3, -0x1.328e0ec757857p-3, -0x1.3043acc39e424p-3, -0x1.2df4dac1d2f7fp-3, -0x1.2ba1d0ee2d396p-3, -0x1.294ac6c9acc9dp-3, -0x1.26eff332051cdp-3, -0x1.24918c660dcaap-3, -0x1.222fc8071e024p-3, -0x1.1fcadb17ad92ep-3, -0x1.1d62f9f7ba35cp-3, -0x1.1af8585f74297p-3, -0x1.188b2958b1a8cp-3, -0x1.161b9f37b89dep-3, -0x1.13a9eb93c9e1dp-3, -0x1.11363f3fe84c4p-3, -0x1.0ec0ca442f235p-3, -0x1.0c49bbd8160a5p-3, -0x1.09d1425dc2faap-3, -0x1.07578b5ea6172p-3, -0x1.04dcc3895cb62p-3, -0x1.026116b0f281ep-3, -0x1.ffc95f9ab3f38p-4, -0x1.facf71fa31a25p-4, -0x1.f5d4b70fe1818p-4, -0x1.f0d97fc4cf86fp-4, -0x1.ebde1b63ed253p-4, -0x1.e6e2d7a35f46cp-4, -0x1.e1e800ae6557p-4, -0x1.dcede12f6e08p-4, -0x1.d7f4c25a0564dp-4, -0x1.d2fcebf46cbp-4, -0x1.ce06a46077c7ep-4, -0x1.c91230a39cb6ep-4, -0x1.c41fd46e05efcp-4, -0x1.bf2fd22099239p-4, -0x1.ba426ad1d68aap-4, -0x1.b557de51b04bcp-4, -0x1.b0706b2c4f739p-4, -0x1.ab8c4eabe9aa6p-4, -0x1.a6abc4d9b77e8p-4, -0x1.a1cf087e31f72p-4, -0x1.9cf65320cc35dp-4, -0x1.9821dd072791ap-4, -0x1.9351dd340f3a1p-4, -0x1.8e8689664865cp-4, -0x1.89c016175cb33p-4, -0x1.84feb67a7bc21p-4, -0x1.80429c7b8d5abp-4, -0x1.7b8bf8be85e7bp-4, -0x1.76db5778c5c21p-4, -0x1.722ffa4e15b98p-4, -0x1.6d8a9eb3a7c22p-4, -0x1.68eb7119d950ap-4, -0x1.64529c9374c09p-4, -0x1.5fc04ad42391cp-4, -0x1.5b34a42ff77c4p-4, -0x1.56afcf9c0160ep-4, -0x1.5231f2afee2cep-4, -0x1.4dbb31a8921d5p-4, -0x1.494baf6b52e6ap-4, -0x1.44e38d8a5603ep-4, -0x1.4082ec4959237p-4, -0x1.3c29eaa3199a3p-4, -0x1.37d8a64f31b48p-4, -0x1.338f3bc84be13p-4, -0x1.2f4dc65295312p-4, -0x1.2b14600254148p-4, -0x1.26e321c28bef5p-4, -0x1.22ba235b99ff3p-4, -0x1.1e997b79b5c07p-4, -0x1.1a813fb347757p-4, -0x1.1671848f05daep-4, -0x1.126a5d89cff42p-4, -0x1.0e6bdd1c3b326p-4, -0x1.0a7614bfd1903p-4, -0x1.068914f3f9797p-4, -0x1.02a4ed428ad77p-4, -0x1.fd9358881f576p-5, -0x1.f5eebf4766c78p-5, -0x1.ee5c2845d1494p-5, -0x1.e6dbab3991c89p-5, -0x1.df6d5e126c879p-5, -0x1.d81154ff8fdcdp-5, -0x1.d0c7a27514476p-5, -0x1.c990573133ae3p-5, -0x1.c26b82414c8c4p-5, -0x1.bb593106c0863p-5, -0x1.b4596f3bc4ecp-5, -0x1.ad6c46f82c323p-5, -0x1.a691c0b6421p-5, -0x1.9fc9e357c03f3p-5, -0x1.9914b42aea49ap-5, -0x1.927236efd98acp-5, -0x1.8be26dde0398ep-5, -0x1.856559a9fc7efp-5, -0x1.7efaf98b8008cp-5, -0x1.78a34b43bc265p-5, -0x1.725e4b23e47e8p-5, -0x1.6c2bf414098f4p-5, -0x1.660c3f9a31f37p-5, -0x1.5fff25e1b7367p-5, -0x1.5a049dc2d9314p-5, -0x1.541c9cca873cp-5, -0x1.4e4717425d189p-5, -0x1.48840038c3c02p-5, -0x1.42d34989377cdp-5, -0x1.3d34e3e4a7b26p-5, -0x1.37a8bed9e9a64p-5, -0x1.322ec8de3bd23p-5, -0x1.2cc6ef55ca43ep-5, -0x1.27711e9c3681dp-5, -0x1.222d420d18671p-5, -0x1.1cfb440c71459p-5, -0x1.17db0e0f0f8dcp-5, -0x1.12cc88a2dca56p-5, -0x1.0dcf9b770fa7p-5, -0x1.08e42d6445642p-5, -0x1.040a2474769fep-5, -0x1.fe82cbd595829p-6, -0x1.f513ac9694fffp-6, -0x1.ebc6b2c4cde1ep-6, -0x1.e29ba498c1dp-6, -0x1.d99246f906a17p-6, -0x1.d0aa5d8876176p-6, -0x1.c7e3aab409db6p-6, -0x1.bf3defc0733b5p-6, -0x1.b6b8ecd75e74p-6, -0x1.ae54611476a71p-6, -0x1.a6100a921b009p-6, -0x1.9deba675d8c07p-6, -0x1.95e6f0fc9d7d9p-6, -0x1.8e01a586ab7bcp-6, -0x1.863b7ea357d31p-6, -0x1.7e94361c85bcfp-6, -0x1.770b8501f424ap-6, -0x1.6fa123b4501acp-6, -0x1.6854c9f01824p-6, -0x1.61262ed84c28cp-6, -0x1.5a150900f05bbp-6, -0x1.53210e795ede7p-6, -0x1.4c49f4d6741a4p-6, -0x1.458f713c81653p-6, -0x1.3ef138692435bp-6, -0x1.386efebce50a6p-6, -0x1.32087844b0524p-6, -0x1.2bbd58c32738bp-6, -0x1.258d53b9bf2f7p-6, -0x1.1f781c71b7f3cp-6, -0x1.197d6604e6a73p-6, -0x1.139ce366510e7p-6, -0x1.0dd6476a9e975p-6, -0x1.082944d056b4dp-6, -0x1.02958e47f5022p-6, -0x1.fa35acf78fd5cp-7, -0x1.ef71a02f4a35ap-7, -0x1.e4de5ba0ce142p-7, -0x1.da7b44d676c7cp-7, -0x1.d047c18983271p-7, -0x1.c64337afe20bbp-7, -0x1.bc6d0d89a359fp-7, -0x1.b2c4a9adfcab6p-7, -0x1.a9497317ea0bcp-7, -0x1.9ffad13265291p-7, -0x1.96d82be43b678p-7, -0x1.8de0eb9b7bd05p-7, -0x1.851479587cdb1p-7, -0x1.7c723eb87fb2ap-7, -0x1.73f9a5fff3c76p-7, -0x1.6baa1a245673cp-7, -0x1.638306d5b1861p-7, -0x1.5b83d887ba16p-7, -0x1.53abfc7a92777p-7, -0x1.4bfae0c33653ap-7, -0x1.446ff45387e6dp-7, -0x1.3d0aa70205b46p-7, -0x1.35ca69912f29bp-7, -0x1.2eaeadb693f84p-7, -0x1.27b6e621940f4p-7, -0x1.20e28681cc67ep-7, -0x1.1a31038d40f88p-7, -0x1.13a1d30631c9cp-7, -0x1.0d346bc0b1b3dp-7, -0x1.06e845a7f01f1p-7, -0x1.00bcd9c34303fp-7, -0x1.f5634475dd8bap-8, -0x1.e98c34b95cdfdp-8, -0x1.ddf37d3ffaa43p-8, -0x1.d29819544f3bdp-8, -0x1.c77906a43e1ep-8, -0x1.bc9545482d70bp-8, -0x1.b1ebd7c9d7bd7p-8, -0x1.a77bc32aafe04p-8, -0x1.9d440ee9d657ap-8, -0x1.9343c509bf348p-8, -0x1.8979f21560698p-8, -0x1.7fe5a52514f32p-8, -0x1.7685efe313a18p-8, -0x1.6d59e68f9759fp-8, -0x1.6460a004ab062p-8, -0x1.5b9935b9a0c99p-8, -0x1.5302c3c63435bp-8, -0x1.4a9c68e55d65ap-8, -0x1.42654677cf192p-8, -0x1.3a5c808629a79p-8, -0x1.32813dc2dd729p-8, -0x1.2ad2a78bc429fp-8, -0x1.234fe9eb6826ap-8, -0x1.1bf8339a08c7bp-8, -0x1.14cab5fe56c14p-8, -0x1.0dc6a52ddfea6p-8, -0x1.06eb37ed3975bp-8, -0x1.0037a7afe45bap-8, -0x1.f356612fd36cbp-9, -0x1.e68a22ea695eep-9, -0x1.da09178950a07p-9, -0x1.cdd1c75de387bp-9, -0x1.c1e2c00e2ea7ep-9, -0x1.b63a949195311p-9, -0x1.aad7dd2ce923ap-9, -0x1.9fb9376e0ddbcp-9, -0x1.94dd46271771ap-9, -0x1.8a42b168f622ap-9, -0x1.7fe8267d8fecp-9, -0x1.75cc57e19697ep-9, -0x1.6bedfd3db3c8p-9, -0x1.624bd35f566c7p-9, -0x1.58e49c311db67p-9, -0x1.4fb71eb2c4d15p-9, -0x1.46c226f0a9468p-9, -0x1.3e0485faec0ccp-9, -0x1.357d11dc30137p-9, -0x1.2d2aa58ff258cp-9, -0x1.250c20f886cd4p-9, -0x1.1d2068d4bf15dp-9, -0x1.156666b533da3p-9, -0x1.0ddd08f142a4dp-9, -0x1.0683429bb900ep-9, -0x1.feb016ee6a935p-10, -0x1.f0b4bfd488f85p-10, -0x1.e31281e68557ep-10, -0x1.d5c76837b7891p-10, -0x1.c8d186d9315adp-10, -0x1.bc2efabfe3698p-10, -0x1.afdde9aaadb07p-10, -0x1.a3dc8207fe63fp-10, -0x1.9828fadb32df1p-10, -0x1.8cc193a1a2ff8p-10, -0x1.81a494377f788p-10, -0x1.76d04cbc6ff85p-10, -0x1.6c4315780b065p-10, -0x1.61fb4ebe31bb1p-10, -0x1.57f760d3440ffp-10, -0x1.4e35bbd04f8e9p-10, -0x1.44b4d7872d1bep-10, -0x1.3b73336696e21p-10, -0x1.326f565e4f1dap-10, -0x1.29a7cec34a4bap-10, -0x1.211b3233def89p-10, -0x1.18c81d7c2ddb2p-10, -0x1.10ad347a71299p-10, -0x1.08c92203acc36p-10, -0x1.011a97c8600aap-10, -0x1.f3409c72c5809p-11, -0x1.e4b208da041b1p-11, -0x1.d68700088cd71p-11, -0x1.c8bd1a20e8dc3p-11, -0x1.bb51fbf196822p-11, -0x1.ae4356c0f5fcp-11, -0x1.a18ee819ba6bbp-11, -0x1.95327997e2f78p-11, -0x1.892be0b6367a5p-11, -0x1.7d78fe9c452f2p-11, -0x1.7217bfed0295cp-11, -0x1.67061c95e46bdp-11, -0x1.5c42179e8ed62p-11, -0x1.51c9bef9243efp-11, -0x1.479b2b530ecc9p-11, -0x1.3db47fe679091p-11, -0x1.3413ea4c138ccp-11, -0x1.2ab7a24dd548ep-11, -0x1.219de9ba06ce3p-11, -0x1.18c50c36e02b7p-11, -0x1.102b5f16c4a57p-11, -0x1.07cf412d06ab7p-11, -0x1.ff5e3546792abp-12, -0x1.ef92b99e1481bp-12, -0x1.e03904113a0b9p-12, -0x1.d14e1b0305479p-12, -0x1.c2cf16383de07p-12, -0x1.b4b91e873ba2p-12, -0x1.a7096d88be135p-12, -0x1.99bd4d49ebf43p-12, -0x1.8cd217ff2e81p-12, -0x1.804537b808ea3p-12, -0x1.74142613e8653p-12, -0x1.683c6bf7fb3fap-12, -0x1.5cbba145d9d1p-12, -0x1.518f6c932b9fcp-12, -0x1.46b582e24e218p-12, -0x1.3c2ba75ba69e8p-12, -0x1.31efab07dd5ep-12, -0x1.27ff6c8ba7647p-12, -0x1.1e58d7e362b56p-12, -0x1.14f9e62057379p-12, -0x1.0be09d268082ap-12, -0x1.03215aaab4816p-12, -0x1.f51a8f8880786p-13, -0x1.e47266fa77894p-13, -0x1.d446aa4646f3cp-13, -0x1.c493df218c634p-13, -0x1.b556a1e2a331fp-13, -0x1.a68ba50897d83p-13, -0x1.982fb0c494c35p-13, -0x1.8a3fa2854b2d6p-13, -0x1.7cb86c83d38f1p-13, -0x1.6f9715524bec6p-13, -0x1.62d8b76c202c2p-13, -0x1.567a80c7b71e7p-13, -0x1.4a79b26a6bafp-13, -0x1.3ed39ffd6cacep-13, -0x1.3385af648128ap-13, -0x1.288d5856c453p-13, -0x1.1de823f7dda8ap-13, -0x1.1393ac749c81cp-13, -0x1.098d9c9f8d545p-13, -0x1.ffa75f1fa43f9p-14, -0x1.ecc7608315887p-14, -0x1.da76f26f7be9cp-14, -0x1.c8b1e83f6e216p-14, -0x1.b77432ec5215ap-14, -0x1.a6b9e05b40c88p-14, -0x1.967f1aad80d99p-14, -0x1.86c027935b3fcp-14, -0x1.777967a299d7cp-14, -0x1.68a755afb6a3cp-14, -0x1.5a46862a142e3p-14, -0x1.4c53a67b51439p-14, -0x1.3ecb7c695d086p-14, -0x1.31aae57be0953p-14, -0x1.24eed66315b96p-14, -0x1.18945a64584b4p-14, -0x1.0c9892c6e19fap-14, -0x1.00f8b644780dep-14, -0x1.eb6420f9e14c9p-15, -0x1.d58402d88aa23p-15, -0x1.c04bf9c6fb549p-15, -0x1.abb71408e39d9p-15, -0x1.97c0857f15389p-15, -0x1.8463a6ab4abc7p-15, -0x1.719bf3b5fcfaep-15, -0x1.5f650b7b91cc3p-15, -0x1.4dbaae9d1d441p-15, -0x1.3c98be980c469p-15, -0x1.2bfb3ce0b09fp-15, -0x1.1bde4a039833ap-15, -0x1.0c3e24caf4bb8p-15, -0x1.fa2e52cf64a9ep-16, -0x1.dccba144637f8p-16, -0x1.c04d5e1981fb1p-16, -0x1.a4ace8780a296p-16, -0x1.89e3d4079937p-16, -0x1.6febe7701f325p-16, -0x1.56bf1ae513cdep-16, -0x1.3e5796b9498abp-16, -0x1.26afb1fbd4bddp-16, -0x1.0fc1f11855701p-16, -0x1.f3120913f677ep-17, -0x1.c7ff8f16ec997p-17, -0x1.9e427daad2fd8p-17, -0x1.75d12ec343bf7p-17, -0x1.4ea24a6f7532dp-17, -0x1.28acc47fbf826p-17, -0x1.03e7da3bf04a3p-17, -0x1.c096204c7c881p-18, -0x1.7b9c5f9b4269ap-18, -0x1.38d28b59ac58p-18, -0x1.f0527c6839bf1p-19, -0x1.732320f8e75bcp-19, -0x1.f3f450f99bd68p-20, -0x1.0977459fa8b31p-20, -0x1.34c8420b61ad7p-23, 0x1.69b589df7d6b5p-21, 0x1.8916d3c1f2a37p-20, 0x1.2b261c0745f27p-19, 0x1.8e553a8fb9214p-19, 0x1.ee2fc562a10e8p-19, 0x1.256600849eca2p-18, 0x1.521fbe70e15aep-18, 0x1.7d4f8c911fd58p-18, 0x1.a6ff865b75c61p-18, 0x1.cf397579b8b68p-18, 0x1.f606d48df373cp-18, 0x1.0db868f13a697p-17, 0x1.1fc0290311c1ep-17, 0x1.311ef92d47de8p-17, 0x1.41d905c0c778p-17, 0x1.51f259e32ad99p-17, 0x1.616ee0b93f685p-17, 0x1.705266832d824p-17, 0x1.7ea099b72cb07p-17, 0x1.8c5d0c0c9b64cp-17, 0x1.998b338717ddcp-17, 0x1.a62e6b6f5bb67p-17, 0x1.b249f54e83279p-17, 0x1.bde0f9d972cb7p-17, 0x1.c8f689d9095e5p-17, 0x1.d38d9f08a2b67p-17, 0x1.dda91ceee6d92p-17, 0x1.e74bd1aeaa7abp-17, 0x1.f07876d16bc8fp-17, 0x1.f931b208b08bdp-17, 0x1.00bd0af8f3831p-16, 0x1.04aa116163041p-16, 0x1.086123802e27dp-16, }}, 
      {{-0x1.c3966f6e1dffdp-4, -0x1.a2b4f28923c08p-3, -0x1.191c98c647e1ep-2, -0x1.45b3e8c8b3fc5p-2, -0x1.5816d1990773fp-2, -0x1.53236ceff8c49p-2, -0x1.3aa3c022e9f28p-2, -0x1.12adc8a52674fp-2, -0x1.be7f214bae09cp-3, -0x1.4809de0d55defp-3, -0x1.90e0f36eb53b3p-4, -0x1.14b05191f9a4ep-5, 0x1.ea334e5a375fbp-6, 0x1.76b5f0ccf7d75p-4, 0x1.325e1fc587215p-3, 0x1.a05a051b2c562p-3, 0x1.01fec20b0a01dp-2, 0x1.2e3ee0e58d0bp-2, 0x1.54c05adb6d939p-2, 0x1.7581fcef06854p-2, 0x1.90a5b680a98ffp-2, 0x1.a66769845475dp-2, 0x1.b716635e9f8d5p-2, 0x1.c30f094eef1c3p-2, 0x1.cab62d6c1dcc2p-2, 0x1.ce7506601fc03p-2, 0x1.ceb608dce26adp-2, 0x1.cbe282d082b5dp-2, 0x1.c660bf2bf5c63p-2, 0x1.be929d70194dap-2, 0x1.b4d4950728885p-2, 0x1.a97d11eebf058p-2, 0x1.9cdc53a9f63dbp-2, 0x1.8f3be31e4ec1dp-2, 0x1.80dec9f541c52p-2, 0x1.7201bf12e1a83p-2, 0x1.62db2ecda2093p-2, 0x1.539b7e1965453p-2, 0x1.446d72fcea273p-2, 0x1.35768f58a7b42p-2, 0x1.26d7640d0ed42p-2, 0x1.18abe6a09c791p-2, 0x1.0b0bc7854f862p-2, 0x1.fc15952ea2f46p-3, 0x1.e37242f0387a1p-3, 0x1.cc47847a48b15p-3, 0x1.b6a96c29a54e7p-3, 0x1.a2a6bfea6a1bp-3, 0x1.90497c7082e68p-3, 0x1.7f9753c34ad83p-3, 0x1.7092287c913a6p-3, 0x1.63388350795e1p-3, 0x1.5785ff5488e27p-3, 0x1.4d73aad642049p-3, 0x1.44f85d457421dp-3, 0x1.3e0904e9794bep-3, 0x1.3898ef0ad95d7p-3, 0x1.349a0b8d2ecc1p-3, 0x1.31fd2bb8d6deep-3, 0x1.30b23bc6f24b7p-3, 0x1.30a876ec7763ep-3, 0x1.31ce95e6c57a7p-3, 0x1.341292e4b40bdp-3, 0x1.3763ab494e323p-3, 0x1.3baf434710969p-3, 0x1.40e372350cd8cp-3, 0x1.46ee81678d9bfp-3, 0x1.4dbf038d4974ap-3, 0x1.5543e52d1f6c9p-3, 0x1.5d6c77dbfd8f3p-3, 0x1.66287a43fb8d1p-3, 0x1.6f681efc5b847p-3, 0x1.791c13a2d8a47p-3, 0x1.833588de49713p-3, 0x1.8da63b2ec61a6p-3, 0x1.98607bdda1c2bp-3, 0x1.a35739169b669p-3, 0x1.ae7e04365766cp-3, 0x1.b9c9159ace064p-3, 0x1.c52d4da845429p-3, 0x1.d0a033248da1bp-3, 0x1.dc17ef67e0322p-3, 0x1.e78b491cbca92p-3, 0x1.f2f19e56bc7c9p-3, 0x1.fe42deaf85734p-3, 0x1.04bbc2f2a560cp-2, 0x1.0a444b9b8d00fp-2, 0x1.0fb7ccbf83b1cp-2, 0x1.151349ed93a4dp-2, 0x1.1a54054d0af55p-2, 0x1.1f777e0be3cd1p-2, 0x1.247b6ea0827eap-2, 0x1.295dcac50f11fp-2, 0x1.2e1cbd211a247p-2, 0x1.32b6a4a54e17fp-2, 0x1.372a11aa0e142p-2, 0x1.3b75c2eb598p-2, 0x1.3f98a28026664p-2, 0x1.4391c2e9eafa5p-2, 0x1.47605c52caef4p-2, 0x1.4b03ca08603b7p-2, 0x1.4e7b8838401bfp-2, 0x1.51c731ebffb5ep-2, 0x1.54e67f3cea4e5p-2, 0x1.57d943b4312c1p-2, 0x1.5a9f6cca8e18fp-2, 0x1.5d39007a789d8p-2, 0x1.5fa61bd9e4a95p-2, 0x1.61e6f1b3deeccp-2, 0x1.63fbc91e7f18ap-2, 0x1.65e4fc0d894b5p-2, 0x1.67a2f5e4e9aa9p-2, 0x1.6936320f5229bp-2, 0x1.6a9f3a9d175eap-2, 0x1.6bdea6ee590f3p-2, 0x1.6cf51a6a8f04ep-2, 0x1.6de34347132c1p-2, 0x1.6ea9d95e563f2p-2, 0x1.6f499d19d86ep-2, 0x1.6fc35670ef2d3p-2, 0x1.7017d3fdc0dp-2, 0x1.7047ea28370a7p-2, 0x1.705472649a218p-2, 0x1.703e4a818e8fap-2, 0x1.700653fff70dep-2, 0x1.6fad736f6f87fp-2, 0x1.6f34f4a79098p-2, 0x1.6e9cf5d8ff276p-2, 0x1.6de6c4e4b73f4p-2, 0x1.6d134b2895c8fp-2, 0x1.6c2371d74cb4fp-2, 0x1.6b1821b2686b1p-2, 0x1.69f242cd67d5ep-2, 0x1.68b2bc50e443dp-2, 0x1.675a74366d6e3p-2, 0x1.65ea4ef861117p-2, 0x1.64632f3432438p-2, 0x1.62c5f540b3d5p-2, 0x1.61137ebca955ep-2, 0x1.5f4ca61bb87cbp-2, 0x1.5d724238a4b6p-2, 0x1.5b8525f39d369p-2, 0x1.59861fe254c8fp-2, 0x1.5775fa15eea63p-2, 0x1.555579f8c0b62p-2, 0x1.53256043d3ea5p-2, 0x1.50e6690a17c4bp-2, 0x1.4e994bd59eefdp-2, 0x1.4c3ebbd22b027p-2, 0x1.49d767ff98c32p-2, 0x1.4763fb66b3b69p-2, 0x1.44e51d4b54fb7p-2, 0x1.425b71576bf52p-2, 0x1.3fc797bbafc7bp-2, 0x1.3d2a2d43e346dp-2, 0x1.3a83cb5df3f3cp-2, 0x1.37d5081474044p-2, 0x1.351e75fdfc27ap-2, 0x1.3260a423ea661p-2, 0x1.2f9c1de373719p-2, 0x1.2cd16acc413ecp-2, 0x1.2a010e7fd8d83p-2, 0x1.272b8894ac0f6p-2, 0x1.2451547f58462p-2, 0x1.2172e983e330ap-2, 0x1.1e90bab037807p-2, 0x1.1bab36e0672afp-2, 0x1.18c2c8cc9bfc7p-2, 0x1.15d7d7201a56dp-2, 0x1.12eac4983f446p-2, 0x1.0ffbf02a07906p-2, 0x1.0d0bb52c85fc8p-2, 0x1.0a1a6b867babbp-2, 0x1.072867dd5a81ep-2, 0x1.0435fbc40439ap-2, 0x1.014375e7caa27p-2, 0x1.fca24474df107p-3, 0x1.f6be943045f58p-3, 0x1.f0dc68d1ae268p-3, 0x1.eafc4b78ff52ap-3, 0x1.e51ec0c448ecp-3, 0x1.df4448f3e25ep-3, 0x1.d96d60054998cp-3, 0x1.d39a7dc5e85f4p-3, 0x1.cdcc15df25779p-3, 0x1.c80297dd5ac17p-3, 0x1.c23e6f3353c63p-3, 0x1.bc80033bfa17ap-3, 0x1.b6c7b73bb365ap-3, 0x1.b115ea62cbdb7p-3, 0x1.ab6af7d21d1d9p-3, 0x1.a5c736a2bd183p-3, 0x1.a02af9f16c74fp-3, 0x1.9a9690ee05cf6p-3, 0x1.950a46ef09cdep-3, 0x1.8f86638926b24p-3, 0x1.8a0b2aaa4e4f6p-3, 0x1.8498dcb7ef146p-3, 0x1.7f2fb6af9bdb5p-3, 0x1.79cff2497a797p-3, 0x1.7479c61bc21cep-3, 0x1.6f2d65be8c584p-3, 0x1.69eb01ef529f2p-3, 0x1.64b2c8b37c80cp-3, 0x1.5f84e579764b8p-3, 0x1.5a618137e5a96p-3, 0x1.5548c28aa6e3ap-3, 0x1.503acdcd5a816p-3, 0x1.4b37c53369bffp-3, 0x1.463fc8dd7755fp-3, 0x1.4152f6ec4e18bp-3, 0x1.3c716b917b424p-3, 0x1.379b411dbf709p-3, 0x1.32d0900da2e5ap-3, 0x1.2e116f146f003p-3, 0x1.295df325e8685p-3, 0x1.24b62f7f12f18p-3, 0x1.201a35ae4bb92p-3, 0x1.1b8a159b08ab7p-3, 0x1.1705dd8d7be23p-3, 0x1.128d9a3645f85p-3, 0x1.0e2156b6715edp-3, 0x1.09c11ca7caeedp-3, 0x1.056cf425a950ap-3, 0x1.0124e3d63934ap-3, 0x1.f9d1e1e8798e2p-4, 0x1.f1723eb283c53p-4, 0x1.e92ae31070487p-4, 0x1.e0fbd170b1988p-4, 0x1.d8e509c0931dap-4, 0x1.d0e68982aac31p-4, 0x1.c9004be56a3d6p-4, 0x1.c13249d980d0bp-4, 0x1.b97c7a27efaf6p-4, 0x1.b1ded1879c29ep-4, 0x1.aa5942b24e189p-4, 0x1.a2ebbe78f2088p-4, 0x1.9b9633d70bd2cp-4, 0x1.9458900555bd3p-4, 0x1.8d32be8b7b43ap-4, 0x1.8624a950f555fp-4, 0x1.7f2e38ad0ccb5p-4, 0x1.784f53760c5eap-4, 0x1.7187df0fb09f9p-4, 0x1.6ad7bf78e824bp-4, 0x1.643ed758f3203p-4, 0x1.5dbd080bfa162p-4, 0x1.575231af2a7bcp-4, 0x1.50fe332c6f97cp-4, 0x1.4ac0ea45d74b1p-4, 0x1.449a33a0b12f4p-4, 0x1.3e89ead076a4ep-4, 0x1.388fea61879b1p-4, 0x1.32ac0be3c184p-4, 0x1.2cde5b14d2cbbp-4, 0x1.272635519e139p-4, 0x1.2183b8fc69c93p-4, 0x1.1bf6bc7c02ffbp-4, 0x1.167f156379bf5p-4, 0x1.111c987b03b05p-4, 0x1.0bcf19c91820ap-4, 0x1.06966c9bc237ap-4, 0x1.01726392227d6p-4, 0x1.f8c5a14c228ebp-5, 0x1.eecf0a6bbba36p-5, 0x1.e500a41c32f8ep-5, 0x1.db5a0ee6cc0c2p-5, 0x1.d1daea5872ca4p-5, 0x1.c882d5151bdbp-5, 0x1.bf516ceae0501p-5, 0x1.b6464ee4c7b32p-5, 0x1.ad61175d2afd1p-5, 0x1.a4a1620f9cc1ep-5, 0x1.9c06ca2a514a6p-5, 0x1.9390ea5ef1d9dp-5, 0x1.8b3f5cf2d902p-5, 0x1.8311bbceac6aap-5, 0x1.7b07a08d56dbep-5, 0x1.7320a48a58b2p-5, 0x1.6b5c60ef73a7bp-5, 0x1.63ba6ec1b6e34p-5, 0x1.5c3a66ede3e4p-5, 0x1.54dbe25441c5ap-5, 0x1.4d9e79d3d5b3ep-5, 0x1.4681c65511724p-5, 0x1.3f8560d3fdf26p-5, 0x1.38a8e269e5d87p-5, 0x1.31ebe45691dedp-5, 0x1.2b4e000914a31p-5, 0x1.24cecf2838272p-5, 0x1.1e6deb9a8eca1p-5, 0x1.182aef8e35ca6p-5, 0x1.12057580489e7p-5, 0x1.0bfd184414f78p-5, 0x1.0611730a0d54p-5, 0x1.0042216686ca8p-5, 0x1.f51d7eb080973p-6, 0x1.e9edd29d77991p-6, 0x1.def47860d6394p-6, 0x1.d430aac162e7dp-6, 0x1.c9a1a58b7a7f2p-6, 0x1.bf46a59c7891ap-6, 0x1.b51ee8edceca5p-6, 0x1.ab29ae9fd31f3p-6, 0x1.a1663704414f9p-6, 0x1.97d3c3a86d91ep-6, 0x1.8e71975f2a8e9p-6, 0x1.853ef64a613e6p-6, 0x1.7c3b25e44d4e4p-6, 0x1.73656d087054p-6, 0x1.6abd13fc28d47p-6, 0x1.62416476ed1a6p-6, 0x1.59f1a9aa36897p-6, 0x1.51cd304903635p-6, 0x1.49d3468f041bap-6, 0x1.42033c4768f88p-6, 0x1.3a5c62d34c7a5p-6, 0x1.32de0d2fc2496p-6, 0x1.2b878ffb839edp-6, 0x1.2458417c3e16dp-6, 0x1.1d4f79a38166cp-6, 0x1.166c92135469p-6, 0x1.0faee622663cep-6, 0x1.0915d2dfeba8ep-6, 0x1.02a0b717204e2p-6, 0x1.f89de6a4dfcc7p-7, 0x1.ec3fd3bc9d285p-7, 0x1.e025fd97754f3p-7, 0x1.d44f2fe4e358fp-7, 0x1.c8ba39e5aebd8p-7, 0x1.bd65ee6f240d7p-7, 0x1.b25123edbb4cap-7, 0x1.a77ab4673fa38p-7, 0x1.9ce17d7c5f109p-7, 0x1.92846069cf243p-7, 0x1.88624208e7d0bp-7, 0x1.7e7a0acfd1db7p-7, 0x1.74caa6d13f166p-7, 0x1.6b5305bbc0153p-7, 0x1.62121ad8a67aap-7, 0x1.5906dd0a8bcbap-7, 0x1.503046cb7b5efp-7, 0x1.478d562abffa1p-7, 0x1.3f1d0cca50e28p-7, 0x1.36de6fdbfaf4fp-7, 0x1.2ed0881e2eae1p-7, 0x1.26f261d8842bcp-7, 0x1.1f430cd7f54bap-7, 0x1.17c19c6acee27p-7, 0x1.106d275c5ed1ep-7, 0x1.0944c7f05e905p-7, 0x1.02479bde1e7ffp-7, 0x1.f6e98896e7d21p-8, 0x1.e996cb8ed6001p-8, 0x1.dc95508983394p-8, 0x1.cfe36e2851e15p-8, 0x1.c37f81bca7c1ap-8, 0x1.b767ef3ba75e7p-8, 0x1.ab9b2131828ecp-8, 0x1.a01788b4773a6p-8, 0x1.94db9d576d3d5p-8, 0x1.89e5dd1c42a9ep-8, 0x1.7f34cc65c7424p-8, 0x1.74c6f5e969b28p-8, 0x1.6a9aeaa09d937p-8, 0x1.60af41b9fb9fdp-8, 0x1.5702988a2324p-8, 0x1.4d93927c5d399p-8, 0x1.4460d90306969p-8, 0x1.3b691b87c8f36p-8, 0x1.32ab0f5b9e1d5p-8, 0x1.2a256fa6aa808p-8, 0x1.21d6fd57eca19p-8, 0x1.19be7f14c967fp-8, 0x1.11dac12873d03p-8, 0x1.0a2a95733abap-8, 0x1.02acd359b9b72p-8, 0x1.f6c0af67e7cdbp-9, 0x1.e8880978bb4a6p-9, 0x1.daad83fda59d3p-9, 0x1.cd2ef88f0652bp-9, 0x1.c00a4b23ab0a5p-9, 0x1.b33d69ee83b23p-9, 0x1.a6c64d3c53f1bp-9, 0x1.9aa2f75164047p-9, 0x1.8ed1744731956p-9, 0x1.834fd9ea2e1bdp-9, 0x1.781c4797899c3p-9, 0x1.6d34e61b0d2bp-9, 0x1.6297e78d14f6cp-9, 0x1.584387309e95fp-9, 0x1.4e36095176db7p-9, 0x1.446dbb2295441p-9, 0x1.3ae8f29c914a1p-9, 0x1.31a60e5c4af23p-9, 0x1.28a37581bf424p-9, 0x1.1fdf978f0c018p-9, 0x1.1758ec47a863bp-9, 0x1.0f0df38fd44eep-9, 0x1.06fd354c3c8cbp-9, 0x1.fe4a8283c0918p-10, 0x1.ef095dec55d34p-10, 0x1.e0343b1eaad11p-10, 0x1.d1c86769fc88cp-10, 0x1.c3c33ee219c7cp-10, 0x1.b6222c219ba73p-10, 0x1.a8e2a80cbcc87p-10, 0x1.9c023994a5a92p-10, 0x1.8f7e757b53377p-10, 0x1.8354fe180b42cp-10, 0x1.7783831c54a79p-10, 0x1.6c07c159919ccp-10, 0x1.60df8287193a6p-10, 0x1.56089d08f8c37p-10, 0x1.4b80f3b734292p-10, 0x1.414675a5a30e3p-10, 0x1.37571dec692a9p-10, 0x1.2db0f370f5c9ep-10, 0x1.245208af9eaa9p-10, 0x1.1b387b85d3fb9p-10, 0x1.126274fce477fp-10, 0x1.09ce2915507fdp-10, 0x1.0179d692c13c3p-10, 0x1.f2c78d9106fbcp-11, 0x1.e3149acd4e6f4p-11, 0x1.d3d7908f4fc27p-11, 0x1.c50d3e7d5ad34p-11, 0x1.b6b287ccc31cp-11, 0x1.a8c462e0b484ep-11, 0x1.9b3fd8ea2fde3p-11, 0x1.8e2205892435dp-11, 0x1.8168166ec8d3dp-11, 0x1.750f4b01097c6p-11, 0x1.6914f3ff24f08p-11, 0x1.5d7673276c1cap-11, 0x1.52313ade3c4e6p-11, 0x1.4742cdd60e62dp-11, 0x1.3ca8beb8bb21p-11, 0x1.3260afd1e6909p-11, 0x1.286852ba96945p-11, 0x1.1ebd6805f89cp-11, 0x1.155dbeef4e52dp-11, 0x1.0c473509080b8p-11, 0x1.0377b5ed104aep-11, 0x1.f5da75dc8cd41p-12, 0x1.e54b9596384e2p-12, 0x1.d53ef2c2ed23cp-12, 0x1.c5b0cec75bb3ep-12, 0x1.b69d841d8bc49p-12, 0x1.a80185c3a6002p-12, 0x1.99d95ead2a0a1p-12, 0x1.8c21b1367f299p-12, 0x1.7ed7369aeacadp-12, 0x1.71f6be6ce6163p-12, 0x1.657d2e10cfe99p-12, 0x1.5967803a105e7p-12, 0x1.4db2c46a80607p-12, 0x1.425c1e74491e5p-12, 0x1.3760c5fe0c7ffp-12, 0x1.2cbe060964235p-12, 0x1.22713c7bc2231p-12, 0x1.1877d9a99987ep-12, 0x1.0ecf5fe3c8897p-12, 0x1.057563076fdb5p-12, 0x1.f8cf101fc4b63p-13, 0x1.e7470955d2f05p-13, 0x1.d64e3d9e9fd91p-13, 0x1.c5e058aaf976ap-13, 0x1.b5f92524a9e63p-13, 0x1.a6948be88c102p-13, 0x1.97ae9344b6fe7p-13, 0x1.89435e3af7af4p-13, 0x1.7b4f2bc7643d4p-13, 0x1.6dce562af48e6p-13, 0x1.60bd523a3b8dep-13, 0x1.5418aeafee13ep-13, 0x1.47dd138360031p-13, 0x1.3c074142ce2d1p-13, 0x1.3094107152c4p-13, 0x1.258070e8af94dp-13, 0x1.1ac9693e810ddp-13, 0x1.106c162d350a4p-13, 0x1.0665aa005218ap-13, 0x1.f966d8081741ap-14, 0x1.e6a56ff0f9f96p-14, 0x1.d481fb0fd9f93p-14, 0x1.c2f77f808124fp-14, 0x1.b201291f74ba3p-14, 0x1.a19a48894464p-14, 0x1.91be5220066e3p-14, 0x1.8268dd1665fdfp-14, 0x1.7395a28115b7ep-14, 0x1.65407c6d2a2e8p-14, 0x1.576564fc617d8p-14, 0x1.4a007586abaabp-14, 0x1.3d0de5c0d0507p-14, 0x1.308a0ae8a92f9p-14, 0x1.247156f5b2faep-14, 0x1.18c057cf5f2c6p-14, 0x1.0d73b68777162p-14, 0x1.02883699b292dp-14, 0x1.eff56a5f29739p-15, 0x1.db9050d228e08p-15, 0x1.c7db3d532ae04p-15, 0x1.b4d07bd1d427p-15, 0x1.a26a86119e0a2p-15, 0x1.90a4025df41ccp-15, 0x1.7f77c2445778ap-15, 0x1.6ee0c15840a8ap-15, 0x1.5eda23fdbe46cp-15, 0x1.4f8129e7b79d4p-15, 0x1.408c93c8337d5p-15, 0x1.321ab063c2dd9p-15, 0x1.24273d0189e98p-15, 0x1.16ae1a0d47ebep-15, 0x1.09ab4a0d657d9p-15, 0x1.fa35e141e06a9p-16, 0x1.e1f2a3069f43p-16, 0x1.ca859f2d1b0d8p-16, 0x1.b3e7d7e7ef77fp-16, 0x1.9e128a05cca69p-16, 0x1.88ff2b2b3c428p-16, 0x1.74a7681710cbdp-16, 0x1.610522f4b3322p-16, 0x1.4e1271b77245fp-16, 0x1.3bc99c816a363p-16, 0x1.2a251c168a235p-16, 0x1.191f985793ce1p-16, 0x1.08b3e6caa3ce4p-16, 0x1.f1ba1256ade44p-17, 0x1.d32c580b8756bp-17, 0x1.b5b54ab6da6a6p-17, 0x1.994be6a1bb8ecp-17, 0x1.7de775ca77e4cp-17, 0x1.637f8d663f98p-17, 0x1.4a0c0b733b0c4p-17, 0x1.3185145b6312bp-17, 0x1.19e310ab9af67p-17, 0x1.031eaad7c07ffp-17, 0x1.da619a21d1bebp-18, 0x1.b0253e54aaf6bp-18, 0x1.877b091f2433ap-18, 0x1.6056348fef5aep-18, 0x1.3aaa6a1521347p-18, 0x1.166bbeb962a7p-18, 0x1.e71d5f149b58ap-19, 0x1.a4103c1d4077dp-19, 0x1.639a99ba4c0eep-19, 0x1.25a7b8975d0f3p-19, 0x1.d4471ce10ff6ap-20, 0x1.61f57fad5a05ep-20, 0x1.e86a68958f63fp-21, 0x1.15c43688a21b5p-21, 0x1.2eca7d7ce6e93p-23, -0x1.d8371eee25db1p-23, -0x1.2fbe1ffcdcedcp-21, -0x1.e19d557b094fbp-21, -0x1.45f419ab3add8p-20, -0x1.976cbb7bf7545p-20, -0x1.e554f16be45c2p-20, -0x1.17e41426fd0cep-19, -0x1.3b7070b4a7262p-19, -0x1.5d5c5d6b02f24p-19, -0x1.7db43be52b356p-19, -0x1.9c84044453668p-19, -0x1.b9d749071c9ap-19, -0x1.d5b93ac13cc5cp-19, -0x1.f034abb3d125ap-19, -0x1.04aa09a1ecc92p-18, -0x1.1090c8aa2021ap-18, -0x1.1bd378c67ba6p-18, -0x1.2676d736afdccp-18, -0x1.307f7a2dd4ad2p-18, -0x1.39f1d24885683p-18, -0x1.42d22bf2fa794p-18, -0x1.4b24b0c68b062p-18, -0x1.52ed68d9e9307p-18, -0x1.5a303c045d911p-18, -0x1.60f0f3172afddp-18, -0x1.6733390c82fd8p-18, -0x1.6cfa9c2567821p-18, -0x1.724a8f0862811p-18, -0x1.772669c94d6dap-18, -0x1.7b916af2dc113p-18, -0x1.7f8eb87d4fdacp-18, -0x1.832160bfd6fd2p-18, -0x1.864c5b60082f5p-18, -0x1.89128a2694da6p-18, -0x1.8b76b9dd8e62bp-18, -0x1.8d7ba31d54fc4p-18, -0x1.8f23eb159643fp-18, -0x1.90722449db303p-18, -0x1.9168cf4be5666p-18, -0x1.920a5b6b5579ap-18, -0x1.9259276011245p-18, -0x1.925781ed47953p-18, -0x1.9207aa7e16599p-18, -0x1.916bd1bbbec17p-18, -0x1.90861a1d78ff9p-18, -0x1.8f589875bde72p-18, -0x1.8de55471c902ep-18, -0x1.8c2e491adfc57p-18, -0x1.8a356554f5667p-18, -0x1.87fc8c4b90d0cp-18, -0x1.858595e550c86p-18, -0x1.82d24f307e8c6p-18, -0x1.7fe47ac50ed9dp-18, -0x1.7cbdd12bf4d31p-18, -0x1.796001376a6ep-18, -0x1.75ccb05f8680ap-18, -0x1.72057b1745109p-18, -0x1.6e0bf51da8a13p-18, -0x1.69e1a9cc097cfp-18, -0x1.65881c603a417p-18, -0x1.6100c844532bbp-18, -0x1.5c4d214f935edp-18, -0x1.576e940e7a02bp-18, -0x1.526685f614ec7p-18, -0x1.4d3655a550934p-18, }}, 
      {{-0x1.77ac33ee27c5ep+1, -0x1.6472776d849bcp+1, -0x1.4c5b55036c517p+1, -0x1.33287450c74aap+1, -0x1.1b0e34f20cbbcp+1, -0x1.053cdfc771fbbp+1, -0x1.e47843258d5c3p+0, -0x1.c4525ae2852c3p+0, -0x1.a9c2b09a8c292p+0, -0x1.943c055eb6759p+0, -0x1.830f7b976004ap+0, -0x1.7583ed425b74ap+0, -0x1.6ae56a6cf0636p+0, -0x1.629059268de48p+0, -0x1.5bf2ce84d38d9p+0, -0x1.56903367134ecp+0, -0x1.52011ba67ac06p+0, -0x1.4df1550414ae4p+0, -0x1.4a1eda9abba04p+0, -0x1.465702ced7ae4p+0, -0x1.4274d67023fe6p+0, -0x1.3e5e6328efc44p+0, -0x1.3a035458492d8p+0, -0x1.355aa10389854p+0, -0x1.30614e721da23p+0, -0x1.2b1901027fb01p+0, -0x1.2586bf21e177cp+0, -0x1.1fb2093baa7eap+0, -0x1.19a40e1f7484dp+0, -0x1.1367015fd31d1p+0, -0x1.0d059579d9d27p+0, -0x1.068ab71a1fa61p+0, -0x1.0000f1eee9011p+0, -0x1.f2e4c73c640e8p-1, -0x1.e5d15691a6f42p-1, -0x1.d8d989cef923ap-1, -0x1.cc0d97abbc71p-1, -0x1.bf7be1ddfa524p-1, -0x1.b33128e746a9cp-1, -0x1.a738a9800f2f5p-1, -0x1.9b9c192d5a1b5p-1, -0x1.90639c7316c38p-1, -0x1.8595cb364302p-1, -0x1.7b37ccb2e207ep-1, -0x1.714d829a175cbp-1, -0x1.67d9b134dd21ep-1, -0x1.5ede19eaba84p-1, -0x1.565b8aeb40231p-1, -0x1.4e51ed9839e8bp-1, -0x1.46c05af8a403dp-1, -0x1.3fa536a007e14p-1, -0x1.38fe4b4d6c333p-1, -0x1.32c8e3f89f23bp-1, -0x1.2d01deedcf842p-1, -0x1.27a5bc29ebcp-1, -0x1.22b0aa0661dc8p-1, -0x1.1e1e9299c5244p-1, -0x1.19eb2a2e15cb8p-1, -0x1.1611fda9155d3p-1, -0x1.128e7f874ca34p-1, -0x1.0f5c12aa3cf37p-1, -0x1.0c76130c3e3d5p-1, -0x1.09d7df159c473p-1, -0x1.077d2ffb5517cp-1, -0x1.0561016063c82p-1, -0x1.037ec615e6091p-1, -0x1.01d216cbf06dfp-1, -0x1.0056b5b29795ep-1, -0x1.fe111b992291ap-2, -0x1.fbc75f56463adp-2, -0x1.f9c89b202adbbp-2, -0x1.f80d7144191e1p-2, -0x1.f68ec061674e3p-2, -0x1.f545a67883eabp-2, -0x1.f42b878f871d4p-2, -0x1.f33a16237b0dfp-2, -0x1.f26b5b5b5b88ap-2, -0x1.f1b9bd34f3a1ap-2, -0x1.f120018388ef2p-2, -0x1.f0994d6105bc9p-2, -0x1.f0212170c1532p-2, -0x1.efb353df20d59p-2, -0x1.ef4c094d0df33p-2, -0x1.eee7add020cffp-2, -0x1.ee82eef01e327p-2, -0x1.ee1ab7296826ap-2, -0x1.edac2b1514c29p-2, -0x1.ed34a7ffd47d6p-2, -0x1.ecb1c37d7799bp-2, -0x1.ec214b6c4f3dep-2, -0x1.eb8145df38c03p-2, -0x1.eacff0804ef04p-2, -0x1.ea0bbf2784c87p-2, -0x1.e933598ececabp-2, -0x1.e84598385c19fp-2, -0x1.e74180bc99526p-2, -0x1.e62641c8d9b01p-2, -0x1.e4f32f1ba146fp-2, -0x1.e3a7bdc1db01dp-2, -0x1.e24380c54bea5p-2, -0x1.e0c62665636d6p-2, -0x1.df2f75dd55994p-2, -0x1.dd7f4da891de6p-2, -0x1.dbb5a22ab9faap-2, -0x1.d9d27c9a6b895p-2, -0x1.d7d5fa0d97d66p-2, -0x1.d5c04a8a1fbacp-2, -0x1.d391b004a2374p-2, -0x1.d14a7d40c117cp-2, -0x1.ceeb148fbc7eap-2, -0x1.cc73e672aff1ep-2, -0x1.c9e5702b6206ep-2, -0x1.c7403a4915836p-2, -0x1.c484d73e3d993p-2, -0x1.c1b3e2096b8d3p-2, -0x1.becdfcf86afccp-2, -0x1.bbd3d08955a73p-2, -0x1.b8c60a6ae58p-2, -0x1.b5a55c9ba2873p-2, -0x1.b2727ca63dd5p-2, -0x1.af2e22f82a398p-2, -0x1.abd90a4e4d2f7p-2, -0x1.a873ef3263272p-2, -0x1.a4ff8f82e76bbp-2, -0x1.a17ca9ff851dep-2, -0x1.9debfdd52458dp-2, -0x1.9a4ea56e1388cp-2, -0x1.96a48ee34a5dcp-2, -0x1.92eeedceefb1cp-2, -0x1.8f2e7f115fc97p-2, -0x1.8b63fd350b0fbp-2, -0x1.8790203206322p-2, -0x1.83b39d417aea6p-2, -0x1.7fcf26b9e505p-2, -0x1.7be36bedf6e7cp-2, -0x1.77f11909747c2p-2, -0x1.73f8d6e978b3dp-2, -0x1.6ffb4aefa9a0ap-2, -0x1.6bf916d1b37e3p-2, -0x1.67f2d867cd004p-2, -0x1.63e9297dafabap-2, -0x1.5fdc9fa995b36p-2, -0x1.5bcdcc2c4d856p-2, -0x1.57bd3bdc9bb2p-2, -0x1.53ab771f0b40bp-2, -0x1.4f9901ea21028p-2, -0x1.4b865bd5d6a68p-2, -0x1.4774003467bfp-2, -0x1.43626631d517ap-2, -0x1.3f5200f737f8cp-2, -0x1.3b433fcef5473p-2, -0x1.37368e4713031p-2, -0x1.332c544f6f202p-2, -0x1.2f24f65229961p-2, -0x1.2b20d5455186fp-2, -0x1.27204eb593f39p-2, -0x1.2323bcca639efp-2, -0x1.1f2b7644a434fp-2, -0x1.1b37ce794cc7ap-2, -0x1.17491549c4e1p-2, -0x1.135f971bc9f3ap-2, -0x1.0f7b9cd2a53f9p-2, -0x1.0b9d6bcb3b58ep-2, -0x1.07c545dc349e6p-2, -0x1.03f3695b22e11p-2, -0x1.0028112723c84p-2, -0x1.f8c6e9722778bp-3, -0x1.f14b90723e6bcp-3, -0x1.e9de7932453dep-3, -0x1.e27fff662a21ep-3, -0x1.db3078d52383ap-3, -0x1.d3f035a0ec177p-3, -0x1.ccbf808f1151p-3, -0x1.c59e9f524e2aep-3, -0x1.be8dd2d2076bdp-3, -0x1.b78d576e64a0fp-3, -0x1.b09d653f97004p-3, -0x1.a9be304f805f9p-3, -0x1.a2efe8ccffc5ap-3, -0x1.9c32bb38ba3dfp-3, -0x1.9586d08b6c3fep-3, -0x1.8eec4e56262d7p-3, -0x1.886356dd050bep-3, -0x1.81ec092d370cep-3, -0x1.7b86812f35e2cp-3, -0x1.7532d7b620d8p-3, -0x1.6ef1228d3e8e6p-3, -0x1.68c1748486b05p-3, -0x1.62a3dd7d22d7p-3, -0x1.5c986a7682557p-3, -0x1.569f259cbb628p-3, -0x1.50b816588d329p-3, -0x1.4ae341615f5c4p-3, -0x1.4520a8d14673p-3, -0x1.3f704c3b23d5p-3, -0x1.39d228c29b2f2p-3, -0x1.34463935b1bc1p-3, -0x1.2ecc7627bbc3ep-3, -0x1.2964d60d3090bp-3, -0x1.240f4d5803356p-3, -0x1.1ecbce940f8fep-3, -0x1.199a4a833ba54p-3, -0x1.147ab038f3a0dp-3, -0x1.0f6ced349df06p-3, -0x1.0a70ed7ae36fp-3, -0x1.05869bad7568ep-3, -0x1.00ade121498f3p-3, -0x1.f7cd4be645076p-4, -0x1.ee61a234d2c41p-4, -0x1.e51890f4b2505p-4, -0x1.dbf1e1e3293d4p-4, -0x1.d2ed5cd06eef3p-4, -0x1.ca0ac7b92b50ep-4, -0x1.c149e6dd8a484p-4, -0x1.b8aa7cd65483ap-4, -0x1.b02c4aa85cc94p-4, -0x1.a7cf0fd6a44dbp-4, -0x1.9f928a7395102p-4, -0x1.977677318c4aep-4, -0x1.8f7a91730a1d3p-4, -0x1.879e935ac23edp-4, -0x1.7fe235dba6043p-4, -0x1.784530c91624ap-4, -0x1.70c73ae74649dp-4, -0x1.696809fbdbe89p-4, -0x1.622752dec185ep-4, -0x1.5b04c98b27e6fp-4, -0x1.540021309ce41p-4, -0x1.4d190c4427dd4p-4, -0x1.464f3c914ef57p-4, -0x1.3fa2634aecfbap-4, -0x1.3912311bbd706p-4, -0x1.329e5636887e3p-4, -0x1.2c468265d69cep-4, -0x1.260a651b1bb11p-4, -0x1.1fe9ad7d49787p-4, -0x1.19e40a76bda69p-4, -0x1.13f92ac285b6cp-4, -0x1.0e28bcf8f40cfp-4, -0x1.08726f9b86392p-4, -0x1.02d5f1201f008p-4, -0x1.faa5dff7371f6p-5, -0x1.efd2355794b18p-5, -0x1.e5303f819ba1bp-5, -0x1.dabf5bcbeb373p-5, -0x1.d07ee7d435f85p-5, -0x1.c66e418f13091p-5, -0x1.bc8cc757053a1p-5, -0x1.b2d9d7fac9ba3p-5, -0x1.a954d2cb021e4p-5, -0x1.9ffd17a74cbfp-5, -0x1.96d2070adc509p-5, -0x1.8dd3021897d9dp-5, -0x1.84ff6aa6d0c38p-5, -0x1.7c56d480400cp-5, -0x1.73d82d37827d6p-5, -0x1.6b831dfd5bc9ep-5, -0x1.63570c3e181b7p-5, -0x1.5b535e438480bp-5, -0x1.53777b3d9d2bbp-5, -0x1.4bc2cb4b35b55p-5, -0x1.4434b78299492p-5, -0x1.3ccca9fa1c644p-5, -0x1.358a0dd096a77p-5, -0x1.2e6c4f35bae1fp-5, -0x1.2772db724321bp-5, -0x1.209d20efec358p-5, -0x1.19ea8f412ced2p-5, -0x1.135a9728aa7fdp-5, -0x1.0cecaaa0598fap-5, -0x1.06a03ce049536p-5, -0x1.0074c2650e58ep-5, -0x1.f4d361eb9855dp-6, -0x1.e8fcff53aa205p-6, -0x1.dd654ddbbda75p-6, -0x1.d20b41119713p-6, -0x1.c6edcf40091ap-6, -0x1.bc0bf176d0d8fp-6, -0x1.b164a39198edep-6, -0x1.a6f6e43e2cfcfp-6, -0x1.9cc1b501dceabp-6, -0x1.92c41a3e1bc22p-6, -0x1.88fd1b3467a54p-6, -0x1.7f6bc20973befp-6, -0x1.760f1bc7b5485p-6, -0x1.6ce638614a7c9p-6, -0x1.63f02ab14f2e9p-6, -0x1.5b2c087cae7bdp-6, -0x1.5298ea726caf9p-6, -0x1.4a35ec2b86e42p-6, -0x1.42022c2a620d5p-6, -0x1.39fccbd9df3c2p-6, -0x1.3224ef8c124b5p-6, -0x1.2a79be78ac8cbp-6, -0x1.22fa62bb20635p-6, -0x1.1ba609507baf4p-6, -0x1.147be2150f8edp-6, -0x1.0d7b1fc1d8166p-6, -0x1.06a2f7e9b6ff7p-6, -0x1.ffe545ecf8c2ap-7, -0x1.f2d2b84b8087ep-7, -0x1.e60cc30b2f37p-7, -0x1.d991e7e238757p-7, -0x1.cd60ae199ef2ep-7, -0x1.c177a285b087cp-7, -0x1.b5d5577e30b2dp-7, -0x1.aa7864d647fabp-7, -0x1.9f5f67d4193dp-7, -0x1.948903282182ap-7, -0x1.89f3dee444caap-7, -0x1.7f9ea87294776p-7, -0x1.7588128bded7dp-7, -0x1.6baed52de1ce3p-7, -0x1.6211ad914c348p-7, -0x1.58af5e1f777a2p-7, -0x1.4f86ae67d1096p-7, -0x1.46966b151bfcdp-7, -0x1.3ddd65e25bb65p-7, -0x1.355a758f8fbd5p-7, -0x1.2d0c75d62e07p-7, -0x1.24f2475d677bep-7, -0x1.1d0acfae3576p-7, -0x1.1554f927329c4p-7, -0x1.0dcfb2f0466c8p-7, -0x1.0679f0ee2037dp-7, -0x1.fea5576b156dbp-8, -0x1.f0b1c0fd2e2a8p-8, -0x1.e317222f49e55p-8, -0x1.d5d387b09649dp-8, -0x1.c8e50728435p-8, -0x1.bc49bf1ae7424p-8, -0x1.afffd6cfb4e26p-8, -0x1.a4057e358ab64p-8, -0x1.9858edc7e1f5fp-8, -0x1.8cf86673a46d2p-8, -0x1.81e2317beaff1p-8, -0x1.7714a05eafc86p-8, -0x1.6c8e0cb974b6cp-8, -0x1.624cd82de47eep-8, -0x1.584f6c4673dafp-8, -0x1.4e943a5b05e17p-8, -0x1.4519bb7599162p-8, -0x1.3bde70370004bp-8, -0x1.32e0e0bba7ef6p-8, -0x1.2a1f9c8072e82p-8, -0x1.21993a47a86ffp-8, -0x1.194c57fdfd719p-8, -0x1.11379a9fb6fabp-8, -0x1.0959ae1dec7b1p-8, -0x1.01b14543e869ep-8, -0x1.f47a333955f4dp-9, -0x1.e5f7d6b125102p-9, -0x1.d7d9026651342p-9, -0x1.ca1b50b22c9e4p-9, -0x1.bcbc689c89f46p-9, -0x1.afb9fda84c4ebp-9, -0x1.a311cfa055446p-9, -0x1.96c1aa64cfdb8p-9, -0x1.8ac765b8d46b3p-9, -0x1.7f20e51076e36p-9, -0x1.73cc175f31f7ap-9, -0x1.68c6f6e6bc1fep-9, -0x1.5e0f890644bdfp-9, -0x1.53a3de0a202a4p-9, -0x1.498210fbdb558p-9, -0x1.3fa84772c6329p-9, -0x1.3614b164ebe72p-9, -0x1.2cc588f880a42p-9, -0x1.23b91255c5266p-9, -0x1.1aed9b7964604p-9, -0x1.12617c07499bep-9, -0x1.0a13151df1e6ap-9, -0x1.0200d12a3d46ep-9, -0x1.f45247777314bp-10, -0x1.e51512b2ebc19p-10, -0x1.d6470eaea01e9p-10, -0x1.c7e55757929ebp-10, -0x1.b9ed198cbdd26p-10, -0x1.ac5b92cccad0ep-10, -0x1.9f2e10e4d819ap-10, -0x1.9261f1a050ed9p-10, -0x1.85f4a279c79d6p-10, -0x1.79e3a04cf0124p-10, -0x1.6e2c7709a0ad1p-10, -0x1.62ccc167e4bcfp-10, -0x1.57c2289d286fdp-10, -0x1.4d0a64126f992p-10, -0x1.42a3391ba292p-10, -0x1.388a7aafedd15p-10, -0x1.2ebe0923331b6p-10, -0x1.253bd1e086a97p-10, -0x1.1c01cf25c5c9cp-10, -0x1.130e07c03856cp-10, -0x1.0a5e8eca3f457p-10, -0x1.01f1836a1130dp-10, -0x1.f38a21230aadfp-11, -0x1.e3aed97dcb69fp-11, -0x1.d44db37d96604p-11, -0x1.c56348ddfb34dp-11, -0x1.b6ec4904b7409p-11, -0x1.a8e5788b83755p-11, -0x1.9b4bb0cbe65ebp-11, -0x1.8e1bdf6d00ca4p-11, -0x1.815305f34f3d1p-11, -0x1.74ee39525d81cp-11, -0x1.68eaa180675c3p-11, -0x1.5d45790bdcec2p-11, -0x1.51fc0cb2cc1a7p-11, -0x1.470bbafc2119p-11, -0x1.3c71f3d2c0aa6p-11, -0x1.322c38226dc7dp-11, -0x1.2838197680458p-11, -0x1.1e93399a57bfap-11, -0x1.153b4a3b8df52p-11, -0x1.0c2e0c8de56afp-11, -0x1.036950f0e7471p-11, -0x1.f5d5ed2e57532p-12, -0x1.e561d65e94117p-12, -0x1.d572551ccd111p-12, -0x1.c6037cb8b899fp-12, -0x1.b7117b82f0558p-12, -0x1.a8989a2b8687ap-12, -0x1.9a953b23a8a74p-12, -0x1.8d03da024654ep-12, -0x1.7fe10aebb0f9ep-12, -0x1.732979fc285a5p-12, -0x1.66d9eab545b05p-12, -0x1.5aef376e4ddfbp-12, -0x1.4f6650c72d0e7p-12, -0x1.443c3d1e56a16p-12, -0x1.396e18094ff81p-12, -0x1.2ef911cfdb186p-12, -0x1.24da6ee9d6e7dp-12, -0x1.1b0f877facde1p-12, -0x1.1195c6ed4ca3cp-12, -0x1.086aab47b6105p-12, -0x1.ff1789c9e5cf7p-13, -0x1.eded6bcd1c9c8p-13, -0x1.dd52638cdcf0cp-13, -0x1.cd41f9cc23e42p-13, -0x1.bdb7d8404ef52p-13, -0x1.aeafc8b8e3315p-13, -0x1.a025b44bea012p-13, -0x1.9215a286c9779p-13, -0x1.847bb8a37fd59p-13, -0x1.775438c272e25p-13, -0x1.6a9b81282376ep-13, -0x1.5e4e0b7f8efe2p-13, -0x1.52686c2082aa3p-13, -0x1.46e7515a191d6p-13, -0x1.3bc782c15250ep-13, -0x1.3105e083a2974p-13, -0x1.269f62bd78bc2p-13, -0x1.1c9118d4a03a6p-13, -0x1.12d828d680702p-13, -0x1.0971ceda16962p-13, -0x1.005b5c65a993bp-13, -0x1.ef246fb047bd8p-14, -0x1.de27b7ac02c82p-14, -0x1.cdbbad7387e9bp-14, -0x1.bddb940fc33bcp-14, -0x1.ae82d3cc37952p-14, -0x1.9facf92c5e29ep-14, -0x1.9155b3e781d56p-14, -0x1.8378d5eb4fb54p-14, -0x1.761252646e27fp-14, -0x1.691e3ccd6b131p-14, -0x1.5c98c803d4671p-14, -0x1.507e456331051p-14, -0x1.44cb23e5e1976p-14, -0x1.397bef4bacd5ap-14, -0x1.2e8d4f45f4aebp-14, -0x1.23fc06a963b55p-14, -0x1.19c4f2a4f8816p-14, -0x1.0fe509fe59c53p-14, -0x1.06595c5345b1p-14, -0x1.fa3e22c011a5fp-15, -0x1.e866d095c3976p-15, -0x1.d7276de848e1fp-15, -0x1.c67ad29639d2cp-15, -0x1.b65c014ee9ed3p-15, -0x1.a6c6264e33fabp-15, -0x1.97b49620d6194p-15, -0x1.8922cc71b8925p-15, -0x1.7b0c6aded5184p-15, -0x1.6d6d37d6a1094p-15, -0x1.60411d7d5c8dbp-15, -0x1.53842899f6f11p-15, -0x1.4732878a6b07dp-15, -0x1.3b48893f7166fp-15, -0x1.2fc29c3f5659bp-15, -0x1.249d4dafb372dp-15, -0x1.19d54865f54f3p-15, -0x1.0f6753fe75b08p-15, -0x1.055053fa013aep-15, -0x1.f71a8dc31b7b9p-16, -0x1.e4368ae0627f4p-16, -0x1.d1ef0385963e9p-16, -0x1.c03e8d1b787f6p-16, -0x1.af1fecb006351p-16, -0x1.9e8e15780115bp-16, -0x1.8e84275ae9ccbp-16, -0x1.7efd6d89a3b89p-16, -0x1.6ff55d1efa998p-16, -0x1.616793ca7e345p-16, -0x1.534fd684a3899p-16, -0x1.45aa104bee605p-16, -0x1.387250ec1a4d5p-16, -0x1.2ba4cbcdc6077p-16, -0x1.1f3dd6ceac906p-16, -0x1.134e3aad20749p-16, -0x1.07a969bd2bd32p-16, -0x1.f8c1d408399b2p-17, -0x1.e2e321fbec0f8p-17, -0x1.cdb0a28b1c50bp-17, -0x1.b924733987e31p-17, -0x1.a538e7f87c6e6p-17, -0x1.91e889542f747p-17, -0x1.7f2e12aec9cc2p-17, -0x1.6d047088e322ep-17, -0x1.5b66bed712bbdp-17, -0x1.4a504763f2db2p-17, -0x1.39bc803fa6abap-17, -0x1.29a70a392d0aep-17, -0x1.1a0baf65be497p-17, -0x1.0ae661b2337ep-17, -0x1.f86673001d614p-18, -0x1.dbdce89c1d127p-18, -0x1.c028e6d2118dp-18, -0x1.a54375535199p-18, -0x1.8b25de756cd29p-18, -0x1.71c9acd32c099p-18, -0x1.5928a8ffa1ffep-18, -0x1.413cd74d6098ap-18, -0x1.2a0075a58b322p-18, -0x1.136df9721cc41p-18, -0x1.fb001b2fa42e3p-19, -0x1.d063210448214p-19, -0x1.a6fb247bdbd8dp-19, -0x1.7ebea548f43adp-19, -0x1.57a47f2b08117p-19, -0x1.31a3e680b722cp-19, -0x1.0cb464f61e415p-19, -0x1.d19bac9d00e22p-20, -0x1.8bd0ca9c4ef26p-20, -0x1.47f9116a2f8c8p-20, -0x1.060600b743f5bp-20, -0x1.8bd349980c391p-21, -0x1.0f2d223b346cfp-21, -0x1.2bff6c4d6af89p-22, -0x1.01914fa1dfd51p-24, 0x1.494db6ea973c4p-23, 0x1.83502b3c1a61cp-22, 0x1.2de1f4ebf6d65p-21, 0x1.97165e13c853ep-21, 0x1.fd59d73cc7075p-21, 0x1.30601133d7e54p-20, 0x1.60ae22abdd21ep-20, 0x1.8fa048933900fp-20, 0x1.bd3f54cb5e55ap-20, 0x1.e993c6148693ep-20, 0x1.0a52e5b70be6dp-19, 0x1.1f3ea3b3d3p-19, 0x1.3390e9a15c453p-19, 0x1.474d60ffc4534p-19, 0x1.5a7791a565ed4p-19, 0x1.6d12e328088f8p-19, 0x1.7f229e389eb18p-19, 0x1.90a9edf13e659p-19, 0x1.a1abe1183b652p-19, 0x1.b22b6b5243239p-19, 0x1.c22b665166035p-19, 0x1.d1ae92ef9173dp-19, 0x1.e0b79a43c36abp-19, 0x1.ef490ea9020d3p-19, 0x1.fd656cbd675dp-19, 0x1.05878e2b31d2bp-18, 0x1.0c2438b56f34dp-18, 0x1.1289d67a4f0ebp-18, 0x1.18b97ee43140bp-18, 0x1.1eb440b241796p-18, 0x1.247b225cf176fp-18, 0x1.2a0f227422e2dp-18, 0x1.2f7137faf75adp-18, 0x1.34a252c00d582p-18, 0x1.39a35bb167fa2p-18, 0x1.3e75352b04a3ep-18, 0x1.4318bb470e801p-18, 0x1.478ec4255d6b8p-18, 0x1.4bd820327e1fdp-18, 0x1.4ff59a6ba6a23p-18, 0x1.53e7f89e7345ep-18, 0x1.57affba732758p-18, 0x1.5b4e5fab7a30fp-18, 0x1.5ec3dc528c12p-18, 0x1.621124fb013d6p-18, 0x1.6536e8ee03b75p-18, 0x1.6835d39027433p-18, 0x1.6b0e8c90425ep-18, 0x1.6dc1b812f9d78p-18, 0x1.704ff6de298afp-18, 0x1.72b9e680c9d0ap-18, 0x1.750021779bbb5p-18, 0x1.77233f5485a0fp-18, 0x1.7923d4deaf255p-18, 0x1.7b027434cafeep-18, 0x1.7cbfaceae951fp-18, 0x1.7e5c0c299ddfcp-18, 0x1.7fd81cc891af1p-18, 0x1.81346769e485dp-18, 0x1.8271729331ad8p-18, 0x1.838fc2c52fe37p-18, 0x1.848fda9247d2dp-18, 0x1.85723ab3b878bp-18, 0x1.8637621de71adp-18, 0x1.86dfce133b239p-18, 0x1.876bfa34b6efap-18, 0x1.87dc609502a52p-18, 0x1.883179c695905p-18, }}, 
      {{0x1.ffdf898922e34p-1, 0x1.ff7e34dd89e7dp-1, 0x1.fedc2e073b912p-1, 0x1.fdf9be0057397p-1, 0x1.fcd74a179af85p-1, 0x1.fb75532211132p-1, 0x1.f9d474829f662p-1, 0x1.f7f5631016641p-1, 0x1.f5d8ebe1a851p-1, 0x1.f37ff308c21acp-1, 0x1.f0eb723e3c979p-1, 0x1.ee1c77880cec8p-1, 0x1.eb1423dbcf3a2p-1, 0x1.e7d3a9c1e9055p-1, 0x1.e45c4bfc6638ap-1, 0x1.e0af5c3429495p-1, 0x1.dcce39ae89b42p-1, 0x1.d8ba500cfa0e8p-1, 0x1.d4751617ec647p-1, 0x1.d0000c95c014cp-1, 0x1.cb5cbd2e39267p-1, 0x1.c68cb95ab4545p-1, 0x1.c19199631f109p-1, 0x1.bc6cfb678b09fp-1, 0x1.b7208276177d4p-1, 0x1.b1add5acdebd2p-1, 0x1.ac169f67813f4p-1, 0x1.a65c8c77e744p-1, 0x1.a0814b69cc3f5p-1, 0x1.9a868bd0a9932p-1, 0x1.946dfd9f93c29p-1, 0x1.8e39508aa08eep-1, 0x1.87ea33717066dp-1, 0x1.818253d26e4e9p-1, 0x1.7b035d46673f7p-1, 0x1.746ef9040b7e6p-1, 0x1.6dc6cd6afc39cp-1, 0x1.670c7d95fac8dp-1, 0x1.6041a8f3d9ab4p-1, 0x1.5967eae6ca922p-1, 0x1.5280da69ab53dp-1, 0x1.4b8e09baeff02p-1, 0x1.4491060cd36ffp-1, 0x1.3d8b573a73b66p-1, 0x1.367e7f8189887p-1, 0x1.2f6bfb406e83dp-1, 0x1.285540b827c8cp-1, 0x1.213bbfd2378d9p-1, 0x1.1a20e1e9f6b6fp-1, 0x1.1306099943a82p-1, 0x1.0bec92885a199p-1, 0x1.04d5d140a7f87p-1, 0x1.fb86260505067p-2, 0x1.ed6b3b3b362a4p-2, 0x1.df5d5e984334p-2, 0x1.d15efd20ff1acp-2, 0x1.c372742b3d885p-2, 0x1.b59a1123697d1p-2, 0x1.a7d811570c65p-2, 0x1.9a2ea1c449918p-2, 0x1.8c9fdeee4076ap-2, 0x1.7f2dd4b6553b6p-2, 0x1.71da7e3a615e5p-2, 0x1.64a7c5b7c95bap-2, 0x1.5797847378352p-2, 0x1.4aab82a6bea92p-2, 0x1.3de577711618bp-2, 0x1.314708cebc8eap-2, 0x1.24d1cb9428257p-2, 0x1.1887436e4033dp-2, 0x1.0c68e2e756f94p-2, 0x1.00780b70cb9a4p-2, 0x1.e96c1ae283e5dp-3, 0x1.d24850aeb1e2bp-3, 0x1.bb8715618e8d3p-3, 0x1.a52aa48b6db37p-3, 0x1.8f3518709aca4p-3, 0x1.79a86a505769fp-3, 0x1.648672b39cd45p-3, 0x1.4fd0e9c338b9dp-3, 0x1.3b8967a4fa78p-3, 0x1.27b164df971a2p-3, 0x1.144a3ac4eb43cp-3, 0x1.015523e238826p-3, 0x1.dda678ec1bf32p-4, 0x1.b98b05d6ceda2p-4, 0x1.9659b0b38621ap-4, 0x1.7414021358661p-4, 0x1.52bb49fafb97fp-4, 0x1.3250a0fbd69b8p-4, 0x1.12d4e953f92a2p-4, 0x1.e891a0289579ep-5, 0x1.ad599c9879c6bp-5, 0x1.74025474bda49p-5, 0x1.3c8bf10259424p-5, 0x1.06f63abf0301ep-5, 0x1.a68137b04e1c7p-6, 0x1.42d4454dbbc69p-6, 0x1.c5c610bf1ba31p-7, 0x1.0d547a973831bp-7, 0x1.712fbeee04cabp-9, -0x1.3572bd6514677p-9, -0x1.df5f7e62f77d2p-8, -0x1.8ab8cf473f0a9p-7, -0x1.0f424bfa2d243p-6, -0x1.5590783533e67p-6, -0x1.984e625ad1adp-6, -0x1.d78405e66dd13p-6, -0x1.099cef6c2f5dbp-5, -0x1.25bc72671d1a7p-5, -0x1.4025431266894p-5, -0x1.58dc519242cb6p-5, -0x1.6fe6c49c96c0ap-5, -0x1.8549f71ad1268p-5, -0x1.990b75d21770ap-5, -0x1.ab30fd12187f5p-5, -0x1.bbc0766ac37afp-5, -0x1.cabff6692445fp-5, -0x1.d835ba5ba155p-5, -0x1.e428261dc9602p-5, -0x1.ee9dc1ebe719bp-5, -0x1.f79d383e7e775p-5, -0x1.ff2d53addcb47p-5, -0x1.02aa7e6eef1fep-4, -0x1.050d9c3903e34p-4, -0x1.06c39285076ebp-4, -0x1.07cffca376288p-4, -0x1.083680ec4642cp-4, -0x1.07facfca1b70ap-4, -0x1.0720a2c9db948p-4, -0x1.05abbbaeb13fep-4, -0x1.039fe38a803c5p-4, -0x1.0100e9dad2fb6p-4, -0x1.fba547549262p-5, -0x1.f431d56d1749bp-5, -0x1.ebaf393591d89p-5, -0x1.e22533fd83784p-5, -0x1.d79b8b94d0ae2p-5, -0x1.cc1a08bc25d73p-5, -0x1.bfa8759e95779p-5, -0x1.b24e9c5464da9p-5, -0x1.a414456f194f5p-5, -0x1.9501368ec0613p-5, -0x1.851d310079bb1p-5, -0x1.746ff06642b55p-5, -0x1.630129680442ap-5, -0x1.50d8886de4a4dp-5, -0x1.3dfdb063dc33fp-5, -0x1.2a783986862fap-5, -0x1.164fb039360cp-5, -0x1.018b93e53eedbp-5, -0x1.d866abc4edac4p-6, -0x1.ac9cb0d1ccbc1p-6, -0x1.7fc7db17451p-6, -0x1.51f6ac79928f7p-6, -0x1.233782b52dc74p-6, -0x1.e7312b162c2d2p-7, -0x1.864fe9fe4f20cp-7, -0x1.23e70f50c777ep-7, -0x1.8024244c51b79p-8, -0x1.6bb041a56655dp-9, 0x1.6e0683ad20f2p-12, 0x1.cba1626a15ffp-9, 0x1.b6c4b7bc860c1p-8, 0x1.44c4a0e9912d6p-7, 0x1.aef5f158a74d4p-7, 0x1.0ceebfd5e7b21p-6, 0x1.42b174b752595p-6, 0x1.78b71c9f1dd0ap-6, 0x1.aef3f45735322p-6, 0x1.e55c71075b306p-6, 0x1.0df2a083ce32ep-5, 0x1.2941a6517903ep-5, 0x1.4495db6528c15p-5, 0x1.5fe9eedc2e2dcp-5, 0x1.7b38adc2f5608p-5, 0x1.967d0357d80fep-5, 0x1.b1b1f94698a8fp-5, 0x1.ccd2b7dcabda6p-5, 0x1.e7da863667714p-5, 0x1.01626532a08d2p-4, 0x1.0ec684c79cc3cp-4, 0x1.1c177403cc492p-4, 0x1.295314b08d016p-4, 0x1.3677583cdac8fp-4, 0x1.43823fc00ecap-4, 0x1.5071dbf99161p-4, 0x1.5d444d4d8c476p-4, 0x1.69f7c3beb302bp-4, 0x1.768a7ee5351fbp-4, 0x1.82facde2ea0dcp-4, 0x1.8f470f54cd4c2p-4, 0x1.9b6db141dcdcp-4, 0x1.a76d31076d7dp-4, 0x1.b3441b4309fep-4, 0x1.bef10bb9ee59p-4, 0x1.ca72ad3e3659p-4, 0x1.d5c7b991cfa08p-4, 0x1.e0eef947434a5p-4, 0x1.ebe743a078927p-4, 0x1.f6af7e6b60b17p-4, 0x1.00a34eee69249p-3, 0x1.05d5d234bec17p-3, 0x1.0aeed14e8e08p-3, 0x1.0feddb77fc98bp-3, 0x1.14d286cd6d48bp-3, 0x1.199c7034ace3ap-3, 0x1.1e4b3b456634ep-3, 0x1.22de9230e7e7dp-3, 0x1.275625a93b5cbp-3, 0x1.2bb1acc7a432fp-3, 0x1.2ff0e4f283413p-3, 0x1.341391c2b3da5p-3, 0x1.38197ce8627d7p-3, 0x1.3c02760f69422p-3, 0x1.3fce52c33d704p-3, 0x1.437cee526e428p-3, 0x1.470e29b1cf384p-3, 0x1.4a81eb5f39baap-3, 0x1.4dd81f4412f15p-3, 0x1.5110b69777df7p-3, 0x1.542ba7c034b92p-3, 0x1.5728ee3685b03p-3, 0x1.5a088a659f753p-3, 0x1.5cca818d164bdp-3, 0x1.5f6edda221efdp-3, 0x1.61f5ad30c716dp-3, 0x1.645f033ced97dp-3, 0x1.66aaf7236ce62p-3, 0x1.68d9a47b0dfddp-3, 0x1.6aeb2af5961c3p-3, 0x1.6cdfae40ced46p-3, 0x1.6eb755e7a25fap-3, 0x1.70724d334d096p-3, 0x1.7210c30c9cae8p-3, 0x1.7392e9dd5d188p-3, 0x1.74f8f771dcfa3p-3, 0x1.764324daa0a93p-3, 0x1.7771ae4e42952p-3, 0x1.7884d30b8966ap-3, 0x1.797cd53bad9e4p-3, 0x1.7a59f9d4e591bp-3, 0x1.7b1c887d2a959p-3, 0x1.7bc4cb6d4485ap-3, 0x1.7c530f541f309p-3, 0x1.7cc7a33a6a873p-3, 0x1.7d22d8668bb94p-3, 0x1.7d650240df3dcp-3, 0x1.7d8e76385575cp-3, 0x1.7d9f8ba762de9p-3, 0x1.7d989bb9548adp-3, 0x1.7d7a014ffc917p-3, 0x1.7d4418e9c2c33p-3, 0x1.7cf740881eedbp-3, 0x1.7c93d7966db83p-3, 0x1.7c1a3ed13e01ap-3, 0x1.7b8ad82df7f78p-3, 0x1.7ae606c30032ep-3, 0x1.7a2c2eb03b972p-3, 0x1.795db5080f371p-3, 0x1.787affb8c5621p-3, 0x1.778475766f986p-3, 0x1.767a7da533cfap-3, 0x1.755d804413fb2p-3, 0x1.742de5d828cefp-3, 0x1.72ec17584fbd9p-3, 0x1.71987e1954fbdp-3, 0x1.703383ba8fde3p-3, 0x1.6ebd9212fb3cbp-3, 0x1.6d37131ec1f21p-3, 0x1.6ba070ed4680fp-3, 0x1.69fa158f9ed3dp-3, 0x1.68446b078dc6bp-3, 0x1.667fdb36ef093p-3, 0x1.64accfcf9c648p-3, 0x1.62cbb243cfe7fp-3, 0x1.60dcebb6f3286p-3, 0x1.5ee0e4eeec487p-3, 0x1.5cd80645e0de6p-3, 0x1.5ac2b79c67af5p-3, 0x1.58a1604c38324p-3, 0x1.5674671b45642p-3, 0x1.543c322f52df1p-3, 0x1.51f92701f29e7p-3, 0x1.4fabaa55008bap-3, 0x1.4d542027808eap-3, 0x1.4af2ebaaf35eap-3, 0x1.48886f391864p-3, 0x1.46150c4a1847bp-3, 0x1.4399236b1f378p-3, 0x1.411514355b71bp-3, 0x1.3e893d4569c39p-3, 0x1.3bf5fc33248c9p-3, 0x1.395bad89dc4eap-3, 0x1.36baacc0ee5dp-3, 0x1.34135434c6dbp-3, 0x1.3165fd2038ee7p-3, 0x1.2eb2ff963ebd3p-3, 0x1.2bfab27c15c6bp-3, 0x1.293d6b83b1711p-3, 0x1.267b7f2691dcfp-3, 0x1.23b540a0e73f8p-3, 0x1.20eb01ed1983bp-3, 0x1.1e1d13bf9c715p-3, 0x1.1b4bc58317651p-3, 0x1.18776554e6c01p-3, 0x1.15a04001e113p-3, 0x1.12c6a10378a4ap-3, 0x1.0fead27d1ef13p-3, 0x1.0d0d1d39f753ap-3, 0x1.0a2dc8aad1cfep-3, 0x1.074d1ae46edfp-3, 0x1.046b589e08b84p-3, 0x1.0188c530194c4p-3, 0x1.fd4b4526ded35p-4, 0x1.f78462c0ef8f5p-4, 0x1.f1bd619d9aa0cp-4, 0x1.ebf6bd69fc632p-4, 0x1.e630ef11278edp-4, 0x1.e06c6cbc9cd95p-4, 0x1.daa9a9d534ef2p-4, 0x1.d4e917047b04ep-4, 0x1.cf2b223661203p-4, 0x1.c970369b6c01fp-4, 0x1.c3b8bcab3380ep-4, 0x1.be051a2743a6bp-4, 0x1.b855b21e5cccp-4, 0x1.b2aae4f008263p-4, 0x1.ad0510507d418p-4, 0x1.a7648f4ce4b7fp-4, 0x1.a1c9ba4fd87b3p-4, 0x1.9c34e726388fcp-4, 0x1.96a669044bc79p-4, 0x1.911e908b1e3bfp-4, 0x1.8b9dabce20859p-4, 0x1.862406590bbc8p-4, 0x1.80b1e935ff59fp-4, 0x1.7b479af3d6b1p-4, 0x1.75e55facb70cdp-4, 0x1.708b790cd079ap-4, 0x1.6b3a26594ffc4p-4, 0x1.65f1a4777f5aap-4, 0x1.60b22df41247p-4, 0x1.5b7bfb0a9a998p-4, 0x1.564f41ad2586fp-4, 0x1.512c358bfacbcp-4, 0x1.4c13081d8040dp-4, 0x1.4703e8a63a1e2p-4, 0x1.41ff0440eab9ep-4, 0x1.3d0485e6cc7eap-4, 0x1.38149677e3cep-4, 0x1.332f5cc368494p-4, 0x1.2e54fd9042dc4p-4, 0x1.29859ba59db9ep-4, 0x1.24c157d38487fp-4, 0x1.200850fb937eep-4, 0x1.1b5aa419b3617p-4, 0x1.16b86c4cdf214p-4, 0x1.1221c2dff4112p-4, 0x1.0d96bf5287e65p-4, 0x1.09177761c4b46p-4, 0x1.04a3ff11494fp-4, 0x1.003c68b40b149p-4, 0x1.f7c189ea7240dp-5, 0x1.ef2245c23cdeap-5, 0x1.e69b1fdc031a9p-5, 0x1.de2c300a028b7p-5, 0x1.d5d58b15d765p-5, 0x1.cd9742d21ef9cp-5, 0x1.c571662c0a675p-5, 0x1.bd64013cdfab8p-5, 0x1.b56f1d5b675fp-5, 0x1.ad92c12d4446p-5, 0x1.a5cef0b830d74p-5, 0x1.9e23ad7325302p-5, 0x1.9690f6575e6cep-5, 0x1.8f16c7f147be2p-5, 0x1.87b51c7143d48p-5, 0x1.806bebbc54deep-5, 0x1.793b2b7c9f3d4p-5, 0x1.7222cf31c8508p-5, 0x1.6b22c8412cd33p-5, 0x1.643b0605f2f5bp-5, 0x1.5d6b75e0eb91ep-5, 0x1.56b4034851981p-5, 0x1.501497d75400dp-5, 0x1.498d1b5d7a197p-5, 0x1.431d73edd4cb8p-5, 0x1.3cc585ee01cd6p-5, 0x1.36853424fdeabp-5, 0x1.305c5fc9c772bp-5, 0x1.2a4ae891cbe02p-5, 0x1.2450acbf25a75p-5, 0x1.1e6d892ea2c69p-5, 0x1.18a159659b237p-5, 0x1.12ebf79f8c7f1p-5, 0x1.0d4d3cdb8745ep-5, 0x1.07c500e9609c8p-5, 0x1.02531a76af4c4p-5, 0x1.f9eebe37244c2p-6, 0x1.ef6346ce806dep-6, 0x1.e50375d8be8fcp-6, 0x1.dacef09a46f65p-6, 0x1.d0c55a8e700c1p-6, 0x1.c6e6557ede8ap-6, 0x1.bd31819a72ec7p-6, 0x1.b3a67d8bc7b99p-6, 0x1.aa44e68f4200dp-6, 0x1.a10c5888adbf5p-6, 0x1.97fc6e1868f83p-6, 0x1.8f14c0b0226fcp-6, 0x1.8654e8a722e1bp-6, 0x1.7dbc7d4e2d5e7p-6, 0x1.754b1502e8bc1p-6, 0x1.6d004542dd5cdp-6, 0x1.64dba2be074c1p-6, 0x1.5cdcc168f16ebp-6, 0x1.5503348e6e2f6p-6, 0x1.4d4e8ee0dc0f3p-6, 0x1.45be628afe8bcp-6, 0x1.3e5241406e2ccp-6, 0x1.3709bc4d9c326p-6, 0x1.2fe464a76d6bp-6, 0x1.28e1cafa6ac69p-6, 0x1.22017fb98b2dap-6, 0x1.1b43132c95e67p-6, 0x1.14a6157e1d897p-6, 0x1.0e2a16c919258p-6, 0x1.07cea726153efp-6, 0x1.019356b8051bp-6, 0x1.f6ef6b716476p-7, 0x1.eaf6a9098d069p-7, 0x1.df3b874efe3fap-7, 0x1.d3bd27cbf157fp-7, 0x1.c87aac944b01cp-7, 0x1.bd73385ac1968p-7, 0x1.b2a5ee855e98dp-7, 0x1.a811f34140cfap-7, 0x1.9db66b95b145bp-7, 0x1.93927d7692372p-7, 0x1.89a54fd615a15p-7, 0x1.7fee0ab5da6b3p-7, 0x1.766bd7375c728p-7, 0x1.6d1ddfabbbb62p-7, 0x1.64034fa2f28adp-7, 0x1.5b1b53fa65be6p-7, 0x1.52651aead4492p-7, 0x1.49dfd415be7c9p-7, 0x1.418ab09227d33p-7, 0x1.3964e2f8d571fp-7, 0x1.316d9f6ff005ap-7, 0x1.29a41bb622756p-7, 0x1.22078f2d2907bp-7, 0x1.1a9732e3dccc9p-7, 0x1.1352419fb7ec1p-7, 0x1.0c37f7e5d9e2ap-7, 0x1.054794038c174p-7, 0x1.fd00ac2c96509p-8, 0x1.efc30026a94eap-8, 0x1.e2d4ab9d81ba3p-8, 0x1.d6343a044b41fp-8, 0x1.c9e03aa59403dp-8, 0x1.bdd740aed388ap-8, 0x1.b217e33b1afc2p-8, 0x1.a6a0bd5cf1713p-8, 0x1.9b706e2762ac9p-8, 0x1.908598b6465e9p-8, 0x1.85dee435c133bp-8, 0x1.7b7afbe90bp-8, 0x1.71588f307853p-8, 0x1.6776518ed1979p-8, 0x1.5dd2faadf96f6p-8, 0x1.546d4662e9e3fp-8, 0x1.4b43f4b10a1d6p-8, 0x1.4255c9cce4383p-8, 0x1.39a18e1e3dc31p-8, 0x1.31260e419a361p-8, 0x1.28e21b0927631p-8, 0x1.20d4897d1ed97p-8, 0x1.18fc32db99fd3p-8, 0x1.1157f497e1d31p-8, 0x1.09e6b0593de1cp-8, 0x1.02a74bf94421ep-8, 0x1.f7316303656a6p-9, 0x1.e9739e53a2da9p-9, 0x1.dc132ea6c9f82p-9, 0x1.cf0e010e6b8b7p-9, 0x1.c2620ae256595p-9, 0x1.b60d49b80a638p-9, 0x1.aa0dc35965701p-9, 0x1.9e6185ba977bp-9, 0x1.9306a6ef60c31p-9, 0x1.87fb451fa9c4p-9, 0x1.7d3d867b6dcdep-9, 0x1.72cb992e0d9ccp-9, 0x1.68a3b3510b11cp-9, 0x1.5ec412de2e0dap-9, 0x1.552afda1261fap-9, 0x1.4bd6c128a5a9cp-9, 0x1.42c5b2b6fdca2p-9, 0x1.39f62f32476dep-9, 0x1.31669b1416baap-9, 0x1.29156258c6542p-9, 0x1.2100f86e5c2bcp-9, 0x1.1927d8230bcc6p-9, 0x1.1188839361f49p-9, 0x1.0a218418197ecp-9, 0x1.02f16a339fc93p-9, 0x1.f7ed9afe9c7cdp-10, 0x1.ea609930c09fcp-10, 0x1.dd391a1948654p-10, 0x1.d074768dea012p-10, 0x1.c41014f6ecba3p-10, 0x1.b809692748613p-10, 0x1.ac5df4345e537p-10, 0x1.a10b444d5bcabp-10, 0x1.960ef49258a08p-10, 0x1.8b66aceb261ffp-10, 0x1.811021ddec4e1p-10, 0x1.7709146585e4ap-10, 0x1.6d4f51c7bba62p-10, 0x1.63e0b36b49a7p-10, 0x1.5abb1eadd4d36p-10, 0x1.51dc84b9ba2d3p-10, 0x1.4942e25bd0873p-10, 0x1.40ec3fd9213e8p-10, 0x1.38d6b0c493715p-10, 0x1.310053d49bb64p-10, 0x1.296752b8f3b5ap-10, 0x1.2209e1f052e2ep-10, 0x1.1ae6409e435bap-10, 0x1.13fab86100e91p-10, 0x1.0d459d277c084p-10, 0x1.06c54d077377cp-10, 0x1.00783013ba5a5p-10, 0x1.f4b9706536cd8p-11, 0x1.e8e2c1e8e4f13p-11, 0x1.dd695ed4e19a7p-11, 0x1.d24a63fb2deabp-11, 0x1.c783008bcd773p-11, 0x1.bd1075c3a0fb2p-11, 0x1.b2f0169bbf23fp-11, 0x1.a91f4779531efp-11, 0x1.9f9b7dde02efdp-11, 0x1.96624018e9f25p-11, 0x1.8d7124f828a6dp-11, 0x1.84c5d37b0f325p-11, 0x1.7c5e0284eb1f9p-11, 0x1.743778907981bp-11, 0x1.6c500b6404ad8p-11, 0x1.64a59fc630e96p-11, 0x1.5d3629337ac83p-11, 0x1.55ffa9946f10ap-11, 0x1.4f0030f49bbd4p-11, 0x1.4835dd3a3e97p-11, 0x1.419ed9deb6d0dp-11, 0x1.3b395fa7b931ap-11, 0x1.3503b4614d546p-11, 0x1.2efc2a98926a7p-11, 0x1.292121575207fp-11, 0x1.237103e05ef3bp-11, 0x1.1dea496cc6823p-11, 0x1.188b74e9d274dp-11, 0x1.135314b7debep-11, 0x1.0e3fc26a04bdbp-11, 0x1.095022869c306p-11, 0x1.0482e44894f6ep-11, 0x1.ffad82c34eee1p-12, 0x1.f694fb7abfb8bp-12, 0x1.edb9ce8a04637p-12, 0x1.e519ab48939d5p-12, 0x1.dcb2541e0661cp-12, 0x1.d4819e0f01dfbp-12, 0x1.cc85704bd7204p-12, 0x1.c4bbc3c0db215p-12, 0x1.bd22a2a872e2bp-12, 0x1.b5b8281ed7009p-12, 0x1.ae7a7fb78973cp-12, 0x1.a767e51483c55p-12, 0x1.a07ea37f14412p-12, 0x1.99bd15826cda6p-12, 0x1.9321a487e6767p-12, 0x1.8caac874ece88p-12, 0x1.8657074a99eb1p-12, 0x1.8024f4c6fcd82p-12, 0x1.7a13320804c3cp-12, 0x1.74206d30166ddp-12, 0x1.6e4b610c40fc5p-12, 0x1.6892d4bc158aep-12, 0x1.62f59b5b1d0f9p-12, 0x1.5d7293abe4ec1p-12, 0x1.5808a7c4aa46ep-12, 0x1.52b6ccbd929dp-12, 0x1.4d7c02607aff3p-12, 0x1.485752da51611p-12, 0x1.4347d26dfc78ap-12, 0x1.3e4c9f28c6078p-12, 0x1.3964e0984b268p-12, 0x1.348fc781eb5fbp-12, 0x1.2fcc8d9bb2fc7p-12, 0x1.2b1a7546bb937p-12, 0x1.2678c94b042ffp-12, 0x1.21e6dc94b55dap-12, 0x1.1d6409f2d18b5p-12, 0x1.18efb3d74d445p-12, 0x1.148944188ba5fp-12, 0x1.10302bb437692p-12, 0x1.0be3e29377994p-12, 0x1.07a3e7507a919p-12, 0x1.036fbefd54193p-12, 0x1.fe8de9d84c1f8p-13, 0x1.f65234f1283adp-13, 0x1.ee2b8da4f9ff9p-13, 0x1.e6192d93e394bp-13, 0x1.de1a5938cfe97p-13, 0x1.d62e5f865005ap-13, 0x1.ce549985ce6e8p-13, 0x1.c68c69f92c708p-13, 0x1.bed53cfea7132p-13, }}, 
      {{0x1.ffe57034e7a4fp-1, 0x1.ff95c9024cfebp-1, 0x1.ff1122e69ebbcp-1, 0x1.fe57a687d6d63p-1, 0x1.fd698c7280819p-1, 0x1.fc471cc29cc03p-1, 0x1.faf0aeb97db7ep-1, 0x1.f966a843c54e9p-1, 0x1.f7a97d7291847p-1, 0x1.f5b9afea9986bp-1, 0x1.f397ce4bae351p-1, 0x1.f1447392c6b61p-1, 0x1.eec04678780ddp-1, 0x1.ec0bf8cd7b48cp-1, 0x1.e92846d6ad83p-1, 0x1.e615f6a9bfdbbp-1, 0x1.e2d5d78ba677bp-1, 0x1.df68c151a0101p-1, 0x1.dbcf93c58e533p-1, 0x1.d80b360e2f21ap-1, 0x1.d41c961ba5b41p-1, 0x1.d004a818a1828p-1, 0x1.cbc465e05ddbbp-1, 0x1.c75cce7997a49p-1, 0x1.c2cee5968914ep-1, 0x1.be1bb319eef57p-1, 0x1.b94442a1078b4p-1, 0x1.b449a31280308p-1, 0x1.af2ce63232995p-1, 0x1.a9ef2039987bdp-1, 0x1.a4916774d49d1p-1, 0x1.9f14d3e430f21p-1, 0x1.997a7ee1ebc71p-1, 0x1.93c382cc3526ap-1, 0x1.8df0fab332455p-1, 0x1.8804020ae862ep-1, 0x1.81fdb460e4e73p-1, 0x1.7bdf2d1583f22p-1, 0x1.75a98718abce9p-1, 0x1.6f5ddca9da18ep-1, 0x1.68fd471b612d1p-1, 0x1.6288de98ac84p-1, 0x1.5c01b9ef6da79p-1, 0x1.5568ee5b8bb2cp-1, 0x1.4ebf8f55b266bp-1, 0x1.4806ae64635cdp-1, 0x1.413f5aef65b6fp-1, 0x1.3a6aa2157512ep-1, 0x1.33898e841677dp-1, 0x1.2c9d285171602p-1, 0x1.25a674d817c34p-1, 0x1.1ea67694a0892p-1, 0x1.179e2d050145ap-1, 0x1.108e94898e9b5p-1, 0x1.0978a6479255fp-1, 0x1.025d580d65de6p-1, 0x1.f67b386ffdfdcp-2, 0x1.e834c333cb081p-2, 0x1.d9e926c6fe1p-2, 0x1.cb9a321958968p-2, 0x1.bd49ac7f547dcp-2, 0x1.aef9558a5e8fap-2, 0x1.a0aae4e37d22bp-2, 0x1.92600a28545c9p-2, 0x1.841a6cca7df2cp-2, 0x1.75dbabf128fadp-2, 0x1.67a55e5cfcf3fp-2, 0x1.5979124e31f6ap-2, 0x1.4b584d6ce26fcp-2, 0x1.3d448cb380dbdp-2, 0x1.2f3f445b7abcdp-2, 0x1.2149dfcbf6c4p-2, 0x1.1365c18aae9fp-2, 0x1.0594432edc7f2p-2, 0x1.efad6aac6c613p-3, 0x1.d45cbf37d589fp-3, 0x1.b939012347617p-3, 0x1.9e449b74f30d8p-3, 0x1.8381e70fad361p-3, 0x1.68f32ab07e606p-3, 0x1.4e9a9aefecc94p-3, 0x1.347a5a46e0f5dp-3, 0x1.1a9479171a6b2p-3, 0x1.00eaf5b71ccdep-3, 0x1.ceff7902e475dp-4, 0x1.9ca94fce67c7cp-4, 0x1.6ad7010b8a4c2p-4, 0x1.398bfa7f1e1ccp-4, 0x1.08cb86af7b0bep-4, 0x1.b1319a4332858p-5, 0x1.51eda5375139cp-5, 0x1.e7a1e5b391712p-6, 0x1.2dc206e9a7767p-6, 0x1.d9189d0d7926p-8, -0x1.f63e30b0b73adp-9, -0x1.e2bca5319c707p-7, -0x1.a17492dfc2dadp-6, -0x1.27810e907eba4p-5, -0x1.7cff83ca90437p-5, -0x1.d131f368a3dc4p-5, -0x1.120a730505504p-4, -0x1.3ad290e1b157dp-4, -0x1.62efd49cc87eep-4, -0x1.8a60dd5bc9b0bp-4, -0x1.b124679fc980cp-4, -0x1.d7394ccbcb6cdp-4, -0x1.fc9e82a91dd32p-4, -0x1.10a98d74f08a2p-3, -0x1.22ab2154fc83cp-3, -0x1.3453a0f73b3dbp-3, -0x1.45a2bd91e1256p-3, -0x1.5698354d4cee1p-3, -0x1.6733d3020c6dbp-3, -0x1.77756df672a5p-3, -0x1.875ce99bd16bep-3, -0x1.96ea354b7124dp-3, -0x1.a61d4c03483adp-3, -0x1.b4f6342292f48p-3, -0x1.c374ff2648f8ep-3, -0x1.d199c9658bcb8p-3, -0x1.df64b9ce1628dp-3, -0x1.ecd601a0bebd8p-3, -0x1.f9eddc2e0d559p-3, -0x1.035647497fc5fp-2, -0x1.098933bafd9b6p-2, -0x1.0f8fdf61fec33p-2, -0x1.156a7ab70a02cp-2, -0x1.1b193a939110bp-2, -0x1.209c5810fe023p-2, -0x1.25f41067f8932p-2, -0x1.2b20a4cfd617p-2, -0x1.30225a5e4bd3dp-2, -0x1.34f979e754d14p-2, -0x1.39a64fdd5e771p-2, -0x1.3e292c31b2be3p-2, -0x1.428262352bd47p-2, -0x1.46b248792c5bap-2, -0x1.4ab938b0e906ep-2, -0x1.4e978f92f9e74p-2, -0x1.524dacbb3fb92p-2, -0x1.55dbf28d1cc25p-2, -0x1.5942c615ffeddp-2, -0x1.5c828ef047ddep-2, -0x1.5f9bb72680271p-2, -0x1.628eab16f7d2dp-2, -0x1.655bd957b51f7p-2, -0x1.6803b29ac75ep-2, -0x1.6a86a992f8b12p-2, -0x1.6ce532d8de5aap-2, -0x1.6f1fc4d050636p-2, -0x1.7136d78e40b3fp-2, -0x1.732ae4bef8a5ep-2, -0x1.74fc678cbc9e8p-2, -0x1.76abdc86d541bp-2, -0x1.7839c18903841p-2, -0x1.79a695a35ac63p-2, -0x1.7af2d902855e3p-2, -0x1.7c1f0cd874016p-2, -0x1.7d2bb345764ap-2, -0x1.7e194f41c2f3ep-2, -0x1.7ee864876772cp-2, -0x1.7f99777ca6ce6p-2, -0x1.802d0d1ec3cedp-2, -0x1.80a3aaed3c2f7p-2, -0x1.80fdd6d56c0efp-2, -0x1.813c171ea3b7ep-2, -0x1.815ef256a848ep-2, -0x1.8166ef3ea5d52p-2, -0x1.815494b88b125p-2, -0x1.812869b4d8414p-2, -0x1.80e2f520d9668p-2, -0x1.8084bdd54d95p-2, -0x1.800e4a857e5fap-2, -0x1.7f8021aec45ccp-2, -0x1.7edac98877dafp-2, -0x1.7e1ec7f44f894p-2, -0x1.7d4ca26f2c31ep-2, -0x1.7c64de024f54p-2, -0x1.7b67ff34ff40dp-2, -0x1.7a5689fe9455p-2, -0x1.793101b8f3b62p-2, -0x1.77f7e91370885p-2, -0x1.76abc2061b88cp-2, -0x1.754d0dc5759dp-2, -0x1.73dc4cb68e92dp-2, -0x1.7259fe638acadp-2, -0x1.70c6a1708cb85p-2, -0x1.6f22b391069dap-2, -0x1.6d6eb17d6ecc1p-2, -0x1.6bab16e959ed2p-2, -0x1.69d85e79f75f2p-2, -0x1.67f701bcec20ap-2, -0x1.6607791f94355p-2, -0x1.640a3be69dc38p-2, -0x1.61ffc0260877bp-2, -0x1.5fe87ab97bfd7p-2, -0x1.5dc4df3d008b9p-2, -0x1.5b9560060fd6bp-2, -0x1.595a6e1cfdfa6p-2, -0x1.57147936bf2e2p-2, -0x1.54c3efaf009a6p-2, -0x1.52693e829a046p-2, -0x1.5004d14a53eb6p-2, -0x1.4d971235fe22p-2, -0x1.4b206a07dc9afp-2, -0x1.48a14010619ddp-2, -0x1.4619fa2a3807p-2, -0x1.438afcb69cb24p-2, -0x1.40f4aa9a02385p-2, -0x1.3e5765390215p-2, -0x1.3bb38c7592d97p-2, -0x1.39097eac8d88ep-2, -0x1.365998b371d9cp-2, -0x1.33a435d674ca1p-2, -0x1.30e9afd6d12cfp-2, -0x1.2e2a5ee95aa0ep-2, -0x1.2b6699b5504b8p-2, -0x1.289eb5536fcbap-2, -0x1.25d3054d446bfp-2, -0x1.2303db9cb5ab1p-2, -0x1.203188abccbcep-2, -0x1.1d5c5b54b41ap-2, -0x1.1a84a0e1f0ac6p-2, -0x1.17aaa50ecfc2fp-2, -0x1.14ceb208095b5p-2, -0x1.11f1106c956fbp-2, -0x1.0f12074eb3d94p-2, -0x1.0c31dc3525e47p-2, -0x1.0950d31c91adep-2, -0x1.066f2e7918838p-2, -0x1.038d2f38169d2p-2, -0x1.00ab14c20adacp-2, -0x1.fb9239f95961dp-3, -0x1.f5cf089a4c4a3p-3, -0x1.f00d0b34e6597p-3, -0x1.ea4cb49fd3042p-3, -0x1.e48e74bfc047dp-3, -0x1.ded2b88cf6abep-3, -0x1.d919ea192ed52p-3, -0x1.d3647095a9f36p-3, -0x1.cdb2b0598279ep-3, -0x1.c8050ae83989bp-3, -0x1.c25bdef8767f5p-3, -0x1.bcb7887b016fp-3, -0x1.b71860a1e99c7p-3, -0x1.b17ebde7dd343p-3, -0x1.abeaf417b1669p-3, -0x1.a65d54540e923p-3, -0x1.a0d62d1f4a2c6p-3, -0x1.9b55ca6363d88p-3, -0x1.95dc757a27715p-3, -0x1.906a75356f9d2p-3, -0x1.8b000de7872c5p-3, -0x1.859d816ba85fp-3, -0x1.80430f2e98511p-3, -0x1.7af0f4375944dp-3, -0x1.75a76b2ff2097p-3, -0x1.7066ac6e534a8p-3, -0x1.6b2eedfd40635p-3, -0x1.660063a5599f5p-3, -0x1.60db3ef62bc23p-3, -0x1.5bbfaf4f4e83p-3, -0x1.56ade1e991fc5p-3, -0x1.51a601e03162cp-3, -0x1.4ca8383a12edbp-3, -0x1.47b4abf30981fp-3, -0x1.42cb820520eafp-3, -0x1.3decdd71e7703p-3, -0x1.3918df4bbe743p-3, -0x1.344fa6bf2950fp-3, -0x1.2f91511c1c349p-3, -0x1.2addf9df47794p-3, -0x1.2635babb60596p-3, -0x1.2198aba2661f2p-3, -0x1.1d06e2cedda77p-3, -0x1.188074cd0a408p-3, -0x1.140574841957ap-3, -0x1.0f95f33f47fep-3, -0x1.0b3200b6fddffp-3, -0x1.06d9ab19d6a41p-3, -0x1.028cff15a9884p-3, -0x1.fc980fc0ed36cp-4, -0x1.f42d9e829d5f5p-4, -0x1.ebdabb32552ddp-4, -0x1.e39f73d7553d5p-4, -0x1.db7bd3cf9e061p-4, -0x1.d36fe3e12f80cp-4, -0x1.cb7baa4b22166p-4, -0x1.c39f2ad6a52c6p-4, -0x1.bbda66e7ce30dp-4, -0x1.b42d5d8e32e07p-4, -0x1.ac980b956aeb1p-4, -0x1.a51a6b9563dbp-4, -0x1.9db4760270603p-4, -0x1.9666213d4c2c1p-4, -0x1.8f2f61a2d806dp-4, -0x1.8810299bac8d2p-4, -0x1.810869ab7e7c7p-4, -0x1.7a1810804f73cp-4, -0x1.733f0b016c099p-4, -0x1.6c7d445e37385p-4, -0x1.65d2a61cc1035p-4, -0x1.5f3f18282a9e9p-4, -0x1.58c280ded3e08p-4, -0x1.525cc5205419ap-4, -0x1.4c0dc85b3ceadp-4, -0x1.45d56c9aa7188p-4, -0x1.3fb39293887bbp-4, -0x1.39a819b1d30fp-4, -0x1.33b2e0255dcd1p-4, -0x1.2dd3c2ee9461ep-4, -0x1.280a9deaf1348p-4, -0x1.22574be13e9dep-4, -0x1.1cb9a68da169bp-4, -0x1.173186ad6a2a3p-4, -0x1.11bec40aafd63p-4, -0x1.0c613587b2fcap-4, -0x1.0718b12a079ep-4, -0x1.01e50c2589046p-4, -0x1.f98c35ce2a452p-5, -0x1.ef77623e216b5p-5, -0x1.e58b43976a163p-5, -0x1.dbc77e8649e73p-5, -0x1.d22bb67a9aed3p-5, -0x1.c8b78dbb1ab1ep-5, -0x1.bf6aa5785122p-5, -0x1.b6449ddf08a0bp-5, -0x1.ad45162a5df59p-5, -0x1.a46bacb562749p-5, -0x1.9bb7ff0c56002p-5, -0x1.9329a9fd7aa8bp-5, -0x1.8ac049a97a2b7p-5, -0x1.827b79936b09ap-5, -0x1.7a5ad4b06aa9bp-5, -0x1.725df576d3323p-5, -0x1.6a8475ed0f942p-5, -0x1.62cdefb80770fp-5, -0x1.5b39fc292d0e3p-5, -0x1.53c8344c286bdp-5, -0x1.4c7830f420e3fp-5, -0x1.45498ac8a98e3p-5, -0x1.3e3bda524ea2cp-5, -0x1.374eb806c7095p-5, -0x1.3081bc54c850bp-5, -0x1.29d47faf830a7p-5, -0x1.23469a99c3518p-5, -0x1.1cd7a5b0ba0f9p-5, -0x1.168739b670c22p-5, -0x1.1054ef9be5feap-5, -0x1.0a40608ad5de7p-5, -0x1.044925ef30cbp-5, -0x1.fcddb3007e807p-6, -0x1.f1622a92e9fap-6, -0x1.e61ee765eac68p-6, -0x1.db131f1397b0fp-6, -0x1.d03e080fa50b6p-6, -0x1.c59ed9b6a8f6bp-6, -0x1.bb34cc5cbf393p-6, -0x1.b0ff195ba6ae1p-6, -0x1.a6fcfb20454d9p-6, -0x1.9d2dad37aaba5p-6, -0x1.93906c5b81d9p-6, -0x1.8a24767dfcb52p-6, -0x1.80e90ad541bb5p-6, -0x1.77dd69e64e53cp-6, -0x1.6f00d58f628fap-6, -0x1.66529111ecc54p-6, -0x1.5dd1e11bfa063p-6, -0x1.557e0bd133e24p-6, -0x1.4d5658d362513p-6, -0x1.455a114a840eep-6, -0x1.3d887fec70beep-6, -0x1.35e0f10410cedp-6, -0x1.2e62b27828f9fp-6, -0x1.270d13d1bf109p-6, -0x1.1fdf66421a1dep-6, -0x1.18d8fca85a694p-6, -0x1.11f92b96b6b0ap-6, -0x1.0b3f4957562aap-6, -0x1.04aaadf0d346ap-6, -0x1.fc756654b66a8p-7, -0x1.efdd691f07194p-7, -0x1.e38c1ee77ad3p-7, -0x1.d78045eb002ap-7, -0x1.cbb8a00236009p-7, -0x1.c033f2a67bba6p-7, -0x1.b4f106f6696ecp-7, -0x1.a9eea9b9abe2bp-7, -0x1.9f2bab6456969p-7, -0x1.94a6e019aa802p-7, -0x1.8a5f1fae516ecp-7, -0x1.805345aa1525cp-7, -0x1.768231491ed5bp-7, -0x1.6ceac57cb0e22p-7, -0x1.638be8eb6bd8p-7, -0x1.5a6485f12434ep-7, -0x1.51738a9e41f63p-7, -0x1.48b7e8b6b96b4p-7, -0x1.403095b093286p-7, -0x1.37dc8ab216f31p-7, -0x1.2fbac48f91c52p-7, -0x1.27ca43c8bc649p-7, -0x1.200a0c85c9098p-7, -0x1.1879269418c55p-7, -0x1.11169d629d2d7p-7, -0x1.09e17ffde8f54p-7, -0x1.02d8e10bf26bcp-7, -0x1.f7f7ad8f182cap-8, -0x1.ea92f5f72a79fp-8, -0x1.dd81d5fbcb908p-8, -0x1.d0c28f53f1a36p-8, -0x1.c4536ab6af774p-8, -0x1.b832b7cf94111p-8, -0x1.ac5ecd3296fddp-8, -0x1.a0d6084f97ab3p-8, -0x1.9596cd65737bap-8, -0x1.8a9f8774bb4d9p-8, -0x1.7feea83209985p-8, -0x1.7582a7f7ff959p-8, -0x1.6b5a05b8efabp-8, -0x1.617346f035ea5p-8, -0x1.57ccf79347f32p-8, -0x1.4e65aa027d0d6p-8, -0x1.453bf6f994f73p-8, -0x1.3c4e7d7ffecd2p-8, -0x1.339be2d8e8c72p-8, -0x1.2b22d2731912dp-8, -0x1.22e1fdd892e25p-8, -0x1.1ad81c9e106b2p-8, -0x1.1303ec52506b5p-8, -0x1.0b64306d3df7p-8, -0x1.03f7b23ef366dp-8, -0x1.f97a81bd3dbf7p-9, -0x1.eb67623293b96p-9, -0x1.ddb3bac10c872p-9, -0x1.d05d4b720dda9p-9, -0x1.c361df5244737p-9, -0x1.b6bf4c4e8db18p-9, -0x1.aa737310c470ap-9, -0x1.9e7c3edc736f9p-9, -0x1.92d7a56b80657p-9, -0x1.8783a6cac3f2bp-9, -0x1.7c7e4d369d12p-9, -0x1.71c5acf78758cp-9, -0x1.6757e43eacb7cp-9, -0x1.5d331b02881e2p-9, -0x1.535582db8aeep-9, -0x1.49bd56e0d6b46p-9, -0x1.4068db850f169p-9, -0x1.37565e7339422p-9, -0x1.2e84366bc3e51p-9, -0x1.25f0c321a129fp-9, -0x1.1d9a6d178f6d3p-9, -0x1.157fa57d7f38fp-9, -0x1.0d9ee60e26497p-9, -0x1.05f6b0ecbe7aep-9, -0x1.fd0b2105e5c18p-10, -0x1.ee942ebdff0dfp-10, -0x1.e085c02408dc9p-10, -0x1.d2dd1a1d23e78p-10, -0x1.c597910ed7a7bp-10, -0x1.b8b2889d11f38p-10, -0x1.ac2b7368a276ep-10, -0x1.9fffd2ce3c26bp-10, -0x1.942d36a5ececap-10, -0x1.88b13d0328d1p-10, -0x1.7d8991f55d606p-10, -0x1.72b3ef4911ce4p-10, -0x1.682e1c4997351p-10, -0x1.5df5ed835436p-10, -0x1.540944869f96p-10, -0x1.4a660fab3abbap-10, -0x1.410a49d4666c8p-10, -0x1.37f3fa35940a8p-10, -0x1.2f213417be93ap-10, -0x1.2690169f59602p-10, -0x1.1e3ecc92f3061p-10, -0x1.162b8c22703b5p-10, -0x1.0e5496aef9bc7p-10, -0x1.06b838938593dp-10, -0x1.fea991dc33655p-11, -0x1.f05152d35b09bp-11, -0x1.e2648c11793e1p-11, -0x1.d4e029e10a3ffp-11, -0x1.c7c12c69e75e4p-11, -0x1.bb04a74a79835p-11, -0x1.aea7c1324a5ap-11, -0x1.a2a7b37df15a6p-11, -0x1.9701c9d45e509p-11, -0x1.8bb361c58485cp-11, -0x1.80b9ea6a60e96p-11, -0x1.7612e40660a2fp-11, -0x1.6bbbdfaa23fdep-11, -0x1.61b27ed79f09fp-11, -0x1.57f47327977ccp-11, -0x1.4e7f7df07c39fp-11, -0x1.45516fee9ac92p-11, -0x1.3c6828edab126p-11, -0x1.33c19773b56dfp-11, -0x1.2b5bb86d501a8p-11, -0x1.233496db2f986p-11, -0x1.1b4a4b810d84fp-11, -0x1.139afc95defa8p-11, -0x1.0c24dd755d281p-11, -0x1.04e62e52d9d46p-11, -0x1.fbba77dac07bbp-12, -0x1.ee10be8a41893p-12, -0x1.e0cbfaa444d5cp-12, -0x1.d3e90d7872152p-12, -0x1.c764ef287dcd6p-12, -0x1.bb3cae1d1b167p-12, -0x1.af6d6e7d661a6p-12, -0x1.a3f469a8c3bdap-12, -0x1.98ceedb332605p-12, -0x1.8dfa5ce400033p-12, -0x1.83742d36e79e8p-12, -0x1.7939e7df87b3p-12, -0x1.6f4928cf34ca3p-12, -0x1.659f9e3d18957p-12, -0x1.5c3b08309e922p-12, -0x1.5319380e22f19p-12, -0x1.4a381025e3c34p-12, -0x1.419583452178ap-12, -0x1.392f94497a03bp-12, -0x1.310455b666b26p-12, -0x1.2911e94cdf06dp-12, -0x1.21567fa51b99p-12, -0x1.19d057ca6bf17p-12, -0x1.127dbed91a695p-12, -0x1.0b5d0f9e5cb5bp-12, -0x1.046cb23a3f8e4p-12, -0x1.fb56378725ab8p-13, -0x1.ee2d9bdb8d04fp-13, -0x1.e15cad6163ee5p-13, -0x1.d4e09fe48d684p-13, -0x1.c8b6be64351e5p-13, -0x1.bcdc6a6d9f807p-13, -0x1.b14f1b7a9519cp-13, -0x1.a60c5e5364a2ep-13, -0x1.9b11d474654bfp-13, -0x1.905d3376f93e2p-13, -0x1.85ec447df634ep-13, -0x1.7bbce3a566aep-13, -0x1.71ccff75a2c78p-13, -0x1.681a9859a3fbp-13, -0x1.5ea3c0188ab2ep-13, -0x1.5566995253068p-13, -0x1.4c6156ff98306p-13, -0x1.43923bf4688afp-13, -0x1.3af79a6618f74p-13, -0x1.328fd374020fbp-13, -0x1.2a5956b32ba7p-13, -0x1.2252a1bcc6278p-13, -0x1.1a7a3fbf6f1dcp-13, -0x1.12cec91339babp-13, -0x1.0b4ee2d05f612p-13, -0x1.03f93e68958a3p-13, -0x1.f99932860566fp-14, -0x1.eb8f78b55e6bp-14, -0x1.ddd2f7bf0f415p-14, -0x1.d0616db37e2dcp-14, -0x1.c338ad9f4cb17p-14, -0x1.b6569edbaa98ap-14, -0x1.a9b93c634c2efp-14, -0x1.9d5e942be6988p-14, -0x1.9144c6841df51p-14, -0x1.856a0575c6238p-14, -0x1.79cc942c6b55fp-14, -0x1.6e6ac66004049p-14, -0x1.6342ffc3b9b24p-14, -0x1.5853b378b172ep-14, -0x1.4d9b6384c034bp-14, -0x1.4318a04cf41a7p-14, -0x1.38ca0813df42dp-14, -0x1.2eae467b8eea6p-14, -0x1.24c4140b1a5d9p-14, -0x1.1b0a35b7b6a37p-14, -0x1.117f7c71399fp-14, -0x1.0822c4b1fb2d3p-14, -0x1.fde5ec23ff128p-15, -0x1.ebde05bab018p-15, -0x1.da2bcf5b519b4p-15, -0x1.c8cd560d81ef3p-15, -0x1.b7c0b9ec621f4p-15, -0x1.a7042d6ba2002p-15, -0x1.9695f4a2452f5p-15, -0x1.8674649afd55ap-15, -0x1.769de2a9fc7e1p-15, -0x1.6710e3c8166ddp-15, -0x1.57cbebf31b60ap-15, -0x1.48cd8d933f7b1p-15, -0x1.3a1468e57a6a4p-15, -0x1.2b9f2b6ab78f7p-15, -0x1.1d6c8f5bbcc5fp-15, -0x1.0f7b5b21aa95p-15, -0x1.01ca60d2f3934p-15, -0x1.e8b0fb69643f6p-16, -0x1.ce4933807d114p-16, -0x1.b45b4e59d5ef1p-16, -0x1.9ae543fb8b928p-16, -0x1.81e51f269a219p-16, -0x1.6958fc81ea026p-16, -0x1.513f09ccd00c8p-16, -0x1.39958518cf5eep-16, -0x1.225abc0a6d4cp-16, -0x1.0b8d0b20df28ap-16, -0x1.ea55ba08d341bp-17, -0x1.be6553b6829cap-17, -0x1.9345ed49771d4p-17, -0x1.68f4a93548bc4p-17, -0x1.3f6ec131185bfp-17, -0x1.16b18511c920ap-17, -0x1.dd74b35f0447ep-18, -0x1.8f0d6fac3ee7dp-18, -0x1.422856809092dp-18, -0x1.ed81467361d86p-19, -0x1.59a366793e057p-19, -0x1.915c109fc9b9bp-20, -0x1.d4c32190c0219p-22, }}, 
      {{0x1.fff7254facefcp-1, 0x1.ffdc96e1c54b9p-1, 0x1.ffb0599d88c8ap-1, 0x1.ff7275a89f4e6p-1, 0x1.ff22f65db1e99p-1, 0x1.fec1ea3fb3953p-1, 0x1.fe4f62ea38a11p-1, 0x1.fdcb74ff42868p-1, 0x1.fd363812e2ae9p-1, 0x1.fc8fc69511d8ap-1, 0x1.fbd83dba179bp-1, 0x1.fb0fbd61c7b3ap-1, 0x1.fa3667fde339bp-1, 0x1.f94c6277d5528p-1, 0x1.f851d416053eep-1, 0x1.f746e660edb2ap-1, 0x1.f62bc508241d8p-1, 0x1.f5009dc775114p-1, 0x1.f3c5a04c364f5p-1, 0x1.f27afe1ae9fb6p-1, 0x1.f120ea7548b8p-1, 0x1.efb79a40c8729p-1, 0x1.ee3f43edabf6bp-1, 0x1.ecb81f5ea923bp-1, 0x1.eb2265d12f712p-1, 0x1.e97e51c653607p-1, 0x1.e7cc1eec65ad6p-1, 0x1.e60c0a0935934p-1, 0x1.e43e50e50418ap-1, 0x1.e2633236246a3p-1, 0x1.e07aed8d4865p-1, 0x1.de85c3427bbb7p-1, 0x1.dc83f462c4e7cp-1, 0x1.da75c29e6faa7p-1, 0x1.d85b7037f8488p-1, 0x1.d6353ff396a7cp-1, 0x1.d403750767f81p-1, 0x1.d1c6530c2b79cp-1, 0x1.cf7e1dee98196p-1, 0x1.cd2b19e13e8f7p-1, 0x1.cacd8b4ef75c7p-1, 0x1.c865b6cdd98bap-1, 0x1.c5f3e112b21b2p-1, 0x1.c3784ee4fc403p-1, 0x1.c0f3451350dbep-1, 0x1.be6508684f8a9p-1, 0x1.bbcddd9ff4c5ep-1, 0x1.b92e095d61ef9p-1, 0x1.b685d0210af45p-1, 0x1.b3d5763f4aa0bp-1, 0x1.b11d3fd758283p-1, 0x1.ae5d70ca99b15p-1, 0x1.ab964cb450619p-1, 0x1.a8c816e199f43p-1, 0x1.a5f31249c6fa6p-1, 0x1.a3178186fd322p-1, 0x1.a035a6cf293e9p-1, 0x1.9d4dc3ed38821p-1, 0x1.9a601a3a9874ep-1, 0x1.976cea98fc5aap-1, 0x1.9474756c6284ap-1, 0x1.9176fa955a73ap-1, 0x1.8e74b96b8739fp-1, 0x1.8b6df0b85e8fbp-1, 0x1.8862deb21f508p-1, 0x1.8553c0f703214p-1, 0x1.8240d488a3525p-1, 0x1.7f2a55c794f3bp-1, 0x1.7c10806f385e7p-1, 0x1.78f38f91ba386p-1, 0x1.75d3bd94477cp-1, 0x1.72b1442b7100ap-1, 0x1.6f8c5c57bf2a9p-1, 0x1.6c653e6273c9bp-1, 0x1.693c21da79ed6p-1, 0x1.66113d9183056p-1, 0x1.62e4c799506e4p-1, 0x1.5fb6f541276e9p-1, 0x1.5c87fb137167dp-1, 0x1.59580cd38606fp-1, 0x1.56275d7b9e245p-1, 0x1.52f61f3aef51cp-1, 0x1.4fc48373f1d96p-1, 0x1.4c92babaca246p-1, 0x1.4960f4d3dd739p-1, 0x1.462f60b2891eap-1, 0x1.42fe2c7800867p-1, 0x1.3fcd857250a31p-1, 0x1.3c9d981b86171p-1, 0x1.396e9018f6aaap-1, 0x1.3640983aae2e6p-1, 0x1.3313da7afc5a2p-1, 0x1.2fe87ffe23e09p-1, 0x1.2cbeb11228bc2p-1, 0x1.2996952ebfb17p-1, 0x1.267052f55b0ffp-1, 0x1.234c103154b2ap-1, 0x1.2029f1d83690fp-1, 0x1.1d0a1c0a1e5cep-1, 0x1.19ecb2123b83dp-1, 0x1.16d1d66769fep-1, 0x1.13b9aaace4359p-1, 0x1.10a44fb30f17fp-1, 0x1.0d91e5785d774p-1, 0x1.0a828b2a4b2adp-1, 0x1.07765f266d144p-1, 0x1.046d7efb97cadp-1, 0x1.0168076b1a81bp-1, 0x1.fccc28d41a209p-2, 0x1.f6cf8245646a6p-2, 0x1.f0da4febd3ce6p-2, 0x1.eaecc4f97032cp-2, 0x1.e5071313b0f1ap-2, 0x1.df296a56c9b64p-2, 0x1.d953f959129f2p-2, 0x1.d386ed2e8f291p-2, 0x1.cdc2716c8c6ap-2, 0x1.c806b02d5e149p-2, 0x1.c253d2143108ep-2, 0x1.bca9fe50f534ap-2, 0x1.b7095aa45c8f3p-2, 0x1.b1720b63f246bp-2, 0x1.abe4337e3f8ecp-2, 0x1.a65ff47f07bf2p-2, 0x1.a0e56e9390c25p-2, 0x1.9b74c08f00302p-2, 0x1.960e07eec0c3cp-2, 0x1.90b160defb2b1p-2, 0x1.8b5ee63f18133p-2, 0x1.8616b1a64e146p-2, 0x1.80d8db683a9cbp-2, 0x1.7ba57a9982551p-2, 0x1.767ca5147dd69p-2, 0x1.715e6f7deac5dp-2, 0x1.6c4aed49a2a59p-2, 0x1.674230bf5d89ep-2, 0x1.62444aff70651p-2, 0x1.5d514c079a489p-2, 0x1.586942b7cb7dep-2, 0x1.538c3cd6f5db7p-2, 0x1.4eba4717dbc86p-2, 0x1.49f36d1de2c45p-2, 0x1.4537b981e42d6p-2, 0x1.408735d70119cp-2, 0x1.3be1eaaf715b5p-2, 0x1.3747dfa15607bp-2, 0x1.32b91b4b887b9p-2, 0x1.2e35a35a6335dp-2, 0x1.29bd7c8c8f18ap-2, 0x1.2550aab7c6fd7p-2, 0x1.20ef30cd9ad88p-2, 0x1.1c9910e02d248p-2, 0x1.184e4c26eb78p-2, 0x1.140ee30342b4dp-2, 0x1.0fdad5054d0f1p-2, 0x1.0bb220f0790afp-2, 0x1.0794c4c02c147p-2, 0x1.0382bdac5a892p-2, 0x1.fef8105c3bfe8p-3, 0x1.f70140087d97fp-3, 0x1.ef21006f6fa3ep-3, 0x1.e757464063e8dp-3, 0x1.dfa404d0ee5efp-3, 0x1.d8072e25b725p-3, 0x1.d080b2fb3ca01p-3, 0x1.c91082ce8403cp-3, 0x1.c1b68be5af76ep-3, 0x1.ba72bb5889aa3p-3, 0x1.b344fd18f5494p-3, 0x1.ac2d3bfb4d771p-3, 0x1.a52b61beaa256p-3, 0x1.9e3f571518fc2p-3, 0x1.976903abb311ep-3, 0x1.90a84e32a9d8fp-3, 0x1.89fd1c652f1a1p-3, 0x1.836753115423fp-3, 0x1.7ce6d61fc5cb7p-3, 0x1.767b889b78965p-3, 0x1.70254cb9361cfp-3, 0x1.69e403df19b58p-3, 0x1.63b78eabead1p-3, 0x1.5d9fccfe6be95p-3, 0x1.579c9dfc80f88p-3, 0x1.51ade01a4a811p-3, 0x1.4bd371211e485p-3, 0x1.460d2e366a12cp-3, 0x1.405af3e27bfdbp-3, 0x1.3abc9e1733185p-3, 0x1.3532083692155p-3, 0x1.2fbb0d193a3c2p-3, 0x1.2a578714cdb96p-3, 0x1.2507500236aabp-3, 0x1.1fca4143d123cp-3, 0x1.1aa033cb7f358p-3, 0x1.158900209fee8p-3, 0x1.10847e65edbaap-3, 0x1.0b92865f409c9p-3, 0x1.06b2ef7737c66p-3, 0x1.01e590c4c9bp-3, 0x1.fa5482216905fp-4, 0x1.f101adb5b81b9p-4, 0x1.e7d250bf11db3p-4, 0x1.dec6173915624p-4, 0x1.d5dcacac944ccp-4, 0x1.cd15bc396baaep-4, 0x1.c470f0a038057p-4, 0x1.bbedf44bd49b2p-4, 0x1.b38c715a99871p-4, 0x1.ab4c11a781456p-4, 0x1.a32c7ed300d1p-4, 0x1.9b2d624bbacefp-4, 0x1.934e6556fea7bp-4, 0x1.8b8f3119165dep-4, 0x1.83ef6e9d5f44cp-4, 0x1.7c6ec6de34446p-4, 0x1.750ce2cca763ap-4, 0x1.6dc96b5808d43p-4, 0x1.66a409754041ep-4, 0x1.5f9c6625f457fp-4, 0x1.58b22a7f83d5ap-4, 0x1.51e4ffb1d08aep-4, 0x1.4b348f0dd99a6p-4, 0x1.44a0820c2aa13p-4, 0x1.3e2882531aab6p-4, 0x1.37cc39bcdf86fp-4, 0x1.318b525d74951p-4, 0x1.2b6576885465p-4, 0x1.255a50d6078f3p-4, 0x1.1f698c2988499p-4, 0x1.1992d3b57b3bfp-4, 0x1.13d5d3013def4p-4, 0x1.0e3235edccc5cp-4, 0x1.08a7a8ba7dd9cp-4, 0x1.0335d80996373p-4, 0x1.fbb8e1c9684e7p-5, 0x1.f136418228bcfp-5, 0x1.e6e32b075d681p-5, 0x1.dcbefb0a5c835p-5, 0x1.d2c90f2b8382bp-5, 0x1.c900c60190c41p-5, 0x1.bf657f20b2faap-5, 0x1.b5f69b214fc6p-5, 0x1.acb37ba6849fp-5, 0x1.a39b83646165cp-5, 0x1.9aae1625de53fp-5, 0x1.91ea98d28f157p-5, 0x1.8950717412ad1p-5, 0x1.80df073b43503p-5, 0x1.7895c28525857p-5, 0x1.70740cdf98fc3p-5, 0x1.6879510dcb1d8p-5, 0x1.60a4fb0c6edb5p-5, 0x1.58f67815b6928p-5, 0x1.516d36a51763fp-5, 0x1.4a08a67acea14p-5, 0x1.42c8389f359cdp-5, 0x1.3bab5f65d8f5cp-5, 0x1.34b18e705e47cp-5, 0x1.2dda3ab133abbp-5, 0x1.2724da6e0c8dfp-5, 0x1.2090e5422ce89p-5, 0x1.1a1dd420822d2p-5, 0x1.13cb21558d08ep-5, 0x1.0d9848891cb79p-5, 0x1.0784c6bfdd4cep-5, 0x1.01901a5cb5ca2p-5, 0x1.f7738644011bfp-6, 0x1.ec028465266d7p-6, 0x1.e0cc342546a9dp-6, 0x1.d5cf9d50f73cdp-6, 0x1.cb0bca7a22ee4p-6, 0x1.c07fc8f8dc48ep-6, 0x1.b62aa8ebebbf7p-6, 0x1.ac0b7d3916bf6p-6, 0x1.a2215b8d17f32p-6, 0x1.986b5c5b5e84ep-6, 0x1.8ee89add82ca2p-6, 0x1.859835127b9a2p-6, 0x1.7c794bbd97d44p-6, 0x1.738b026539f9ap-6, 0x1.6acc7f5157f66p-6, 0x1.623ceb89c1378p-6, 0x1.59db72d430ad6p-6, 0x1.51a743b226838p-6, 0x1.499f8f5e8e794p-6, 0x1.41c389cb36611p-6, 0x1.3a12699e0fd89p-6, 0x1.328b682e4c015p-6, 0x1.2b2dc1813eedap-6, 0x1.23f8b4472146cp-6, 0x1.1ceb81d7a381ap-6, 0x1.16056e2e58f6ep-6, 0x1.0f45bfe70134bp-6, 0x1.08abc039a5af3p-6, 0x1.0236baf6965e1p-6, 0x1.f7cbfd049301bp-7, 0x1.eb71b7a220eb3p-7, 0x1.df5d4cc56ee7cp-7, 0x1.d38d687c01602p-7, 0x1.c800bbd80f235p-7, 0x1.bcb5fce7087e8p-7, 0x1.b1abe6a7f5847p-7, 0x1.a6e139019c097p-7, 0x1.9c54b8b875c5ap-7, 0x1.92052f6480773p-7, 0x1.87f16b66e0fbbp-7, 0x1.7e183fdf5f01p-7, 0x1.747884a1bd879p-7, 0x1.6b11162aeecc4p-7, 0x1.61e0d596266c8p-7, 0x1.58e6a891d39c8p-7, 0x1.50217954782edp-7, 0x1.4790369166b29p-7, 0x1.3f31d36d6cb9ep-7, 0x1.37054773611e4p-7, 0x1.2f098e88a215ep-7, 0x1.273da8e17f4ccp-7, 0x1.1fa09af592ae2p-7, 0x1.18316d740babbp-7, 0x1.10ef2d37ecdd1p-7, 0x1.09d8eb3c3cd1dp-7, 0x1.02edbc902f6cep-7, 0x1.f8597496891ccp-8, 0x1.eb2a0302c310ep-8, 0x1.de4b666dc9e4dp-8, 0x1.d1bbe8a96baf1p-8, 0x1.c579db38a2fa6p-8, 0x1.b9839737af81ap-8, 0x1.add77d442f33bp-8, 0x1.a273f5653a082p-8, 0x1.97576ef383bcep-8, 0x1.8c806081864dcp-8, 0x1.81ed47c3b495bp-8, 0x1.779ca978bc232p-8, 0x1.6d8d1151d2de7p-8, 0x1.63bd11db18653p-8, 0x1.5a2b4464076fcp-8, 0x1.50d648e7fe945p-8, 0x1.47bcc5f6dd05dp-8, 0x1.3edd689db9802p-8, 0x1.3636e44fb43a1p-8, 0x1.2dc7f2cee10bdp-8, 0x1.258f541553a4ep-8, 0x1.1d8bce3e47e79p-8, 0x1.15bc2d6f6a12fp-8, 0x1.0e1f43c244ec7p-8, 0x1.06b3e92dcdc02p-8, 0x1.fef1f6e03260dp-9, 0x1.f0dabbf068ac5p-9, 0x1.e31ff3a0472f9p-9, 0x1.d5bf7b0e19232p-9, 0x1.c8b73a370c8b2p-9, 0x1.bc0523cc2a696p-9, 0x1.afa73507a5a11p-9, 0x1.a39b75827dbbdp-9, 0x1.97dff70a82822p-9, 0x1.8c72d578ac058p-9, 0x1.81523687d76f2p-9, 0x1.767c49abd8cfep-9, 0x1.6bef47e8f7e5fp-9, 0x1.61a973abc394dp-9, 0x1.57a918a150e2cp-9, 0x1.4dec8b8fd5b92p-9, 0x1.44722a2faf2afp-9, 0x1.3b385b04c6deap-9, 0x1.323d8d3862ddbp-9, 0x1.298038735bd97p-9, 0x1.20fedcb8ba748p-9, 0x1.18b80240bcb1fp-9, 0x1.10aa3954465a2p-9, 0x1.08d41a28b984cp-9, 0x1.013444bc3868ep-9, 0x1.f392c164a6852p-10, 0x1.e5243a62401cdp-10, 0x1.d71a617d7b963p-10, 0x1.c972b23e8321p-10, 0x1.bc2ab666209a6p-10, 0x1.af4005ab48134p-10, 0x1.a2b045797602ep-10, 0x1.967928afe9058p-10, 0x1.8a986f61abe64p-10, 0x1.7f0be6967d75ep-10, 0x1.73d1680c89cdp-10, 0x1.68e6d9fafa99cp-10, 0x1.5e4a2ed559f8ap-10, 0x1.53f9650fd0daap-10, 0x1.49f286e435b59p-10, 0x1.4033aa17e93efp-10, 0x1.36baefc28eb33p-10, 0x1.2d86841591077p-10, 0x1.24949e247865ap-10, 0x1.1be37fae12339p-10, 0x1.137174e666044p-10, 0x1.0b3cd4417772dp-10, 0x1.0343fe3ed5ce3p-10, 0x1.f70aba6beb487p-11, 0x1.e7feca46aca13p-11, 0x1.d96126ecdc145p-11, 0x1.cb2eddc0baaccp-11, 0x1.bd650e46d350ep-11, 0x1.b000e9c674aa4p-11, 0x1.a2ffb2ebb3c39p-11, 0x1.965ebd6aef091p-11, 0x1.8a1b6da5d290ep-11, 0x1.7e333851d590fp-11, 0x1.72a3a220337cp-11, 0x1.676a3f6758aa7p-11, 0x1.5c84b3cdc1e2cp-11, 0x1.51f0b1f64992ap-11, 0x1.47abfb2de03f8p-11, 0x1.3db45f1aad7a9p-11, 0x1.3407bb6c92cfep-11, 0x1.2aa3fb8f0f58p-11, 0x1.2187185c81709p-11, 0x1.18af17d2be81bp-11, 0x1.101a0cc90142ep-11, 0x1.07c616a7298b8p-11, 0x1.ff62c23c91749p-12, 0x1.efb447c4eea76p-12, 0x1.e07d44cbe245ep-12, 0x1.d1ba572ae7a05p-12, 0x1.c368332bb2c83p-12, 0x1.b583a305dd723p-12, 0x1.a809865efffe3p-12, 0x1.9af6d1cd2bd49p-12, 0x1.8e488e5bc6a7p-12, 0x1.81fbd912b911dp-12, 0x1.760de27fe79afp-12, 0x1.6a7bee42f6f66p-12, 0x1.5f43529b48321p-12, 0x1.546177f82d3c2p-12, 0x1.49d3d88b4af4fp-12, 0x1.3f97ffdd21252p-12, 0x1.35ab8a63b03bep-12, 0x1.2c0c251b38546p-12, 0x1.22b78d21031a5p-12, 0x1.19ab8f5037a51p-12, 0x1.10e607e0ad7c1p-12, 0x1.0864e207b8026p-12, 0x1.0026179ae0608p-12, 0x1.f04f616914a69p-13, 0x1.e0cf86b4f3066p-13, 0x1.d1c8e64c64e05p-13, 0x1.c337e1de51f7cp-13, 0x1.b518f4ed830dap-13, 0x1.a768b42c1eea7p-13, 0x1.9a23ccdaa79f1p-13, 0x1.8d47042a61793p-13, 0x1.80cf36a3128cap-13, 0x1.74b9578c19ec4p-13, 0x1.69027058bb711p-13, 0x1.5da7a017a65d7p-13, 0x1.52a61ae59f72p-13, 0x1.47fb29633d563p-13, 0x1.3da4282db588p-13, 0x1.339e875a9de65p-13, 0x1.29e7c9f6a1092p-13, 0x1.207d858716178p-13, 0x1.175d618e667cap-13, 0x1.0e85171342643p-13, 0x1.05f2702a88f67p-13, 0x1.fb468f07ce12ap-14, 0x1.eb2b0ff21ee6ep-14, 0x1.db8e583f1a013p-14, 0x1.cc6c7bba3ba32p-14, 0x1.bdc1abfd137c3p-14, 0x1.af8a37a1d56d9p-14, 0x1.a1c2897abb63ap-14, 0x1.946727ce0f336p-14, 0x1.8774b396daad3p-14, 0x1.7ae7e7ca19549p-14, 0x1.6ebd98a05c99cp-14, 0x1.62f2b2e3c7071p-14, 0x1.57843b424dccep-14, 0x1.4c6f4da426bdfp-14, 0x1.41b11c8651f8ep-14, 0x1.3746f059257dep-14, 0x1.2d2e26e2ca1dp-14, 0x1.236432a5941f1p-14, 0x1.19e69a4a220b5p-14, 0x1.10b2f80d3181cp-14, 0x1.07c6f93111d73p-14, 0x1.fe40bae54bbbp-15, 0x1.ed79ed03c0994p-15, 0x1.dd354efb4b747p-15, 0x1.cd6ec8e60f061p-15, 0x1.be2263bf7d944p-15, 0x1.af4c486fb8c52p-15, 0x1.a0e8bedd2f52cp-15, 0x1.92f42d04588eep-15, 0x1.856b16156fcfp-15, 0x1.784a199808d7bp-15, 0x1.6b8df294612c7p-15, 0x1.5f3376c249e11p-15, 0x1.533795bd9057ep-15, 0x1.4797583fc073dp-15, 0x1.3c4fdf5f24dd9p-15, 0x1.315e63d2e99d4p-15, 0x1.26c0353c3d5d4p-15, 0x1.1c72b9745b008p-15, 0x1.12736bdf5ac25p-15, 0x1.08bfdcc3b25fap-15, 0x1.feab614c84d98p-16, 0x1.ec653f55bfcf5p-16, 0x1.daa8e9f26bff7p-16, 0x1.c9721c4bd93cap-16, 0x1.b8bcb53fe968fp-16, 0x1.a884b643d0929p-16, 0x1.98c6424ebd29fp-16, 0x1.897d9ccc3f3e6p-16, 0x1.7aa7289642142p-16, 0x1.6c3f66f664ea3p-16, 0x1.5e42f6ae82a9bp-16, 0x1.50ae930848c93p-16, 0x1.437f12eb9f6c5p-16, 0x1.36b167fbc987p-16, 0x1.2a429dbb04d04p-16, 0x1.1e2fd8b48cb16p-16, 0x1.127655accd088p-16, 0x1.071368d7a1706p-16, 0x1.f808fa28fe5b4p-17, 0x1.e28e2660ba2cap-17, 0x1.cdb1825a67f59p-17, 0x1.b96e631df2978p-17, 0x1.a5c0455bdb9bp-17, 0x1.92a2cc1c2ffbap-17, 0x1.8011bf779c249p-17, 0x1.6e090b5a6296cp-17, 0x1.5c84be50dd4fep-17, 0x1.4b81085d5b654p-17, 0x1.3afa39d71b2p-17, 0x1.2aecc2521cb92p-17, 0x1.1b552f8f94ee6p-17, 0x1.0c302c76c47d4p-17, 0x1.faf5002bf8eb8p-18, 0x1.de6219572b341p-18, 0x1.c2a19d6d477acp-18, 0x1.a7adb81e63a9ep-18, 0x1.8d80c60b9d0b5p-18, 0x1.7415531475d87p-18, 0x1.5b6618b208473p-18, 0x1.436dfc5fb6966p-18, 0x1.2c280e10f1c87p-18, 0x1.158f86b3bdfbp-18, 0x1.ff3f8d7f2e856p-19, 0x1.d4a8a9a0bc8adp-19, 0x1.ab51b899e9e4bp-19, 0x1.8332583270ad1p-19, 0x1.5c426aa606335p-19, 0x1.367a1433ce22ap-19, 0x1.11d1b8c2a3133p-19, 0x1.dc83f33329afp-20, 0x1.978766581433bp-20, 0x1.549ff5f1ded2bp-20, 0x1.13c03af8d1916p-20, 0x1.a9b670cdd7368p-21, 0x1.2fc8aec3ff78fp-21, 0x1.733d8e1ea8e23p-22, 0x1.1c843ad05020ep-23, -0x1.3e3b733b213f3p-24, -0x1.2661e8479a613p-22, -0x1.f662392ca9d3cp-22, -0x1.5fdcde3bfda72p-21, -0x1.c14891f4c3775p-21, -0x1.0fc3fc642099bp-20, -0x1.3d5720bac527ep-20, -0x1.696706e7e9f09p-20, -0x1.93fcbbf4cb048p-20, -0x1.bd210b87d59dep-20, -0x1.e4dc824aef299p-20, -0x1.059bb81da7617p-19, -0x1.181cf571bae6p-19, -0x1.29f5e7c011eadp-19, -0x1.3b2a62886c224p-19, -0x1.4bbe1f2a4ac6ep-19, -0x1.5bb4bdd9c8ea3p-19, -0x1.6b11c68b3033bp-19, -0x1.79d8a9d5a5b96p-19, -0x1.880cc1cd2c0c3p-19, -0x1.95b152d45216dp-19, -0x1.a2c98c65cac47p-19, -0x1.af5889d63cfa3p-19, -0x1.bb61530e861ecp-19, -0x1.c6e6dd3eb863ep-19, -0x1.d1ec0b8a10339p-19, -0x1.dc73afac2028ep-19, -0x1.e6808a97726abp-19, -0x1.f0154d0dd0fb5p-19, -0x1.f93498327be4fp-19, -0x1.00f07f0b3bf57p-18, -0x1.050e811f971f4p-18, -0x1.08f58d13cb247p-18, -0x1.0ca6d6de0aacfp-18, -0x1.10238be8a5c94p-18, -0x1.136cd34af8e47p-18, -0x1.1683ce0004c4ep-18, -0x1.1969971ab9b24p-18, -0x1.1c1f43f817c36p-18, -0x1.1ea5e46f2e6adp-18, -0x1.20fe82ff185ebp-18, -0x1.232a24fafff63p-18, -0x1.2529cab444c7cp-18, -0x1.26fe6fa2d1394p-18, -0x1.28a90a8bb5a1dp-18, -0x1.2a2a8da613f07p-18, -0x1.2b83e6be74ea9p-18, -0x1.2cb5ff588f5fap-18, -0x1.2dc1bccf95c6bp-18, -0x1.2ea80075181dcp-18, -0x1.2f69a7ae8872ep-18, -0x1.30078c116ec61p-18, -0x1.3082837e5f49dp-18, -0x1.30db603ab79fap-18, -0x1.3112f10938f6ep-18, -0x1.312a014183f5ap-18, -0x1.312158e6876c7p-18, -0x1.30f9bcbbeb0e2p-18, -0x1.30b3ee5a80d5fp-18, -0x1.3050ac43ca146p-18, }}, 
      {{-0x1.50a35b7232d8bp-7, -0x1.50bca00001e5dp-6, -0x1.f958c9e999948p-6, -0x1.511dcb89882f7p-5, -0x1.a5bb728b4dcap-5, -0x1.fa8c1af9ab7f4p-5, -0x1.27ca0714adbb8p-4, -0x1.526a7758042adp-4, -0x1.7d26d05ff9266p-4, -0x1.a7fd2325c0f31p-4, -0x1.d2ea25b86738dp-4, -0x1.fde9400234adap-4, -0x1.147a4edcb5cb5p-3, -0x1.2a02a2226bbacp-3, -0x1.3f8995c1dd475p-3, -0x1.550aac45b5983p-3, -0x1.6a80fcc635ee2p-3, -0x1.7fe74117367a5p-3, -0x1.9537e3e778a36p-3, -0x1.aa6d0e94af4a4p-3, -0x1.bf80b68459112p-3, -0x1.d46ca9dd3d797p-3, -0x1.e92a9b87e149ap-3, -0x1.fdb42e654ba43p-3, -0x1.09017fd988574p-2, -0x1.1308584cdb0e8p-2, -0x1.1ceb7773a0985p-2, -0x1.26a7be7d96a9p-2, -0x1.303a1c75bd7c4p-2, -0x1.399f9176061b6p-2, -0x1.42d53181290e7p-2, -0x1.4bd82707d61e4p-2, -0x1.54a5b51e64203p-2, -0x1.5d3b396806591p-2, -0x1.65962dbc5ed4fp-2, -0x1.6db4298c05be7p-2, -0x1.7592e30869d87p-2, -0x1.7d30301332df7p-2, -0x1.848a06f926207p-2, -0x1.8b9e7efc5f651p-2, -0x1.926bd0b188c09p-2, -0x1.98f05633afe83p-2, -0x1.9f2a8b32236cep-2, -0x1.a5190cdbbf155p-2, -0x1.aaba99aae624fp-2, -0x1.b00e11155f59ap-2, -0x1.b51273231a01dp-2, -0x1.b9c6dfeed4965p-2, -0x1.be2a971370d84p-2, -0x1.c23cf708a1c9cp-2, -0x1.c5fd7c717922dp-2, -0x1.c96bc15f2c27fp-2, -0x1.cc877c8a3d1cdp-2, -0x1.cf50808407102p-2, -0x1.d1c6bae283e8fp-2, -0x1.d3ea3367e1c4bp-2, -0x1.d5bb0b276799fp-2, -0x1.d7397ba8e719p-2, -0x1.d865d60bd7784p-2, -0x1.d940822b0e94dp-2, -0x1.d9c9fdc1db3ccp-2, -0x1.da02db932b482p-2, -0x1.d9ebc2934090ap-2, -0x1.d9856d145de45p-2, -0x1.d8d0a7f6b6482p-2, -0x1.d7ce51dbd5124p-2, -0x1.d67f5a5da27d3p-2, -0x1.d4e4c14911736p-2, -0x1.d2ff95dc8041ep-2, -0x1.d0d0f609bdad2p-2, -0x1.ce5a0dbba6185p-2, -0x1.cb9c161f408edp-2, -0x1.c89854f041bbdp-2, -0x1.c5501bc8d7cafp-2, -0x1.c1c4c7749c71bp-2, -0x1.bdf7bf4698064p-2, -0x1.b9ea747231227p-2, -0x1.b59e6166f2d58p-2, -0x1.b115092f11a41p-2, -0x1.ac4ff6d09bfdfp-2, -0x1.a750bcb14652bp-2, -0x1.a218f3fcc5945p-2, -0x1.9caa3c0db3c26p-2, -0x1.970639d8f45eep-2, -0x1.912e975b9f66fp-2, -0x1.8b25030b72ce8p-2, -0x1.84eb2f49ce044p-2, -0x1.7e82d1d94600cp-2, -0x1.77eda355d9cbdp-2, -0x1.712d5eafd74d5p-2, -0x1.6a43c0a97e0b6p-2, -0x1.63328757724f6p-2, -0x1.5bfb71a41167p-2, -0x1.54a03ed5b89acp-2, -0x1.4d22ae1814d59p-2, -0x1.45847e08866ep-2, -0x1.3dc76c45b3743p-2, -0x1.35ed350251c09p-2, -0x1.2df7929b3e50cp-2, -0x1.25e83d30eeb3ap-2, -0x1.1dc0ea444a96fp-2, -0x1.15834c56f8058p-2, -0x1.0d31128f29494p-2, -0x1.04cbe85eef151p-2, -0x1.f8aaea5e35accp-3, -0x1.e79eb81b66c26p-3, -0x1.d67676c000b93p-3, -0x1.c53559305aa27p-3, -0x1.b3de87dd0c36ap-3, -0x1.a275203c8384fp-3, -0x1.90fc344bd00dap-3, -0x1.7f76ca166bde7p-3, -0x1.6de7db452178cp-3, -0x1.5c5254b3d00f2p-3, -0x1.4ab9160e2254ap-3, -0x1.391ef172f96ap-3, -0x1.2786ab1e904f5p-3, -0x1.15f2f91b27789p-3, -0x1.046682f821a67p-3, -0x1.e5c7c30eda254p-4, -0x1.c2db3d4229bc7p-4, -0x1.a00c69d9c280ap-4, -0x1.7d601f6398ceep-4, -0x1.5adb155669a8ep-4, -0x1.3881e3c743fd2p-4, -0x1.16590329d8914p-4, -0x1.e8c998368bebap-5, -0x1.a552ee6e19359p-5, -0x1.625639eba079bp-5, -0x1.1fdb6b2b2ce88p-5, -0x1.bbd4642c9f2b8p-6, -0x1.3913fbf106306p-6, -0x1.6f07f61202c44p-7, -0x1.b991ee9ddd046p-9, 0x1.1f4f802d9ea35p-8, 0x1.8b030688b3971p-7, 0x1.41ca505541f53p-6, 0x1.bca26ae9f8a74p-6, 0x1.1aff3a90aa59bp-5, 0x1.56e9c75cc80ddp-5, 0x1.920baa12772cdp-5, 0x1.cc5feec3e5e02p-5, 0x1.02f0ef6853c61p-4, 0x1.1f468027f1de8p-4, 0x1.3b2e8ab8777b3p-4, 0x1.56a70de967715p-4, 0x1.71ae25e99c892p-4, 0x1.8c420beac0623p-4, 0x1.a66115c0fe1cbp-4, 0x1.c009b57f28ba4p-4, 0x1.d93a790f99d1ap-4, 0x1.f1f209c9f0b27p-4, 0x1.05179602fea16p-3, 0x1.10f85f55ffcadp-3, 0x1.1c9add6137f92p-3, 0x1.27fe997cc7504p-3, 0x1.3323299a6bd0cp-3, 0x1.3e0830094cd41p-3, 0x1.48ad5b38efe8fp-3, 0x1.5312657b5fdcp-3, 0x1.5d3714c6ad80ap-3, 0x1.671b3a75d064p-3, 0x1.70beb308fe475p-3, 0x1.7a2165e5974a5p-3, 0x1.83434515a17eep-3, 0x1.8c244d06feff4p-3, 0x1.94c4844a5e87p-3, 0x1.9d23fb51fd6dbp-3, 0x1.a542cc3048347p-3, 0x1.ad211a566c1fbp-3, 0x1.b4bf1252e2a85p-3, 0x1.bc1ce990093dbp-3, 0x1.c33ade12d289cp-3, 0x1.ca1936399921ep-3, 0x1.d0b8407b28c0fp-3, 0x1.d7185325feebfp-3, 0x1.dd39cc1fd73bbp-3, 0x1.e31d10a588936p-3, 0x1.e8c28d0b43fa1p-3, 0x1.ee2ab47d3517p-3, 0x1.f35600c095e8bp-3, 0x1.f844f1f54125dp-3, 0x1.fcf80e57bc3e8p-3, 0x1.00b7f101ecc52p-2, 0x1.02d67f5bf084ap-2, 0x1.04d7fdcc2f42ap-2, 0x1.06bcba7a430d4p-2, 0x1.08850605a689dp-2, 0x1.0a31336893303p-2, 0x1.0bc197db3cc3dp-2, 0x1.0d368ab76c3bep-2, 0x1.0e90655c74d52p-2, 0x1.0fcf831393921p-2, 0x1.10f440f4ac695p-2, 0x1.11fefdcb74f64p-2, 0x1.12f019fd04c23p-2, 0x1.13c7f76dd3f1fp-2, 0x1.1486f96825b38p-2, 0x1.152d8482e180bp-2, 0x1.15bbfe88e0edep-2, 0x1.1632ce60aa8b7p-2, 0x1.16925bf4a4d7bp-2, 0x1.16db101bbbfb7p-2, 0x1.170d54827dd4cp-2, 0x1.17299394ada2ap-2, 0x1.173038674edffp-2, 0x1.1721aea329119p-2, 0x1.16fe626fc6b89p-2, 0x1.16c6c05eea94p-2, 0x1.167b355881598p-2, 0x1.161c2e870f73bp-2, 0x1.15aa194496d27p-2, 0x1.15256307f9a22p-2, 0x1.148e7952d7474p-2, 0x1.13e5c99fe5d09p-2, 0x1.132bc151c45c4p-2, 0x1.1260cda24911fp-2, 0x1.11855b924ab32p-2, 0x1.1099d7d9e2ad3p-2, 0x1.0f9eaed9288e1p-2, 0x1.0e944c89682d7p-2, 0x1.0d7b1c6ece95cp-2, 0x1.0c53898a8f6e4p-2, 0x1.0b1dfe4d81954p-2, 0x1.09dae48b2fd61p-2, 0x1.088aa56d6301fp-2, 0x1.072da9681add7p-2, 0x1.05c4582dff1eep-2, 0x1.044f18a53e609p-2, 0x1.02ce50dce2804p-2, 0x1.01426602904eap-2, 0x1.ff5778b17330ep-3, 0x1.fc156e5a733bdp-3, 0x1.f8bf71a0bc58ap-3, 0x1.f5564518bab27p-3, 0x1.f1daa93a61abap-3, 0x1.ee4d5c51b7621p-3, 0x1.eaaf1a7028c14p-3, 0x1.e7009d5eaa85ep-3, 0x1.e3429c909bc6ap-3, 0x1.df75cd176ca2cp-3, 0x1.db9ae19709f9fp-3, 0x1.d7b28a3afbb2ep-3, 0x1.d3bd74ac41e2dp-3, 0x1.cfbc4c07e9cacp-3, 0x1.cbafb8d649149p-3, 0x1.c7986102f9b1bp-3, 0x1.c376e7d56d059p-3, 0x1.bf4bedea3604ep-3, 0x1.bb18112ced43ap-3, 0x1.b6dbecd2b89e9p-3, 0x1.b298195572fb8p-3, 0x1.ae4d2c6f6369dp-3, 0x1.a9fbb9179459dp-3, 0x1.a5a44f7eb32adp-3, 0x1.a1477d0c8461p-3, 0x1.9ce5cc5ddbcbdp-3, 0x1.987fc5432169ap-3, 0x1.9415ecbf54f4ep-3, 0x1.8fa8c50791dddp-3, 0x1.8b38cd830d881p-3, 0x1.86c682cb8eeb2p-3, 0x1.82525eae5c111p-3, 0x1.7ddcd82d9203cp-3, 0x1.79666381eff4ep-3, 0x1.74ef721d0bf38p-3, 0x1.707872abe5bfcp-3, 0x1.6c01d119e8739p-3, 0x1.678bf6943d177p-3, 0x1.6317498d86c54p-3, 0x1.5ea42dc1ea705p-3, 0x1.5a33043b768e3p-3, 0x1.55c42b56d11d8p-3, 0x1.5157fec83cc29p-3, 0x1.4ceed7a0e5221p-3, 0x1.48890c54719bcp-3, 0x1.4426f0bede623p-3, 0x1.3fc8d62a96aadp-3, 0x1.3b6f0b56cf138p-3, 0x1.3719dc7e130cdp-3, 0x1.32c9935d17c17p-3, 0x1.2e7e7739b692fp-3, 0x1.2a38ccea2609bp-3, 0x1.25f8d6dc56d5ep-3, 0x1.21bed51d89fcep-3, 0x1.1d8b056205cfcp-3, 0x1.195da30cf980bp-3, 0x1.1536e7388062bp-3, 0x1.111708bdcf61cp-3, 0x1.0cfe3c3d76b6ap-3, 0x1.08ecb427ca4e1p-3, 0x1.04e2a0c562d15p-3, 0x1.00e0303fb2e9bp-3, 0x1.f9cb1d537153dp-4, 0x1.f1e5cc117a14dp-4, 0x1.ea10bcba5b91fp-4, 0x1.e24c3b56f599ep-4, 0x1.da98900a18598p-4, 0x1.d2f5ff227cb72p-4, 0x1.cb64c92cd1c9fp-4, 0x1.c3e52b05da272p-4, 0x1.bc775dec91fa7p-4, 0x1.b51b97946878bp-4, 0x1.add20a376d01fp-4, 0x1.a69ae4a888944p-4, 0x1.9f765265b73e3p-4, 0x1.98647baa364efp-4, 0x1.91658580a825fp-4, 0x1.8a7991d5385bdp-4, 0x1.83a0bf87a71dbp-4, 0x1.7cdb2a7d4918ep-4, 0x1.7628ebb2f358fp-4, 0x1.6f8a194ed0739p-4, 0x1.68fec6b21f5d1p-4, 0x1.6287048ad5632p-4, 0x1.5c22e0e525f12p-4, 0x1.55d2673ce9416p-4, 0x1.4f95a08ee3be8p-4, 0x1.496c9369e9aep-4, 0x1.435743ffde16bp-4, 0x1.3d55b4368b7ap-4, 0x1.3767e3b854cb6p-4, 0x1.318dd004baf3ap-4, 0x1.2bc77480b9573p-4, 0x1.2614ca86f336p-4, 0x1.2075c977b53eap-4, 0x1.1aea66c8c529ep-4, 0x1.15729615036cdp-4, 0x1.100e492bd9323p-4, 0x1.0abd7020745d1p-4, 0x1.057ff958d0009p-4, 0x1.0055d19c87b63p-4, 0x1.f67dc846ea999p-5, 0x1.ec76354831f7dp-5, 0x1.e294bac3950e8p-5, 0x1.d8d926756210fp-5, 0x1.cf43436b0be3cp-5, 0x1.c5d2da1e3665ep-5, 0x1.bc87b08f58778p-5, 0x1.b3618a5fe4f87p-5, 0x1.aa6028ec01c73p-5, 0x1.a1834b63cbb24p-5, 0x1.98caaee424e59p-5, 0x1.90360e8f0b5d6p-5, 0x1.87c523a37db3cp-5, 0x1.7f77a594e84ddp-5, 0x1.774d4a221bf69p-5, 0x1.6f45c56bd0b7dp-5, 0x1.6760ca0aafaafp-5, 0x1.5f9e0924eb7ep-5, 0x1.57fd32835ee1bp-5, 0x1.507df4a63a611p-5, 0x1.491ffcd9387b3p-5, 0x1.41e2f74763f7ap-5, 0x1.3ac68f0e62ba8p-5, 0x1.33ca6e5155495p-5, 0x1.2cee3e4b3d46dp-5, 0x1.2631a760f7365p-5, 0x1.1f945132bf15dp-5, 0x1.1915e2ad47e4cp-5, 0x1.12b6021a6294bp-5, 0x1.0c74553135706p-5, 0x1.065081260941ep-5, 0x1.004a2ab9a63aep-5, 0x1.f4c1ec9090bccp-6, 0x1.e9290fb051e7dp-6, 0x1.ddc9064f3a0a8p-6, 0x1.d2a117759d0e9p-6, 0x1.c7b089d21c232p-6, 0x1.bcf6a3d37995cp-6, 0x1.b272abc1abdbbp-6, 0x1.a823e7d621b95p-6, 0x1.9e099e534bee9p-6, 0x1.9423159b5fbf8p-6, 0x1.8a6f94465d9a3p-6, 0x1.80ee61375c8d9p-6, 0x1.779ec3b11e17fp-6, 0x1.6e800369eaff2p-6, 0x1.6591689ebcb82p-6, 0x1.5cd23c25ba67cp-6, 0x1.5441c78002724p-6, 0x1.4bdf54ead17dap-6, 0x1.43aa2f6ffd0d3p-6, 0x1.3ba1a2f5cadb1p-6, 0x1.33c4fc4e27c12p-6, 0x1.2c1389453ee57p-6, 0x1.248c98af799b9p-6, 0x1.1d2f7a76de20bp-6, 0x1.15fb7fa7e5203p-6, 0x1.0eeffa7daec6cp-6, 0x1.080c3e6db5a79p-6, 0x1.014fa032ec722p-6, 0x1.f572ebb0a64a2p-7, 0x1.e8922d861422ep-7, 0x1.dbfbb777b5e5p-7, 0x1.cfae3df08c574p-7, 0x1.c3a8784622b98p-7, 0x1.b7e920c8ae991p-7, 0x1.ac6ef4d2449d6p-7, 0x1.a138b4d529559p-7, 0x1.964524692d24dp-7, 0x1.8b930a583c1bbp-7, 0x1.812130aa01625p-7, 0x1.76ee64aec1609p-7, 0x1.6cf97709693cfp-7, 0x1.63413bb8c59f9p-7, 0x1.59c48a20054fap-7, 0x1.50823d0e72903p-7, 0x1.477932c67954p-7, 0x1.3ea84d03f8747p-7, 0x1.360e7101de7b9p-7, 0x1.2daa877f2398ap-7, 0x1.257b7cc319923p-7, 0x1.1d8040a11ecbcp-7, 0x1.15b7c67bb3f34p-7, 0x1.0e210546fc144p-7, 0x1.06baf78aab91p-7, 0x1.ff0936c6d15d6p-8, 0x1.f0f9e5074a0c1p-8, 0x1.e3460467e508dp-8, 0x1.d5eba6a5b06e8p-8, 0x1.c8e8e4a85b447p-8, 0x1.bc3bde7ffb39dp-8, 0x1.afe2bb61ee627p-8, 0x1.a3dba9a4e1ae6p-8, 0x1.9824debbfe5d7p-8, 0x1.8cbc97315071bp-8, 0x1.81a1169f6230ep-8, 0x1.76d0a7aa1fd7dp-8, 0x1.6c499bf700f7dp-8, 0x1.620a4c2487411p-8, 0x1.581117c1134aap-8, 0x1.4e5c65411c91dp-8, 0x1.44eaa1f4ccb1fp-8, 0x1.3bba41fd0be6ap-8, 0x1.32c9c03fffb1p-8, 0x1.2a179e5d06528p-8, 0x1.21a264a0315cbp-8, 0x1.1968a1f54ae17p-8, 0x1.1168ebda64fb1p-8, 0x1.09a1de51feee9p-8, 0x1.02121bd4c4b0fp-8, 0x1.f5709a85d470ap-9, 0x1.e72643aa5bb53p-9, 0x1.d9429e1b0a358p-9, 0x1.cbc3214eeb2a1p-9, 0x1.bea551104bb83p-9, 0x1.b1e6bd5c4a4fp-9, 0x1.a5850241e519ep-9, 0x1.997dc7c08ae8ep-9, 0x1.8dcec1a63e534p-9, 0x1.8275af6d4de39p-9, 0x1.77705c19af612p-9, 0x1.6cbc9e1600769p-9, 0x1.625857103b598p-9, 0x1.584173d623629p-9, 0x1.4e75ec316f389p-9, 0x1.44f3c2c3c2015p-9, 0x1.3bb904e26b269p-9, 0x1.32c3ca7203c48p-9, 0x1.2a1235c1e38f2p-9, 0x1.21a273677d836p-9, 0x1.1972ba19a2228p-9, 0x1.11814a8bb5dbp-9, 0x1.09cc6f48dc2f8p-9, 0x1.02527c8f1a6b8p-9, 0x1.f623a05503544p-10, 0x1.e811a2a0b759ep-10, 0x1.da6be0f4c4caep-10, 0x1.cd2f4e8416644p-10, 0x1.c058f077c83f2p-10, 0x1.b3e5dda6197e1p-10, 0x1.a7d33e499765dp-10, 0x1.9c1e4bb88f64fp-10, 0x1.90c4501ccb6a9p-10, 0x1.85c2a62ba84f4p-10, 0x1.7b16b8de7b0e8p-10, 0x1.70be032b69f7bp-10, 0x1.66b60fbe9db0ep-10, 0x1.5cfc78b3f4d48p-10, 0x1.538ee7511742dp-10, 0x1.4a6b13c01e114p-10, 0x1.418ec4caa8b0cp-10, 0x1.38f7cf958110bp-10, 0x1.30a4175ccebfbp-10, 0x1.28918d30d3682p-10, 0x1.20be2fb3418c4p-10, 0x1.19280ad529011p-10, 0x1.11cd37958229dp-10, 0x1.0aabdbc05c747p-10, 0x1.03c229aeabed4p-10, 0x1.fa1cc00d82cb7p-11, 0x1.ed1d92fadedcbp-11, 0x1.e083792fb2dffp-11, 0x1.d44b36dbe91a6p-11, 0x1.c871a6db76d65p-11, 0x1.bcf3ba3e2d254p-11, 0x1.b1ce77d0f6a66p-11, 0x1.a6fefba8894c8p-11, 0x1.9c8276ad8bafap-11, 0x1.92562e2a32a56p-11, 0x1.88777b5959d3dp-11, 0x1.7ee3caf719f21p-11, 0x1.75989cd2ddd7bp-11, 0x1.6c938362f860fp-11, 0x1.63d22359bd686p-11, 0x1.5b52333c1e4a1p-11, 0x1.53117af9cb0f3p-11, 0x1.4b0dd386d7cffp-11, 0x1.43452676e9386p-11, 0x1.3bb56d99e663ap-11, 0x1.345cb29a2eecbp-11, 0x1.2d390e9c59092p-11, 0x1.2648a9e0715f7p-11, 0x1.1f89bb64c18d9p-11, 0x1.18fa888a17bddp-11, 0x1.129964b991fedp-11, 0x1.0c64b10be82fcp-11, 0x1.065adbf2364e9p-11, 0x1.007a60e044745p-11, 0x1.f5838ff091ca7p-12, 0x1.ea5f4b70494ffp-12, 0x1.df8535502fdfdp-12, 0x1.d4f2a615d4274p-12, 0x1.caa50d1f0b78ep-12, 0x1.c099f00807ce3p-12, 0x1.b6ceea14499f7p-12, 0x1.ad41ab9a690f9p-12, 0x1.a3eff972a877ap-12, 0x1.9ad7ac6857852p-12, 0x1.91f6b0adf4752p-12, 0x1.894b05540af84p-12, 0x1.80d2bbc2cbcc1p-12, 0x1.788bf7364ff95p-12, 0x1.7074ec3d85eb4p-12, 0x1.688be03bc2107p-12, 0x1.60cf28ece583ap-12, 0x1.593d2bec1cfc1p-12, 0x1.51d45e3d24354p-12, 0x1.4a9343d815e8cp-12, 0x1.43786f37b008cp-12, 0x1.3c8280ea1215dp-12, 0x1.35b02723e6402p-12, 0x1.2f001d55ef798p-12, 0x1.28712bc4f4cf8p-12, 0x1.2202272402673p-12, 0x1.1bb1f030f7169p-12, 0x1.157f735357692p-12, 0x1.0f69a83d5b3f2p-12, 0x1.096f918f3594ep-12, 0x1.03903c7c822d5p-12, 0x1.fb9580e7b6c33p-13, 0x1.f03c7d911a8a3p-13, 0x1.e513c4bcb0517p-13, 0x1.da19beae88957p-13, 0x1.cf4ce586ea446p-13, 0x1.c4abc4a5f1581p-13, 0x1.ba34f813170a3p-13, 0x1.afe72be88fd0ep-13, 0x1.a5c11bc265ecp-13, 0x1.9bc19231589e5p-13, 0x1.91e7683153efep-13, 0x1.883184a381dfep-13, 0x1.7e9edbcbe3e95p-13, 0x1.752e6ed25ba1dp-13, 0x1.6bdf4b471d0bap-13, 0x1.62b08aaa7247fp-13, 0x1.59a151f7cb435p-13, 0x1.50b0d133fd6f1p-13, 0x1.47de42feab6d1p-13, 0x1.3f28ec26c8f7fp-13, 0x1.36901b421d4e4p-13, 0x1.2e132847ca6fap-13, 0x1.25b1742db43cbp-13, 0x1.1d6a6888ca2e3p-13, 0x1.153d773016d11p-13, 0x1.0d2a19e295062p-13, 0x1.052fd1efac674p-13, 0x1.fa9c4fc4ad3a5p-14, 0x1.eb09565da5455p-14, 0x1.dba5e3c5c2e45p-14, 0x1.cc7130b0e9677p-14, 0x1.bd6a81d59ed68p-14, 0x1.ae91275bf2404p-14, 0x1.9fe47c5110893p-14, 0x1.9163e61f5772ep-14, 0x1.830ed40acf41ap-14, 0x1.74e4beb1fa127p-14, 0x1.66e52792d6a62p-14, 0x1.590f989403e69p-14, 0x1.4b63a391e799ap-14, 0x1.3de0e1efc4ce7p-14, 0x1.3086f42ca5e99p-14, 0x1.2355817c053d8p-14, 0x1.164c37621d4ddp-14, 0x1.096ac953c7b3p-14, 0x1.f961e0b3ab738p-15, 0x1.e03cd56f99e26p-15, 0x1.c765f72be18ep-15, 0x1.aedcd55d07e0dp-15, 0x1.96a107fc5b408p-15, 0x1.7eb22eeed80c1p-15, 0x1.670ff172036bbp-15, 0x1.4fb9fd8e8ffddp-15, 0x1.38b00790a68d2p-15, 0x1.21f1c985afdc4p-15, 0x1.0b7f02bf70557p-15, 0x1.eaaeeeb8b53p-16, 0x1.bef5dfa9dc06bp-16, 0x1.93d2711bfbe43p-16, 0x1.694442df7f8bcp-16, 0x1.3f4afb02fa5bfp-16, 0x1.15e645138eb46p-16, 0x1.da2ba2cc24edp-17, 0x1.89b2a8d1716bep-17, 0x1.3a610bf9e7d84p-17, 0x1.d86c83656e51dp-18, 0x1.3e6387cd4f0c3p-18, 0x1.4d4c3f81da1d6p-19, }}, 
      {{-0x1.2385d47c893d8p-7, -0x1.2390d1d2cd2d2p-6, -0x1.b57451f589fbdp-6, -0x1.23bba3ddccc67p-5, -0x1.6cd1407390fd8p-5, -0x1.b5febc1c87298p-5, -0x1.ff47100dcf822p-5, -0x1.24562ece40c0dp-4, -0x1.4917f0766e0a2p-4, -0x1.6de8f4a53537p-4, -0x1.92c8eb3274afbp-4, -0x1.b7b70cda9e44ep-4, -0x1.dcb21dae4356dp-4, -0x1.00dc38781994ap-3, -0x1.1363f70deace4p-3, -0x1.25ef0b6a87276p-3, -0x1.387c06c4e8309p-3, -0x1.4b094e4a05953p-3, -0x1.5d951ed839c09p-3, -0x1.701d90d248768p-3, -0x1.82a09bf9d4e5ep-3, -0x1.951c1b43c4945p-3, -0x1.a78dd09b5737ep-3, -0x1.b9f3688b00fc5p-3, -0x1.cc4a7dc4111f2p-3, -0x1.de909c7fe06fap-3, -0x1.f0c345b6dfcd1p-3, -0x1.016ff91589bc6p-2, -0x1.0a720aa253698p-2, -0x1.13668fe003b13p-2, -0x1.1c4c4116e097ap-2, -0x1.2521d7a2615bap-2, -0x1.2de60f040a5e9p-2, -0x1.3697a5e0afd2cp-2, -0x1.3f355ee8db6dcp-2, -0x1.47be01ad2e605p-2, -0x1.50305b5f907ddp-2, -0x1.588b3f820cdf8p-2, -0x1.60cd88843e82cp-2, -0x1.68f6185023835p-2, -0x1.7103d8c7342ap-2, -0x1.78f5bc309a971p-2, -0x1.80cabd9952451p-2, -0x1.8881e1270c9bfp-2, -0x1.901a345e9c17fp-2, -0x1.9792ce5eb1359p-2, -0x1.9eead00fabf74p-2, -0x1.a62164493c7f9p-2, -0x1.ad35bfee90bep-2, -0x1.b4272201beaa7p-2, -0x1.baf4d3af1c4d2p-2, -0x1.c19e285127dcp-2, -0x1.c8227d6daa22ep-2, -0x1.ce813aaca76c2p-2, -0x1.d4b9d1c9b4e45p-2, -0x1.dacbbe803c907p-2, -0x1.e0b6867338a04p-2, -0x1.e679b910df7dbp-2, -0x1.ec14ef72b3d4cp-2, -0x1.f187cc3a6bceep-2, -0x1.f6d1fb6c09aap-2, -0x1.fbf332458f38cp-2, -0x1.0075978a49c65p-1, -0x1.02dcdc850bca8p-1, -0x1.052f5006688f5p-1, -0x1.076cde451b435p-1, -0x1.099577a340d5p-1, -0x1.0ba91095ec90dp-1, -0x1.0da7a18c6a486p-1, -0x1.0f9126d73d67bp-1, -0x1.1165a08ef3d74p-1, -0x1.1325127ad819fp-1, -0x1.14cf83f79162ep-1, -0x1.1664ffddbed4dp-1, -0x1.17e5946895651p-1, -0x1.1951531c8af01p-1, -0x1.1aa850ae1550bp-1, -0x1.1beaa4e8844bcp-1, -0x1.1d186a94fb262p-1, -0x1.1e31bf618e82dp-1, -0x1.1f36c3c88c7abp-1, -0x1.20279af7ee432p-1, -0x1.21046ab8fca13p-1, -0x1.21cd5b5822fb8p-1, -0x1.2282978cf92cfp-1, -0x1.23244c628370ap-1, -0x1.23b2a91fa9f03p-1, -0x1.242ddf2feccb2p-1, -0x1.2496220c53b61p-1, -0x1.24eba7249b656p-1, -0x1.252ea5c8a47fp-1, -0x1.255f57122414cp-1, -0x1.257df5ce97688p-1, -0x1.258abe697e0f2p-1, -0x1.2585eed6db1a7p-1, -0x1.256fc67e0096dp-1, -0x1.25488624a4438p-1, -0x1.25106fda43e5p-1, -0x1.24c7c6e3d5e66p-1, -0x1.246ecfa7cd8aap-1, -0x1.2405cf9a6f616p-1, -0x1.238d0d2a7ad5fp-1, -0x1.2304cfae2ad35p-1, -0x1.226d5f508d7cep-1, -0x1.21c704ff33dcfp-1, -0x1.21120a5840933p-1, -0x1.204eb998cd974p-1, -0x1.1f7d5d8bb5613p-1, -0x1.1e9e4178b6ab8p-1, -0x1.1db1b113faf11p-1, -0x1.1cb7f86dfde5ap-1, -0x1.1bb163e3d73a5p-1, -0x1.1a9e400fe63cdp-1, -0x1.197ed9bae3b8p-1, -0x1.18537dcd56c9dp-1, -0x1.171c79416dc69p-1, -0x1.15da19153ee7cp-1, -0x1.148caa3d6b473p-1, -0x1.133479982a4d9p-1, -0x1.11d1d3e0b8bf1p-1, -0x1.106505a32dd0bp-1, -0x1.0eee5b30b4bccp-1, -0x1.0d6e20942beeep-1, -0x1.0be4a187275ep-1, -0x1.0a52296756f3ep-1, -0x1.08b7032c5021ep-1, -0x1.0713795db8a84p-1, -0x1.0567d609d3006p-1, -0x1.03b462bc6bc0dp-1, -0x1.01f96876235dap-1, -0x1.00372fa419c3bp-1, -0x1.fcdc002fe6e88p-2, -0x1.f93c420077bb3p-2, -0x1.f58fb1c24266fp-2, -0x1.f1d6db1b10ec7p-2, -0x1.ee124840f511fp-2, -0x1.ea4281edc9403p-2, -0x1.e6680f535ea6cp-2, -0x1.e28376104c594p-2, -0x1.de953a2564aafp-2, -0x1.da9dddebc5cadp-2, -0x1.d69de20b88b42p-2, -0x1.d295c5730688cp-2, -0x1.ce86054eb292ap-2, -0x1.ca6f1d0188edp-2, -0x1.c651861e05f52p-2, -0x1.c22db85fac399p-2, -0x1.be0429a5101dep-2, -0x1.b9d54dea684f5p-2, -0x1.b5a197449ab17p-2, -0x1.b16975dccb78fp-2, -0x1.ad2d57ec61435p-2, -0x1.a8eda9b981b06p-2, -0x1.a4aad593ff036p-2, -0x1.a06543d2b5eabp-2, -0x1.9c1d5ad156267p-2, -0x1.97d37eee967fap-2, -0x1.9388128ac91p-2, -0x1.8f3b7606d7558p-2, -0x1.8aee07c39aa19p-2, -0x1.86a024218f218p-2, -0x1.82522580e0a03p-2, -0x1.7e046441d08e6p-2, -0x1.79b736c567b15p-2, -0x1.756af16e7e04dp-2, -0x1.711fe6a30cf0cp-2, -0x1.6cd666cdca80fp-2, -0x1.688ec0600d9e7p-2, -0x1.64493fd3f6e57p-2, -0x1.60062faed9404p-2, -0x1.5bc5d883e399dp-2, -0x1.578880f707b24p-2, -0x1.534e6dc017ed2p-2, -0x1.4f17e1ae200ebp-2, -0x1.4ae51daaf01c6p-2, -0x1.46b660bede375p-2, -0x1.428be814b31f9p-2, -0x1.3e65eefdc9bc8p-2, -0x1.3a44aef657fbdp-2, -0x1.36285fa9e2cb3p-2, -0x1.321136f7d7e3dp-2, -0x1.2dff68f84f2bfp-2, -0x1.29f32800ed141p-2, -0x1.25eca4a9e9e5ap-2, -0x1.21ec0dd33538p-2, -0x1.1df190a9b89ecp-2, -0x1.19fd58acb67e4p-2, -0x1.160f8fb34180bp-2, -0x1.12285df1cd8dfp-2, -0x1.0e47e9ffd882dp-2, -0x1.0a6e58dda39fp-2, -0x1.069bcdfa03d17p-2, -0x1.02d06b3844ee8p-2, -0x1.fe18a1ec2d252p-3, -0x1.f69f3c23226b2p-3, -0x1.ef34dfde7d85dp-3, -0x1.e7d9c5006df83p-3, -0x1.e08e20908245p-3, -0x1.d95224c8013f5p-3, -0x1.d226011e54f3p-3, -0x1.cb09e255801bap-3, -0x1.c3fdf2869d47cp-3, -0x1.bd02592e6b2e5p-3, -0x1.b6173b39d822bp-3, -0x1.af3cbb1299d98p-3, -0x1.a872f8abbf04dp-3, -0x1.a1ba118e45568p-3, -0x1.9b1220e5acdeep-3, -0x1.947b3f8c829fbp-3, -0x1.8df58418ef85p-3, -0x1.878102e92f9e2p-3, -0x1.811dce3011412p-3, -0x1.7acbf60159cb4p-3, -0x1.748b885e2519bp-3, -0x1.6e5c914137d15p-3, -0x1.683f1aab3d6abp-3, -0x1.62332caef2e4cp-3, -0x1.5c38cd7d48aaep-3, -0x1.56500171622dap-3, -0x1.5078cb1c8bce4p-3, -0x1.4ab32b521666ep-3, -0x1.44ff213314ea4p-3, -0x1.3f5caa3a0db37p-3, -0x1.39cbc246835efp-3, -0x1.344c63a86dceap-3, -0x1.2ede872b90dfep-3, -0x1.29822422b99efp-3, -0x1.24373072dcb1ap-3, -0x1.1efda09e11927p-3, -0x1.19d567ce78af9p-3, -0x1.14be77e0f66fbp-3, -0x1.0fb8c16fd4b54p-3, -0x1.0ac433dd3e8e5p-3, -0x1.05e0bd5d9b58fp-3, -0x1.010e4b01cb1eap-3, -0x1.f8999182716d6p-4, -0x1.ef38430793357p-4, -0x1.e5f87e5764ed4p-4, -0x1.dcda153e332a6p-4, -0x1.d3dcd7a33c108p-4, -0x1.cb00939b7039bp-4, -0x1.c245157be0efap-4, -0x1.b9aa27ebe806fp-4, -0x1.b12f93f705d71p-4, -0x1.a8d5211e6e455p-4, -0x1.a09a956a4a2afp-4, -0x1.987fb57aae50fp-4, -0x1.908444983dcdp-4, -0x1.88a804c48a399p-4, -0x1.80eab6ca1abc5p-4, -0x1.794c1a4c2c814p-4, -0x1.71cbedd622a35p-4, -0x1.6a69eeeaa8532p-4, -0x1.6325da1286a4p-4, -0x1.5bff6aeb2b89p-4, -0x1.54f65c34e4a55p-4, -0x1.4e0a67e0cac55p-4, -0x1.473b471e63fbbp-4, -0x1.4088b268f52c2p-4, -0x1.39f261948aee3p-4, -0x1.33780bdab3f9dp-4, -0x1.2d1967e6f1de3p-4, -0x1.26d62be2dd5e9p-4, -0x1.20ae0d8201735p-4, -0x1.1aa0c20d6be1p-4, -0x1.14adfe6ef4188p-4, -0x1.0ed5773c39f79p-4, -0x1.0916e0c15aff3p-4, -0x1.0371ef0b620dbp-4, -0x1.fbccabe4db784p-5, -0x1.f0e79247254e5p-5, -0x1.e633f854ebe2p-5, -0x1.dbb144f54b3bfp-5, -0x1.d15edef154713p-5, -0x1.c73c2d05ae627p-5, -0x1.bd4895f3ae51ap-5, -0x1.b3838091f00b1p-5, -0x1.a9ec53dc69699p-5, -0x1.a0827704003f1p-5, -0x1.9745517d9fd07p-5, -0x1.8e344b10d32c8p-5, -0x1.854ecbe5e34fap-5, -0x1.7c943c937d4c9p-5, -0x1.7404062be12f2p-5, -0x1.6b9d9249982fep-5, -0x1.63604b1bbd21cp-5, -0x1.5b4b9b71cc30ap-5, -0x1.535eeec7096c6p-5, -0x1.4b99b14d71763p-5, -0x1.43fb4ff84641p-5, -0x1.3c8338862a872p-5, -0x1.3530d98ad7eaap-5, -0x1.2e03a2786eb36p-5, -0x1.26fb03a85f29bp-5, -0x1.20166e63f17b4p-5, -0x1.195554ec6bcfep-5, -0x1.12b72a82d9b93p-5, -0x1.0c3b636f7664cp-5, -0x1.05e17508bb53fp-5, -0x1.ff51ab742c1e9p-6, -0x1.f321fa148bc82p-6, -0x1.e732c742c8f8ap-6, -0x1.db83069d34bf2p-6, -0x1.d011ae1b0189dp-6, -0x1.c4ddb6166b45ep-6, -0x1.b9e619563b89fp-6, -0x1.af29d516bf9b9p-6, -0x1.a4a7e9121be75p-6, -0x1.9a5f578819c5ap-6, -0x1.904f254560c5p-6, -0x1.867659aa26086p-6, -0x1.7cd3feb056a6p-6, -0x1.736720f13f239p-6, -0x1.6a2ecfaaabd6ep-6, -0x1.612a1cc39746fp-6, -0x1.58581cd0565e9p-6, -0x1.4fb7e71654bbfp-6, -0x1.4748958f57f7dp-6, -0x1.3f0944ec5a12bp-6, -0x1.36f91497f3ff7p-6, -0x1.2f1726b85ea08p-6, -0x1.2762a0310fd7ep-6, -0x1.1fdaa8a3f3abep-6, -0x1.187e6a724502ep-6, -0x1.114d12bd0c4dbp-6, -0x1.0a45d1654099ep-6, -0x1.0367d90b92cb8p-6, -0x1.f964be1fcfd26p-7, -0x1.ec493720fc879p-7, -0x1.df7b92d18a6b2p-7, -0x1.d2fa4c5fd5fcfp-7, -0x1.c6c3e46e3d41dp-7, -0x1.bad6e10f1af8dp-7, -0x1.af31cdc0394d1p-7, -0x1.a3d33b65c30c7p-7, -0x1.98b9c044af2bbp-7, -0x1.8de3f7fcc6f52p-7, -0x1.835083821f7adp-7, -0x1.78fe091636261p-7, -0x1.6eeb34409cafp-7, -0x1.6516b5c73fc0ap-7, -0x1.5b7f43a64b178p-7, -0x1.52239907b226ap-7, -0x1.4902763a5bd8cp-7, -0x1.401aa0a9032abp-7, -0x1.376ae2d0b8a1dp-7, -0x1.2ef20c37258e2p-7, -0x1.26aef1607cf77p-7, -0x1.1ea06bc52bccep-7, -0x1.16c559c745ab8p-7, -0x1.0f1c9ea7b5f79p-7, -0x1.07a5227b354a8p-7, -0x1.005dd21f08b19p-7, -0x1.f28b3e5b1c3b2p-8, -0x1.e4b6ffe52fb2fp-8, -0x1.d73cdebf37e67p-8, -0x1.ca1ad9ff7320ep-8, -0x1.bd4ef9d72e8d8p-8, -0x1.b0d74f7a3cd2dp-8, -0x1.a4b1f50629672p-8, -0x1.98dd0d6930397p-8, -0x1.8d56c448ff073p-8, -0x1.821d4de944076p-8, -0x1.772ee712113d1p-8, -0x1.6c89d4f616694p-8, -0x1.622c6518bb767p-8, -0x1.5814ed3419653p-8, -0x1.4e41cb1edabbcp-8, -0x1.44b164b208d1dp-8, -0x1.3b6227aec4d82p-8, -0x1.325289a3f62dap-8, -0x1.298107d3ef6b4p-8, -0x1.20ec271a0cadbp-8, -0x1.189273d053d82p-8, -0x1.107281b5136e6p-8, -0x1.088aebd088c07p-8, -0x1.00da545a8f184p-8, -0x1.f2bec940b453p-9, -0x1.e43199d480892p-9, -0x1.d60a88c32daadp-9, -0x1.c84711ed464d3p-9, -0x1.bae4be8d43e1bp-9, -0x1.ade12503da11cp-9, -0x1.a139e8a47163fp-9, -0x1.94ecb981e71fap-9, -0x1.88f7543b8f0d7p-9, -0x1.7d5781ca7b06fp-9, -0x1.720b174f0f154p-9, -0x1.670ff5dee6105p-9, -0x1.5c640a5307dfp-9, -0x1.52054d1678197p-9, -0x1.47f1c1f51f4d1p-9, -0x1.3e2777eb11b52p-9, -0x1.34a488f436c5dp-9, -0x1.2b6719dc54ec7p-9, -0x1.226d5a0f84e4cp-9, -0x1.19b5836b0c137p-9, -0x1.113dda0ea6571p-9, -0x1.0904ac2e39afp-9, -0x1.010851e3fdda2p-9, -0x1.f28e5a062a387p-10, -0x1.e37f51d531f78p-10, -0x1.d4e074b23a6e9p-10, -0x1.c6aebe8154272p-10, -0x1.b8e73d3662c59p-10, -0x1.ab87107efb694p-10, -0x1.9e8b696d351e5p-10, -0x1.91f18a237e855p-10, -0x1.85b6c581622bp-10, -0x1.79d87ed156d76p-10, -0x1.6e542977854f1p-10, -0x1.632748a192295p-10, -0x1.584f6ef76f1cdp-10, -0x1.4dca3e4d251e7p-10, -0x1.43956755add84p-10, -0x1.39aea956cdd4ep-10, -0x1.3013d1ddf19f5p-10, -0x1.26c2bc761379ep-10, -0x1.1db9525eabeabp-10, -0x1.14f58a439c3c5p-10, -0x1.0c7567f62df6p-10, -0x1.0436fc270e6bep-10, -0x1.f870c842a387bp-11, -0x1.e8ef930cfb1cap-11, -0x1.d9e6c4172b4c5p-11, -0x1.cb52de6e5af9bp-11, -0x1.bd307c40f87cfp-11, -0x1.af7c4e5ee55bcp-11, -0x1.a2331bbba3a3fp-11, -0x1.9551c0f282357p-11, -0x1.88d52fccc5f4p-11, -0x1.7cba6ec9ccba6p-11, -0x1.70fe98a92673ep-11, -0x1.659edbf6a3762p-11, -0x1.5a987a9851207p-11, -0x1.4fe8c95e65ep-11, -0x1.458d2f95147e5p-11, -0x1.3b832698472d4p-11, -0x1.31c839693aa81p-11, -0x1.285a0445f84a7p-11, -0x1.1f363442a9eddp-11, -0x1.165a86e4c29abp-11, -0x1.0dc4c9bffa3fap-11, -0x1.0572da1513df4p-11, -0x1.fac548e4dd53dp-12, -0x1.eb2448acb2713p-12, -0x1.dbfec7a649c96p-12, -0x1.cd50f669e64c8p-12, -0x1.bf172152724bbp-12, -0x1.b14dafcfe7c0cp-12, -0x1.a3f123bd0fd1fp-12, -0x1.96fe18b89175cp-12, -0x1.8a714381430efp-12, -0x1.7e477155b6713p-12, -0x1.727d8756f5d9ep-12, -0x1.671081ee628d1p-12, -0x1.5bfd7436b2d5bp-12, -0x1.51418767fe4c9p-12, -0x1.46d9fa46d1a45p-12, -0x1.3cc420963ceadp-12, -0x1.32fd628cd5f24p-12, -0x1.29833c4c9f92p-12, -0x1.20533d5dcda35p-12, -0x1.176b082c5cb9p-12, -0x1.0ec85188700eap-12, -0x1.0668e0296c3ap-12, -0x1.fc9518678df02p-13, -0x1.ecd67d82f6d33p-13, -0x1.dd91e2da41024p-13, -0x1.cec35bbf1f39fp-13, -0x1.c0671ac02ae6dp-13, -0x1.b27970ce4168cp-13, -0x1.a4f6cc66d10c6p-13, -0x1.97dbb8c2f1b2cp-13, -0x1.8b24dd0b42d97p-13, -0x1.7ecefb9073fd3p-13, -0x1.72d6f10869d4dp-13, -0x1.6739b3cfdb764p-13, -0x1.5bf453306db37p-13, -0x1.5103f6ab225ap-13, -0x1.4665dd471086dp-13, -0x1.3c175ce456bd2p-13, -0x1.3215e1932ca27p-13, -0x1.285eecef008e8p-13, -0x1.1ef0157d9706ap-13, -0x1.15c70612111f5p-13, -0x1.0ce17d33c8a65p-13, -0x1.043d4c88f1df6p-13, -0x1.f7b0b089de053p-14, -0x1.e7612d3488bd7p-14, -0x1.d7881e6039d3fp-14, -0x1.c821b5368a427p-14, -0x1.b92a43b536a01p-14, -0x1.aa9e3bad9970bp-14, -0x1.9c7a2dcad7e35p-14, -0x1.8ebac89e5f5a8p-14, -0x1.815cd7b2c8d3cp-14, -0x1.745d42a4dfb44p-14, -0x1.67b90c42b9f6fp-14, -0x1.5b6d51b0bd873p-14, -0x1.4f774994753c7p-14, -0x1.43d4434512b1fp-14, -0x1.3881a601841f6p-14, -0x1.2d7cf02bf8e74p-14, -0x1.22c3b68abd709p-14, -0x1.1853a38e4bb49p-14, -0x1.0e2a769c77a57p-14, -0x1.0446036097e6ap-14, -0x1.f54862411f46fp-15, -0x1.e285f42d3c44fp-15, -0x1.d040d59fb2d7ep-15, -0x1.be75431e6bdcp-15, -0x1.ad1f9b6a0c724p-15, -0x1.9c3c5e55a52bap-15, -0x1.8bc82ba6e6073p-15, -0x1.7bbfc1fea475ep-15, -0x1.6c1ffdc97db53p-15, -0x1.5ce5d83865399p-15, -0x1.4e0e6640f6ce5p-15, -0x1.3f96d7a5520cdp-15, -0x1.317c760357e5ep-15, -0x1.23bca3eb1f5ddp-15, -0x1.1654dbfc6ab6ap-15, -0x1.0942b00afbe3fp-15, -0x1.f90790932e902p-16, -0x1.e02bc4f71a327p-16, -0x1.c7eda25938c9cp-16, -0x1.b048f5de18c6p-16, -0x1.9939b33f9ed7cp-16, -0x1.82bbf3611659fp-16, -0x1.6ccbf2eebdaf1p-16, -0x1.5766110880be7p-16, -0x1.4286cdf79bad7p-16, -0x1.2e2ac9eedf35bp-16, -0x1.1a4ec3d544741p-16, -0x1.06ef981a996cp-16, -0x1.e8147f2bedf81p-17, -0x1.c3379cdb8779ap-17, -0x1.9f42e611fbc88p-17, -0x1.7c30ea1320be4p-17, -0x1.59fc689ee48bdp-17, -0x1.38a05008a31d1p-17, -0x1.1817bb5f218cp-17, -0x1.f0bbe14965f5cp-18, -0x1.b2dcbe2e2fbc1p-18, -0x1.76893b0d4c488p-18, -0x1.3bb8d17895f9cp-18, -0x1.026343dbf6e1bp-18, -0x1.95013504a9d8bp-19, -0x1.2812416b72541p-19, -0x1.7bd587e7b45dbp-20, -0x1.59f13b061664ap-21, 0x1.c8e2c22c7cabcp-24, 0x1.c1b3c5a59152bp-21, 0x1.a004bbdfbcaeep-20, 0x1.2d140eabbc64ap-19, 0x1.87ae536de97fdp-19, 0x1.dfdd1d12ecb9p-19, 0x1.1ad600cd7e378p-18, 0x1.4493200ce17d6p-18, 0x1.6d2b623f90f2fp-18, 0x1.94a4159d0edb2p-18, 0x1.bb02625b919f8p-18, 0x1.e04b4c5d6b6b9p-18, 0x1.0241da669eaa9p-17, 0x1.13d82dd4c6fcp-17, 0x1.24eaf0a021068p-17, 0x1.357c63cd40aadp-17, 0x1.458eb9ecc537ap-17, 0x1.552417c278be8p-17, 0x1.643e94e56111bp-17, 0x1.72e03c59099c6p-17, 0x1.810b0d2023c6p-17, 0x1.8ec0fac8e353fp-17, 0x1.9c03edf3239f4p-17, 0x1.a8d5c4d0a0b24p-17, 0x1.b538539f7c833p-17, 0x1.c12d651f3171dp-17, 0x1.ccb6bb0038a49p-17, 0x1.d7d60e4e86dcep-17, 0x1.e28d0fd70afe2p-17, 0x1.ecdd68886f21cp-17, 0x1.f6c8b9cf3909fp-17, 0x1.00284ef6b9e02p-16, 0x1.04bb54270b1fdp-16, 0x1.091e32ea24e0ap-16, 0x1.0d51ae935cbbdp-16, 0x1.1156877b8a08bp-16, 0x1.152d7b22ea50fp-16, 0x1.18d744514c0edp-16, 0x1.1c549b347efbdp-16, 0x1.1fa6357d25526p-16, 0x1.22ccc679f8be9p-16, 0x1.25c8ff3185df5p-16, 0x1.289b8e7a81a75p-16, 0x1.2b452112b221ep-16, 0x1.2dc661b48c788p-16, 0x1.301ff92b883a8p-16, 0x1.32528e673ccb6p-16, 0x1.345ec68d547f7p-16, 0x1.3645450a64897p-16, 0x1.3806aba1af7b5p-16, 0x1.39a39a7be45f4p-16, 0x1.3b1cb034ea42cp-16, 0x1.3c7289e8b3e0bp-16, 0x1.3da5c33f3613dp-16, 0x1.3eb6f67786d5dp-16, 0x1.3fa6bc722b465p-16, 0x1.4075acba9ed18p-16, 0x1.41245d9026317p-16, 0x1.41b363ede7ce4p-16, 0x1.422353926426fp-16, 0x1.4274bf06470d6p-16, 0x1.42a837a2a0d8p-16, 0x1.42be4d9695f1cp-16, 0x1.42b78fec7c23bp-16, 0x1.42948c8e7ecfap-16, 0x1.4255d04ac3a05p-16, 0x1.41fbe6d71ed09p-16, }}, 
      {{0x1.ffbb0af807fcfp-1, 0x1.feed6f4dfcf39p-1, 0x1.fd9ad682de1c9p-1, 0x1.fbc8fe54d1f48p-1, 0x1.f97f4feb40915p-1, 0x1.f6c6719dd73bfp-1, 0x1.f3a7ddb7d4456p-1, 0x1.f02d83e2e55abp-1, 0x1.ec6177dd10f92p-1, 0x1.e84dae3502d41p-1, 0x1.e3fbc6a03fee1p-1, 0x1.df74e2d6e305p-1, 0x1.dac1888ca7f59p-1, 0x1.d5e98d013c22ep-1, 0x1.d0f408a58eddap-1, 0x1.cbe7516b55d31p-1, 0x1.c6c8fa75ea8c8p-1, 0x1.c19dd80a0002bp-1, 0x1.bc6a06c09a2d3p-1, 0x1.b730f526f0349p-1, 0x1.b1f56f1723dbap-1, 0x1.acb9aa346d8cp-1, 0x1.a77f53105f477p-1, 0x1.a2479a96486cfp-1, 0x1.9d13436ddcdc9p-1, 0x1.97e2af1748b73p-1, 0x1.92b5ea91453b9p-1, 0x1.8d8cba65d0efcp-1, 0x1.8866a60434da7p-1, 0x1.834302575643bp-1, 0x1.7e20fb8e216fap-1, 0x1.78ff9e116b62dp-1, 0x1.73dddea7254e7p-1, 0x1.6ebaa1c645287p-1, 0x1.6994c221939cbp-1, 0x1.646b1671ab985p-1, 0x1.5f3c768803f5p-1, 0x1.5a07bfb5f81ecp-1, 0x1.54cbd8936fa3fp-1, 0x1.4f87b4312957ep-1, 0x1.4a3a54c2c5fcfp-1, 0x1.44e2cdcc90bebp-1, 0x1.3f8045e0bcf27p-1, 0x1.3a11f7f762a2dp-1, 0x1.3497346c00ccp-1, 0x1.2f0f61aaad676p-1, 0x1.2979fc968222bp-1, 0x1.23d698b21a91cp-1, 0x1.1e24e01255f29p-1, 0x1.18649322d8153p-1, 0x1.129588431b351p-1, 0x1.0cb7ab4242f13p-1, 0x1.06cafcbf3b324p-1, 0x1.00cf91721ce44p-1, 0x1.f58b22c6867ecp-2, 0x1.e95a6e27f7e3dp-2, 0x1.dd0d9d387ba18p-2, 0x1.d0a56980d8ac8p-2, 0x1.c422ac037ec0fp-2, 0x1.b7865b5727e53p-2, 0x1.aad189bf22e8fp-2, 0x1.9e0563449c194p-2, 0x1.91232bd3a3693p-2, 0x1.842c3d5e4f6d4p-2, 0x1.77220607e7fcfp-2, 0x1.6a060659b735fp-2, 0x1.5cd9cf82c7a7cp-2, 0x1.4f9f01a39bef9p-2, 0x1.42574a26b1fe8p-2, 0x1.350462266aa66p-2, 0x1.27a80ce0d336fp-2, 0x1.1a4416399b7dbp-2, 0x1.0cda514a7156ap-2, 0x1.fed92e03ba21cp-3, 0x1.e3f989a13e32fp-3, 0x1.c91976cb1f97bp-3, 0x1.ae3cbaefb56adp-3, 0x1.93671d3efa35ap-3, 0x1.789c6477a6d31p-3, 0x1.5de054d0027d9p-3, 0x1.4336adf9f3ecdp-3, 0x1.28a32941d5ba8p-3, 0x1.0e2977c77dcbep-3, 0x1.e79a81a1e7a1p-4, 0x1.b324406c7f137p-4, 0x1.7ef749cb68cc5p-4, 0x1.4b1a9f0068404p-4, 0x1.179522196b717p-4, 0x1.c8db270a20d4dp-5, 0x1.63551fa6b3961p-5, 0x1.fd4a36855f707p-6, 0x1.35af6eba438d2p-6, 0x1.bfc9f1ae8152bp-8, -0x1.4f52e3434b9f4p-8, -0x1.158efc224d3acp-6, -0x1.d525d0acc9a1ep-6, -0x1.4941bb213cc61p-5, -0x1.a6c976c5d590fp-5, -0x1.018ffeea82887p-4, -0x1.2f1dcb56ff6b7p-4, -0x1.5c0976693beb6p-4, -0x1.884e88ffd050ap-4, -0x1.b3e8bf87275fep-4, -0x1.ded40a4e53e7fp-4, -0x1.048646e0e83fp-3, -0x1.19475146a6e54p-3, -0x1.2dab6ad2d53acp-3, -0x1.41b0f41e1ba8ap-3, -0x1.555667ce2e829p-3, -0x1.689a5a7a5bb4ep-3, -0x1.7b7b7a865c845p-3, -0x1.8df88ff3e764ap-3, -0x1.a0107c2b9850cp-3, -0x1.b1c239bd95ad8p-3, -0x1.c30cdc1a83b97p-3, -0x1.d3ef8f4538e5p-3, -0x1.e469977da64bfp-3, -0x1.f47a50e56f76bp-3, -0x1.0210978f501b6p-2, -0x1.09aede7277ba4p-2, -0x1.1117cdd0fa0a2p-2, -0x1.184b417e5dd56p-2, -0x1.1f49203293a26p-2, -0x1.26115b4db3fe6p-2, -0x1.2ca3ee99ff618p-2, -0x1.3300e00c4d689p-2, -0x1.39283f8317618p-2, -0x1.3f1a2684446bdp-2, -0x1.44d6b7f9e5cc8p-2, -0x1.4a5e1fee06349p-2, -0x1.4fb09345b0ea5p-2, -0x1.54ce4f7b58dc7p-2, -0x1.59b79a58bed7cp-2, -0x1.5e6cc1b073068p-2, -0x1.62ee1b171f756p-2, -0x1.673c039ca4dbp-2, -0x1.6b56df853ae51p-2, -0x1.6f3f1a029bf39p-2, -0x1.72f524ed675e5p-2, -0x1.7679787ec3efdp-2, -0x1.79cc930a600e2p-2, -0x1.7ceef8b8e8a32p-2, -0x1.7fe1334302333p-2, -0x1.82a3d1acde156p-2, -0x1.853768027cf42p-2, -0x1.879c8f14abc8p-2, -0x1.89d3e436cd553p-2, -0x1.8bde08fd82a32p-2, -0x1.8dbba2fe35f58p-2, -0x1.8f6d5b8fa1c5bp-2, -0x1.90f3df8b518c8p-2, -0x1.924fdf10341a5p-2, -0x1.93820d46405fcp-2, -0x1.948b202337341p-2, -0x1.956bd0308e6bp-2, -0x1.9624d852861a5p-2, -0x1.96b6f590746p-2, -0x1.9722e6de48fa9p-2, -0x1.97696ce7509eap-2, -0x1.978b49da3a3bfp-2, -0x1.978941366379bp-2, -0x1.9764179a705f1p-2, -0x1.971c92942bf4bp-2, -0x1.96b37871ba3b5p-2, -0x1.9629901417f1bp-2, -0x1.957fa0c2eacep-2, -0x1.94b67201a37c8p-2, -0x1.93cecb65f0f29p-2, -0x1.92c9746f7eee1p-2, -0x1.91a734610b80cp-2, -0x1.9068d21ac5249p-2, -0x1.8f0f13f5f4ddap-2, -0x1.8d9abfa1f62b4p-2, -0x1.8c0c9a02746e5p-2, -0x1.8a65670eec724p-2, -0x1.88a5e9b372189p-2, -0x1.86cee3b2b38ebp-2, -0x1.84e115893a7e3p-2, -0x1.82dd3e51dee74p-2, -0x1.80c41bab7551bp-2, -0x1.7e96699fa6bep-2, -0x1.7c54e28af64afp-2, -0x1.7a003f05eca4bp-2, -0x1.779935cf64d93p-2, -0x1.75207bb7f8cd8p-2, -0x1.7296c38e81e62p-2, -0x1.6ffcbe0db0853p-2, -0x1.6d5319caae7efp-2, -0x1.6a9a8324cb325p-2, -0x1.67d3a4362b1dfp-2, -0x1.64ff24c57457fp-2, -0x1.621daa387383bp-2, -0x1.5f2fd787b46dcp-2, -0x1.5c364d330431bp-2, -0x1.5931a936df1bbp-2, -0x1.56228702bdf63p-2, -0x1.53097f703d7bdp-2, -0x1.4fe728bb1f0d3p-2, -0x1.4cbc167a188c5p-2, -0x1.4988d9986e878p-2, -0x1.464e0050544dbp-2, -0x1.430c16260a019p-2, -0x1.3fc3a3e3b597ep-2, -0x1.3c752f95efb66p-2, -0x1.39213c88fcfacp-2, -0x1.35c84b46b4f9ep-2, -0x1.326ad99504f0ap-2, -0x1.2f09627518428p-2, -0x1.2ba45e2312fcbp-2, -0x1.283c421662c24p-2, -0x1.24d181029ce69p-2, -0x1.21648ad8e4dd9p-2, -0x1.1df5ccc9d3198p-2, -0x1.1a85b147df67fp-2, -0x1.1714a00a3efacp-2, -0x1.13a2fe103a81cp-2, -0x1.10312da4f0053p-2, -0x1.0cbf8e6382428p-2, -0x1.094e7d3bab6fap-2, -0x1.05de5476b04dfp-2, -0x1.026f6bbcb4007p-2, -0x1.fe043034b8b9ep-3, -0x1.f72d580da4522p-3, -0x1.f05aeed4120e6p-3, -0x1.e98d8f46ac3a2p-3, -0x1.e2c5cf209cd52p-3, -0x1.dc043f27c8eb1p-3, -0x1.d5496b3b8fdbcp-3, -0x1.ce95da63f978ap-3, -0x1.c7ea0ee15ca33p-3, -0x1.c146863c62481p-3, -0x1.baabb9566e625p-3, -0x1.b41a1c7a60141p-3, -0x1.ad921f6da38c8p-3, -0x1.a7142d818f939p-3, -0x1.a0a0ada5050e2p-3, -0x1.9a38027655c18p-3, -0x1.93da8a5558d4cp-3, -0x1.8d889f75b6bbep-3, -0x1.874297f166657p-3, -0x1.8108c5db4a128p-3, -0x1.7adb7751f1201p-3, -0x1.74baf6927b3d8p-3, -0x1.6ea78a0b8b781p-3, -0x1.68a1747053e7cp-3, -0x1.62a8f4cbae8d5p-3, -0x1.5cbe46933e1b7p-3, -0x1.56e1a1ba95c91p-3, -0x1.51133ac66204fp-3, -0x1.4b5342df8cc38p-3, -0x1.45a1e7e661cc3p-3, -0x1.3fff548599853p-3, -0x1.3a6bb0456ac83p-3, -0x1.34e71f9e76e4bp-3, -0x1.2f71c40cae988p-3, -0x1.2a0bbc221a01bp-3, -0x1.24b52399862cfp-3, -0x1.1f6e136913da8p-3, -0x1.1a36a1d4a77a3p-3, -0x1.150ee280389b5p-3, -0x1.0ff6e681f2be4p-3, -0x1.0aeebc743ae1bp-3, -0x1.05f670878129dp-3, -0x1.010e0c93ea114p-3, -0x1.f86b30559901ap-4, -0x1.eeda314fed736p-4, -0x1.e56922859c9d3p-4, -0x1.dc18063e65146p-4, -0x1.d2e6dabc5b272p-4, -0x1.c9d59a5ce3596p-4, -0x1.c0e43bb935427p-4, -0x1.b812b1c66f94cp-4, -0x1.af60ebf53d51ep-4, -0x1.a6ced650ffd8ep-4, -0x1.9e5c599e8154p-4, -0x1.96095b7a2d973p-4, -0x1.8dd5be75d5d3dp-4, -0x1.85c16235ede57p-4, -0x1.7dcc238e53665p-4, -0x1.75f5dc9e93761p-4, -0x1.6e3e64edb123p-4, -0x1.66a591856a2b1p-4, -0x1.5f2b350cfd40ap-4, -0x1.57cf1fe36bd6ap-4, -0x1.509120393b80ep-4, -0x1.49710229b5528p-4, -0x1.426e8fd3a1786p-4, -0x1.3b899171812c5p-4, -0x1.34c1cd71472d8p-4, -0x1.2e17088b8bc0dp-4, -0x1.278905da41da7p-4, -0x1.211786eee7752p-4, -0x1.1ac24be837f39p-4, -0x1.148913875bcc5p-4, -0x1.0e6b9b449a3fbp-4, -0x1.08699f6389666p-4, -0x1.0282db06c3748p-4, -0x1.f96e10863721dp-5, -0x1.ee0bc064af0ep-5, -0x1.e2de360adc4c8p-5, -0x1.d7e4e02c94f9ap-5, -0x1.cd1f2bf22ee28p-5, -0x1.c28c851a20c91p-5, -0x1.b82c5619bd325p-5, -0x1.adfe083cfc316p-5, -0x1.a40103c55fcbep-5, -0x1.9a34b007f1e8cp-5, -0x1.9098738a6002fp-5, -0x1.872bb41f35ae7p-5, -0x1.7dedd7013b358p-5, -0x1.74de40edf9039p-5, -0x1.6bfc563f6632cp-5, -0x1.63477b04c23b4p-5, -0x1.5abf131a9c964p-5, -0x1.526282421102ep-5, -0x1.4a312c373ae46p-5, -0x1.422a74c6dce82p-5, -0x1.3a4dbfe34bbbdp-5, -0x1.329a71b893601p-5, -0x1.2b0feebfe1a7fp-5, -0x1.23ad9bd239687p-5, -0x1.1c72de3a6b2d8p-5, -0x1.155f1bc661889p-5, -0x1.0e71bad7b6c3p-5, -0x1.07aa2273a74fbp-5, -0x1.0107ba52544ffp-5, -0x1.f513d5dacd6d6p-6, -0x1.e8603b1c1f075p-6, -0x1.dbf378b4d083fp-6, -0x1.cfcc64c4770fep-6, -0x1.c3e9d7566a3adp-6, -0x1.b84aaa78fcb7ep-6, -0x1.acedba5396b77p-6, -0x1.a1d1e53bb28e6p-6, -0x1.96f60bc8c7a1ap-6, -0x1.8c5910e72c06fp-6, -0x1.81f9d9e9e957p-6, -0x1.77d74e9b9593fp-6, -0x1.6df0594e35115p-6, -0x1.6443e6ea23f54p-6, -0x1.5ad0e6fc1781dp-6, -0x1.51964bc237275p-6, -0x1.48930a3858a15p-6, -0x1.3fc61a23597ccp-6, -0x1.372e761bb22e3p-6, -0x1.2ecb1b972f02ep-6, -0x1.269b0af1e78e8p-6, -0x1.1e9d47767110cp-6, -0x1.16d0d7655930cp-6, -0x1.0f34c3fbdfe9ap-6, -0x1.07c8197a0ee96p-6, -0x1.0089e728150dep-6, -0x1.f2f27eb613c3dp-7, -0x1.e52a6ef20da09p-7, -0x1.d7b9cff94f46p-7, -0x1.ca9ed8efe8d7ep-7, -0x1.bdd7c72d7a90fp-7, -0x1.b162de40c4bd6p-7, -0x1.a53e67f231efep-7, -0x1.9968b4455e41cp-7, -0x1.8de019799b9dfp-7, -0x1.82a2f4098562ep-7, -0x1.77afa6a9ad351p-7, -0x1.6d049a465f9a2p-7, -0x1.62a03e0096e12p-7, -0x1.5881072a20907p-7, -0x1.4ea57140efb91p-7, -0x1.450bfde9bbfc7p-7, -0x1.3bb334e9e1ep-7, -0x1.3299a42099d1bp-7, -0x1.29bddf7f8114dp-7, -0x1.211e810286e34p-7, -0x1.18ba28a73e0aap-7, -0x1.108f7c639e483p-7, -0x1.089d281c390bap-7, -0x1.00e1dd99eb9f7p-7, -0x1.f2b8a8fe25969p-8, -0x1.e41694788f141p-8, -0x1.d5db040955c14p-8, -0x1.c80389838f2edp-8, -0x1.ba8dc20e1bd4bp-8, -0x1.ad775609e3d5p-8, -0x1.a0bdf8f75e30ep-8, -0x1.945f695b727c7p-8, -0x1.885970a3bc61ap-8, -0x1.7ca9e30a3c7d6p-8, -0x1.714e9f7882b16p-8, -0x1.66458f6a566afp-8, -0x1.5b8ca6cfed32ap-8, -0x1.5121e3efb20d6p-8, -0x1.47034f47ac99dp-8, -0x1.3d2efb6e8b023p-8, -0x1.33a304f45c8ebp-8, -0x1.2a5d9242ffa76p-8, -0x1.215cd37e4f61cp-8, -0x1.189f026416816p-8, -0x1.1022622bce66ep-8, -0x1.07e53f66325cfp-8, -0x1.ffcbdfb95a5d7p-9, -0x1.f045a4e152ee6p-9, -0x1.e1349df58dd79p-9, -0x1.d295ac5402973p-9, -0x1.c465c2c58df7p-9, -0x1.b6a1e53c1883p-9, -0x1.a9472890b6cedp-9, -0x1.9c52b241d58d8p-9, -0x1.8fc1b831732c5p-9, -0x1.839180637b34p-9, -0x1.77bf60bc44018p-9, -0x1.6c48bebf3aa81p-9, -0x1.612b0f4dc5fe2p-9, -0x1.5663d6666c18ap-9, -0x1.4bf0a6e43912fp-9, -0x1.41cf223e79286p-9, -0x1.37fcf848c46dep-9, -0x1.2e77e6f36bf05p-9, -0x1.253dba0c4325p-9, -0x1.1c4c4affd720fp-9, -0x1.13a1809b1427p-9, -0x1.0b3b4ecd5cecap-9, -0x1.0317b66b1db87p-9, -0x1.f66989e1bc557p-10, -0x1.e721288da6bfep-10, -0x1.d8529509fa3fap-10, -0x1.c9fa336f9b119p-10, -0x1.bc147f4abf714p-10, -0x1.ae9e0b2685072p-10, -0x1.a1938019b1d34p-10, -0x1.94f19d54ae194p-10, -0x1.88b537b0ad28dp-10, -0x1.7cdb3940248cp-10, -0x1.7160a0e079f4p-10, -0x1.664281ccfe6afp-10, -0x1.5b7e03333b4a3p-10, -0x1.51105fc886d41p-10, -0x1.46f6e560f5d4ap-10, -0x1.3d2ef487a148bp-10, -0x1.33b60018424ap-10, -0x1.2a898cda31c4ep-10, -0x1.21a7311cc0b4p-10, -0x1.190c9454f8a63p-10, -0x1.10b76ebcb0498p-10, -0x1.08a588f315c2ep-10, -0x1.00d4bb9e8ed89p-10, -0x1.f285de200306cp-11, -0x1.e3dc35cf0cb8dp-11, -0x1.d5a88b74f58dbp-11, -0x1.c7e70975f6527p-11, -0x1.ba93f6c183e64p-11, -0x1.adabb626d49dcp-11, -0x1.a12ac5ac2e919p-11, -0x1.950dbde8fa919p-11, -0x1.895151629a9b9p-11, -0x1.7df24bec0242cp-11, -0x1.72ed920809d2fp-11, -0x1.6840204e7f564p-11, -0x1.5de70ad3eb95cp-11, -0x1.53df7c940b876p-11, -0x1.4a26b6def6bb4p-11, -0x1.40ba10c8f2553p-11, -0x1.3796f69ce6701p-11, -0x1.2ebae95175b1dp-11, -0x1.26237e00afa12p-11, -0x1.1dce5d6257a8dp-11, -0x1.15b94348bd2e9p-11, -0x1.0de1fe201d14ep-11, -0x1.06466e708740bp-11, -0x1.fdc90cc48576fp-12, -0x1.ef7492894df87p-12, -0x1.e18b962ed3c95p-12, -0x1.d40a602ca79d7p-12, -0x1.c6ed588eb3ca5p-12, -0x1.ba31061627ee2p-12, -0x1.add20d5f0fd92p-12, -0x1.a1cd300a87c19p-12, -0x1.961f4bed7c33p-12, -0x1.8ac55a43ee83cp-12, -0x1.7fbc6ee8a5f1dp-12, -0x1.7501b79144d99p-12, -0x1.6a927b0eaf8e3p-12, -0x1.606c1891ba78ap-12, -0x1.568c06f4096c3p-12, -0x1.4cefd4051561p-12, -0x1.439523db4a9e7p-12, -0x1.3a79b0292b84fp-12, -0x1.319b47966b5b8p-12, -0x1.28f7cd1cf0753p-12, -0x1.208d3769b26f2p-12, -0x1.185990415b4bcp-12, -0x1.105af3e8a8b9fp-12, -0x1.088f9090744dep-12, -0x1.00f5a5c5552a8p-12, -0x1.f31707c5a5161p-13, -0x1.e49f17141685bp-13, -0x1.d6805a37a4629p-13, -0x1.c8b7d06c42fd6p-13, -0x1.bb429669bf5b1p-13, -0x1.ae1de56bcd78ep-13, -0x1.a14712406bdc8p-13, -0x1.94bb8c5c9454cp-13, -0x1.8878dcf7107b9p-13, -0x1.7c7ca62956f43p-13, -0x1.70c4a21650121p-13, -0x1.654ea216eefd8p-13, -0x1.5a188dec7b4f7p-13, -0x1.4f2062f86d6a8p-13, -0x1.44643379c626dp-13, -0x1.39e225cfc5e3ap-13, -0x1.2f9873c1e0c51p-13, -0x1.258569ccdfe7bp-13, -0x1.1ba7667507e73p-13, -0x1.11fcd99d30e8cp-13, -0x1.088443e2ba8a1p-13, -0x1.fe786bfc6bc0ep-14, -0x1.ec46a05161a27p-14, -0x1.da70830b234bcp-14, -0x1.c8f38f21b10d2p-14, -0x1.b7cd5b237d7f7p-14, -0x1.a6fb98231f96dp-14, -0x1.967c10ad4de76p-14, -0x1.864ca7c7019a5p-14, -0x1.766b57f375987p-14, -0x1.66d63241ed8e5p-14, -0x1.578b5d6307b9ap-14, -0x1.488914c573d83p-14, -0x1.39cda7b9dcf65p-14, -0x1.2b57789ddf33dp-14, -0x1.1d24fc0dda7abp-14, -0x1.0f34b81d7b3dcp-14, -0x1.01854396cb22cp-14, -0x1.e82a8a7f48f41p-15, -0x1.cdc6e64abb4b7p-15, -0x1.b3dd23dd099acp-15, -0x1.9a6ae8650c147p-15, -0x1.816df3ae27638p-15, -0x1.68e41ee658b5bp-15, -0x1.50cb5b6f33031p-15, -0x1.3921b1b980d53p-15, -0x1.21e5402b4841ep-15, -0x1.0b143a0fe73fap-15, -0x1.e959cd2406493p-16, -0x1.bd5b3f7e1436fp-16, -0x1.9229a32802c12p-16, -0x1.67c1f226c3e5bp-16, -0x1.3e2146c77ba7bp-16, -0x1.1544d9edf3e88p-16, -0x1.da5402e74603ep-17, -0x1.8b9c5d2dd3395p-17, -0x1.3e5dd8f3eb43fp-17, -0x1.e5277ac3be404p-18, -0x1.5072ff7bbcc0cp-18, -0x1.7d2b030a92685p-19, -0x1.7c34a120b3166p-21, 0x1.7307a1ea9f48dp-20, 0x1.cc9797e0e780bp-19, 0x1.6d1eaa1ad177cp-18, 0x1.f141d7673384dp-18, 0x1.395e3677875b4p-17, 0x1.78caa632c83dp-17, 0x1.b6e991ec338c4p-17, 0x1.f3be38a2891edp-17, 0x1.17a5e1810793fp-16, 0x1.34caa282de73bp-16, 0x1.514edfc265205p-16, 0x1.6d3410d68b898p-16, 0x1.887ba535921eep-16, 0x1.a32704e0242f2p-16, 0x1.bd379103ccaa8p-16, 0x1.d6aea4951c7a4p-16, 0x1.ef8d94e1c6e12p-16, 0x1.03ead90d80232p-15, 0x1.0fc423ec2ce43p-15, 0x1.1b534ec9b527p-15, 0x1.2698fb8e3f5bep-15, 0x1.3195ca8449073p-15, 0x1.3c4a5a8c69c9bp-15, 0x1.46b7494df5207p-15, 0x1.50dd3364a10e1p-15, 0x1.5abcb48b4521cp-15, 0x1.645667c3d80c1p-15, 0x1.6daae77cbd6a3p-15, 0x1.76bacdb384ec4p-15, 0x1.7f86b41533b2fp-15, 0x1.880f341c2e3b4p-15, 0x1.9054e72bdcc95p-15, 0x1.985866aa2442p-15, 0x1.a01a4c16c85a8p-15, 0x1.a79b3120cba6p-15, 0x1.aedbafb9e7169p-15, 0x1.b5dc62282d7a3p-15, 0x1.bc9de315ec3fcp-15, 0x1.c320cd9fdfdap-15, 0x1.c965bd61d1025p-15, 0x1.cf6d4e81a7777p-15, 0x1.d5381db90c86p-15, 0x1.dac6c85da5a2ap-15, 0x1.e019ec680278fp-15, 0x1.e532287944ebp-15, 0x1.ea101bdf99b38p-15, 0x1.eeb466998f00bp-15, 0x1.f31fa95856b6ep-15, 0x1.f752858106044p-15, 0x1.fb4d9d2cdba22p-15, 0x1.ff1193289f812p-15, 0x1.014f85799270ap-14, 0x1.02fb545d7ece2p-14, 0x1.048c88adb42dep-14, 0x1.0603752c45835p-14, 0x1.07606ced7e806p-14, 0x1.08a3c35559439p-14, 0x1.09cdcc14a88b1p-14, 0x1.0adedb25fb1bfp-14, 0x1.0bd744ca3e4f9p-14, 0x1.0cb75d8524a3ap-14, 0x1.0d7f7a195248cp-14, 0x1.0e2fef8458273p-14, 0x1.0ec912fa7d873p-14, 0x1.0f4b39e2604a8p-14, 0x1.0fb6b9d06b894p-14, }}, 
      {{0x1.ffe900037677bp-1, 0x1.ffa4411609a34p-1, 0x1.ff32816f4e9ccp-1, 0x1.fe94effe92bf2p-1, 0x1.fdcd1bdfe2706p-1, 0x1.fcdce2408296bp-1, 0x1.fbc65c4d91bc7p-1, 0x1.fa8bce28284fcp-1, 0x1.f92f976dd4d2ap-1, 0x1.f7b4259b398d6p-1, 0x1.f61be85e381fap-1, 0x1.f46947ce1383p-1, 0x1.f29e9c6ce9ca3p-1, 0x1.f0be28cb394cap-1, 0x1.eeca14a110a73p-1, 0x1.ecc4692f44661p-1, 0x1.eaaf0ebc180d3p-1, 0x1.e88bcb01663f1p-1, 0x1.e65c4065b9419p-1, 0x1.e421eddd8a7ccp-1, 0x1.e1de2f55c7e8ap-1, 0x1.df923e8c757p-1, 0x1.dd3f343fd5877p-1, 0x1.dae6099fc419p-1, 0x1.d88799efe6398p-1, 0x1.d624a44bf5173p-1, 0x1.d3bdcd81c1cb8p-1, 0x1.d153a1f6a8f4fp-1, 0x1.cee6978fec43ep-1, 0x1.cc770f97063a3p-1, 0x1.ca0558946135cp-1, 0x1.c791b01c06604p-1, 0x1.c51c4488dad82p-1, 0x1.c2a536a3dae29p-1, 0x1.c02c9b357b75ap-1, 0x1.bdb27c7ff9d7ep-1, 0x1.bb36dba1e09d4p-1, 0x1.b8b9b1e077e65p-1, 0x1.b63af1da3197ap-1, 0x1.b3ba88a167bdbp-1, 0x1.b1385ebffeb06p-1, 0x1.aeb45924af8cdp-1, 0x1.ac2e59fad7cfap-1, 0x1.a9a6416dce75dp-1, 0x1.a71bee58cd906p-1, 0x1.a48f3ee486b09p-1, 0x1.a20011138552bp-1, 0x1.9f6e433e7d978p-1, 0x1.9cd9b481a6eefp-1, 0x1.9a42451c39185p-1, 0x1.97a7d6c31d78fp-1, 0x1.950a4ce7daaf8p-1, 0x1.92698cf4b514ap-1, 0x1.8fc57e7ef2f9bp-1, 0x1.8d1e0b702805dp-1, 0x1.8a732027597bcp-1, 0x1.87c4ab92c6d02p-1, 0x1.85129f430b8c3p-1, 0x1.825cef784bb99p-1, 0x1.7fa3932a099d1p-1, 0x1.7ce6840a37dd4p-1, 0x1.7a25be8411f5fp-1, 0x1.776141b735ad7p-1, 0x1.74990f6f74baap-1, 0x1.71cd2c19c1ca5p-1, 0x1.6efd9eb69b9edp-1, 0x1.6c2a70ca4e78fp-1, 0x1.6953ae4b553cep-1, 0x1.6679658f28637p-1, 0x1.639ba735b5dfp-1, 0x1.60ba8613be6d7p-1, 0x1.5dd6171c4e375p-1, 0x1.5aee71497c7efp-1, 0x1.5803ad849e92bp-1, 0x1.5515e68e15979p-1, 0x1.522538e4d514p-1, 0x1.4f31c2adc4c1ep-1, 0x1.4c3ba39b14bddp-1, 0x1.4942fcd39f914p-1, 0x1.4647f0da6cc81p-1, 0x1.434aa3766814ap-1, 0x1.404b399a5d80fp-1, 0x1.3d49d94d492f7p-1, 0x1.3a46a993068bbp-1, 0x1.3741d2556d6f3p-1, 0x1.343b7c4de12e5p-1, 0x1.3133d0ef5fd9bp-1, 0x1.2e2afa5114ffep-1, 0x1.2b212319784a9p-1, 0x1.28167669fa9aep-1, 0x1.250b1fcb498fcp-1, 0x1.21ff4b1a28949p-1, 0x1.1ef32474e5a0ep-1, 0x1.1be6d8296b33p-1, 0x1.18da92a3edc2fp-1, 0x1.15ce805e3ad6ap-1, 0x1.12c2cdcfa6a25p-1, 0x1.0fb7a75d97fdcp-1, 0x1.0cad394cb5895p-1, 0x1.09a3afb2afd62p-1, 0x1.069b3668a858p-1, 0x1.0393f8fe36e49p-1, 0x1.008e22ad0644cp-1, 0x1.fb13bc9a19cfdp-2, 0x1.f50eac92b167ep-2, 0x1.ef0d692ae360cp-2, 0x1.e91045469b369p-2, 0x1.e31792b3a5bd9p-2, 0x1.dd23a217d0165p-2, 0x1.d734c2e01b447p-2, 0x1.d14b4330fcefp-2, 0x1.cb676fd7a7215p-2, 0x1.c589943c53f8dp-2, 0x1.bfb1fa55895f3p-2, 0x1.b9e0ea9c54d19p-2, 0x1.b416ac017203p-2, 0x1.ae5383e35dab1p-2, 0x1.a897b605458e2p-2, 0x1.a2e38486d4dc6p-2, 0x1.9d372fdcd33cp-2, 0x1.9792f6ca91367p-2, 0x1.91f7165c1cc2ep-2, 0x1.8c63c9e1327cbp-2, 0x1.86d94ae8e9c5cp-2, 0x1.8157d13e12963p-2, 0x1.7bdf92e43fb44p-2, 0x1.7670c41576494p-2, 0x1.710b97407b5acp-2, 0x1.6bb03d07bba2ep-2, 0x1.665ee440c41a8p-2, 0x1.6117b9f448215p-2, 0x1.5bdae95eab978p-2, 0x1.56a89bf112396p-2, 0x1.5180f952e0e46p-2, 0x1.4c642763bca4bp-2, 0x1.47524a3df18dep-2, 0x1.424b843947878p-2, 0x1.3d4ff5ee376a2p-2, 0x1.385fbe398382dp-2, 0x1.337afa4023a57p-2, 0x1.2ea1c5738cbacp-2, 0x1.29d43996414ffp-2, 0x1.25126ec0b1c1p-2, 0x1.205c7b66601dbp-2, 0x1.1bb2745b46e9p-2, 0x1.17146cd97ddafp-2, 0x1.12827687144a8p-2, 0x1.0dfca17c2616bp-2, 0x1.0982fc491ba86p-2, 0x1.051593fd1b374p-2, 0x1.00b4742ca2139p-2, 0x1.f8bf4df084e32p-3, 0x1.f02e6a270b6acp-3, 0x1.e7b64b97d4079p-3, 0x1.df56fe2000bdp-3, 0x1.d7108aed3df78p-3, 0x1.cee2f88c53363p-3, 0x1.c6ce4af7dc2b5p-3, 0x1.bed283a71ee33p-3, 0x1.b6efa19cfb6ddp-3, 0x1.af25a176f1859p-3, 0x1.a7747d7c34491p-3, 0x1.9fdc2dacca456p-3, 0x1.985ca7d0b489dp-3, 0x1.90f5df87177dfp-3, 0x1.89a7c6556032ep-3, 0x1.82724bb666303p-3, 0x1.7b555d2980efcp-3, 0x1.7450e64193acep-3, 0x1.6d64d0b406baep-3, 0x1.66910467a91b7p-3, 0x1.5fd5678383211p-3, 0x1.5931de7d8a484p-3, 0x1.52a64c293484ep-3, 0x1.4c3291c5f754ap-3, 0x1.45d68f0d99f53p-3, 0x1.3f9222426c55cp-3, 0x1.3965283d512c8p-3, 0x1.334f7c7ba3fb8p-3, 0x1.2d50f92cf4dd3p-3, 0x1.2769774096937p-3, 0x1.2198ce73025ddp-3, 0x1.1bded55b0a8dfp-3, 0x1.163b6176da178p-3, 0x1.10ae4738cc8acp-3, 0x1.0b375a1406ba9p-3, 0x1.05d66c88e60abp-3, 0x1.008b5031322b6p-3, 0x1.f6abab9843f2ap-4, 0x1.ec6b9a9445944p-4, 0x1.e2560bb0dcef6p-4, 0x1.d86a9bd8c7b05p-4, 0x1.cea8e69d515a8p-4, 0x1.c510864c34a29p-4, 0x1.bba11404f1cddp-4, 0x1.b25a27cdc612dp-4, 0x1.a93b58a8244f7p-4, 0x1.a0443ca4c431dp-4, 0x1.977468f7317bap-4, 0x1.8ecb7208f6d25p-4, 0x1.8648eb8c46338p-4, 0x1.7dec688e36fa5p-4, 0x1.75b57b888e60fp-4, 0x1.6da3b673146dap-4, 0x1.65b6aad477674p-4, 0x1.5dede9d2bcf09p-4, 0x1.5649044342b96p-4, 0x1.4ec78aba4e11dp-4, 0x1.47690d9a2b9a4p-4, 0x1.402d1d21e15a8p-4, 0x1.3913497b72308p-4, 0x1.321b22c9b42d8p-4, 0x1.2b443935bbcfcp-4, 0x1.248e1cfbdc46ap-4, 0x1.1df85e783e28ep-4, 0x1.17828e330ee72p-4, 0x1.112c3cec470a9p-4, 0x1.0af4fba70d955p-4, 0x1.04dc5bb4b4a64p-4, 0x1.fdc3dd7eaa009p-5, 0x1.f20a8da80e1c5p-5, 0x1.e68becd976fc1p-5, 0x1.db4720f36d9a6p-5, 0x1.d03b50d55d6b1p-5, 0x1.c567a46f167e6p-5, 0x1.bacb44d1a0121p-5, 0x1.b0655c3f56a39p-5, 0x1.a635163b5c8dp-5, 0x1.9c399f9863278p-5, 0x1.92722686c83aap-5, 0x1.88dddaa212a0dp-5, 0x1.7f7becfdcd12ap-5, 0x1.764b9031c2f81p-5, 0x1.6d4bf865a3d1ep-5, 0x1.647c5b5c0d3bep-5, 0x1.5bdbf07d0453ep-5, 0x1.5369f0dfdd1cp-5, 0x1.4b259754935ecp-5, 0x1.430e206c9ab45p-5, 0x1.3b22ca8328d4ep-5, 0x1.3362d5c4f9839p-5, 0x1.2bcd843793752p-5, 0x1.246219c0126b4p-5, 0x1.1d1fdc29713ebp-5, 0x1.1606132a6350ep-5, 0x1.0f14086ab6b88p-5, 0x1.0849078845d65p-5, 0x1.01a45e1b7c31ap-5, 0x1.f64ab776e00adp-6, 0x1.e996a4032a1f4p-6, 0x1.dd2b291a1148cp-6, 0x1.d106f20afeeap-6, 0x1.c528ae3ba0f2ap-6, 0x1.b98f112c4da97p-6, 0x1.ae38d27bb29d1p-6, 0x1.a324ade9d679ap-6, 0x1.9851635a76348p-6, 0x1.8dbdb6d6bd8e7p-6, 0x1.8368708e635dfp-6, 0x1.79505cd82ff66p-6, 0x1.6f744c31f29a3p-6, 0x1.65d3133fe48e9p-6, 0x1.5c6b8acb8ab4ep-6, 0x1.533c8fc20f546p-6, 0x1.4a45033220beap-6, 0x1.4183ca49541a4p-6, 0x1.38f7ce5114c6fp-6, 0x1.309ffcab22752p-6, 0x1.287b46cda394dp-6, 0x1.2088a23ed26e8p-6, 0x1.18c708904163cp-6, 0x1.11357759c7ed2p-6, 0x1.09d2f0340e7c9p-6, 0x1.029e78b2c756bp-6, 0x1.f72e34bd2054cp-7, 0x1.e977c55d192b8p-7, 0x1.dc17c603543a6p-7, 0x1.cf0c612f4f3cfp-7, 0x1.c253c913a4583p-7, 0x1.b5ec37870257bp-7, 0x1.a9d3edf4b88bdp-7, 0x1.9e09354cb8bc2p-7, 0x1.928a5df341d8p-7, 0x1.8755bfb0173fp-7, 0x1.7c69b99d5c8f7p-7, 0x1.71c4b21611c0ap-7, 0x1.676516a441d5ep-7, 0x1.5d495beedd1f6p-7, 0x1.536ffda74fee5p-7, 0x1.49d77e76c7a79p-7, 0x1.407e67eb4e09fp-7, 0x1.37634a6495144p-7, 0x1.2e84bd009e303p-7, 0x1.25e15d8828edp-7, 0x1.1d77d05af7ee2p-7, 0x1.1546c05bef25dp-7, 0x1.0d4cdedd10248p-7, 0x1.0588e38b559e1p-7, 0x1.fbf318b4eedb1p-8, 0x1.ed3b3ae12a88cp-8, 0x1.dee7c223a0134p-8, 0x1.d0f64f17a974ap-8, 0x1.c3648e42b3465p-8, 0x1.b63037eb2b61ep-8, 0x1.a9570fef631f4p-8, 0x1.9cd6e59c6e324p-8, 0x1.90ad938506996p-8, 0x1.84d8ff5875553p-8, 0x1.795719b98d6bep-8, 0x1.6e25de15b6f7ap-8, 0x1.6343527c15cb2p-8, 0x1.58ad8774cc3b7p-8, 0x1.4e6297d860d14p-8, 0x1.4460a8a74c3a3p-8, 0x1.3aa5e8e1b172ep-8, 0x1.3130915f45cbp-8, 0x1.27fee4a76e63cp-8, 0x1.1f0f2ec993299p-8, 0x1.165fc535adc28p-8, 0x1.0def06951860ep-8, 0x1.05bb5aa39cc38p-8, 0x1.fb8664119179p-9, 0x1.ec0a0c63185c6p-9, 0x1.dcfeb25440fffp-9, 0x1.ce616af07c154p-9, 0x1.c02f5beb425a1p-9, 0x1.b265bb55c6844p-9, 0x1.a501cf554b8f1p-9, 0x1.9800edda2d7d3p-9, 0x1.8b607c57980e4p-9, 0x1.7f1def7bf3d9dp-9, 0x1.7336caea0b7fap-9, 0x1.67a8a0f2eb2e7p-9, 0x1.5c71125080b22p-9, 0x1.518dcde0fae8bp-9, 0x1.46fc9062ee401p-9, 0x1.3cbb24323d1b6p-9, 0x1.32c76105c781ap-9, 0x1.291f2bade9665p-9, 0x1.1fc075d3bcdap-9, 0x1.16a93db92f566p-9, 0x1.0dd78df9e1b3cp-9, 0x1.05497d4cd6288p-9, 0x1.f9fa5c8de6285p-10, 0x1.e9e19e3ca0e84p-10, 0x1.da4532dcbb08ep-10, 0x1.cb21a3f99d93p-10, 0x1.bc7390fed4eedp-10, 0x1.ae37aec537243p-10, 0x1.a06ac721bb92fp-10, 0x1.9309b875f8e2p-10, 0x1.861175423cc26p-10, 0x1.797f03b94e697p-10, 0x1.6d4f7d55d2c04p-10, 0x1.61800e715489ap-10, 0x1.560df5dce0ba1p-10, 0x1.4af6847b5208bp-10, 0x1.40371cdd2e71ap-10, 0x1.35cd32de20cd8p-10, 0x1.2bb64b440e7c7p-10, 0x1.21effb5fc3853p-10, 0x1.1877e8af2c24ap-10, 0x1.0f4bc8812cb2ap-10, 0x1.06695f9af9754p-10, 0x1.fb9d03be14d72p-11, 0x1.eaf223eb1291dp-11, 0x1.dace01eca16b5p-11, 0x1.cb2c9c28d1ceap-11, 0x1.bc0a0c960c22ep-11, 0x1.ad628818056eep-11, 0x1.9f325ddfa4c31p-11, 0x1.9175f6cdd43d5p-11, 0x1.8429d4d936369p-11, 0x1.774a9276b43fcp-11, 0x1.6ad4e204e2f94p-11, 0x1.5ec58d3a34eadp-11, 0x1.53197495ee2aep-11, 0x1.47cd8ed3d7431p-11, 0x1.3cdee862a569p-11, 0x1.324aa2dd0d028p-11, 0x1.280df48579bafp-11, 0x1.1e2627c4639b2p-11, 0x1.14909aa9368dfp-11, 0x1.0b4abe6dc557ep-11, 0x1.025216fc3fe49p-11, 0x1.f34874ef46796p-12, 0x1.e27da18d3938fp-12, 0x1.d23f2641a7026p-12, 0x1.c288973d2ccep-12, 0x1.b355a995bd02fp-12, 0x1.a4a2326f46003p-12, 0x1.966a2628e5476p-12, 0x1.88a9978e98dfep-12, 0x1.7b5cb70f58e09p-12, 0x1.6e7fd1f78f37ap-12, 0x1.620f51afd0df1p-12, 0x1.5607baffd721ep-12, 0x1.4a65ad559886dp-12, 0x1.3f25e21079449p-12, 0x1.34452bd0837bcp-12, 0x1.29c075c98bbf5p-12, 0x1.1f94c31a41764p-12, 0x1.15bf2e27086a7p-12, 0x1.0c3ce7f89b845p-12, 0x1.030b379e5af98p-12, 0x1.f44ef32880298p-13, 0x1.e31e3e58b8072p-13, 0x1.d27f5bf7bb39fp-13, 0x1.c26d7e9700cfbp-13, 0x1.b2e3ff16c6267p-13, 0x1.a3de5b9452ea6p-13, 0x1.9558365ec4cf2p-13, 0x1.874d54f23fe5dp-13, 0x1.79b99ef95f868p-13, 0x1.6c991d54d3fdcp-13, 0x1.5fe7f92902a7bp-13, 0x1.53a27af19a0fep-13, 0x1.47c5099ae7a55p-13, 0x1.3c4c29a0efe8cp-13, 0x1.31347c3407549p-13, 0x1.267abe62f6ce1p-13, 0x1.1c1bc84a6babep-13, 0x1.12148c49b6ebep-13, 0x1.0862163ca58e1p-13, 0x1.fe031574db26p-14, 0x1.ebe04cb306f6fp-14, 0x1.da5679f09926fp-14, 0x1.c96072150e9b9p-14, 0x1.b8f935d6b2f27p-14, 0x1.a91bf067d0c78p-14, 0x1.99c3f62cbe5aap-14, 0x1.8aecc37aa488bp-14, 0x1.7c91fb5ebb477p-14, 0x1.6eaf666ddfe65p-14, 0x1.6140f19c4b3ffp-14, 0x1.5442ad1d3db65p-14, 0x1.47b0cb4a727e4p-14, 0x1.3b879f932f892p-14, 0x1.2fc39d72c44acp-14, 0x1.2461576e4e1b7p-14, 0x1.195d7e1996124p-14, 0x1.0eb4df22e17p-14, 0x1.0464646588765p-14, 0x1.f4d226065cc4dp-15, 0x1.e1801506e0c6bp-15, 0x1.cecd07f3cfc0cp-15, 0x1.bcb3a264ad9ecp-15, 0x1.ab2eb7c5b53b8p-15, 0x1.9a3949c800677p-15, 0x1.89ce86dd2a156p-15, 0x1.79e9c8be25804p-15, 0x1.6a8692fcff593p-15, 0x1.5ba091a14cd37p-15, 0x1.4d3397ceffc66p-15, 0x1.3f3b9e775d3e3p-15, 0x1.31b4c313dd8f4p-15, 0x1.249b466aacc7ep-15, 0x1.17eb8b5c95d19p-15, 0x1.0ba215bc16b04p-15, 0x1.ff77125ac871ap-16, 0x1.e869501e44529p-16, 0x1.d214a4d7332fdp-16, 0x1.bc7309e45b2d4p-16, 0x1.a77eaff1c658p-16, 0x1.9331fd0b78463p-16, 0x1.7f878abf698fcp-16, 0x1.6c7a244e67d7cp-16, 0x1.5a04c4eb671cbp-16, 0x1.48229608ef478p-16, 0x1.36ceedb441195p-16, 0x1.26054cfdcd946p-16, 0x1.15c15e6ead05p-16, 0x1.05fef48ab96bfp-16, 0x1.ed7410bdd77c4p-17, 0x1.cfdd703764effp-17, 0x1.b3328b75c35f6p-17, 0x1.976c2b61e369dp-17, 0x1.7c835b526e6e1p-17, 0x1.627166998fafep-17, 0x1.492fd627802bfp-17, 0x1.30b86e4132d38p-17, 0x1.19052c4a9e2fbp-17, 0x1.021044a405e88p-17, 0x1.d7a84133817fap-18, 0x1.ac96b8cbdb8a4p-18, 0x1.82e18a872d88ap-18, 0x1.5a7eaf2572f3p-18, 0x1.33647a19777dp-18, 0x1.0d8996119c12ap-18, 0x1.d1ca033f040cep-19, 0x1.8adc17fb6bb95p-19, 0x1.4638a3e4e22f1p-19, 0x1.03cf759d20608p-19, 0x1.8721d61f9c9bep-20, 0x1.0adbd7b869e72p-20, 0x1.255f8fc967e15p-21, 0x1.e817cc3efdc81p-24, -0x1.4728fd321576ep-22, -0x1.7c9b6eaa9a483p-21, -0x1.2722550e497dbp-20, -0x1.8c60a9d00f188p-20, -0x1.ee20773052756p-20, -0x1.263c5ba5fe3dcp-19, -0x1.53bfd260ccb39p-19, -0x1.7fa5612f4e07cp-19, -0x1.a9f7714104ab2p-19, -0x1.d2c0171b6fe81p-19, -0x1.fa0916045c9b2p-19, -0x1.0fedf1a533785p-18, -0x1.2220d4b66cbe8p-18, -0x1.33a1a591fadeep-18, -0x1.4474b3255dee9p-18, -0x1.549e2b5597af1p-18, -0x1.64221c5711cbcp-18, -0x1.730475f7bf07cp-18, -0x1.81490adbf1ddbp-18, -0x1.8ef391ae5f4f9p-18, -0x1.9c07a643bc4c9p-18, -0x1.a888cab266a84p-18, -0x1.b47a685e83ff9p-18, -0x1.bfdfd0faffbfp-18, -0x1.cabc3f7fcadd7p-18, -0x1.d512d915c22d7p-18, -0x1.dee6adf89984ap-18, -0x1.e83aba4f27182p-18, -0x1.f111e6fa6a228p-18, -0x1.f96f0a5ba2b85p-18, -0x1.00aa7488e7e89p-17, -0x1.04631b5771f8ap-17, -0x1.07e2cb3280dd3p-17, -0x1.0b2acdd6053c2p-17, -0x1.0e3c656fe5f34p-17, -0x1.1118cceb88e4fp-17, -0x1.13c13839f2b81p-17, -0x1.1636d4969d3fcp-17, -0x1.187ac8c9261f4p-17, -0x1.1a8e3563f6602p-17, -0x1.1c7234ffff84fp-17, -0x1.1e27dc75acc94p-17, -0x1.1fb03b1326af1p-17, -0x1.210c5ad001335p-17, -0x1.223d407e735d3p-17, -0x1.2343ebfa2ec75p-17, -0x1.24215854f2cf3p-17, -0x1.24d67c00f19bcp-17, -0x1.256448f9200f7p-17, -0x1.25cbace785f91p-17, -0x1.260d9149a5244p-17, -0x1.262adb930c0a6p-17, -0x1.26246d4e29527p-17, -0x1.25fb243b71226p-17, -0x1.25afda6eebbeep-17, -0x1.2543666c3b4f2p-17, -0x1.24b69b412c83dp-17, -0x1.240a489ee3daap-17, -0x1.233f3af1b5c2bp-17, -0x1.22563b77bb814p-17, -0x1.21501056323dp-17, -0x1.202d7cadb49e7p-17, -0x1.1eef40ad5b8efp-17, -0x1.1d9619a4d4ee3p-17, -0x1.1c22c2157c34ap-17, -0x1.1a95f1c282b36p-17, -0x1.18f05dc03240ep-17, -0x1.1732b882574abp-17, -0x1.155db1e9dc632p-17, -0x1.1371f751a33ffp-17, -0x1.1170339aa2aa3p-17, -0x1.0f590f375811p-17, -0x1.0d2d3036915c2p-17, -0x1.0aed3a4d9b1a1p-17, -0x1.0899cee1da874p-17, -0x1.06338d11dc149p-17, -0x1.03bb11bddf5c1p-17, -0x1.0130f78fe5feep-17, -0x1.fd2bae069eb8p-18, -0x1.f7d48cd80c5b8p-18, -0x1.f25db3fa903b6p-18, -0x1.ecc847a0194b4p-18, -0x1.e71567d225bfep-18, -0x1.e146307d33c4fp-18, -0x1.db5bb97b97b4bp-18, -0x1.d557169fbf501p-18, -0x1.cf3957bdec0e4p-18, -0x1.c90388b57054cp-18, -0x1.c2b6b1797715fp-18, -0x1.bc53d6195fa3dp-18, -0x1.b5dbf6c8b5349p-18, -0x1.af500fe6cb08ap-18, -0x1.a8b11a0603d3cp-18, -0x1.a20009f2ce34fp-18, -0x1.9b3dd0ba56d1ap-18, -0x1.946b5bb100cbbp-18, -0x1.8d8994789e3a1p-18, -0x1.8699610679a6ep-18, -0x1.7f9ba3a92ffe4p-18, -0x1.78913b0e60b2p-18, -0x1.717b0248398c6p-18, -0x1.6a59d0d2e4d2bp-18, -0x1.632e7a99da952p-18, -0x1.5bf9cffd1b396p-18, -0x1.54bc9dd656ffcp-18, -0x1.4d77ad7e05637p-18, -0x1.462bc4d070f42p-18, -0x1.3ed9a632b9186p-18, -0x1.37821097ce0cdp-18, -0x1.3025bf8568901p-18, -0x1.28c56b190222ap-18, -0x1.2161c80ccd904p-18, -0x1.19fb87bcb1c7ep-18, -0x1.1293582b4d58dp-18, -0x1.0b29e406fdf99p-18, -0x1.03bfd2aef3019p-18, -0x1.f8ab907093f53p-19, -0x1.e9d8cae66f2c7p-19, -0x1.db088fe0797d5p-19, -0x1.cc3c140ad4b51p-19, -0x1.bd7485a76cb88p-19, -0x1.aeb30c98bcb9ap-19, }}, 
      {{-0x1.dae2321fa5b8ep-16, -0x1.dba975593e5a7p-14, -0x1.0c3b5097b2874p-12, -0x1.de54ea7ca70edp-12, -0x1.76f1f8622beabp-11, -0x1.0ed613ed1ce09p-10, -0x1.71ad76b3db827p-10, -0x1.e3dbc85abe1e4p-10, -0x1.328964b758111p-9, -0x1.7a6aa6a112627p-9, -0x1.c93aaef3e72e4p-9, -0x1.0f450adf2340bp-8, -0x1.3ce8daf5a48c3p-8, -0x1.6d39f71f3b631p-8, -0x1.9fdf2950a36e4p-8, -0x1.d475d90225541p-8, -0x1.0549963c72536p-7, -0x1.20e29ef921e29p-7, -0x1.3cca2db9769c2p-7, -0x1.58c2248c4f229p-7, -0x1.748abf7418657p-7, -0x1.8fe32e1892a66p-7, -0x1.aa8a25e1fd92cp-7, -0x1.c43e6aabd51b2p-7, -0x1.dcbf4cc61d484p-7, -0x1.f3cd1b78e3183p-7, -0x1.0494c5d56d838p-6, -0x1.0e4c0953c26b7p-6, -0x1.16ef1aa5299bap-6, -0x1.1e61e605c6cc6p-6, -0x1.24899e491f3b9p-6, -0x1.294cd4c37db87p-6, -0x1.2c938cb7d6bbp-6, -0x1.2e474aafc4d1ep-6, -0x1.2e53202136cf1p-6, -0x1.2ca3b3c0da669p-6, -0x1.292746da563b8p-6, -0x1.23cdb8007f663p-6, -0x1.1c88836092ff2p-6, -0x1.134ac0fc8ef44p-6, -0x1.0809210a2bddp-6, -0x1.f573cd5c066fep-7, -0x1.d6a9c28a41889p-7, -0x1.b3a6c8d4f2f68p-7, -0x1.8c607dc3a48fbp-7, -0x1.60cf611bfcae5p-7, -0x1.30eebf2ab9235p-7, -0x1.f979335315555p-8, -0x1.88731efafb985p-8, -0x1.0ed1870a5b3a1p-8, -0x1.193f0aa82ba87p-9, -0x1.ecd2c84b54105p-16, 0x1.2264dc8eece46p-9, 0x1.2ca5e856fa90dp-8, 0x1.d0514907b96b8p-8, 0x1.3e0a3bb0193fdp-7, 0x1.97e5e4db48938p-7, 0x1.f5a81d88c0e44p-7, 0x1.2b9de7f4297b5p-6, 0x1.5e45365d10402p-6, 0x1.92be02586d4ffp-6, 0x1.c8fbb0a20ca72p-6, 0x1.00788739c56a7p-5, 0x1.1d482ea6a2532p-5, 0x1.3ae5af34af3dp-5, 0x1.5949aeeb365dap-5, 0x1.786c9e9c179cbp-5, 0x1.9846bf16d0558p-5, 0x1.b8d0262e2082fp-5, 0x1.da00c39098a14p-5, 0x1.fbd0657486d8fp-5, 0x1.0f1b5e8c016c1p-4, 0x1.2095b18af4daap-4, 0x1.3252edc863f08p-4, 0x1.444ecd1a5d942p-4, 0x1.56850308b50dfp-4, 0x1.68f13ea6952dp-4, 0x1.7b8f2c593d67p-4, 0x1.8e5a778c741adp-4, 0x1.a14ecc55380f5p-4, 0x1.b467d90339582p-4, 0x1.c7a14fa1835aep-4, 0x1.daf6e766f12f5p-4, 0x1.ee645e16b3f42p-4, 0x1.00f2bca8b4p-3, 0x1.0abb03eb87a78p-3, 0x1.1488f15d2572dp-3, 0x1.1e5a7742920abp-3, 0x1.282d8e27d27bfp-3, 0x1.320035644886dp-3, 0x1.3bd073983b256p-3, 0x1.459c5723abd58p-3, 0x1.4f61f6968ce05p-3, 0x1.591f711a7a0d7p-3, 0x1.62d2eed60f052p-3, 0x1.6c7aa149e6d1dp-3, 0x1.7614c3a7715c7p-3, 0x1.7f9f9b21a34a2p-3, 0x1.89197737a60d7p-3, 0x1.9280b1f99d477p-3, 0x1.9bd3b0479afbbp-3, 0x1.a510e20adb36ep-3, 0x1.ae36c2696b39bp-3, 0x1.b743d7f44b1b3p-3, 0x1.c036b4d036bf1p-3, 0x1.c90df6d92a5b5p-3, 0x1.d1c847c0c77e1p-3, 0x1.da645d27b95e1p-3, 0x1.e2e0f8b240eaap-3, 0x1.eb3ce818021e5p-3, 0x1.f377052f3f70ap-3, 0x1.fb8e35f3aa19cp-3, 0x1.01c0b6447136bp-2, 0x1.05a7d39c6efa8p-2, 0x1.097bf83725142p-2, 0x1.0d3caf55958b5p-2, 0x1.10e98a3de19bap-2, 0x1.1482203302b9ep-2, 0x1.18060e6ad2d4dp-2, 0x1.1b74f80283ecap-2, 0x1.1ece85f18e0a4p-2, 0x1.221266fb32d0cp-2, 0x1.25404f9ea7cfp-2, 0x1.2857fa05f6167p-2, 0x1.2b5925f3ac8d2p-2, 0x1.2e4398af6e383p-2, 0x1.31171cf17a66dp-2, 0x1.33d382cd34752p-2, 0x1.36789f9acd044p-2, 0x1.39064de00dfa7p-2, 0x1.3b7c6d3868f3cp-2, 0x1.3ddae23c5080dp-2, 0x1.40219667eeaa5p-2, 0x1.425078014c85ap-2, 0x1.446779fdf171ap-2, 0x1.466693e8130fp-2, 0x1.484dc1c35d6dp-2, 0x1.4a1d03f161ee7p-2, 0x1.4bd45f15be7e5p-2, 0x1.4d73dbfa017adp-2, 0x1.4efb87715fe21p-2, 0x1.506b723c43096p-2, 0x1.51c3b0ebb78adp-2, 0x1.53045bc4cf71bp-2, 0x1.542d8ea3f8871p-2, 0x1.553f68e05775p-2, 0x1.563a0d2f29f3p-2, 0x1.571da1873d9e6p-2, 0x1.57ea4f0482f7fp-2, 0x1.58a041cbbebb3p-2, 0x1.593fa8ee66bfp-2, 0x1.59c8b64eae56ep-2, 0x1.5a3b9e83c6287p-2, 0x1.5a9898be59945p-2, 0x1.5adfdead4be3bp-2, 0x1.5b11ac62b9a24p-2, 0x1.5b2e4039460d8p-2, 0x1.5b35dab9b57b8p-2, 0x1.5b28be80d98f9p-2, 0x1.5b073025d4835p-2, 0x1.5ad17620b5b85p-2, 0x1.5a87d8b16f1fep-2, 0x1.5a2aa1c72d984p-2, 0x1.59ba1ce80fd8ap-2, 0x1.593697194365dp-2, 0x1.58a05ec7832ap-2, 0x1.57f7c3b002ae4p-2, 0x1.573d16c9bd9a7p-2, 0x1.5670aa2f3528cp-2, 0x1.5592d1089726ep-2, 0x1.54a3df76535b1p-2, 0x1.53a42a7c1dfbbp-2, 0x1.529407ec5ec87p-2, 0x1.5173ce5415207p-2, 0x1.5043d4e723029p-2, 0x1.4f04736d10ffdp-2, 0x1.4db6022e3c2bfp-2, 0x1.4c58d9e17667cp-2, 0x1.4aed539a19042p-2, 0x1.4973c8b684783p-2, 0x1.47ec92cf13516p-2, 0x1.46580ba57bf8bp-2, 0x1.44b68d149ffa4p-2, 0x1.43087100cfda2p-2, 0x1.414e11487956ep-2, 0x1.3f87c7b544f21p-2, 0x1.3db5ededa1dcdp-2, 0x1.3bd8dd66c0481p-2, 0x1.39f0ef56f4619p-2, 0x1.37fe7ca88906cp-2, 0x1.3601ddecfab33p-2, 0x1.33fb6b509cde1p-2, 0x1.31eb7c8ea955bp-2, 0x1.2fd268e5b6852p-2, 0x1.2db0870c97477p-2, 0x1.2b862d279bed6p-2, 0x1.2953b0be3db18p-2, 0x1.271966b12b5f3p-2, 0x1.24d7a330b87d9p-2, 0x1.228eb9b3b0505p-2, 0x1.203efcee87673p-2, 0x1.1de8becaec2d9p-2, 0x1.1b8c505fb7ca7p-2, 0x1.192a01e93a0b2p-2, 0x1.16c222c1e0c85p-2, 0x1.1455015b3ac6p-2, 0x1.11e2eb375137dp-2, 0x1.0f6c2ce25bde8p-2, 0x1.0cf111ecc8452p-2, 0x1.0a71e4e59964fp-2, 0x1.07eeef5514b11p-2, 0x1.056879b7c94aep-2, 0x1.02decb79df576p-2, 0x1.00522af2bdf8ep-2, 0x1.fb85bac1f1f13p-3, 0x1.f6624dcd1c166p-3, 0x1.f13a950ad7f0ep-3, 0x1.ec0f1438874bcp-3, 0x1.e6e04cc73d3dep-3, 0x1.e1aebdd67b7afp-3, 0x1.dc7ae42f7c622p-3, 0x1.d7453a40f9f38p-3, 0x1.d20e381b82643p-3, 0x1.ccd6536e47d6fp-3, 0x1.c79dff846cfd2p-3, 0x1.c265ad42ce9e7p-3, 0x1.bd2dcb2643e08p-3, 0x1.b7f6c54251c8ap-3, 0x1.b2c105404f552p-3, 0x1.ad8cf25efcd0ap-3, 0x1.a85af1727daap-3, 0x1.a32b64e4c3c42p-3, 0x1.9dfeacb658e44p-3, 0x1.98d5267f8e292p-3, 0x1.93af2d720a814p-3, 0x1.8e8d1a5ab1f91p-3, 0x1.896f43a3eb266p-3, 0x1.8455fd583824ep-3, 0x1.7f4199252240dp-3, 0x1.7a32665e7a137p-3, 0x1.7528b201ddfdap-3, 0x1.7024c6ba95f4ep-3, 0x1.6b26ece5ace35p-3, 0x1.662f6a9655ac7p-3, 0x1.613e839a914a3p-3, 0x1.5c547980127b9p-3, 0x1.57718b99628b4p-3, 0x1.5295f7033add1p-3, 0x1.4dc1f6aa1c0d6p-3, 0x1.48f5c35016535p-3, 0x1.44319392c5c82p-3, 0x1.3f759bf17c6c5p-3, 0x1.3ac20ed3a011dp-3, 0x1.36171c8f29b37p-3, 0x1.3174f36f560e8p-3, 0x1.2cdbbfbb76c7cp-3, 0x1.284babbdeb257p-3, 0x1.23c4dfcb38743p-3, 0x1.1f4782494053ap-3, 0x1.1ad3b7b698702p-3, 0x1.1669a2b1f91afp-3, 0x1.12096401c7276p-3, 0x1.0db31a9bb0401p-3, 0x1.0966e3ac6524fp-3, 0x1.0524da9f5af2bp-3, 0x1.00ed1926a50a7p-3, 0x1.f97f6e85bbdd4p-4, 0x1.f13996962acc5p-4, 0x1.e908d3e9a7782p-4, 0x1.e0ed4cb83f45dp-4, 0x1.d8e724171d4c2p-4, 0x1.d0f67a08b787p-4, 0x1.c91b6b8cfa489p-4, 0x1.c15612b18fcf9p-4, 0x1.b9a686a210ffdp-4, 0x1.b20cdbb840a86p-4, 0x1.aa89238c51579p-4, 0x1.a31b6d05047c1p-4, 0x1.9bc3c467e3e83p-4, 0x1.9482336954cf4p-4, 0x1.8d56c13cac57cp-4, 0x1.864172a42d7bfp-4, 0x1.7f424a00f5262p-4, 0x1.78594762d2115p-4, 0x1.7186689804363p-4, 0x1.6ac9a93ce30ffp-4, 0x1.642302cb697d6p-4, 0x1.5d926caaa3605p-4, 0x1.5717dc3dfc736p-4, 0x1.50b344f46d85fp-4, 0x1.4a64985788ff4p-4, 0x1.442bc61a60db3p-4, 0x1.3e08bc284868fp-4, 0x1.37fb66b36efc2p-4, 0x1.3203b04351465p-4, 0x1.2c2181c301591p-4, 0x1.2654c28f43613p-4, 0x1.209d58847eee2p-4, 0x1.1afb280c827bbp-4, 0x1.156e142c17a9bp-4, 0x1.0ff5fe906ac3cp-4, 0x1.0a92c79c3f454p-4, 0x1.05444e74f6189p-4, 0x1.000a710f604a6p-4, 0x1.f5ca1878c151dp-5, 0x1.eba7f76ab1eadp-5, 0x1.e1ae3450cba84p-5, 0x1.d7dc8288c80cp-5, 0x1.ce32938987b23p-5, 0x1.c4b016fa4a033p-5, 0x1.bb54bac97f916p-5, 0x1.b2202b432ced8p-5, 0x1.a9121326e556p-5, 0x1.a02a1bbd5745fp-5, 0x1.9767eced6e67cp-5, 0x1.8ecb2d5106b3cp-5, 0x1.86538249365aap-5, 0x1.7e0090122827bp-5, 0x1.75d1f9d689de5p-5, 0x1.6dc761c290567p-5, 0x1.65e069168bb57p-5, 0x1.5e1cb03912cep-5, 0x1.567bd6c8c1c7bp-5, 0x1.4efd7bad8c68p-5, 0x1.47a13d29a782bp-5, 0x1.4066b8ea08275p-5, 0x1.394d8c1676cbep-5, 0x1.325553613bb96p-5, 0x1.2b7dab1664bbdp-5, 0x1.24c62f2a9e1a4p-5, 0x1.1e2e7b49ab80ap-5, 0x1.17b62ae475f4p-5, 0x1.115cd93eb7428p-5, 0x1.0b22217c42ef8p-5, 0x1.05059eade8623p-5, 0x1.fe0dd7bbed927p-6, 0x1.f24b4838bc401p-6, 0x1.e6c2c514e6a29p-6, 0x1.db7384cca18d6p-6, 0x1.d05cbe2bc0d68p-6, 0x1.c57da863059ecp-6, 0x1.bad57b1cbf7e4p-6, 0x1.b0636e90b823ep-6, 0x1.a626bb976f08bp-6, 0x1.9c1e9bbca1b2dp-6, 0x1.924a495130b69p-6, 0x1.88a8ff7c56345p-6, 0x1.7f39fa4c36442p-6, 0x1.75fc76c5cef05p-6, 0x1.6cefb2f44386fp-6, 0x1.6412edf78f375p-6, 0x1.5b656812968b6p-6, 0x1.52e662b8a2495p-6, 0x1.4a95209a49606p-6, 0x1.4270e5b1c0058p-6, 0x1.3a78f74e9f003p-6, 0x1.32ac9c21167d4p-6, 0x1.2b0b1c449b2ep-6, 0x1.2393c14a0b97ap-6, 0x1.1c45d6414e474p-6, 0x1.1520a7c2715b6p-6, 0x1.0e2383f647dfap-6, 0x1.074dba9e8d6aap-6, 0x1.009e9d1d8fffdp-6, 0x1.f42afcfac4a06p-7, 0x1.e76366ed35275p-7, 0x1.dae524ed4196dp-7, 0x1.ceaee74b1baafp-7, 0x1.c2bf61d744b5ap-7, 0x1.b7154bec98e53p-7, 0x1.abaf6079a7cdap-7, 0x1.a08c5e092bc43p-7, 0x1.95ab06c9cfe69p-7, 0x1.8b0a209536bacp-7, 0x1.80a874f645a13p-7, 0x1.7684d12ec059ep-7, 0x1.6c9e063c3a3fep-7, 0x1.62f2e8dc5797ep-7, 0x1.5982519075778p-7, 0x1.504b1ca0a8caep-7, 0x1.474c2a1e3390ap-7, 0x1.3e845de54ff08p-7, 0x1.35f29f9e7f536p-7, 0x1.2d95dabf420d3p-7, 0x1.256cfe8a4cfbdp-7, 0x1.1d76fe0f3bb31p-7, 0x1.15b2d029c48f1p-7, 0x1.0e1f6f807471ep-7, 0x1.06bbda82f34ccp-7, 0x1.ff0e26cfb3cd2p-8, 0x1.f100405430e81p-8, 0x1.e34c150bedbcbp-8, 0x1.d5efbfeb5b31ep-8, 0x1.c8e9635b3f7fdp-8, 0x1.bc3729306d8e2p-8, 0x1.afd742a2cb8dcp-8, 0x1.a3c7e843ac2f6p-8, 0x1.980759f387691p-8, 0x1.8c93ded7123aep-8, 0x1.816bc54bc3cd8p-8, 0x1.768d62dbca739p-8, 0x1.6bf71431786efp-8, 0x1.61a73d0a2d8afp-8, 0x1.579c4828c7f65p-8, 0x1.4dd4a7479d346p-8, 0x1.444ed30a04ffep-8, 0x1.3b094aed7b77dp-8, 0x1.3202953a5ed0cp-8, 0x1.29393ef44f49dp-8, 0x1.20abdbca38b8fp-8, 0x1.185906060564ap-8, 0x1.103f5e7c083f9p-8, 0x1.085d8c7a19bbcp-8, 0x1.00b23db67428ep-8, 0x1.f2784c7ca05abp-9, 0x1.e3f400c890c7ep-9, 0x1.d5d5195d08cb5p-9, 0x1.c81923896d95p-9, 0x1.babdb8bbd8e11p-9, 0x1.adc07e5c64c58p-9, 0x1.a11f25a832d12p-9, 0x1.94d76b8c2f9d6p-9, 0x1.88e7187f9bd3dp-9, 0x1.7d4c005e679a2p-9, 0x1.720402435fd53p-9, 0x1.670d086236d41p-9, 0x1.5c6507e172864p-9, 0x1.520a00b444bc7p-9, 0x1.47f9fd744e063p-9, 0x1.3e33133b5d2ddp-9, 0x1.34b3617d2492ap-9, 0x1.2b7911e0f3744p-9, 0x1.2282581b783f1p-9, 0x1.19cd71c8875a7p-9, 0x1.1158a644fd8cp-9, 0x1.09224688ad0d2p-9, 0x1.0128ad006ea83p-9, 0x1.f2d47ad09734ep-10, 0x1.e3cac94b9c9c7p-10, 0x1.d5313144f078cp-10, 0x1.c704b04cc76e2p-10, 0x1.b94255662d5c6p-10, 0x1.abe740bd097bdp-10, 0x1.9ef0a35c98b1bp-10, 0x1.925bbee64f7a7p-10, 0x1.8625e5493e6e7p-10, 0x1.7a4c7879f05f4p-10, 0x1.6eccea2ad1d1cp-10, 0x1.63a4bb851d52cp-10, 0x1.58d17ce25eaafp-10, 0x1.4e50cd8682cf5p-10, 0x1.44205b5a82114p-10, 0x1.3a3de2a7b0f0ep-10, 0x1.30a72dd3a10cbp-10, 0x1.275a151cb996fp-10, 0x1.1e547e5768e9ep-10, 0x1.15945cac0b61dp-10, 0x1.0d17b0557e79ep-10, 0x1.04dc866063533p-10, 0x1.f9c1f0d63bdf2p-11, 0x1.ea4658cd003e8p-11, 0x1.db42a8ae6df9dp-11, 0x1.ccb35c2fdebdfp-11, 0x1.be95063872b39p-11, 0x1.b0e45068532adp-11, 0x1.a39dfaa1797c5p-11, 0x1.96beda91f686p-11, 0x1.8a43db3fc2322p-11, 0x1.7e29fc961340fp-11, 0x1.726e52f440b05p-11, 0x1.670e06be2e53fp-11, 0x1.5c0653ee46a56p-11, 0x1.515489a902058p-11, 0x1.46f609d1fac1dp-11, 0x1.3ce848a292996p-11, 0x1.3328cc4222fedp-11, 0x1.29b52c5fbea01p-11, 0x1.208b11cd7fb2p-11, 0x1.17a8361d64212p-11, 0x1.0f0a633fb59fcp-11, 0x1.06af7322fe78ep-11, 0x1.fd2a9eab0f8cap-12, 0x1.ed73e150c216p-12, 0x1.de36bda7dec6fp-12, 0x1.cf6f603c03328p-12, 0x1.c11a1202d2321p-12, 0x1.b33337ae26956p-12, 0x1.a5b7510147effp-12, 0x1.98a2f82914e84p-12, 0x1.8bf2e1172788ep-12, 0x1.7fa3d8dfe52abp-12, 0x1.73b2c51b7c38cp-12, 0x1.681ca349c48afp-12, 0x1.5cde8838fd63fp-12, 0x1.51f59f6f67444p-12, 0x1.475f2a97acf7bp-12, 0x1.3d1880f017ce4p-12, 0x1.331f0ebc8b666p-12, 0x1.297054bb3bfa1p-12, 0x1.2009e79c1fa0bp-12, 0x1.16e96f7b0969ap-12, 0x1.0e0ca75c73b65p-12, 0x1.05715cace603cp-12, 0x1.fa2add85ec448p-13, 0x1.e9ed9cc7b7b65p-13, 0x1.da26fa951a356p-13, 0x1.cad31b62ba6e2p-13, 0x1.bbee43bc2ca66p-13, 0x1.ad74d76109825p-13, 0x1.9f635866d7ad1p-13, 0x1.91b6665fbe7b8p-13, 0x1.846abd85e6848p-13, 0x1.777d35eb83ad1p-13, 0x1.6aeac2af6aefep-13, 0x1.5eb0713634c5bp-13, 0x1.52cb6867c65b1p-13, 0x1.4738e7f146144p-13, 0x1.3bf6478b5af12p-13, 0x1.3100f644aeb7bp-13, 0x1.265679d09f126p-13, 0x1.1bf46dda0f3a7p-13, 0x1.11d8835a448f5p-13, 0x1.08007ff3c6e7p-13, 0x1.fcd47aa24f87ep-14, 0x1.ea27510f59addp-14, 0x1.d7f582fb89288p-14, 0x1.c63b34aa6ce5dp-14, 0x1.b4f4adb1fd3d8p-14, 0x1.a41e57dd949f4p-14, 0x1.93b4be17f65fdp-14, 0x1.83b48b5c50ea5p-14, 0x1.741a89ae19767p-14, 0x1.64e3a1179edbep-14, 0x1.560cd6af353fep-14, 0x1.47934ba2ddc93p-14, 0x1.39743c4a473ap-14, 0x1.2bacff3f0dadap-14, 0x1.1e3b047b16e2fp-14, 0x1.111bd47cefep-14, 0x1.044d0f720c68ap-14, 0x1.ef98d8cd97fefp-15, 0x1.d72f70f84d146p-15, 0x1.bf59ac45c6d32p-15, 0x1.a81378b87f48cp-15, 0x1.9158ebffca79cp-15, 0x1.7b26420e31585p-15, 0x1.6577dbba029dbp-15, 0x1.504a3d67dece3p-15, 0x1.3b9a0dbf0f7acp-15, 0x1.276414676eab2p-15, 0x1.13a538d0abff6p-15, 0x1.005a8102bee51p-15, 0x1.db0220ee91fap-16, 0x1.b62c4df7889bcp-16, 0x1.922e3f387760fp-16, 0x1.6f02df2cd4502p-16, 0x1.4ca54aaa0b65bp-16, 0x1.2b10cee619019p-16, 0x1.0a40e78dc7da3p-16, 0x1.d46279d45b253p-17, 0x1.95bb442a31b51p-17, 0x1.58842678158bbp-17, 0x1.1cb567e2ccf11p-17, 0x1.c48f362e01062p-18, 0x1.52673644e7adep-18, 0x1.c5ca219e7fb08p-19, 0x1.d7ee2d58a4137p-20, 0x1.73bd4e7e7bcc2p-23, -0x1.71004eb76e5b8p-20, -0x1.835479518f437p-19, -0x1.24abeefd07512p-18, -0x1.85501f07d7987p-18, -0x1.e3a15bcd9b7e1p-18, -0x1.1fd4e9cc7a265p-17, -0x1.4cb9ac37f6c0dp-17, -0x1.7883b2302ea48p-17, -0x1.a3378ed244a8dp-17, -0x1.ccd9ad5097d1ep-17, -0x1.f56e52deef2ffp-17, -0x1.0e7cd0463593ap-16, -0x1.21bfca85ce571p-16, -0x1.34820734af25cp-16, -0x1.46c565d96d766p-16, -0x1.588bb7459a355p-16, -0x1.69d6be58ae5f9p-16, -0x1.7aa830bb37debp-16, -0x1.8b01b79295e92p-16, -0x1.9ae4f02d61b9ep-16, -0x1.aa536ca8da178p-16, -0x1.b94eb48f66905p-16, -0x1.c7d8457081ae2p-16, -0x1.d5f193722d724p-16, -0x1.e39c09dc276a6p-16, -0x1.f0d90b9d13dbdp-16, -0x1.fda9f3c9c40bdp-16, -0x1.05080b0b6aceap-15, -0x1.0b065fa663329p-15, -0x1.10d09adb5ec87p-15, -0x1.16675cc6114eap-15, -0x1.1bcb42aa9ef6ep-15, -0x1.20fce7257f326p-15, -0x1.25fce2590a7edp-15, -0x1.2acbca18c7bdep-15, -0x1.2f6a3212866a8p-15, -0x1.33d8abf56338fp-15, -0x1.3817c796bc87bp-15, -0x1.3c281315342d1p-15, -0x1.400a1af9c9701p-15, -0x1.43be6a571f5a7p-15, -0x1.47458ae6fcb7ap-15, -0x1.4aa005261b02bp-15, -0x1.4dce606e50837p-15, -0x1.50d1230f22ef7p-15, -0x1.53a8d264da557p-15, -0x1.5655f2ee16da4p-15, -0x1.58d908600336ep-15, -0x1.5b3295b927361p-15, -0x1.5d631d52f2b1ep-15, -0x1.5f6b20f202dd7p-15, }}, 
      {{-0x1.e7a733a6e0126p-8, -0x1.e96761fccf08fp-7, -0x1.7118acd3be5c9p-6, -0x1.ef9b5deda548fp-6, -0x1.3840854f70388p-5, -0x1.79ea880fadd6ep-5, -0x1.bcb8609d4b54p-5, -0x1.00414c64ce587p-4, -0x1.228957c3fb719p-4, -0x1.4513f3b10727ep-4, -0x1.67bdc7a1647a3p-4, -0x1.8a62548945658p-4, -0x1.acdd73c917d61p-4, -0x1.cf0c850d3a615p-4, -0x1.f0cf52263e0aap-4, -0x1.090458d5b85e8p-3, -0x1.194f78e5f972dp-3, -0x1.293e0a427a537p-3, -0x1.38c6f2eae2148p-3, -0x1.47e2f9d92af7p-3, -0x1.568cb7427a4d8p-3, -0x1.64c07c0f3999fp-3, -0x1.727c3306d3f78p-3, -0x1.7fbf3dc1d0442p-3, -0x1.8c8a4f15e4e97p-3, -0x1.98df445c4f9a6p-3, -0x1.a4c0feaa43878p-3, -0x1.b0333cd578491p-3, -0x1.bb3a76ea5fca6p-3, -0x1.c5dbbb8db5386p-3, -0x1.d01c8f9e95fabp-3, -0x1.da02d0507bb4dp-3, -0x1.e39497dc08304p-3, -0x1.ecd824d2233e2p-3, -0x1.f5d3c40d7a871p-3, -0x1.fe8dbd3280dadp-3, -0x1.038620d28179ap-2, -0x1.07aaaee9da311p-2, -0x1.0bb7765ad0617p-2, -0x1.0faf46a9251bap-2, -0x1.1394cd15e2dc1p-2, -0x1.176a9130bd21p-2, -0x1.1b32f2314bcc4p-2, -0x1.1ef025041cd48p-2, -0x1.22a432f85e056p-2, -0x1.2650f8fbc7042p-2, -0x1.29f827538312cp-2, -0x1.2d9b41c1f2a62p-2, -0x1.313ba00a57c98p-2, -0x1.34da6ec4abcaap-2, -0x1.3878b07510f86p-2, -0x1.3c173edb79e8bp-2, -0x1.3fb6cc7143c2cp-2, -0x1.4357e60b8d513p-2, -0x1.46faf49a165a9p-2, -0x1.4aa03efb64338p-2, -0x1.4e47ebdfcd2d2p-2, -0x1.51f203b5ce7b6p-2, -0x1.559e729ad6843p-2, -0x1.594d0a4c551d3p-2, -0x1.5cfd84157f5c4p-2, -0x1.60af82b6bd683p-2, -0x1.64629444367f3p-2, -0x1.681633f961c24p-2, -0x1.6bc9cbffde3fap-2, -0x1.6f7cb72831f38p-2, -0x1.732e429353a27p-2, -0x1.76ddaf4c33ec1p-2, -0x1.7a8a33d09bd1fp-2, -0x1.7e32fd890619dp-2, -0x1.81d7322f27745p-2, -0x1.8575f12314b28p-2, -0x1.890e54af03f5ap-2, -0x1.8c9f7339cb97cp-2, -0x1.9028606850801p-2, -0x1.93a82e2e2b931p-2, -0x1.971dedcdd87cbp-2, -0x1.9a88b0c8d21b4p-2, -0x1.9de789c00294p-2, -0x1.a1398d44fd5f3p-2, -0x1.a47dd29c73741p-2, -0x1.a7b3747266d5p-2, -0x1.aad9918092eb7p-2, -0x1.adef4d278bp-2, -0x1.b0f3cffb15d3fp-2, -0x1.b3e648423e6dcp-2, -0x1.b6c5ea6b9fcb1p-2, -0x1.b991f17668d13p-2, -0x1.bc499f5092bf9p-2, -0x1.beec3d2acf672p-2, -0x1.c1791bc299957p-2, -0x1.c3ef93a2ed67p-2, -0x1.c64f055c12eedp-2, -0x1.c896d9b2efc0dp-2, -0x1.cac681c852988p-2, -0x1.ccdd77389abfbp-2, -0x1.cedb3c343031cp-2, -0x1.d0bf5b912947ep-2, -0x1.d28968d684d8bp-2, -0x1.d439004159fd8p-2, -0x1.d5cdc6c454215p-2, -0x1.d7476a01e0109p-2, -0x1.d8a5a041537cep-2, -0x1.d9e8285f6fb54p-2, -0x1.db0ec9ba8825cp-2, -0x1.dc19541a9ca87p-2, -0x1.dd079f95b6d2ep-2, -0x1.ddd98c70cca8ep-2, -0x1.de8f02fd73e92p-2, -0x1.df27f374a3167p-2, -0x1.dfa455cec85dap-2, -0x1.e00429996c001p-2, -0x1.e04775ca9d284p-2, -0x1.e06e489264867p-2, -0x1.e078b72a6ae4cp-2, -0x1.e066dda40f81fp-2, -0x1.e038deb51b80ap-2, -0x1.dfeee3833fb69p-2, -0x1.df891b6e8f70ap-2, -0x1.df07bbdb1a08fp-2, -0x1.de6afff9d6531p-2, -0x1.ddb32890f9d19p-2, -0x1.dce07bc3ecf6bp-2, -0x1.dbf344daf18c8p-2, -0x1.daebd40aa7403p-2, -0x1.d9ca7e3b860efp-2, -0x1.d88f9cd169da7p-2, -0x1.d73b8d7351e2ep-2, -0x1.d5ceb1d3646c4p-2, -0x1.d4496f7754e7cp-2, -0x1.d2ac2f813c77p-2, -0x1.d0f75e7900ee1p-2, -0x1.cf2b6c1656346p-2, -0x1.cd48cb0b6eb11p-2, -0x1.cb4ff0d06be8bp-2, -0x1.c941556f9dd02p-2, -0x1.c71d73529af3p-2, -0x1.c4e4c71043e4fp-2, -0x1.c297cf3bb978ep-2, -0x1.c0370c34520efp-2, -0x1.bdc2fff691ed1p-2, -0x1.bb3c2dee391c6p-2, -0x1.b8a31ac964274p-2, -0x1.b5f84c4cc9654p-2, -0x1.b33c49291c10ap-2, -0x1.b06f98d193645p-2, -0x1.ad92c3539e8cdp-2, -0x1.aaa6512fc7ap-2, -0x1.a7aacb33c3688p-2, -0x1.a4a0ba55b9739p-2, -0x1.a188a790bab53p-2, -0x1.9e631bc26f8e1p-2, -0x1.9b309f89f77b2p-2, -0x1.97f1bb27ffb67p-2, -0x1.94a6f660078d5p-2, -0x1.9150d85adcf83p-2, -0x1.8defe78a3f6e7p-2, -0x1.8a84a98dba1b1p-2, -0x1.870fa3189cd26p-2, -0x1.839157d927226p-2, -0x1.800a4a60cf7ffp-2, -0x1.7c7afc0dad9bp-2, -0x1.78e3ecf502921p-2, -0x1.75459bced4062p-2, -0x1.71a085e2a18a2p-2, -0x1.6df526f523454p-2, -0x1.6a43f937162fap-2, -0x1.668d75350ae99p-2, -0x1.62d211c8387fap-2, -0x1.5f12440845791p-2, -0x1.5b4e7f3e0811ap-2, -0x1.578734d737774p-2, -0x1.53bcd45b05aefp-2, -0x1.4fefcb5f9d4c6p-2, -0x1.4c2085808137ap-2, -0x1.484f6c55c0705p-2, -0x1.447ce76c01c1ap-2, -0x1.40a95c3d59559p-2, -0x1.3cd52e2ae745bp-2, -0x1.3900be7737afap-2, -0x1.352c6c415d436p-2, -0x1.31589480c2c79p-2, -0x1.2d859201aa56p-2, -0x1.29b3bd625a525p-2, -0x1.25e36d10eae6dp-2, -0x1.2214f549b399p-2, -0x1.1e48a81652cc1p-2, -0x1.1a7ed54d44337p-2, -0x1.16b7ca920a9a8p-2, -0x1.12f3d355dc4c6p-2, -0x1.0f3338d8d52e1p-2, -0x1.0b76422ba6319p-2, -0x1.07bd3431b954cp-2, -0x1.040851a3cbef8p-2, -0x1.0057db12f37p-2, -0x1.f9581dd81c917p-3, -0x1.f20a52f725f89p-3, -0x1.eac6c9e3851dep-3, -0x1.e38df2ce64fa7p-3, -0x1.dc6039c35566dp-3, -0x1.d53e06b2af0b5p-3, -0x1.ce27bd7c88731p-3, -0x1.c71dbdfc3b607p-3, -0x1.c020641478a08p-3, -0x1.b93007bbcb94dp-3, -0x1.b24cfd09a3702p-3, -0x1.ab779443c0b9bp-3, -0x1.a4b019ec0e209p-3, -0x1.9df6d6ced2267p-3, -0x1.974c1011442fp-3, -0x1.90b007406469dp-3, -0x1.8a22fa60274bcp-3, -0x1.83a523fae22p-3, -0x1.7d36bb30ee223p-3, -0x1.76d7f3c88d90ep-3, -0x1.7088fe3df22d1p-3, -0x1.6a4a07d37dc79p-3, -0x1.641b3aa21a8ep-3, -0x1.5dfcbda9b7687p-3, -0x1.57eeb4e1e401ap-3, -0x1.51f1414a767bap-3, -0x1.4c0480fc48e4dp-3, -0x1.46288f39ff78dp-3, -0x1.405d8480d88ddp-3, -0x1.3aa37699781c8p-3, -0x1.34fa78a8b7ad8p-3, -0x1.2f629b406d7b8p-3, -0x1.29dbec702e4dep-3, -0x1.246677d5f874dp-3, -0x1.1f0246aed97e3p-3, -0x1.19af5fe776e3fp-3, -0x1.146dc82c8440fp-3, -0x1.0f3d81fb20048p-3, -0x1.0a1e8db10cf5fp-3, -0x1.0510e99cd2365p-3, -0x1.0014920db731dp-3, -0x1.f65302c72c729p-4, -0x1.ec9f603d2268bp-4, -0x1.e30e29dd2317dp-4, -0x1.d99f498550d59p-4, -0x1.d052a5b06d65p-4, -0x1.c7282193e1bfdp-4, -0x1.be1f9d3d4c7c6p-4, -0x1.b538f5afc48e9p-4, -0x1.ac740500a2a58p-4, -0x1.a3d0a273e8058p-4, -0x1.9b4ea298384f5p-4, -0x1.92edd76266354p-4, -0x1.8aae10488b336p-4, -0x1.828f1a5cb1db2p-4, -0x1.7a90c06709601p-4, -0x1.72b2caffa4ae4p-4, -0x1.6af500a7c31bcp-4, -0x1.635725e2a0114p-4, -0x1.5bd8fd4dcb996p-4, -0x1.547a47b9087efp-4, -0x1.4d3ac43daffap-4, -0x1.461a30559ba04p-4, -0x1.3f1847f1937bep-4, -0x1.3834c58f41574p-4, -0x1.316f624ea8e3cp-4, -0x1.2ac7d60723accp-4, -0x1.243dd75be299dp-4, -0x1.1dd11bcff478ap-4, -0x1.178157d9d161fp-4, -0x1.114e3ef66c612p-4, -0x1.0b3783bbcbe69p-4, -0x1.053cd7eb27f56p-4, -0x1.febbd9052324dp-5, -0x1.f334e39c43bc7p-5, -0x1.e7e42ef1653a1p-5, -0x1.dcc9193843dd3p-5, -0x1.d1e2ffa240aa6p-5, -0x1.c7313e7d186bdp-5, -0x1.bcb33150b5a5ap-5, -0x1.b26832fc1ee53p-5, -0x1.a84f9dd1881b5p-5, -0x1.9e68cbb1837cap-5, -0x1.94b316255b681p-5, -0x1.8b2dd67893363p-5, -0x1.81d865d1921e2p-5, -0x1.78b21d497f368p-5, -0x1.6fba56034d2d6p-5, -0x1.66f06941fa474p-5, -0x1.5e53b07e0885bp-5, -0x1.55e3857a317a1p-5, -0x1.4d9f425755c37p-5, -0x1.458641a7b104bp-5, -0x1.3d97de814fdb5p-5, -0x1.35d3748fcf958p-5, -0x1.2e38602567a6p-5, -0x1.26c5fe4b443b5p-5, -0x1.1f7bacd13143fp-5, -0x1.1858ca5c9c36ep-5, -0x1.115cb676ecf8ep-5, -0x1.0a86d19b3e513p-5, -0x1.03d67d43742b4p-5, -0x1.fa9637e96bf3ep-6, -0x1.edc82296a01cbp-6, -0x1.e141840bfd61fp-6, -0x1.d501282151f3dp-6, -0x1.c905dd1d134a1p-6, -0x1.bd4e73c79ca7fp-6, -0x1.b1d9bf7d61857p-6, -0x1.a6a696400b6bdp-6, -0x1.9bb3d0c6a188p-6, -0x1.91004a8cac935p-6, -0x1.868ae1e0668efp-6, -0x1.7c5277effca62p-6, -0x1.7255f0d5e825p-6, -0x1.689433a464d92p-6, -0x1.5f0c2a700b30bp-6, -0x1.55bcc259968a8p-6, -0x1.4ca4eb96d86b1p-6, -0x1.43c3997ae6a8cp-6, -0x1.3b17c27d83dc1p-6, -0x1.32a06041c91c8p-6, -0x1.2a5c6f9c1ae4cp-6, -0x1.224af0976ca23p-6, -0x1.1a6ae679d0d43p-6, -0x1.12bb57c86f0f5p-6, -0x1.0b3b4e4acc316p-6, -0x1.03e9d70d8253fp-6, -0x1.f98c04c8ac624p-7, -0x1.eb9dc7d7934cep-7, -0x1.de0725142565dp-7, -0x1.d0c650df3712fp-7, -0x1.c3d9862de62b9p-7, -0x1.b73f06888e91dp-7, -0x1.aaf51a08cf8abp-7, -0x1.9efa0f56a1d5cp-7, -0x1.934c3ba49507ep-7, -0x1.87e9faab342a3p-7, -0x1.7cd1aea3a27fap-7, -0x1.7201c04171da6p-7, -0x1.67789eabb989ap-7, -0x1.5d34bf7582fcep-7, -0x1.53349e957f71ap-7, -0x1.4976be5d2872ep-7, -0x1.3ff9a76f32402p-7, -0x1.36bbe8b57fafcp-7, -0x1.2dbc17567437p-7, -0x1.24f8cea9cd567p-7, -0x1.1c70b02cf7de6p-7, -0x1.14226376ed4b7p-7, -0x1.0c0c962b9fb3bp-7, -0x1.042dfbeefabdbp-7, -0x1.f90a9caefcd65p-8, -0x1.ea2299c0f657p-8, -0x1.dba179b7e921bp-8, -0x1.cd84d2c8623f1p-8, -0x1.bfca4699f5c36p-8, -0x1.b26f82292fd7fp-8, -0x1.a5723da8ffc91p-8, -0x1.98d03c63a4b2ap-8, -0x1.8c874c9b282c8p-8, -0x1.8095476970424p-8, -0x1.74f8109feee6bp-8, -0x1.69ad96a6fd858p-8, -0x1.5eb3d25ce73d2p-8, -0x1.5408c6f4adda2p-8, -0x1.49aa81d490556p-8, -0x1.3f971a745c202p-8, -0x1.35ccb23b8e4dap-8, -0x1.2c49745f4d54dp-8, -0x1.230b95c0419b7p-8, -0x1.1a1154c8577c5p-8, -0x1.1158f94868889p-8, -0x1.08e0d455dc9f5p-8, -0x1.00a7402841736p-8, -0x1.f1553fedc150fp-9, -0x1.e1d2bfacb843ep-9, -0x1.d2c3e92ca2b5ap-9, -0x1.c425b73e1bd2fp-9, -0x1.b5f5359eac9d8p-9, -0x1.a82f80b48844bp-9, -0x1.9ad1c54a88aa8p-9, -0x1.8dd9404c64e5p-9, -0x1.81433e83383fcp-9, -0x1.750d1c525a4e6p-9, -0x1.693445748db08p-9, -0x1.5db634b9927ap-9, -0x1.529073c41f107p-9, -0x1.47c09ac8499f8p-9, -0x1.3d44504a5f54p-9, -0x1.331948de3bf09p-9, -0x1.293d46e71d3c9p-9, -0x1.1fae1a57fa2d6p-9, -0x1.1669a074663c5p-9, -0x1.0d6dc3920059ap-9, -0x1.04b87ada71fc4p-9, -0x1.f88f941c13246p-10, -0x1.e833828dd31d2p-10, -0x1.d858f979ad916p-10, -0x1.c8fc49134fb7dp-10, -0x1.ba19d8dcaf921p-10, -0x1.abae273179f23p-10, -0x1.9db5c8d3d7e73p-10, -0x1.902d687a870e4p-10, -0x1.8311c6604dcb9p-10, -0x1.765fb7d4cc8a4p-10, -0x1.6a1426ceb1a55p-10, -0x1.5e2c117f53594p-10, -0x1.52a489e7afbf4p-10, -0x1.477ab56ed9936p-10, -0x1.3cabcc79cd439p-10, -0x1.32351a04b62bp-10, -0x1.2813fb3da2d7cp-10, -0x1.1e45df20abbcbp-10, -0x1.14c8461587ce3p-10, -0x1.0b98c18e90299p-10, -0x1.02b4f3a9428bap-10, -0x1.f4351da0473ccp-11, -0x1.e38eaabc451f2p-11, -0x1.d3723286cbe8ep-11, -0x1.c3db775716322p-11, -0x1.b4c6594aab69ap-11, -0x1.a62ed5979b12fp-11, -0x1.981105e19414fp-11, -0x1.8a691f91d2e8bp-11, -0x1.7d337331e430bp-11, -0x1.706c6bc9381cdp-11, -0x1.64108e3d833a9p-11, -0x1.581c78b5e69d8p-11, -0x1.4c8ce200dd1fp-11, -0x1.415e98fce60dap-11, -0x1.368e8403ec2bdp-11, -0x1.2c19a0595df5p-11, -0x1.21fd019af8104p-11, -0x1.1835d1343600bp-11, -0x1.0ec14dd468da5p-11, -0x1.059ccae767987p-11, -0x1.f98b6021b2a01p-12, -0x1.e872f15417014p-12, -0x1.d7eb6684abbc8p-12, -0x1.c7f00243f889p-12, -0x1.b87c2b9f1f721p-12, -0x1.a98b6d2f810f4p-12, -0x1.9b19742f3e6e6p-12, -0x1.8d220f9285c5cp-12, -0x1.7fa12f259a9dbp-12, -0x1.7292e2af8b093p-12, -0x1.65f35919871dap-12, -0x1.59bedf9abf31ap-12, -0x1.4df1e0e8cc094p-12, -0x1.4288e46c7d5cp-12, -0x1.37808d7b0e417p-12, -0x1.2cd59a93a8ff4p-12, -0x1.2284e4a12ae91p-12, -0x1.188b5e401acffp-12, -0x1.0ee61308be2f6p-12, -0x1.059226dd41d6ap-12, -0x1.f919aa77c6472p-13, -0x1.e7a6e12a14fe7p-13, -0x1.d6c6c34a91658p-13, -0x1.c6744da64bef3p-13, -0x1.b6aaa7215fb15p-13, -0x1.a7651f817d5f9p-13, -0x1.989f2e3fb4dbdp-13, -0x1.8a547161633bcp-13, -0x1.7c80ac582cf43p-13, -0x1.6f1fc6e8db9edp-13, -0x1.622dcc1906255p-13, -0x1.55a6e92362e1cp-13, -0x1.49876c72a262ep-13, -0x1.3dcbc4a2be1b9p-13, -0x1.32707f8890a8cp-13, -0x1.2772493fa128cp-13, -0x1.1ccdeb3e04d14p-13, -0x1.12804b6e32bdp-13, -0x1.08866b4eb285dp-13, -0x1.fdbace2f1ab18p-14, -0x1.eb04e9caaac52p-14, -0x1.d8e5c7d37189ap-14, -0x1.c7583742ef16cp-14, -0x1.b657361f553e8p-14, -0x1.a5ddeffc712a1p-14, -0x1.95e7bc86bd866p-14, -0x1.86701e1870c06p-14, -0x1.7772c0584d21fp-14, -0x1.68eb76e1f9e22p-14, -0x1.5ad63bf7b6dcep-14, -0x1.4d2f2f3d3939ep-14, -0x1.3ff2947b7a10fp-14, -0x1.331cd26d49787p-14, -0x1.26aa719473308p-14, -0x1.1a981b17455cbp-14, -0x1.0ee297a649329p-14, -0x1.0386ce6a00374p-14, -0x1.f10387f0ead3ap-15, -0x1.dba132a4f177fp-15, -0x1.c6e115d0a58abp-15, -0x1.b2bddf4b95b9ep-15, -0x1.9f32700a9d30ep-15, -0x1.8c39da5428a5fp-15, -0x1.79cf600216ab1p-15, -0x1.67ee70d0e5705p-15, -0x1.5692a8bbdc2dap-15, -0x1.45b7ce65dd57ap-15, -0x1.3559d18e95991p-15, -0x1.2574c993bb2fbp-15, -0x1.1604f3fe0f7ddp-15, -0x1.0706b319da09bp-15, -0x1.f0ed193528462p-16, -0x1.d4a25092f3c3ep-16, -0x1.b9269d7d81739p-16, -0x1.9e73d04a50a79p-16, -0x1.8483f60f46cadp-16, -0x1.6b515651b3a53p-16, -0x1.52d670c876a86p-16, -0x1.3b0dfb30d4dcap-16, -0x1.23f2df357a1fp-16, -0x1.0d80386726261p-16, -0x1.ef62a48d326ddp-17, -0x1.c5034cbe7c3dp-17, -0x1.9bd9b4e44c217p-17, -0x1.73dd7d61bc2ffp-17, -0x1.4d06980f6ca2cp-17, -0x1.274d44ee13842p-17, -0x1.02aa0ef635153p-17, -0x1.be2b920881e23p-18, -0x1.791315c07aae7p-18, -0x1.35fd5cc07af35p-18, -0x1.e9bb32937e26fp-19, -0x1.6b4eedbc4d14bp-19, -0x1.e13c547371e9ap-20, -0x1.e64816757a049p-21, -0x1.851c9059eb0d6p-25, 0x1.a7bf47a14c68p-21, 0x1.ad1e8c5feda0ep-20, 0x1.3fddafacb384dp-19, 0x1.a5ee216fc9a82p-19, 0x1.04698233f6f3dp-18, 0x1.344f0f7bc7a6dp-18, 0x1.62b04e2021f19p-18, 0x1.8f958992ded44p-18, 0x1.bb06c6853efd6p-18, 0x1.e50bc6243de07p-18, 0x1.06d60499f7235p-17, 0x1.1a77698578a7cp-17, 0x1.2d6d9637829d2p-17, 0x1.3fbbf329d7d6p-17, 0x1.5165ce3dfc37ap-17, 0x1.626e5c0013fap-17, 0x1.72d8b8dc37c79p-17, 0x1.82a7ea46b8627p-17, 0x1.91dedfd7aec24p-17, 0x1.a080745a66558p-17, 0x1.ae8f6ed0ddc9p-17, 0x1.bc0e836bf5a7p-17, 0x1.c90054788da85p-17, 0x1.d5677341fb5cdp-17, 0x1.e14660ea4c04bp-17, 0x1.ec9f8f3886ee1p-17, 0x1.f775615d7d90cp-17, 0x1.00e51657a3d7p-16, 0x1.05d01cadf9754p-16, 0x1.0a7ce189ce535p-16, 0x1.0eec7cd5213b6p-16, 0x1.132000d8d87f4p-16, 0x1.17187a85e05f4p-16, 0x1.1ad6f1ba9f402p-16, 0x1.1e5c6984db127p-16, 0x1.21a9e0603b26dp-16, 0x1.24c0507181195p-16, 0x1.27a0afbe9c214p-16, 0x1.2a4bf063b7ecdp-16, 0x1.2cc300c563217p-16, 0x1.2f06cbbfea53dp-16, 0x1.311838d40ac7p-16, 0x1.32f82c510fae7p-16, 0x1.34a7877c7bd04p-16, 0x1.362728b75808fp-16, 0x1.3777eba141592p-16, 0x1.389aa9394656dp-16, 0x1.399037fcbdcf3p-16, 0x1.3a596c041979p-16, 0x1.3af7171dda30cp-16, 0x1.3b6a08e7b1462p-16, 0x1.3bb30ee5ed1ddp-16, 0x1.3bd2f4993b3f3p-16, 0x1.3bca8392dc9f3p-16, 0x1.3b9a83875587ep-16, 0x1.3b43ba5fb6a71p-16, 0x1.3ac6ec4987e98p-16, 0x1.3a24dbc564451p-16, 0x1.395e49b4656d4p-16, 0x1.3873f5645c913p-16, 0x1.37669c9af383ap-16, 0x1.3636fb9fc3464p-16, 0x1.34e5cd45689ddp-16, 0x1.3373caf1ac4c9p-16, 0x1.31e1aca4c3fefp-16, 0x1.303028ffc240dp-16, 0x1.2e5ff54a33513p-16, 0x1.2c71c577068ap-16, 0x1.2a664c28b98cbp-16, 0x1.283e3ab4e4e74p-16, 0x1.25fa412720d4ep-16, 0x1.239b0e435d7bap-16, 0x1.21214f87b0cfap-16, 0x1.1e8db12d9a1d1p-16, 0x1.1be0de2adaed4p-16, 0x1.191b8031d56b4p-16, 0x1.163e3fb18811ap-16, 0x1.1349c3d528102p-16, 0x1.103eb28363c92p-16, 0x1.0d1db05d560adp-16, 0x1.09e760bd2b76dp-16, 0x1.069c65b4859ep-16, 0x1.033d600aa195ap-16, 0x1.ff95de748e201p-17, 0x1.f88b62df0898fp-17, 0x1.f15c870a7c249p-17, 0x1.ea0a820532f69p-17, 0x1.e296883081fcdp-17, 0x1.db01cb3b21f4bp-17, 0x1.d34d7a1b47a67p-17, 0x1.cb7ac108a22f9p-17, }}, 
      {{0x1.ffd37422f2bf2p-1, 0x1.ff518c511fdf1p-1, 0x1.fe83255ec912dp-1, 0x1.fd73157ec1f75p-1, 0x1.fc2c3d3134935p-1, 0x1.fab8781ddb48ep-1, 0x1.f9201df71c836p-1, 0x1.f769dcf1ba426p-1, 0x1.f59ac937a53edp-1, 0x1.f3b68929b02ep-1, 0x1.f1bf8ed4c9a8cp-1, 0x1.efb754d702a73p-1, 0x1.ed9e98dfd993ep-1, 0x1.eb75909337582p-1, 0x1.e93c1748b7da8p-1, 0x1.e6f1d43379b25p-1, 0x1.e4965925a938cp-1, 0x1.e2293a821fba8p-1, 0x1.dfaa211e962b5p-1, 0x1.dd18d6eadeb41p-1, 0x1.da754f30dea0ep-1, 0x1.d7bfab3522f1cp-1, 0x1.d4f83bee17457p-1, 0x1.d21f817348bf1p-1, 0x1.cf3628b0e0586p-1, 0x1.cc3d07d6e42aap-1, 0x1.c93519e886a51p-1, 0x1.c61f79be55c96p-1, 0x1.c2fd5cbe82ac2p-1, 0x1.bfd00d80d28d3p-1, 0x1.bc98e6880631ep-1, 0x1.b9594d3070b88p-1, 0x1.b612aceb0425dp-1, 0x1.b2c672d4ff555p-1, 0x1.af7609b6ad1cdp-1, 0x1.ac22d66edb284p-1, 0x1.a8ce34cd021afp-1, 0x1.a57974d915c38p-1, 0x1.a225d885c091ap-1, 0x1.9ed491c81cbaap-1, 0x1.9b86c10ecab32p-1, 0x1.983d74118476p-1, 0x1.94f9a4f1c8e41p-1, 0x1.91bc39a50fe0fp-1, 0x1.8e8603a0f289fp-1, 0x1.8b57bfc1db20ep-1, 0x1.88321665123f1p-1, 0x1.85159baf647a8p-1, 0x1.8202cff9f9c87p-1, 0x1.7efa205f74cd6p-1, 0x1.7bfbe763e581ep-1, 0x1.79086db2985a9p-1, 0x1.761feaed3db51p-1, 0x1.734286886383ap-1, 0x1.707058b1a4162p-1, 0x1.6da96b3c5ccebp-1, 0x1.6aedba9221a1p-1, 0x1.683d36a47aa4ep-1, 0x1.6597c3ddd83aap-1, 0x1.62fd3c0fec70cp-1, 0x1.606d6f5de74d3p-1, 0x1.5de825214efafp-1, 0x1.5b6d1cc86b191p-1, 0x1.58fc0ead634f5p-1, 0x1.5694ace56c724p-1, 0x1.5436a4077ac79p-1, 0x1.51e19bea18e0ep-1, 0x1.4f95385823ef9p-1, 0x1.4d5119bc3e134p-1, 0x1.4b14ddc2ec4bcp-1, 0x1.48e01ff35b007p-1, 0x1.46b27a3ee1861p-1, 0x1.448b85875debcp-1, 0x1.426ada1c9a52bp-1, 0x1.40501030edf2cp-1, 0x1.3e3ac04555d5p-1, 0x1.3c2a838d496f5p-1, 0x1.3a1ef44a93b32p-1, 0x1.3817ae2178aedp-1, 0x1.36144e65775dap-1, 0x1.3414745ef740dp-1, 0x1.3217c18a307adp-1, 0x1.301dd9cfa0e3bp-1, 0x1.2e2663b65bb74p-1, 0x1.2c310890861a9p-1, 0x1.2a3d74a24d37dp-1, 0x1.284b5743a2b02p-1, 0x1.265a62fd0be99p-1, 0x1.246a4d9fcc214p-1, 0x1.227ad059b19bep-1, 0x1.208ba7c4cb38bp-1, 0x1.1e9c93f348977p-1, 0x1.1cad5877c540dp-1, 0x1.1abdbc6a3d7c8p-1, 0x1.18cd8a69ea67fp-1, 0x1.16dc909c396b3p-1, 0x1.14eaa0a91db8ep-1, 0x1.12f78fb4e7d34p-1, 0x1.11033657deaecp-1, 0x1.0f0d7093c15e7p-1, 0x1.0d161dc76610ep-1, 0x1.0b1d20a09e2aap-1, 0x1.09225f0c8a60ap-1, 0x1.0725c2268514cp-1, 0x1.05273625c9a99p-1, 0x1.0326aa49f9c87p-1, 0x1.012410c6a5fd3p-1, 0x1.fe3ebd5be6c24p-2, 0x1.fa3117b505accp-2, 0x1.f61f25b15f32ap-2, 0x1.f208e19e87e1cp-2, 0x1.edee4acf75488p-2, 0x1.e9cf656c497b3p-2, 0x1.e5ac3a419723ep-2, 0x1.e184d68f3b94p-2, 0x1.dd594bd7047f8p-2, 0x1.d929afab37d03p-2, 0x1.d4f61b7d2607p-2, 0x1.d0beac6bdf5c3p-2, 0x1.cc8383133251ap-2, 0x1.c844c35b00e9bp-2, 0x1.c402944711032p-2, 0x1.bfbd1fc762686p-2, 0x1.bb74928929cc3p-2, 0x1.b7291bc87c931p-2, 0x1.b2daed22be211p-2, 0x1.ae8a3a69e274bp-2, 0x1.aa3739788edcep-2, 0x1.a5e22207290dcp-2, 0x1.a18b2d81dc0fbp-2, 0x1.9d3296dfa03ap-2, 0x1.98d89a7a4a9eap-2, 0x1.947d75e7af56dp-2, 0x1.902167d3d9c4ep-2, 0x1.8bc4afdc6163p-2, 0x1.87678e6cde34ap-2, 0x1.830a449c83e2ep-2, 0x1.7ead140cdf1e2p-2, 0x1.7a503ec9bcbf4p-2, 0x1.75f4072a3b192p-2, 0x1.7198afb301843p-2, 0x1.6d3e7af9a3dcdp-2, 0x1.68e5ab8929286p-2, 0x1.648e83c7bd4b2p-2, 0x1.603945dd83b1ep-2, 0x1.5be6339c8bd0ap-2, 0x1.57958e69e3808p-2, 0x1.53479727c7adap-2, 0x1.4efc8e20e5b35p-2, 0x1.4ab4b2f4b8643p-2, 0x1.46704484eac1dp-2, 0x1.422f80e3cc431p-2, 0x1.3df2a543c4a14p-2, 0x1.39b9ede7cc02ep-2, 0x1.35859614d81e4p-2, 0x1.3155d804447e1p-2, 0x1.2d2aecd724bedp-2, 0x1.29050c8a836a4p-2, 0x1.24e46dec811fcp-2, 0x1.20c9469254ea2p-2, 0x1.1cb3cacf2173cp-2, 0x1.18a42dab9a419p-2, 0x1.149aa0de756fdp-2, 0x1.109754c5a278p-2, 0x1.0c9a78603c51cp-2, 0x1.08a4394937cfep-2, 0x1.04b4c3b2be656p-2, 0x1.00cc42623a27bp-2, 0x1.f9d5bd5a05924p-3, 0x1.f22180eb53918p-3, 0x1.ea7c1c53c74a2p-3, 0x1.e2e5d981fe3a2p-3, 0x1.db5eff75d884ap-3, 0x1.d3e7d23f919b8p-3, 0x1.cc8092ffde27ap-3, 0x1.c5297fe9003b7p-3, 0x1.bde2d440c2db6p-3, 0x1.b6acc8635cddbp-3, 0x1.af8791c72440dp-3, 0x1.a87363010a0f4p-3, 0x1.a1706bc9ddefap-3, 0x1.9a7ed90441a03p-3, 0x1.939ed4c348d9bp-3, 0x1.8cd08651bbed2p-3, 0x1.86141239f44fp-3, 0x1.7f699a4e45e04p-3, 0x1.78d13db1efac9p-3, 0x1.724b18e2860b5p-3, 0x1.6bd745c1d8c74p-3, 0x1.6575dba03ae91p-3, 0x1.5f26ef473b18bp-3, 0x1.58ea9304a967p-3, 0x1.52c0d6b5feb9cp-3, 0x1.4ca9c7d407121p-3, 0x1.46a5717edbddap-3, 0x1.40b3dc8a114c8p-3, 0x1.3ad50f89259f7p-3, 0x1.35090edc1f15p-3, 0x1.2f4fdcbc532ddp-3, 0x1.29a9794958297p-3, 0x1.2415e29610e6cp-3, 0x1.1e9514b5d9504p-3, 0x1.192709c9c540ap-3, 0x1.13cbba0dec997p-3, 0x1.0e831be6c8f12p-3, 0x1.094d23ee925ffp-3, 0x1.0429c502a97eep-3, 0x1.fe31e0a1e15f2p-4, 0x1.f4352aca58dbfp-4, 0x1.ea5d446ca95c8p-4, 0x1.e0aa0667b04e8p-4, 0x1.d71b46a59f903p-4, 0x1.cdb0d8363da76p-4, 0x1.c46a8b68f1319p-4, 0x1.bb482de6a3de3p-4, 0x1.b2498acb64513p-4, 0x1.a96e6abfc3696p-4, 0x1.a0b69411fcc0bp-4, 0x1.9821cacec708bp-4, 0x1.8fafd0d9e83dp-4, 0x1.876066066a7c9p-4, 0x1.7f33482e86d23p-4, 0x1.7728334b34afcp-4, 0x1.6f3ee18b60924p-4, 0x1.67770b6ac3d33p-4, 0x1.5fd067c85e891p-4, 0x1.584aabfc8d4e2p-4, 0x1.50e58beebbceep-4, 0x1.49a0ba2ab122fp-4, 0x1.427be7f57297dp-4, 0x1.3b76c561bf64ep-4, 0x1.349101641ef31p-4, 0x1.2dca49e6853cbp-4, 0x1.27224bdb8939cp-4, 0x1.2098b3512d58ep-4, 0x1.1a2d2b833b131p-4, 0x1.13df5eed2d8ddp-4, 0x1.0daef75bafb2dp-4, 0x1.079b9dfda8a1dp-4, 0x1.01a4fb74db6a4p-4, 0x1.f7956fcc298bep-5, 0x1.ec18f611d99ecp-5, 0x1.e0d3d86e309c1p-5, 0x1.d5c564f69986dp-5, 0x1.caece93f6bfacp-5, 0x1.c049b27801659p-5, 0x1.b5db0d85ee58bp-5, 0x1.aba0471f66fe1p-5, 0x1.a198abe4cf62ep-5, 0x1.97c3887977f39p-5, 0x1.8e20299b8b6f1p-5, 0x1.84addc3b2bdbcp-5, 0x1.7b6bed90c6eebp-5, 0x1.7259ab329f164p-5, 0x1.697663298fd56p-5, 0x1.60c164050c094p-5, 0x1.5839fcee5d213p-5, 0x1.4fdf7dbb23fe2p-5, 0x1.47b136ff1ea37p-5, 0x1.3fae7a1d363e3p-5, 0x1.37d69957d6eb7p-5, 0x1.3028e7e098fa6p-5, 0x1.28a4b9e739349p-5, 0x1.214964a7e5ccfp-5, 0x1.1a163e78e6ff9p-5, 0x1.130a9ed79e73fp-5, 0x1.0c25de74ea687p-5, 0x1.05675740e5f55p-5, 0x1.fd9cc8ec2b151p-6, 0x1.f0b4c547ec4cdp-6, 0x1.e4155f71fb679p-6, 0x1.d7bd5618115fbp-6, 0x1.cbab6aca7bc77p-6, 0x1.bfde620ccd933p-6, 0x1.b455036585e58p-6, 0x1.a90e196cb331bp-6, 0x1.9e0871d997a27p-6, 0x1.9342dd8f55cdap-6, 0x1.88bc30a8b1ac5p-6, 0x1.7e734282decc5p-6, 0x1.7466edc7745dfp-6, 0x1.6a96107580132p-6, 0x1.60ff8be9c47b4p-6, 0x1.57a244e62443bp-6, 0x1.4e7d23984a8cbp-6, 0x1.458f139f89fcfp-6, 0x1.3cd70411fff27p-6, 0x1.3453e781038efp-6, 0x1.2c04b3fce2bbdp-6, 0x1.23e86317f2c66p-6, 0x1.1bfdf1e8fb9edp-6, 0x1.1444610d062aap-6, 0x1.0cbab4a88f139p-6, 0x1.055ff4682467cp-6, 0x1.fc665700f1331p-7, 0x1.ee66d15bcbe44p-7, 0x1.e0bf7c66e3e3dp-7, 0x1.d36e83b2a575cp-7, 0x1.c67219d5ed0acp-7, 0x1.b9c8786930c34p-7, 0x1.ad6fe000cb93ep-7, 0x1.a16698266b75ep-7, 0x1.95aaef51b926p-7, 0x1.8a3b3ae039737p-7, 0x1.7f15d70c6c569p-7, 0x1.743926e4448dcp-7, 0x1.69a3943eec7d4p-7, 0x1.5f538fb1ea9ecp-7, 0x1.55479085adf12p-7, 0x1.4b7e14a98adbbp-7, 0x1.41f5a0a720a1ap-7, 0x1.38acbf95505b5p-7, 0x1.2fa2030aa5a68p-7, 0x1.26d4030f54cc8p-7, 0x1.1e415e0ec82d4p-7, 0x1.15e8b8c8c735dp-7, 0x1.0dc8be423c16bp-7, 0x1.05e01fb5a087cp-7, 0x1.fc5b290629665p-8, 0x1.ed5fb44054885p-8, 0x1.decb680ec92dbp-8, 0x1.d09bd74ef00dcp-8, 0x1.c2cea0a496e9fp-8, 0x1.b5616e57819aap-8, 0x1.a851f630972ecp-8, 0x1.9b9df956b270ep-8, 0x1.8f43442b1e8adp-8, 0x1.833fae25ca7abp-8, 0x1.779119b13d7a7p-8, 0x1.6c3574065004p-8, 0x1.612ab507b8a39p-8, 0x1.566edf1d6d29dp-8, 0x1.4bffff0fe577p-8, 0x1.41dc2be34612p-8, 0x1.380186b275ea4p-8, 0x1.2e6e3a8a2bf0ap-8, 0x1.25207c43f67efp-8, 0x1.1c168a6144276p-8, 0x1.134eace6753e2p-8, 0x1.0ac73535fa557p-8, 0x1.027e7deb8595cp-8, 0x1.f4e5d56ea6e46p-9, 0x1.e545d0732538p-9, 0x1.d619d7bbd9385p-9, 0x1.c75ee76e696a7p-9, 0x1.b9120cb6867bfp-9, 0x1.ab30657dfdbb3p-9, 0x1.9db720253294fp-9, 0x1.90a37b3c07884p-9, 0x1.83f2c53b39f26p-9, 0x1.77a25c3e3a43ep-9, 0x1.6bafadbd85201p-9, 0x1.6018364989398p-9, 0x1.54d981461449ep-9, 0x1.49f128a658091p-9, 0x1.3f5cd4a98603p-9, 0x1.351a3b9807eddp-9, 0x1.2b2721815990fp-9, 0x1.218157fa879d7p-9, 0x1.1826bddd59aa5p-9, 0x1.0f153f0825a2cp-9, 0x1.064ad41e58799p-9, 0x1.fb8b049356404p-10, 0x1.eb06b5f825e75p-10, 0x1.db04f764cffeap-10, 0x1.cb821b6f8faadp-10, 0x1.bc7a8bd3633c1p-10, 0x1.adeac8f9cc1c6p-10, 0x1.9fcf69860008bp-10, 0x1.922519e1b2fe4p-10, 0x1.84e89bcb4f125p-10, 0x1.7816c5e5c73e5p-10, 0x1.6bac8349ec5adp-10, 0x1.5fa6d31949eadp-10, 0x1.5402c81295f95p-10, 0x1.48bd8827a9e77p-10, 0x1.3dd44c150d2d1p-10, 0x1.33445efb0367ep-10, 0x1.290b1df8379ffp-10, 0x1.1f25f7c5e539bp-10, 0x1.15926c55963b3p-10, 0x1.0c4e0c7071433p-10, 0x1.035679580223bp-10, 0x1.f552c8d140833p-11, 0x1.e4891d7a97151p-11, 0x1.d44b91aa33588p-11, 0x1.c495e47446afbp-11, 0x1.b563f253e96e3p-11, 0x1.a6b1b47ef9609p-11, 0x1.987b403cf5b6cp-11, 0x1.8abcc640cd82ep-11, 0x1.7d7292059fe4fp-11, 0x1.7099092e658f9p-11, 0x1.642caae87eb07p-11, 0x1.582a0f511fd65p-11, 0x1.4c8de6dd93ea5p-11, 0x1.4154f9c65171ap-11, 0x1.367c2774d7d32p-11, 0x1.2c0065f451083p-11, 0x1.21dec164ece89p-11, 0x1.18145b71f35e5p-11, 0x1.0e9e6aca80abcp-11, 0x1.057a3a9ce77bfp-11, 0x1.f94a5429629efp-12, 0x1.e83957b666badp-12, 0x1.d7bc8b355dcc7p-12, 0x1.c7cf1f07f570ap-12, 0x1.b86c67ad4bd2cp-12, 0x1.a98fdcd72307ep-12, 0x1.9b351883ea012p-12, 0x1.8d57d61d92128p-12, 0x1.7ff3f19d17d6ap-12, 0x1.730566b2b3467p-12, 0x1.66884ff29e5a3p-12, 0x1.5a78e6065fbep-12, 0x1.4ed37ee2887cp-12, 0x1.43948d00d465cp-12, 0x1.38b89e9e9ac63p-12, 0x1.2e3c5cff824c5p-12, 0x1.241c8bb45ef67p-12, 0x1.1a5607e634968p-12, 0x1.10e5c7a5418fep-12, 0x1.07c8d93c07e67p-12, 0x1.fdf8c50c844fep-13, 0x1.ecfb409767f1ap-13, 0x1.dc93cb3d82345p-13, 0x1.ccbd367d83cd7p-13, 0x1.bd727dfbfe6b5p-13, 0x1.aeaec6568f5a8p-13, 0x1.a06d5bfe15686p-13, 0x1.92a9b217e0003p-13, 0x1.855f6165a7c52p-13, 0x1.788a273437712p-13, 0x1.6c25e450aca6dp-13, 0x1.602e9c0420128p-13, 0x1.54a07315aaf2ap-13, 0x1.4977aed294e28p-13, 0x1.3eb0b41ca566ap-13, 0x1.3448067e5ce16p-13, 0x1.2a3a474515d73p-13, 0x1.208434a0d6a9p-13, 0x1.1722a8c9cd77cp-13, 0x1.0e12992b43bfbp-13, 0x1.05511593ffc38p-13, 0x1.f9b68ed7dbe4cp-14, 0x1.e95ce1ddeaec3p-14, 0x1.d98fd8d9c8323p-14, 0x1.ca4a571ca3fabp-14, 0x1.bb876d3cb5d3ep-14, 0x1.ad4257b24f908p-14, 0x1.9f767d7e2b347p-14, 0x1.921f6ed8e50f7p-14, 0x1.8538e3eb5d616p-14, 0x1.78bebb8fd849dp-14, 0x1.6cacfa1ba7382p-14, 0x1.60ffc8312bc54p-14, 0x1.55b3719a07a44p-14, 0x1.4ac4642947f3p-14, 0x1.402f2ea55f3dap-14, 0x1.35f07fb9c0fc5p-14, 0x1.2c0524eff3515p-14, 0x1.226a09afe88b5p-14, 0x1.191c3647786f2p-14, 0x1.1018cef8cdb04p-14, 0x1.075d130f9dccdp-14, 0x1.fdccb7fa07b4bp-15, 0x1.ed6438f3a9a56p-15, 0x1.dd7bbf5e8e08cp-15, 0x1.ce0e90cb8abe3p-15, 0x1.bf18207393bafp-15, 0x1.b0940dad2ed45p-15, 0x1.a27e226d6491cp-15, 0x1.94d251d3df1f5p-15, 0x1.878cb6c1f62aep-15, 0x1.7aa9927c5f9cbp-15, 0x1.6e254b574451ap-15, 0x1.61fc6b6c72f1ap-15, 0x1.562b9f5b73feep-15, 0x1.4aafb51339f0cp-15, 0x1.3f859aa536973p-15, 0x1.34aa5d218f84ap-15, 0x1.2a1b277c3d412p-15, 0x1.1fd5417ad5dcbp-15, 0x1.15d60eaacb09cp-15, 0x1.0c1b0d5fe2754p-15, 0x1.02a1d5bab3c39p-15, 0x1.f2d0316de3a69p-16, 0x1.e0d73e82a0285p-16, 0x1.cf5492a990451p-16, 0x1.be441a3e2f544p-16, 0x1.ada1ec58763a1p-16, 0x1.9d6a493174064p-16, 0x1.8d9998952ccf8p-16, 0x1.7e2c686159e9dp-16, 0x1.6f1f6b10b4ffbp-16, 0x1.606f76527ca15p-16, 0x1.521981adcb3f6p-16, 0x1.441aa5307e45ep-16, 0x1.367018294ef1bp-16, 0x1.29172feccf0f5p-16, 0x1.1c0d5ea4fa5e3p-16, 0x1.0f50322b1542dp-16, 0x1.02dd52eb83c1p-16, 0x1.ed6505a6b137fp-17, 0x1.d59b388e94eddp-17, 0x1.be592247b3488p-17, 0x1.a79ad38c9920dp-17, 0x1.915c883cac36ap-17, 0x1.7b9aa59023246p-17, 0x1.6651b85c4f388p-17, 0x1.517e73679279dp-17, 0x1.3d1dadccb2244p-17, 0x1.292c616cf8195p-17, 0x1.15a7a970b2ffp-17, 0x1.028cc0d5abb53p-17, 0x1.dfb202164175p-18, 0x1.bb13c135b5f6ep-18, 0x1.9739e3bdeee94p-18, 0x1.741fc387fef4cp-18, 0x1.51c0ed2ddde49p-18, 0x1.30191dbd8c6a9p-18, 0x1.0f2440829ba35p-18, 0x1.ddbcd9cabb27bp-19, 0x1.9e87c8be25b0bp-19, 0x1.60a22104c914cp-19, 0x1.2405022f127fbp-19, 0x1.d153a92db0edap-20, 0x1.5d148bc4f7068p-20, 0x1.d68116ae81a9cp-21, 0x1.ef301242a8ae6p-22, 0x1.d5796d617e9f5p-25, -0x1.70ab6af302aebp-22, -0x1.898479a6c61d4p-21, -0x1.2b24437f63147p-20, -0x1.8f5a765770cc6p-20, -0x1.f16e00e08ab74p-20, -0x1.28b3dbaaf7f92p-19, -0x1.57a80d9e60816p-19, -0x1.8597afe28a4b3p-19, -0x1.b286b6fd227cp-19, -0x1.de78f4621da98p-19, -0x1.04b90c2ed157ep-18, -0x1.19bad9f40a9b3p-18, -0x1.2e439d3281a85p-18, -0x1.425501a6da832p-18, -0x1.55f0a5e4104f9p-18, -0x1.69181c157b319p-18, -0x1.7bcceab7baf8ap-18, -0x1.8e108d48dcc3fp-18, -0x1.9fe474f00d31fp-18, -0x1.b14a091d2d92dp-18, -0x1.c242a8209100ep-18, -0x1.d2cfa7bb38216p-18, -0x1.e2f255a7cb3fcp-18, -0x1.f2abf81ca0e0dp-18, -0x1.00fee72389fa6p-17, -0x1.0874886034adep-17, -0x1.0fb778fe461cap-17, -0x1.16c84f596ba17p-17, -0x1.1da79f20981e2p-17, -0x1.2455f984d44fbp-17, -0x1.2ad3ed65724cbp-17, -0x1.31220779ba82dp-17, -0x1.3740d2783257ep-17, -0x1.3d30d73b91c21p-17, -0x1.42f29ce582ca3p-17, -0x1.4886a8ff42c08p-17, -0x1.4ded7f983c566p-17, -0x1.5327a362afa88p-17, -0x1.583595ce83512p-17, -0x1.5d17d7224771bp-17, -0x1.61cee6928e71bp-17, -0x1.665b4257a4619p-17, -0x1.6abd67c1baa0ep-17, -0x1.6ef5d34b99ee9p-17, -0x1.730500abeabf4p-17, -0x1.76eb6ae52c58ap-17, -0x1.7aa98c546075ap-17, -0x1.7e3fdebe7e2fep-17, -0x1.81aedb5cc61f2p-17, -0x1.84f6fae7f07ap-17, -0x1.8818b5a25ab01p-17, -0x1.8b148361347ddp-17, -0x1.8deadb94b801bp-17, -0x1.909c354f86c29p-17, -0x1.9329074d23035p-17, -0x1.9591c7f7aada4p-17, -0x1.97d6ed6cc0e03p-17, -0x1.99f8ed81d3778p-17, -0x1.9bf83dc7a4659p-17, -0x1.9dd5538d3d6e4p-17, -0x1.9f90a3e23f32cp-17, -0x1.a12aa398ab7b3p-17, -0x1.a2a3c7462243fp-17, -0x1.a3fc8344a5bd3p-17, -0x1.a5354bb2e3ca5p-17, -0x1.a64e94740f18bp-17, -0x1.a748d12f5918fp-17, -0x1.a824754f05a54p-17, -0x1.a8e1f3ff26bf7p-17, -0x1.a981c02c0a7bep-17, -0x1.aa044c804f92ap-17, -0x1.aa6a0b62c60f2p-17, -0x1.aab36ef3fddaap-17, -0x1.aae0e90ba899p-17, -0x1.aaf2eb35b4e8bp-17, -0x1.aae9e6af4e401p-17, -0x1.aac64c63990f7p-17, -0x1.aa888ce857d3cp-17, -0x1.aa31187a637c6p-17, -0x1.a9c05efa0b512p-17, -0x1.a936cfe74f6p-17, -0x1.a894da5e0f62fp-17, -0x1.a7daed12171p-17, -0x1.a709764b2615fp-17, -0x1.a620e3e0e3ec4p-17, -0x1.a521a336c257ap-17, -0x1.a40c2137e8943p-17, -0x1.a2e0ca5308e1bp-17, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      118, 0x1.6cccccccccccdp+2, 0x1.24637742e1b6dp+0, 0x1.a9d078644d1b5p+1, -0x1.16f63efdfea5fp+0, 
      {{
        {0x1.742c3c9eecbfbp+0, 0x1.829c779a6b50bp+0, 0x1.0cf544bb1af3ap+2, -0x1.82d7934da145dp+2, 0x1.b9d43199c91a1p+1, 0x1.379a1693741e4p-2}, 
        {0x1.829c779a6b50bp+0, 0x1.910cb295e9e1bp+0, 0x1.efb15b573eab3p+1, -0x1.69bcb22d2ebffp+2, 0x1.c06b54c426249p+1, -0x1.85809c38512dep+0}, 
        {0x1.910cb295e9e1bp+0, 0x1.9f7ced916872bp+0, 0x1.c847c30d306a3p+1, -0x1.5160202d924b2p+2, 0x1.9f77a4f054eecp+1, -0x1.d069ec56ce277p-1}, 
        {0x1.9f7ced916872bp+0, 0x1.aded288ce703bp+0, 0x1.a3866e43aa79cp+1, -0x1.3a7f42c334308p+2, 0x1.8bd299bd0b3d7p+1, -0x1.17d4e603791b9p+0}, 
        {0x1.aded288ce703bp+0, 0x1.bc5d63886594bp+0, 0x1.8148a9bcfd4bfp+1, -0x1.24d71ed938ba6p+2, 0x1.74261e7219b93p+1, -0x1.d0b7b7c09c5cap-1}, 
        {0x1.bc5d63886594bp+0, 0x1.cacd9e83e425bp+0, 0x1.616a161e4f766p+1, -0x1.1067cc313cc7bp+2, 0x1.607dc8d2c8f8cp+1, -0x1.ec673a8d74dc3p-1}, 
        {0x1.cacd9e83e425bp+0, 0x1.d93dd97f62b6bp+0, 0x1.43c947064eceap+1, -0x1.fa398171f48d5p+1, 0x1.4ba9a5f66d524p+1, -0x1.a38780613b993p-1}, 
        {0x1.d93dd97f62b6bp+0, 0x1.dcd9e83e425afp+0, 0x1.284577d955715p+1, -0x1.d5d05fa7f368cp+1, 0x1.39eaa63dae34ap+1, -0x1.a708ae9a4b82p+0}, 
        {0x1.dcd9e83e425afp+0, 0x1.e075f6fd21ff3p+0, 0x1.21b573eab367ap+1, -0x1.cd167150caa97p+1, 0x1.30f82caf8982cp+1, -0x1.6bb00ed7162b6p-1}, 
        {0x1.e075f6fd21ff3p+0, 0x1.e41205bc01a37p+0, 0x1.1b449129888f8p+1, -0x1.c48ab098b20bp+1, 0x1.2d1f996144ddep+1, 0x1.da5930abebe58p-1}, 
        {0x1.e41205bc01a37p+0, 0x1.e7ae147ae147bp+0, 0x1.14f27bb2fec57p+1, -0x1.bbfab682e4fb3p+1, 0x1.3223c14ff0333p+1, -0x1.7f6d2cf6d4b43p+1}, 
        {0x1.e7ae147ae147bp+0, 0x1.eb4a2339c0ebfp+0, 0x1.0ebf338716095p+1, -0x1.b3932c5efea96p+1, 0x1.21ebb4e380231p+1, 0x1.6a20ce249f01cp-2}, 
        {0x1.eb4a2339c0ebfp+0, 0x1.eee631f8a0903p+0, 0x1.08a9bcfd4bf0ap+1, -0x1.ab5f441fa0e74p+1, 0x1.23d5e21cf131fp+1, -0x1.fc82a82c2e7e9p+0}, 
        {0x1.eee631f8a0903p+0, 0x1.f28240b780347p+0, 0x1.02b1c432ca57ap+1, -0x1.a34b44c4ce56ep+1, 0x1.19149acb02633p+1, 0x1.d428150e4c23p-2}, 
        {0x1.f28240b780347p+0, 0x1.f61e4f765fd8bp+0, 0x1.f9ad42c3c9eedp+0, -0x1.9b552841b58cap+1, 0x1.1b8e4d283a31fp+1, 0x1.42d498e42c117p-3}, 
        {0x1.f61e4f765fd8bp+0, 0x1.f9ba5e353f7cfp+0, 0x1.ee30a915379fbp+0, -0x1.935307af747bep+1, 0x1.1c68cb0542652p+1, -0x1.29ec216a20312p+2}, 
        {0x1.f9ba5e353f7cfp+0, 0x1.fd566cf41f213p+0, 0x1.e2ed1394317adp+0, -0x1.8ba8cc9c3fde7p+1, 0x1.0334825b5c093p+1, 0x1.0c5dacee44144p+2}, 
        {0x1.fd566cf41f213p+0, 0x1.00793dd97f62bp+1, 0x1.d7dfe32a0663cp+0, -0x1.8407981ebae77p+1, 0x1.19e8abc3b08a9p+1, -0x1.3eec78558261ap+2}, 
        {0x1.00793dd97f62bp+1, 0x1.02474538ef34dp+1, 0x1.cd0a67620ee8dp+0, -0x1.7c75d3ffb501ap+1, 0x1.fddb18fac117dp+0, 0x1.786001d45d4f5p+0}, 
        {0x1.02474538ef34dp+1, 0x1.04154c985f06fp+1, 0x1.c26a012599ed8p+0, -0x1.7528b8054d2e5p+1, 0x1.06e364cc18893p+1, -0x1.cb9c4bf8e5767p-1}, 
        {0x1.04154c985f06fp+1, 0x1.05e353f7ced91p+1, 0x1.b7feb074a771dp+0, -0x1.6dd06b82821acp+1, 0x1.020722d78302fp+1, -0x1.72639dd5c29a7p+0}, 
        {0x1.05e353f7ced91p+1, 0x1.07b15b573eab3p+1, 0x1.adc7cd898b2eap+0, -0x1.66a5f116cb152p+1, 0x1.f463670522fcfp+0, -0x1.cc6f2a4a34fabp-2}, 
        {0x1.07b15b573eab3p+1, 0x1.097f62b6ae7d5p+1, 0x1.a3c408d8ec95cp+0, -0x1.5fa0872596349p+1, 0x1.ef84ea339f516p+0, -0x1.49a5af4ce2396p-2}, 
        {0x1.097f62b6ae7d5p+1, 0x1.0b4d6a161e4f7p+1, 0x1.99f2ba9d1f601p+0, -0x1.58aa3181b3ce7p+1, 0x1.ec087e7271ca2p+0, -0x1.d47aba1314d3p+0}, 
        {0x1.0b4d6a161e4f7p+1, 0x1.0d1b71758e219p+1, 0x1.90533b1077469p+0, -0x1.51ddea624f641p+1, 0x1.d8376c979398dp+0, 0x1.03b7d870ff29fp-1}, 
        {0x1.0d1b71758e219p+1, 0x1.0ee978d4fdf3bp+1, 0x1.86e43aa79bbaep+0, -0x1.4b2b7d320fb37p+1, 0x1.ddb5a461f421p+0, -0x1.97a7b6749c81fp-3}, 
        {0x1.0ee978d4fdf3bp+1, 0x1.10b780346dc5dp+1, 0x1.7da5b9628cbd1p+0, -0x1.447309f5093dep+1, 0x1.db8dd71353d38p+0, -0x1.a3a22278848d1p+1}, 
        {0x1.10b780346dc5dp+1, 0x1.12858793dd97fp+1, 0x1.74970f7b9e061p+0, -0x1.3dfe8d161e21p+1, 0x1.b80d96d258ff2p+0, 0x1.4e28b75c927a3p+1}, 
        {0x1.12858793dd97fp+1, 0x1.14538ef34d6a1p+1, 0x1.6bb645a1cac08p+0, -0x1.37971d34208ecp+1, 0x1.d452ac1186c57p+0, -0x1.cc62a1002d45fp+1}, 
        {0x1.14538ef34d6a1p+1, 0x1.16219652bd3c3p+1, 0x1.6304039abf338p+0, -0x1.3142f3349b90fp+1, 0x1.ad5fd506e9c05p+0, 0x1.130efd6f6311p+0}, 
        {0x1.16219652bd3c3p+1, 0x1.17ef9db22d0e5p+1, 0x1.5a7e52157689dp+0, -0x1.2b2014e290c13p+1, 0x1.b90262ded9b1p+0, -0x1.66ed677bc0388p-1}, 
        {0x1.17ef9db22d0e5p+1, 0x1.19bda5119ce07p+1, 0x1.52253111f0c35p+0, -0x1.24f5ea4693c7dp+1, 0x1.b16b0289af927p+0, -0x1.d670626aba678p+0}, 
        {0x1.19bda5119ce07p+1, 0x1.1b8bac710cb29p+1, 0x1.49f7f8ca8198fp+0, -0x1.1efd5d3f0a591p+1, 0x1.9d84b8554c9a4p+0, 0x1.d57fab057ea2ep-1}, 
        {0x1.1b8bac710cb29p+1, 0x1.1d59b3d07c84bp+1, 0x1.41f559b3d07c8p+0, -0x1.1916ce7e13ff4p+1, 0x1.a772c619c7bdbp+0, -0x1.d48ef3a045521p+0}, 
        {0x1.1d59b3d07c84bp+1, 0x1.1f27bb2fec56dp+1, 0x1.3a1d53cddd6ep+0, -0x1.13421942a7d8ep+1, 0x1.93a0d93c3e0d1p+0, -0x1.75f8ddcf5f17bp-1}, 
        {0x1.1f27bb2fec56dp+1, 0x1.20f5c28f5c28fp+1, 0x1.326e978d4fdf4p+0, -0x1.0d9f6fdec9dffp+1, 0x1.8bb8038baf058p+0, 0x1.2f447b4b786e1p+0}, 
        {0x1.20f5c28f5c28fp+1, 0x1.22c3c9eecbfb1p+1, 0x1.2ae87d2c7b891p+0, -0x1.07f3e5e59821p+1, 0x1.988c097a51bc2p+0, -0x1.00855f91766f5p+2}, 
        {0x1.22c3c9eecbfb1p+1, 0x1.2491d14e3bcd3p+1, 0x1.238b04ab606b8p+0, -0x1.027f8a844c591p+1, 0x1.6d24c77059a6dp+0, 0x1.0957387c97307p+2}, 
        {0x1.2491d14e3bcd3p+1, 0x1.265fd8adab9f5p+1, 0x1.1c5436b8f9b13p+0, -0x1.fa10fb4e572f5p+0, 0x1.9a0a1096397abp+0, -0x1.5c396867381f8p+2}, 
        {0x1.265fd8adab9f5p+1, 0x1.282de00d1b717p+1, 0x1.154562e09fe87p+0, -0x1.ef5580773b943p+0, 0x1.5f1ea96af47dp+0, 0x1.aca46a5a0600bp+1}, 
        {0x1.282de00d1b717p+1, 0x1.29fbe76c8b439p+1, 0x1.0e5bea0ba1f4bp+0, -0x1.e4ebcd73c67b7p+0, 0x1.8362062da7e3ap+0, -0x1.18c05f4fdc3dcp+2}, 
        {0x1.29fbe76c8b439p+1, 0x1.2bc9eecbfb15bp+1, 0x1.079873ffac1d3p+0, -0x1.daaaacdb6fac3p+0, 0x1.53e137ff45e6bp+0, 0x1.bf844237e80c9p+1}, 
        {0x1.2bc9eecbfb15bp+1, 0x1.2d97f62b6ae7dp+1, 0x1.00f9096bb98c8p+0, -0x1.d08c5b2b8d555p+0, 0x1.79bd5ae2b9054p+0, -0x1.c450514ac30f6p+1}, 
        {0x1.2d97f62b6ae7dp+1, 0x1.2f65fd8adab9fp+1, 0x1.f4fd8f0c77dd8p-1, -0x1.c66f807f81971p+0, 0x1.537953306ac54p+0, 0x1.4cd61c1578535p-1}, 
        {0x1.2f65fd8adab9fp+1, 0x1.313404ea4a8c1p+1, 0x1.e84fb1183b603p-1, -0x1.bcc35caec5313p+0, 0x1.5a836f2645d3ep+0, -0x1.b3535f1f0c004p-1}, 
        {0x1.313404ea4a8c1p+1, 0x1.33020c49ba5e3p+1, 0x1.dbe7d1351159cp-1, -0x1.b31f0be64fb54p+0, 0x1.514e682892ab4p+0, -0x1.d6b6c70244652p-2}, 
        {0x1.33020c49ba5e3p+1, 0x1.34d013a92a305p+1, 0x1.cfc4c165907d9p-1, -0x1.a9adeed10a26bp+0, 0x1.4c54170a21375p+0, -0x1.0b11d6c5a1bffp-1}, 
        {0x1.34d013a92a305p+1, 0x1.369e1b089a027p+1, 0x1.c3e553ac4f7ecp-1, -0x1.a0632d11a9ac9p+0, 0x1.46ae11622fc77p+0, -0x1.54300550dc97ep-1}, 
        {0x1.369e1b089a027p+1, 0x1.386c226809d49p+1, 0x1.b8485a0be5109p-1, -0x1.9746c77270b39p+0, 0x1.3f7c2801004f3p+0, -0x1.8d4cf7ba9d50ep-2}, 
        {0x1.386c226809d49p+1, 0x1.3fa43fe5c91d1p+1, 0x1.acec84f8f8a4cp-1, -0x1.8e5384c674939p+0, 0x1.3b48957c90529p+0, -0x1.0a641d3dbf95ep-1}, 
        {0x1.3fa43fe5c91d1p+1, 0x1.46dc5d6388659p+1, 0x1.81f36262cba73p-1, -0x1.6c0888690c77fp+0, 0x1.24bf3152bb5a7p+0, -0x1.e7d58faec836fp-2}, 
        {0x1.46dc5d6388659p+1, 0x1.4e147ae147ae1p+1, 0x1.5ab4d8ba40d91p-1, -0x1.4c2ce1f8b3185p+0, 0x1.101c888eb131bp+0, -0x1.cd107b1fbe05dp-2}, 
        {0x1.4e147ae147ae1p+1, 0x1.554c985f06f69p+1, 0x1.36ed45e9185cfp-1, -0x1.2e94c458dd4aap+0, 0x1.f93784daf476ap-1, -0x1.b9dc2e6b0771bp-2}, 
        {0x1.554c985f06f69p+1, 0x1.5c84b5dcc63f1p+1, 0x1.165cf67b1c001p-1, -0x1.13241b74907e7p+0, 0x1.d3d5e3d8c2d5fp-1, -0x1.9e2b67eec5fc8p-2}, 
        {0x1.5c84b5dcc63f1p+1, 0x1.63bcd35a85879p+1, 0x1.f18e757928e0dp-2, -0x1.f37c86878cbc9p-1, 0x1.b0cbf8b2e597dp-1, -0x1.86070c36b438dp-2}, 
        {0x1.63bcd35a85879p+1, 0x1.6af4f0d844d01p+1, 0x1.bbe5d9e40c847p-2, -0x1.c48727746c723p-1, 0x1.8fcce94741264p-1, -0x1.6de2ac555114bp-2}, 
        {0x1.6af4f0d844d01p+1, 0x1.722d0e5604189p+1, 0x1.8b549f94855dap-2, -0x1.992d1f311acf5p-1, 0x1.70d8b5eff5bbbp-1, -0x1.5d9c4c94e1648p-2}, 
        {0x1.722d0e5604189p+1, 0x1.79652bd3c3611p+1, 0x1.5f75968512232p-2, -0x1.713d0f4e053b9p-1, 0x1.5344fc422fdfep-1, -0x1.44b2a4f9a2781p-2}, 
        {0x1.79652bd3c3611p+1, 0x1.809d495182a99p+1, 0x1.37e8ccdd93c47p-2, -0x1.4c84a861dedaap-1, 0x1.37cccf4642213p-1, -0x1.2fa36828fac65p-2}, 
        {0x1.809d495182a99p+1, 0x1.87d566cf41f21p+1, 0x1.14549b62c7757p-2, -0x1.2acbc2db3123bp-1, 0x1.1e1cbb8e91442p-1, -0x1.1f3822489ea05p-2}, 
        {0x1.87d566cf41f21p+1, 0x1.8f0d844d013a9p+1, 0x1.e8ca3e7d13511p-3, -0x1.0be49724124bcp-1, 0x1.05d040a4c9e35p-1, -0x1.0f374a5c2cb4ap-2}, 
        {0x1.8f0d844d013a9p+1, 0x1.9645a1cac0831p+1, 0x1.af965b20b8067p-3, -0x1.df4f157a17c44p-2, 0x1.ddbcbb0df3057p-2, -0x1.e6672d1fb214ap-3}, 
        {0x1.9645a1cac0831p+1, 0x1.9d7dbf487fcb9p+1, 0x1.7c792d1287c2p-3, -0x1.abbdb27f173fp-2, 0x1.b496688ae8d1ep-2, -0x1.dff85f9ee5fd5p-3}, 
        {0x1.9d7dbf487fcb9p+1, 0x1.a4b5dcc63f141p+1, 0x1.4eea63b688bdbp-3, -0x1.7cc8b97bd166fp-2, 0x1.8bfb67d36e735p-2, -0x1.a8bec23cb1f8ap-3}, 
        {0x1.a4b5dcc63f141p+1, 0x1.abedfa43fe5c9p+1, 0x1.2667f90d9d777p-3, -0x1.5224d9f3ae0a1p-2, 0x1.680c71ea40783p-2, -0x1.9c5a9e09ad06ep-3}, 
        {0x1.abedfa43fe5c9p+1, 0x1.b32617c1bda51p+1, 0x1.027ae9ab29e4dp-3, -0x1.2b7f7c3b04b75p-2, 0x1.4529d8f94e25p-2, -0x1.70be36fa105bap-3}, 
        {0x1.b32617c1bda51p+1, 0x1.ba5e353f7ced9p+1, 0x1.c56605ee568a5p-4, -0x1.08943864e052p-2, 0x1.25f7c232b0ce4p-2, -0x1.5e199eee706f7p-3}, 
        {0x1.ba5e353f7ced9p+1, 0x1.c19652bd3c361p+1, 0x1.8d530489d27c4p-4, -0x1.d22e072a16a2bp-3, 0x1.08596e5a37c7ap-2, -0x1.3fe1d0eea51e5p-3}, 
        {0x1.c19652bd3c361p+1, 0x1.c8ce703afb7e9p+1, 0x1.5bfceb78897eap-4, -0x1.99985ddb3d0c7p-3, 0x1.da931af0d193p-3, -0x1.2b94b17bb4da7p-3}, 
        {0x1.c8ce703afb7e9p+1, 0x1.d0068db8bac71p+1, 0x1.30b28522ea0fdp-4, -0x1.66ec0a041533p-3, 0x1.a7e2b3979632ep-3, -0x1.069a680958db4p-3}, 
        {0x1.d0068db8bac71p+1, 0x1.d73eab367a0f9p+1, 0x1.0ad03d9a95422p-4, -0x1.399d1d4424f31p-3, 0x1.7b73fe5a9cf9ep-3, -0x1.03956388274adp-3}, 
        {0x1.d73eab367a0f9p+1, 0x1.de76c8b439581p+1, 0x1.d38476f2a5a47p-5, -0x1.1149e13807e93p-3, 0x1.4f8814870ebffp-3, -0x1.c9768e80d2bafp-4}, 
        {0x1.de76c8b439581p+1, 0x1.e5aee631f8a09p+1, 0x1.99f7f8ca8198fp-5, -0x1.db3f2d02a14d4p-4, 0x1.28d486ef9060cp-3, -0x1.86af9ac5aa268p-4}, 
        {0x1.e5aee631f8a09p+1, 0x1.ece703afb7e91p+1, 0x1.67ff583a53b8ep-5, -0x1.9c0299dc911ap-4, 0x1.07c734fa631c1p-3, -0x1.a6b277c5fa8p-4}, 
        {0x1.ece703afb7e91p+1, 0x1.f41f212d77319p+1, 0x1.3cba30121683p-5, -0x1.64891a46e89d8p-4, 0x1.c80933e603f9ep-4, -0x1.24efda00db851p-4}, 
        {0x1.f41f212d77319p+1, 0x1.fb573eab367a1p+1, 0x1.174e65bea0ba2p-5, -0x1.33e3e1cbe238cp-4, 0x1.967894d960ad4p-4, -0x1.7102c31ad3ee2p-4}, 
        {0x1.fb573eab367a1p+1, 0x1.0147ae147ae14p+2, 0x1.ee0f3cb3e5754p-6, -0x1.098fc8dbe991cp-4, 0x1.5808ce2779a4cp-4, -0x1.b29ce1ef85c13p-5}, 
        {0x1.0147ae147ae14p+2, 0x1.028f5c28f5c29p+2, 0x1.b65ecc3e3193fp-6, -0x1.c9a817f56f299p-5, 0x1.33442276cbaabp-4, -0x1.5c89becac553ap-4}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.a48b652370479p-6, -0x1.b1e96cb312bedp-5, 0x1.1e5a97043ab48p-4, -0x1.09678ed158f03p-4}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.8398a65492ff5p-6, -0x1.86a4a0dd5dc3bp-5, 0x1.fd02b9d6371acp-5, -0x1.7d57697975e41p-5}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.65ecc3e3193f7p-6, -0x1.5fc0aec435e09p-5, 0x1.cf3fea9eae13dp-5, -0x1.f7d33c7776394p-5}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.4b33daf8df7a5p-6, -0x1.3d1c6e0096b35p-5, 0x1.92ca687bdd54ap-5, -0x1.235ba4a8b1263p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.3315d701d9f4dp-6, -0x1.1e494c3834be6p-5, 0x1.6fd3e415b397bp-5, -0x1.7abe30e5c47d7p-5}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.1d4f9c1f85d74p-6, -0x1.02ad95f537b42p-5, 0x1.4260e8750269ep-5, -0x1.71ab97c03cb33p-5}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.0999dcb5781c7p-6, -0x1.d5530c4683438p-6, 0x1.1604a30c055eap-5, -0x1.7d26e03293ba7p-6}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.ef62f9ca5bd94p-7, -0x1.aaabc9134543bp-6, 0x1.fe4c49e903405p-6, -0x1.9406a7da9acc3p-5}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.cec84f8f8a4c2p-7, -0x1.85b9d10fd5d9ap-6, 0x1.9d54ee6cde196p-6, -0x1.c547c1f12de1bp-7}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.b0e5e679463dp-7, -0x1.65bf470e0db73p-6, 0x1.82228bbfad443p-6, -0x1.26b196343786ep-5}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.95703f2d3c793p-7, -0x1.49af791e59aep-6, 0x1.3b6890a8e79eap-6, -0x1.cf9edacb5742p-7}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.7c0b135979182p-7, -0x1.3190c1a11875cp-6, 0x1.1f975a9276dd4p-6, -0x1.09af8f007a338p-5}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.6473471f79421p-7, -0x1.1d1bd6615d217p-6, 0x1.bfa73d4da8d7cp-7, -0x1.9568352cbee9p-7}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.4e54f7a919696p-7, -0x1.0c2cf32f7731ap-6, 0x1.8f0122714003ap-7, -0x1.83a0ef4b3dd56p-7}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.397dd00f776c5p-7, -0x1.fa4a9b7215cccp-7, 0x1.607d2eafe6acbp-7, -0x1.2e0a06d326a18p-6}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.25c3dee78184p-7, -0x1.e0fdec903a9a3p-7, 0x1.17ffe55e813ep-7, -0x1.0c0eda1b8ed8ep-7}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.12f4cf4a558eap-7, -0x1.cbe0ec0debbap-7, 0x1.efaa4eb665522p-8, -0x1.73b089eb6ce83p-7}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.00ef1348b2208p-7, -0x1.b9d60abed8a1dp-7, 0x1.9675b2bb556c4p-8, -0x1.252efe36ca1fap-7}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.df2239e6ab9b2p-8, -0x1.aafc28739f4c4p-7, 0x1.50187ff5dd3bbp-8, 0x1.0d9058d3c2506p-12}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.bd8383ad9f0a2p-8, -0x1.9d802fd00db42p-7, 0x1.521e0ffc9287bp-8, -0x1.f90619c764b06p-8}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.9cf13cee9dd7fp-8, -0x1.913026a22df8ep-7, 0x1.1583baf9200c2p-8, -0x1.6604f37d348dp-11}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.7d49d7ba6698cp-8, -0x1.8631e5c7ff024p-7, 0x1.1024efa40c0f2p-8, -0x1.53f76c7a01c42p-8}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.5e7c8d195896ap-8, -0x1.7c2003fb7b0cdp-7, 0x1.ceb2549b73dabp-9, 0x1.7c9e5057ad34ap-8}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.40789613d31bap-8, -0x1.71f52830af9cfp-7, 0x1.1505c34e01e98p-8, -0x1.3d03a9c965446p-9}, 
        {0x1.4p+2, 0x1.428f5c28f5c29p+2, 0x1.234eb9a176ddbp-8, -0x1.6741d5515714ep-7, 0x1.02006c5148a2bp-8, 0x1.fad206763b48p-9}, 
        {0x1.428f5c28f5c29p+2, 0x1.451eb851eb852p+2, 0x1.06fef7c243dcdp-8, -0x1.5c54337c6fc0ep-7, 0x1.20692f43e5cbp-8, 0x1.51bb8ff078611p-9}, 
        {0x1.451eb851eb852p+2, 0x1.47ae147ae147bp+2, 0x1.d7342edbb59dep-9, -0x1.50631f4c460edp-7, 0x1.34acc2243eef8p-8, 0x1.7c7f738fc1fc9p-10}, 
        {0x1.47ae147ae147bp+2, 0x1.4a3d70a3d70a4p+2, 0x1.a261bf37b8d3fp-9, -0x1.43cfd8f29f542p-7, 0x1.4016fb5e518e2p-8, 0x1.daa2c4780463dp-8}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.6fa82e87d2c7cp-9, -0x1.35de830e19cd9p-7, 0x1.790bcb43c2b8ep-8, 0x1.b2a889dfca58ep-11}, 
        {0x1.4cccccccccccdp+2, 0x1.4f5c28f5c28f6p+2, 0x1.3f4a98aa8650ep-9, -0x1.26a82dac6c8d4p-7, 0x1.7f90e1d013d66p-8, 0x1.4c08f6981caap-8}, 
        {0x1.4f5c28f5c28f6p+2, 0x1.51eb851eb851fp+2, 0x1.116a8b8f14db6p-9, -0x1.168475f81d0bdp-7, 0x1.a768ff67736ffp-8, 0x1.4cc38a31c7659p-7}, 
        {0x1.51eb851eb851fp+2, 0x1.547ae147ae148p+2, 0x1.cc964628027d9p-10, -0x1.03fbd7395e551p-7, 0x1.f74601d9cc40bp-8, 0x1.376adf66a657p-10}, 
        {0x1.547ae147ae148p+2, 0x1.570a3d70a3d71p+2, 0x1.7ca2120e1f7d7p-10, -0x1.df54f93192ef3p-8, 0x1.004ed8c1a3806p-7, 0x1.787061ae64165p-11}, 
        {0x1.570a3d70a3d71p+2, 0x1.599999999999ap+2, 0x1.333b96af038e3p-10, -0x1.b618c6e3a39eap-8, 0x1.03219c0c8beeap-7, 0x1.7af68ba791065p-7}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x1.e14bdfd2630ecp-11, -0x1.88ff6b744c59ap-8, 0x1.309b5ae336ef7p-7, -0x1.b09a5c94bf57dp-14}, 
        {0x1.5c28f5c28f5c3p+2, 0x1.5eb851eb851ecp+2, 0x1.6b54e2b063e08p-11, -0x1.584b0767054a3p-8, 0x1.303387c2c150dp-7, 0x1.251c8e7a28a8fp-8}, 
        {0x1.5eb851eb851ecp+2, 0x1.6147ae147ae14p+2, 0x1.05186db50f40ep-11, -0x1.2636c4c29025dp-8, 0x1.41c9b944f6f4ap-7, -0x1.1b5fa0ecba8cp-9}, 
        {0x1.6147ae147ae14p+2, 0x1.63d70a3d70a3dp+2, 0x1.5e39713ad5beep-12, -0x1.e6d0e0013133ap-9, 0x1.39496a339f70ap-7, 0x1.4468acd7db03ap-6}, 
        {0x1.63d70a3d70a3dp+2, 0x1.6666666666666p+2, 0x1.a79fec99f1ae3p-13, -0x1.761b5a675c2b8p-9, 0x1.872518cdd401p-7, -0x1.f71b5fa0ec968p-5}, 
        {0x1.6666666666666p+2, 0x1.6cccccccccccdp+2, 0x1.b003686a4ca4fp-14, -0x1.1f943f2fce56cp-9, 0x1.2b4ea29ac4e19p-8, 0x1.320374180ba32p-3}, 
      }}, 
      -0x1.76f20314cc623p-1, -0x1.1743434076cp-1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.751f62632a72fp-13, -0x1.7307e7a104a7fp-11, -0x1.9da09d8f3a2a1p-10, -0x1.6b9e73419c2a7p-9, -0x1.1845643cc2a04p-8, -0x1.8d6cfbc04fb8p-8, -0x1.09ebb90cfc8f3p-7, -0x1.55028a6f9c475p-7, -0x1.a736da538a467p-7, -0x1.ffcebadbcecd7p-7, -0x1.2f0921a91841bp-6, -0x1.60a548c6df48ep-6, -0x1.9468b1fc2cd47p-6, -0x1.ca01419daddf5p-6, -0x1.008ffae1e1daep-5, -0x1.1cc010ee3d62ep-5, -0x1.396e42a518182p-5, -0x1.567afb5432e35p-5, -0x1.73c94fe9f02d8p-5, -0x1.913e0f4ca72cbp-5, -0x1.aec0c3fa374adp-5, -0x1.cc39c9354edf3p-5, -0x1.e992035792ab4p-5, -0x1.035d2ff912e1bp-4, -0x1.11cfe7fb41de9p-4, -0x1.20162011001f5p-4, -0x1.2e2c2cfc0524ap-4, -0x1.3c0dfa667fd69p-4, -0x1.49afd6b0e2602p-4, -0x1.57095daf527f4p-4, -0x1.641fd03e3117bp-4, -0x1.70e899943be52p-4, -0x1.7d61480c6bbc9p-4, -0x1.8986895d7724ep-4, -0x1.95555d2b3349ap-4, -0x1.a0cb374bb55dcp-4, -0x1.abe5ea45c3d17p-4, -0x1.b6a3996893f78p-4, -0x1.c102b148d7713p-4, -0x1.cb01e0598f229p-4, -0x1.d4a01e12ea881p-4, -0x1.dddcb75741f5bp-4, -0x1.e6b74281124fcp-4, -0x1.ef2f7ba295be5p-4, -0x1.f74534e28f319p-4, -0x1.fef87ba343f28p-4, -0x1.0324e8e796b99p-3, -0x1.069d1af4c9976p-3, -0x1.09e571f7d607ap-3, -0x1.0cfe841b5ace4p-3, -0x1.0fe8d7b94cf87p-3, -0x1.12a50163ce0efp-3, -0x1.1533cc4e98eddp-3, -0x1.17964a3d31f6ep-3, -0x1.19cdbd41786edp-3, -0x1.1bdb69af49b87p-3, -0x1.1dc06e06ee796p-3, -0x1.1f7db9b17a5a9p-3, -0x1.211426d734672p-3, -0x1.2284a4f7e4bd7p-3, -0x1.23d0584eeb978p-3, -0x1.24f89b720e5dep-3, -0x1.25ffc49b1ac23p-3, -0x1.26e5d1597eaa8p-3, -0x1.27ac367f75247p-3, -0x1.28542c0043b53p-3, -0x1.28def7a79704p-3, -0x1.294de1a709abcp-3, -0x1.29a225178958p-3, -0x1.29dce65a70954p-3, -0x1.29ff3520c0f95p-3, -0x1.2a0a1879d6658p-3, -0x1.29fe9d75f6d9fp-3, -0x1.29dde057cbbbp-3, -0x1.29a90ba470f0fp-3, -0x1.29614e0c13377p-3, -0x1.2907cc5b0d049p-3, -0x1.289d95eb52265p-3, -0x1.2823a011f2b14p-3, -0x1.279ac98fc96c4p-3, -0x1.2703e394acbf7p-3, -0x1.265fbc347706p-3, -0x1.25af262f85d56p-3, -0x1.24f2fb72223ep-3, -0x1.242c1a50f5025p-3, -0x1.235b5f2800ea8p-3, -0x1.22819d7d9bfefp-3, -0x1.219f98efa6646p-3, -0x1.20b60605c703ep-3, -0x1.1fc58809e50d8p-3, -0x1.1eceb5eac3c4ap-3, -0x1.1dd21e183cb06p-3, -0x1.1cd04a1311ed4p-3, -0x1.1bc9c0869e7a4p-3, -0x1.1abf05c54fd3ap-3, -0x1.19b09a62979fdp-3, -0x1.189ef9b4ace8cp-3, -0x1.178a98191d401p-3, -0x1.1673e1b034ef9p-3, -0x1.155b39fdec2efp-3, -0x1.1440fc3aee166p-3, -0x1.13257c179e5dp-3, -0x1.120906b9e14a3p-3, -0x1.10ebe39445b94p-3, -0x1.0fce55123f842p-3, -0x1.0eb099120037bp-3, -0x1.0d92e8ceea2bp-3, -0x1.0c757928e610fp-3, -0x1.0b587a643ca9dp-3, -0x1.0a3c1817055afp-3, -0x1.0920791866f73p-3, -0x1.0805bf83a85bcp-3, -0x1.06ec08da46295p-3, -0x1.05d36e0bc846bp-3, -0x1.04bc04093730bp-3, -0x1.03a5dba217e0fp-3, -0x1.029102a861f76p-3, -0x1.017d8307cc3p-3, -0x1.006b64102124fp-3, -0x1.feb554efd3c4dp-4, -0x1.fc96b0fa835fap-4, -0x1.fa7adc3cf153cp-4, -0x1.f861d2756c938p-4, -0x1.f64b8b51c3802p-4, -0x1.f437fa8fd1551p-4, -0x1.f227101bb8f56p-4, -0x1.f018c4d09af9fp-4, -0x1.ee0ced9aae4b3p-4, -0x1.ec0375b3382c2p-4, -0x1.e9fc3ff900e0ep-4, -0x1.e7f72c4cbe815p-4, -0x1.e5f417a6f10cbp-4, -0x1.e3f2dc626923p-4, -0x1.e1f35262487fep-4, -0x1.dff54fb28e9a1p-4, -0x1.ddf89dd9f4559p-4, -0x1.dbfd30c3feef9p-4, -0x1.da02bae427519p-4, -0x1.d80919f69cfcfp-4, -0x1.d610207fb7ebep-4, -0x1.d417a1fba2cbcp-4, -0x1.d21f724f89267p-4, -0x1.d02765f3f6b94p-4, -0x1.ce2f51ea37b4fp-4, -0x1.cc370b9c331dap-4, -0x1.ca3e68db53138p-4, -0x1.c8453f82c752ap-4, -0x1.c64b659afe49p-4, -0x1.c450b1589ef72p-4, -0x1.c254ef56426cdp-4, -0x1.c058127f38f51p-4, -0x1.be59c98b45e7bp-4, -0x1.bc5a17e20909ap-4, -0x1.ba58b2febdefdp-4, -0x1.b8557f7a0e248p-4, -0x1.b6505806fc177p-4, -0x1.b4491853e3668p-4, -0x1.b23f9e2fecc7p-4, -0x1.b033c93517f4fp-4, -0x1.ae257afcf7f16p-4, -0x1.ac14972e74f72p-4, -0x1.aa01037e441b2p-4, -0x1.a7eaa78957691p-4, -0x1.a5d16d48d4b38p-4, -0x1.a3b53fe470ad8p-4, -0x1.a1960c55536f3p-4, -0x1.9f73c257c2e64p-4, -0x1.9d4e5132f2f46p-4, -0x1.9b25a71bea2d4p-4, -0x1.98f9c21bb6dffp-4, -0x1.96ca8b263b23ap-4, -0x1.9497fb4b9432cp-4, -0x1.92620903883acp-4, -0x1.9028ac1098612p-4, -0x1.8debdd1ca6825p-4, -0x1.8bab9710097aap-4, -0x1.8967d4ddf9df6p-4, -0x1.872093a724ca5p-4, -0x1.84d5d1de605e5p-4, -0x1.82878f6f8639fp-4, -0x1.8035cdc8231e4p-4, -0x1.7de090861cc52p-4, -0x1.7b87da961f5d1p-4, -0x1.792bb130b74e8p-4, -0x1.76cc23303cb4dp-4, -0x1.746931fedfb4ep-4, -0x1.7202eacfd021ap-4, -0x1.6f99597704d82p-4, -0x1.6d2c8bd73d4e7p-4, -0x1.6abc8ff55454fp-4, -0x1.684975b74a897p-4, -0x1.65d352ce26ddbp-4, -0x1.635a2a7f1d568p-4, -0x1.60de1e2514051p-4, -0x1.5e5f41134ccdp-4, -0x1.5bdd9a3c2ceb4p-4, -0x1.59594c6b6cef5p-4, -0x1.56d268fb28b08p-4, -0x1.544906ed10a75p-4, -0x1.51bd3d31012e8p-4, -0x1.4f2f23d40822ap-4, -0x1.4c9ed34bfe947p-4, -0x1.4a0c649bba0ffp-4, -0x1.4777f1625f23ap-4, -0x1.44e1938e1fb6ep-4, -0x1.424965aa75fbep-4, -0x1.3faf82df2d70ep-4, -0x1.3d140658cc18bp-4, -0x1.3a770bda5760cp-4, -0x1.37d8af80f20c7p-4, -0x1.35390e8354704p-4, -0x1.329843500094cp-4, -0x1.2ff66ce4aabc2p-4, -0x1.2d53a805b1d4fp-4, -0x1.2ab01084f49e3p-4, -0x1.280bc6616569bp-4, -0x1.2566e355cc2cep-4, -0x1.22c1877cfa9d7p-4, -0x1.201bcf37a0ca8p-4, -0x1.1d75d80232p-4, -0x1.1acfbecc1b34cp-4, -0x1.1829a082f2f57p-4, -0x1.158399ed430c2p-4, -0x1.12ddc78191f9dp-4, -0x1.103845e02336ap-4, -0x1.0d93309f86bfp-4, -0x1.0aee9fd551a05p-4, -0x1.084aba112db3cp-4, -0x1.05a78f16c4f35p-4, -0x1.03053d4a5a36ap-4, -0x1.0063dfa1b31a9p-4, -0x1.fb871b7017717p-5, -0x1.f648c6a498723p-5, -0x1.f10cf1364d5ddp-5, -0x1.ebd3ccb60c784p-5, -0x1.e69d891d97c82p-5, -0x1.e16a5619a1193p-5, -0x1.dc3a625b5ccc1p-5, -0x1.d70ddb5432256p-5, -0x1.d1e4ef235475dp-5, -0x1.ccbfc8da343c1p-5, -0x1.c79e94352d99fp-5, -0x1.c2817b8c43011p-5, -0x1.bd68a8b37fe8bp-5, -0x1.b85444900ee11p-5, -0x1.b344803760988p-5, -0x1.ae3968d38e7dcp-5, -0x1.a9333e8c394aap-5, -0x1.a4321f1d53a62p-5, -0x1.9f36301fe2c51p-5, -0x1.9a3f96453578ap-5, -0x1.954e751869b81p-5, -0x1.9062eecf63d49p-5, -0x1.8b7d33ad271ap-5, -0x1.84f2e704e51acp-5, -0x1.8018fec1a85f1p-5, -0x1.7b46063c0bdf5p-5, -0x1.767a1a17f7a38p-5, -0x1.71b55a2b6a1a6p-5, -0x1.6cf7e43b07544p-5, -0x1.6841d4c990e0cp-5, -0x1.63934746336c2p-5, -0x1.5eec559e2795cp-5, -0x1.5a4d181fd646bp-5, -0x1.55b5a6340cb09p-5, -0x1.512615e909382p-5, -0x1.4c9e7ada8ebdbp-5, -0x1.481eec4a34b33p-5, -0x1.43a7799f4499ep-5, -0x1.3f38351be0b7cp-5, -0x1.3ad12f76fc4a7p-5, -0x1.367278454c8e7p-5, -0x1.321c1e5c6215bp-5, -0x1.2dce2f98d007dp-5, -0x1.2988b857605b2p-5, -0x1.254bbe24bb3fcp-5, -0x1.211762bf09752p-5, -0x1.1ceb9b05a6933p-5, -0x1.18c8788d7861ap-5, -0x1.14ae0543269fap-5, -0x1.109c46c8da15bp-5, -0x1.0c93514192022p-5, -0x1.089320f471248p-5, -0x1.049bc27152e82p-5, -0x1.00ad3dbe98848p-5, -0x1.f98f36783ca84p-6, -0x1.f1d5bf1e9c3c8p-6, -0x1.ea2e224a2bdd7p-6, -0x1.e298718918cebp-6, -0x1.db14b7f0846d5p-6, -0x1.d3a3003ceb932p-6, -0x1.cc435528e2bep-6, -0x1.c4f5c48d682ep-6, -0x1.bdba55f0d2a37p-6, -0x1.b69113c35b297p-6, -0x1.af7a0b0d60fp-6, -0x1.a87540a4e4d39p-6, -0x1.a182be55b2b22p-6, -0x1.9aa28be671792p-6, -0x1.93d4b30a53bap-6, -0x1.8d1934a17b6d2p-6, -0x1.86701bfb6b8dcp-6, -0x1.7fd96ccf66683p-6, -0x1.79552bc8ae81ep-6, -0x1.72e35cfaa90d7p-6, -0x1.6c83e52d2fc8ep-6, -0x1.6637213107fc7p-6, -0x1.5ffcb6cbb787ep-6, -0x1.59d4c91062e3dp-6, -0x1.53bf4f12f0fbep-6, -0x1.4dbc4f373fcd4p-6, -0x1.47cbc4c6295fap-6, -0x1.41edab6951f8ep-6, -0x1.3c21ff8561f2fp-6, -0x1.3668bb7e3c482p-6, -0x1.30c1d06e05a4fp-6, -0x1.2b2d4dfb378e7p-6, -0x1.25ab148b3b53bp-6, -0x1.203b208ba08d1p-6, -0x1.1add6c88f3269p-6, -0x1.1591df5d913fap-6, -0x1.105874dc67cc8p-6, -0x1.0b312146bebcdp-6, -0x1.061bcf2fa5cf8p-6, -0x1.011899bf00429p-6, -0x1.f84ddb5db3ac5p-7, -0x1.ee8e70b852691p-7, -0x1.e4f2783e5ddb4p-7, -0x1.db79c5866b204p-7, -0x1.d2242b68cce71p-7, -0x1.c8f17cfc0ff24p-7, -0x1.bfe13b9e5b737p-7, -0x1.b6f416dfc5f7fp-7, -0x1.ae28f535ccefp-7, -0x1.a57feebf327b6p-7, -0x1.9cf8cc088db4bp-7, -0x1.94933b6fb30ep-7, -0x1.8c4f171c1cbc4p-7, -0x1.842c5b3016ad5p-7, -0x1.7c2a51a52ea1fp-7, -0x1.74491a32db87ap-7, -0x1.6c883c39912a4p-7, -0x1.64e78669557b4p-7, -0x1.5d66b39482e16p-7, -0x1.56057db30759cp-7, -0x1.4ec39d99be02ep-7, -0x1.47a0caee3cfd7p-7, -0x1.409cc518654b2p-7, -0x1.39b728b39d6e4p-7, -0x1.32efc38bfa7c7p-7, -0x1.2c464188d2fedp-7, -0x1.25ba582551dcap-7, -0x1.1f4c578a7d338p-7, -0x1.18fa0ba64582cp-7, -0x1.12c50dc7b9c15p-7, -0x1.0cac6eb932e4dp-7, -0x1.06afdbe82bca6p-7, -0x1.00cf0603c67b4p-7, -0x1.f6133830311c7p-8, -0x1.eabe99d78f398p-8, -0x1.df9f7cef37374p-8, -0x1.d4b572c070644p-8, -0x1.c9ffa1be8726cp-8, -0x1.bf7d77491049dp-8, -0x1.b52e4d08b9dc9p-8, -0x1.ab1182211b1c7p-8, -0x1.a12674f293ad4p-8, -0x1.976c6659ad69p-8, -0x1.8de288d483f81p-8, -0x1.8488e2655088ep-8, -0x1.7b5e1e7a4612cp-8, -0x1.7261ced40b112p-8, -0x1.69934b67e4a3ap-8, -0x1.60f1ed0585bb6p-8, -0x1.587d0af23d0eep-8, -0x1.503403579a72bp-8, -0x1.4816209e87b8ep-8, -0x1.40226cdb8cf53p-8, -0x1.385954c101887p-8, -0x1.30b90d53960fbp-8, -0x1.29415c4d05da3p-8, -0x1.21f195d2ecacdp-8, -0x1.1ac91389d445cp-8, -0x1.13c72fd47a2dfp-8, -0x1.0ceb45c28b293p-8, -0x1.0634b1a44d4c9p-8, -0x1.ff4567f2e3255p-9, -0x1.f26a82c91e087p-9, -0x1.e5d5d7476037ap-9, -0x1.d98605f6edc1dp-9, -0x1.cd7b31310b135p-9, -0x1.c1b386173d622p-9, -0x1.b62dd210b34e8p-9, -0x1.aae8c6eb73854p-9, -0x1.9fe377b89e6edp-9, -0x1.951c304bdd764p-9, -0x1.8a9248cc7ed03p-9, -0x1.804473c00b55dp-9, -0x1.7631951c191f2p-9, -0x1.6c5884be04bb5p-9, -0x1.62b83ce9d1d2ep-9, -0x1.594fa761d1ea4p-9, -0x1.501db844cde1fp-9, -0x1.472176e0c903cp-9, -0x1.3e59b8433b81ep-9, -0x1.35c5a9d90585dp-9, -0x1.2d644aff1beadp-9, -0x1.25345dc9a4114p-9, -0x1.1d35c5877c5c7p-9, -0x1.1566aacd0d1c1p-9, -0x1.0dc69add1dfbap-9, -0x1.0654a68567a57p-9, -0x1.fe1fdd6709c8dp-10, -0x1.efef35aa62c9fp-10, -0x1.e21582484ea69p-10, -0x1.d4919e7aa28e8p-10, -0x1.c7616ae990e6dp-10, -0x1.ba8384bc9236ep-10, -0x1.adf65a8380139p-10, -0x1.a1b86a6a980adp-10, -0x1.95c6aa3634df2p-10, -0x1.8a242d4185b0ep-10, -0x1.7eca99dd962f4p-10, -0x1.73ba44dd14e13p-10, -0x1.68f22756d61edp-10, -0x1.5e70544d623bep-10, -0x1.5431f9ebba78dp-10, -0x1.4a3a14aeaff18p-10, -0x1.4082fcf6d5296p-10, -0x1.370cd26cd075ep-10, -0x1.2dd634dac5aa9p-10, -0x1.24ddd112e335ap-10, -0x1.1c2257e56e27ep-10, -0x1.13a27e4e4f269p-10, -0x1.0b5cfd3656955p-10, -0x1.0350917d19a49p-10, -0x1.f6f7f805a91abp-11, -0x1.e7bc0365ec0dbp-11, -0x1.d8ead71b1453bp-11, -0x1.ca820d6a6dd46p-11, -0x1.bc7f490ce6875p-11, -0x1.aee0351675f87p-11, -0x1.a1a269ab36ce4p-11, -0x1.94c41152bb61ep-11, -0x1.8842518945e4fp-11, -0x1.7c1b5d057d598p-11, -0x1.704d5df13d6bdp-11, -0x1.64d7ff753d70bp-11, -0x1.59b15cdbd33f4p-11, -0x1.4edfc2b0c0925p-11, -0x1.445e8ccdc6c63p-11, -0x1.3a2b954667562p-11, -0x1.3045177cd9d91p-11, -0x1.26a8be7f4dbf4p-11, -0x1.1d5500058f95ep-11, -0x1.144691d1b7124p-11, -0x1.0b7fb8f528794p-11, -0x1.02faba018e123p-11, -0x1.f56e075db00fap-12, -0x1.e565a85ed7a6ep-12, -0x1.d5d96149667bap-12, -0x1.c6c5c7b4f094bp-12, -0x1.b827a5033b4c9p-12, -0x1.a9fbd186fb6e6p-12, -0x1.9c3f4ed3ca8ap-12, -0x1.8eece72bf9753p-12, -0x1.8208100f90966p-12, -0x1.758746cb9c423p-12, -0x1.696aa1efcb035p-12, -0x1.5dae94ce8ce8fp-12, -0x1.52565362ca371p-12, -0x1.474e62d53ec2bp-12, -0x1.3ca526941fdbep-12, -0x1.3253d3733b7cbp-12, -0x1.28535c786f89bp-12, -0x1.1ea5e4d698afp-12, -0x1.1547ca3a5e0d1p-12, -0x1.0c36bcfac9449p-12, -0x1.037070dc2ac3ep-12, -0x1.f5e6e077642e3p-13, -0x1.e59ef821f1674p-13, -0x1.d591b156e8aaap-13, -0x1.c62f79a94db4fp-13, -0x1.b74ec8c49e9e7p-13, -0x1.a8eb0196d3983p-13, -0x1.9b0053c0e0de6p-13, -0x1.8d8b132822b4fp-13, -0x1.8087bbc017865p-13, -0x1.73f1468990bc1p-13, -0x1.67c8dc98eab35p-13, -0x1.5c06388dafe86p-13, -0x1.50a827594f43bp-13, -0x1.45acc1a6b161cp-13, -0x1.3b0d00b399077p-13, -0x1.30c9cdd812813p-13, -0x1.26def85e1ed4dp-13, -0x1.1d49a6ce2cd9cp-13, -0x1.1406d193353a5p-13, -0x1.0b0aeb52951a8p-13, -0x1.026fbf8b6a599p-13, -0x1.f42c38edb50bp-14, -0x1.e409d2ce66711p-14, -0x1.d47595d701214p-14, -0x1.c56ef70fbff79p-14, -0x1.b6daa909f3cbap-14, -0x1.a8ccefc33399ap-14, -0x1.9b396dcab90bcp-14, -0x1.8e1d8760f6db3p-14, -0x1.8173bc3e96389p-14, -0x1.75386123f2bc4p-14, -0x1.69645fb421efdp-14, -0x1.5dfab55ed9305p-14, -0x1.52f44e8ee7fa7p-14, -0x1.484e26ada1235p-14, -0x1.3e056277d92bp-14, -0x1.342d05f802cb1p-14, -0x1.2a80733928bffp-14, -0x1.2130b6d7bccb9p-14, -0x1.1838b4c541663p-14, -0x1.0f8e0bd369a2bp-14, -0x1.072dc3591a437p-14, -0x1.fe2a45ecbdb07p-15, -0x1.ee831c764d35ep-15, -0x1.df5dd1265928p-15, -0x1.d0bef6404632ep-15, -0x1.c2981c4bae485p-15, -0x1.b4e818abc00a9p-15, -0x1.a7a51b4fd77dep-15, -0x1.9ad0a42448dabp-15, -0x1.8e73619e83782p-15, -0x1.82756baef519ap-15, -0x1.76d7e24c147fdp-15, -0x1.6b987938e31efp-15, -0x1.60b3b51db5dadp-15, -0x1.56261e829f841p-15, -0x1.4bec56cc06847p-15, -0x1.4202ee37efda8p-15, -0x1.3862bd640a175p-15, -0x1.2f15f7a56c816p-15, -0x1.260c577f27d2p-15, -0x1.1d4760db8e926p-15, -0x1.14c4e4bfdf11dp-15, -0x1.0c85fdd608384p-15, -0x1.04f32fcd933b8p-15, -0x1.f9637ca04d03cp-16, -0x1.ea0ae7eec1d76p-16, -0x1.db7716a3b581p-16, -0x1.cd222177c2be4p-16, -0x1.bf30339def2bdp-16, -0x1.b114de802143bp-16, -0x1.a45177234d7f3p-16, -0x1.978a4d14b9951p-16, -0x1.8b037674349cdp-16, -0x1.7ecc18e1eb0ccp-16, -0x1.72e2923011823p-16, -0x1.67440655fcbcap-16, -0x1.5bedc5ed63bc1p-16, -0x1.50df015d507a8p-16, -0x1.45df50df35767p-16, -0x1.3b01b94c960a6p-16, -0x1.313161461ab7ep-16, -0x1.26e8941138994p-16, -0x1.1d34a2aaf95dep-16, -0x1.13911299ab595p-16, -0x1.0a1d60256b3f5p-16, -0x1.00dc1a1ca1425p-16, -0x1.efba2bffba798p-17, -0x1.de449fae176c4p-17, -0x1.cc7e9400f0f71p-17, -0x1.bb6611d326ad2p-17, -0x1.aaa80a3be049bp-17, -0x1.9a400ed810246p-17, -0x1.8a2509ef0acf5p-17, -0x1.7a561895a5ccbp-17, -0x1.6ad7cc0391f7cp-17, -0x1.5b96fb5294587p-17, -0x1.4c964ff505c2ap-17, -0x1.3ddd9a1deddadp-17, -0x1.2f63e2dc4f367p-17, -0x1.21499146e5683p-17, -0x1.130419ec84399p-17, -0x1.05712af7b9f02p-17, -0x1.efd38f909ce8cp-18, -0x1.d5282b4b3b83ep-18, -0x1.bb178f8b6001bp-18, -0x1.a117453d449b6p-18, -0x1.87e7d3067e3c3p-18, -0x1.6f15590399fp-18, -0x1.56592031682ep-18, -0x1.3e23aaa246413p-18, -0x1.26580d7897abap-18, -0x1.0ee524ce71871p-18, -0x1.ef9bed1bce59fp-19, -0x1.c2230ae13ebe4p-19, -0x1.955ce558f19e6p-19, -0x1.6946d93c2ae1dp-19, -0x1.3dde6bb84c7f3p-19, -0x1.132124cca8a01p-19, -0x1.d269f16efb3dep-20, -0x1.7f3f2192087ddp-20, -0x1.2db48ac3b7b9fp-20, -0x1.bade2b630f1d5p-21, -0x1.1cdf8093ec419p-21, -0x1.032e9f4b9e504p-22, 0x1.790febb7bc0ffp-25, 0x1.5bde2b887b868p-22, 0x1.416cd061734e6p-21, 0x1.ca63e5a031172p-21, 0x1.311a684e64769p-20, 0x1.7d397db450407p-20, 0x1.bd6e28b311f92p-20, 0x1.007280a7b2e11p-19, 0x1.21df274a7d9adp-19, 0x1.42aa338478b38p-19, 0x1.62d0a31d91beep-19, 0x1.823556346f8d6p-19, 0x1.9aed6aa2c0627p-19, 0x1.c07e95de24dd9p-19, 0x1.ddc68434df7bep-19, }}, 
      {{-0x1.7953855821c72p-7, -0x1.703de3cf49188p-6, -0x1.09ed9226d0e9ep-5, -0x1.51b9df72bedfdp-5, -0x1.8e155dd04ba28p-5, -0x1.be4e4e0931142p-5, -0x1.e2196bf412a88p-5, -0x1.f98f7cab75815p-5, -0x1.02834f1d5fbb1p-4, -0x1.02809b44ec532p-4, -0x1.fa2698f54d9dcp-5, -0x1.e52b99bc2d5dep-5, -0x1.c6cd49df93356p-5, -0x1.9fe32b5328e25p-5, -0x1.7130ef8846e8ap-5, -0x1.3b7d88984d029p-5, -0x1.ff21a5c0e0ae4p-6, -0x1.7c4d805fe6ecdp-6, -0x1.dfc03b3e56f83p-7, -0x1.6cb6738ae862p-8, 0x1.02046f0d48a07p-8, 0x1.c3f9b0d9aa3cp-7, 0x1.8834915a1d398p-6, 0x1.1911a505639cap-5, 0x1.6f71dc7c0a416p-5, 0x1.c6d21603e10bcp-5, 0x1.0f610d388aefp-4, 0x1.3b6f9e442ed26p-4, 0x1.6770b82b89a9bp-4, 0x1.9340f5c5e1864p-4, 0x1.beb68fbe4a8bfp-4, 0x1.e9b9e591ecc5p-4, 0x1.0a167f3e16e99p-3, 0x1.1efbafd66f2e8p-3, 0x1.33819d99f5a6fp-3, 0x1.479e9181ce22dp-3, 0x1.5b4a029f79668p-3, 0x1.6e7c8b50d7b24p-3, 0x1.812fd59279a99p-3, 0x1.935e8467a99bep-3, 0x1.a5041544e93c2p-3, 0x1.b61cc03e65c37p-3, 0x1.c6a567d3e39c1p-3, 0x1.d69b9944ee91ep-3, 0x1.e5fd87576cefap-3, 0x1.f4c9eed0ef7b4p-3, 0x1.017ffa865ba87p-2, 0x1.084f91214b99ep-2, 0x1.0ed3bf4078655p-2, 0x1.150cd81e1c6ecp-2, 0x1.1afb7ace9495cp-2, 0x1.20a079fa4d51bp-2, 0x1.25fcbf0d69e1fp-2, 0x1.2b113c45bf3edp-2, 0x1.2fdef39dfd959p-2, 0x1.346707ff6ea63p-2, 0x1.38aac8617d9ddp-2, 0x1.3cabac0b20683p-2, 0x1.406b42dcfc3edp-2, 0x1.43eb229130c28p-2, 0x1.472cd88cdaae2p-2, 0x1.4a31e3d4d1a6dp-2, 0x1.4cfb4e640af24p-2, 0x1.4f8ae0b06a614p-2, 0x1.51e25ac998b4ep-2, 0x1.5403625c47b1bp-2, 0x1.55efa3ff19742p-2, 0x1.57a8cc6696048p-2, 0x1.59308076be7e5p-2, 0x1.5a885855600c4p-2, 0x1.5bb1dfe4a2b0bp-2, 0x1.5cae9bd40ca1bp-2, 0x1.5d801063423edp-2, 0x1.5e27c5c1f09a8p-2, 0x1.5ea747dc0b7b2p-2, 0x1.5f00219d63bdp-2, 0x1.5f33d5fc0cb3fp-2, 0x1.5f43d9da73776p-2, 0x1.5f31910df5e6fp-2, 0x1.5efe4f59ea7b8p-2, 0x1.5eab5c582230ep-2, 0x1.5e39f8350841ap-2, 0x1.5dab5ff638a5cp-2, 0x1.5d00ce9aaf8b8p-2, 0x1.5c3b7c446d987p-2, 0x1.5b5c9b571b50fp-2, 0x1.5a65554b554dcp-2, 0x1.5956c6c538deap-2, 0x1.583200bec5c01p-2, 0x1.56f8065febde1p-2, 0x1.55a9cfac71235p-2, 0x1.54484b38c85cp-2, 0x1.52d45ff81028cp-2, 0x1.514eee86e518cp-2, 0x1.4fb8d19b0a53bp-2, 0x1.4e12ddbb82e56p-2, 0x1.4c5de0fc99c04p-2, 0x1.4a9aa2627a655p-2, 0x1.48c9e183e62e7p-2, 0x1.46ec56783326dp-2, 0x1.4502b2076f5ecp-2, 0x1.430d9dc783913p-2, 0x1.410dbcc9717b2p-2, 0x1.3f03ab895afe4p-2, 0x1.3cf00055e987fp-2, 0x1.3ad34b7e67c95p-2, 0x1.38ae1772aaa57p-2, 0x1.3680e90afa892p-2, 0x1.344c3fb6e4f9cp-2, 0x1.321095be92caap-2, 0x1.2fce6082823abp-2, 0x1.2d8610b6d8f7ep-2, 0x1.2b3812a49958ep-2, 0x1.28e4ce1a44c08p-2, 0x1.268ca70a6bd32p-2, 0x1.242ffd25a2119p-2, 0x1.21cf2c692b9f7p-2, 0x1.1f6a8cbdeafb6p-2, 0x1.1d0272735c69p-2, 0x1.1a972e3922096p-2, 0x1.18290d3f6317ep-2, 0x1.15b85960d9e4dp-2, 0x1.1345594e211bep-2, 0x1.10d050bb18492p-2, 0x1.0e59808c520a9p-2, 0x1.0be127081117dp-2, 0x1.09675967c6d0ap-2, 0x1.06ec9338b6e7fp-2, 0x1.0470f3215e3ccp-2, 0x1.01f4aea430becp-2, 0x1.feeff21d36e86p-3, 0x1.f9f606fe22ef4p-3, 0x1.f4fbfa25ba3d9p-3, 0x1.f00225d36bb33p-3, 0x1.eb08e0bbec543p-3, 0x1.e6107b401703bp-3, 0x1.e1194e4e5b6ep-3, 0x1.dc239ea9ca0bap-3, 0x1.d72fba19ed3d6p-3, 0x1.d23de913255a7p-3, 0x1.cd4e71e9e34cp-3, 0x1.c86198d250972p-3, 0x1.c3779ff49c17fp-3, 0x1.be90c76e53b19p-3, 0x1.b9ad4d40f2876p-3, 0x1.b4cd6d8f6e4efp-3, 0x1.aff16204a6ef8p-3, 0x1.ab19625b35f17p-3, 0x1.a645a42cadb7fp-3, 0x1.a17657d37c185p-3, 0x1.9cabb7b46052p-3, 0x1.97e5e800707acp-3, 0x1.93251fee73e54p-3, 0x1.8e6984bf019efp-3, 0x1.89b34300477b6p-3, 0x1.850283aeda3a7p-3, 0x1.80576e7d99f06p-3, 0x1.7bb22a09dd21ep-3, 0x1.7712dbec1e633p-3, 0x1.7279a8cce3027p-3, 0x1.6de6b46f28a47p-3, 0x1.695a21b96b1fap-3, 0x1.64d41290f788dp-3, 0x1.6054a884c7a7p-3, 0x1.5bdc0361ee178p-3, 0x1.576a426867d48p-3, 0x1.52ff8444f3113p-3, 0x1.4e9be5bae89cap-3, 0x1.4a3f8238f2403p-3, 0x1.45ea772ffdc64p-3, 0x1.419cdc0cb379ap-3, 0x1.3d56ca623dc48p-3, 0x1.391859d50034ep-3, 0x1.34e1a0f71322fp-3, 0x1.30b2b54cc075ep-3, 0x1.2c8bab64bea56p-3, 0x1.286c96ceab53cp-3, 0x1.24558a3d3d2d1p-3, 0x1.2046978751105p-3, 0x1.1c3fcfbd98651p-3, 0x1.1841432fb435p-3, 0x1.144b015278046p-3, 0x1.105d1952f3d29p-3, 0x1.0c77998d9239bp-3, 0x1.089a8e6b529d8p-3, 0x1.04c606187b636p-3, 0x1.00fa0c6c76e36p-3, 0x1.fa6d59e77ad77p-4, 0x1.f2f7e595041d9p-4, 0x1.eb93d0124098p-4, 0x1.e4412c9c12ad7p-4, 0x1.dd000e356946fp-4, 0x1.d5d08157103ap-4, 0x1.ceb298acc1f3cp-4, 0x1.c7a660c581d75p-4, 0x1.c0abe42f45c76p-4, 0x1.b9c32eb659b18p-4, 0x1.b2ec48df50095p-4, 0x1.ac273a303c5b7p-4, 0x1.a57408c13076cp-4, 0x1.9ed2b93f6af09p-4, 0x1.98434ef82bac5p-4, 0x1.91c5cbdee165p-4, 0x1.8b5a30fd66fe9p-4, 0x1.85007c788bbcdp-4, 0x1.7eb8ada6c7b37p-4, 0x1.7882c0e6a52ep-4, 0x1.725eb1fefc11ep-4, 0x1.6c4c7b690be16p-4, 0x1.664c16a5bb30cp-4, 0x1.605d7ae9bfc84p-4, 0x1.5a80a23a7e526p-4, 0x1.54b57fee3ebf3p-4, 0x1.4efc05787e634p-4, 0x1.49543463b0647p-4, 0x1.43bdf533402fp-4, 0x1.3e39356c7b02p-4, 0x1.38c5eee5d6f29p-4, 0x1.33640eacc305ep-4, 0x1.2e1383c9d40f6p-4, 0x1.28d43c4671d1ep-4, 0x1.23a6253fc73aap-4, 0x1.1e892ae6ef97ep-4, 0x1.197d388559ae6p-4, 0x1.1482387734d25p-4, 0x1.0f98144ef6d58p-4, 0x1.0abeb5bed43f7p-4, 0x1.05f6018d2c65dp-4, 0x1.013de1e80cfa7p-4, 0x1.f92c78294804cp-5, 0x1.effdea680c516p-5, 0x1.e6efe6786e228p-5, 0x1.de023398bf3dfp-5, 0x1.d534984c0a21ep-5, 0x1.cc86da9ed2a5ap-5, 0x1.c3f8bf98a977cp-5, 0x1.bb8a0aaf900a8p-5, 0x1.b33a7e633dc52p-5, 0x1.ab09dbf85acfap-5, 0x1.a2f7e4c6860f3p-5, 0x1.9b0458f1f1a7ep-5, 0x1.932ef487217e9p-5, 0x1.8b7777d7d20eap-5, 0x1.83dda07c23b1bp-5, 0x1.7c612acf6fb41p-5, 0x1.7501d41915816p-5, 0x1.6dbf554a85292p-5, 0x1.66996b4b399ap-5, 0x1.5f8fd0a8ada2dp-5, 0x1.58a23ff6fc4fbp-5, 0x1.51d0731f842f3p-5, 0x1.4b1a23a88a1edp-5, 0x1.447f09e33cd9dp-5, 0x1.3dfee62732a8p-5, 0x1.36d70d08569d4p-5, 0x1.308d82b6362c2p-5, 0x1.2a5e684abb9f2p-5, 0x1.244973e67a0bdp-5, 0x1.1e4e5bcd730ffp-5, 0x1.186cd64868f61p-5, 0x1.12a49950c01d8p-5, 0x1.0cf55a7d90ae8p-5, 0x1.075ecf38313c9p-5, 0x1.01e0acc726bf5p-5, 0x1.f8f55098edf15p-6, 0x1.ee58ee153835p-6, 0x1.e3eb81c3095e7p-6, 0x1.d9acc177cb3c5p-6, 0x1.cf9bcde8c45bp-6, 0x1.c5b82896e2f99p-6, 0x1.bc013cf0bd65ep-6, 0x1.b2767624811ffp-6, 0x1.a9173f9b43ad5p-6, 0x1.9fe306eb8e63cp-6, 0x1.96d9363a3668p-6, 0x1.8df93309ba84ep-6, 0x1.8542896501753p-6, 0x1.7cb489da8b4dap-6, 0x1.744eaf2981a59p-6, 0x1.6c106a292a86cp-6, 0x1.63f922c6e255p-6, 0x1.5c086a6b18aaep-6, 0x1.543d963efacap-6, 0x1.4c98268586ef7p-6, 0x1.45179047c059p-6, 0x1.3dbb4fafe3e07p-6, 0x1.3682d8bb7f45ap-6, 0x1.2f6da6ac7a507p-6, 0x1.287b35e602092p-6, 0x1.21ab0338eaf7dp-6, 0x1.1afc8c18d9c1p-6, 0x1.146f5026b4e32p-6, 0x1.0e02cf7aac151p-6, 0x1.07b68d0be64c4p-6, 0x1.0189f15b67e6dp-6, 0x1.f6f99b53d6cb4p-7, 0x1.eb1cb784c5caep-7, 0x1.df7c78219ef94p-7, 0x1.d417ed550b6b6p-7, 0x1.c8ee28bb9464ep-7, 0x1.bdfe494b55fadp-7, 0x1.b3475bf7a05ap-7, 0x1.a8c87f92295cfp-7, 0x1.9e80d12e2aeaap-7, 0x1.946f7090c0fb1p-7, 0x1.8a934d0431648p-7, 0x1.80ec21efbbe4ep-7, 0x1.77787bb7c02d9p-7, 0x1.6e37bb6d31d71p-7, 0x1.6529058a2df16p-7, 0x1.5c4b8c1a762efp-7, 0x1.539e7ddd6c24bp-7, 0x1.4b210995b3fa4p-7, 0x1.42d265b0b1a2fp-7, 0x1.3ab1c78cd6757p-7, 0x1.32be60f8b1f2cp-7, 0x1.2af77b50da597p-7, 0x1.235c48a82eecdp-7, 0x1.1bec0620356dap-7, 0x1.14a5fb1315d7fp-7, 0x1.0d895b0e3c5p-7, 0x1.069570fd0c724p-7, 0x1.ff9337b18a5c4p-8, 0x1.f24a031a94da1p-8, 0x1.e54e1898b830ep-8, 0x1.d89db346b87cp-8, 0x1.cc37c9bc940c8p-8, 0x1.c01ae0c93272ap-8, 0x1.b4459e14899d7p-8, 0x1.a8b6ac20e3871p-8, 0x1.9d6cb44572c6ap-8, 0x1.926667489bef9p-8, 0x1.87a28d21c0797p-8, 0x1.7d1fcb944efa5p-8, 0x1.72dce725025f3p-8, 0x1.68d8a7634589dp-8, 0x1.5f11cfc280623p-8, 0x1.5586d8a686f3ep-8, 0x1.4c3780142ba62p-8, 0x1.4321a9d583f1fp-8, 0x1.3a4479fdbdc78p-8, 0x1.319ed494617adp-8, 0x1.292f93ca62f0fp-8, 0x1.20f59b06f1debp-8, 0x1.18efd1b8ce13cp-8, 0x1.111d235c80585p-8, 0x1.097c7f8710469p-8, 0x1.020ced03fc1b8p-8, 0x1.f59a54dd4888dp-9, 0x1.e778d8c149bb4p-9, 0x1.d9b3401cf4c99p-9, 0x1.cc479564d1dc3p-9, 0x1.bf34b32e67a44p-9, 0x1.b2763e24948f2p-9, 0x1.a60ccb32fdf97p-9, 0x1.99f5b481e16bbp-9, 0x1.8e2f238a533fcp-9, 0x1.82b75188ee0a4p-9, 0x1.778c7c423a66ap-9, 0x1.6cace709ec942p-9, 0x1.6216bc5e7a483p-9, 0x1.57c8cb0f92767p-9, 0x1.4dc0ef11207a2p-9, 0x1.43fdb8a3b166dp-9, 0x1.3a7d90dc621c1p-9, 0x1.313eedda31d4bp-9, 0x1.284045bc36503p-9, 0x1.1f802588fdef2p-9, 0x1.16fc42fb0cef1p-9, 0x1.0eb549e1784a8p-9, 0x1.06a7cc5b2024p-9, 0x1.fda61e21dc27ep-10, 0x1.ee6b63896e354p-10, 0x1.df9cc3cd208acp-10, 0x1.d1377b4857469p-10, 0x1.c339160a23cd6p-10, 0x1.b59eeab08feb7p-10, 0x1.a866db68cfdeap-10, 0x1.9b8d9825d1fd3p-10, 0x1.8f1196bf5e5fap-10, 0x1.82f02ad7c1cc8p-10, 0x1.77270a669bc21p-10, 0x1.6bb3f2f5b5324p-10, 0x1.6094ad6dc30d9p-10, 0x1.55c70e67cd8acp-10, 0x1.4b48f77e36fcfp-10, 0x1.4117db71f323bp-10, 0x1.373282b9382a1p-10, 0x1.2d97ad0cf5336p-10, 0x1.2442d6e0c90c8p-10, 0x1.1b33fcee3ec5fp-10, 0x1.1268d6636462cp-10, 0x1.09df836e15e9dp-10, 0x1.019656d54654cp-10, 0x1.f3159715d0139p-11, 0x1.e37aaca34f239p-11, 0x1.d453fb5ab9e02p-11, 0x1.c5a030afc56bp-11, 0x1.b75b72a86072cp-11, 0x1.a9844ddc4d1c6p-11, 0x1.9c162075eb466p-11, 0x1.8f0e86c79c42cp-11, 0x1.826aa83d1b717p-11, 0x1.7628378990496p-11, 0x1.6a431e3f2525bp-11, 0x1.5eba2303466a5p-11, 0x1.538a3d7fc629p-11, 0x1.48b0edd1f1c8fp-11, 0x1.3e2bb5a06ad96p-11, 0x1.33f8397ac9132p-11, 0x1.2a1479ee3cc32p-11, 0x1.207dd4c963783p-11, 0x1.1732498fe1764p-11, 0x1.0e2fb34c8ece1p-11, 0x1.0573ebe34dbc7p-11, 0x1.f9fa5c55674c3p-12, 0x1.e99285fd899efp-12, 0x1.d9acb306400ccp-12, 0x1.ca452815815bp-12, 0x1.bb585225f919bp-12, 0x1.acdf8b83f62e9p-12, 0x1.9ee0bb539a7fap-12, 0x1.914e8132844eep-12, 0x1.842988a6e91aap-12, 0x1.776ea1fe36b29p-12, 0x1.6b1a2c53dd90cp-12, 0x1.5f2d2a3abbe11p-12, 0x1.5399e7209436p-12, 0x1.4867bdd6eacfcp-12, 0x1.3d90aa136e751p-12, 0x1.3311d8cfdcd03p-12, 0x1.28e8a80f17db4p-12, 0x1.1f12708970f34p-12, 0x1.158cab78f141cp-12, 0x1.0c54e09ba3fd8p-12, 0x1.0368a76e7a259p-12, 0x1.f58b4ee535603p-13, 0x1.e4d33009357e3p-13, 0x1.d4a47fd7a7588p-13, 0x1.c4fae9faaa7dbp-13, 0x1.b5d2349cb35cep-13, 0x1.a726057a2cc5bp-13, 0x1.98e8ca0fbd824p-13, 0x1.8b353aa9fbb6dp-13, 0x1.7de817eecf20cp-13, 0x1.7108fee741ca3p-13, 0x1.64940a5d0575dp-13, 0x1.587e2a9684d14p-13, 0x1.4cd8c086e633ep-13, 0x1.418ca890eeafp-13, 0x1.369d79e7b52fep-13, 0x1.2c07e14b7f3d7p-13, 0x1.21c9a164e3793p-13, 0x1.17de3dd07302fp-13, 0x1.0e44339ff5297p-13, 0x1.04f2c94f4ff79p-13, 0x1.f7f0f547879c7p-14, 0x1.e683fb932ea74p-14, 0x1.d5a3d4183c1e5p-14, 0x1.c54bf2997ba65p-14, 0x1.b5782847c8afep-14, 0x1.a623d41fa3ab6p-14, 0x1.974aa79201bf1p-14, 0x1.88e883b2720bep-14, 0x1.7af70bd1dda57p-14, 0x1.6d73356adf0bcp-14, 0x1.6063382917535p-14, 0x1.53b33b4b472a2p-14, 0x1.476af0d9a0e15p-14, 0x1.3b814e82a7caep-14, 0x1.2ff90cf50c1c1p-14, 0x1.24c25e89a3cfdp-14, 0x1.19e65114d96ap-14, 0x1.0f58c62edcfcdp-14, 0x1.0527c1387e5cfp-14, 0x1.f67fc1ceb181dp-15, 0x1.e3460212513b2p-15, 0x1.d09d8f064c203p-15, 0x1.be803453a202ep-15, 0x1.acefde1b5c0d4p-15, 0x1.9bfc1aa9042aap-15, 0x1.8b4e6d687a91ap-15, 0x1.7b374e55ee68bp-15, 0x1.6b96fbd9a96a5p-15, 0x1.5c69071528638p-15, 0x1.4da987dabfc09p-15, 0x1.3f54c150e39ffp-15, 0x1.316716192275dp-15, 0x1.23de1d73a29d9p-15, 0x1.16b427a364608p-15, 0x1.09e7209f18e58p-15, 0x1.fae8ccb966921p-16, 0x1.e2af7b76a6b95p-16, 0x1.cb235bfa2ef2cp-16, 0x1.b437c232f50f8p-16, 0x1.9de9b7605d0ddp-16, 0x1.8833e70c18a21p-16, 0x1.730e39dba29b7p-16, 0x1.5e13ad85d5fa3p-16, 0x1.4a74df047f63ep-16, 0x1.36f4b5c592672p-16, 0x1.23f4f36a4ba1cp-16, 0x1.1177108d8cec2p-16, 0x1.feffa4e1d00ebp-17, 0x1.dba1be0b726d5p-17, 0x1.b9767d7ba16a1p-17, 0x1.98108a5276f3dp-17, 0x1.7789c238eb2efp-17, 0x1.57d4a2f6b27f4p-17, 0x1.38ebba3036f4fp-17, 0x1.1ac31ae575491p-17, 0x1.fac4244ce60e9p-18, 0x1.c17f38b9ba5bbp-18, 0x1.89712e170d654p-18, 0x1.532ae4c6dff0ep-18, 0x1.1d7b1de8d79e9p-18, 0x1.d3ecb9d830bb3p-19, 0x1.6f323499f6ac1p-19, 0x1.0c9da7481f59bp-19, 0x1.58f058b18535p-20, 0x1.3acccd8789fc8p-21, -0x1.97f69ee690ed2p-24, -0x1.97ba7705d7338p-21, -0x1.79931857ecc22p-20, -0x1.11b593839aa95p-19, -0x1.6464d18a10beep-19, -0x1.b50484e9c8163p-19, -0x1.01deca539dfbbp-18, -0x1.2853ca837d39cp-18, -0x1.4d79c71e13261p-18, -0x1.71d20ab41af45p-18, -0x1.95434cc1cad6p-18, -0x1.b7caeda6d8133p-18, -0x1.d96cb1b23636cp-18, -0x1.fa2cc17089116p-18, -0x1.0d07ac7b8d5dep-17, -0x1.1c8deb7ad2d5p-17, -0x1.2bce2aff150b4p-17, -0x1.3a566922febc3p-17, -0x1.489dc722b4058p-17, -0x1.568074c587601p-17, -0x1.63ff02086b9ddp-17, -0x1.711ad6725fdc1p-17, -0x1.7dd66e301a6e2p-17, -0x1.8a2e7ffa8070dp-17, -0x1.967e6fd981b8dp-17, -0x1.a1ccaf89de176p-17, -0x1.ad131c35fc623p-17, -0x1.b80061818349cp-17, -0x1.c2eece0f97b47p-17, -0x1.cd298fcda4c1bp-17, -0x1.d6b1bd03f8163p-17, -0x1.e037b508d30afp-17, -0x1.e96f48850e562p-17, -0x1.f25417d2edd41p-17, -0x1.fae699d7ad98dp-17, -0x1.0193c6b0e22f1p-16, -0x1.058b3027721dp-16, -0x1.096e411135e2bp-16, -0x1.0d33d5e4bfeaap-16, -0x1.10855e397cbdep-16, -0x1.143f16ed7749p-16, -0x1.17224f092192cp-16, -0x1.1a2ca1b8e7813p-16, -0x1.1d1a881e16e6cp-16, -0x1.1fe2e93b5693bp-16, -0x1.22834d0c4ecadp-16, -0x1.24fbe6aa94e08p-16, -0x1.276697086997cp-16, -0x1.299dff87c0655p-16, -0x1.2bb5b39f0c855p-16, -0x1.2dab373309c5ap-16, -0x1.2f7f3fd121cfcp-16, -0x1.31320204db43cp-16, -0x1.32c2a97e9a92p-16, -0x1.3434953e189p-16, -0x1.35873a86c67f1p-16, -0x1.36b9455017294p-16, -0x1.37cc098001548p-16, -0x1.38bc9aea06a36p-16, -0x1.39c05df9cc83fp-16, -0x1.3a4c08d0ca4eep-16, -0x1.3ae64cc55ec1fp-16, -0x1.3b6488e017b9dp-16, -0x1.3bc08a4604707p-16, -0x1.3bf71361ba67ap-16, -0x1.3c14ab0f4f2cep-16, -0x1.3bf999603cb0ep-16, -0x1.3c27ab1958ca6p-16, -0x1.3bfc0c07a343fp-16, -0x1.3bb3d55764e7cp-16, -0x1.3b5325c0b23f8p-16, -0x1.3ad8d4a4a34dap-16, -0x1.3a4514d7ac0e4p-16, -0x1.39984336b3d73p-16, -0x1.38d2c1762b764p-16, -0x1.37f4f3de8fe64p-16, -0x1.36ff50f1e940bp-16, -0x1.35e40db8a73acp-16, -0x1.34ce17a8c65fp-16, -0x1.33926f2e7968bp-16, -0x1.3240e2c363cap-16, -0x1.30d96094aec42p-16, -0x1.2f5c3f821fd02p-16, -0x1.2dc9da9cabd57p-16, -0x1.2c2203decd82dp-16, -0x1.2a61ecec158ddp-16, -0x1.2854f3911e5e2p-16, -0x1.26b56f2ce60b6p-16, -0x1.248f9aace101fp-16, -0x1.22b15e527468ap-16, -0x1.209a6a86a75fdp-16, -0x1.1e6bf04c3e292p-16, -0x1.1c2c697479c3bp-16, -0x1.19db65e06f225p-16, -0x1.1778ecd9543d7p-16, -0x1.14ed18b2ee891p-16, -0x1.12a4741d50ad9p-16, -0x1.0ff39f312f9bcp-16, }}, 
      {{-0x1.04be0a4611f52p-2, -0x1.0139b81d5af0dp-2, -0x1.f93b49da3b556p-3, -0x1.ef499078b58b1p-3, -0x1.e5a64f8d6ad61p-3, -0x1.dd0cd7226f401p-3, -0x1.d5f8de3993596p-3, -0x1.d0ba74c31c275p-3, -0x1.cd7dfd154072ep-3, -0x1.cc55b88a7b9b7p-3, -0x1.cd410357b27dep-3, -0x1.d030d5d3683bp-3, -0x1.d50a87e7d2489p-3, -0x1.dbaf88a6a96b7p-3, -0x1.e3fb209a3921ap-3, -0x1.edc4b7d1798d8p-3, -0x1.f8e47ecac16cap-3, -0x1.0298e5e0de14fp-2, -0x1.09420a92274fap-2, -0x1.105a2195bdb35p-2, -0x1.17ced5ecdd64bp-2, -0x1.1f8eb1d5f49c8p-2, -0x1.278912078a566p-2, -0x1.2faebd0620da1p-2, -0x1.37f0ed731ea31p-2, -0x1.404210ffee887p-2, -0x1.4897140597db9p-2, -0x1.50e5652d03489p-2, -0x1.592220c67647ap-2, -0x1.61443e0d3d537p-2, -0x1.69459432d8867p-2, -0x1.711cf22a5a4cdp-2, -0x1.78c4d040063d8p-2, -0x1.8037a35ea4077p-2, -0x1.87709859afc68p-2, -0x1.8e6b8da6e3486p-2, -0x1.9524ffaf67522p-2, -0x1.9b99f6c1bccbap-2, -0x1.a1c7f7b9cc8bep-2, -0x1.a7acf7d434386p-2, -0x1.ad475649c7505p-2, -0x1.b295d84cb54b9p-2, -0x1.b797a0ac9abb5p-2, -0x1.bc4c2332e7487p-2, -0x1.c0b31bef1024p-2, -0x1.c4cc8faf121ffp-2, -0x1.c898cee3545adp-2, -0x1.cc186f1656ec4p-2, -0x1.cf4c3915a4c44p-2, -0x1.d235175ab9b51p-2, -0x1.d4d41118aee19p-2, -0x1.d72a5212f5cc4p-2, -0x1.d93933cd311e1p-2, -0x1.db023c7d607dbp-2, -0x1.dc8711691517cp-2, -0x1.ddc963ccefa47p-2, -0x1.decae2acea664p-2, -0x1.df8d3879286e7p-2, -0x1.e0121431f189ep-2, -0x1.e05b36c589b8fp-2, -0x1.e06a7b02cba2fp-2, -0x1.e041d26977189p-2, -0x1.dfe34a37849dcp-2, -0x1.df50e6e043fdbp-2, -0x1.de8c4a6220b14p-2, -0x1.dd9750fbb6659p-2, -0x1.dc73d8a7f92cep-2, -0x1.db23bcdc4910ep-2, -0x1.d9a8d082f28e4p-2, -0x1.d804d9b14a568p-2, -0x1.d639914d6c9dap-2, -0x1.d448a652d9a74p-2, -0x1.d233c269898efp-2, -0x1.cffc8cf5e0d24p-2, -0x1.cda4aae832d44p-2, -0x1.cb2dbb62e1da3p-2, -0x1.c89952dd1dae1p-2, -0x1.c5e8f6f18526bp-2, -0x1.c31e1c7b65ed5p-2, -0x1.c03a287e15773p-2, -0x1.bd3e731db583ep-2, -0x1.ba2c4b3adaedcp-2, -0x1.b704f95725882p-2, -0x1.b3c9c0a6ff093p-2, -0x1.b07bde5f370bp-2, -0x1.ad1c87b37b47p-2, -0x1.a9ace786b338ap-2, -0x1.a62e1c69299eep-2, -0x1.a2a1384129d2dp-2, -0x1.9f07404cf527ep-2, -0x1.9b612e9543318p-2, -0x1.97aff378f7b9bp-2, -0x1.93f4771a02aa9p-2, -0x1.902f9a4e6bba1p-2, -0x1.8c6236f22e399p-2, -0x1.888d1fb3358fdp-2, -0x1.84b11fabae102p-2, -0x1.80cef9ee9d19fp-2, -0x1.7ce769493e424p-2, -0x1.78fb204d0caaap-2, -0x1.750ac99b73eaap-2, -0x1.7117085171625p-2, -0x1.6d20789505c8ep-2, -0x1.6927affa87f8ep-2, -0x1.652d3de823589p-2, -0x1.6131abd8eb956p-2, -0x1.5d357d883478dp-2, -0x1.59393117c0209p-2, -0x1.553d3f286b07p-2, -0x1.51421af46d1bdp-2, -0x1.4d48326b1bb03p-2, -0x1.494fee511e0bp-2, -0x1.4559b269407c8p-2, -0x1.4165dd95b5ab1p-2, -0x1.3d74ca23818fp-2, -0x1.3986cde734bdap-2, -0x1.359c3a8f22d29p-2, -0x1.31b55dbed05bdp-2, -0x1.2dd2815a17066p-2, -0x1.29f3ebad15c21p-2, -0x1.2619df969d4abp-2, -0x1.22449caefa10bp-2, -0x1.1e745f69245edp-2, -0x1.1aa9612f217c1p-2, -0x1.16e3d87a0ac72p-2, -0x1.1323f8e7a44cbp-2, -0x1.0f69e4449a175p-2, -0x1.0bb5e8119d6d3p-2, -0x1.08081f747f0e8p-2, -0x1.0460b37488273p-2, -0x1.00bfcaa3221c3p-2, -0x1.fa4b125657997p-3, -0x1.f32421d8a2207p-3, -0x1.ec0b0320bce4cp-3, -0x1.e4fff15ea86f8p-3, -0x1.de0322fda2a8ap-3, -0x1.d714ce23a72f5p-3, -0x1.d03520820522cp-3, -0x1.c96447f941773p-3, -0x1.c2a26e8c349f4p-3, -0x1.bbefbb6c0346dp-3, -0x1.b54c530bab4cdp-3, -0x1.aeb85735780b9p-3, -0x1.a833e7167b5c2p-3, -0x1.a1bf1f41aee9cp-3, -0x1.9b5a19c46eaa5p-3, -0x1.9504ee06af9a4p-3, -0x1.8ebfb0f2b561ep-3, -0x1.888a74f40b545p-3, -0x1.8265490ba4232p-3, -0x1.7c503da4d27e7p-3, -0x1.764b5a7c11aefp-3, -0x1.7056ac1c9f481p-3, -0x1.6a72375b89068p-3, -0x1.649e0262695e7p-3, -0x1.5eda10dbfe5e9p-3, -0x1.592664d76949dp-3, -0x1.5382fef0de0b3p-3, -0x1.4defde659a9f1p-3, -0x1.486d01296dd38p-3, -0x1.42fa63f59478ep-3, -0x1.3d980254299ap-3, -0x1.3845d69c84bd2p-3, -0x1.3303da2806d86p-3, -0x1.2dd204eef7d54p-3, -0x1.28b04de07f335p-3, -0x1.239eaaeb153bdp-3, -0x1.1e9d108f2a51bp-3, -0x1.19ab7204c94ep-3, -0x1.14c9c29d47d79p-3, -0x1.0ff7f29f3f2cp-3, -0x1.0b35f2834354dp-3, -0x1.0683b160c9269p-3, -0x1.01e11d4dd67ep-3, -0x1.fa9c46ce3375fp-4, -0x1.f1955fd98eb3p-4, -0x1.e8ad5c6ed5a1ep-4, -0x1.dfe411bda3d3p-4, -0x1.d739537ae7192p-4, -0x1.ceacf402ec77p-4, -0x1.c63ec46fcc739p-4, -0x1.bdee94af63533p-4, -0x1.b5bc338fb6b8cp-4, -0x1.ada76ecd5b35dp-4, -0x1.a5b0138ee6e52p-4, -0x1.9dd5ed66fbbbbp-4, -0x1.9618c770abeacp-4, -0x1.8e786bc010638p-4, -0x1.86f4a3bcb4d0cp-4, -0x1.7f8d37b1afc4ep-4, -0x1.7841ef42f03c8p-4, -0x1.711291fa049ebp-4, -0x1.69fee3977a046p-4, -0x1.6306ab8eab259p-4, -0x1.5c29ae1a7408p-4, -0x1.5567ad61b8f13p-4, -0x1.4ec06df9df414p-4, -0x1.4833b1b1b0d3cp-4, -0x1.41c13a473efc4p-4, -0x1.3b68c8cd84248p-4, -0x1.352a1dd617f7dp-4, -0x1.2f04f96b6e64bp-4, -0x1.28f91b20196dfp-4, -0x1.2306423beeb4cp-4, -0x1.1d2c2d2621757p-4, -0x1.176a9aacb8fdep-4, -0x1.11c148d5cbca7p-4, -0x1.0c2ff583aa06dp-4, -0x1.06b65e5e62721p-4, -0x1.015440e94e666p-4, -0x1.f812b4c9dce33p-5, -0x1.edaad06f3e08ep-5, -0x1.e3704e940912dp-5, -0x1.d962a861494b3p-5, -0x1.cf815ae5884e9p-5, -0x1.c5cbddf4fdca1p-5, -0x1.bc41a9da8545ap-5, -0x1.b2e23b00e798p-5, -0x1.a9ad0a9421b1ap-5, -0x1.a0a192be1332p-5, -0x1.97bf4dac2afedp-5, -0x1.8f05b5c2c0da4p-5, -0x1.8674459ec3b09p-5, -0x1.7e0a78163571ep-5, -0x1.75c7c86197fdbp-5, -0x1.6dabb1dfaae6bp-5, -0x1.65b5afae4a26ap-5, -0x1.5de5403cb6c3bp-5, -0x1.5639de00898bcp-5, -0x1.4eb306dea65b7p-5, -0x1.475038a761202p-5, -0x1.4010f101807ccp-5, -0x1.38f4afb5a0c1dp-5, -0x1.31faf39dc5d4p-5, -0x1.2b233d0854d58p-5, -0x1.246d0cddf416ep-5, -0x1.1dd7e4c33a13p-5, -0x1.17634726c1b8dp-5, -0x1.110eb72834efbp-5, -0x1.0ad9b946b8604p-5, -0x1.04c3d249f0ce9p-5, -0x1.fd990f9fa8324p-6, -0x1.f1e6c1f179842p-6, -0x1.e66fcb39fe313p-6, -0x1.db333cf8c5372p-6, -0x1.d0302e25f09fdp-6, -0x1.c565aab5ea4p-6, -0x1.bad2d3ebdae02p-6, -0x1.b076c0bfcd515p-6, -0x1.a6508d794fc1ep-6, -0x1.9c5f587a30eebp-6, -0x1.92a2424657c1ep-6, -0x1.89186d7d3723bp-6, -0x1.7fc1029a58a16p-6, -0x1.75fb0369c4545p-6, -0x1.6d07b4d1747bp-6, -0x1.64448e367ce12p-6, -0x1.5bb0ba5a3d4d5p-6, -0x1.534b680e70719p-6, -0x1.4b13c8355ef25p-6, -0x1.43090df0f2c05p-6, -0x1.3b2a6e9cf9cc2p-6, -0x1.337721c719a05p-6, -0x1.2bee6121d8ca9p-6, -0x1.248f68c607cep-6, -0x1.1d59771aa7e8cp-6, -0x1.164bc8ffd2409p-6, -0x1.0f65ac22d7cb8p-6, -0x1.08a65bfbc313p-6, -0x1.020d22dcbf51ap-6, -0x1.f732966f05248p-7, -0x1.ea94431ce69a5p-7, -0x1.de3de9b01473ep-7, -0x1.d22e2cf65a713p-7, -0x1.c663b3d4ed9b2p-7, -0x1.badd1f2bf2776p-7, -0x1.af99449f773p-7, -0x1.a496b612181b2p-7, -0x1.99d43a8f9da36p-7, -0x1.8f50922049efp-7, -0x1.850a805fc68abp-7, -0x1.7b00d2cbfeb58p-7, -0x1.713253abcc8d3p-7, -0x1.679dd7dcf6719p-7, -0x1.5e42386381245p-7, -0x1.551e517c4bee3p-7, -0x1.4c31047308e0cp-7, -0x1.4379376efb515p-7, -0x1.3af5d613ed408p-7, -0x1.32a5d00a43c2bp-7, -0x1.2a88190fda032p-7, -0x1.229ba99d472d2p-7, -0x1.1adf7fb0e6e32p-7, -0x1.13529c2f10adfp-7, -0x1.0bf3fda64ae7ap-7, -0x1.04c2c489b3c32p-7, -0x1.fb7bd2815674p-8, -0x1.edc90b79b0f72p-8, -0x1.e06b613566003p-8, -0x1.d3610d296191dp-8, -0x1.c6a846c8c735fp-8, -0x1.ba3f582877445p-8, -0x1.ae248dc472aa1p-8, -0x1.a2563cdcb7c3cp-8, -0x1.96d2c263f661bp-8, -0x1.8b986b1d83015p-8, -0x1.80a5e8b20cdb5p-8, -0x1.75f967322f664p-8, -0x1.6b917ca7994d7p-8, -0x1.616c9ef9dbcc5p-8, -0x1.5789608e6cb7p-8, -0x1.4de64c7e388d2p-8, -0x1.4481f80dd7061p-8, -0x1.3b5aff39da887p-8, -0x1.327004759aba3p-8, -0x1.29bfac6360775p-8, -0x1.2148b29b873a2p-8, -0x1.1909bebb9bdb9p-8, -0x1.11019168349eep-8, -0x1.092eed68b5396p-8, -0x1.019096edfde7ap-8, -0x1.f44aad6fe3d05p-9, -0x1.e5d826a8fd741p-9, -0x1.d7c7200763f66p-9, -0x1.ca1588d99299cp-9, -0x1.bcc0bf13e62fdp-9, -0x1.afc6fc7a6d548p-9, -0x1.a325fc967a8e3p-9, -0x1.96dba6276c19bp-9, -0x1.8ae5eadd4dd35p-9, -0x1.7f42c84dd3876p-9, -0x1.73f028155e5eep-9, -0x1.68ec6c00072dp-9, -0x1.5e355b9f1e4ecp-9, -0x1.53c9365711f8ep-9, -0x1.49a62f827918cp-9, -0x1.3fca6f9fdc546p-9, -0x1.363429e9c98bp-9, -0x1.2ce1fe8beda53p-9, -0x1.23d1d349b0a18p-9, -0x1.1b023c145a31dp-9, -0x1.127189f064e6ap-9, -0x1.0a1e2f7db0f2fp-9, -0x1.0206a1b533d77p-9, -0x1.f452bc21643abp-10, -0x1.e509d4883f45ap-10, -0x1.d62fa7bc80eeep-10, -0x1.c7c16447a2cb4p-10, -0x1.b9bc412360b52p-10, -0x1.ac1d8c6a199aap-10, -0x1.9ee29f7c71bcep-10, -0x1.9208e5e450ac5p-10, -0x1.858e7c88df938p-10, -0x1.796eecc3111fdp-10, -0x1.6da9caa5ccdcap-10, -0x1.623c107c14805p-10, -0x1.57236cb9edf04p-10, -0x1.4c5d9d947d6e4p-10, -0x1.41e86df8619b1p-10, -0x1.37c1b39af4ba9p-10, -0x1.2de755822108ep-10, -0x1.24574d3f0b7cfp-10, -0x1.1b0f8bb394037p-10, -0x1.120e1f5ab64d6p-10, -0x1.09511dd0410eap-10, -0x1.00d6a925367d4p-10, -0x1.f139e1da6e846p-11, -0x1.e1444c6846989p-11, -0x1.d1c87d74de4dap-11, -0x1.c2c4d6c7eedebp-11, -0x1.b4344fb18034p-11, -0x1.a6143d61e698bp-11, -0x1.9861764103bcfp-11, -0x1.8b18e5380d821p-11, -0x1.7e378a9384b09p-11, -0x1.71ba89597e3b9p-11, -0x1.659ecf210b611p-11, -0x1.59e185b722fcdp-11, -0x1.4e80b3c988098p-11, -0x1.4378d7e4c19ebp-11, -0x1.38c7aeb3b365ep-11, -0x1.2e6aaf93f92cdp-11, -0x1.245f661b88aap-11, -0x1.1aa36e1d6318dp-11, -0x1.1134735974013p-11, -0x1.081031589a81fp-11, -0x1.fe68ca4f6360ap-12, -0x1.ed3e8f7777a8bp-12, -0x1.dc9ca02fbb4b6p-12, -0x1.cc7e12af0d44fp-12, -0x1.bce0bac02bb01p-12, -0x1.adc0098c6ba0fp-12, -0x1.9f184d2469de5p-12, -0x1.90e5ab0c304f9p-12, -0x1.8324e577e0335p-12, -0x1.75d23004b0086p-12, -0x1.68ea5dc51d01p-12, -0x1.5c6a3fd0fd175p-12, -0x1.504eabe9b7be7p-12, -0x1.44946aeb6783ep-12, -0x1.3938aa1516331p-12, -0x1.2e38798516e25p-12, -0x1.23910ae7025a1p-12, -0x1.19401c48b48c3p-12, -0x1.0f41af97ffbcbp-12, -0x1.059496996ea63p-12, -0x1.f86bbddc5d9aap-13, -0x1.e645c56898e94p-13, -0x1.d4b4179c528b1p-13, -0x1.c3b080ce3240dp-13, -0x1.b3375dd0d433fp-13, -0x1.a34468b262f5cp-13, -0x1.93d3755d33475p-13, -0x1.84e085c3b8523p-13, -0x1.7667a21d85487p-13, -0x1.68654ed97178ap-13, -0x1.5ad59c655c57bp-13, -0x1.4db51db33b5f9p-13, -0x1.41006376e5f75p-13, -0x1.34b422e09601dp-13, -0x1.28cb12a340e69p-13, -0x1.1d48415b7831dp-13, -0x1.1221fc2c4876dp-13, -0x1.0757fd0bf5b7p-13, -0x1.f9cec85555ad9p-14, -0x1.e59a716954c8bp-14, -0x1.d20adff67dc46p-14, -0x1.bf229dd6ff3f1p-14, -0x1.acd50318cfe88p-14, -0x1.9b1fb8de1c8b2p-14, -0x1.89fdea1f5fda3p-14, -0x1.796b012f4a014p-14, -0x1.69626f9668cep-14, -0x1.59dfdd09273a8p-14, -0x1.4adf1032c00f6p-14, -0x1.3c5befaedf10dp-14, -0x1.2e5281ef279e5p-14, -0x1.20beec85a3f29p-14, -0x1.139d7343bc881p-14, -0x1.06ea77887677fp-14, -0x1.f544ef8213685p-15, -0x1.dd8425c96cf28p-15, -0x1.c68d4c944f27cp-15, -0x1.b055f77101fecp-15, -0x1.9adbe8031ab62p-15, -0x1.8617f7f7b2206p-15, -0x1.720574e1121a2p-15, -0x1.5e9da325a0883p-15, -0x1.4bd7cd68c5ba8p-15, -0x1.39b39150d6b86p-15, -0x1.282a9e985fe06p-15, -0x1.17377091ada82p-15, -0x1.06d7235e806ffp-15, -0x1.ee0228a08e7dcp-16, -0x1.cf68ae9003fb6p-16, -0x1.b1d58fcddddc3p-16, -0x1.9544d2b2c4916p-16, -0x1.79aa5a2097cb8p-16, -0x1.5eff8d750e7d9p-16, -0x1.453cb21151d73p-16, -0x1.2c5b0671028ep-16, -0x1.14535a288f319p-16, -0x1.fa3dd4eead6e2p-17, -0x1.cd6e6bf23c09cp-17, -0x1.a22a1155d40a9p-17, -0x1.786659eb175d8p-17, -0x1.501b94175699ap-17, -0x1.2936b74212e3cp-17, -0x1.03b14b4f926d4p-17, -0x1.befe22f356111p-18, -0x1.794abd3999a11p-18, -0x1.35da1426f4e51p-18, -0x1.e9e8b0e29e587p-19, -0x1.6ce7f6072b886p-19, -0x1.e884f20c70755p-20, -0x1.00407b7fa5bb7p-20, -0x1.049c5343df94p-23, 0x1.6d8150419c429p-21, 0x1.860dc576e7dbfp-20, 0x1.269f40666738ap-19, 0x1.8522819b6a306p-19, 0x1.e2ad0b5816457p-19, 0x1.1da311557debap-18, 0x1.482c83a4d7514p-18, 0x1.7102ba1574729p-18, 0x1.98322d4cfc5a9p-18, 0x1.bdc6b8ab43c5fp-18, 0x1.e1cb9367747efp-18, 0x1.0228f60bfd408p-17, 0x1.12a95419cb652p-17, 0x1.2275767175012p-17, 0x1.318eb6a8fcbbfp-17, 0x1.3ff728aca4a7fp-17, 0x1.4dbc29b206a49p-17, 0x1.5ad9ad0f89798p-17, 0x1.6756ec0ca2bb3p-17, 0x1.73382a79fb746p-17, 0x1.7e81a29dbf133p-17, 0x1.893b54c5fed26p-17, 0x1.935c52ab69562p-17, 0x1.9cf52d8b2f342p-17, 0x1.a6052901c1ef9p-17, 0x1.ae8d22f45c951p-17, 0x1.b68aa3366b7ddp-17, 0x1.be213715d6b44p-17, 0x1.c531e3fc4a10ap-17, 0x1.cbcc2c9180425p-17, 0x1.d1ed8de4dfca8p-17, 0x1.d79d5b68e7d44p-17, 0x1.dcddbd77bafd3p-17, 0x1.e1b3ea4fc3e2fp-17, 0x1.e61da4ea559cap-17, 0x1.ea1f9b442cd24p-17, 0x1.edc062bd11d06p-17, 0x1.f0f4e5745d2f9p-17, 0x1.f3bb8b5d500c4p-17, 0x1.f64881048c0a3p-17, 0x1.f874acae9452ap-17, 0x1.fa3e63a9d6dafp-17, 0x1.fbb100a265a5p-17, 0x1.fcced04950e7fp-17, 0x1.fd99e870b0b69p-17, 0x1.fe144b21b825p-17, 0x1.fe42983713dddp-17, 0x1.fe1ec309fda2ap-17, 0x1.fdb2d56363d8cp-17, 0x1.fcfdb684d8676p-17, 0x1.fc03257349d3dp-17, 0x1.fac148f354f85p-17, 0x1.f93a211702c16p-17, 0x1.f771f021d51f1p-17, 0x1.f5699f1cd0656p-17, 0x1.f3227fec967a3p-17, 0x1.f09e226c6bcc6p-17, 0x1.edde152fa6cfep-17, 0x1.eae3e75f458ddp-17, 0x1.e7b1b33c101c9p-17, 0x1.e4555d5265a47p-17, 0x1.e0a781ab16768p-17, 0x1.dcd2e5b6769e3p-17, 0x1.d8cbb608d7eaep-17, 0x1.d492bf1d7de24p-17, 0x1.d027671f35e34p-17, 0x1.cb53465b0a8bfp-17, 0x1.c6cb25cb63e0ap-17, 0x1.c1e240a6fba86p-17, 0x1.bcbef6b5f77bap-17, 0x1.b7786c38d1593p-17, 0x1.b2093a6d86aeap-17, 0x1.ac85bbdadb7d7p-17, 0x1.a6b6eddb0dcd3p-17, 0x1.a0d51be57412ep-17, 0x1.9acfb184f02c6p-17, 0x1.94a7a74fc936fp-17, 0x1.8e5e0e6ac3d2cp-17, 0x1.87f3fcda3af07p-17, 0x1.816a76b061a13p-17, 0x1.7ac1eaaf167c1p-17, 0x1.740c97c02a80cp-17, 0x1.6d445750b28b8p-17, 0x1.661e7bd52a18cp-17, 0x1.5f2ce9b30b3b1p-17, 0x1.57dd4c3fc517dp-17, 0x1.5093174da3e5dp-17, 0x1.493523b582a5ap-17, 0x1.41c0b22a9d508p-17, 0x1.3a348c49edb7cp-17, 0x1.3291085aff496p-17, 0x1.2ae51c5416b78p-17, 0x1.23234375935a3p-17, 0x1.1b4f07b0bd50bp-17, 0x1.1368c553d7e42p-17, 0x1.0b7355294faabp-17, 0x1.036f219800c3cp-17, 0x1.f6b88af9d12fbp-18, 0x1.e67aad944fa63p-18, 0x1.d6255e45c36bap-18, 0x1.c5b83217bd625p-18, 0x1.b5362ae80df99p-18, 0x1.a49b8582a7db3p-18, 0x1.93fe110faebacp-18, 0x1.83403cc67af89p-18, 0x1.7279903a991d8p-18, 0x1.61a684045ce35p-18, 0x1.50c49ddf0b0b3p-18, 0x1.3fee32100150ep-18, 0x1.2eed8545192eep-18, 0x1.1df7390be8b25p-18, 0x1.0cf1e2aca5415p-18, 0x1.f7e1ddf7b6613p-19, 0x1.d5cf4ee632563p-19, 0x1.b3be8370cd943p-19, 0x1.91ade05bcd154p-19, 0x1.6f9f93466ceb5p-19, 0x1.4d96317a284eep-19, 0x1.2b94501bab10fp-19, 0x1.099c7a23ed47p-19, 0x1.cf6228f7a7272p-20, 0x1.8bd35b52e0574p-20, 0x1.4812f0b30dafap-20, 0x1.04a69e482d4fep-20, 0x1.82ca900491965p-21, 0x1.f952d7a71f3f7p-22, 0x1.dbb27e3fd39fep-23, -0x1.c9f6f047c328bp-26, -0x1.26378cb76544p-22, -0x1.177bce9b03bbap-21, -0x1.9d0bf032be6adp-21, -0x1.0f31e420e517p-20, -0x1.4f9b89ee0dad1p-20, -0x1.912ab762e34edp-20, -0x1.d1cf71d4e6c2p-20, -0x1.09030ec6b4ad3p-19, -0x1.28f0959b6fff1p-19, -0x1.48ae44d2729bbp-19, -0x1.683ef5fe0c391p-19, -0x1.886557a650ba1p-19, -0x1.a68bcbb960e6cp-19, -0x1.c58db78e66b03p-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.cfbeefcc02b57p-14, 0x1.cf88bb24ac0efp-12, 0x1.048a46ede45c1p-10, 0x1.ceb15944de996p-10, 0x1.68fd75da13547p-9, 0x1.037c78621d739p-8, 0x1.608264e8f4569p-8, 0x1.cb67bed9cf29bp-8, 0x1.21ff3d027b02dp-7, 0x1.6509c72026bb7p-7, 0x1.aeb7a3155a941p-7, 0x1.feeac6b2a4adep-7, 0x1.2ac18f6a9fb34p-6, 0x1.592f5a92076e7p-6, 0x1.8aacea6638dfdp-6, 0x1.bf27970c4d715p-6, 0x1.f68bfc61e4252p-6, 0x1.1863053ea02fcp-5, 0x1.36e08abf765c4p-5, 0x1.56b3f259fb0d1p-5, 0x1.77d2608568854p-5, 0x1.9a30c16f8184ep-5, 0x1.bdc3cf9082c43p-5, 0x1.e28019f05eb26p-5, 0x1.042d051045d57p-4, 0x1.17a2f4f6d7a62p-4, 0x1.2b9bf46628712p-4, 0x1.40121081c6aa7p-4, 0x1.54ff4e4c478ebp-4, 0x1.6a5dacfead385p-4, 0x1.80272842a7dc8p-4, 0x1.9655ba50cdf27p-4, 0x1.ace35df3dd01p-4, 0x1.c3ca1071fea47p-4, 0x1.db03d35d24691p-4, 0x1.f28aae4b4a6bep-4, 0x1.052c583be6ca2p-3, 0x1.1133f92749153p-3, 0x1.1d594b7108d08p-3, 0x1.299966a69b036p-3, 0x1.35f16900f0649p-3, 0x1.425e78028b4c4p-3, 0x1.4eddc10cd000fp-3, 0x1.5b6c79ed045d6p-3, 0x1.6807e16156c4cp-3, 0x1.74ad3f965f9ffp-3, 0x1.8159e69d6e4fep-3, 0x1.8e0b32dbf0c09p-3, 0x1.9abe8b74573e1p-3, 0x1.a77162a8a7913p-3, 0x1.b42136371130ap-3, 0x1.c0cb8fb0af63ep-3, 0x1.cd6e04cab98c9p-3, 0x1.da0637aa4aef6p-3, 0x1.e691d72aed14bp-3, 0x1.f30e9f20062f5p-3, 0x1.ff7a589156a1dp-3, 0x1.05e96cf94c0e1p-2, 0x1.0c0b03ab2ccacp-2, 0x1.1220e94e1cc83p-2, 0x1.182a1dcd457bbp-2, 0x1.1e25a821bc67ep-2, 0x1.24129662e0b1p-2, 0x1.29effdd48da8ap-2, 0x1.2fbcfaf328087p-2, 0x1.3578b17d914b5p-2, 0x1.3b224c7d0de65p-2, 0x1.40b8fe4b2093cp-2, 0x1.463c00956c48dp-2, 0x1.4baa945fa28c7p-2, 0x1.510402038bd2cp-2, 0x1.5647992f33893p-2, 0x1.5b74b0e145e6bp-2, 0x1.608aa763abd06p-2, 0x1.6588e2446efp-2, 0x1.6a6ece4cf956cp-2, 0x1.6f3bdf77b9e81p-2, 0x1.73ef90e43e436p-2, 0x1.788964c9d120bp-2, 0x1.7d08e468aba37p-2, 0x1.816d9ff9cacabp-2, 0x1.85b72e9d746dep-2, 0x1.89e52e488234bp-2, 0x1.8df743b07e69p-2, 0x1.91ed1a369fd5ap-2, 0x1.95c663d1bb1f9p-2, 0x1.9982d8f7365a9p-2, 0x1.9d2238830b9a8p-2, 0x1.a0a4479eeebc7p-2, 0x1.a408d1a8a399cp-2, 0x1.a74fa8179397fp-2, 0x1.aa78a261b0392p-2, 0x1.ad839ddfb524dp-2, 0x1.b0707db0d0422p-2, 0x1.b33f2a9dc884dp-2, 0x1.b5ef92fba28b8p-2, 0x1.b881aa8ddfa56p-2, 0x1.baf56a68534afp-2, 0x1.bd4ad0d0ac0f7p-2, 0x1.bf81e11faac4cp-2, 0x1.c19aa3a220026p-2, 0x1.c3952579b4e51p-2, 0x1.c571787d87d3cp-2, 0x1.c72fb31aaa0a6p-2, 0x1.c8cff03489cb4p-2, 0x1.ca524f0547e42p-2, 0x1.cbb6f2fe0e852p-2, 0x1.ccfe03a76504p-2, 0x1.ce27ac8192225p-2, 0x1.cf341ce50f0a4p-2, 0x1.d02387e30e86cp-2, 0x1.d0f6242628bc4p-2, 0x1.d1ac2bd3292fcp-2, 0x1.d245dc6a0776ep-2, 0x1.d2c376a710b9bp-2, 0x1.d3253e64474cdp-2, 0x1.d36b7a7afb07fp-2, 0x1.d39674a5a3946p-2, 0x1.d3a67961fb62fp-2, 0x1.d39bd7d362518p-2, 0x1.d376e1a58e292p-2, 0x1.d337eaef87a32p-2, 0x1.d2df4a16f8cacp-2, 0x1.d26d57b3d4369p-2, 0x1.d1e26e7452754p-2, 0x1.d13eeb0149a3p-2, 0x1.d0832be2e4e05p-2, 0x1.cfaf9165bac79p-2, 0x1.cec47d8046671p-2, 0x1.cdc253b8c3a01p-2, 0x1.cca9790b75143p-2, 0x1.cb7a53d14de7bp-2, 0x1.ca354ba709077p-2, 0x1.c8dac954a83ap-2, 0x1.c76b36b563c75p-2, 0x1.c5e6fea005711p-2, 0x1.c44e8ccfb2af6p-2, 0x1.c2a24dcd2866ep-2, 0x1.c0e2aed866c41p-2, 0x1.bf101dd2cf70ep-2, 0x1.bd2b0929b6233p-2, 0x1.bb33dfc164d7p-2, 0x1.b92b10e095e6p-2, 0x1.b7110c1c5c83fp-2, 0x1.b4e641448a21fp-2, 0x1.b2ab205082a73p-2, 0x1.b060194c899b1p-2, 0x1.ae059c478138ep-2, 0x1.ab9c19412518ap-2, 0x1.a9240018b17a3p-2, 0x1.a69dc07c0a1bp-2, 0x1.a409c9d74d3d7p-2, 0x1.a1688b44e326ap-2, 0x1.9eba737dfc00cp-2, 0x1.9bfff0cb8790bp-2, 0x1.993970f79ed42p-2, 0x1.9667613f5ea7dp-2, 0x1.938a2e453aef5p-2, 0x1.90a24403bded8p-2, 0x1.8db00dc0bfaecp-2, 0x1.8ab3f60108c29p-2, 0x1.87ae667c6981dp-2, 0x1.849fc8123df6cp-2, 0x1.818882be625bep-2, 0x1.7e68fd8e92eadp-2, 0x1.7b419e983c424p-2, 0x1.7812caeeb2459p-2, 0x1.74dce699d6412p-2, 0x1.71a0548d2388cp-2, 0x1.6e5d769f2532cp-2, 0x1.6b14ad81540fp-2, 0x1.67c658b858e44p-2, 0x1.6472d694b2f44p-2, 0x1.611a842bc3a7ap-2, 0x1.5dbdbd513b6bbp-2, 0x1.5a5cdc90e51fap-2, 0x1.56f83b28d3246p-2, 0x1.53903103e9a96p-2, 0x1.502514b4c1d15p-2, 0x1.4cb73b70ed979p-2, 0x1.4946f90c8d842p-2, 0x1.45d49ff6440d2p-2, 0x1.426081337c179p-2, 0x1.3eeaec5d02273p-2, 0x1.3b742f9bf5139p-2, 0x1.37fc97a701f2ap-2, 0x1.34846fbff321bp-2, 0x1.310c01b18d98bp-2, 0x1.2d9395cdb5ec9p-2, 0x1.2a1b72ebe47c7p-2, 0x1.26a3de67df1bdp-2, 0x1.232d1c20b98bdp-2, 0x1.1fb76e781ef65p-2, 0x1.1c431651d88b3p-2, 0x1.18d053139aec4p-2, 0x1.155f62a5119ccp-2, 0x1.11f0817027224p-2, 0x1.0e83ea618d5b3p-2, 0x1.0b19d6e97c5f3p-2, 0x1.07b27efcad2f7p-2, 0x1.044e19158a0e9p-2, 0x1.00ecda3594816p-2, 0x1.fb1debce02ce8p-3, 0x1.f4693c7d04c02p-3, 0x1.edbc07ba8b756p-3, 0x1.e716abe63bf22p-3, 0x1.e0798481b991bp-3, 0x1.d9e4ea35ac045p-3, 0x1.d35932d718dc4p-3, 0x1.ccd6b16d0fc9ep-3, 0x1.c65db6369fd9ep-3, 0x1.bfee8eb11a1b1p-3, 0x1.b989859e98e08p-3, 0x1.b32ee30ccb9f4p-3, 0x1.acdeec5c005f6p-3, 0x1.a699e4466c81p-3, 0x1.a0600ae7b233ap-3, 0x1.9a319dc493aa9p-3, 0x1.940ed7d2e92a7p-3, 0x1.8df7f181b884cp-3, 0x1.87ed20c18a24ap-3, 0x1.81ee990cdc05p-3, 0x1.7bfc8b70c88b6p-3, 0x1.76172695cfb14p-3, 0x1.703e96c8c19a2p-3, 0x1.6a730603ca965p-3, 0x1.64b49bf7a5d9fp-3, 0x1.5f037e14de466p-3, 0x1.595fcf953344ap-3, 0x1.53c9b185155efp-3, 0x1.4e4142cd2c87dp-3, 0x1.48c6a03c00af3p-3, 0x1.4359e48fa4fa6p-3, 0x1.3dfb287f78faap-3, 0x1.38aa82c5f470dp-3, 0x1.3368082a7bdd8p-3, 0x1.2e33cb8b3ddcdp-3, 0x1.290ddde7178b6p-3, 0x1.23f64e677b8f2p-3, 0x1.1eed2a6a5a013p-3, 0x1.19f27d8c0e801p-3, 0x1.150651b148198p-3, 0x1.1028af10ef71fp-3, 0x1.0b599c3e08863p-3, 0x1.06991e318f26p-3, 0x1.01e738544c653p-3, 0x1.fa87d911413a9p-4, 0x1.f15e766887851p-4, 0x1.e8524693f816fp-4, 0x1.df6344a68d0bep-4, 0x1.d69168f3da66ap-4, 0x1.cddca92328b18p-4, 0x1.c544f84265668p-4, 0x1.bcca46d8f0284p-4, 0x1.b46c82fa43091p-4, 0x1.ac2b985875e0fp-4, 0x1.a407705690612p-4, 0x1.9bfff21abe3fap-4, 0x1.941502a03c7d5p-4, 0x1.8c4684c938f31p-4, 0x1.8494597064773p-4, 0x1.7cfe5f7a60c56p-4, 0x1.758473e6f891dp-4, 0x1.6e2671e220b8bp-4, 0x1.66e432d4c44d1p-4, 0x1.5fbd8e75585c8p-4, 0x1.58b25ad83847ap-4, 0x1.51c26c7fc6ff7p-4, 0x1.4aed966c57155p-4, 0x1.4433aa2bd5929p-4, 0x1.3d9477e93aef9p-4, 0x1.370fce7bbc2e5p-4, 0x1.30a57b75c1335p-4, 0x1.2a554b3399d9dp-4, 0x1.241f08e9f70bp-4, 0x1.1e027eb42263dp-4, 0x1.17ff75a1f739bp-4, 0x1.1215b5c59ab55p-4, 0x1.0c450640f51f6p-4, 0x1.068d2d52e880ap-4, 0x1.00edf06447933p-4, 0x1.f6ce282917922p-5, 0x1.ebf0b88c94d2p-5, 0x1.e1431856cf0a7p-5, 0x1.d6c4cca2111fp-5, 0x1.cc7559568dc76p-5, 0x1.c25441413ef1dp-5, 0x1.b861062a45c6fp-5, 0x1.ae9b28eac9e78p-5, 0x1.a502298256d5ap-5, 0x1.9b95872bb94bap-5, 0x1.9254c0715cdabp-5, 0x1.893f53412bee2p-5, 0x1.8054bcffef082p-5, 0x1.77947a9c307fp-5, 0x1.6efe08a0a4619p-5, 0x1.6690e3461048fp-5, 0x1.5e4c8684bf0e9p-5, 0x1.56306e2574ca8p-5, 0x1.4e3c15d1ee5bap-5, 0x1.466ef924e6245p-5, 0x1.3ec893b9a66e9p-5, 0x1.3748613b22c6cp-5, 0x1.2feddd729f57p-5, 0x1.28b88455e643ep-5, 0x1.21a7d2150b63p-5, 0x1.1abb4327bea71p-5, 0x1.13f2545a322d6p-5, 0x1.0d4c82d992854p-5, 0x1.06c94c40134cdp-5, 0x1.00682ea09132dp-5, 0x1.f4515123990cdp-6, 0x1.e814727277f86p-6, 0x1.dc18c0aaf388fp-6, 0x1.d05d3c909b862p-6, 0x1.c4e0e840a7b5ap-6, 0x1.b9a2c7448673p-6, 0x1.aea1dea3a9c47p-6, 0x1.a3dd34f49aa8ep-6, 0x1.9953d26d54bd2p-6, 0x1.8f04c0f2edbbcp-6, 0x1.84ef0c288ba8dp-6, 0x1.7b11c17daa5d4p-6, 0x1.716bf03bbb00dp-6, 0x1.67fca99318847p-6, 0x1.5ec300a757732p-6, 0x1.55be0a9afba77p-6, 0x1.4cecde9a8686bp-6, 0x1.444e95e6f391ep-6, 0x1.3be24bdf99739p-6, 0x1.33a71e0b77fb3p-6, 0x1.2b9c2c21f95b5p-6, 0x1.23c098132056bp-6, 0x1.1c13860f343dbp-6, 0x1.14941c8ddbf6ap-6, 0x1.0d418454c1658p-6, 0x1.061ae87dac4fdp-6, 0x1.fe3eecf8459e9p-7, 0x1.f09cbc4522dfcp-7, 0x1.e34da34df051ep-7, 0x1.d6500b4e55ef5p-7, 0x1.c9a2625932e29p-7, 0x1.bd431b5f5c5f6p-7, 0x1.b130ae3586905p-7, 0x1.a56997995a692p-7, 0x1.99ec5935bf677p-7, 0x1.8eb779a6712e7p-7, 0x1.83c9847ac09f3p-7, 0x1.79210a37b0475p-7, 0x1.6ebca0595168p-7, 0x1.649ae1537f24fp-7, 0x1.5aba6c91e58d3p-7, 0x1.5119e67770a5dp-7, 0x1.47b7f85d1b036p-7, 0x1.3e9350902223cp-7, 0x1.35aaa24facc72p-7, 0x1.2cfca5c9e1738p-7, 0x1.248818187377fp-7, 0x1.1c4bbb3caf297p-7, 0x1.1446561b0439bp-7, 0x1.0c76b47618909p-7, 0x1.04dba6e964a63p-7, 0x1.fae805c6bcda5p-8, 0x1.ec7d453e731fp-8, 0x1.de74ca3c7bf2ep-8, 0x1.d0cc5c4178e1p-8, 0x1.c381cc3d44ad8p-8, 0x1.b692f47f65debp-8, 0x1.a9fdb8a6d42b2p-8, 0x1.9dc005911504ep-8, 0x1.91d7d148bb5d1p-8, 0x1.86431af35087cp-8, 0x1.7affeabead4b8p-8, 0x1.700c51cdcb8c2p-8, 0x1.65666a2515139p-8, 0x1.5b0c56963c221p-8, 0x1.50fc42ab9dc63p-8, 0x1.47346293381eep-8, 0x1.3db2f3093d894p-8, 0x1.3476394243e1dp-8, 0x1.2b7c82d51ec44p-8, 0x1.22c425a463f2p-8, 0x1.1a4b7fc7a1784p-8, 0x1.1210f7745090cp-8, 0x1.0a12fae681037p-8, 0x1.025000494ad4fp-8, 0x1.f58d0b3e1221dp-9, 0x1.e6ea2152c225ep-9, 0x1.d8b45da236bap-9, 0x1.cae8ea1bb03dfp-9, 0x1.bd84ff9b378bbp-9, 0x1.b085e5b87d1a1p-9, 0x1.a3e8f29582a47p-9, 0x1.97ab8aad16a8bp-9, 0x1.8bcb20a12d8eap-9, 0x1.804535091c68fp-9, 0x1.7517563fc122p-9, 0x1.6a3f20319ae64p-9, 0x1.5fba3c2adf2d1p-9, 0x1.558660a59222fp-9, 0x1.4ba15117a0c39p-9, 0x1.4208ddc110e8ap-9, 0x1.38bae37a42cc5p-9, 0x1.2fb54b824d90dp-9, 0x1.26f60b4d7e1fbp-9, 0x1.1e7b2453fd705p-9, 0x1.1642a3e0a107dp-9, 0x1.0e4aa2dfef433p-9, 0x1.069145af576bep-9, 0x1.fe2977d953f43p-10, 0x1.efa6808b9363dp-10, 0x1.e196309152a19p-10, 0x1.d3f5286713efcp-10, 0x1.c6c01d8b1aef9p-10, 0x1.b9f3da1f25d69p-10, 0x1.ad8d3c8ad9a8dp-10, 0x1.a189371ed635fp-10, 0x1.95e4cfb884fb9p-10, 0x1.8a9d1f66a0ae2p-10, 0x1.7faf520e864acp-10, 0x1.7518a612434fdp-10, 0x1.6ad66bf77c21bp-10, 0x1.60e6060f1f59ap-10, 0x1.5744e81df0205p-10, 0x1.4df09705f0969p-10, 0x1.44e6a870a8eb3p-10, 0x1.3c24c27a52ff2p-10, 0x1.33a89b5def1a2p-10, 0x1.2b6ff9223e4d6p-10, 0x1.2378b147b489fp-10, 0x1.1bc0a87753c5ep-10, 0x1.1445d2327ed4dp-10, 0x1.0d063083bd314p-10, 0x1.05ffd3b0800acp-10, 0x1.fe61b3d7b08b6p-11, 0x1.f12ede145e31ep-11, 0x1.e463986bf224dp-11, 0x1.d7fc6f4ad2468p-11, 0x1.cbf608a2455f8p-11, 0x1.c04d2357dd9cfp-11, 0x1.b4fe96b6e2365p-11, 0x1.aa0751e3c178p-11, 0x1.9f645b5187242p-11, 0x1.9512d03959308p-11, 0x1.8b0fe413fd22ap-11, 0x1.8158e0156187dp-11, 0x1.77eb22aa2f25ap-11, 0x1.6ec41ef760f97p-11, 0x1.65e15c5bdf35ep-11, 0x1.5d4075f41e5c2p-11, 0x1.54df1a1fc272ap-11, 0x1.4cbb0a093f96cp-11, 0x1.44d2192f7d51ep-11, 0x1.3d222cf1733bep-11, 0x1.35a93c1bc1d8dp-11, 0x1.2e654e78424acp-11, 0x1.27547c5f8c29ap-11, 0x1.2074ee4c6dae8p-11, 0x1.19c4dc7150c9ep-11, 0x1.13428e4f8ef2p-11, 0x1.0cec5a50ac75ep-11, 0x1.06c0a56177b8bp-11, 0x1.00bde28f0ac3bp-11, 0x1.f5c5254b54e6cp-12, 0x1.ea5a87a2f9e35p-12, 0x1.df39228232954p-12, 0x1.d45e4593c68cp-12, 0x1.c9c7591c700b4p-12, 0x1.bf71dd4ac21ccp-12, 0x1.b55b698a95266p-12, 0x1.ab81abdbf3b88p-12, 0x1.a1e2682d7cc44p-12, 0x1.987b77ba2db77p-12, 0x1.8f4ac86a91ca6p-12, 0x1.864e5c3945629p-12, 0x1.7d84489acb498p-12, 0x1.74eab5e89fe6fp-12, 0x1.6c7fdecf8a7e9p-12, 0x1.64420fc11b543p-12, 0x1.5c2fa6684e279p-12, 0x1.5447112148062p-12, 0x1.4c86ce74227c7p-12, 0x1.44ed6c92be4d8p-12, 0x1.3d7988d98ed15p-12, 0x1.3629cf5354fb1p-12, 0x1.2efcfa3fbf365p-12, 0x1.27f1d19ce600bp-12, 0x1.21072ab39255dp-12, 0x1.1a3be7a64ed39p-12, 0x1.138ef7032edfap-12, 0x1.0cff5358450d1p-12, 0x1.068c02cac032fp-12, 0x1.003416b09efdep-12, 0x1.f3ed5659ea0f8p-13, 0x1.e7a5cd9d60b2ep-13, 0x1.db8ff463ba2a5p-13, 0x1.cfaa3f46a7d84p-13, 0x1.c3f3358d9cd77p-13, 0x1.b869707ea73dfp-13, 0x1.ad0b9ab3ed6c5p-13, 0x1.a1d86f75aa7c9p-13, 0x1.96ceba18a9cebp-13, 0x1.8bed55611af9bp-13, 0x1.81332ae9b51dep-13, 0x1.769f328f0bdffp-13, 0x1.6c3071df0df1p-13, 0x1.61e5fb8c8a035p-13, 0x1.57beeee6b7778p-13, 0x1.4dba77549cee2p-13, 0x1.43d7cbd45122dp-13, 0x1.3a162e7df4bdcp-13, 0x1.3074ec0a5de6dp-13, 0x1.26f35b5d5c615p-13, 0x1.1d90dd138260ep-13, 0x1.144cdb1360121p-13, 0x1.0b26c82227efep-13, 0x1.021e1f7b96109p-13, 0x1.f264c8da46d7dp-14, 0x1.e0c643e8a7222p-14, 0x1.cf5fd4c05669cp-14, 0x1.be30adeb4e215p-14, 0x1.ad380f2e4eb82p-14, 0x1.9c7544dd96084p-14, 0x1.8be7a73724ba8p-14, 0x1.7b8e99c2a784ap-14, 0x1.6b698ab6b69ddp-14, 0x1.5b77f263651bcp-14, 0x1.4bb952a1f6c83p-14, 0x1.3c2d36499f701p-14, 0x1.2cd330a92bc75p-14, 0x1.1daadd0576b45p-14, 0x1.0eb3de1c8ba9bp-14, 0x1.ffdbbb5ab38c5p-15, 0x1.e2b11807b3a67p-15, 0x1.c5e73f1315588p-15, 0x1.a97da8b4509fep-15, 0x1.8d73d7b902a72p-15, 0x1.71c958be9f096p-15, 0x1.567dc173f3ed2p-15, 0x1.3b90afe249d64p-15, 0x1.2101c9bdea95ap-15, 0x1.06d0bbbde07f7p-15, 0x1.d9fa71f5712ccp-16, 0x1.a70df4a82be49p-16, 0x1.74db7bb9d425dp-16, 0x1.43628c9c3bbf7p-16, 0x1.12a2b4ff03ccdp-16, 0x1.c537139b494acp-17, 0x1.66994c729ed86p-17, 0x1.096b559c941dfp-17, 0x1.5b58f251c70bp-18, 0x1.4d7021d47b29cp-19, -0x1.61a959ea11cb6p-23, -0x1.73f0d47374529p-19, -0x1.660a91194d891p-18, -0x1.07a28025067e3p-17, -0x1.5ad47c266ba9p-17, -0x1.ac9bddd854652p-17, -0x1.fcf948ac8f23ep-17, -0x1.25f6b1a8d58c7p-16, -0x1.4cbc6c5a8b2b6p-16, -0x1.72ce2c7aca1bep-16, -0x1.982c4d23335d9p-16, -0x1.bcd72ce1e9b88p-16, -0x1.e0cf2e1cb525p-16, -0x1.020a5bb6a73d9p-15, -0x1.135419fb83a5cp-15, -0x1.244509db0c68bp-15, -0x1.34dd65e45e4b2p-15, -0x1.451d6b59329e7p-15, -0x1.55055a4c996b8p-15, -0x1.649575bef6228p-15, -0x1.73ce03b756f33p-15, -0x1.82af4d5a3b575p-15, -0x1.91399efded7ap-15, -0x1.9f6d483c7b744p-15, -0x1.ad4a9c03729a1p-15, -0x1.bad1f0a16a2aap-15, -0x1.c8039fd17fa06p-15, -0x1.d4e006c4cf112p-15, -0x1.e167862a069c7p-15, -0x1.ed9a823322984p-15, -0x1.f97962996d246p-15, -0x1.0282494fe90acp-14, -0x1.081e4089cb882p-14, -0x1.0d90d025c9ca1p-14, -0x1.12da3312f89e9p-14, -0x1.17faa60246bbdp-14, -0x1.1cf2676405585p-14, -0x1.21c1b764d0415p-14, -0x1.2668d7e9dfe1cp-14, -0x1.2ae80c8cca452p-14, -0x1.2f3f9a96bd2cap-14, -0x1.336fc8fb36ccfp-14, -0x1.3778e05246072p-14, -0x1.3b5b2ad2589a3p-14, -0x1.3f16f4499bcd1p-14, -0x1.42ac8a16fb198p-14, -0x1.461c3b22be19dp-14, -0x1.496657d6ceeap-14, -0x1.4c8b3216adab2p-14, -0x1.4f8b1d3718018p-14, -0x1.52666df5690e1p-14, -0x1.551d7a6eb6efp-14, -0x1.57b09a16b52a1p-14, -0x1.5a2025ae5f3e7p-14, -0x1.5c6c773a6f26ep-14, -0x1.5e95e9f9a7e77p-14, -0x1.609cda5af50d5p-14, -0x1.6281a5f366835p-14, -0x1.6444ab740a5a8p-14, -0x1.65e64a9faaa68p-14, -0x1.6766e44070b0bp-14, -0x1.68c6da1d7627ap-14, -0x1.6a068ef040de7p-14, -0x1.6b26665a33615p-14, -0x1.6c26c4d9f0edap-14, -0x1.6d080fc0baed6p-14, -0x1.6dcaad27c8de2p-14, }}, 
      {{-0x1.5abc62c85750ep-7, -0x1.5acf6c5cea99ap-6, -0x1.0432ad631de12p-5, -0x1.5b17a36ac8377p-5, -0x1.b21cbab835b43p-5, -0x1.04a33103f229ep-4, -0x1.304b9e2fad531p-4, -0x1.5c080dbe88b56p-4, -0x1.87d803d7efab2p-4, -0x1.b3ba289f444aep-4, -0x1.dfac5438afac1p-4, -0x1.05d5ce80b71d4p-3, -0x1.1bda33918c921p-3, -0x1.31e13a6f4300dp-3, -0x1.47e87b89f87bdp-3, -0x1.5ded4ed6e77dp-3, -0x1.73ecd3d60910bp-3, -0x1.89e3f9503f2p-3, -0x1.9fcf84bd80d1cp-3, -0x1.b5ac19482c8e9p-3, -0x1.cb763e66bd78bp-3, -0x1.e12a660879201p-3, -0x1.f6c4f254181fap-3, -0x1.06211d7ca1739p-2, -0x1.10cf490b8fa8ap-2, -0x1.1b6b245d9f7c2p-2, -0x1.25f2d97e6ac29p-2, -0x1.306495dc69b42p-2, -0x1.3abe8bf9cad3fp-2, -0x1.44fef4f2aa682p-2, -0x1.4f2411db22d48p-2, -0x1.592c2cf7cc31p-2, -0x1.63159ad328618p-2, -0x1.6cdebb326a746p-2, -0x1.7685f9ebf9f5cp-2, -0x1.8009cfa1eca76p-2, -0x1.8968c262a7cc1p-2, -0x1.92a16631a9669p-2, -0x1.9bb25d7a6fae1p-2, -0x1.a49a596f41142p-2, -0x1.ad581a55909ecp-2, -0x1.b5ea6fc186e66p-2, -0x1.be5038c22d766p-2, -0x1.c68863ff9088cp-2, -0x1.ce91efcc1bb0fp-2, -0x1.d66bea2a53b9cp-2, -0x1.de1570c8041ddp-2, -0x1.e58db0efd42ffp-2, -0x1.ecd3e7722adacp-2, -0x1.f3e760863645p-2, -0x1.fac777a3d5c9dp-2, -0x1.00b9cbab8c6aap-1, -0x1.03f59c86f9253p-1, -0x1.0716f2705e82dp-1, -0x1.0a1d98ab06f9p-1, -0x1.0d0961912f55cp-1, -0x1.0fda2671fd1e9p-1, -0x1.128fc76dccbep-1, -0x1.152a2b5108521p-1, -0x1.17a93f6db4d8p-1, -0x1.1a0cf773dc32p-1, -0x1.1c554d490000dp-1, -0x1.1e8240deb1075p-1, -0x1.2093d80874a75p-1, -0x1.228a1e510f567p-1, -0x1.246524cf54cedp-1, -0x1.262501fa97eecp-1, -0x1.27c9d17ed15ep-1, -0x1.2953b41093674p-1, -0x1.2ac2cf40e3a61p-1, -0x1.2c174d5109b63p-1, -0x1.2d515d0669c2fp-1, -0x1.2e71317e79b25p-1, -0x1.2f770202e0c0cp-1, -0x1.306309ddd2448p-1, -0x1.3135882eb21bbp-1, -0x1.31eebfbf0c01bp-1, -0x1.328ef6d7ee49dp-1, -0x1.33167717b1ac1p-1, -0x1.33858d4837d1ep-1, -0x1.33dc8935ac108p-1, -0x1.341bbd85cc7b2p-1, -0x1.34437f8fc87d4p-1, -0x1.34542734b6f85p-1, -0x1.344e0eb8ae72cp-1, -0x1.3431929c85f14p-1, -0x1.33ff117841ff4p-1, -0x1.33b6ebd634efap-1, -0x1.3359840ed569cp-1, -0x1.32e73e25539efp-1, -0x1.32607fa4eabb8p-1, -0x1.31c5af7ef6b86p-1, -0x1.311735e9cf6c2p-1, -0x1.30557c406c623p-1, -0x1.2f80ece2d1772p-1, -0x1.2e99f3174867cp-1, -0x1.2da0faec678bbp-1, -0x1.2c96711be511fp-1, -0x1.2b7ac2ee3aedcp-1, -0x1.2a4e5e1f18cfdp-1, -0x1.2911b0c2a50cdp-1, -0x1.27c5292b8caa4p-1, -0x1.266935d1e1af8p-1, -0x1.24fe453ac74bap-1, -0x1.2384c5e0ea0c3p-1, -0x1.21fd261dc4266p-1, -0x1.2067d413aabdap-1, -0x1.1ec53d98a5414p-1, -0x1.1d15d0220961ap-1, -0x1.1b59f8b0dd602p-1, -0x1.199223befc527p-1, -0x1.17bebd2cfa279p-1, -0x1.15e03030c6fd5p-1, -0x1.13f6e7450d60dp-1, -0x1.12034c1947bc7p-1, -0x1.1005c7828eedfp-1, -0x1.0dfec16d1a1b2p-1, -0x1.0beea0ce6f1a9p-1, -0x1.09d5cb984095fp-1, -0x1.07b4a6abf6d0cp-1, -0x1.058b95cedeaebp-1, -0x1.035afb9efe4fbp-1, -0x1.0123398888007p-1, -0x1.fdc95f77da839p-2, -0x1.f93f7a49162b6p-2, -0x1.f4a97ebfd7a95p-2, -0x1.f008256b3ca77p-2, -0x1.eb5c241f37832p-2, -0x1.e6a62de678066p-2, -0x1.e1e6f2f560683p-2, -0x1.dd1f209e0c4d2p-2, -0x1.d84f6145582fbp-2, -0x1.d3785c58ea118p-2, -0x1.ce9ab6462ba13p-2, -0x1.c9b710723d4dp-2, -0x1.c4ce0932c851ep-2, -0x1.bfe03bc7bcf65p-2, -0x1.baee4055e613fp-2, -0x1.b5f8abe254928p-2, -0x1.b100104e9927ap-2, -0x1.ac04fc55c5521p-2, -0x1.a707fb8a2f9a8p-2, -0x1.a2099653efab5p-2, -0x1.9d0a51f0115d9p-2, -0x1.980ab07077417p-2, -0x1.930b30bc5f70bp-2, -0x1.8e0c4e919224p-2, -0x1.890e828625d23p-2, -0x1.8412420adb099p-2, -0x1.7f17ff6e09ddfp-2, -0x1.7a2029df165a9p-2, -0x1.752b2d726b18ep-2, -0x1.70397325f361cp-2, -0x1.6b4b60e60abcep-2, -0x1.66615992e571cp-2, -0x1.617bbd0662263p-2, -0x1.5c9ae81a488eap-2, -0x1.57bf34aeeb13fp-2, -0x1.52e8f9b22545p-2, -0x1.4e188b26b6a45p-2, -0x1.494e3a2bf2c89p-2, -0x1.448a5505c0a6ep-2, -0x1.3fcd2724e5f32p-2, -0x1.3b16f92f9bf33p-2, -0x1.3668110a6255p-2, -0x1.31c0b1e117115p-2, -0x1.2d211c3043f6dp-2, -0x1.28898dcea5d1bp-2, -0x1.23fa41f6e1c23p-2, -0x1.1f7371516ee89p-2, -0x1.1af551fea5739p-2, -0x1.168017a0f8c89p-2, -0x1.1213f36752378p-2, -0x1.0db114178dfcep-2, -0x1.0957a61914d9dp-2, -0x1.0507d37f8cfbap-2, -0x1.00c1c415a2a33p-2, -0x1.f90b3acfcd94p-3, -0x1.f0a7059f6fc88p-3, -0x1.e8572afc7dbd6p-3, -0x1.e01be90ee2c67p-3, -0x1.d7f579da41bd3p-3, -0x1.cfe41354114a4p-3, -0x1.c7e7e779cfee2p-3, -0x1.c001246727543p-3, -0x1.b82ff46c178f6p-3, -0x1.b0747e2316079p-3, -0x1.a8cee4872399fp-3, -0x1.a13f4709ccbcdp-3, -0x1.99c5c1a91b8fcp-3, -0x1.92626d056f893p-3, -0x1.8b155e77373b1p-3, -0x1.83dea8249095dp-3, -0x1.7cbe5916c439bp-3, -0x1.75b47d4f98516p-3, -0x1.6ec11dde811f5p-3, -0x1.67e440f5a20aep-3, -0x1.611de9fea4749p-3, -0x1.5a6e19af59c47p-3, -0x1.53d4ce1e2fbap-3, -0x1.4d5202d669cdbp-3, -0x1.46e5b0ec2bf4p-3, -0x1.408fcf1042864p-3, -0x1.3a5051a3b5654p-3, -0x1.34272acb1e69fp-3, -0x1.2e144a81bdde2p-3, -0x1.28179eac4f9fap-3, -0x1.2231132ba473fp-3, -0x1.1c6091eeedf34p-3, -0x1.16a60305d3099p-3, -0x1.11014cb232aa6p-3, -0x1.0b725379ab946p-3, -0x1.05f8fa36d870cp-3, -0x1.0095222a3f6afp-3, -0x1.f68d561604e82p-4, -0x1.ec1ae62e7ef51p-4, -0x1.e1d2ae484f401p-4, -0x1.d7b4655ba568ep-4, -0x1.cdbfbfcd7abcap-4, -0x1.c3f46f8e08d3dp-4, -0x1.ba522436a39ddp-4, -0x1.b0d88b26ffa64p-4, -0x1.a7874fa1dd8aep-4, -0x1.9e5e1ae91fe8ap-4, -0x1.955c94594bc08p-4, -0x1.8c82618470286p-4, -0x1.83cf264c76deep-4, -0x1.7b4284fce1184p-4, -0x1.72dc1e63ec1fap-4, -0x1.6a9b91eb22048p-4, -0x1.62807daf55746p-4, -0x1.5a8a7e9809cd8p-4, -0x1.52b9306e48a73p-4, -0x1.4b0c2df2e528dp-4, -0x1.438310f42e6bap-4, -0x1.3c1d7263132f9p-4, -0x1.34daea67b5229p-4, -0x1.2dbb1075712c7p-4, -0x1.26bd7b5e59697p-4, -0x1.1fe1c16626cd5p-4, -0x1.192778549fcc4p-4, -0x1.128e358778f68p-4, -0x1.0c158e03ad3c8p-4, -0x1.05bd168655137p-4, -0x1.ff08c729edaf6p-5, -0x1.f2d6131ab326dp-5, -0x1.e6e13969aad42p-5, -0x1.db29628e4f45dp-5, -0x1.cfadb709971d5p-5, -0x1.c46d5f81ae19p-5, -0x1.b96784dcc1aep-5, -0x1.ae9b505ade61p-5, -0x1.a407ebaee541ep-5, -0x1.99ac81169af16p-5, -0x1.8f883b71d5d4p-5, -0x1.859a4658cfa88p-5, -0x1.7be1ce319a845p-5, -0x1.725e0044c3681p-5, -0x1.690e0ad121057p-5, -0x1.5ff11d1ed3fc5p-5, -0x1.570667917ff33p-5, -0x1.4e4d1bb9bb14dp-5, -0x1.45c46c65be261p-5, -0x1.3d6b8db15480dp-5, -0x1.3541b51515196p-5, -0x1.2d461974e109cp-5, -0x1.2577f32db399p-5, -0x1.1dd67c22c094ap-5, -0x1.1660efc9ebe37p-5, -0x1.0f168b379728p-5, -0x1.07f68d29d0002p-5, -0x1.01003612daa91p-5, -0x1.f46590464f9efp-6, -0x1.e71b0ea55b998p-6, -0x1.da1f72d361decp-6, -0x1.cd714c11f7b68p-6, -0x1.c10f2d631877fp-6, -0x1.b4f7ad9768f83p-6, -0x1.a929675b7a217p-6, -0x1.9da2f94400226p-6, -0x1.926305d9178cep-6, -0x1.876833a08b03ep-6, -0x1.7cb12d2737072p-6, -0x1.723ca1097fe6bp-6, -0x1.680941faeac0ap-6, -0x1.5e15c6ccdc5a9p-6, -0x1.5460ea748647fp-6, -0x1.4ae96c1008b2ep-6, -0x1.41ae0eeaca2fcp-6, -0x1.38ad9a81189b2p-6, -0x1.2fe6da8308747p-6, -0x1.27589ed6a5005p-6, -0x1.1f01bb99735p-6, -0x1.16e109214dce1p-6, -0x1.0ef563fca00fp-6, -0x1.073dacf20013dp-6, -0x1.ff7191fe79d98p-7, -0x1.f0cb42afa518dp-7, -0x1.e28646c5afce2p-7, -0x1.d4a08170c91d2p-7, -0x1.c717de3ceddf6p-7, -0x1.b9ea510ac03d9p-7, -0x1.ad15d60768fe6p-7, -0x1.a09871a3a0185p-7, -0x1.94703089d145ep-7, -0x1.889b27937cf8fp-7, -0x1.7d1773bdbdc17p-7, -0x1.71e33a1d263ap-7, -0x1.66fca7d0d2e28p-7, -0x1.5c61f1f4e3fbbp-7, -0x1.521155943c349p-7, -0x1.48091799bb0c5p-7, -0x1.3e4784c0c628bp-7, -0x1.34caf18560888p-7, -0x1.2b91ba13a94bp-7, -0x1.229a4236e5175p-7, -0x1.19e2f5480ceeep-7, -0x1.116a461beea95p-7, -0x1.092eaef0e39a5p-7, -0x1.012eb15c23dbap-7, -0x1.f2d1ac6d7cc8p-8, -0x1.e3b75b1475b1fp-8, -0x1.d50b9cf9d64f3p-8, -0x1.c6cbae7be7056p-8, -0x1.b8f4d9e21ccdap-8, -0x1.ab84773423fb1p-8, -0x1.9e77ec107679dp-8, -0x1.91ccab828ef94p-8, -0x1.858035d8b871fp-8, -0x1.799018798fb41p-8, -0x1.6df9edb936252p-8, -0x1.62bb5cae46916p-8, -0x1.57d2190690014p-8, -0x1.4d3be2dba2656p-8, -0x1.42f6868733da7p-8, -0x1.38ffdc776666bp-8, -0x1.2f55c902f80b3p-8, -0x1.25f63c3d6160ep-8, -0x1.1cdf31caec9dp-8, -0x1.140eb0b4cc4c8p-8, -0x1.0b82cb3d34e0dp-8, -0x1.03399eb3844efp-8, -0x1.f662a690f525p-9, -0x1.e6d037c5143a3p-9, -0x1.d7b86be48d58dp-9, -0x1.c917d28debcdfp-9, -0x1.baeb0fc694f34p-9, -0x1.ad2edba4948bcp-9, -0x1.9fe001f8d3861p-9, -0x1.92fb61f9b6542p-9, -0x1.867dedee37ac6p-9, -0x1.7a64aad97ce33p-9, -0x1.6eacb026f8227p-9, -0x1.6353275712dbfp-9, -0x1.58554bac703b7p-9, -0x1.4db069d9d129dp-9, -0x1.4361dfb0928f5p-9, -0x1.39671bcfde0adp-9, -0x1.2fbd9d54841bbp-9, -0x1.2662f3898e60ep-9, -0x1.1d54bd9989ee3p-9, -0x1.1490aa409228cp-9, -0x1.0c14777f1d4b1p-9, -0x1.03ddf24d93027p-9, -0x1.f7d5eca1580b1p-10, -0x1.e872db1d462bep-10, -0x1.d98ea04a6ff8ap-10, -0x1.cb2548010fc14p-10, -0x1.bd32f925813dcp-10, -0x1.afb3f5195ad0dp-10, -0x1.a2a4972e45c63p-10, -0x1.9601541a934b7p-10, -0x1.89c6b96f9a868p-10, -0x1.7df16d11d7e8bp-10, -0x1.727e2cb2e0e08p-10, -0x1.6769cd4d1b08ap-10, -0x1.5cb13aa148d6ep-10, -0x1.525176b5e5096p-10, -0x1.4847995858155p-10, -0x1.3e90cf9ff4726p-10, -0x1.352a5b72d949fp-10, -0x1.2c11930c9d234p-10, -0x1.2343e086d3b12p-10, -0x1.1abec1636c807p-10, -0x1.127fc618e064fp-10, -0x1.0a8491a03e88cp-10, -0x1.02cad904fec4cp-10, -0x1.f6a0c5ed6770bp-11, -0x1.e8260eb9119f2p-11, -0x1.da215dd520fbcp-11, -0x1.cc8ea571c069ep-11, -0x1.bf69f7b8f2d26p-11, -0x1.b2af8603f5d52p-11, -0x1.a65ba014338e2p-11, -0x1.9a6ab34fbd93cp-11, -0x1.8ed94a0149c03p-11, -0x1.83a40a9bad64fp-11, -0x1.78c7b700cdad2p-11, -0x1.6e412bcc0193cp-11, -0x1.640d5f9fdb86dp-11, -0x1.5a29627755fadp-11, -0x1.50925cfa58ce4p-11, -0x1.47458fd5936eap-11, -0x1.3e4053159f96p-11, -0x1.3580158568942p-11, -0x1.2d025c0fcaf9ap-11, -0x1.24c4c1246691p-11, -0x1.1cc4f41f9ac3ep-11, -0x1.1500b8b59fe9dp-11, -0x1.0d75e660bb402p-11, -0x1.062267d27dc72p-11, -0x1.fe0874d014638p-12, -0x1.f032db42a8c73p-12, -0x1.e2c04536a6205p-12, -0x1.d5ad171a347e2p-12, -0x1.c8f5d68fa7598p-12, -0x1.bc97297318f2ep-12, -0x1.b08dd4e599c72p-12, -0x1.a4d6bc5de3725p-12, -0x1.996ee0be79d51p-12, -0x1.8e535f7128063p-12, -0x1.83817187c04aap-12, -0x1.78f66ae21278bp-12, -0x1.6eafb958fd4c7p-12, -0x1.64aae3ee8d2b7p-12, -0x1.5ae58a0310061p-12, -0x1.515d628f099e1p-12, -0x1.48103b61fa3d8p-12, -0x1.3efbf865db7d8p-12, -0x1.361e92e7460e5p-12, -0x1.2d7618e2282e8p-12, -0x1.2500ac52fd0dap-12, -0x1.1cbc828c6be33p-12, -0x1.14a7e39140c23p-12, -0x1.0cc12972a6d92p-12, -0x1.0506bfb295b41p-12, -0x1.faee4554b25e3p-13, -0x1.ec21bdea4513p-13, -0x1.dda521bd22108p-13, -0x1.cf75c7aa3d95bp-13, -0x1.c19123c0b8691p-13, -0x1.b3f4c635d5337p-13, -0x1.a69e5a60468e9p-13, -0x1.998ba5baa9a56p-13, -0x1.8cba86ed1513fp-13, -0x1.8028f4dd8d306p-13, -0x1.73d4fdc740ea7p-13, -0x1.67bcc65865d2dp-13, -0x1.5bde88d69af81p-13, -0x1.503894499e5bep-13, -0x1.44c94bac48641p-13, -0x1.398f25239908fp-13, -0x1.2e88a93bc03e1p-13, -0x1.23b4722af9f16p-13, -0x1.19112b1a25515p-13, -0x1.0e9d8f72e968p-13, -0x1.04586a335d248p-13, -0x1.f4812a8de956ep-14, -0x1.e0a9f1c96f123p-14, -0x1.cd2915e508a49p-14, -0x1.b9fc9cdaa8643p-14, -0x1.a722a5acb4b84p-14, -0x1.94996749cf94cp-14, -0x1.825f2f79d3de4p-14, -0x1.707261d3f3734p-14, -0x1.5ed176bd9f62ep-14, -0x1.4d7afa7213c4dp-14, -0x1.3c6d8c124b62fp-14, -0x1.2ba7dcbd27af3p-14, -0x1.1b28aeaf9757ap-14, -0x1.0aeed46c89bf3p-14, -0x1.f5f25fd8f3b74p-15, -0x1.d68d63a8c4586p-15, -0x1.b7acb167cb14fp-15, -0x1.994e6094fd156p-15, -0x1.7b70a1a70c12cp-15, -0x1.5e11bcb1c4226p-15, -0x1.413010185f08dp-15, -0x1.24ca0f4c7302bp-15, -0x1.08de4199296d3p-15, -0x1.dad681f4bc606p-16, -0x1.a4df71febcd4ap-16, -0x1.6fd4cb71d5b77p-16, -0x1.3bb4256461334p-16, -0x1.087b33e8ceaadp-16, -0x1.ac4f8c53263d3p-17, -0x1.496f893250599p-17, -0x1.d0a4bcd64a47fp-18, -0x1.11e86f7b4ce26p-18, -0x1.5a8b4bfb6e7a6p-20, 0x1.84cc9378a77acp-20, 0x1.15a03f159661fp-18, 0x1.c6ab02e9514acp-18, 0x1.3a2cde97e4c8bp-17, 0x1.8f5942b0bbc8ap-17, 0x1.e2dda134b7779p-17, 0x1.1a5e6bcebaefep-16, 0x1.427cd7cb6e342p-16, 0x1.69cb7088d453p-16, 0x1.904b8a1d9df66p-16, 0x1.b5fe71adc96eep-16, 0x1.dae56e4d195c8p-16, 0x1.ff01c1d576a08p-16, 0x1.112a54d8d366fp-15, 0x1.226fafce5e588p-15, 0x1.33518d2b5106fp-15, 0x1.43d08727129bep-15, 0x1.53ed372070daep-15, 0x1.63a835e8b29c2p-15, 0x1.73021c09f298ap-15, 0x1.81fb8208f43e2p-15, 0x1.909500a2946aep-15, 0x1.9ecf31050bbe6p-15, 0x1.acaaad051faeap-15, 0x1.ba280f4f70809p-15, 0x1.c747f39609f67p-15, 0x1.d40af6ba5b75ep-15, 0x1.e071b6f3baf37p-15, 0x1.ec7cd3f29930dp-15, 0x1.f82cef0085edbp-15, 0x1.01c1558e95d68p-14, 0x1.073f568c2e51ap-14, 0x1.0c90cdd4aa0e3p-14, 0x1.11b60fc1a6ed8p-14, 0x1.16af71b3c5129p-14, 0x1.1b7d4a1a72e06p-14, 0x1.201ff07a8b0d5p-14, 0x1.2497bd73d8108p-14, 0x1.28e50ac586a44p-14, 0x1.2d08335195c74p-14, 0x1.3101931f504d7p-14, 0x1.34d1875cdbb69p-14, 0x1.38786e5fea57ep-14, 0x1.3bf6a7a59783p-14, 0x1.3f4c93d17ec6cp-14, 0x1.427a94ac12cb8p-14, 0x1.45810d204400ep-14, 0x1.486061387bccbp-14, 0x1.4b18f61af9bd1p-14, 0x1.4dab32059a7cfp-14, 0x1.50177c4911032p-14, 0x1.525e3d439cc9fp-14, 0x1.547fde5b42777p-14, 0x1.567cc9f7927e1p-14, 0x1.58556b7b02c03p-14, 0x1.5a0a2f3be466fp-14, 0x1.5b9b827cfc68bp-14, 0x1.5d09d365c5f3ap-14, 0x1.5e5590fa66a99p-14, 0x1.5f7f2b1358d1bp-14, 0x1.60871254d4b04p-14, 0x1.616db825fb5bep-14, 0x1.62338ea7cdb0ep-14, 0x1.62d908abf049fp-14, 0x1.635e99ab4522dp-14, 0x1.63c4b5bc5df62p-14, 0x1.640bd189cd753p-14, 0x1.643462485c09ap-14, 0x1.643eddad2416ep-14, 0x1.642bb9e39a994p-14, 0x1.63fb6d83878e7p-14, 0x1.63ae6f86f2d6p-14, 0x1.634537400a3a5p-14, 0x1.62c03c4f012aap-14, 0x1.621ff697f18a6p-14, 0x1.6164de38bd94bp-14, 0x1.608f6b7ef83ccp-14, 0x1.5fa016ddd5a8ap-14, 0x1.5e9758e427628p-14, 0x1.5d75aa3266c47p-14, 0x1.5c3b8370cf10fp-14, 0x1.5ae95d458c9e8p-14, 0x1.597fb04aff788p-14, 0x1.57fef50616ad8p-14, 0x1.5667a3dcc47ap-14, 0x1.54ba350c8f17cp-14, 0x1.52f720a13da72p-14, 0x1.511ede6ba5298p-14, 0x1.4f31e5f895303p-14, 0x1.4d30ae87e7abcp-14, 0x1.4b1baf03b29a1p-14, 0x1.48f35df7a1553p-14, 0x1.46b831886fef2p-14, 0x1.446a9f6b91f74p-14, 0x1.420b1cdefd473p-14, 0x1.3f9a1ea1214edp-14, 0x1.3d1818e905491p-14, 0x1.3a857f5e93a88p-14, 0x1.37e2c5130f209p-14, 0x1.35305c79b48a3p-14, 0x1.326eb76088bcap-14, 0x1.2f9e46e9536fdp-14, 0x1.2cbf7b82c8f4cp-14, 0x1.29d2c4e1df589p-14, 0x1.26d891fb53ce2p-14, 0x1.23d150fd5d21dp-14, 0x1.20bd6f498d02ep-14, 0x1.1d9d596ee0adep-14, 0x1.1a717b23fefccp-14, 0x1.173a3f41a747fp-14, 0x1.13f80fbd4c99p-14, 0x1.10ab55a3e1dc9p-14, 0x1.0d547914d31d7p-14, 0x1.09f3e13d2eab4p-14, 0x1.0689f452fb77ep-14, 0x1.03171790be79cp-14, 0x1.ff375e625976p-15, 0x1.f8303cd61a4b5p-15, 0x1.f1198eda8a5eep-15, 0x1.e9f416b62a296p-15, 0x1.e2c09490fbbc8p-15, 0x1.db7fc66dac7b7p-15, 0x1.d4326823154b9p-15, 0x1.ccd933560d46fp-15, 0x1.c574df7399625p-15, 0x1.be0621ab6bb3ap-15, 0x1.b68daceab877cp-15, 0x1.af0c31d75e523p-15, 0x1.a7825ecb6055dp-15, }}, 
      {{0x1.6018fe1d55959p-1, 0x1.601bccb29ced3p-1, 0x1.6020b6900c5b4p-1, 0x1.6027fed82f3f2p-1, 0x1.6031ea2569084p-1, 0x1.603eb5ca72d2ap-1, 0x1.604e91ff80e21p-1, 0x1.60619e3f1e45bp-1, 0x1.6077e742aaa41p-1, 0x1.609166309766fp-1, 0x1.60ae00a8b59d2p-1, 0x1.60cd896ed1701p-1, 0x1.60efc18325d49p-1, 0x1.61145983dabfap-1, 0x1.613af33bb8275p-1, 0x1.616323491f03fp-1, 0x1.618c72cd9f0f3p-1, 0x1.61b6611a9aaf5p-1, 0x1.61e0655293f4ap-1, 0x1.6209eff92ac71p-1, 0x1.62326c6db6a0cp-1, 0x1.6259424ddb60bp-1, 0x1.627dd6be95bc3p-1, 0x1.629f8d9b0f648p-1, 0x1.62bdca89383bfp-1, 0x1.62d7f1f493704p-1, 0x1.62ed69f005dcbp-1, 0x1.62fd9affaf591p-1, 0x1.6307f0cc05adep-1, 0x1.630bdabf8130ep-1, 0x1.6308cc903aa99p-1, 0x1.62fe3eb6de12p-1, 0x1.62ebaed455214p-1, 0x1.62d0a00783867p-1, 0x1.62ac9b34626cap-1, 0x1.627f2f3dc04adp-1, 0x1.6247f132ce178p-1, 0x1.62067c719ec7dp-1, 0x1.61ba72bfa3d8cp-1, 0x1.61637c592078dp-1, 0x1.610147f87f473p-1, 0x1.60938ad65f14cp-1, 0x1.601a00a3204dcp-1, 0x1.5f946b7aa9913p-1, 0x1.5f0293d308d37p-1, 0x1.5e6448668fd11p-1, 0x1.5db95e19f4291p-1, 0x1.5d01afdef38a6p-1, 0x1.5c3d1e93f4e7ap-1, 0x1.5b6b90e10b9f3p-1, 0x1.5a8cf312bee52p-1, 0x1.59a136f2f0071p-1, 0x1.58a853a028c54p-1, 0x1.57a24563a0093p-1, 0x1.568f0d862ecf9p-1, 0x1.556eb22477e76p-1, 0x1.54413e026fd21p-1, 0x1.5306c05e78ab3p-1, 0x1.51bf4cc43d695p-1, 0x1.506afadf6efe4p-1, 0x1.4f09e64e8b246p-1, 0x1.4d9c2e75c8562p-1, 0x1.4c21f65243856p-1, 0x1.4a9b644d8915p-1, 0x1.4908a2118f4b6p-1, 0x1.4769dc5d34b51p-1, 0x1.45bf42d9567c3p-1, 0x1.440907ee8940cp-1, 0x1.4247609b8a012p-1, 0x1.407a844c6a246p-1, 0x1.3ea2acb2875efp-1, 0x1.3cc0159d56415p-1, 0x1.3ad2fcd407244p-1, 0x1.38dba1f00c423p-1, 0x1.36da463886471p-1, 0x1.34cf2c7e9c9adp-1, 0x1.32ba98fac445ap-1, 0x1.309cd12af927ap-1, 0x1.2e761bb1eaa09p-1, 0x1.2c46c0371e80ep-1, 0x1.2a0f0748099cep-1, 0x1.27cf3a3a1ee22p-1, 0x1.2587a30dd6eabp-1, 0x1.23388c52aa8ep-1, 0x1.20e2410c03f47p-1, 0x1.1e850c9723c27p-1, 0x1.1c213a91f4a36p-1, 0x1.19b716c2d1d2ap-1, 0x1.1746ed0138b73p-1, 0x1.14d1091f63d19p-1, 0x1.1255b6d4cfa24p-1, 0x1.0fd541a9a04e9p-1, 0x1.0d4ff4e2ebf7ep-1, 0x1.0ac61b6fde566p-1, 0x1.0837ffd7b9546p-1, 0x1.05a5ec28a96ddp-1, 0x1.031029e76cf22p-1, 0x1.007701ffc8aa3p-1, 0x1.fbb5796b8cba3p-2, 0x1.f677432f727bdp-2, 0x1.f133eee206d9cp-2, 0x1.ebec087b30bbbp-2, 0x1.e6a01a3c6f7ccp-2, 0x1.e150ac9aba3c1p-2, 0x1.dbfe4629bdb42p-2, 0x1.d6a96b88703cbp-2, 0x1.d1529f4ef5d02p-2, 0x1.cbfa61fdc6705p-2, 0x1.c6a131ee11a5cp-2, 0x1.c1478b43556a9p-2, 0x1.bbede7de1ca2p-2, 0x1.b694bf4fe35a9p-2, 0x1.b13c86d00fb26p-2, 0x1.abe5b131faf9bp-2, 0x1.a690aedc0478ep-2, 0x1.a13dedbfa11a8p-2, 0x1.9bedd952600d4p-2, 0x1.96a0da87df17ep-2, 0x1.915757cca39fep-2, 0x1.8c11b501d23acp-2, 0x1.86d05379b6b65p-2, 0x1.819391f521705p-2, 0x1.7c5bcca1815a1p-2, 0x1.77295d17c223ap-2, 0x1.71fc9a5bdcf6ep-2, 0x1.6cd5d8dd19ff2p-2, 0x1.67b56a76f74eep-2, 0x1.629b9e72afdc6p-2, 0x1.5d88c1895f106p-2, 0x1.587d1de6b111p-2, 0x1.5378fb2c234fp-2, 0x1.4e7c9e74c65ffp-2, 0x1.49884a597f638p-2, 0x1.449c3ef5c2cbep-2, 0x1.3fb8b9ecbedbcp-2, 0x1.3addf66ef0934p-2, 0x1.360c2d4023ecep-2, 0x1.314394bdcd61ep-2, 0x1.2c8460e5c34f9p-2, 0x1.27cec35d47d8bp-2, 0x1.2322eb786737ap-2, 0x1.1e8106419bfedp-2, 0x1.19e93e81bbea7p-2, 0x1.155bbcc824776p-2, 0x1.10d8a77321889p-2, 0x1.0c6022b88fdbfp-2, 0x1.07f250aeacccep-2, 0x1.038f515518393p-2, 0x1.fe6e853bff7c1p-3, 0x1.f5d480eedeadep-3, 0x1.ed50c9a98f9eap-3, 0x1.e4e38f709ac96p-3, 0x1.dc8cfe79afabp-3, 0x1.d44d3f3f2e382p-3, 0x1.cc247693d624ap-3, 0x1.c412c5b69a3c8p-3, 0x1.bc184a669285ap-3, 0x1.b4351ef6f9d0cp-3, 0x1.ac695a6347709p-3, 0x1.a4b51063464ccp-3, 0x1.9d18517f3a08bp-3, 0x1.95932b23fe00dp-3, 0x1.8e25a7b71fe36p-3, 0x1.86cfceaaf33e8p-3, 0x1.7f91a4928d4f4p-3, 0x1.786b2b35bc6a7p-3, 0x1.715c61a4d7d04p-3, 0x1.6a65444c832fep-3, 0x1.6385cd0947108p-3, 0x1.5cbdf33b109ap-3, 0x1.560dabd88805dp-3, 0x1.4f74e9823a338p-3, 0x1.48f39c95a1b23p-3, 0x1.4289b33ff5bb7p-3, 0x1.3c371990cc52ap-3, 0x1.35fbb98c8ce3ep-3, 0x1.2fd77b3ea9b72p-3, 0x1.29ca44cb9d921p-3, 0x1.23d3fa82b6566p-3, 0x1.1df47eef9f698p-3, 0x1.182bb2ebb12d4p-3, 0x1.127975aefcbdcp-3, 0x1.0cdda4e11cc07p-3, 0x1.07581ca9be11ep-3, 0x1.01e8b7c0eca3cp-3, 0x1.f91e9efe24234p-4, 0x1.ee9777d976121p-4, 0x1.e43ba7a412432p-4, 0x1.da0ad98bcc822p-4, 0x1.d004b679dfbe3p-4, 0x1.c628e5302f084p-4, 0x1.bc770a65ed842p-4, 0x1.b2eec8e3c5ed6p-4, 0x1.a98fc19f63c77p-4, 0x1.a05993d66380ep-4, 0x1.974bdd28b9314p-4, 0x1.8e6639b27efdep-4, 0x1.85a844252ed74p-4, 0x1.7d1195e047e8fp-4, 0x1.74a1c70960caap-4, 0x1.6c586ea3a6449p-4, 0x1.643522a6c75c9p-4, 0x1.5c3778154dc93p-4, 0x1.545f031266ab3p-4, 0x1.4cab56f719154p-4, 0x1.451c0666ec801p-4, 0x1.3db0a3640281p-4, 0x1.3668bf62a06c9p-4, 0x1.2f43eb5c2da45p-4, 0x1.2841b7e1a6905p-4, 0x1.2161b52d86063p-4, 0x1.1aa37335254b7p-4, 0x1.140681b996912p-4, 0x1.0d8a7057f8ae6p-4, 0x1.072ece99479d4p-4, 0x1.00f32c01abd83p-4, 0x1.f5ae303e8da81p-5, 0x1.e9b4453107f59p-5, 0x1.ddf7b673d3291p-5, 0x1.d277a406e3c51p-5, 0x1.c7332e6ad00ep-5, 0x1.bc2976b99fdfep-5, 0x1.b1599ebeaf056p-5, 0x1.a6c2c90daadc5p-5, 0x1.9c641918aba0ep-5, 0x1.923cb3456fb61p-5, 0x1.884bbd01bc6fp-5, 0x1.7e905cd6e676p-5, 0x1.7509ba7c898f3p-5, 0x1.6bb6feea711e9p-5, 0x1.62975469b5505p-5, 0x1.59a9e6a513931p-5, 0x1.50ede2b8820ap-5, 0x1.4862774009926p-5, 0x1.4006d465e0bcdp-5, 0x1.37da2befd3af3p-5, 0x1.2fdbb14bf9febp-5, 0x1.280a999cbeb9cp-5, 0x1.20661bc43d73ap-5, 0x1.18ed706efd1c1p-5, 0x1.119fd21e046bap-5, 0x1.0a7c7d3056506p-5, 0x1.0382afebcf526p-5, 0x1.f963550ae4045p-6, 0x1.ec115e523d267p-6, 0x1.df0e04017cdafp-6, 0x1.d257d275c8d4ap-6, 0x1.c5ed5a21cebccp-6, 0x1.b9cd2f98f6518p-6, 0x1.adf5eb9994c85p-6, 0x1.a2662b1627153p-6, 0x1.971c8f3da2925p-6, 0x1.8c17bd82d9eb5p-6, 0x1.81565fa305137p-6, 0x1.76d723ab6b923p-6, 0x1.6c98bbfe3f39dp-6, 0x1.6299df56a8af2p-6, 0x1.58d948cc1051cp-6, 0x1.4f55b7d4a9255p-6, 0x1.460df0473fd81p-6, 0x1.3d00ba5c5b45fp-6, 0x1.342ce2aeae782p-6, 0x1.2b913a3ae97efp-6, 0x1.232c965ee5a2fp-6, 0x1.1afdd0d83afe9p-6, 0x1.1303c7c240e98p-6, 0x1.0b3d5d93803eep-6, 0x1.03a9791a9ff03p-6, 0x1.f88e0af592285p-7, 0x1.ea29e44f23da5p-7, 0x1.dc2465c0dcfcp-7, 0x1.ce7b7f57589eep-7, 0x1.c12d29a2067edp-7, 0x1.b43765a7727bfp-7, 0x1.a7983cd8c874fp-7, 0x1.9b4dc1049318ap-7, 0x1.8f560c48c7fb1p-7, 0x1.83af410423beap-7, 0x1.785789c6dd5acp-7, 0x1.6d4d1942c86cep-7, 0x1.628e2a3ad2df4p-7, 0x1.5818ff7201166p-7, 0x1.4debe399e469ap-7, 0x1.4405294091f71p-7, 0x1.3a632abe23aa6p-7, 0x1.31044a21cede3p-7, 0x1.27e6f11e90bbfp-7, 0x1.1f0990f77a7b7p-7, 0x1.166aa26ba5f57p-7, 0x1.0e08a5a1d557dp-7, 0x1.05e22213c6b71p-7, 0x1.fbeb4cf281a93p-8, 0x1.ec839165bdc02p-8, 0x1.dd8a4b694359dp-8, 0x1.cefcc2e09570dp-8, 0x1.c0d84d7f0eac3p-8, 0x1.b31a4e9be14efp-8, 0x1.a5c03705cc8fep-8, 0x1.98c784d68eabcp-8, 0x1.8c2dc3461dd3ap-8, 0x1.7ff08a7db3ca6p-8, 0x1.740d7f6aaf91p-8, 0x1.688253915aa5cp-8, 0x1.5d4cc4df984e1p-8, 0x1.526a9d7f84d6p-8, 0x1.47d9b3aa0fbdfp-8, 0x1.3d97e9799510bp-8, 0x1.33a32cbc7e9a9p-8, 0x1.29f976c7f40c3p-8, 0x1.2098cc4a9ed0ep-8, 0x1.177f3d1f885aap-8, 0x1.0eaae4211b553p-8, 0x1.0619e6fc49288p-8, 0x1.fb94ec07b6387p-9, 0x1.eb759807f03bdp-9, 0x1.dbd25c2bb6724p-9, 0x1.cca7d6e79509ep-9, 0x1.bdf2ba9a90aa2p-9, 0x1.afafcd371863bp-9, 0x1.a1dbe7ec818cfp-9, 0x1.9473f6d11ddd3p-9, 0x1.8774f88cefb95p-9, 0x1.7adbfe0501c0cp-9, 0x1.6ea62a076fafap-9, 0x1.62d0b0f81b83ap-9, 0x1.5758d87e2057bp-9, 0x1.4c3bf731ff064p-9, 0x1.4177744c92139p-9, 0x1.3708c756c5805p-9, 0x1.2ced77da1dc73p-9, 0x1.23231d120d73bp-9, 0x1.19a75d9e22562p-9, 0x1.1077ef3509c2bp-9, 0x1.079296586c6d6p-9, 0x1.fdea4c1362298p-10, 0x1.ed3afeff35731p-10, 0x1.dd1323b9990b2p-10, 0x1.cd6eb3ce66c32p-10, 0x1.be49c380b6d5ep-10, 0x1.afa0813d5ab31p-10, 0x1.a16f350f29e93p-10, 0x1.93b2401537b41p-10, 0x1.86661bfade0b1p-10, 0x1.79875a71a3d0fp-10, 0x1.6d12a4ad0cc77p-10, 0x1.6104bae045c4ap-10, 0x1.555a73bdbaac5p-10, 0x1.4a10bbf8854a8p-10, 0x1.3f2495c7ca726p-10, 0x1.3493186bf5a02p-10, 0x1.2a596fb5dc1d5p-10, 0x1.2074db8fbc67ep-10, 0x1.16e2af8823fc1p-10, 0x1.0da0525eb820ep-10, 0x1.04ab3d92d7062p-10, 0x1.f801f9e837556p-11, 0x1.e73e5c6975819p-11, 0x1.d70700fb72405p-11, 0x1.c7576809f30a1p-11, 0x1.b82b334a3b577p-11, 0x1.a97e24ee7317ap-11, 0x1.9b4c1edca90fbp-11, 0x1.8d9121e96bbcfp-11, 0x1.80494d15f1be6p-11, 0x1.7370dcd1cc97cp-11, 0x1.67042a401afeap-11, 0x1.5affaa80366b1p-11, 0x1.4f5fedf9d3968p-11, 0x1.44219fac8adffp-11, 0x1.39418482c61cp-11, 0x1.2ebc7aa8052d3p-11, 0x1.248f78e273fd6p-11, 0x1.1ab78defca69bp-11, 0x1.1131dfe5689ebp-11, 0x1.07fbab93aab64p-11, 0x1.fe2487d8d11e4p-12, 0x1.ece622d930d0ap-12, 0x1.dc37231217d8dp-12, 0x1.cc12ac3c75389p-12, 0x1.bc7409c629befp-12, 0x1.ad56adbda1b9dp-12, 0x1.9eb62fc3576a4p-12, 0x1.908e4c011eb43p-12, 0x1.82dae227342fep-12, 0x1.7597f46eed619p-12, 0x1.68c1a6a300301p-12, 0x1.5c543d2d45ad5p-12, 0x1.504c1c29e9c89p-12, 0x1.44a5c67feeb02p-12, 0x1.395ddcfef0fabp-12, 0x1.2e711d821a1f3p-12, 0x1.23dc621828774p-12, 0x1.199ca0307ac82p-12, 0x1.0faee7cd0bf55p-12, 0x1.061062b946fcap-12, 0x1.f97ca78b4441dp-13, 0x1.e76c2c0fd82d7p-13, 0x1.d5ea384065c4ap-13, 0x1.c4f1df04707b7p-13, 0x1.b47e5f86b01bdp-13, 0x1.a48b23d9a161bp-13, 0x1.9513bfa4ae25fp-13, 0x1.8613eed9d0457p-13, 0x1.7787947372047p-13, 0x1.696ab93a82ecep-13, 0x1.5bb98a947f663p-13, 0x1.4e705959539c3p-13, 0x1.418b98b0f12c4p-13, 0x1.3507dcf86e2a1p-13, 0x1.28e1daae8fc2ep-13, 0x1.1d1665678ef48p-13, 0x1.11a26ec801bacp-13, 0x1.06830586b8f63p-13, 0x1.f76aa8eaec717p-14, 0x1.e26d43209e47fp-14, 0x1.ce089a2746a51p-14, 0x1.ba37a130f8896p-14, 0x1.a6f57c6e6dc66p-14, 0x1.943d7f60ac566p-14, 0x1.820b2b36b344p-14, 0x1.705a2d36f801bp-14, 0x1.5f265d34699cdp-14, 0x1.4e6bbc0ebe2b9p-14, 0x1.3e26723dcb0d1p-14, 0x1.2e52ce67a6c41p-14, 0x1.1eed44015a3e5p-14, 0x1.0ff269f9e1378p-14, 0x1.015ef96f41556p-14, 0x1.e65f98daf3aefp-15, 0x1.cac3b96e26eep-15, 0x1.afe4852e2e004p-15, 0x1.95bc677863cbcp-15, 0x1.7c460439a4751p-15, 0x1.637c35c801e58p-15, 0x1.4b5a0acd922bdp-15, 0x1.33dac443e527dp-15, 0x1.1cf9d37fbe6a3p-15, 0x1.06b2d84caf21dp-15, 0x1.e2033e3048b49p-16, 0x1.b7c43e571e3f2p-16, 0x1.8ea0f1ea811c9p-16, 0x1.6691e8bf36da1p-16, 0x1.3f8ffe6c804d8p-16, 0x1.19945731a982dp-16, 0x1.e930b9ec3f4a9p-17, 0x1.a12b78c6ba28ap-17, 0x1.5b0cc42ff7a09p-17, 0x1.16c8efe689659p-17, 0x1.a8a989e260a92p-18, 0x1.274af9281fb64p-18, 0x1.52c2edcc1be6bp-19, 0x1.76c8cdff3c552p-21, -0x1.21850d62861aep-20, -0x1.78c013bdc4185p-19, -0x1.2d34f0256a416p-18, -0x1.9af10171c21dfp-18, -0x1.02d252e5ebfbcp-17, -0x1.36afd4c1ad70ap-17, -0x1.6918a236880cbp-17, -0x1.9a14106d269adp-17, -0x1.c9a931263cec4p-17, -0x1.f7ded5f366c97p-17, -0x1.125dc9a8030a9p-16, -0x1.2822e1cd8b7fdp-16, -0x1.3d41c4f97af5dp-16, -0x1.51bd6a79fca2fp-16, -0x1.6598b0ad5823bp-16, -0x1.78d65e4562243p-16, -0x1.8b79237da109p-16, -0x1.9d839b448f849p-16, -0x1.aef84c586876ep-16, -0x1.bfd9aa57de16ep-16, -0x1.d02a16c7208ecp-16, -0x1.dfebe2099499p-16, -0x1.ef214c5095a32p-16, -0x1.fdcc867fa0687p-16, -0x1.05f7d98321d9ap-15, -0x1.0cc6735811766p-15, -0x1.135314b5b7ae8p-15, -0x1.199ebb830bc28p-15, -0x1.1faa5ff10ae2bp-15, -0x1.2576f4d088062p-15, -0x1.2b0567e3d7c98p-15, -0x1.3056a22c75855p-15, -0x1.356b8834c8e18p-15, -0x1.3a44fa562d0a5p-15, -0x1.3ee3d4fb6015bp-15, -0x1.4348f0df78da6p-15, -0x1.4775234981dafp-15, -0x1.4b693e44dfcfbp-15, -0x1.4f2610d69ae05p-15, -0x1.52ac672fae928p-15, -0x1.55fd0adc777fp-15, -0x1.5918c2f16442dp-15, -0x1.5c005434f8183p-15, -0x1.5eb4814748848p-15, -0x1.61360ac70371p-15, -0x1.6385af741e76bp-15, -0x1.65a42c5044fbdp-15, -0x1.67923cbd1dff9p-15, -0x1.69509a987e1c1p-15, -0x1.6adffe56a17ep-15, -0x1.6c411f1a7a6dp-15, -0x1.6d74b2cc34767p-15, -0x1.6e7b6e2df879dp-15, -0x1.6f5604ef067cdp-15, -0x1.700529bd3bf9ap-15, -0x1.70898e5515c98p-15, -0x1.70e3e39040c3p-15, -0x1.7114d972cb6dbp-15, -0x1.711d1f3705658p-15, -0x1.70fd635823219p-15, -0x1.70b6539bb0918p-15, -0x1.70489d19e37f3p-15, -0x1.6fb4ec44dc7b4p-15, -0x1.6efbeceee62efp-15, -0x1.6e1e4a4fbb5b7p-15, -0x1.6d1caf08e8c9fp-15, -0x1.6bf7c5294e698p-15, -0x1.6ab0362fd7067p-15, -0x1.6946ab0d67536p-15, -0x1.67bbcc2616a43p-15, -0x1.66104151bbcd3p-15, -0x1.6444b1dbd614ap-15, -0x1.6259c482de74cp-15, -0x1.60501f770a326p-15, -0x1.5e28685888dcap-15, -0x1.5be3443547cddp-15, -0x1.598157863e6a9p-15, -0x1.5703462c56f08p-15, -0x1.5469b36ceca01p-15, -0x1.51b541edf7081p-15, -0x1.4ee693b1dbf7ap-15, -0x1.4bfe4a12f7f06p-15, -0x1.48fd05bee2806p-15, -0x1.45e366b1721e7p-15, -0x1.42b20c2f888a2p-15, -0x1.3f6994c1ab4a6p-15, -0x1.3c0a9e2e73194p-15, -0x1.3895c574d014p-15, -0x1.350ba6c6305f5p-15, -0x1.316cdd8084ee8p-15, -0x1.2dba0428338dbp-15, -0x1.29f3b461f1812p-15, -0x1.261a86ec9188bp-15, -0x1.222f139ac5468p-15, -0x1.1e31f14cd8862p-15, -0x1.1a23b5ea68e95p-15, -0x1.1604f65c1d945p-15, -0x1.11d64685638a2p-15, -0x1.0d98393e2da21p-15, -0x1.094b604cc343ap-15, -0x1.04f04c5f96b31p-15, -0x1.00878d072dbdbp-15, -0x1.f823616034815p-16, -0x1.ef1e893a11544p-16, -0x1.e601a9c1c7779p-16, -0x1.dccdd8b21d48dp-16, -0x1.d384294f7ce25p-16, -0x1.ca25ac5cd51cfp-16, -0x1.c0b37010bc235p-16, -0x1.b72e800acdd4ap-16, -0x1.ad97e5494d2a5p-16, -0x1.a3f0a61f0b837p-16, -0x1.9a39c629923b2p-16, -0x1.9074464798a02p-16, -0x1.86a1248fc4ddbp-16, -0x1.7cc15c47b88c9p-16, -0x1.72d5e5db6a5efp-16, -0x1.68dfb6d4d6442p-16, -0x1.5edfc1d3f59aap-16, -0x1.54d6f68710044p-16, -0x1.4ac641a361414p-16, -0x1.40ae8cde09fbap-16, -0x1.3690bee5634b4p-16, -0x1.2c6dbb5a9b006p-16, -0x1.224662cbaf0cap-16, -0x1.181b92adb99fap-16, -0x1.0dee2557969e4p-16, -0x1.03bef1fce049bp-16, -0x1.f31d9952806c3p-17, -0x1.debd0c7831c4p-17, -0x1.ca5dd8c904577p-17, -0x1.b601933b45766p-17, -0x1.a1a9ca56ad0b5p-17, -0x1.8d58062e5ec7cp-17, -0x1.790dc85b955eep-17, -0x1.64cc8bf8ef28fp-17, -0x1.5095c59e64d4cp-17, -0x1.3c6ae35de86d7p-17, -0x1.284d4cc09b1dbp-17, -0x1.143e62c4b4124p-17, -0x1.003f7fdbfc15dp-17, -0x1.d8a3efd5d4979p-18, -0x1.b0ee3090b561bp-18, -0x1.89604f7bbf592p-18, -0x1.61fccd114f937p-18, -0x1.3ac61cb5f5cadp-18, -0x1.13bea4bc8bcc3p-18, -0x1.d9d17cd6e40cdp-19, -0x1.8c8d6c05c3e83p-19, -0x1.3fb59588ade7bp-19, -0x1.e69cbbec13a2ap-20, -0x1.4eb820156a7c2p-20, -0x1.6f8b72fc34bd4p-21, -0x1.0e6db5df87636p-23, 0x1.cc9fb310f6a1ep-22, 0x1.07136888d44f7p-20, 0x1.99ed26d1ee538p-20, 0x1.15d6e22e2728bp-19, 0x1.5e27081059c4p-19, 0x1.a5e38587e845ep-19, 0x1.ed08f3e56e0c6p-19, 0x1.19ca029639688p-18, 0x1.3cc0c1f63fd81p-18, 0x1.5f67298c54f2p-18, 0x1.81bbb6eed161cp-18, 0x1.a3bcf3bb291a4p-18, 0x1.c569757f8702bp-18, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      44, 0x1.999999999999ap+1, 0x1.addd71d79d635p+0, 0x1.3091487489ff6p+1, -0x1.4fea21c6d9cp-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.1c964628027d9p+0, -0x1.3570bd902680cp+1, 0x1.03ccccccccc87p+1, 0x1.f3eccee01b169p-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.04aac96cc5fcp+0, -0x1.2081a469bc001p+1, 0x1.078ca7f399c96p+1, -0x1.3874014c10ea5p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.dcd1e96c3fc44p-1, -0x1.0c2c1ef79b42p+1, 0x1.e99ac063318adp+0, -0x1.915b29577ad47p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.b37414a4d2b2cp-1, -0x1.f223bc28d1912p+0, 0x1.d185ebfcaa2c3p+0, -0x1.b9ab5809f513cp-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.8d104d551d68cp-1, -0x1.cdf52ed10b9b5p+0, 0x1.b705e195aad3fp+0, -0x1.9ff77680b80b9p-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.697c3d68405b4p-1, -0x1.abd58ff26fd7ap+0, 0x1.9e10a2278b4e6p+0, -0x1.8e76cdf318bap-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.488ede54b48d4p-1, -0x1.8baa53f49132fp+0, 0x1.862839a332c83p+0, -0x1.862d51b2f1352p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.2a20ddc619546p-1, -0x1.6d63a27c02dc7p+0, 0x1.6ebf1b22b3ab7p+0, -0x1.70d3eb411c8bfp-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.0e0c176577532p-1, -0x1.50ef4626db5d9p+0, 0x1.589de92e27b78p+0, -0x1.66830148a2172p-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.e8583621fafc9p-2, -0x1.3639ca702388ap+0, 0x1.431b2ba9cc122p+0, -0x1.55200f9c5aaaep-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.b8bb906466b1ep-2, -0x1.1d322a1b0ba49p+0, 0x1.2ea37ca58930dp+0, -0x1.44fcc045f8a07p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.8cff21b3aeee9p-2, -0x1.05c3cc37bfef1p+0, 0x1.1b23ae8cdb8dep+0, -0x1.3eecef4bb224dp-1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.64e2b063e07a3p-2, -0x1.dfc21a1f926e8p-1, 0x1.0800fc5a3c628p+0, -0x1.274f828b4acfdp-1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.40281ba7fc32fp-2, -0x1.b6ef61c8e4e12p-1, 0x1.ec9207c27a087p-1, -0x1.1bd5068721871p-1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.1e94ee392e1efp-2, -0x1.90e44ffdfa684p-1, 0x1.ca82b50e6bc5p-1, -0x1.115c63582c0a8p-1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.ffe2a3cea6c1ap-3, -0x1.6d85ebf7ec433p-1, 0x1.a9b50f88f5d83p-1, -0x1.fd72d83062febp-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.c80f98fa37692p-3, -0x1.4cb0712f071ep-1, 0x1.8b23ee156ac8ep-1, -0x1.e77bd88e228ecp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.954c122749f0ep-3, -0x1.2e3f7a4e0392cp-1, 0x1.6de42de3edd4fp-1, -0x1.d49dc596ff431p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.67381d7dbf488p-3, -0x1.1219f0f6b6fefp-1, 0x1.51c63ba28c989p-1, -0x1.a60d1115eca09p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.3d78811b1d92bp-3, -0x1.f02f42f6c0abbp-2, 0x1.38738768e9eb1p-1, -0x1.a32df6114a15cp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.17b8d3f1843c4p-3, -0x1.c0345842359bdp-2, 0x1.1f4cee67e05a6p-1, -0x1.7d3b16a4eff8p-2}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.eb4fa48301a7ap-4, -0x1.9410f8e0ded83p-2, 0x1.086d39d8dc31ep-1, -0x1.67e5af5af27c9p-2}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.adf3f961804dap-4, -0x1.6b7c4c370824ep-2, 0x1.e5aa68e43f218p-2, -0x1.532e2bef47c92p-2}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.76d117b5286b6p-4, -0x1.4642a656a9bc4p-2, 0x1.bcf6ca04f913ap-2, -0x1.3b61a0e7ee4fbp-2}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.4561d4306e5cdp-4, -0x1.242d53c6614bap-2, 0x1.971e461219eb6p-2, -0x1.1f4b5070fdc35p-2}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.192a737110e45p-4, -0x1.04fc928c8a381p-2, 0x1.74a49893e6fcdp-2, -0x1.17711d541b3f5p-2}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.e37154003254ep-5, -0x1.d108722366868p-3, 0x1.531c246b16eafp-2, -0x1.e5e0747d36cf5p-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.9d40ee06d9381p-5, -0x1.9d1b8c68e2197p-3, 0x1.35f51330606e4p-2, -0x1.d99bf362d3a05p-3}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.5f00abf76a2f5p-5, -0x1.6dc9aaddb9e1bp-3, 0x1.198a701b164afp-2, -0x1.b3afbdf78a1f8p-3}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.27f8012dfd695p-5, -0x1.42d521024fc22p-3, 0x1.fecc9637307d9p-3, -0x1.77a514bf02f05p-3}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.eefa1e3eaf683p-6, -0x1.1bc58dec619a3p-3, 0x1.d1b8c6ed116bp-3, -0x1.6dbbef0c692e3p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.99f1ae2da554cp-6, -0x1.f089f8fd169f8p-4, 0x1.a5d56cccdbd6p-3, -0x1.516b2f0f59fap-3}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.4fb97bb730835p-6, -0x1.b048e79f6d8e2p-4, 0x1.7d57ec45e584cp-3, -0x1.2c9754b62d79ap-3}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.0f49491f2dc2bp-6, -0x1.7627cf5475186p-4, 0x1.5945c3633c38cp-3, -0x1.f86efc2fe16d8p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.af6c69b5a63fap-7, -0x1.41554bb29517ap-4, 0x1.3b01aa0433d0ep-3, -0x1.228ab2ea0fcfap-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.505d0fa58f712p-7, -0x1.11b8aa39afc5p-4, 0x1.18243862feb7fp-3, -0x1.733b6c7f9f654p-4}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.ff822bbecaab9p-8, -0x1.cd5c7abe98c65p-5, 0x1.01de1846db8ep-3, -0x1.edfce82d632dfp-4}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.7891e215336dfp-8, -0x1.7f95fe6bbcbc9p-5, 0x1.c874e17e075e2p-4, -0x1.54d0f2cad3b9dp-4}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.09289dadfb507p-8, -0x1.39d31f700c3bcp-5, 0x1.9f8f01cc16eb5p-4, -0x1.7ebf4ca751936p-4}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.5df6555c52e73p-9, -0x1.f604f6741fcf8p-6, 0x1.71a102d6bb368p-4, -0x1.3031da97ddb44p-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.9f3c70c996b76p-10, -0x1.8594231c9e058p-6, 0x1.4d20260c2ff7ep-4, -0x1.003ca47c9e167p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.8bd66277c45ccp-11, -0x1.24d166923d167p-6, 0x1.0fa0f454adddfp-4, 0x1.b216fe7cce577p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.40dd3fe1975f3p-13, -0x1.8b1fdfba62d2ap-7, 0x1.43b83196db1bbp-4, -0x1.78fc561f3fa4dp-1}, 
        {0x1.75c28f5c28f5cp+1, 0x1.999999999999ap+1, -0x1.0624dd2f1a9fcp-12, -0x1.2fc107e9c9606p-7, -0x1.317e7957dcbb2p-7, 0x1.d8ada45a9e6abp-1}, 
      }}, 
      -0x1.1615832b7b844p+2, 0x1.7485cdc0cde41p+2
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_c_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6d55582067c1ep-2, 0x1.7336fc92d32e4p-2, 0x1.77f8b7357cfeap-2, 0x1.7ba4f56b0cdd9p-2, 0x1.7e46534f93defp-2, 0x1.7fe80ee4979b9p-2, 0x1.8095de2427d9dp-2, 0x1.805b85231d8f7p-2, 0x1.7f4515d4cbe7cp-2, 0x1.7d5eeb7c376b3p-2, 0x1.7ab54d76b1448p-2, 0x1.77545286ae5a2p-2, 0x1.7347ffcf5a61bp-2, 0x1.6e9c62fdc98cfp-2, 0x1.695d7756a67e1p-2, 0x1.6396e5f031b77p-2, 0x1.5d53e97326c3ap-2, 0x1.569f699307195p-2, 0x1.4f8411d019867p-2, 0x1.480c3fb07577ap-2, 0x1.4041f03663fc6p-2, 0x1.382fc8ae2755ep-2, 0x1.2fdd1ef63d782p-2, 0x1.2753d89a2dfbdp-2, 0x1.1e9c531103c09p-2, 0x1.15be543b80983p-2, 0x1.0cc13dd5b26d8p-2, 0x1.03ac2b0b1d741p-2, 0x1.f50bce6b71b35p-3, 0x1.e2a9a7dfc7269p-3, 0x1.d03db58a8e562p-3, 0x1.bdd2e6606c3afp-3, 0x1.ab736448e6611p-3, 0x1.9928aa271f1bdp-3, 0x1.86fb874dad2eap-3, 0x1.74f419a6e3513p-3, 0x1.6319cb703e5c2p-3, 0x1.5173590f321a3p-3, 0x1.4006db13357a1p-3, 0x1.2ed9cee184f3bp-3, 0x1.1df11c19a2329p-3, 0x1.0d51186f5fb9ap-3, 0x1.f9fb199124e37p-4, 0x1.d9f37ace547bcp-4, 0x1.ba90eabc570ap-4, 0x1.9bd828e3cb5bap-4, 0x1.7dcd3c0b724f4p-4, 0x1.60738f763183ep-4, 0x1.43ce0d4d914b1p-4, 0x1.27df348031727p-4, 0x1.0ca9289adcca4p-4, 0x1.e45b74ad5af87p-5, 0x1.b0dcd03de56ebp-5, 0x1.7ed8adc5050dfp-5, 0x1.4e5089faaf2dfp-5, 0x1.1f44f5043a4b1p-5, 0x1.e36aec8223361p-6, 0x1.8b40f77d94c66p-6, 0x1.3606b6c2e6bbdp-6, 0x1.c7699e4c77013p-7, 0x1.288451ee1dc5cp-7, 0x1.1e9137013d45p-8, -0x1.181bf97e39c6bp-13, -0x1.24ec50fb87348p-8, -0x1.1b3ef5deb51a6p-7, -0x1.9ec4ae244edfep-7, -0x1.0e901465532d7p-6, -0x1.4b35a30f64818p-6, -0x1.85609dc00d60ap-6, -0x1.bd1f63e430d25p-6, -0x1.f28121c2533fep-6, -0x1.12cae2a87b708p-5, -0x1.2b36f159a4843p-5, -0x1.428d46da8b79fp-5, -0x1.58d6971d67974p-5, -0x1.6e1baa6bad4eap-5, -0x1.826549a771ab4p-5, -0x1.95bc2dabd140fp-5, -0x1.a828f25b7a91ap-5, -0x1.b9b40d77388f7p-5, -0x1.ca65c8f9291a2p-5, -0x1.da464065fbba2p-5, -0x1.e95d605302c14p-5, -0x1.f7b2e7525914ep-5, -0x1.02a733c980121p-4, -0x1.091ba45fed403p-4, -0x1.0f3a64f76d584p-4, -0x1.150701d379c04p-4, -0x1.1a84f50a6be08p-4, -0x1.1fb7a7b89b422p-4, -0x1.24a273360afc4p-4, -0x1.2948a21f6b81ap-4, -0x1.2dad70f41141fp-4, -0x1.31d40e0c772eap-4, -0x1.35bf98c0bc788p-4, -0x1.39731fb70f311p-4, -0x1.3cf19e764cc0fp-4, -0x1.403dfa782b025p-4, -0x1.435b00094d66fp-4, -0x1.464b5f49ed2abp-4, -0x1.4911a99851cbbp-4, -0x1.4bb04f9b2b502p-4, -0x1.4e29a009ec20ep-4, -0x1.507fc7395abcep-4, -0x1.52b4cf5e57dfcp-4, -0x1.54caa16a76a83p-4, -0x1.56c3065e3a364p-4, -0x1.589fa8eb3228ap-4, -0x1.5a621743a87bp-4, -0x1.5c0bc4fc46b14p-4, -0x1.5d9e0cec658bep-4, -0x1.5f1a3301be1b4p-4, -0x1.60816602b17e4p-4, -0x1.61d4c13e86536p-4, -0x1.63154e2c97149p-4, -0x1.644405fad02ffp-4, -0x1.6561d309cd45bp-4, -0x1.666f9252440d3p-4, -0x1.676e14ad27321p-4, -0x1.685e1ff6c8546p-4, -0x1.694070058ba11p-4, -0x1.6a15b76e9a1c5p-4, -0x1.6adea015f4875p-4, -0x1.6b9bcb8adf1b5p-4, -0x1.6c4dd33517c9fp-4, -0x1.6cf5485a16485p-4, -0x1.6d92b4034c441p-4, -0x1.6e2696cee06d9p-4, -0x1.6eb168b3bebd1p-4, -0x1.6f3398c07f31ep-4, -0x1.6fad8cdae2a14p-4, -0x1.701fa184062abp-4, -0x1.708a29a4189f4p-4, -0x1.70ed6e5fb57f6p-4, -0x1.7149aef8d2d9ap-4, -0x1.719f20bd83c37p-4, -0x1.71edef073c49cp-4, -0x1.72363b4dcfebfp-4, -0x1.72781d5179576p-4, -0x1.72b3a35f09b91p-4, -0x1.72e8d2b0a7323p-4, -0x1.7317a7ec4c5d5p-4, -0x1.734017bfb9e7p-4, -0x1.73620f97e0a04p-4, -0x1.737d767017909p-4, -0x1.73922db40e8a5p-4, -0x1.73a0122e4fb83p-4, -0x1.73adc733d3302p-4, -0x1.73a8d54bc633fp-4, -0x1.739c94ed1067dp-4, -0x1.7388f65b9425p-4, -0x1.736de7880d692p-4, -0x1.734b542fc16a9p-4, -0x1.7321260a35456p-4, -0x1.72ef4503b4307p-4, -0x1.72b59782c8a9fp-4, -0x1.727402b66300fp-4, -0x1.722a6aea0b477p-4, -0x1.71d8b3dd73bfbp-4, -0x1.717ec11cba544p-4, -0x1.711c7656d9cdbp-4, -0x1.70b1b7b00a74fp-4, -0x1.703e6a0e3b2fcp-4, -0x1.6fc2735e252b6p-4, -0x1.6f3dbacffd748p-4, -0x1.6eb0290b343c1p-4, -0x1.6e19a8591b6e4p-4, -0x1.6d7a24c6b06c4p-4, -0x1.6cd18c3e170e4p-4, -0x1.6c1fce9887706p-4, -0x1.6b64dda9a150dp-4, -0x1.6aa0ad45238ecp-4, -0x1.69d333400dbbp-4, -0x1.68fc676e23152p-4, -0x1.681c439caff45p-4, -0x1.6732c38b4ff61p-4, -0x1.663fe4e35ad6dp-4, -0x1.6543a72e6e876p-4, -0x1.643e0bcc7a3ebp-4, -0x1.632f15e98494ep-4, -0x1.6216ca735e44ap-4, -0x1.60f5300f51951p-4, -0x1.5fca4f0fdb163p-4, -0x1.5e96316a6d45cp-4, -0x1.5d58e2ad36aacp-4, -0x1.5c126ff4e958dp-4, -0x1.5ac2e7e2778bcp-4, -0x1.596a5a90c33e4p-4, -0x1.5808d98a3ecc7p-4, -0x1.569e77be7d0d6p-4, -0x1.552b4977b7384p-4, -0x1.53af645050d9dp-4, -0x1.522adf2860e4dp-4, -0x1.509dd21b52271p-4, -0x1.4f085675a2e2dp-4, -0x1.4d6a86aadb78p-4, -0x1.4bc47e4bc3541p-4, -0x1.4a1659fce6fbap-4, -0x1.4860376d7d13dp-4, -0x1.46a2354eae491p-4, -0x1.44dc734b4fea5p-4, -0x1.430f12000d2b2p-4, -0x1.413a32f400d01p-4, -0x1.3f5df891be0a2p-4, -0x1.3d7a8620bb4e8p-4, -0x1.3b8fffbf17c8dp-4, -0x1.399e8a5ba9a14p-4, -0x1.37a64bb0478c9p-4, -0x1.35a76a3c382ecp-4, -0x1.33a20d3eb341bp-4, -0x1.31965cb15fec6p-4, -0x1.2f848142bfbedp-4, -0x1.2d6ca4506ae3bp-4, -0x1.2b4eefe110269p-4, -0x1.292b8e9e26deep-4, -0x1.2702abcd3febfp-4, -0x1.24d47348ee8b4p-4, -0x1.22a1117938809p-4, -0x1.2068b34b89b04p-4, -0x1.1e2b862a255e1p-4, -0x1.1be9b7f3115e8p-4, -0x1.19a376ee80dbbp-4, -0x1.1758f1c4bdap-4, -0x1.150a577399391p-4, -0x1.12b7d7436f19p-4, -0x1.1061a0bbc6a9cp-4, -0x1.0e07e3979c5cfp-4, -0x1.0baacfb969a36p-4, -0x1.094a951ef76abp-4, -0x1.06e763d51365fp-4, -0x1.04816beb35af1p-4, -0x1.0218dd672d16dp-4, -0x1.ff5bd071cfe9fp-5, -0x1.fa81785cd07ecp-5, -0x1.f5a311cfec839p-5, -0x1.f0c0fb994f8d8p-5, -0x1.ebdb93fe85777p-5, -0x1.e6f338a71e066p-5, -0x1.e208468845717p-5, -0x1.dd1b19d15fdd7p-5, -0x1.d82c0dd9bdf8cp-5, -0x1.d33b7d0f7057fp-5, -0x1.ce49c0e74589p-5, -0x1.c95731cdf00d7p-5, -0x1.c464271a5aea5p-5, -0x1.bf70f70121e5dp-5, -0x1.ba7df6892a48p-5, -0x1.b58b798153acbp-5, -0x1.b099d2772d32ep-5, -0x1.aba952aeaf092p-5, -0x1.a6ba4a1ad6ea8p-5, -0x1.a1cd07572c792p-5, -0x1.9ce1d7a20afafp-5, -0x1.97f906d7a8bb4p-5, -0x1.9312df6dcc3bfp-5, -0x1.8e2faa7016ef3p-5, -0x1.894faf7ce46b9p-5, -0x1.847334c29f7e9p-5, -0x1.7f9a7efd8997fp-5, -0x1.7ac5d175e45f8p-5, -0x1.75f56dfe73f55p-5, -0x1.712994f34fa74p-5, -0x1.6c628538f147fp-5, -0x1.67a07c3b89d5bp-5, -0x1.62e3b5ee85fb2p-5, -0x1.5e2c6ccc453a8p-5, -0x1.597ad9d5faf72p-5, -0x1.54cf3493bc2e5p-5, -0x1.5029b314ac809p-5, -0x1.4b8a89ef54bf4p-5, -0x1.46f1ec4215fa2p-5, -0x1.42600bb3c2e6ep-5, -0x1.3dd51874567c5p-5, -0x1.3951413dcd62fp-5, -0x1.34d4b3551f69ep-5, -0x1.305f9a8b5d39ap-5, -0x1.2bf2213eeebecp-5, -0x1.278c705cf8499p-5, -0x1.232eaf62e00b2p-5, -0x1.1ed9045ffdcc2p-5, -0x1.1a8b93f770fcdp-5, -0x1.164681621b5ccp-5, -0x1.1209ee70c79d7p-5, -0x1.0dd5fb8e776d2p-5, -0x1.09aac7c2db05cp-5, -0x1.058870b4f4b7bp-5, -0x1.016f12addffccp-5, -0x1.fabd9137993d1p-6, -0x1.f2af582a3476ap-6, -0x1.eab3aab73d6edp-6, -0x1.e2cab6c02f373p-6, -0x1.daf4a78b82325p-6, -0x1.d331a5cc1f12p-6, -0x1.cb81d7a925929p-6, -0x1.c3e560c5f3f38p-6, -0x1.bc5c624a6fe15p-6, -0x1.b4e6faeb9509ep-6, -0x1.ad8546f43a93fp-6, -0x1.a637604e13b25p-6, -0x1.9efd5e8ae2e25p-6, -0x1.97d756ede13bfp-6, -0x1.90c55c754d2abp-6, -0x1.89c77fe429p-6, -0x1.82ddcfcc165f6p-6, -0x1.7c08589757aacp-6, -0x1.75472492ee485p-6, -0x1.6e9a3bf8ce05p-6, -0x1.6801a4fa2b342p-6, -0x1.617d63c9d579ep-6, -0x1.5b0d7aa6a3792p-6, -0x1.54b1e9e5ebe02p-6, -0x1.4e6aaffe00913p-6, -0x1.4837c990b3a63p-6, -0x1.42193175da56dp-6, -0x1.3c0ee0c5d79cdp-6, -0x1.36182222b0d1ap-6, -0x1.3036594a13a1p-6, -0x1.2a68b86aef883p-6, -0x1.24af31fe73b7dp-6, -0x1.1f09b6f42bd12p-6, -0x1.197836bc415b3p-6, -0x1.13fa9f51ad08cp-6, -0x1.0e90dd445c07bp-6, -0x1.093adbc3419cap-6, -0x1.03f884a6588edp-6, -0x1.fd9380f127616p-7, -0x1.f35ced0372992p-7, -0x1.e94d19a05f934p-7, -0x1.df63d0855c575p-7, -0x1.d5a0d923d21b6p-7, -0x1.cc03f8b4333a9p-7, -0x1.c28cf248f9af9p-7, -0x1.b93b86e175b61p-7, -0x1.b00f757c72332p-7, -0x1.a7087b2ac4015p-7, -0x1.9e2653218ea5dp-7, -0x1.9568b6cc8bd5ep-7, -0x1.8ccf5de00f6e4p-7, -0x1.8459fe6aef459p-7, -0x1.7c084ce84d6fap-7, -0x1.73d9fc5134106p-7, -0x1.6bcebe2e0f66fp-7, -0x1.63e642a7ff08cp-7, -0x1.5c20389a10987p-7, -0x1.547c4da243988p-7, -0x1.4cfa2e327f2c5p-7, -0x1.459985a145d66p-7, -0x1.3e59fe3a6523p-7, -0x1.373b414f66f91p-7, -0x1.303cf747e3653p-7, -0x1.295ec7b1b61abp-7, -0x1.22a05950f9688p-7, -0x1.1c01522fe2805p-7, -0x1.158157ae706bbp-7, -0x1.0f200e91eb042p-7, -0x1.08dd1b143865ep-7, -0x1.02b820f2f332cp-7, -0x1.f96186fcc44bp-8, -0x1.ed8d4b504a1e3p-8, -0x1.e1f2d4236d84ap-8, -0x1.d691663551d2ep-8, -0x1.cb6845dd54c1ep-8, -0x1.c076b726836cep-8, -0x1.b5bbfdeaa57a7p-8, -0x1.ab375dec7b5adp-8, -0x1.a0e81af1b39fap-8, -0x1.96cd78dc07dfap-8, -0x1.8ce6bbc1c8ec2p-8, -0x1.83332805c8e61p-8, -0x1.79b2026e879bap-8, -0x1.7062903cb333p-8, -0x1.67441740e45cfp-8, -0x1.5e55ddf0a301bp-8, -0x1.55972b7a9b7b9p-8, -0x1.4d0747da161a8p-8, -0x1.44a57be9979c1p-8, -0x1.3c711174b428bp-8, -0x1.3469534914d7bp-8, -0x1.2c8d8d469c94ap-8, -0x1.24dd0c6ec7fccp-8, -0x1.1d571ef32a16p-8, -0x1.15fb14431c1b9p-8, -0x1.0ec83d188f7dfp-8, -0x1.07bdeb841d624p-8, -0x1.00db72f83a05p-8, -0x1.f44050a73c97bp-9, -0x1.e716c3d5df5ddp-9, -0x1.da38ef234485p-9, -0x1.cda58544226dbp-9, -0x1.c15b3c0a0f961p-9, -0x1.b558cc70b9edep-9, -0x1.a99cf2aa2708ap-9, -0x1.9e266e299f29p-9, -0x1.92f401ad47182p-9, -0x1.88047346a112ep-9, -0x1.7d568c620fd36p-9, -0x1.72e919cd30edbp-9, -0x1.68baebbc53be3p-9, -0x1.5ecad5cf116a3p-9, -0x1.5517af1408c35p-9, -0x1.4ba0520bdb547p-9, -0x1.42639cab6ef77p-9, -0x1.3960705dab209p-9, -0x1.3095b204678f4p-9, -0x1.280249f8f2d9ap-9, -0x1.1fa5240c43f68p-9, -0x1.177d2f867171bp-9, -0x1.0f895f260f4a9p-9, -0x1.07c8a91eee129p-9, -0x1.003a0718c7779p-9, -0x1.f1b8ec5b0e545p-10, -0x1.e35dedcebed25p-10, -0x1.d5611a7d4060ap-10, -0x1.c7c0812ecdfe7p-10, -0x1.ba7a377e348afp-10, -0x1.ad8c59d3860f7p-10, -0x1.a0f50b5e8bbcdp-10, -0x1.94b27610ea382p-10, -0x1.88c2ca9824217p-10, -0x1.7d24405719fecp-10, -0x1.71d5155fe67adp-10, -0x1.66d38e6cea58bp-10, -0x1.5c1df6d9fb4edp-10, -0x1.51b2a09d3f90ap-10, -0x1.478fe44028df2p-10, -0x1.3db420d77485dp-10, -0x1.341dbbfbcc586p-10, -0x1.2acb21c1b80cep-10, -0x1.21bac4b1660d2p-10, -0x1.18eb1dbe4e00ep-10, -0x1.105aac3e607fep-10, -0x1.0807f5e13483cp-10, -0x1.ffe30d4d6a595p-11, -0x1.f02be1ab4c677p-11, -0x1.e0e799e3b474cp-11, -0x1.d2137363fcba8p-11, -0x1.c3acb7eaa1731p-11, -0x1.b5b0bd71a9953p-11, -0x1.a81ce618a9c76p-11, -0x1.9aeea00df9bc8p-11, -0x1.8e2365773b0c7p-11, -0x1.81b8bc5a07021p-11, -0x1.75ac36823a2bcp-11, -0x1.69fb716981eddp-11, -0x1.5ea4161d377cap-11, -0x1.53a3d923e0c3bp-11, -0x1.48f87a623fcf3p-11, -0x1.3e9fc4ff1938fp-11, -0x1.34978f47b69b5p-11, -0x1.2addba9293f82p-11, -0x1.2170332221d61p-11, -0x1.184cf006d4cd6p-11, -0x1.0f71f300f3c72p-11, -0x1.06dd4861a16dbp-11, -0x1.fd1a0dd7369cp-12, -0x1.ecfe9f6722c72p-12, -0x1.dd649bffa1dc6p-12, -0x1.ce486e51807e4p-12, -0x1.bfa694ed688ffp-12, -0x1.b17ba20391da2p-12, -0x1.a3c43b208ebdbp-12, -0x1.967d18ea154c8p-12, -0x1.89a306db4a48bp-12, -0x1.7d32e300cf572p-12, -0x1.71299db43fba8p-12, -0x1.6584395731353p-12, -0x1.5a3fca0f2a5d8p-12, -0x1.4f59757fd1a15p-12, -0x1.44ce72861e58p-12, -0x1.3a9c08f2e90dbp-12, -0x1.30bf914590f84p-12, -0x1.273674673d408p-12, -0x1.1dfe2b6524ca9p-12, -0x1.15143f2bbb3a9p-12, -0x1.0c764841d8918p-12, -0x1.0421ee8407f8dp-12, -0x1.f829d1c040d31p-13, -0x1.e899fa222ed8bp-13, -0x1.d98ffeb5401ep-13, -0x1.cb07a48f30596p-13, -0x1.bcfcccc908e97p-13, -0x1.af6b73fc6ce36p-13, -0x1.a24fb1bf050bfp-13, -0x1.95a5b81e7b077p-13, -0x1.8969d31e7a736p-13, -0x1.7d986836ced2fp-13, -0x1.722df5d39fb7ap-13, -0x1.672712d593b0dp-13, -0x1.5c806e1475725p-13, -0x1.5236cde21d6f9p-13, -0x1.48470f8ef630dp-13, -0x1.3eae26efd7d5p-13, -0x1.35691de515d2cp-13, -0x1.2c7513e352af2p-13, -0x1.23cf3d7c02a48p-13, -0x1.1b74e3eaa8da4p-13, -0x1.136364a027eb2p-13, -0x1.0b9830d1340f4p-13, -0x1.0410cd06033afp-13, -0x1.f995a15486fdap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7b684311b08fp-2, 0x1.87aa9f9aefd8p-2, 0x1.933982afd7c8ap-2, 0x1.9e17113566ab6p-2, 0x1.a845ce864c427p-2, 0x1.b1c8b3d6ec187p-2, 0x1.baa2fb0a2acddp-2, 0x1.c2d81abd64a76p-2, 0x1.ca6bfc607bae6p-2, 0x1.d1628552a6b1ap-2, 0x1.d7bfcb0793ba9p-2, 0x1.dd88456e8cc8p-2, 0x1.e2c059d8e4b1bp-2, 0x1.e76c705fcf48dp-2, 0x1.eb913e5454357p-2, 0x1.ef33817f8e6fap-2, 0x1.f257cc746e78dp-2, 0x1.f502c11648f67p-2, 0x1.f7392bc493e41p-2, 0x1.f8ffce7ea405cp-2, 0x1.fa5b42366268cp-2, 0x1.fb5019e5d4467p-2, 0x1.fbe2e3c8f44acp-2, 0x1.fc18255fd8878p-2, 0x1.fbf4430487b5cp-2, 0x1.fb7b8de414e78p-2, 0x1.fab243b6aa4fep-2, 0x1.f99c8b0783132p-2, 0x1.f83e6fa1b457ep-2, 0x1.f69be09bcedacp-2, 0x1.f4b8af8f20a2dp-2, 0x1.f298904e45ff5p-2, 0x1.f03f18d84298ap-2, 0x1.edafc198817b5p-2, 0x1.eaede5dd5f9d9p-2, 0x1.e7fcc4096050bp-2, 0x1.e4df7d27d8e6bp-2, 0x1.e1991458737fap-2, 0x1.de2c6f091404p-2, 0x1.da9c5673dbfc3p-2, 0x1.d6eb79b949b2p-2, 0x1.d31c6f50d43cbp-2, 0x1.cf31b5066026dp-2, 0x1.cb2daed8d8944p-2, 0x1.c712a5d4ba06fp-2, 0x1.c2e2c7e716f6ep-2, 0x1.bea028dcec781p-2, 0x1.ba4cc3f9be501p-2, 0x1.b5ea7d5007d5fp-2, 0x1.b17b225f420ecp-2, 0x1.ad006a142ee26p-2, 0x1.a87bf4ace3499p-2, 0x1.a3ef4bfc2e998p-2, 0x1.9f5be43847e5p-2, 0x1.9ac31d325c1e8p-2, 0x1.962643b8612eap-2, 0x1.918692f1dd55bp-2, 0x1.8ce5359cd8176p-2, 0x1.884347118957cp-2, 0x1.83a1d3ea36aacp-2, 0x1.7f01da32af87ep-2, 0x1.7a6449254c77ep-2, 0x1.75ca00acaf283p-2, 0x1.7133e54c213dp-2, 0x1.6ca282b2de522p-2, 0x1.6816a88b7032ap-2, 0x1.6390fe4b1bd97p-2, 0x1.5f121ef78294cp-2, 0x1.5a9a99bd910fcp-2, 0x1.562af290d25dbp-2, 0x1.51c3a2c69255fp-2, 0x1.4d6519a3df643p-2, 0x1.490fbcdac7da2p-2, 0x1.44c3e8f8264a6p-2, 0x1.4081f1c670751p-2, 0x1.3c4a22ab302c2p-2, 0x1.381cbf04380c4p-2, 0x1.33fa0287d73a5p-2, 0x1.2fe221a90665dp-2, 0x1.2bd549fe322d4p-2, 0x1.27d3a2a7bc0fep-2, 0x1.23dd4cb30fb8fp-2, 0x1.1ff263781be3ap-2, 0x1.1c12fcf0c54b1p-2, 0x1.183f2a0b85cp-2, 0x1.1476f6fb277e3p-2, 0x1.10ba6b852d6b5p-2, 0x1.0d098b4f7d562p-2, 0x1.0964562c8ab46p-2, 0x1.05cac8649d9fp-2, 0x1.023cdafa94af5p-2, 0x1.fd7507d5fd28cp-3, 0x1.f6876cca2dab9p-3, 0x1.efb0c5fbafcc6p-3, 0x1.e8f0efbbbae1dp-3, 0x1.e247c1d64c7c4p-3, 0x1.dbb50fe00e055p-3, 0x1.d538a9817d528p-3, 0x1.ced25ac2475bdp-3, 0x1.c881ec577195ap-3, 0x1.c24723f5e3ea5p-3, 0x1.bc21c4a99b73bp-3, 0x1.b6118f301647cp-3, 0x1.b016425306842p-3, 0x1.aa2f9b3f6d485p-3, 0x1.a45d55d54f014p-3, 0x1.9e9f2cecf4d16p-3, 0x1.98f4da9073dcdp-3, 0x1.935e182a002ep-3, 0x1.8dda9ea93d444p-3, 0x1.886a26a2cc68dp-3, 0x1.830c686d7f9a1p-3, 0x1.7dc11c3feb76cp-3, 0x1.7887fa500ff63p-3, 0x1.7360baf5484efp-3, 0x1.6e4b16cbb7bc6p-3, 0x1.6946c6d7977b2p-3, 0x1.645384a694abcp-3, 0x1.5f710a6d9c4b9p-3, 0x1.5a9f13220f23ep-3, 0x1.55dd5a8dd5589p-3, 0x1.512b9d5e75a67p-3, 0x1.4c89992fad397p-3, 0x1.47f70c92542b4p-3, 0x1.4373b7105abdap-3, 0x1.3eff592ea99e9p-3, 0x1.3a99b46daa3efp-3, 0x1.36428b4903f95p-3, 0x1.31f9a13720ec4p-3, 0x1.2dbebaa8fd99dp-3, 0x1.29919d0aa168ep-3, 0x1.25720ec4b7aa2p-3, 0x1.215fd73f7c24p-3, 0x1.1d5abee72aa62p-3, 0x1.19628f31f6ebp-3, 0x1.157712a74f353p-3, 0x1.119814e80aa8fp-3, 0x1.0dc562b70bc17p-3, 0x1.09feca018f361p-3, 0x1.064419e6a35e4p-3, 0x1.029522bcf2564p-3, 0x1.fde36c2cfa8p-4, 0x1.f6b34d837283cp-4, 0x1.ef99918ff791cp-4, 0x1.e895e2d24ab17p-4, 0x1.e1a7ee29882c9p-4, 0x1.dacf62c23d468p-4, 0x1.d40b3f5275679p-4, 0x1.cd5c9e99265bdp-4, 0x1.c6c284e43ce38p-4, 0x1.c03ca8fad0c2cp-4, 0x1.b9cac38471075p-4, 0x1.b36c8f0056793p-4, 0x1.ad21c7bc5a3b9p-4, 0x1.a6ea2bcb8f303p-4, 0x1.a0c57afc576ap-4, 0x1.9ab376ce0584p-4, 0x1.94b3e265ff7b1p-4, 0x1.8ec682845254ap-4, 0x1.88eb1d77f47eep-4, 0x1.83217b12a84fcp-4, 0x1.7d69649caa722p-4, 0x1.77c2a4c84aaeap-4, 0x1.722d07a5853c9p-4, 0x1.6ca85a95b918bp-4, 0x1.67346c3f91079p-4, 0x1.61d10c832c18dp-4, 0x1.5c7e0c6e900ep-4, 0x1.573b3e3268484p-4, 0x1.52087517121dbp-4, 0x1.4ce58571efb9ep-4, 0x1.47d2449b00a9p-4, 0x1.42ce88e2b5d93p-4, 0x1.3dda2988016b9p-4, 0x1.38f4feae9cb54p-4, 0x1.341ee15583e76p-4, 0x1.2f57ab4daca7p-4, 0x1.2a9f3730f468cp-4, 0x1.25f560594fe48p-4, 0x1.215a02d83d34bp-4, 0x1.1cccfb6e7bfb4p-4, 0x1.184e27841076cp-4, 0x1.13dd65208f3fep-4, 0x1.0f7a92e3b5609p-4, 0x1.0b258ffe4b5cap-4, 0x1.06de3c2b4c7bap-4, 0x1.02a477a954722p-4, 0x1.fcf046689c42ep-5, 0x1.f4b23ffeb925cp-5, 0x1.ec8e9f5dfe776p-5, 0x1.e48528a6d5021p-5, 0x1.dc95a0c62ab9p-5, 0x1.d4bfcd6ae97cbp-5, 0x1.cd0374fbd7128p-5, 0x1.c5605e8dcb4fap-5, 0x1.bdd651da47badp-5, 0x1.b66517366f94ep-5, 0x1.af0c778a5e874p-5, 0x1.a7cc3c48db80ep-5, 0x1.a0a42f67746d3p-5, 0x1.99941b56f348cp-5, 0x1.929bcafc388b1p-5, 0x1.8bbb09a9748f6p-5, 0x1.84f1a317ba5c6p-5, 0x1.7e3f6360f16aep-5, 0x1.77a416fa1da01p-5, 0x1.711f8aadf943p-5, 0x1.6ab18b97df2ap-5, 0x1.6459e71f0412bp-5, 0x1.5e186af1f32d7p-5, 0x1.57ece5024f45p-5, 0x1.51d72380d8dc2p-5, 0x1.4bd6f4d9ada56p-5, 0x1.45ec27b0c2622p-5, 0x1.40168ade9675fp-5, 0x1.3a55ed6d1f6b5p-5, 0x1.34aa1e94e2e9dp-5, 0x1.2f12edba4b6e3p-5, 0x1.29902a6b27ef5p-5, 0x1.2421a45c61b28p-5, 0x1.1ec72b67dd661p-5, 0x1.19808f8a904f2p-5, 0x1.144da0e2c0bep-5, 0x1.0f2e2fae73e5ep-5, 0x1.0a220c4a0d50bp-5, 0x1.0529072f14acdp-5, 0x1.0042f0f32c82dp-5, 0x1.f6df348e5d21bp-6, 0x1.ed5da7ecede36p-6, 0x1.e400ddcca86a7p-6, 0x1.dac8782b3f2a9p-6, 0x1.d1b41938f437bp-6, 0x1.c8c3635863176p-6, 0x1.bff5f91e89e65p-6, 0x1.b74b7d5317747p-6, 0x1.aec392f0f6997p-6, 0x1.a65ddd2718de2p-6, 0x1.9e19ff597484ap-6, 0x1.95f79d223c43ep-6, 0x1.8df65a5341f09p-6, 0x1.8615daf781f5ap-6, 0x1.7e55c354e177ep-6, 0x1.76b5b7ee089eep-6, 0x1.6f355d845d3cap-6, 0x1.67d4591a1dd3fp-6, 0x1.60924ff493233p-6, 0x1.596ee79e599c4p-6, 0x1.5269c5e9b786ep-6, 0x1.4b8290f30bc41p-6, 0x1.44b8ef23417e6p-6, 0x1.3e0c873256267p-6, 0x1.377d0029e0d72p-6, 0x1.310a0167a5b09p-6, 0x1.2ab332a02f886p-6, 0x1.24783be16560fp-6, 0x1.1e58c595322cap-6, 0x1.185478841af92p-6, 0x1.126afdd7ec53dp-6, 0x1.0c9bff1e50751p-6, 0x1.06e7264b7b3c8p-6, 0x1.014c1dbcc4951p-6, 0x1.f79520768e24cp-7, 0x1.ecc451fd085e2p-7, 0x1.e225275de846p-7, 0x1.d7b6f8d13dbe9p-7, 0x1.cd791f7b57c91p-7, 0x1.c36af571e7029p-7, 0x1.b98bd5c0e504fp-7, 0x1.afdb1c6fb57b8p-7, 0x1.a6582685ea54cp-7, 0x1.9d0252102f5cp-7, 0x1.93d8fe24feefep-7, 0x1.8adb8ae94faf8p-7, 0x1.820959951d8fep-7, 0x1.7961cc77ea801p-7, 0x1.70e446fd0991ap-7, 0x1.68902dafe8b9bp-7, 0x1.6064e6402245bp-7, 0x1.5861d785803dep-7, 0x1.50866983d6f6fp-7, 0x1.48d2056eb83c1p-7, 0x1.414415ad16d92p-7, 0x1.39dc05dca920ap-7, 0x1.329942d546174p-7, 0x1.2b7b3aac09a0dp-7, 0x1.24815cb65a228p-7, 0x1.1dab198cd127p-7, 0x1.16f7e30df014bp-7, 0x1.10672c60bdf22p-7, 0x1.09f869f73bef1p-7, 0x1.03ab1190ae703p-7, 0x1.fafd3477a905ap-8, 0x1.eee4f8b1c9d2fp-8, 0x1.e30c6336ec5f1p-8, 0x1.d7726a187d8a1p-8, 0x1.cc16061564664p-8, 0x1.c0f6329cf059dp-8, 0x1.b611edd19d078p-8, 0x1.ab68388b5aee5p-8, 0x1.a0f81659d7792p-8, 0x1.96c08d8646642p-8, 0x1.8cc0a7150d4c7p-8, 0x1.82f76ec72850ep-8, 0x1.7963f31b3ec2dp-8, 0x1.7005454e7520fp-8, 0x1.66da795d201cp-8, 0x1.5de2a6031f397p-8, 0x1.551ce4bbee46bp-8, 0x1.4c8851c2942dfp-8, 0x1.44240c114f14cp-8, 0x1.3bef3560fbcd1p-8, 0x1.33e8f2284f646p-8, 0x1.2c10699acc955p-8, 0x1.2464c5a79f0bep-8, 0x1.1ce532f80c8b6p-8, 0x1.1590e7b518198p-8, 0x1.0e6708df193d3p-8, 0x1.0766d1824b50dp-8, 0x1.008f79201f5bbp-8, 0x1.f3c073d40a569p-9, 0x1.e6b0a17da105ap-9, 0x1.d9edfa4fff395p-9, 0x1.cd7702ad98f11p-9, 0x1.c14a444230547p-9, 0x1.b5664dfc6952dp-9, 0x1.a9c9b40717744p-9, 0x1.9e730fc234696p-9, 0x1.9360ffbb993dbp-9, 0x1.889227a78e729p-9, 0x1.7e053058d19cep-9, 0x1.73b8c7b8b4e89p-9, 0x1.69aba0bee3698p-9, 0x1.5fdc7368d69bfp-9, 0x1.5649fcb13680cp-9, 0x1.4cf2fe86f3eb8p-9, 0x1.43d63fc43536dp-9, 0x1.3af28c251b915p-9, 0x1.3246b43e430bap-9, 0x1.29d18d7350b9fp-9, 0x1.2191f1ed022b1p-9, 0x1.1986c08f5364cp-9, 0x1.11aedcef7ce73p-9, 0x1.0a092f49a911ep-9, 0x1.0294a476bdcdp-9, 0x1.f6a05bc367d5fp-10, 0x1.e87582fa7512dp-10, 0x1.daa6b371ad6fbp-10, 0x1.cd31eaec3d66cp-10, 0x1.c0152ffbad78cp-10, 0x1.b34e91e9e38d2p-10, 0x1.a6dc28a2b17a3p-10, 0x1.9abc149db6decp-10, 0x1.8eec7ec793576p-10, 0x1.836b986b4b5e8p-10, 0x1.78379b1b3b74cp-10, 0x1.6d4ec89a58f9cp-10, 0x1.62af6ac4f189ep-10, 0x1.5857d3792b4f9p-10, 0x1.4e465c7fe086ep-10, 0x1.44796775094ap-10, 0x1.3aef5db02c1f5p-10, 0x1.31a6b02ca83f6p-10, 0x1.289dd771ffdabp-10, 0x1.1fd3537bd810fp-10, 0x1.1745aba28905p-10, 0x1.0ef36e829d79dp-10, 0x1.06db31e52dfbap-10, 0x1.fdf7254fa3475p-11, 0x1.eea6694915639p-11, 0x1.dfc1853370e01p-11, 0x1.d145dc244b5ffp-11, 0x1.c330de997b508p-11, 0x1.b5800a49837a2p-11, 0x1.a830e9f33a6efp-11, 0x1.9b41152deeb99p-11, 0x1.8eae303974c0bp-11, 0x1.8275ebce99c5fp-11, 0x1.769604eefeac2p-11, 0x1.6b0c44b5ce105p-11, 0x1.5fd68028b4243p-11, 0x1.54f2980805901p-11, 0x1.4a5e78a0281ddp-11, 0x1.4018199ad5559p-11, 0x1.361d7dd04adc6p-11, 0x1.2c6cb31927fdbp-11, 0x1.2303d220463fep-11, 0x1.19e0fe353eafap-11, 0x1.1102651e858f4p-11, 0x1.08663eecce562p-11, 0x1.000acdcdfa97bp-11, 0x1.efdcbbc0cda3p-12, 0x1.e01e8a0ecad3ep-12, 0x1.d0d7c57e4ea1fp-12, 0x1.c2053fe31586ap-12, 0x1.b3a3dd96f3e2fp-12, 0x1.a5b09523c015p-12, 0x1.98286ef00d21cp-12, 0x1.8b0884ebca58cp-12, 0x1.7e4e023dce0e2p-12, 0x1.71f622f29a3c1p-12, 0x1.65fe33ab7233fp-12, 0x1.5a63914f3f486p-12, 0x1.4f23a8bc1ba5cp-12, 0x1.443bf678c0588p-12, 0x1.39aa066986745p-12, 0x1.2f6b7382dd771p-12, 0x1.257de77f63a91p-12, 0x1.1bdf1a96955d3p-12, 0x1.128cd333a204bp-12, 0x1.0984e5add0485p-12, 0x1.00c53401d05f1p-12, 0x1.f0975b17a665fp-13, 0x1.e02c9d85f0807p-13, 0x1.d04641ebd348ap-13, 0x1.c0e0740eb5cfap-13, 0x1.b1f77859d5d7p-13, 0x1.a387ab5b9dc72p-13, 0x1.958d8146f3902p-13, 0x1.88058575aef9bp-13, 0x1.7aec59ec85bfdp-13, 0x1.6e3eb6dfe9facp-13, 0x1.61f96a3ee10c2p-13, 0x1.5619573a5406fp-13, 0x1.4a9b75d1f66f7p-13, 0x1.3f7cd26218f7cp-13, 0x1.34ba8d3326475p-13, 0x1.2a51da0a327a1p-13, 0x1.203fffbc699d1p-13, 0x1.168257c51b667p-13, 0x1.0d164dda37e93p-13, 0x1.03f95f8660d32p-13, 0x1.f65237838f0c7p-14, 0x1.e546451e490ffp-14, 0x1.d4ca4930e8ca7p-14, 0x1.c4d9c59b59fa1p-14, 0x1.b5705c0fe5a2p-14, 0x1.a689cd50f87fcp-14, 0x1.9821f87e56425p-14, 0x1.8a34da5edee96p-14, 0x1.7cbe8cae51bdfp-14, 0x1.6fbb456fb53dcp-14, 0x1.63275643b3cb9p-14, 0x1.56ff2bbd644fep-14, 0x1.4b3f4cbeed133p-14, 0x1.3fe459d6f9e79p-14, 0x1.34eb0ca1c1ab6p-14, 0x1.2a50372b23bd9p-14, 0x1.2010c35af6a68p-14, 0x1.1629b256582f4p-14, 0x1.0c981bf196e32p-14, 0x1.03592e1dcabedp-14, 0x1.f4d458b7f1bb7p-15, 0x1.e390de5f36a95p-15, 0x1.d2e2c731afb7bp-15, 0x1.c2c515169e98bp-15, 0x1.b332f0dd066e2p-15, 0x1.a427a93592a36p-15, 0x1.959eb1b9f3eebp-15, 0x1.8793a1f1968a5p-15, 0x1.7a023466864c1p-15, 0x1.6ce645b1812d1p-15, 0x1.603bd394f02f2p-15, 0x1.53fefc1f2d6f2p-15, 0x1.482bfcc262f7dp-15, 0x1.3cbf3181b17e7p-15, 0x1.31b5141ebb484p-15, 0x1.270a3b3ebfdbdp-15, 0x1.1cbb59ac81629p-15, 0x1.12c53d870a72dp-15, 0x1.0924cf8244602p-15, 0x1.ffae245791dd1p-16, 0x1.edb242582a00dp-16, 0x1.dc50612383ea8p-16, 0x1.cb831842ea8ep-16, 0x1.bb452d4c5755cp-16, 0x1.ab91929334d1ep-16, 0x1.9c6365d9f6b1fp-16, 0x1.8db5ef0cc87c1p-16, 0x1.7f849f13d92d5p-16, 0x1.71cb0e882960dp-16, 0x1.6484fc9523fd1p-16, 0x1.57ae4dcfe0349p-16, 0x1.4b430b1a398bfp-16, 0x1.3f3f608814e14p-16, 0x1.339f9c501dcc8p-16, 0x1.28602dc2c68f5p-16, 0x1.1d7da447fbb5cp-16, 0x1.12f4ae5b0edeep-16, 0x1.08c2189f5f621p-16, 0x1.fdc599d2eb6bap-17, 0x1.eaa7a2acae605p-17, 0x1.d8248ed14ae34p-17, 0x1.c636d652a918p-17, 0x1.b4d92496cb3cbp-17, 0x1.a40656db4b53ap-17, 0x1.93b97a5f4af44p-17, 0x1.83edcaf832168p-17, 0x1.749eb18be8996p-17, 0x1.65c7c29134155p-17, 0x1.5764bca0a6fe7p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.75604dee96b2bp-3, 0x1.81c645298f3e5p-3, 0x1.8c6d434c583edp-3, 0x1.9555aa382befap-3, 0x1.9c82e32baa6acp-3, 0x1.a1fb7e98a599cp-3, 0x1.a5c8815301f53p-3, 0x1.a7f52e6e2d248p-3, 0x1.a88e777ee0028p-3, 0x1.a7a2b3a0f5cdcp-3, 0x1.a54172dca5afep-3, 0x1.a17b3e0905907p-3, 0x1.9c617fb0f5797p-3, 0x1.960611b837a9cp-3, 0x1.8e7ad56c7d0bbp-3, 0x1.85d1e7b234454p-3, 0x1.7c1ddfe53685p-3, 0x1.71718cbe15d25p-3, 0x1.65df7231c97e2p-3, 0x1.597979a94be95p-3, 0x1.4c50fa76e1d43p-3, 0x1.3e76ee5a8231ap-3, 0x1.2ffc8d89e34fbp-3, 0x1.20f2b0b891bf4p-3, 0x1.116935aeca74bp-3, 0x1.016f3587a7bbbp-3, 0x1.e2267d1141358p-4, 0x1.c0c6e06919ec9p-4, 0x1.9edacff5d89a4p-4, 0x1.7c7c39c6d7d87p-4, 0x1.59c399a58d12dp-4, 0x1.36c806d509a89p-4, 0x1.139f56a6f0726p-4, 0x1.e0bc63c990a0ap-5, 0x1.9a302918e1f59p-5, 0x1.53be8ac5dbcd7p-5, 0x1.0d89a87c05b66p-5, 0x1.8f628691db471p-6, 0x1.04a5a34de22e1p-6, 0x1.ec4c6261f723p-8, -0x1.a462a68cc2311p-11, -0x1.279e6cf89b2c7p-7, -0x1.18c7be8718197p-6, -0x1.9be6faa47c29cp-6, -0x1.0e85615e01bddp-5, -0x1.4e0a1a5d9eaecp-5, -0x1.8c73c13cfb0ddp-5, -0x1.c9b5e66d17a0ap-5, -0x1.02e2bfbf80c38p-4, -0x1.204c675bb4495p-4, -0x1.3d13a16c5f68cp-4, -0x1.5934a96da8d81p-4, -0x1.74ac2e761c78ap-4, -0x1.8f77480c7d5p-4, -0x1.a993725becf76p-4, -0x1.c2fe914be5818p-4, -0x1.dbb6f7c0f1c34p-4, -0x1.f3bb6f2672fc1p-4, -0x1.05859dd31beb3p-3, -0x1.10d30d6c05692p-3, -0x1.1bc61e4867e07p-3, -0x1.265f1b8ca1969p-3, -0x1.309e7c81244e4p-3, -0x1.3a83fa613c862p-3, -0x1.44126d8dc3227p-3, -0x1.4d4997030033fp-3, -0x1.562a44176e6b4p-3, -0x1.5eb559e31fd3bp-3, -0x1.66ebd6f2b00c5p-3, -0x1.6eced42739374p-3, -0x1.765f84534aff1p-3, -0x1.7d9f3282c6656p-3, -0x1.848f3f2b79152p-3, -0x1.8b311cb3b6847p-3, -0x1.91864bc54666ep-3, -0x1.979057ce2e64p-3, -0x1.9d50d3ed338e5p-3, -0x1.a2c9586462c5bp-3, -0x1.a7fb8090e3c8cp-3, -0x1.ace8e957034cdp-3, -0x1.b1932fe9294e8p-3, -0x1.b5fbf0ceb0337p-3, -0x1.ba24c71216f78p-3, -0x1.be0f4b850e8b9p-3, -0x1.c1bd1412b55aap-3, -0x1.c52fb32306214p-3, -0x1.c868b71a77f79p-3, -0x1.cb69aa0354cf4p-3, -0x1.ce341169c6faep-3, -0x1.d0c96e69b9ebep-3, -0x1.d32b3de11b5cep-3, -0x1.d55af8aead373p-3, -0x1.d75a13e06bd17p-3, -0x1.d92a00b6fa06dp-3, -0x1.dacc2c6c28de8p-3, -0x1.dc41ffb7b7f62p-3, -0x1.dd8cde1aa036ap-3, -0x1.deae2503e2e9dp-3, -0x1.dfa72ae75a29ep-3, -0x1.e0793e5f0500dp-3, -0x1.e125a56ae9dp-3, -0x1.e1ad9cdc2eafbp-3, -0x1.e21257f00a5cfp-3, -0x1.e255001825fd9p-3, -0x1.e276b4e93343ep-3, -0x1.e2788c26245b8p-3, -0x1.e25b91dee0faap-3, -0x1.e220c89b22a12p-3, -0x1.e1c9298d74a32p-3, -0x1.e155a4cd7189cp-3, -0x1.e0c7219b14613p-3, -0x1.e01e7eae62767p-3, -0x1.df5c9296d617cp-3, -0x1.de822c2cb6405p-3, -0x1.dd90131422e5p-3, -0x1.dc87084f02d73p-3, -0x1.db67c6d80f425p-3, -0x1.da33043f40c3bp-3, -0x1.d8e9713eb0e32p-3, -0x1.d78bba3f217bfp-3, -0x1.d61a87c4bc5f7p-3, -0x1.d4967ebed694fp-3, -0x1.d30040b892573p-3, -0x1.d1586beb109c7p-3, -0x1.cf9f9b34e9e5ep-3, -0x1.cdd665fc9e16ap-3, -0x1.cbfd6005013fbp-3, -0x1.ca15193b0f91cp-3, -0x1.c81e1d8413fdap-3, -0x1.c618f4920b537p-3, -0x1.c40621c28bdc5p-3, -0x1.c1e6240b1531bp-3, -0x1.bfb975f3dba15p-3, -0x1.bd808da103afdp-3, -0x1.bb3bdce91495cp-3, -0x1.b8ebd176c6b96p-3, -0x1.b690d4f3dc68dp-3, -0x1.b42b4d3a9d1b4p-3, -0x1.b1bb9c8b78244p-3, -0x1.af4221c4b1e43p-3, -0x1.acbf389a00427p-3, -0x1.aa3339ca93697p-3, -0x1.a79e7b542e728p-3, -0x1.a50150a26c2ebp-3, -0x1.a25c0ab9aebfbp-3, -0x1.9faef85d72c1cp-3, -0x1.9cfa663251aacp-3, -0x1.9a415a5c3efd4p-3, -0x1.977dbe6ffebbcp-3, -0x1.94b375fb36d8ap-3, -0x1.91e2cadd443bdp-3, -0x1.8f0c05238b964p-3, -0x1.8c2f6b15c7432p-3, -0x1.894d4145ac248p-3, -0x1.8665caa158bdap-3, -0x1.83794887d330dp-3, -0x1.8087fadee6334p-3, -0x1.7d922029a602cp-3, -0x1.7a97f59eff086p-3, -0x1.7799b73fa6269p-3, -0x1.74979feb15607p-3, -0x1.7191e97311ca8p-3, -0x1.6e88ccad97956p-3, -0x1.6b7c8184ea3a5p-3, -0x1.686d3f05c5446p-3, -0x1.655b3b6ba6ad5p-3, -0x1.6246ac2b3814ep-3, -0x1.5f2fc5fb0814ep-3, -0x1.5c16bcda9d5eap-3, -0x1.58fbc41818691p-3, -0x1.55df0e5496b36p-3, -0x1.52c0cd87711f5p-3, -0x1.4fa133009678fp-3, -0x1.4c806f6a182b5p-3, -0x1.495eb2c925d18p-3, -0x1.463c2c7e80719p-3, -0x1.43190b469cca5p-3, -0x1.3ff57d3981056p-3, -0x1.3cd1afca74abdp-3, -0x1.39adcfc795563p-3, -0x1.368a09595e2aep-3, -0x1.336688022771bp-3, -0x1.3043769da546cp-3, -0x1.2d20ff6061058p-3, -0x1.29ff4bd736393p-3, -0x1.26de84e6bfb7dp-3, -0x1.23bed2cac59e2p-3, -0x1.20a05d1590e84p-3, -0x1.1d834aaf32ba4p-3, -0x1.1a67c1d4af824p-3, -0x1.174de8171b27p-3, -0x1.1435e25a974dep-3, -0x1.111fd4d545511p-3, -0x1.0e0be30e2a22p-3, -0x1.0afa2fdc14dp-3, -0x1.07eadd6480a8ep-3, -0x1.04de0d1a97038p-3, -0x1.01d3dfbe4708cp-3, -0x1.fd98eab704daap-4, -0x1.f78fda936a35ap-4, -0x1.f18ccc56ddf85p-4, -0x1.eb8ffbdcabd59p-4, -0x1.e599a396a6d7cp-4, -0x1.dfa9fc8e26b4bp-4, -0x1.d9c13e657cc1fp-4, -0x1.d3df9f59f92abp-4, -0x1.ce0554466603ap-4, -0x1.c83290a5e867bp-4, -0x1.c26786974b22bp-4, -0x1.bca466e081a73p-4, -0x1.b6e960f26a593p-4, -0x1.b136a2ecab3ccp-4, -0x1.ab8c59a1a1fe1p-4, -0x1.a5eab09a4eb2bp-4, -0x1.a051d21a20b28p-4, -0x1.9ac1e722ac923p-4, -0x1.953b17772eec4p-4, -0x1.8fbd899fcf4d9p-4, -0x1.8a4962eca69e1p-4, -0x1.84dec7788444cp-4, -0x1.7f7dda2b66f23p-4, -0x1.7a26bcbcab5adp-4, -0x1.74d98fb500896p-4, -0x1.6f9672701004bp-4, -0x1.6a5d831df15b8p-4, -0x1.652edec4688ffp-4, -0x1.600aa13ffaa3dp-4, -0x1.5af0e544dd33ep-4, -0x1.55e1c45fce52ep-4, -0x1.50dd56f6e398ep-4, -0x1.4be3b44a4bd4p-4, -0x1.46f4f2751deabp-4, -0x1.4211266e31f21p-4, -0x1.3d38640915021p-4, -0x1.386abdf7192ecp-4, -0x1.33a845c88f60dp-4, -0x1.2ef10bee29a3fp-4, -0x1.2a451fba92f04p-4, -0x1.25a48f6438bcep-4, -0x1.210f68074bfd2p-4, -0x1.1c85b5a801722p-4, -0x1.1807833500c8ap-4, -0x1.1394da8a19ba9p-4, -0x1.0f2dc4732acd2p-4, -0x1.0ad248af3fa63p-4, -0x1.06826df3e725fp-4, -0x1.023e39f0b65cfp-4, -0x1.fc0b62a6019ffp-5, -0x1.f3b1af936c68ap-5, -0x1.eb6f6012d7f53p-5, -0x1.e34477a10aea8p-5, -0x1.db30f7d70bbbfp-5, -0x1.d334e072ee946p-5, -0x1.cb502f60dc3f5p-5, -0x1.c382e0c4461aap-5, -0x1.bbccef0142d92p-5, -0x1.b42e52c60a3b6p-5, -0x1.aca703148fbebp-5, -0x1.a536f54c2e89cp-5, -0x1.9dde1d336dfa3p-5, -0x1.969c6d01d1cecp-5, -0x1.8f71d569b1b4cp-5, -0x1.885e45a21dda6p-5, -0x1.8161ab70bcd16p-5, -0x1.7a7bf333afc73p-5, -0x1.73ad07eb6f59cp-5, -0x1.6cf4d3449d83bp-5, -0x1.66533da1d4042p-5, -0x1.5fc82e255eb81p-5, -0x1.59538abae9a3bp-5, -0x1.52f538211984bp-5, -0x1.4cad19f30de0bp-5, -0x1.467b12b1d0131p-5, -0x1.405f03cda1fcap-5, -0x1.3a58cdaf3796fp-5, -0x1.34684fc0d2451p-5, -0x1.2e8d687737e76p-5, -0x1.28c7f55a95e12p-5, -0x1.2317d30f376eap-5, -0x1.1d7cdd5e202ffp-5, -0x1.17f6ef3d8d5e8p-5, -0x1.1285e2d94a535p-5, -0x1.0d29919ae8e7bp-5, -0x1.07e1d431d9772p-5, -0x1.02ae829b600c1p-5, -0x1.fb1ee854d3c4fp-6, -0x1.f108ff1e889b5p-6, -0x1.e71af5be65179p-6, -0x1.dd547737cc166p-6, -0x1.d3b52d75ae09fp-6, -0x1.ca3cc158ff13ep-6, -0x1.c0eadac6f857cp-6, -0x1.b7bf20b715c02p-6, -0x1.aeb93940e3e95p-6, -0x1.a5d8c9a98eb7dp-6, -0x1.9d1d76713f609p-6, -0x1.9486e3603dec7p-6, -0x1.8c14b393d41b8p-6, -0x1.83c6898b1151ap-6, -0x1.7b9c073337413p-6, -0x1.7394cdf40df51p-6, -0x1.6bb07ebbe2b4cp-6, -0x1.63eeba0b6522p-6, -0x1.5c4f200140141p-6, -0x1.54d150657cf89p-6, -0x1.4d74eab4a946fp-6, -0x1.46398e2ac5117p-6, -0x1.3f1ed9cdf5111p-6, -0x1.38246c78f8e1dp-6, -0x1.3149e4e5656e7p-6, -0x1.2a8ee1b59bce2p-6, -0x1.23f3017e92657p-6, -0x1.1d75e2d14bb1dp-6, -0x1.171724441c876p-6, -0x1.10d6647bbef07p-6, -0x1.0ab2ddf488cdep-6, -0x1.04ad017724d45p-6, -0x1.fd880034516fep-7, -0x1.f1eef218e1d54p-7, -0x1.e68e176acf115p-7, -0x1.db64af7914ad9p-7, -0x1.d071fa215e9dap-7, -0x1.c5b537de42207p-7, -0x1.bb2da9d4d1f79p-7, -0x1.b0da91e1f3495p-7, -0x1.a6bb32a714e2fp-7, -0x1.9ccecf969d4bdp-7, -0x1.9314acffdcfefp-7, -0x1.898c101a95af2p-7, -0x1.80343f12206edp-7, -0x1.770c81103c965p-7, -0x1.6e141e475d2f5p-7, -0x1.654a5ffcb2d2ep-7, -0x1.5cae9091c929p-7, -0x1.543ffb8dde09fp-7, -0x1.4bfdeda6b5bcbp-7, -0x1.43e7b4c951ef6p-7, -0x1.3bfca022238cbp-7, -0x1.343c00250c93p-7, -0x1.2ca5269504791p-7, -0x1.2537668b6de6p-7, -0x1.1df2147f2b641p-7, -0x1.16d4864b646bap-7, -0x1.0fde133600f67p-7, -0x1.090e13f5ea1b4p-7, -0x1.0263e2b908a7dp-7, -0x1.f7bdb653c7367p-8, -0x1.eafcb4ea6283p-8, -0x1.de837e9dfbd2bp-8, -0x1.d250d3ef5ed5fp-8, -0x1.c66378817525p-8, -0x1.baba33224e016p-8, -0x1.af53cdd3b146bp-8, -0x1.a42f15d340ecap-8, -0x1.994adba20169bp-8, -0x1.8ea5f30bc3af4p-8, -0x1.843f332db1a0dp-8, -0x1.7a15767ccfd8fp-8, -0x1.70279acbce198p-8, -0x1.667481507d19dp-8, -0x1.5cfb0ea8e4592p-8, -0x1.53ba2adfc1122p-8, -0x1.4ab0c170b77e5p-8, -0x1.41ddc14c1a8c3p-8, -0x1.39401cda03a95p-8, -0x1.30d6c9fd52573p-8, -0x1.28a0c215f2d2ap-8, -0x1.209d0202e3fdbp-8, -0x1.18ca8a2396a79p-8, -0x1.11285e59086e5p-8, -0x1.09b58606573d4p-8, -0x1.02710c10d939ep-8, -0x1.f6b3fdbfa698fp-9, -0x1.e8dee0b7655fep-9, -0x1.db60ebd9942fp-9, -0x1.ce3850f34a8e2p-9, -0x1.c16348ca08932p-9, -0x1.b4e013163ed34p-9, -0x1.a8acf67da5eadp-9, -0x1.9cc8408c21e8cp-9, -0x1.913045ac44e65p-9, -0x1.85e3611eb824ep-9, -0x1.7adff4f0e7758p-9, -0x1.702469f2f7eb3p-9, -0x1.65af2face26fep-9, -0x1.5b7ebc52fc8c2p-9, -0x1.51918cb988eb8p-9, -0x1.47e62447ee5f1p-9, -0x1.3e7b0ceb0c012p-9, -0x1.354ed7074e4c5p-9, -0x1.2c6019697e3fdp-9, -0x1.23ad713810ddcp-9, -0x1.1b3581e2f98c2p-9, -0x1.12f6f513cbd53p-9, -0x1.0af07a9cdeb48p-9, -0x1.0320c86896bb6p-9, -0x1.f70d34cff4c17p-10, -0x1.e84165024d933p-10, -0x1.d9dbb0faeb84dp-10, -0x1.cbd9b3eef77f5p-10, -0x1.be39149154378p-10, -0x1.b0f784ee29987p-10, -0x1.a412c245caac5p-10, -0x1.978894e79dc5p-10, -0x1.8b56d00c67051p-10, -0x1.7f7b51b1861a5p-10, -0x1.73f4027322602p-10, -0x1.68bed5679363p-10, -0x1.5dd9c7f940733p-10, -0x1.5342e1c230901p-10, -0x1.48f83466f1712p-10, -0x1.3ef7db71c0fbfp-10, -0x1.353ffc2e2cf32p-10, -0x1.2bcec585221b9p-10, -0x1.22a26fd83ada3p-10, -0x1.19b93cdea4458p-10, -0x1.111177815b74p-10, -0x1.08a973b8561b6p-10, -0x1.007f8e679741cp-10, -0x1.f1245a79915a7p-11, -0x1.e1bf7d1a39e4fp-11, -0x1.d2cd7266ad55bp-11, -0x1.c44b38dd88a5fp-11, -0x1.b635df82e1a59p-11, -0x1.a88a85a06cb76p-11, -0x1.9b465a8284103p-11, -0x1.8e669d3942e52p-11, -0x1.81e89c5853c91p-11, -0x1.75c9b5b7c238dp-11, -0x1.6a0756358e083p-11, -0x1.5e9ef9784ccd4p-11, -0x1.538e29b0ae372p-11, -0x1.48d27f5dc45c9p-11, -0x1.3e69a1106166ep-11, -0x1.3451432f97f1fp-11, -0x1.2a8727bd2a162p-11, -0x1.21091e1ba241fp-11, -0x1.17d502d464dfdp-11, -0x1.0ee8bf5ceb62dp-11, -0x1.064249dec29dap-11, -0x1.fbbf49fcb477ap-12, -0x1.eb7dbf47d8515p-12, -0x1.dbbc2985fda61p-12, -0x1.cc76d646fb569p-12, -0x1.bdaa2a56ac114p-12, -0x1.af52a15097cdap-12, -0x1.a16ccd34a8cbdp-12, -0x1.93f555fce5c88p-12, -0x1.86e8f9344ead3p-12, -0x1.7a44898e68e3fp-12, -0x1.6e04ee7fea19p-12, -0x1.622723d9baddbp-12, -0x1.56a839610c587p-12, -0x1.4b85526db0c94p-12, -0x1.40bba585414dap-12, -0x1.36487bfa1f479p-12, -0x1.2c293188f5298p-12, -0x1.225b33fbdeb71p-12, -0x1.18dc02c6f1aafp-12, -0x1.0fa92ead6be15p-12, -0x1.06c0596438916p-12, -0x1.fc3e6a6c8e63dp-13, -0x1.eb87095436bd6p-13, -0x1.db56344fe738dp-13, -0x1.cba7af4621b44p-13, -0x1.bc775c81c13b4p-13, -0x1.adc13c06ce004p-13, -0x1.9f816aea87b21p-13, -0x1.91b422abce645p-13, -0x1.8455b88d8bfabp-13, -0x1.77629cf49bfdfp-13, -0x1.6ad75ac820f05p-13, -0x1.5eb096d3f7dep-13, -0x1.52eb0f2cd5f77p-13, -0x1.47839a977fb4ap-13, -0x1.3c7727f30bfeap-13, -0x1.31c2bda35715bp-13, -0x1.2763790377818p-13, -0x1.1d568dcebec54p-13, -0x1.1399459d14fp-13, -0x1.0a28ff51509cp-13, -0x1.01032e942ce8cp-13, -0x1.f04ab69c66178p-14, -0x1.df1a42480eedfp-14, -0x1.ce705decdc52ep-14, -0x1.be488cc398c86p-14, -0x1.ae9e7687599bbp-14, -0x1.9f6de679f83a6p-14, -0x1.90b2ca8538c23p-14, -0x1.8269323af19d7p-14, -0x1.748d4dfb32b74p-14, -0x1.671b6e0f1b40cp-14, -0x1.5a1001cba11b5p-14, -0x1.4d6796b881fdcp-14, -0x1.411ed7ba1a6f8p-14, -0x1.35328c439349ep-14, -0x1.299f9787035d9p-14, -0x1.1e62f7b127b4fp-14, -0x1.1379c522736ebp-14, -0x1.08e131b2a4633p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b106e4c4fdff9p-1, 0x1.9d82b2842307dp-1, 0x1.89e20970babdbp-1, 0x1.76642c24c6e04p-1, 0x1.633df31926a35p-1, 0x1.509b271f17c47p-1, 0x1.3e9f6ad6266ffp-1, 0x1.2d670ae959e99p-1, 0x1.1d0822245ff59p-1, 0x1.0d934d1db5b92p-1, 0x1.fe28c0143193cp-2, 0x1.e326490f9b5b8p-2, 0x1.ca2784aeb0efp-2, 0x1.b32e914c97682p-2, 0x1.9e388eb242b9fp-2, 0x1.8b3e2b7f8dbc6p-2, 0x1.7a341e2b22d7bp-2, 0x1.6b0c0fc636701p-2, 0x1.5db56c6081342p-2, 0x1.521dbce152fc5p-2, 0x1.4830f3a5aeac1p-2, 0x1.3fdabd7bc1031p-2, 0x1.390429beccd48p-2, 0x1.33972c5fbb39fp-2, 0x1.2f7cf90af59ffp-2, 0x1.2c9e9de0b9312p-2, 0x1.2ae55871a738p-2, 0x1.2a3acf7f54adcp-2, 0x1.2a892b19e433p-2, 0x1.2bbb1ce63eaf2p-2, 0x1.2dbbebe0145eap-2, 0x1.3077894b98c15p-2, 0x1.33daa829d31a3p-2, 0x1.37d2cebd7697dp-2, 0x1.3c4e5f77213b8p-2, 0x1.413c9bf69a571p-2, 0x1.468da5e09148dp-2, 0x1.4c327f974eaecp-2, 0x1.521d0d1871fc8p-2, 0x1.5840145209726p-2, 0x1.5e8f3be22311cp-2, 0x1.64ff0740e86c6p-2, 0x1.6b84d000fa4a1p-2, 0x1.7216bce85e722p-2, 0x1.78abb86342acbp-2, 0x1.7f3b679ea3ac1p-2, 0x1.85be229f4d8c8p-2, 0x1.8c2cecaa303d5p-2, 0x1.92816bff0b94ap-2, 0x1.98b5e0639e22ep-2, 0x1.9ec518debc3f5p-2, 0x1.a4aa69a30d0f9p-2, 0x1.aa61a32686e1ep-2, 0x1.afe70ada7c486p-2, 0x1.b53755595aa1dp-2, 0x1.ba4fa18a9d09ap-2, 0x1.bf2d743f92be8p-2, 0x1.c3ceb3f0b9fd2p-2, 0x1.c831a45854548p-2, 0x1.cc54e1a5c1c15p-2, 0x1.d0375b0bc765cp-2, 0x1.d3d84c93e7fd2p-2, 0x1.d737386367d14p-2, 0x1.da549c232a1a6p-2, 0x1.dd2f251d9d943p-2, 0x1.dfc77f45cfc3fp-2, 0x1.e21e01d950849p-2, 0x1.e4332ec4a82abp-2, 0x1.e607ad77395c8p-2, 0x1.e79c46ae3489fp-2, 0x1.e8f1e123422e2p-2, 0x1.ea097eebd46b7p-2, 0x1.eae43b479abcbp-2, 0x1.eb83489cf79e8p-2, 0x1.ebe7ee6dcaeeap-2, 0x1.ec138721bf7ccp-2, 0x1.ec077d9925074p-2, 0x1.ebc54a8ff59f4p-2, 0x1.eb4e71e830548p-2, 0x1.eaa47ffaed471p-2, 0x1.e9c907103ac04p-2, 0x1.e8bd9d18927acp-2, 0x1.e783d9b9943e8p-2, 0x1.e61d54b565768p-2, 0x1.e48ba4aa5ac69p-2, 0x1.e2d05e210c832p-2, 0x1.e0ed12da673eep-2, 0x1.dee3514dbb2a6p-2, 0x1.dcb4a447a647cp-2, 0x1.da62929cb802fp-2, 0x1.d7ee9ee4ee397p-2, 0x1.d55a4736ddd12p-2, 0x1.d2a704daac13bp-2, 0x1.cfd64bee76f03p-2, 0x1.cce98af7fb01dp-2, 0x1.c9e22a629b059p-2, 0x1.c6c18bed167c8p-2, 0x1.c3890a0e4dcd6p-2, 0x1.c039f75b8abf3p-2, 0x1.bcd59dfbe6dc4p-2, 0x1.b95d3f3337332p-2, 0x1.b5d2130bafcc4p-2, 0x1.b2354820f9ae3p-2, 0x1.ae88038ae8ceap-2, 0x1.aacb60e255332p-2, 0x1.a7007258b4fa8p-2, 0x1.a32840db08b64p-2, 0x1.9f43cc3a4e2d2p-2, 0x1.9b540b5635e68p-2, 0x1.9759ec498a5bp-2, 0x1.93565499ab46ep-2, 0x1.8f4a216b675fep-2, 0x1.8b3627bf3e7b1p-2, 0x1.871b34b5df3ep-2, 0x1.82fa0ddc1216ap-2, 0x1.7ed3717bc7a74p-2, 0x1.7aa816eee053p-2, 0x1.7678aeefec60fp-2, 0x1.7245e3e573587p-2, 0x1.6e105a25155eep-2, 0x1.69d8b02d04715p-2, 0x1.659f7ed36a29dp-2, 0x1.6165596c488f6p-2, 0x1.5d2acde71fcb8p-2, 0x1.58f064e611e4dp-2, 0x1.54b6a1d05fec8p-2, 0x1.507e02e2117e4p-2, 0x1.4c47013a6e1bp-2, 0x1.481210eab3351p-2, 0x1.43dfa1061c71bp-2, 0x1.3fb01bb42eb3bp-2, 0x1.3b83e645d239fp-2, 0x1.375b614dab184p-2, 0x1.3336e8bbd41a7p-2, 0x1.2f16d3fceaea9p-2, 0x1.2afb761c2a308p-2, 0x1.26e51de81caccp-2, 0x1.22d416194d9fdp-2, 0x1.1ec8a57a3c011p-2, 0x1.1ac30f0fd4bc2p-2, 0x1.16c39241a8513p-2, 0x1.12ca6b0143adcp-2, 0x1.0ed7d1f0132fcp-2, 0x1.0aebfc8377dcfp-2, 0x1.07071d26e2d43p-2, 0x1.0329635bdfa89p-2, 0x1.fea5f7b07dd28p-3, 0x1.f709d1b36b161p-3, 0x1.ef7ab274cd012p-3, 0x1.e7fb2487c48d8p-3, 0x1.e08b7045e8a36p-3, 0x1.d92bd919f571bp-3, 0x1.d1dc9daa37352p-3, 0x1.ca9df8062b6e1p-3, 0x1.c3701dd68b938p-3, 0x1.bc53408ec4cecp-3, 0x1.b5478d9f0b68dp-3, 0x1.ae4d2ea60f37ep-3, 0x1.a76449a185dcfp-3, 0x1.a08d011cd923p-3, 0x1.99c7745d63163p-3, 0x1.9313bf8bcac04p-3, 0x1.8c71fbda43173p-3, 0x1.85e23fa779f9ep-3, 0x1.7f649e9e519efp-3, 0x1.78f929d26d413p-3, 0x1.729fefd9d4c4ap-3, 0x1.6c58fce3f06b7p-3, 0x1.66245ace3f1edp-3, 0x1.600211371919ap-3, 0x1.59f2258edc322p-3, 0x1.53f49b27f2594p-3, 0x1.4e097345ec5dcp-3, 0x1.4830ad2c16fc6p-3, 0x1.426a462bbd405p-3, 0x1.3cb639b254e7p-3, 0x1.37148157bb79cp-3, 0x1.318514eca3c89p-3, 0x1.2c07ea89382bbp-3, 0x1.269cf69c05c72p-3, 0x1.21442bf91d75fp-3, 0x1.1bfd7be96b3f2p-3, 0x1.16c8d63a2042bp-3, 0x1.11a6294c2e3efp-3, 0x1.0c956223a7d0bp-3, 0x1.07966c76fbc24p-3, 0x1.02a932bde9fbep-3, 0x1.fb9b3c8049c8p-4, 0x1.f2072e4709988p-4, 0x1.e89608f3877b7p-4, 0x1.df47989b6c6b6p-4, 0x1.d61ba75fe57e9p-4, 0x1.cd11fd85e976ap-4, 0x1.c42a618d517c6p-4, 0x1.bb649846df6b7p-4, 0x1.b2c064e9488c7p-4, 0x1.aa3d89253a2f8p-4, 0x1.a1dbc53884227p-4, 0x1.999ad80075526p-4, 0x1.917a7f0b83c19p-4, 0x1.897a76aa5f4edp-4, 0x1.819a7a0072a61p-4, 0x1.79da4313fc656p-4, 0x1.72398addc428ep-4, 0x1.6ab80958844b3p-4, 0x1.635575900ccp-4, 0x1.5c1185b02b875p-4, 0x1.54ebef1364ec5p-4, 0x1.4de4665176495p-4, 0x1.46fa9f4daa2dap-4, 0x1.402e4d44f8163p-4, 0x1.397f22dbf1d63p-4, 0x1.32ecd22c709c5p-4, 0x1.2c770cd305fb1p-4, 0x1.261d83fc20f0fp-4, 0x1.1fdfe870e85ap-4, 0x1.19bdeaa3c0efep-4, 0x1.13b73abc75855p-4, 0x1.0dcb88a4052fep-4, 0x1.07fa84100978cp-4, 0x1.0243dc8db982dp-4, 0x1.f94e8319014a4p-5, 0x1.ee48c4d05d9fap-5, 0x1.e375dce579d8fp-5, 0x1.d8d529fb4e545p-5, 0x1.ce660ac5c551ap-5, 0x1.c427de1adaeb4p-5, 0x1.ba1a0302f5ea8p-5, 0x1.b03bd8c89055ep-5, 0x1.a68cbf0720f1fp-5, 0x1.9d0c15b9677cap-5, 0x1.93b93d470e42ep-5, 0x1.8a939691c224dp-5, 0x1.819a8301b34eap-5, 0x1.78cd64919acbfp-5, 0x1.702b9dda4550ep-5, 0x1.67b4921da87e6p-5, 0x1.5f67a55197bf1p-5, 0x1.57443c2a0f3c4p-5, 0x1.4f49bc2325cf2p-5, 0x1.47778b8aadaafp-5, 0x1.3fcd11897c031p-5, 0x1.3849b62c69447p-5, 0x1.30ece26d0008ap-5, 0x1.29b60039ec596p-5, 0x1.22a47a7f1ef52p-5, 0x1.1bb7bd2da655dp-5, 0x1.14ef35434f12ap-5, 0x1.0e4a50d1f2469p-5, 0x1.07c87f06860a8p-5, 0x1.0169302fe628ap-5, 0x1.f657ab8aace25p-6, 0x1.ea1fc4d97929ap-6, 0x1.de2994012b799p-6, 0x1.d274032b45338p-6, 0x1.c6fdff0091b7dp-6, 0x1.bbc676b3585ffp-6, 0x1.b0cc5c0905f42p-6, 0x1.a60ea36336656p-6, 0x1.9b8c43c833e6p-6, 0x1.914436eae23cbp-6, 0x1.873579321ca69p-6, 0x1.7d5f09bf7ff25p-6, 0x1.73bfea75ad80bp-6, 0x1.6a571ffe023bbp-6, 0x1.6123b1cdc1851p-6, 0x1.5824aa2ab6ed5p-6, 0x1.4f59162f65366p-6, 0x1.46c005cea2451p-6, 0x1.3e588bd6c4975p-6, 0x1.3621bdf44dd7dp-6, 0x1.2e1ab4b426433p-6, 0x1.26428b8563f0dp-6, 0x1.1e9860ba9eb4ap-6, 0x1.171b558ae5b52p-6, 0x1.0fca8e12419a5p-6, 0x1.08a53151db415p-6, 0x1.01aa692fbaff6p-6, 0x1.f5b2c4ec6f583p-7, 0x1.e86299a60bf02p-7, 0x1.db62b5abde337p-7, 0x1.ceb183de7f664p-7, 0x1.c24d74dbc48d3p-7, 0x1.b634fefa6531ep-7, 0x1.aa669e4507572p-7, 0x1.9ee0d474d2651p-7, 0x1.93a228eb6fb6ap-7, 0x1.88a928ac94ef7p-7, 0x1.7df466571277fp-7, 0x1.73827a1d74335p-7, 0x1.695201be22233p-7, 0x1.5f61a07b3673dp-7, 0x1.55afff11c99c5p-7, 0x1.4c3bcbb0f8206p-7, 0x1.4303b9f07cf03p-7, 0x1.3a0682c6f5ee5p-7, 0x1.3142e47fe3ec3p-7, 0x1.28b7a2b125cb2p-7, 0x1.20638630754d6p-7, 0x1.18455d0850457p-7, 0x1.105bfa6ccded3p-7, 0x1.08a636b00436p-7, 0x1.0122ef365b151p-7, 0x1.f3a20cd510445p-8, 0x1.e55ec762a65d5p-8, 0x1.d779e6ba56067p-8, 0x1.c9f14d430fbddp-8, 0x1.bcc2e70c3697dp-8, 0x1.afeca9b39d651p-8, 0x1.a36c944b56862p-8, 0x1.9740af3f0e5ffp-8, 0x1.8b670c393446p-8, 0x1.7fddc607ebf1p-8, 0x1.74a30081acc49p-8, 0x1.69b4e869bd0e1p-8, 0x1.5f11777092bcep-8, 0x1.54b767f13fc72p-8, 0x1.4aa4c08b7222bp-8, 0x1.40d7d09dd0381p-8, 0x1.374eefe83e9acp-8, 0x1.2e087e6f9d00ap-8, 0x1.2502e4617c309p-8, 0x1.1c3c91f7b469bp-8, 0x1.13b3ff5c1d025p-8, 0x1.0b67ac8c18651p-8, 0x1.0356213c603c1p-8, 0x1.f6fbd97969ca8p-9, 0x1.e7bb4bb738c5dp-9, 0x1.d8e7d59492871p-9, 0x1.ca7ec201313d9p-9, 0x1.bc7d6a4226562p-9, 0x1.aee135ba551eep-9, 0x1.a1a799b31051dp-9, 0x1.94ce19251cf4ep-9, 0x1.88524481d8203p-9, 0x1.7c31b97cf5547p-9, 0x1.706a22d662886p-9, 0x1.64f93824c5e5dp-9, 0x1.59dcbda0129bdp-9, 0x1.4f1283ecdda79p-9, 0x1.449867e7e7885p-9, 0x1.3a6c52723d628p-9, 0x1.308c383dc5a89p-9, 0x1.26f6199a2015p-9, 0x1.1da802425b902p-9, 0x1.14a0092ac71b3p-9, 0x1.0bdc504f7c82p-9, 0x1.035b048376a88p-9, 0x1.f634ba8006173p-10, 0x1.e63138e9a2e37p-10, 0x1.d6a81cb119f02p-10, 0x1.c7961273d8efep-10, 0x1.b8f7daa2ca1adp-10, 0x1.aaca49267782ap-10, 0x1.9d0a4504a793ep-10, 0x1.8fb4c806ab7bbp-10, 0x1.82c6de60e8ce2p-10, 0x1.763da65b8126bp-10, 0x1.6a164ffbdd37bp-10, 0x1.5e4e1caf5393bp-10, 0x1.52e25ef710583p-10, 0x1.47d07a148093dp-10, 0x1.3d15e1b75d215p-10, 0x1.32b019ac27395p-10, 0x1.289cb58c3a581p-10, 0x1.1ed9586e665ep-10, 0x1.1563b498ab0c4p-10, 0x1.0c398b331dddbp-10, 0x1.0358abfb5adp-10, 0x1.f57de9f2a2611p-11, 0x1.e4d4a469b0bep-11, 0x1.d4b17ad835dep-11, 0x1.c5107b965152dp-11, 0x1.b5edcf49220dcp-11, 0x1.a745b85468c4ap-11, 0x1.9914924fb4038p-11, 0x1.8b56d17c54a75p-11, 0x1.7e09023dac068p-11, 0x1.7127c8931f309p-11, 0x1.64afdf932b147p-11, 0x1.589e18e9c3bb1p-11, 0x1.4cef5c572b12bp-11, 0x1.41a0a730faaeap-11, 0x1.36af0be54bc19p-11, 0x1.2c17b17f69634p-11, 0x1.21d7d32e6a591p-11, 0x1.17ecbfcd60322p-11, 0x1.0e53d96dd82fap-11, 0x1.050a94e3bf832p-11, 0x1.f81cf2a6b6d8fp-12, 0x1.e6ba3f8234e4cp-12, 0x1.d5e865467141ep-12, 0x1.c5a2daea24335p-12, 0x1.b5e5389ab39c7p-12, 0x1.a6ab36e74d57ap-12, 0x1.97f0adf70b1bap-12, 0x1.89b194bcfa65dp-12, 0x1.7bea003284f28p-12, 0x1.6e96229512445p-12, 0x1.61b24aa77665fp-12, 0x1.553ae2f7957bap-12, 0x1.492c7126dcdc1p-12, 0x1.3d83953710f2ap-12, 0x1.323d08dbe41c6p-12, 0x1.27559ecd7166ap-12, 0x1.1cca4221ab93cp-12, 0x1.1297f5a68bfa4p-12, 0x1.08bbd342b30ecp-12, 0x1.fe6616ae6b8b3p-13, 0x1.ebf5c84c7813ep-13, 0x1.da217278fa96dp-13, 0x1.c8e3f5beca4bap-13, 0x1.b8385af8a137fp-13, 0x1.a819d23c1098fp-13, 0x1.9883b1c5a3f15p-13, 0x1.897174efa52a3p-13, 0x1.7adebb2c145c2p-13, 0x1.6cc747084811ap-13, 0x1.5f26fd31c27c4p-13, 0x1.51f9e387315a2p-13, 0x1.453c202a63c16p-13, 0x1.38e9f898bea59p-13, 0x1.2cffd0ccb6cfbp-13, 0x1.217a2a5faa501p-13, 0x1.1655a3b78ff59p-13, 0x1.0b8ef72f6c4cfp-13, 0x1.0122fa52e26f5p-13, 0x1.ee1d3a272717fp-14, 0x1.da9dd20f600f8p-14, 0x1.c7c2015b110fap-14, 0x1.b5843d669a163p-14, 0x1.a3df2a84e085p-14, 0x1.92cd9aa1fd7ecp-14, 0x1.824a8beccfb22p-14, 0x1.72512789f158dp-14, 0x1.62dcc04cd5921p-14, 0x1.53e8d17c6f616p-14, 0x1.4570fda0840d1p-14, 0x1.37710d4f2caf5p-14, 0x1.29e4ee06000b1p-14, 0x1.1cc8b114192b8p-14, 0x1.10188a7ad1c52p-14, 0x1.03d0cfe15e08ap-14, 0x1.efdbef148c668p-15, 0x1.d8d92ea29f613p-15, 0x1.c292c75f9949dp-15, 0x1.ad025d8e2b0e1p-15, 0x1.9821cee1dc338p-15, 0x1.83eb30af9cb22p-15, 0x1.7058ce26a4262p-15, 0x1.5d65269524dddp-15, 0x1.4b0aebc0d6f6cp-15, 0x1.3945003df7e25p-15, 0x1.280e75d8d73bbp-15, 0x1.17628c069b879p-15, 0x1.073cae6b521d3p-15, 0x1.ef30e6b7f878ep-16, 0x1.d0e334e728ed3p-16, 0x1.b3881662163fep-16, 0x1.9717a72b5b851p-16, 0x1.7b8a4dc4cc8eap-16, 0x1.60d8b8932d573p-16, 0x1.46fbdb5fbd5efp-16, 0x1.2dececf9d1ac1p-16, 0x1.15a564e172cc8p-16, 0x1.fc3df1edd576cp-17, 0x1.cea7368e5f1f8p-17, 0x1.a27aeff0ec0e7p-17, 0x1.77ade64d47c5ap-17, 0x1.4e354da57293ep-17, 0x1.2606c21931858p-17, 0x1.fe3087e73aedbp-18, 0x1.b2c0680b09a99p-18, 0x1.69aaa01ea3cbep-18, 0x1.22dd5e9d94f52p-18, 0x1.bc8efc920c961p-19, 0x1.37b0ff4051d7fp-19, 0x1.6e020ae2a1a7bp-20, 0x1.d3040e3eb4405p-22, -0x1.f26f8fb378c0dp-22, -0x1.664d40ea97f64p-20, -0x1.2444c3ecaf1d5p-19, -0x1.91c290c051624p-19, -0x1.fbb9400b9acbcp-19, -0x1.31208c7650983p-18, -0x1.62b8bd9d3e992p-18, -0x1.92b073fdc1e14p-18, -0x1.c11285a8b9f3cp-18, -0x1.ede962026439p-18, -0x1.0c9f8b37118cbp-17, -0x1.218ea919a4c86p-17, -0x1.35c6b535def1fp-17, -0x1.494c2ee7fe0ccp-17, -0x1.5c236c2bd116ep-17, -0x1.6e509b65195acp-17, -0x1.7fd7c50d5d8d1p-17, -0x1.90bccd49a9af8p-17, -0x1.a10375976ce62p-17, -0x1.b0af5e3d6307cp-17, -0x1.bfc407c6ff5f8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2c45b3c56e6e3p-2, -0x1.38073bb8cc998p-2, -0x1.435d793f007bap-2, -0x1.4e4631d6901dep-2, -0x1.58bf6c316ebfap-2, -0x1.62c76e5c96df7p-2, -0x1.6c5cbbd349051p-2, -0x1.757e13832af26p-2, -0x1.7e2a6dc5ca275p-2, -0x1.8660fa534cd0ap-2, -0x1.8e211e319dfdep-2, -0x1.956a71a2cf88bp-2, -0x1.9c3cbe150c342p-2, -0x1.a297fc160e84ep-2, -0x1.a87c514bbe221p-2, -0x1.adea0e7353265p-2, -0x1.b2e1ad681b0d8p-2, -0x1.b763cf32cd9f2p-2, -0x1.bb713a2227e93p-2, -0x1.bf0ad7ed63453p-2, -0x1.c231b3e0fcf3bp-2, -0x1.c4e6f9161e593p-2, -0x1.c72bf0b4dbf54p-2, -0x1.c90200417e89p-2, -0x1.ca6aa7f4d3c9dp-2, -0x1.cb67811f9e5ebp-2, -0x1.cbfa3c990dda9p-2, -0x1.cc24a13831f21p-2, -0x1.cbe88a584d366p-2, -0x1.cb47e667e4284p-2, -0x1.ca44b58266c33p-2, -0x1.c8e1081449d9bp-2, -0x1.c71efd896597fp-2, -0x1.c500c30573cbbp-2, -0x1.c28892267ee1cp-2, -0x1.bfb8afd1159dcp-2, -0x1.bc936b0624c3ep-2, -0x1.b91b1bc24652cp-2, -0x1.b55221e665c25p-2, -0x1.b13ae42993e52p-2, -0x1.acd7cf13ecf53p-2, -0x1.a82b54026bd9ep-2, -0x1.a337e8338e11ep-2, -0x1.9e0003dcb00efp-2, -0x1.98862147fdf4cp-2, -0x1.92ccbbfae5d0dp-2, -0x1.8cd64fe4ec819p-2, -0x1.86a55896cd1d6p-2, -0x1.803c5081c9564p-2, -0x1.799db03f1158bp-2, -0x1.72cbeddf276fbp-2, -0x1.6bc97c41273edp-2, -0x1.6498ca71d3192p-2, -0x1.5d3c43124d839p-2, -0x1.55b64bc65c237p-2, -0x1.4e0944aa20bf4p-2, -0x1.463787cf19b36p-2, -0x1.3e4368c0560fbp-2, -0x1.362f340db63a8p-2, -0x1.2dfd2ede11f31p-2, -0x1.25af968825cccp-2, -0x1.1d48a032201c2p-2, -0x1.14ca7877a1cc9p-2, -0x1.0c37431614c4ap-2, -0x1.03911a9f22a2cp-2, -0x1.f5b420625af1fp-3, -0x1.e428566b336cbp-3, -0x1.d282d2497c489p-3, -0x1.c0c77a9ea140ap-3, -0x1.aefa215a41e77p-3, -0x1.9d1e8361f3871p-3, -0x1.8b384842e2ff9p-3, -0x1.794b01ed19131p-3, -0x1.675a2c77ea5ecp-3, -0x1.55692def50273p-3, -0x1.437b5629c8564p-3, -0x1.3193dea662f0bp-3, -0x1.1fb5ea72ac178p-3, -0x1.0de4861819beap-3, -0x1.f8454f214a429p-4, -0x1.d4e65c84932e7p-4, -0x1.b1b1c60209072p-4, -0x1.8eacf02e29233p-4, -0x1.6bdd12a655ddbp-4, -0x1.494738386992fp-4, -0x1.26f03f15030d4p-4, -0x1.04dcd90beac3ap-4, -0x1.c62317a411804p-5, -0x1.832562a0c447fp-5, -0x1.40c8eff735077p-5, -0x1.fe2b8ccde5949p-6, -0x1.7c272ea7d9bb3p-6, -0x1.f726fe8ac4443p-7, -0x1.f1fa450f08acdp-8, 0x1.0a2dfff2ab91dp-14, 0x1.f3e7d1987ce19p-8, 0x1.ee8931e8e1976p-7, 0x1.6fde91a9c918p-6, 0x1.e6bcf13fb540cp-6, 0x1.2deab26d72823p-5, 0x1.678f18d5fbb92p-5, 0x1.a0471940f5da6p-5, 0x1.d80e6aa7bc0a4p-5, 0x1.077086291dap-4, 0x1.225da247224d8p-4, 0x1.3ccccfb10551ap-4, 0x1.56bc769d23e21p-4, 0x1.702b20ca4b42ep-4, 0x1.891778d336687p-4, 0x1.a18049809a295p-4, 0x1.b9647d19f413dp-4, 0x1.d0c31cb554042p-4, 0x1.e79b4f8653dbdp-4, 0x1.fdec5a2c610e5p-4, 0x1.09dacf005099fp-3, 0x1.147b4c31ba0bdp-3, 0x1.1ed77104f59bfp-3, 0x1.28ef17259c3d4p-3, 0x1.32c225372711ap-3, 0x1.3c508e7be7db6p-3, 0x1.459a527c3716fp-3, 0x1.4e9f7cadf13e2p-3, 0x1.5760241c495edp-3, 0x1.5fdc6b10029acp-3, 0x1.68147eb8230a9p-3, 0x1.700896d3262c3p-3, 0x1.77b8f558c3f84p-3, 0x1.7f25e62451e5fp-3, 0x1.864fbe9fcb0fap-3, 0x1.8d36dd6f902d5p-3, 0x1.93dbaa1ede855p-3, 0x1.9a3e94cd14b05p-3, 0x1.a06015dbc9981p-3, 0x1.a640ad9db30c3p-3, 0x1.abe0e4067ffdcp-3, 0x1.b141485b8f839p-3, 0x1.b66270e5a0cbbp-3, 0x1.bb44faa380616p-3, 0x1.bfe988fdb022fp-3, 0x1.c450c57b1a9e9p-3, 0x1.c87b5f76d1d58p-3, 0x1.cc6a0bd6e5b71p-3, 0x1.d01d84c4508ffp-3, 0x1.d396896401593p-3, 0x1.d6d5dd91084cdp-3, 0x1.d9dc4997edaap-3, 0x1.dcaa99f3338bp-3, 0x1.df419f08ff46fp-3, 0x1.e1a22cea04c4p-3, 0x1.e3cd1b11940ecp-3, 0x1.e5c34426f1ad2p-3, 0x1.e78585bfde68ap-3, 0x1.e914c0245f45dp-3, 0x1.ea71d613c92e7p-3, 0x1.eb9dac8b07819p-3, 0x1.ec992a8c28188p-3, 0x1.ed6538e731265p-3, 0x1.ee02c2042cb67p-3, 0x1.ee72b1ae8ddb4p-3, 0x1.eeb5f4e1c715fp-3, 0x1.eecd7997398d2p-3, 0x1.eeba2e955f298p-3, 0x1.ee7d03403bea2p-3, 0x1.ee16e76b19128p-3, 0x1.ed88cb2b840b2p-3, 0x1.ecd39ead8c8edp-3, 0x1.ebf852094a0e1p-3, 0x1.eaf7d519a3034p-3, 0x1.e9d3175453928p-3, 0x1.e88b07a32d4dfp-3, 0x1.e720943e9d4f9p-3, 0x1.e594aa89646dfp-3, 0x1.e3e836ed87b38p-3, 0x1.e21c24ba7f417p-3, 0x1.e0315e048afc2p-3, 0x1.de28cb8544c21p-3, 0x1.dc03547d53256p-3, 0x1.d9c1de9751c55p-3, 0x1.d7654dcbdb0b3p-3, 0x1.d4ee8446b50e6p-3, 0x1.d25e624d1fdc7p-3, 0x1.cfb5c62543631p-3, 0x1.ccf58bfeb0ab7p-3, 0x1.ca1e8ddbfe516p-3, 0x1.c731a37d70613p-3, 0x1.c42fa24cb2a61p-3, 0x1.c1195d4998366p-3, 0x1.bdefa4f7e03efp-3, 0x1.bab3474e00ed6p-3, 0x1.b7650fa4e520bp-3, 0x1.b405c6a8a76d4p-3, 0x1.b096324a436bap-3, 0x1.ad1715b22d7bfp-3, 0x1.a9893133dc6e5p-3, 0x1.a5ed42423377dp-3, 0x1.a2440364cd55dp-3, 0x1.9e8e2c2e26dcdp-3, 0x1.9acc71329bc14p-3, 0x1.96ff84003a007p-3, 0x1.932813175f98bp-3, 0x1.8f46c9e420cecp-3, 0x1.8b5c50b8745c6p-3, 0x1.87694cc71afa6p-3, 0x1.836e601f46ac4p-3, 0x1.7f6c29a8ee726p-3, 0x1.7b634521d8f25p-3, 0x1.77544b1b4f203p-3, 0x1.733fd0f875271p-3, 0x1.6f2668ed48af2p-3, 0x1.6b08a1fe33cbap-3, 0x1.66e708003d5b8p-3, 0x1.62c22399ce11ep-3, 0x1.5e9a7a43fdd52p-3, 0x1.5a708e4c6cf9dp-3, 0x1.5644ded7a4f35p-3, 0x1.5217e7e3f50a7p-3, 0x1.4dea224cccdd7p-3, 0x1.49bc03ce8d9eep-3, 0x1.458dff0aca28fp-3, 0x1.4160838cfdd0ep-3, 0x1.3d33fdcfa076cp-3, 0x1.3908d741ab2c7p-3, 0x1.34df764c74d2cp-3, 0x1.30b83e59f21bep-3, 0x1.2c938fdb483c8p-3, 0x1.2871c84fb874bp-3, 0x1.2453424bd9e0dp-3, 0x1.203855811c4d7p-3, 0x1.1c2156c59bf74p-3, 0x1.180e981c3039dp-3, 0x1.140068bcbdf9fp-3, 0x1.0ff7151ccb268p-3, 0x1.0bf2e6f849a46p-3, 0x1.07f4255a8e34bp-3, 0x1.03fb14a78dbap-3, 0x1.0007f6a5331e3p-3, 0x1.f8361509e3d42p-4, 0x1.f06919daebc6ep-4, 0x1.e8a9700900d24p-4, 0x1.e0f786f1bcdf1p-4, 0x1.d953c9190c255p-4, 0x1.d1be9c3d92886p-4, 0x1.ca38616d4cc3ap-4, 0x1.c2c1751a584bp-4, 0x1.bb5a2f2fe3a1ep-4, 0x1.b402e3273ad76p-4, 0x1.acbbe01d01c0bp-4, 0x1.a58570e66c706p-4, 0x1.9e5fdc269e61cp-4, 0x1.974b64640e91bp-4, 0x1.9048481df5f81p-4, 0x1.8956c1e1c2673p-4, 0x1.827708608be1fp-4, 0x1.7ba94e848450bp-4, 0x1.74edc3866086bp-4, 0x1.6e449302b57e2p-4, 0x1.67ade50f46a05p-4, 0x1.6129de50413acp-4, 0x1.5ab8a00d616fap-4, 0x1.545a4846fedfap-4, 0x1.4e0ef1cafae42p-4, 0x1.47d6b449910e9p-4, 0x1.41b1a46a03c46p-4, 0x1.3b9fd3df24437p-4, 0x1.35a1517bb28a5p-4, 0x1.2fb629469308p-4, 0x1.29de648ed68dfp-4, 0x1.241a09ff94df2p-4, 0x1.1e691db393e0ap-4, 0x1.18cba148bdb4fp-4, 0x1.134193f35f3ffp-4, 0x1.0dcaf291318a2p-4, 0x1.0867b7bc299d2p-4, 0x1.0317dbdd0df8p-4, 0x1.fbb6aa7b9f588p-5, 0x1.f16430374dedap-5, 0x1.e7382d71e323cp-5, 0x1.dd3282dd9ed0dp-5, 0x1.d3530d7d009dap-5, 0x1.c999a6c4fe783p-5, 0x1.c00624beb2dbcp-5, 0x1.b6985a2887283p-5, 0x1.ad501696d2feap-5, 0x1.a42d2693f1b24p-5, 0x1.9b2f53bfcafcp-5, 0x1.925664eed10e1p-5, 0x1.89a21e4870821p-5, 0x1.81124164ef51fp-5, 0x1.78a68d6ac18a3p-5, 0x1.705ebf2b4a363p-5, 0x1.683a913f0f8f7p-5, 0x1.6039bc215c74dp-5, 0x1.585bf64b54171p-5, 0x1.50a0f44e73fb4p-5, 0x1.490868ee867p-5, 0x1.4192053b06833p-5, 0x1.3a3d78a7efd82p-5, 0x1.330a712606acdp-5, 0x1.2bf89b3a8ab1fp-5, 0x1.2507a2165f9b9p-5, 0x1.1e372faca78d4p-5, 0x1.1786ecc8d06fp-5, 0x1.10f68124180abp-5, 0x1.0a85937a81a98p-5, 0x1.0433c99f4658ep-5, 0x1.fc01912173009p-6, 0x1.efd869174ed4p-6, 0x1.e3eb623c5e4cfp-6, 0x1.d839c27427d7ap-6, 0x1.ccc2ce8d1d7a8p-6, 0x1.c185ca633842dp-6, 0x1.b681f9019225p-6, 0x1.abb69cc305594p-6, 0x1.a122f771c75bp-6, 0x1.96c64a661a48fp-6, 0x1.8c9fd6a3f9e74p-6, 0x1.82aedcf7e1d2ep-6, 0x1.78f29e12a30bap-6, 0x1.6f6a5aa448d4dp-6, 0x1.661553761f389p-6, 0x1.5cf2c983cfeb2p-6, 0x1.5401fe139f68ep-6, 0x1.4b4232cdcfeefp-6, 0x1.42b2a9d328e78p-6, 0x1.3a52a5d2a9d25p-6, 0x1.32216a1e6a127p-6, 0x1.2a1e3abfb1967p-6, 0x1.22485c8a3a2d6p-6, 0x1.1a9f152eb9319p-6, 0x1.1321ab4c9b05bp-6, 0x1.0bcf66830633dp-6, 0x1.04a78f8122a9fp-6, 0x1.fb52e02b47584p-7, 0x1.eda8a67b505f5p-7, 0x1.e04f0a65c5b12p-7, 0x1.d344a6f236623p-7, 0x1.c68819d6065bcp-7, 0x1.ba18038cd5b24p-7, 0x1.adf3076fa2e11p-7, 0x1.a217cbcab32ep-7, 0x1.9684f9f24ddf8p-7, 0x1.8b393e563f024p-7, 0x1.8033489449278p-7, 0x1.7571cb8965bcep-7, 0x1.6af37d62026ecp-7, 0x1.60b717a91e083p-7, 0x1.56bb57566d9f8p-7, 0x1.4cfefcdb77c54p-7, 0x1.4380cc2fbbf06p-7, 0x1.3a3f8cdbdcdf9p-7, 0x1.313a0a03ed504p-7, 0x1.286f1270ccc18p-7, 0x1.1fdd7898a9156p-7, 0x1.178412a6a8ba6p-7, 0x1.0f61ba81c1299p-7, 0x1.07754dd2c3dbep-7, 0x1.ff7b5c13499bep-8, 0x1.f07380c404ebap-8, 0x1.e1d0dbcdeb8dp-8, 0x1.d39146ec5afd9p-8, 0x1.c5b2a384bc619p-8, 0x1.b832daaa14c6ep-8, 0x1.ab0fdd1f52457p-8, 0x1.9e47a358626p-8, 0x1.91d82d7a1aa7bp-8, 0x1.85bf83590093fp-8, 0x1.79fbb476f9d98p-8, 0x1.6e8ad7ffef623p-8, 0x1.636b0cc56eb81p-8, 0x1.589a7939517d6p-8, 0x1.4e174b67794c5p-8, 0x1.43dfb8eea2874p-8, 0x1.39f1fef85f446p-8, 0x1.304c62303db66p-8, 0x1.26ed2eba25e3bp-8, 0x1.1dd2b827f83eap-8, 0x1.14fb596e722ffp-8, 0x1.0c6574d966154p-8, 0x1.040f73ff49857p-8, 0x1.f7ef8f684e29bp-9, 0x1.e839cff7f0342p-9, 0x1.d8faa7f8dd3b9p-9, 0x1.ca2f23dc717d3p-9, 0x1.bbd45e1b84158p-9, 0x1.ade77f16fa71cp-9, 0x1.a065bcf776134p-9, 0x1.934c5b8c26c53p-9, 0x1.8698ac28dbbb5p-9, 0x1.7a480d834cd7ap-9, 0x1.6e57eb8fbc2d6p-9, 0x1.62c5bf5cef326p-9, 0x1.578f0eef8bff9p-9, 0x1.4cb16d1cf096fp-9, 0x1.422a796580cc9p-9, 0x1.37f7dfce8159p-9, 0x1.2e1758bb82e3ep-9, 0x1.2486a8c76ccb9p-9, 0x1.1b43a09d2cb9bp-9, 0x1.124c1cd016d78p-9, 0x1.099e05b401e48p-9, 0x1.01374f3524d02p-9, 0x1.f22bf15f76ef5p-10, 0x1.e270198f0d9ap-10, 0x1.d337427e42287p-10, 0x1.c47dad9e76189p-10, 0x1.b63fb1fb7e65bp-10, 0x1.a879bbe9d4ab1p-10, 0x1.9b284cb4b8834p-10, 0x1.8e47fa4c4fc7cp-10, 0x1.81d56ef3d0f25p-10, 0x1.75cd68efcac43p-10, 0x1.6a2cba348db49p-10, 0x1.5ef04814c147cp-10, 0x1.54150af04054ep-10, 0x1.49980de32916bp-10, 0x1.3f766e754f2f6p-10, 0x1.35ad5c49f6dc8p-10, 0x1.2c3a18cfffa1p-10, 0x1.2319f6f26d82ap-10, 0x1.1a4a5ac96f415p-10, 0x1.11c8b94bde27p-10, 0x1.099298013ad16p-10, 0x1.01a58cb43a6f6p-10, 0x1.f3fe7a4bcab25p-11, 0x1.e53abd82900c9p-11, 0x1.d6fb6c9f8a7cbp-11, 0x1.c93c2f5c1788ep-11, 0x1.bbf8cb0367c49p-11, 0x1.af2d21df1726ap-11, 0x1.a2d532a52abccp-11, 0x1.96ed17e77e166p-11, 0x1.8b710784a7d62p-11, 0x1.805d521a5d84ep-11, 0x1.75ae62795e14ep-11, 0x1.6b60bd1aeabc7p-11, 0x1.6170ff97d31cfp-11, 0x1.57dbe0211b048p-11, 0x1.4e9e2cfa408a4p-11, 0x1.45b4cbf5236dap-11, 0x1.3d1cb9ef984cep-11, 0x1.34d30a52a4ff8p-11, 0x1.2cd4e6936edc5p-11, 0x1.251f8db5d9cbcp-11, 0x1.1db053d0df20cp-11, 0x1.1684a1949ade6p-11, 0x1.0f99f3d21304fp-11, 0x1.08eddb04ba79bp-11, 0x1.027dfaddb0e37p-11, 0x1.f89013a17e104p-12, 0x1.ec93a1462366p-12, 0x1.e10253f768123p-12, 0x1.d5d803eb8d324p-12, 0x1.cb10ab68eacdp-12, 0x1.c0a865f154ebfp-12, 0x1.b69b6f70fe37bp-12, 0x1.ace62370ca95bp-12, 0x1.a384fc4c1c958p-12, 0x1.9a74926a1111cp-12, 0x1.91b19b7a27ab8p-12, 0x1.8938e9b45737dp-12, 0x1.81076b1c84ac5p-12, 0x1.791a28c95c899p-12, 0x1.716e462e85c17p-12, 0x1.6a01006a2bd99p-12, 0x1.62cfad95d8a1dp-12, 0x1.5bd7bc1a95629p-12, 0x1.5516b20853f7cp-12, 0x1.4e8a2c708fa0cp-12, 0x1.482fdec425f8ep-12, 0x1.420592345e304p-12, 0x1.3c0925171837p-12, 0x1.36388a4e18243p-12, 0x1.3091c8b16a3ffp-12, 0x1.2b12fa7cd9612p-12, 0x1.25ba4cc068c23p-12, 0x1.2085fed3cc5ap-12, 0x1.1b7461ccd9dcbp-12, 0x1.1683d7f8e6aefp-12, 0x1.11b2d4590717bp-12, 0x1.0cffda212d53bp-12, 0x1.08697c3a18577p-12, 0x1.03ee5cc60cd52p-12, 0x1.ff1a59509e27ap-13, 0x1.f689561ea3c16p-13, 0x1.ee274a0326ccdp-13, 0x1.e5f1e9da3eb78p-13, 0x1.dde7047354c1fp-13, 0x1.d60481ba7779p-13, 0x1.ce4861e6c83aap-13, 0x1.c6b0bcadd956ap-13, 0x1.bf3bc07bf84bap-13, 0x1.b7e7b1b14bccdp-13, 0x1.b0b2e9e3b55b9p-13, 0x1.a99bd7255e21ep-13, 0x1.a2a0fb4fddf15p-13, 0x1.9bc0eb53edfd2p-13, 0x1.94fa4e8d8a7bfp-13, 0x1.8e4bde1c777cbp-13, 0x1.87b4644117d0bp-13, 0x1.8132bbbd76853p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1208521122dcep-2, -0x1.1e3cae2436b51p-2, -0x1.2a3dbd02ea0bdp-2, -0x1.360a0567bb219p-2, -0x1.41a0261eef736p-2, -0x1.4cfed5aa66736p-2, -0x1.5824e1da85b2p-2, -0x1.63112f5defacdp-2, -0x1.6dc2b94981b14p-2, -0x1.78389099fa6ddp-2, -0x1.8271dbb070bep-2, -0x1.8c6dd5caac3ffp-2, -0x1.962bce784be1p-2, -0x1.9fab290d87538p-2, -0x1.a8eb5c14473ap-2, -0x1.b1ebf0bc2f48fp-2, -0x1.baac824a286b7p-2, -0x1.c32cbd87e4507p-2, -0x1.cb6c6033c299ep-2, -0x1.d36b3871740b8p-2, -0x1.db29243baa01p-2, -0x1.e2a610d714954p-2, -0x1.e9e1fa46ef409p-2, -0x1.f0dceac33eab4p-2, -0x1.f796fa30fb15bp-2, -0x1.fe104d9c38ec8p-2, -0x1.02248b5a3b1e7p-1, -0x1.0520c9a58fc12p-1, -0x1.07fd066a2dd14p-1, -0x1.0ab96bf51a8a8p-1, -0x1.0d5629e910fc9p-1, -0x1.0fd375027b0c9p-1, -0x1.123186dca4434p-1, -0x1.14709db823545p-1, -0x1.1690fc427efcbp-1, -0x1.1892e95f0c04ep-1, -0x1.1a76aff1042edp-1, -0x1.1c3c9ea6d36c7p-1, -0x1.1de507c69e01dp-1, -0x1.1f7040fbf6c71p-1, -0x1.20dea326c9b8p-1, -0x1.22308a2b75525p-1, -0x1.236654c40fe58p-1, -0x1.24806452d783dp-1, -0x1.257f1cb5ca994p-1, -0x1.2662e41b63704p-1, -0x1.272c22d87786cp-1, -0x1.27db433f35325p-1, -0x1.2870b1773f953p-1, -0x1.28ecdb56e211cp-1, -0x1.2950303d5da87p-1, -0x1.299b20ee48c5dp-1, -0x1.29ce1f6e02d25p-1, -0x1.29e99edf340a1p-1, -0x1.29ee13615cb0ep-1, -0x1.29dbf1f069f4fp-1, -0x1.29b3b04554e6dp-1, -0x1.2975c4b7c1303p-1, -0x1.2922a6209ed66p-1, -0x1.28bacbbdc7c65p-1, -0x1.283ead1697302p-1, -0x1.27aec1e179275p-1, -0x1.270b81ea6ad5cp-1, -0x1.265564fa6dacep-1, -0x1.258ce2bfe4906p-1, -0x1.24b272b7db33ap-1, -0x1.23c68c18309f2p-1, -0x1.22c9a5baa588p-1, -0x1.21bc3608c5e5dp-1, -0x1.209eb2e8ac039p-1, -0x1.1f7191aa99f88p-1, -0x1.1e3546f76360ep-1, -0x1.1cea46bfa4b18p-1, -0x1.1b91042bc237fp-1, -0x1.1a29f18cadacdp-1, -0x1.18b5804d69fd4p-1, -0x1.173420e54b894p-1, -0x1.15a642caf038ap-1, -0x1.140c5467ea8fcp-1, -0x1.1266c30d1a7e4p-1, -0x1.10b5fae7b142p-1, -0x1.0efa66f6db196p-1, -0x1.0d347102097cep-1, -0x1.0b64818fda5abp-1, -0x1.098affdd98d0dp-1, -0x1.07a851d750234p-1, -0x1.05bcdc1070ee1p-1, -0x1.03c901bcfee6dp-1, -0x1.01cd24ab48b78p-1, -0x1.ff934a7c4019dp-2, -0x1.fb7dc4cf25756p-2, -0x1.f75a73483a83fp-2, -0x1.f32a0deca7be2p-2, -0x1.eeed49c5fe13dp-2, -0x1.eaa4d8db4cb5dp-2, -0x1.e6516a2b0b4bcp-2, -0x1.e1f3a9a5d3507p-2, -0x1.dd8c4029e0a93p-2, -0x1.d91bd37f50acbp-2, -0x1.d4a3065519711p-2, -0x1.d022783eb257dp-2, -0x1.cb9ac5b26900cp-2, -0x1.c70c880855026p-2, -0x1.c2785579efadbp-2, -0x1.bddec1223d66p-2, -0x1.b9405afe8a4ddp-2, -0x1.b49dafefb09ccp-2, -0x1.aff749bbe437fp-2, -0x1.ab4daf10fdd5cp-2, -0x1.a6a163873ea3p-2, -0x1.a1f2e7a48aa7cp-2, -0x1.9d42b8e00cb94p-2, -0x1.989151a64b73ep-2, -0x1.93df295d9cc3dp-2, -0x1.8f2cb46afcd3p-2, -0x1.8a7a643740e27p-2, -0x1.85c8a7349db3bp-2, -0x1.8117e8e482d42p-2, -0x1.7c6891ddc4a1bp-2, -0x1.77bb07d30f51ep-2, -0x1.730fad999f75bp-2, -0x1.6e66e3303c765p-2, -0x1.69c105c67509fp-2, -0x1.651e6fc411c18p-2, -0x1.607f78d0c0c2fp-2, -0x1.5be475dbf64a8p-2, -0x1.574db924fd8c6p-2, -0x1.52bb924334b0ep-2, -0x1.4e2e4e2e745a8p-2, -0x1.49a63747a164cp-2, -0x1.452395615cfbfp-2, -0x1.40a6adc8dcba2p-2, -0x1.3c2fc34edb65dp-2, -0x1.37bf1650abfep-2, -0x1.3354e4c160208p-2, -0x1.2ef16a330c589p-2, -0x1.2a94dfe01bd19p-2, -0x1.263f7cb4b8b64p-2, -0x1.21f175584626bp-2, -0x1.1daafc36e67f8p-2, -0x1.196c418b0e61cp-2, -0x1.153573672167dp-2, -0x1.1106bdbf18879p-2, -0x1.0ce04a722e9cap-2, -0x1.08c241548f256p-2, -0x1.04acc83909d6bp-2, -0x1.00a002fac8d34p-2, -0x1.f938270e04187p-3, -0x1.f14233cd584d2p-3, -0x1.e95e68905529dp-3, -0x1.e18cfe11f0bebp-3, -0x1.d9ce297e96012p-3, -0x1.d2221c875e36p-3, -0x1.ca890575345e3p-3, -0x1.c3030f3be467ap-3, -0x1.bb90618d1b6aep-3, -0x1.b43120eb4215ap-3, -0x1.ace56ebc48212p-3, -0x1.a5ad695c4bb85p-3, -0x1.9e892c3021339p-3, -0x1.9778cfb7bcec1p-3, -0x1.907c69a078ff1p-3, -0x1.89940cd737009p-3, -0x1.82bfc99a56945p-3, -0x1.7bffad8b88d78p-3, -0x1.7553c3c17c356p-3, -0x1.6ebc14d95537bp-3, -0x1.6838a707ffc15p-3, -0x1.61c97e2b55302p-3, -0x1.5b6e9bdb105aap-3, -0x1.5527ff798cc73p-3, -0x1.4ef5a64461d32p-3, -0x1.48d78b64bbe0ep-3, -0x1.42cda7ff8ed27p-3, -0x1.3cd7f3458af15p-3, -0x1.36f66282e5db5p-3, -0x1.3128e92ee8801p-3, -0x1.2b6f78fb43f29p-3, -0x1.25ca01e334f7dp-3, -0x1.2038723a6f4a7p-3, -0x1.1abab6bbc9892p-3, -0x1.1550ba97ba86bp-3, -0x1.0ffa678294a1ap-3, -0x1.0ab7a5c28ef82p-3, -0x1.05885c3d8ae18p-3, -0x1.006c7086a9e8p-3, -0x1.f6c78dd74393bp-4, -0x1.ecdc8503b21fcp-4, -0x1.e3178a668a61dp-4, -0x1.d9785f962456bp-4, -0x1.cffec4041756bp-4, -0x1.c6aa75159683ep-4, -0x1.bd7b2e3b591c2p-4, -0x1.b470a9090eafbp-4, -0x1.ab8a9d4c4f672p-4, -0x1.a2c8c1232801bp-4, -0x1.9a2ac9122568cp-4, -0x1.91b06819ee9cfp-4, -0x1.89594fcc61e91p-4, -0x1.812530614a1d1p-4, -0x1.7913b8ca95a5dp-4, -0x1.712496c81c86ep-4, -0x1.695776faf4dbfp-4, -0x1.61ac04f85398ep-4, -0x1.5a21eb5bfbd15p-4, -0x1.52b8d3da3d96p-4, -0x1.4b706751851d1p-4, -0x1.44484ddb79ac6p-4, -0x1.3d402eddaf456p-4, -0x1.3657b119eb6afp-4, -0x1.2f8e7abdfc214p-4, -0x1.28e4317326411p-4, -0x1.22587a6d26b8cp-4, -0x1.1beafa78cd6a4p-4, -0x1.159b560a2f029p-4, -0x1.0f69314a6f8d5p-4, -0x1.0954302528ee7p-4, -0x1.035bf6556cbbfp-4, -0x1.fb004ee4c3fa5p-5, -0x1.ef80cdf704acep-5, -0x1.e438b0c8edf24p-5, -0x1.d9273e412ab2fp-5, -0x1.ce4bbd5bfe5cdp-5, -0x1.c3a57540ca681p-5, -0x1.b933ad56df03ep-5, -0x1.aef5ad5997f7dp-5, -0x1.a4eabd6bc8e55p-5, -0x1.9b12262a7b5f5p-5, -0x1.916b30bf03117p-5, -0x1.87f526f068aa1p-5, -0x1.7eaf533430cf7p-5, -0x1.759900be80871p-5, -0x1.6cb17b91a01e5p-5, -0x1.63f8108ce4ab5p-5, -0x1.5b6c0d7afe64bp-5, -0x1.530cc11fae455p-5, -0x1.4ad97b44ecd78p-5, -0x1.42d18cc77a68ep-5, -0x1.3af447a2e4f84p-5, -0x1.3340fefd010c9p-5, -0x1.2bb70730dc247p-5, -0x1.2455b5d926472p-5, -0x1.1d1c61da1e54ep-5, -0x1.160a636af9573p-5, -0x1.0f1f141ed0148p-5, -0x1.0859ceed117eap-5, -0x1.01b9f0397e8f2p-5, -0x1.f67dabb761f2bp-6, -0x1.e9cfbe4c633fbp-6, -0x1.dd68d9da3b7ccp-6, -0x1.d147c318c2f06p-6, -0x1.c56b41db1481dp-6, -0x1.b9d2211a5e07fp-6, -0x1.ae7b2effedab4p-6, -0x1.a3653cee7ba8ep-6, -0x1.988f1f8ab4ad9p-6, -0x1.8df7aec30d3bep-6, -0x1.839dc5d6de1c8p-6, -0x1.7980435cd7382p-6, -0x1.6f9e0948c555fp-6, -0x1.65f5fcf0b4983p-6, -0x1.5c8707117288cp-6, -0x1.535013d276098p-6, -0x1.4a5012c92e91cp-6, -0x1.4185f6fbc5469p-6, -0x1.38f0b6e34fedcp-6, -0x1.308f4c6d77247p-6, -0x1.2860b4fd9f53ep-6, -0x1.2063f16d8ca6bp-6, -0x1.1898060d8d41fp-6, -0x1.10fbfaa42df95p-6, -0x1.098eda6d7817cp-6, -0x1.024fb419c37d6p-6, -0x1.f67b33983756fp-7, -0x1.e8af423081c85p-7, -0x1.db39c60080e04p-7, -0x1.ce18f7e369ddap-7, -0x1.c14b178548448p-7, -0x1.b4ce6b5c0f2aep-7, -0x1.a8a140a007444p-7, -0x1.9cc1eb439139dp-7, -0x1.912ec5ea4e9bbp-7, -0x1.85e631dfc24d9p-7, -0x1.7ae6970d51eb7p-7, -0x1.702e63efccbdp-7, -0x1.65bc0d8c6a25p-7, -0x1.5b8e0f6554a92p-7, -0x1.51a2eb6db6502p-7, -0x1.47f929fd627b6p-7, -0x1.3e8f59c408f8ap-7, -0x1.35640fbc0e70bp-7, -0x1.2c75e71d061f3p-7, -0x1.23c3814dce82ep-7, -0x1.1b4b85d65dd62p-7, -0x1.130ca2513e061p-7, -0x1.0b058a5cc00bep-7, -0x1.0334f78be99bp-7, -0x1.f73352ae44b51p-8, -0x1.e864ca194d6d4p-8, -0x1.d9fbeb81828c7p-8, -0x1.cbf6587ba54cdp-8, -0x1.be51bde85418dp-8, -0x1.b10bd3d364b4ap-8, -0x1.a4225d52f1489p-8, -0x1.979328661f9cfp-8, -0x1.8b5c0dd3a7982p-8, -0x1.7f7af10823b2ap-8, -0x1.73edbff42ebfep-8, -0x1.68b272ea58e6fp-8, -0x1.5dc70c7cf72bfp-8, -0x1.5329995bd68b3p-8, -0x1.48d83031d76f7p-8, -0x1.3ed0f18275bccp-8, -0x1.351207874869p-8, -0x1.2b99a60d75425p-8, -0x1.22660a5328ee2p-8, -0x1.19757ae50d806p-8, -0x1.10c6477bcce48p-8, -0x1.0856c8d99e415p-8, -0x1.002560a7e7e89p-8, -0x1.f060f2a9e574ep-9, -0x1.e0ed0be3786e3p-9, -0x1.d1ec041fc7bbep-9, -0x1.c35ae33f7537ap-9, -0x1.b536c19cf3426p-9, -0x1.a77cc7c93f00ap-9, -0x1.9a2a2e48f809ap-9, -0x1.8d3c3d51d3498p-9, -0x1.80b04c8877b89p-9, -0x1.7483c2bebf479p-9, -0x1.68b415b26e042p-9, -0x1.5d3ec9cc5ca48p-9, -0x1.522171e01dcc7p-9, -0x1.4759aeec21fc9p-9, -0x1.3ce52fda5f3bep-9, -0x1.32c1b14180fdap-9, -0x1.28ecfd26a5e43p-9, -0x1.1f64eabfa8002p-9, -0x1.16275e35fc7e5p-9, -0x1.0d32486a29a4ep-9, -0x1.0483a6b7d16e4p-9, -0x1.f8330574bb6bap-10, -0x1.e7e3e42495291p-10, -0x1.d8162c56183a7p-10, -0x1.c8c6380340b93p-10, -0x1.b9f077d77f127p-10, -0x1.ab9172bf744e8p-10, -0x1.9da5c579f17a5p-10, -0x1.902a222a5899bp-10, -0x1.831b4fec573f7p-10, -0x1.76762a68ed4a2p-10, -0x1.6a37a16ce06b5p-10, -0x1.5e5cb88084d4bp-10, -0x1.52e28680ed0e3p-10, -0x1.47c6353a72536p-10, -0x1.3d050104a89a9p-10, -0x1.329c385fad635p-10, -0x1.28893b92e46fcp-10, -0x1.1ec97c4d12a53p-10, -0x1.155a7d45d9556p-10, -0x1.0c39d1e09e51fp-10, -0x1.03651dd0d0944p-10, -0x1.f5b4297f2e319p-11, -0x1.e52cf3e5b576bp-11, -0x1.d5303feb6bfecp-11, -0x1.c5b9d084899afp-11, -0x1.b6c585d9a4e9fp-11, -0x1.a84f5ca0ca514p-11, -0x1.9a536d794db1cp-11, -0x1.8ccdec4a4e49bp-11, -0x1.7fbb27a3ebddap-11, -0x1.731788232a001p-11, -0x1.66df8fd87a0b7p-11, -0x1.5b0fd9b0ea72dp-11, -0x1.4fa518e1f46f3p-11, -0x1.449c1857e4a82p-11, -0x1.39f1ba26d730fp-11, -0x1.2fa2f6fe4544fp-11, -0x1.25acdd9f1c363p-11, -0x1.1c0c92545705dp-11, -0x1.12bf4e6e19861p-11, -0x1.09c25fbf40a34p-11, -0x1.0113281d66b4p-11, -0x1.f15e39c6a76ap-12, -0x1.e1278ceba0dc7p-12, -0x1.d17d7f95b81e7p-12, -0x1.c25b6be66c96ep-12, -0x1.b3bccf4c7b07ep-12, -0x1.a59d49a02a90ep-12, -0x1.97f89c4424127p-12, -0x1.8acaa94abfae3p-12, -0x1.7e0f729fbf628p-12, -0x1.71c319366616dp-12, -0x1.65e1dc3bd9fcbp-12, -0x1.5a68184dca9c8p-12, -0x1.4f5246b5464a5p-12, -0x1.449cfca5b0269p-12, -0x1.3a44ea7fcf74bp-12, -0x1.3046db18de9dap-12, -0x1.269fb305931b2p-12, -0x1.1d4c6fe90e8a7p-12, -0x1.144a27c7a5fa7p-12, -0x1.0b96085d76e7ap-12, -0x1.032d5678b3d4dp-12, -0x1.f61adaaf437bdp-13, -0x1.e6677c1460aa9p-13, -0x1.d73b9dae48f6dp-13, -0x1.c892754985dc9p-13, -0x1.ba6760c9d7c0dp-13, -0x1.acb5e509394f5p-13, -0x1.9f79acbd884f6p-13, -0x1.92ae8764c66acp-13, -0x1.86506837bf77p-13, -0x1.7a5b65230e0cdp-13, -0x1.6ecbb5c65416cp-13, -0x1.639db27997223p-13, -0x1.58cdd358944f3p-13, -0x1.4e58af54010fcp-13, -0x1.443afb48984aep-13, -0x1.3a71891bcb598p-13, -0x1.30f946de15116p-13, -0x1.27cf3df2bd52ep-13, -0x1.1ef0923d007e9p-13, -0x1.165a815277b03p-13, -0x1.0e0a61b2aed6fp-13, -0x1.05fda203ce89bp-13, -0x1.fc6390a87425ep-14, -0x1.ed48e2c219f63p-14, -0x1.dea69fc2bf82p-14, -0x1.d07857ac7a75ep-14, -0x1.c2b9c3be5067p-14, -0x1.b566c526477f8p-14, -0x1.a87b63bc348d4p-14, -0x1.9bf3ccc53fcbp-14, -0x1.8fcc51bfba6b8p-14, -0x1.840167374e73ep-14, -0x1.788fa3a138033p-14, -0x1.6d73be4069f0bp-14, -0x1.62aa8e11705b9p-14, -0x1.583108bde4dc7p-14, -0x1.4e0441974c59p-14, -0x1.44216899305d2p-14, -0x1.3a85c9725162fp-14, -0x1.312eca94c279ep-14, -0x1.2819ec4ccbb81p-14, -0x1.1f44c7de6a8fcp-14, -0x1.16ad0ea9480cp-14, -0x1.0e50895301a56p-14, -0x1.062d16f79c82ap-14, -0x1.fc8158c000643p-15, -0x1.ed12a67caac09p-15, -0x1.de0a52e0439d3p-15, -0x1.cf64c08c057bcp-15, -0x1.c11e77a1c04aap-15, -0x1.b3342468f14a9p-15, -0x1.a5a295fe4b92ap-15, -0x1.9866bd0d69da9p-15, -0x1.8b7daa947212p-15, -0x1.7ee48eb16594ep-15, -0x1.7298b778e3a19p-15, -0x1.66978fd620172p-15, -0x1.5ade9e73d47a8p-15, -0x1.4f6b84adf0e4ep-15, -0x1.443bfd8bd1c48p-15, -0x1.394ddcc2c6ebp-15, -0x1.2e9f0dc0ae4d2p-15, -0x1.242d92be77375p-15, -0x1.19f783da4a3c2p-15, -0x1.0ffb0e393459dp-15, -0x1.06367330102b3p-15, -0x1.f9500ee717418p-16, -0x1.e69c649e20837p-16, -0x1.d44ed9c4be3bcp-16, -0x1.c26482cb6d4aap-16, -0x1.b0da94e8a43d2p-16, -0x1.9fae64ba24e86p-16, -0x1.8edd64f25acd7p-16, -0x1.7e6525115dcb1p-16, -0x1.6e43502953ef2p-16, -0x1.5e75abaddb38bp-16, -0x1.4efa164e29245p-16, -0x1.3fce86d9973bdp-16, -0x1.30f10b2e4bf51p-16, -0x1.225fc731b7d14p-16, -0x1.1418f3d29c84p-16, -0x1.061ade1458f62p-16, -0x1.f0c7cc465fd66p-17, -0x1.d5e4fce29af72p-17, -0x1.bb8a55b87e02cp-17, -0x1.a1b4ffb549164p-17, -0x1.88624363b0309p-17, -0x1.6f8f8766a365ep-17, -0x1.573a4f030da7ep-17, -0x1.3f6038b814d33p-17, -0x1.27fefce575d7ep-17, -0x1.11146c7f7c49fp-17, -0x1.f53cdfa067dcdp-18, -0x1.c9360a8ac5fd9p-18, -0x1.9e108095d441cp-18, -0x1.73c890624250bp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e111195c270b7p-8, 0x1.1bc391a72b064p-7, 0x1.4ba5a98f7442bp-7, 0x1.8052943c9a61dp-7, 0x1.b9e8e8df9e75cp-7, 0x1.f8821f3366be3p-7, 0x1.1e19512830e3cp-6, 0x1.4284f5cce298dp-6, 0x1.6989523245e0dp-6, 0x1.93296690a7d95p-6, 0x1.bf65f47b9ae44p-6, 0x1.ee3d9670097fbp-6, 0x1.0fd66c5cf430dp-5, 0x1.29d729aaf5acp-5, 0x1.451d623fb708ep-5, 0x1.61a495d28e044p-5, 0x1.7f677244088c5p-5, 0x1.9e5fe128ad97fp-5, 0x1.be8715387fbf8p-5, 0x1.dfd59790144fep-5, 0x1.0121aa5979b13p-4, 0x1.12e3d4a0d444cp-4, 0x1.252cb72c1d038p-4, 0x1.37f782c5f9a91p-4, 0x1.4b3f3240acbc7p-4, 0x1.5efe900a736abp-4, 0x1.73303b895dcf7p-4, 0x1.87ceae3d6eaeap-4, 0x1.9cd440a86baeap-4, 0x1.b23b2efb51c2dp-4, 0x1.c7fd9d89e7834p-4, 0x1.de159d0521c29p-4, 0x1.f47d2e7db1c9cp-4, 0x1.05972397fdbb7p-3, 0x1.11116a0d989acp-3, 0x1.1caa5eb2add87p-3, 0x1.285ef4c71ceb4p-3, 0x1.342c20397743cp-3, 0x1.400ed7123fb69p-3, 0x1.4c0412c99c1d2p-3, 0x1.5808d1886bf1ap-3, 0x1.641a1755cf4d7p-3, 0x1.7034ef31fb12p-3, 0x1.7c566c1f532a9p-3, 0x1.887baa1a9e011p-3, 0x1.94a1cf03227fep-3, 0x1.a0c60b737bd07p-3, 0x1.ace59b8bcbb9ep-3, 0x1.b8fdc7ae01b2fp-3, 0x1.c50be52cd5ddep-3, 0x1.d10d56ee00449p-3, 0x1.dcff8e003911dp-3, 0x1.e8e00a258699cp-3, 0x1.f4ac5a523c976p-3, 0x1.00310e909300ap-2, 0x1.05ff809e9a785p-2, 0x1.0bc062e08aebcp-2, 0x1.11729d4680c0cp-2, 0x1.171520498aff7p-2, 0x1.1ca6e50d48193p-2, 0x1.2226ed7d0dd5cp-2, 0x1.27944464cda75p-2, 0x1.2cedfd85ca832p-2, 0x1.323335a74761ep-2, 0x1.376312a34fd66p-2, 0x1.3c7cc36fb9f25p-2, 0x1.417f80237f635p-2, 0x1.466a89f88fa43p-2, 0x1.4b3d2b4a3d911p-2, 0x1.4ff6b79061e07p-2, 0x1.54968b5757733p-2, 0x1.591c0c34f357dp-2, 0x1.5d86a8ba91942p-2, 0x1.61d5d8645f9abp-2, 0x1.66091b85ff414p-2, 0x1.6a1ffb34a6479p-2, 0x1.6e1a092ed938ep-2, 0x1.71f6dfc1e5b76p-2, 0x1.75b621ad36962p-2, 0x1.79577a03ac698p-2, 0x1.7cda9c0b116e3p-2, 0x1.803f4319ce982p-2, 0x1.8385327300232p-2, 0x1.86ac35210aa0ap-2, 0x1.89b41dceca768p-2, 0x1.8c9cc69f85d2fp-2, 0x1.8f661105b4e1ap-2, 0x1.920fe598c4c24p-2, 0x1.949a33e9ebae9p-2, 0x1.9704f2583341cp-2, 0x1.99501de3c7d4dp-2, 0x1.9b7bba00b1011p-2, 0x1.9d87d06907f38p-2, 0x1.9f7470eec432fp-2, 0x1.a141b14d36276p-2, 0x1.a2efacfa4804bp-2, 0x1.a47e84f7963e5p-2, 0x1.a5ee5fa37907cp-2, 0x1.a73f688a0b309p-2, 0x1.a871d0364a12dp-2, 0x1.a985cc03583f9p-2, 0x1.aa7b95edf6445p-2, 0x1.ab536c663f9bap-2, 0x1.ac0d9221bf235p-2, 0x1.acaa4dede1b0ep-2, 0x1.ad29ea82d5b81p-2, 0x1.ad8cb656e8ba9p-2, 0x1.add303726594p-2, 0x1.adfd27440378cp-2, 0x1.ae0b7a75e92aep-2, 0x1.adfe58c356df2p-2, 0x1.add620ceef576p-2, 0x1.ad9333f9b781dp-2, 0x1.ad35f63ac442p-2, 0x1.acbecdf7a719cp-2, 0x1.ac2e23dd97efdp-2, 0x1.ab8462bb61abep-2, 0x1.aac1f75c16ef4p-2, 0x1.a9e75062903b2p-2, 0x1.a8f4de25b7ecp-2, 0x1.a7eb128da245bp-2, 0x1.a6ca60f17a5dcp-2, 0x1.a5933df63cd9ap-2, 0x1.a4461f6e46a95p-2, 0x1.a2e37c39b74dcp-2, 0x1.a16bcc27a5592p-2, 0x1.9fdf87d826ebep-2, 0x1.9e3f289f2aa9p-2, 0x1.9c8b286824364p-2, 0x1.9ac4019a87e26p-2, 0x1.98ea2eff16524p-2, 0x1.96fe2ba5f591ap-2, 0x1.950072cd95542p-2, 0x1.92f17fca5df72p-2, 0x1.90d1cdef280f7p-2, 0x1.8ea1d8767970fp-2, 0x1.8c621a6c83b91p-2, 0x1.8a130e99e7012p-2, 0x1.87b52f6f313cep-2, 0x1.8548f6f118f58p-2, 0x1.82cedea5720dp-2, 0x1.80475f80d9e88p-2, 0x1.7db2f1d513863p-2, 0x1.7b120d4016933p-2, 0x1.7865289bccabap-2, 0x1.75acb9ee777cdp-2, 0x1.72e9365bbe07ap-2, 0x1.701b12166173dp-2, 0x1.6d42c0528ee6p-2, 0x1.6a60b338d32ebp-2, 0x1.67755bd9a7f71p-2, 0x1.64812a219adc9p-2, 0x1.61848cce06901p-2, 0x1.5e7ff162617ep-2, 0x1.5b73c41e1a13dp-2, 0x1.58606ff2fd1f8p-2, 0x1.55465e7c287aep-2, 0x1.5225f7f581a7ap-2, 0x1.4effa333af7bcp-2, 0x1.4bd3c59c943ap-2, 0x1.48a2c32044211p-2, 0x1.456cfe327790fp-2, 0x1.4232d7c471bc6p-2, 0x1.3ef4af3f5efaep-2, 0x1.3bb2e27f217eep-2, 0x1.386dcdcd8ff49p-2, 0x1.3525cbde1c5cbp-2, 0x1.31db35c9e7187p-2, 0x1.2e8e630c386e9p-2, 0x1.2b3fa97f5ad2ep-2, 0x1.27ef5d59d973ap-2, 0x1.249dd12c1c045p-2, 0x1.214b55de5d929p-2, 0x1.1df83aaeffb6fp-2, 0x1.1aa4cd312f935p-2, 0x1.1751594be3a89p-2, 0x1.13fe29392a287p-2, 0x1.10ab8585c4aecp-2, 0x1.0d59b51112b48p-2, 0x1.0a08fd0d48195p-2, 0x1.06b9a0ffe767p-2, 0x1.036be2c285f94p-2, 0x1.00200283d28d6p-2, 0x1.f9ac7d91b9d4p-3, 0x1.f31da8dd3632cp-3, 0x1.ec93fd575e94p-3, 0x1.e60fee24ca341p-3, 0x1.df91eb25d01ep-3, 0x1.d91a60fb64b2ep-3, 0x1.d2a9b90c59b48p-3, 0x1.cc40598b0c44p-3, 0x1.c5dea57b6751ap-3, 0x1.bf84fcb94eb8fp-3, 0x1.b933bbff5a686p-3, 0x1.b2eb3cedeb416p-3, 0x1.acabd61291c5bp-3, 0x1.a675daefbb23dp-3, 0x1.a0499c04b2b42p-3, 0x1.9a2766d5df46ap-3, 0x1.940f85f54cf73p-3, 0x1.8e02410b6ae72p-3, 0x1.87ffdce00f55fp-3, 0x1.82089b63addc9p-3, 0x1.7c1cbbb8c432p-3, 0x1.763c7a3d7ad5ep-3, 0x1.706810956ff32p-3, 0x1.6a9fb5b3b0e1bp-3, 0x1.64e39de4dcff6p-3, 0x1.5f33fad96d7a3p-3, 0x1.5990fbb01cc5bp-3, 0x1.53facd00713edp-3, 0x1.4e7198e563f61p-3, 0x1.48f58708201a7p-3, 0x1.4386bcaade89fp-3, 0x1.3e255cb3ce946p-3, 0x1.38d187b81a022p-3, 0x1.338b5c06f105fp-3, 0x1.2e52f5b4a9886p-3, 0x1.29286ea5e9e2fp-3, 0x1.240bde9ad47bfp-3, 0x1.1efd5b3a44195p-3, 0x1.19fcf81d0751dp-3, 0x1.150ac6d91ea1dp-3, 0x1.1026d70cfb61dp-3, 0x1.0b51366ac07e3p-3, 0x1.0689f0c377c12p-3, 0x1.01d1101248dd3p-3, 0x1.fa4d390f4d994p-4, 0x1.f1153928e5424p-4, 0x1.e7fa29ea30581p-4, 0x1.defc11792cd6dp-4, 0x1.d61af2bf08e42p-4, 0x1.cd56cd7dfb5d9p-4, 0x1.c4af9e6702039p-4, 0x1.bc255f2f837eap-4, 0x1.b3b806a6b7566p-4, 0x1.ab6788caf70aap-4, 0x1.a333d6ded8a26p-4, 0x1.9b1cdf7e1b7ep-4, 0x1.93228eb2684d6p-4, 0x1.8b44ce07d805ep-4, 0x1.838384a14dcf9p-4, 0x1.7bde974c93327p-4, 0x1.7455e8963e6fp-4, 0x1.6ce958dd5d8d5p-4, 0x1.6598c666e6233p-4, 0x1.5e640d70e61f9p-4, 0x1.574b084576a8cp-4, 0x1.504d8f4d6d5cfp-4, 0x1.496b7922cca7cp-4, 0x1.42a49aa2efd64p-4, 0x1.3bf8c70075055p-4, 0x1.3567cfd4dfd06p-4, 0x1.2ef18531f7be3p-4, 0x1.2895b5b2de05dp-4, 0x1.22542e8cdda97p-4, 0x1.1c2cbb9ff0cc5p-4, 0x1.161f2786ffab6p-4, 0x1.102b3ba7d3ef4p-4, 0x1.0a50c042c2a2ep-4, 0x1.048f7c820c743p-4, 0x1.fdce6d11e4f76p-5, 0x1.f2af6704febe6p-5, 0x1.e7c16f600e8abp-5, 0x1.dd040ceeb35a1p-5, 0x1.d276c4e154e04p-5, 0x1.c8191ae85a626p-5, 0x1.bdea914ecdcc5p-5, 0x1.b3eaa914655eap-5, 0x1.aa18e206f93bep-5, 0x1.a074badb61abap-5, 0x1.96fdb145be6c1p-5, 0x1.8db342112d67ep-5, 0x1.8494e936e69d5p-5, 0x1.7ba221f4caed2p-5, 0x1.72da66e35a91ap-5, 0x1.6a3d320b1e7dcp-5, 0x1.61c9fcf97ce8ap-5, 0x1.598040d500676p-5, 0x1.515f76710f201p-5, 0x1.4967166115f3ap-5, 0x1.4196990b25833p-5, 0x1.39ed76ba070aap-5, 0x1.326b27aec3716p-5, 0x1.2b0f2431a7d14p-5, 0x1.23d8e4a2be4fap-5, 0x1.1cc7e189c62fdp-5, 0x1.15db93a5a46fdp-5, 0x1.0f1373fb577d7p-5, 0x1.086efbe464de7p-5, 0x1.01eda51cce831p-5, 0x1.f71dd3a10d3ecp-6, 0x1.eaa48950d92e2p-6, 0x1.de6e61ad97e8bp-6, 0x1.d27a5446d4da6p-6, 0x1.c6c759ee363b9p-6, 0x1.bb546ccdc1a33p-6, 0x1.b020887d3be6dp-6, 0x1.a52aaa16ad6ccp-6, 0x1.9a71d04a0334fp-6, 0x1.8ff4fb6fe0fe3p-6, 0x1.85b32d9b9b644p-6, 0x1.7bab6aac5f963p-6, 0x1.71dcb85d96b9p-6, 0x1.68461e567b1bcp-6, 0x1.5ee6a638ee04ap-6, 0x1.55bd5baf87c1dp-6, 0x1.4cc94c7af4fd2p-6, 0x1.4409887e93f54p-6, 0x1.3b7d21cc61cap-6, 0x1.33232cb037dd8p-6, 0x1.2afabfba5ccd6p-6, 0x1.2302f3c96d3ep-6, 0x1.1b3ae413a0afep-6, 0x1.13a1ae2f7000dp-6, 0x1.0c36721b9ac82p-6, 0x1.04f852469dd98p-6, 0x1.fbcce72b14165p-7, 0x1.edfffad4a4f0bp-7, 0x1.e088335312334p-7, 0x1.d363e97f2f8d4p-7, 0x1.c6917b4add2e3p-7, 0x1.ba0f4bc962fbcp-7, 0x1.addbc336d6e55p-7, 0x1.a1f54efe847b6p-7, 0x1.965a61c06f203p-7, 0x1.8b097355ea988p-7, 0x1.800100d553d69p-7, 0x1.753f8c94efa05p-7, 0x1.6ac39e2cfa535p-7, 0x1.608bc278ea2fp-7, 0x1.56968b97f2374p-7, 0x1.4ce290ecbd3e3p-7, 0x1.436e6f1c7b8adp-7, 0x1.3a38c80d3a85fp-7, 0x1.314042e390fcap-7, 0x1.28838bffa8d4ap-7, 0x1.200154f9a874dp-7, 0x1.17b8549d8451cp-7, 0x1.0fa746e63c90dp-7, 0x1.07ccecf88e7dep-7, 0x1.00280d1d1d357p-7, 0x1.f16ee57433592p-8, 0x1.e2f3dc98d93ccp-8, 0x1.d4dcaac0d364p-8, 0x1.c727051422a9bp-8, 0x1.b9d0aab9c714cp-8, 0x1.acd764c699659p-8, 0x1.a039062b5c3bp-8, 0x1.93f36ba210102p-8, 0x1.88047b9a950dcp-8, 0x1.7c6a2626a1b8cp-8, 0x1.712264e519301p-8, 0x1.662b3aecc69a3p-8, 0x1.5b82b4b68bd6ap-8, 0x1.5126e80704daap-8, 0x1.4715f3d7aea4p-8, 0x1.3d4e003f932b9p-8, 0x1.33cd3e5b87d88p-8, 0x1.2a91e836021e6p-8, 0x1.219a40ae8b476p-8, 0x1.18e49360d9e3fp-8, 0x1.106f348b97a15p-8, 0x1.083880f6dc40ap-8, 0x1.003eddda5f177p-8, 0x1.f1017186dc97bp-9, 0x1.e1f90ef54d775p-9, 0x1.d3618fd2fae51p-9, 0x1.c537ffff2e9acp-9, 0x1.b7797b2ff80d5p-9, 0x1.aa232cbc49e5cp-9, 0x1.9d324f65dbcfp-9, 0x1.90a42d22de193p-9, 0x1.84761ee787a5ep-9, 0x1.78a58c6f820d5p-9, 0x1.6d2fec0747b07p-9, 0x1.6212c2557448cp-9, 0x1.574ba22410f68p-9, 0x1.4cd82c29eb91ep-9, 0x1.42b60ed3f66d6p-9, 0x1.38e3060ec28e2p-9, 0x1.2f5cdb1012188p-9, 0x1.2621642093d5dp-9, 0x1.1d2e8465c5017p-9, 0x1.14822bac0800dp-9, 0x1.0c1a5630f1b6cp-9, 0x1.03f50c6dd312cp-9, 0x1.f820c5c5131fp-10, 0x1.e8d4f3c129dd4p-10, 0x1.da02faacfaeb8p-10, 0x1.cba749371af83p-10, 0x1.bdbe6477c353bp-10, 0x1.b044e789ae766p-10, 0x1.a3378323b50cfp-10, 0x1.9692fd33348e8p-10, 0x1.8a543077461dbp-10, 0x1.7e780c1cd576ep-10, 0x1.72fb935b900aep-10, 0x1.67dbdd13bc099p-10, 0x1.5d16136d017d2p-10, 0x1.52a7737620f7p-10, 0x1.488d4cc5a30ebp-10, 0x1.3ec5011b85351p-10, 0x1.354c0403ebbd1p-10, 0x1.2c1fda7ad3786p-10, 0x1.233e1a90d06b5p-10, 0x1.1aa46b10df394p-10, 0x1.1250832741671p-10, 0x1.0a402a096e96ap-10, 0x1.0271369f21b61p-10, 0x1.f5c31e58f9757p-11, 0x1.e71e51fa8f474p-11, 0x1.d8f01022a1001p-11, 0x1.cb347d93d31b5p-11, 0x1.bde7db31124aap-11, 0x1.b106855d1a4cbp-11, 0x1.a48cf35c422e9p-11, 0x1.9877b6b89398p-11, 0x1.8cc37aa82bc98p-11, 0x1.816d0375e88bfp-11, 0x1.76712dec602bbp-11, 0x1.6bcceec326861p-11, 0x1.617d520e5c3b3p-11, 0x1.577f7ab089981p-11, 0x1.4dd0a1cec4194p-11, 0x1.446e16471a771p-11, 0x1.3b553c29490a3p-11, 0x1.32838c31b399fp-11, 0x1.29f693469fa07p-11, 0x1.21abf1f7b1f29p-11, 0x1.19a15bffa68f7p-11, 0x1.11d497c8454b8p-11, 0x1.0a437df08c5c8p-11, 0x1.02ebf8d50ebecp-11, 0x1.f7980835069b6p-12, 0x1.e9c35874fcf42p-12, 0x1.dc561c24aa175p-12, 0x1.cf4cace8450b1p-12, 0x1.c2a38373dc73ap-12, 0x1.b65736b5d589fp-12, 0x1.aa647b0597c6cp-12, 0x1.9ec8215659ff8p-12, 0x1.937f166e05b3p-12, 0x1.888662202a37ep-12, 0x1.7ddb268ceeaeep-12, 0x1.737a9f63fd52dp-12, 0x1.6962212b5e3cdp-12, 0x1.5f8f188a2d58bp-12, 0x1.55ff09972b8a1p-12, 0x1.4caf8f2b164a6p-12, 0x1.439e5a36c13edp-12, 0x1.3ac9311cdf4f5p-12, 0x1.322def0f72b02p-12, 0x1.29ca8370d9823p-12, 0x1.219cf13865ed2p-12, 0x1.19a34e5a79246p-12, 0x1.11dbc3341447fp-12, 0x1.0a4489f9d19e3p-12, 0x1.02dbee2a3a70cp-12, 0x1.f7409806d72ep-13, 0x1.e9201ff80123bp-13, 0x1.db536c7e61ec8p-13, 0x1.cdd7945836614p-13, 0x1.c0a9cbb05623cp-13, 0x1.b3c7632923939p-13, 0x1.a72dc6ed847efp-13, 0x1.9ada7dc7c4097p-13, 0x1.8ecb283e56935p-13, 0x1.82fd7fb64b646p-13, 0x1.776f559b6fb38p-13, 0x1.6c1e928df1824p-13, 0x1.610935957ce3cp-13, 0x1.562d5359ac0dap-13, 0x1.4b89155fbbc9dp-13, 0x1.411ab94d67765p-13, 0x1.36e09030d527dp-13, 0x1.2cd8fdcd76e94p-13, 0x1.230277edcd485p-13, 0x1.195b85b9f676ap-13, 0x1.0fe2bf12e511ep-13, 0x1.0696cbf2375e9p-13, 0x1.faecc79d17a8ap-14, 0x1.e9009a0885899p-14, 0x1.d766b88525fe8p-14, 0x1.c61ce7f9b7a42p-14, 0x1.b52107c039fd9p-14, 0x1.a47110990aa34p-14, 0x1.940b13a5e1889p-14, 0x1.83ed396cb52c5p-14, 0x1.7415c0e2256dbp-14, 0x1.6482fe7b6b36fp-14, 0x1.55335b478eabp-14, 0x1.4625540fc1108p-14, 0x1.3757787eb195ep-14, 0x1.28c86a4eb26bp-14, 0x1.1a76dc7e8914ap-14, 0x1.0c61928cc1faep-14, 0x1.fd0ebf72bec7fp-15, 0x1.e1ce4c9b7fa5ap-15, 0x1.c6ffadd529c1ep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fbbc797901043p-3, -0x1.0661d8f452738p-2, -0x1.0e9ca39cec24cp-2, -0x1.1694812f2121ep-2, -0x1.1e4f2013cc1f2p-2, -0x1.25d1ec8bfbe9p-2, -0x1.2d22076aed9e8p-2, -0x1.34443f460d658p-2, -0x1.3b3d0bc61b4c5p-2, -0x1.42108acbd03f7p-2, -0x1.48c27f219468cp-2, -0x1.4f56507b05cc7p-2, -0x1.55cf0c89c9216p-2, -0x1.5c2f68f5ae7d9p-2, -0x1.6279c60c1db1p-2, -0x1.68b032005f652p-2, -0x1.6ed46c9b569a4p-2, -0x1.74e7eb3defa96p-2, -0x1.7aebdd1d9298ap-2, -0x1.80e12fa5b1374p-2, -0x1.86c892ecbd429p-2, -0x1.8ca27e2dc5f8dp-2, -0x1.926f343a84557p-2, -0x1.982ec7dbd094ep-2, -0x1.9de120186e5b7p-2, -0x1.a385fc5bc8592p-2, -0x1.a91cf877972e9p-2, -0x1.aea5907cb7e1ep-2, -0x1.b41f246870e14p-2, -0x1.b988fba4512efp-2, -0x1.bee24857822a7p-2, -0x1.c42a2a8913e5ap-2, -0x1.c95fb31339777p-2, -0x1.ce81e667e09c8p-2, -0x1.d38fbf276467p-2, -0x1.d888308a568e4p-2, -0x1.dd6a289f99d5ap-2, -0x1.e23492602c7f9p-2, -0x1.e6e6579a208e9p-2, -0x1.eb7e62b452ed3p-2, -0x1.effba04c8975ep-2, -0x1.f45d00b19a1c9p-2, -0x1.f8a1793b50d3bp-2, -0x1.fcc80581bde94p-2, -0x1.0067d43acb126p-1, -0x1.025bb6ada3041p-1, -0x1.043f34552b769p-1, -0x1.0611dc695841dp-1, -0x1.07d34374a097ap-1, -0x1.0983039ebf933p-1, -0x1.0b20bcec99a84p-1, -0x1.0cac1575f472cp-1, -0x1.0e24b991a9216p-1, -0x1.0f8a5bf8f515p-1, -0x1.10dcb5e28039bp-1, -0x1.121b8715aed96p-1, -0x1.134695f6cda01p-1, -0x1.145daf8c9b195p-1, -0x1.1560a77fb25fep-1, -0x1.164f5814509acp-1, -0x1.1729a21ee849bp-1, -0x1.17ef6cf3f16e6p-1, -0x1.18a0a65361e2p-1, -0x1.193d42502c9e8p-1, -0x1.19c53b342ab7fp-1, -0x1.1a389160c390cp-1, -0x1.1a974b2cac067p-1, -0x1.1ae174bf0874bp-1, -0x1.1b171fe83f9f9p-1, -0x1.1b3863f8c3915p-1, -0x1.1b455d9613ee4p-1, -0x1.1b3e2e8e37c2bp-1, -0x1.1b22fda9e9f0ep-1, -0x1.1af3f67db01b1p-1, -0x1.1ab1493a0dbc1p-1, -0x1.1a5b2a7b05c95p-1, -0x1.19f1d31717bbbp-1, -0x1.19757fede0ac3p-1, -0x1.18e671b689a56p-1, -0x1.1844ecce25e69p-1, -0x1.179139062410dp-1, -0x1.16cba172f1af2p-1, -0x1.15f4743aead51p-1, -0x1.150c0265b5ee6p-1, -0x1.14129fac1f198p-1, -0x1.1308a2488b765p-1, -0x1.11ee62c81913fp-1, -0x1.10c43bdc7c6d9p-1, -0x1.0f8a8a2eae5e2p-1, -0x1.0e41ac3276a44p-1, -0x1.0cea01fae48ep-1, -0x1.0b83ed0fbc9c8p-1, -0x1.0a0fd043e933cp-1, -0x1.088e0f8cf873p-1, -0x1.06ff0fdbaa128p-1, -0x1.056336f599cebp-1, -0x1.03baeb5009751p-1, -0x1.020693ebccfebp-1, -0x1.0046983261833p-1, -0x1.fcf6bfa85a846p-2, -0x1.f94aa54fd8208p-2, -0x1.f589b11695935p-2, -0x1.f1b4b2895d704p-2, -0x1.edcc78cc59bf9p-2, -0x1.e9d1d263584abp-2, -0x1.e5c58cfc650aap-2, -0x1.e1a8753cbb297p-2, -0x1.dd7b568ffaff1p-2, -0x1.d93efaf9acf44p-2, -0x1.d4f42ae90105ap-2, -0x1.d09bad0ec6102p-2, -0x1.cc3646358f3adp-2, -0x1.c7c4b91c02356p-2, -0x1.c347c6513e77fp-2, -0x1.bec02c1358ac5p-2, -0x1.ba2ea62fdd7fbp-2, -0x1.b593ede64f1cep-2, -0x1.b0f0b9cc9562bp-2, -0x1.ac45bdb552547p-2, -0x1.a793aa981116fp-2, -0x1.a2db2e7b40156p-2, -0x1.9e1cf45fee63ap-2, -0x1.9959a42f3ba73p-2, -0x1.9491e2a96f181p-2, -0x1.8fc65156ad3ep-2, -0x1.8af78e79366cp-2, -0x1.862635012d8b1p-2, -0x1.8152dc81cdaffp-2, -0x1.7c7e19280af91p-2, -0x1.77a87bb290301p-2, -0x1.72d2916b09599p-2, -0x1.6dfce420b1169p-2, -0x1.6927fa2417296p-2, -0x1.645456440cc58p-2, -0x1.5f8277cbb4e6p-2, -0x1.5ab2da81a15d8p-2, -0x1.55e5f6a7f8a91p-2, -0x1.511c40fd9a67fp-2, -0x1.4c562ac02dce8p-2, -0x1.479421af184f6p-2, -0x1.42d6900f4e6a2p-2, -0x1.3e1ddcaff0fc1p-2, -0x1.396a6aefb3feep-2, -0x1.34bc9ac2f928fp-2, -0x1.3014c8baa1835p-2, -0x1.2b734e0b81b94p-2, -0x1.26d88096752d7p-2, -0x1.2244b2f104647p-2, -0x1.1db8346e974b3p-2, -0x1.1933512a27e93p-2, -0x1.14b652106fc7ap-2, -0x1.10417cea86d1p-2, -0x1.0bd51468ec2e4p-2, -0x1.0771582eecd24p-2, -0x1.031684de68939p-2, -0x1.fd89a847cce1fp-3, -0x1.f4f8f985ee3cbp-3, -0x1.ec7b6545b1532p-3, -0x1.e4114db6b66c4p-3, -0x1.dbbb0f83f6c27p-3, -0x1.d37901ee5f53cp-3, -0x1.cb4b76e7be618p-3, -0x1.c332bb2e047ffp-3, -0x1.bb2f1666b98b6p-3, -0x1.b340cb3ab71afp-3, -0x1.ab681772029dp-3, -0x1.a3a5340fd0cbfp-3, -0x1.9bf8556e9f2p-3, -0x1.9461ab5c609aep-3, -0x1.8ce16136aef9dp-3, -0x1.85779e06fbe71p-3, -0x1.7e24849ebea73p-3, -0x1.76e833b38ca97p-3, -0x1.6fc2c5fb20813p-3, -0x1.68b452473f71ep-3, -0x1.61bceba181138p-3, -0x1.5adca166e9393p-3, -0x1.54137f6353398p-3, -0x1.4d618decadb6ep-3, -0x1.46c6d1fdf7136p-3, -0x1.40434d520198bp-3, -0x1.39d6fe7def7f5p-3, -0x1.3381e10b6ddebp-3, -0x1.2d43ed92a3f77p-3, -0x1.271d19d3cd2bep-3, -0x1.210d58d0901dep-3, -0x1.1b149ae4f42a9p-3, -0x1.1532cde002743p-3, -0x1.0f67dd1c143dbp-3, -0x1.09b3b196ba5b6p-3, -0x1.041632084cae6p-3, -0x1.fd1e85f62c747p-4, -0x1.f23d8dc43d6d7p-4, -0x1.e7893c5f24fccp-4, -0x1.dd014ed581df4p-4, -0x1.d2a57e8b67c76p-4, -0x1.c8758164cb059p-4, -0x1.be7109ef077d1p-4, -0x1.b497c789a2913p-4, -0x1.aae9668e2f68fp-4, -0x1.a1659077655e1p-4, -0x1.980bec07553f1p-4, -0x1.8edc1d6cd0e8dp-4, -0x1.85d5c667f7279p-4, -0x1.7cf8866de951p-4, -0x1.7443facba930dp-4, -0x1.6bb7bec821636p-4, -0x1.63536bc5562f5p-4, -0x1.5b169960c370ep-4, -0x1.5300dd92e43f9p-4, -0x1.4b11cccde967ep-4, -0x1.4348fa1b9d241p-4, -0x1.3ba5f73a784c6p-4, -0x1.342854b9e797p-4, -0x1.2ccfa215c5a77p-4, -0x1.259b6dd10a742p-4, -0x1.1e8b458fb089ep-4, -0x1.179eb62fd6dcap-4, -0x1.10d54be21bcccp-4, -0x1.0a2e9241378bp-4, -0x1.03aa1468d8224p-4, -0x1.fa8eba177d45p-5, -0x1.ee0bed12488e5p-5, -0x1.e1cad602ce264p-5, -0x1.d5ca88d40381ap-5, -0x1.ca0a1941a4619p-5, -0x1.be889afd60e6ep-5, -0x1.b34521d2b38b6p-5, -0x1.a83ec1c96555ep-5, -0x1.9d748f46c3cdap-5, -0x1.92e59f2d933c2p-5, -0x1.889106fcbdefep-5, -0x1.7e75dceccab62p-5, -0x1.7493380c1db4bp-5, -0x1.6ae8305a0dd89p-5, -0x1.6173dee0cfe79p-5, -0x1.58355dce421d5p-5, -0x1.4f2bc88b99613p-5, -0x1.46563bd3fe832p-5, -0x1.3db3d5ca15dd4p-5, -0x1.3543b60c850eep-5, -0x1.2d04fdc970218p-5, -0x1.24f6cfd0fefadp-5, -0x1.1d1850a6e9b3dp-5, -0x1.1568a69314a14p-5, -0x1.0de6f9b14531dp-5, -0x1.069273ffee95cp-5, -0x1.fed482dc46663p-6, -0x1.f0db1fd15953p-6, -0x1.e3371ecca0c1ep-6, -0x1.d5e6e3e69445cp-6, -0x1.c8e8d777f97c9p-6, -0x1.bc3b662dc5d4dp-6, -0x1.afdd011b8aaa5p-6, -0x1.a3cc1dcc6ff3dp-6, -0x1.98073652d29d1p-6, -0x1.8c8cc95688a9ep-6, -0x1.815b5a21de22dp-6, -0x1.767170ad47f9cp-6, -0x1.6bcd99a9e90cep-6, -0x1.616e668ae45b4p-6, -0x1.57526d8d8e019p-6, -0x1.4d7849c081555p-6, -0x1.43de9b09a8c8fp-6, -0x1.3a84062b400a2p-6, -0x1.316734c7d8cc2p-6, -0x1.2886d56567dfcp-6, -0x1.1fe19b6f6f009p-6, -0x1.17763f383f1efp-6, -0x1.0f437df961edap-6, -0x1.074819d331bc7p-6, -0x1.ff05b3975cce1p-7, -0x1.efe513991204ep-7, -0x1.e12bf540f563fp-7, -0x1.d2d803dfdcc05p-7, -0x1.c4e6f479f2479p-7, -0x1.b75685bd6e41dp-7, -0x1.aa247ff812c31p-7, -0x1.9d4eb50b8570dp-7, -0x1.90d300608e66p-7, -0x1.84af46d941d65p-7, -0x1.78e176c23907ep-7, -0x1.6d6787c2d0ca2p-7, -0x1.623f7acc78ab8p-7, -0x1.57675a093e8f1p-7, -0x1.4cdd38c973731p-7, -0x1.429f33709e77p-7, -0x1.38ab6f61adf1ep-7, -0x1.2f001aea810ecp-7, -0x1.259b6d2ecc76ap-7, -0x1.1c7ba61266d82p-7, -0x1.139f0e2307255p-7, -0x1.0b03f6817df72p-7, -0x1.02a8b8ca72ce5p-7, -0x1.f5176dfd60ecep-8, -0x1.e556b6d609ccp-8, -0x1.d60c311f84863p-8, -0x1.c734d20fcc3c6p-8, -0x1.b8cd9edfdbd71p-8, -0x1.aad3ac98c9647p-8, -0x1.9d441fe0581a8p-8, -0x1.901c2cc517c9cp-8, -0x1.8359168a19a1ap-8, -0x1.76f82f724cdbbp-8, -0x1.6af6d88b8b75cp-8, -0x1.5f528179650ebp-8, -0x1.5408a83fb5f9p-8, -0x1.4916d90d121cp-8, -0x1.3e7aae0511feep-8, -0x1.3431cf0a8a6f9p-8, -0x1.2a39f189b9bf6p-8, -0x1.2090d8427547dp-8, -0x1.173453125db08p-8, -0x1.0e223ebf27c19p-8, -0x1.055884c0fc92cp-8, -0x1.f9aa3619faf39p-9, -0x1.e92c07bfe7335p-9, -0x1.d9329b125ce75p-9, -0x1.c9ba246b3a987p-9, -0x1.babeef7650ea4p-9, -0x1.ac3d5ec8a15b9p-9, -0x1.9e31eb7833561p-9, -0x1.909924b492b0ap-9, -0x1.836faf5ff8341p-9, -0x1.76b245a931878p-9, -0x1.6a5db6a64ac43p-9, -0x1.5e6ee5f00583p-9, -0x1.52e2cb3e26f6dp-9, -0x1.47b67204a5839p-9, -0x1.3ce6f911b9c4ap-9, -0x1.3271922ce3e4cp-9, -0x1.285381b6dd66cp-9, -0x1.1e8a1e4a8de2bp-9, -0x1.1512d05efb671p-9, -0x1.0beb11ea451ffp-9, -0x1.03106e05a604ep-9, -0x1.f50101251d7ep-10, -0x1.e471ebc195ed2p-10, -0x1.d46f14ab8db67p-10, -0x1.c4f41429dc4bdp-10, -0x1.b5fca152546aap-10, -0x1.a784915f09cd3p-10, -0x1.9987d705d6313p-10, -0x1.8c0281d23afa4p-10, -0x1.7ef0bd8186ab3p-10, -0x1.724ed1615dbbep-10, -0x1.66191fb08ce7ap-10, -0x1.5a4c25024358fp-10, -0x1.4ee477a39d0ebp-10, -0x1.43dec703951f9p-10, -0x1.3937db1d4cb71p-10, -0x1.2eec93e4b20f9p-10, -0x1.24f9e8b589a87p-10, -0x1.1b5ce7c4d2f88p-10, -0x1.1212b59480b9dp-10, -0x1.09188c6997f34p-10, -0x1.006bbbc4a27f7p-10, -0x1.f0134fb8e8c73p-11, -0x1.dfdf9236973c9p-11, -0x1.d037573c7b31bp-11, -0x1.c115dd6de79c6p-11, -0x1.b27688df6733dp-11, -0x1.a454e22358ea1p-11, -0x1.96ac955b13d8dp-11, -0x1.8979714c8a13bp-11, -0x1.7cb7667c60037p-11, -0x1.7062864c70a2fp-11, -0x1.6477021eb4081p-11, -0x1.58f12a7c7ec37p-11, -0x1.4dcd6e42114fp-11, -0x1.430859ce68018p-11, -0x1.389e963746cccp-11, -0x1.2e8ce88171b02p-11, -0x1.24d030dd057cbp-11, -0x1.1b6569e5e9b68p-11, -0x1.1249a7e849c8ep-11, -0x1.097a18290e1f4p-11, -0x1.00f4003245d35p-11, -0x1.f1697a46ebcccp-12, -0x1.e173860b7ec99p-12, -0x1.d2013847a49f5p-12, -0x1.c30dd0cb3aa2bp-12, -0x1.b494b95f60331p-12, -0x1.a691848c7f6ffp-12, -0x1.98ffec678533p-12, -0x1.8bdbd1662a96cp-12, -0x1.7f21393a36cfep-12, -0x1.72cc4db39b2dep-12, -0x1.66d95ba951646p-12, -0x1.5b44d1e8e0a3ap-12, -0x1.500b402c6d94cp-12, -0x1.4529561737801p-12, -0x1.3a9be2386ecd2p-12, -0x1.305fd11440d45p-12, -0x1.26722c330531dp-12, -0x1.1cd019366d135p-12, -0x1.1376d8f49d885p-12, -0x1.0a63c6991381dp-12, -0x1.019456cb414acp-12, -0x1.f20c2db58114ep-13, -0x1.e16d57e207503p-13, -0x1.d147a490db90ap-13, -0x1.c196b8d163bedp-13, -0x1.b25664d0ccc28p-13, -0x1.a382a26755c2p-13, -0x1.951793afa26ebp-13, -0x1.871181a7c99cdp-13, -0x1.796cdadc06ed2p-13, -0x1.6c26321ac4c6cp-13, -0x1.5f3a3d31e735dp-13, -0x1.52a5d3b50f9fdp-13, -0x1.4665edccb9c78p-13, -0x1.3a77a30e00966p-13, -0x1.2ed8295acab81p-13, -0x1.2384d3ca4d038p-13, -0x1.187b11999e3e7p-13, -0x1.0db86d2433b22p-13, -0x1.033a8ae4253ep-13, -0x1.f1fe50f3f3b6cp-14, -0x1.de083777c6b36p-14, -0x1.ca8ea39864c38p-14, -0x1.b78d9c6db63cdp-14, -0x1.a501542bc79e3p-14, -0x1.92e62679243fcp-14, -0x1.813896d259e1ap-14, -0x1.6ff54efa59cdep-14, -0x1.5f191d7768495p-14, -0x1.4ea0f41c4a859p-14, -0x1.3e89e69d690abp-14, -0x1.2ed129319a649p-14, -0x1.1f740f3e4cf0dp-14, -0x1.10700a0ec5f15p-14, -0x1.01c2a79631127p-14, -0x1.e6d322786f3cp-15, -0x1.cac51567b5719p-15, -0x1.af56e1b8a0b3dp-15, -0x1.9484715734c8p-15, -0x1.7a49dc453bbbfp-15, -0x1.60a36694e6a2cp-15, -0x1.478d7e756cf63p-15, -0x1.2f04ba512ab52p-15, -0x1.1705d6fcc4315p-15, -0x1.ff1b6bedb6579p-16, -0x1.d132b76fb9d69p-16, -0x1.a44bdc22f8418p-16, -0x1.7861653aca397p-16, -0x1.4d6e1a75743f3p-16, -0x1.236cfd33e7efbp-16, -0x1.f4b28b5ae9efcp-17, -0x1.a45cc07d301f5p-17, -0x1.55cfd5a447fafp-17, -0x1.090364c7fed1ap-17, -0x1.7bdec272d121dp-18, -0x1.d2304c28a19a9p-19, -0x1.66909513c2422p-20, 0x1.945bb7b7fd2bep-21, 0x1.7708ab1181c95p-19, 0x1.4153951362038p-18, 0x1.c405d36d69961p-18, 0x1.21d39a654315bp-17, 0x1.6021b54bdfe8fp-17, 0x1.9cf2dd0654449p-17, 0x1.d84c8139eefecp-17, 0x1.0919f0cb545e2p-16, 0x1.2557085b1f919p-16, 0x1.40dffb6d34e89p-16, 0x1.5bb72a45a4023p-16, 0x1.75dee28b83066p-16, 0x1.8f596079e6e37p-16, 0x1.a828d0027e72dp-16, 0x1.c04f4de253a9p-16, 0x1.d7cee8a92563fp-16, 0x1.eea9a1b3d738ap-16, 0x1.0270b70d33783p-15, 0x1.0d3c1bc8ed809p-15, 0x1.17b7eea14d347p-15, 0x1.21e51a49ca1fap-15, 0x1.2bc484f54f03fp-15, 0x1.355710b13bdebp-15, 0x1.3e9d9bbb66069p-15, 0x1.479900d34afc6p-15, 0x1.504a1786a1e24p-15, 0x1.58b1b47979001p-15, 0x1.60d0a9aa0e865p-15, 0x1.68a7c6b089508p-15, 0x1.7037d8fac2a5ep-15, 0x1.7781ac04410a3p-15, 0x1.7e86098a94084p-15, 0x1.8545b9be2ff46p-15, 0x1.8bc1836ff0319p-15, 0x1.91fa2c3b68b16p-15, 0x1.97f078ae209ecp-15, 0x1.9da52c6bdffe8p-15, 0x1.a3190a502ba85p-15, 0x1.a84cd48d1289fp-15, 0x1.ad414cc766257p-15, 0x1.b1f7343083c3dp-15, 0x1.b66f4b9dc22b7p-15, 0x1.baaa539da5b98p-15, 0x1.bea90c8af4722p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b17c1b35f7a1p-1, -0x1.641cb70d1f4a2p-1, -0x1.6b1e8a803a4cdp-1, -0x1.70273bc6939cfp-1, -0x1.734542d0e0413p-1, -0x1.748acd6a41b18p-1, -0x1.740cf99650996p-1, -0x1.71e327b7cde49p-1, -0x1.6e2685f7948b8p-1, -0x1.68f163c7c7adcp-1, -0x1.625ea96df9639p-1, -0x1.5a89a09e15ce2p-1, -0x1.518dbd3097cacp-1, -0x1.478646925c60ap-1, -0x1.3c8e02ccf8b13p-1, -0x1.30bf04faf3ad3p-1, -0x1.24329cbaa8a79p-1, -0x1.1701463bac9e4p-1, -0x1.0942861e74f08p-1, -0x1.f619808056d8p-2, -0x1.d8ea446bea40ap-2, -0x1.bb1e7d9f8f37cp-2, -0x1.9cdc9490958b9p-2, -0x1.7e47e8ce019b8p-2, -0x1.5f815e84e6546p-2, -0x1.40a75cf462425p-2, -0x1.21d5fb55ae361p-2, -0x1.032722e19a88p-2, -0x1.c965323a19ceap-3, -0x1.8d1c01e4edbc1p-3, -0x1.5199cb2965b22p-3, -0x1.1701a900a4e4fp-3, -0x1.bae5faca06b6p-4, -0x1.4a135d5d65e6bp-4, -0x1.b7796570c0d05p-5, -0x1.c033dd6e64918p-6, -0x1.ca5123b2247b4p-10, 0x1.7b3b3dd937355p-6, 0x1.83819bd78355ep-5, 0x1.2196fd2779b7cp-4, 0x1.7e40023a42ff2p-4, 0x1.d7ae87cd26ebcp-4, 0x1.16ec75bb70addp-3, 0x1.405c791f404d5p-3, 0x1.6825c1d76a7efp-3, 0x1.8e4834e0cf7c7p-3, 0x1.b2c509d9365abp-3, 0x1.d59ead14635bcp-3, 0x1.f6d8a1cdaa36fp-3, 0x1.0b3bb2176ab1bp-2, 0x1.1a4025b608fa9p-2, 0x1.287cb679f6b9p-2, 0x1.35f4c121a5089p-2, 0x1.42abe96798bf8p-2, 0x1.4ea61143beaacp-2, 0x1.59e752116ecc4p-2, 0x1.6473f6b4039bcp-2, 0x1.6e5075c4ab08ep-2, 0x1.77816b354aae7p-2, 0x1.800b91680f6ep-2, 0x1.87f3ba2cb7fcep-2, 0x1.8f3ec82db4171p-2, 0x1.95f1a91d1f50fp-2, 0x1.9c116d67199e9p-2, 0x1.a1a2fad29db87p-2, 0x1.a6ab33877c205p-2, 0x1.ab2ef4ff93c23p-2, 0x1.af3313b9d6112p-2, 0x1.b2bc5a01c851dp-2, 0x1.b5cf864cde3f9p-2, 0x1.b871491d67551p-2, 0x1.baa6428184bacp-2, 0x1.bc72ff5df094dp-2, 0x1.bddbf6c003f95p-2, 0x1.bee58770f8481p-2, 0x1.bf93f5f7b7427p-2, 0x1.bfeb6b22a9a1ep-2, 0x1.bfeff31d323d9p-2, 0x1.bfa57d0214436p-2, 0x1.bf0fdacff2b9fp-2, 0x1.be32c19fed73ap-2, 0x1.bd11c9feeb067p-2, 0x1.bbb0704f2e948p-2, 0x1.ba1215203ae22p-2, 0x1.b839fd75caaaap-2, 0x1.b62b53019e4abp-2, 0x1.b3e9245c143cfp-2, 0x1.b176654a6f4f2p-2, 0x1.aed5ef1e13348p-2, 0x1.ac0a812f9eb96p-2, 0x1.a916c16eed822p-2, 0x1.a5fd3cf9c126fp-2, 0x1.a2c068a902d1ep-2, 0x1.9f62a1889a429p-2, 0x1.9be62d3629f3cp-2, 0x1.984d3a2c26878p-2, 0x1.9499e005ce541p-2, 0x1.90ce1fcb2ebf4p-2, 0x1.8cebe45269fbap-2, 0x1.88f502be1c573p-2, 0x1.84eb3b1a1d541p-2, 0x1.80d03912192cbp-2, 0x1.7ca594b9e3cf4p-2, 0x1.786cd35e81a81p-2, 0x1.74276857eedb9p-2, 0x1.6fd6b5d5e012dp-2, 0x1.6b7c0da3f2da4p-2, 0x1.6718b1e3784eap-2, 0x1.62add5ba1037fp-2, 0x1.5e3c9df4be5f8p-2, 0x1.59c6219f83cddp-2, 0x1.554b6a91f1cedp-2, 0x1.50cd75f1b47ffp-2, 0x1.4c4d34acb486fp-2, 0x1.47cb8becbf98fp-2, 0x1.43495586b8323p-2, 0x1.3ec76066d0d6fp-2, 0x1.3a4670faa4a6bp-2, 0x1.35c741991c1b8p-2, 0x1.314a82e762997p-2, 0x1.2cd0dc39ca887p-2, 0x1.285aebef909e2p-2, 0x1.23e947c8d2cf2p-2, 0x1.1f7c7d36b7d62p-2, 0x1.1b1511a67345bp-2, 0x1.16b382c86652ep-2, 0x1.125846d4d956fp-2, 0x1.0e03cccfe1c4bp-2, 0x1.09b67ccda0f56p-2, 0x1.0570b837a84f1p-2, 0x1.0132da13ad6d9p-2, 0x1.f9fa6e96782p-3, 0x1.f1a03de76210cp-3, 0x1.e957b52b0fc48p-3, 0x1.e1215ce410f79p-3, 0x1.d8fdb38cfcc23p-3, 0x1.d0ed2e18b64a7p-3, 0x1.c8f0386bf64e4p-3, 0x1.c10735cff1105p-3, 0x1.b932815e8152bp-3, 0x1.b1726e686c26bp-3, 0x1.a9c748d67c71ap-3, 0x1.a231558611d7p-3, 0x1.9ab0d2a1b187fp-3, 0x1.9345f7f5cbfb5p-3, 0x1.8bf0f741d3b5ap-3, 0x1.84b1fc857d8a6p-3, 0x1.7d8806973ab7fp-3, 0x1.76754c1be79ecp-3, 0x1.6f7905f67f68p-3, 0x1.68934cb852363p-3, 0x1.61c43406fcedep-3, 0x1.5b0bcad524705p-3, 0x1.546a1b9c3fc18p-3, 0x1.4ddf2c96c593ep-3, 0x1.476afffa3a29p-3, 0x1.410d94305338dp-3, 0x1.3ac6e40ea6032p-3, 0x1.3496e70c3f751p-3, 0x1.2e7d9174aec1cp-3, 0x1.287ad4982a77fp-3, 0x1.228e9ef8800ap-3, 0x1.1cb8dc72bdf28p-3, 0x1.16f976658b435p-3, 0x1.115053d454356p-3, 0x1.0bbd598779755p-3, 0x1.06406a29c3454p-3, 0x1.00d966637d9acp-3, 0x1.f71059e70ab48p-4, 0x1.ec99358d5eb75p-4, 0x1.e24d161bbed91p-4, 0x1.d82baea640783p-4, 0x1.ce34af1c06e1p-4, 0x1.c467c46f240c3p-4, 0x1.bac498bbd5c2ap-4, 0x1.b14ad36f88b2ap-4, 0x1.a7fa196fb14dp-4, 0x1.9ed20d40af2fep-4, 0x1.95d24f2c9a946p-4, 0x1.8cfa7d69fd26fp-4, 0x1.844a34425780fp-4, 0x1.7bc10e383ed79p-4, 0x1.735ea42ce8794p-4, 0x1.6b228d84ed9f7p-4, 0x1.630c604c167fcp-4, 0x1.5b1bb157f9973p-4, 0x1.535014694930fp-4, 0x1.4ba91c4bab9e3p-4, 0x1.44265af403086p-4, 0x1.3cc7619d16165p-4, 0x1.358bc0e290f2ep-4, 0x1.2e7308da5e878p-4, 0x1.277cc92c63117p-4, 0x1.20a89128a6236p-4, 0x1.19f5efdc01044p-4, 0x1.1364742369dd6p-4, 0x1.0cf3acbdf7587p-4, 0x1.06a3285dbbcf3p-4, 0x1.007275b79514cp-4, 0x1.f4c2472420ab6p-5, 0x1.e8dd81a701afcp-5, 0x1.dd35b91ec30fp-5, 0x1.d1ca0c264250bp-5, 0x1.c69999e4cf8b4p-5, 0x1.bba38225e03b7p-5, 0x1.b0e6e56ffe215p-5, 0x1.a662e51b1065fp-5, 0x1.9c16a36611ae6p-5, 0x1.9201438c3c42fp-5, 0x1.8821e9d9b29f1p-5, 0x1.7e77bbbfaa0bfp-5, 0x1.7501dfe80d6afp-5, 0x1.6bbf7e4898303p-5, 0x1.62afc03560c24p-5, 0x1.59d1d072c42a3p-5, 0x1.5124db46ad754p-5, 0x1.48a80e892ccf8p-5, 0x1.405a99b452bc9p-5, 0x1.383badf34be9p-5, 0x1.304a7e30acb12p-5, 0x1.28863f23f3669p-5, 0x1.20ee275e2f09p-5, 0x1.19816f55d60e5p-5, 0x1.123f5171c143bp-5, 0x1.0b270a1354fbfp-5, 0x1.0437d79fd3f7bp-5, 0x1.fae1f511cd2d1p-6, 0x1.eda36aa8af6fap-6, 0x1.e0b299461f7d4p-6, 0x1.d40e0e6ea6b1bp-6, 0x1.c7b45bf4a07bap-6, 0x1.bba41801fff8bp-6, 0x1.afdbdd20cad58p-6, 0x1.a45a4a426b393p-6, 0x1.991e02c5d8bbfp-6, 0x1.8e25ae7cb75f8p-6, 0x1.836ff9af787f1p-6, 0x1.78fb952088fa4p-6, 0x1.6ec7360ea53adp-6, 0x1.64d196365da44p-6, 0x1.5b1973d2d763p-6, 0x1.519d919dd2c24p-6, 0x1.485cb6cf11c4p-6, 0x1.3f55af1b1306cp-6, 0x1.36874ab13dd2p-6, 0x1.2df05e397a5bcp-6, 0x1.258fc2d1450fep-6, 0x1.1d6456084494cp-6, 0x1.156cf9dc5c39fp-6, 0x1.0da894b553703p-6, 0x1.0616116005a1cp-6, 0x1.fd68be125531p-7, 0x1.ef04e26f66767p-7, 0x1.e0fe7f8d8a5c3p-7, 0x1.d3538dbeac179p-7, 0x1.c6020de2d0a6dp-7, 0x1.b9080959e0c04p-7, 0x1.ac6391f4c8776p-7, 0x1.a012c1e5ef674p-7, 0x1.9413bbb11bae5p-7, 0x1.8864aa1ab1a92p-7, 0x1.7d03c01670ca2p-7, 0x1.71ef38b5a0e3dp-7, 0x1.67255714c39a3p-7, 0x1.5ca46648c9fap-7, 0x1.526ab94bd2707p-7, 0x1.4876aae9870e8p-7, 0x1.3ec69dab09856p-7, 0x1.3558fbc28da6p-7, 0x1.2c2c36f693c12p-7, 0x1.233ec88cd8dbdp-7, 0x1.1a8f3134fa54dp-7, 0x1.121bf8f2d7acp-7, 0x1.09e3af08b6816p-7, 0x1.01e4e9e12fb0dp-7, 0x1.f43c8df1d60fbp-8, 0x1.e51cd5905eb41p-8, 0x1.d668015897c42p-8, 0x1.c81b75a1bd2eap-8, 0x1.ba34a432025c4p-8, 0x1.acb10c10b6b5dp-8, 0x1.9f8e395843e25p-8, 0x1.92c9c508106f6p-8, 0x1.866154d646e4p-8, 0x1.7a529b0193898p-8, 0x1.6e9b5622d73a2p-8, 0x1.633950feda77fp-8, 0x1.582a625806b49p-8, 0x1.4d6c6cc02f5c7p-8, 0x1.42fd5e6a6a5d7p-8, 0x1.38db30fd03fa8p-8, 0x1.2f03e96392264p-8, 0x1.257597a12ac48p-8, 0x1.1c2e56a2c4245p-8, 0x1.132c4c11c794dp-8, 0x1.0a6da826d342dp-8, 0x1.01f0a57cb973ep-8, 0x1.f36711c775b9ep-9, 0x1.e369426a05adp-9, 0x1.d3e48e4cd8efep-9, 0x1.c4d5ba3d1d421p-9, 0x1.b6399e123228cp-9, 0x1.a80d245705442p-9, 0x1.9a4d49f41a58bp-9, 0x1.8cf71dda453bdp-9, 0x1.8007c0ae1fc83p-9, 0x1.737c64743ab74p-9, 0x1.67524c3e1894bp-9, 0x1.5b86cbd7eeda4p-9, 0x1.501747773996cp-9, 0x1.4501336a2500bp-9, 0x1.3a4213c7cea5p-9, 0x1.2fd77c2169749p-9, 0x1.25bf0f343badcp-9, 0x1.1bf67e9c8d277p-9, 0x1.123caa8481f8fp-9, 0x1.090f17590122ep-9, 0x1.002ada3fc66d1p-9, 0x1.ef1bb85b15249p-10, 0x1.de6c26f46e5d3p-10, 0x1.ce4307351f55cp-10, 0x1.be9c79b5b3791p-10, 0x1.af74b8350f743p-10, 0x1.a0c81511b9c5bp-10, 0x1.9292fac53238cp-10, 0x1.84d1eb612fc41p-10, 0x1.7781800ef8967p-10, 0x1.6a9e6890a0874p-10, 0x1.5e256ac447cf7p-10, 0x1.52136229546a9p-10, 0x1.46653f679f5dap-10, 0x1.3b1807d89705p-10, 0x1.3028d5124a05dp-10, 0x1.2594d47462c53p-10, 0x1.1b5946b71244dp-10, 0x1.11737f7bcadeap-10, 0x1.07e0e4dff0067p-10, 0x1.fd3dde22ad6ap-11, 0x1.eb564fc93ef9ap-11, 0x1.da0654dabb5c2p-11, 0x1.c94945302914p-11, 0x1.b91a998be83e8p-11, 0x1.a975ead4be4d4p-11, 0x1.9a56f154543a9p-11, 0x1.8bb983f92d144p-11, 0x1.7d99979c0bap-11, 0x1.6ff33e4899d77p-11, 0x1.62c2a68981124p-11, 0x1.56041ab7c0335p-11, 0x1.49b4004d3b922p-11, 0x1.3dced73a88a75p-11, 0x1.3251393fe1381p-11, 0x1.2737d949390bcp-11, 0x1.1c7f82cd691cfp-11, 0x1.122519307740ep-11, 0x1.08259728c9a11p-11, 0x1.fcfc1c4edf606p-12, 0x1.ea574b86a87cp-12, 0x1.d857364eb4ee6p-12, 0x1.c6f68106cf3cbp-12, 0x1.b62ff900737c5p-12, 0x1.a5fe936c4e815p-12, 0x1.965d6c4d2c36fp-12, 0x1.8747c570917a5p-12, 0x1.78b9056cb14d9p-12, 0x1.6aacb6a3f2888p-12, 0x1.5d1e864dac671p-12, 0x1.500a43846203fp-12, 0x1.436bde5914b87p-12, 0x1.373f66ebe36a7p-12, 0x1.2b810c89cd5b9p-12, 0x1.202d1ccf81f3bp-12, 0x1.154002d1356c3p-12, 0x1.0ab646478b053p-12, 0x1.008c8ac14d2a2p-12, 0x1.ed7f1db412458p-13, 0x1.da9856eb0d529p-13, 0x1.c85ea5ff94aa1p-13, 0x1.b6cc2163ff3e2p-13, 0x1.a5db0fb7a8205p-13, 0x1.9585e662bd38ep-13, 0x1.85c7483b1c72ap-13, 0x1.769a0431cb296p-13, 0x1.67f91409267a7p-13, 0x1.59df9b138d6b5p-13, 0x1.4c48e4fa535b6p-13, 0x1.3f30648ce26f4p-13, 0x1.3291b297ef567p-13, 0x1.26688cc460bd3p-13, 0x1.1ab0d47e39afdp-13, 0x1.0f668de29107ep-13, 0x1.0485deb554d92p-13, 0x1.f4161abc32374p-14, 0x1.dfe4ffd7cd89cp-14, 0x1.cc71764002ce5p-14, 0x1.b9b4c2fea65a8p-14, 0x1.a7a864d514032p-14, 0x1.96461278c9c99p-14, 0x1.8587b8dcc31b2p-14, 0x1.756779874449cp-14, 0x1.65dfa8f2f0ca2p-14, 0x1.56eaccfbd55ecp-14, 0x1.48839b579256ap-14, 0x1.3aa4f8189bf6ep-14, 0x1.2d49f43c232c8p-14, 0x1.206dcc4215afdp-14, 0x1.140be6cfeb5dap-14, 0x1.081fd35cedecdp-14, 0x1.f94a91cf91796p-15, 0x1.e330496c23483p-15, 0x1.cde8d2391d8e5p-15, 0x1.b96c78a0f7db9p-15, 0x1.a5b3ce82cb93p-15, 0x1.92b7a8f691b08p-15, 0x1.80711e226c5c2p-15, 0x1.6ed9831f30eefp-15, 0x1.5dea69ecaeb51p-15, 0x1.4d9d9f750973ep-15, 0x1.3ded299ede33bp-15, 0x1.2ed3456d9705ap-15, 0x1.204a652f9b431p-15, 0x1.124d2eba3b7d9p-15, 0x1.04d679b2d2042p-15, 0x1.efc29bc89316fp-16, 0x1.d6d1c3449823fp-16, 0x1.bed1306ddb1ap-16, 0x1.a7b800bb8325p-16, 0x1.917da5937312p-16, 0x1.7c19e16d33a19p-16, 0x1.6784c50a26d81p-16, 0x1.53b6acc386017p-16, 0x1.40a83ded6e55ap-16, 0x1.2e52644db8b44p-16, 0x1.1cae4fa68ec6p-16, 0x1.0bb57154d3db5p-16, 0x1.f6c2f400d3b14p-17, 0x1.d758aebf6dbf6p-17, 0x1.b92064171ae4bp-17, 0x1.9c0ed6ccd8c26p-17, 0x1.80193723653f2p-17, 0x1.65351eec9f46ep-17, 0x1.4b588db82a37ep-17, 0x1.3279e51e3cfa4p-17, 0x1.1a8fe52e03281p-17, 0x1.0391a8f467545p-17, 0x1.daed464a45d1dp-18, 0x1.b06d35b4cd50bp-18, 0x1.879350e4beaf6p-18, 0x1.6050650e46478p-18, 0x1.3a95d5fad7ab8p-18, 0x1.16559864aeb98p-18, 0x1.e70458eb74c84p-19, 0x1.a41d30fb038adp-19, 0x1.63dcc7a55e0a4p-19, 0x1.262b23c25f30ap-19, 0x1.d5e2759038dd3p-20, 0x1.6431cf1d37c49p-20, 0x1.ee3385e8cacfcp-21, 0x1.1ce2cf1685a59p-21, 0x1.508b5538f071fp-23, -0x1.b15ff5e6b7cb6p-23, -0x1.24d64fa9849cap-21, -0x1.d59df5c987086p-21, -0x1.3f79079e7b67ep-20, -0x1.908990eebe403p-20, -0x1.de1f9a539f028p-20, -0x1.142c7a591cb31p-19, -0x1.37a9255b35d59p-19, -0x1.5993965d96901p-19, -0x1.79f90e21a22b4p-19, -0x1.98e64b828d01p-19, -0x1.b66790c2a482dp-19, -0x1.d288a8ae79b3ep-19, -0x1.ed54eb85574f3p-19, -0x1.036ba1da1ad3bp-18, -0x1.0f8d1932c635cp-18, -0x1.1b13e9effd912p-18, -0x1.2604f1e021421p-18, -0x1.3064e07da4f9p-18, -0x1.3a3838e6138c4p-18, -0x1.438353b734b28p-18, -0x1.4c4a60d967051p-18, -0x1.5491693b2aa0dp-18, -0x1.5c5c507550b94p-18, -0x1.63aed66735f62p-18, -0x1.6a8c98b9fca8cp-18, -0x1.70f9145b48e21p-18, -0x1.76f7a6e39053p-18, -0x1.7c8b8ff24a1e8p-18, -0x1.81b7f277d662ap-18, -0x1.867fd5f62967p-18, -0x1.8ae627b156c22p-18, -0x1.8eedbbd614a6fp-18, -0x1.92994e927fe6dp-18, -0x1.95eb85238089cp-18, -0x1.98e6eed99c1ap-18, -0x1.9b8e060d7c177p-18, -0x1.9de3310f7c2a9p-18, -0x1.9fe8c309f2af4p-18, -0x1.a1a0fcdc30657p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.436f0030f9947p-5, 0x1.3e1dc3a13b6bbp-5, 0x1.35d5b1d6b7e32p-5, 0x1.2a8f95b704e84p-5, 0x1.1c48e20479733p-5, 0x1.0b0375ec4fc2cp-5, 0x1.ed8ab494f0a3bp-6, 0x1.bf30f395886bap-6, 0x1.8b14ab7c6a23dp-6, 0x1.515772620e442p-6, 0x1.1220d7162e6bap-6, 0x1.9b3b8f225781fp-7, 0x1.07fff49238db7p-7, 0x1.abeade13b0236p-9, -0x1.db07e9a34d895p-10, -0x1.d533767a5a415p-8, -0x1.a230d1b56a516p-7, -0x1.30d1a02729d88p-6, -0x1.94354dfcefddep-6, -0x1.fafef281e02fbp-6, -0x1.327493a55084fp-5, -0x1.68d6fdf39f2d4p-5, -0x1.a083a5afdd6cp-5, -0x1.d9578569165ffp-5, -0x1.0997e45b58d8ap-4, -0x1.26f4f6826c455p-4, -0x1.44b1efa98d48dp-4, -0x1.62be0b850015ap-4, -0x1.8108d7067cf58p-4, -0x1.9f823b173adafp-4, -0x1.be1a8615d816cp-4, -0x1.dcc2742aa4b34p-4, -0x1.fb6b368497914p-4, -0x1.0d033cc83e73p-3, -0x1.1c43351dd96dep-3, -0x1.2b6edd297df98p-3, -0x1.3a7fd206a8bfap-3, -0x1.496ff6690f34ep-3, -0x1.583973a4c714ap-3, -0x1.66d6ba626b6a5p-3, -0x1.75428305f88d3p-3, -0x1.8377cdcebebbcp-3, -0x1.9171e2b656e82p-3, -0x1.9f2c51147651ap-3, -0x1.aca2ef0ce800ep-3, -0x1.b9d1d8cce1a2dp-3, -0x1.c6b56f9c6efb4p-3, -0x1.d34a58c89302ep-3, -0x1.df8d7c6a5273p-3, -0x1.eb7c040eaea6p-3, -0x1.f7135943569dp-3, -0x1.01289205c0a52p-2, -0x1.0699a4a022bc3p-2, -0x1.0bdbf46fbb8fap-2, -0x1.10eeae25ecd5dp-2, -0x1.15d11a40a8e6p-2, -0x1.1a829c1fc0919p-2, -0x1.1f02b116851fcp-2, -0x1.2350ef7ac963p-2, -0x1.276d05b2335b7p-2, -0x1.2b56b93ec075dp-2, -0x1.2f0de5cb44131p-2, -0x1.32927c389fa81p-2, -0x1.35e481ac5731ep-2, -0x1.39040ea11f6f4p-2, -0x1.3bf14df9eb94bp-2, -0x1.3eac7c17f6f15p-2, -0x1.4135e5f43b8bdp-2, -0x1.438de83caf707p-2, -0x1.45b4ee75a65d7p-2, -0x1.47ab721f9feedp-2, -0x1.4971f9e1c19dfp-2, -0x1.4b0918b937142p-2, -0x1.4c716d2da84fap-2, -0x1.4daba08aea8c2p-2, -0x1.4eb866200eae5p-2, -0x1.4f987a83e6b3fp-2, -0x1.504ca2df126e5p-2, -0x1.50d5ac3ba51f6p-2, -0x1.51346ada6cc48p-2, -0x1.5169b98dda2ep-2, -0x1.5176791a900c3p-2, -0x1.515b8f9d92c88p-2, -0x1.5119e7f80dbcfp-2, -0x1.50b27140ab24cp-2, -0x1.50261e3a6a1b9p-2, -0x1.4f75e4d0e88d5p-2, -0x1.4ea2bd9a0c6adp-2, -0x1.4dada35cf6966p-2, -0x1.4c97929e2df11p-2, -0x1.4b618930eba93p-2, -0x1.4a0c85cd6ae3p-2, -0x1.489987ac270e9p-2, -0x1.47098e25efda8p-2, -0x1.455d9858b155bp-2, -0x1.4396a4d0dc056p-2, -0x1.41b5b137486ebp-2, -0x1.3fbbba038329dp-2, -0x1.3da9ba325979ap-2, -0x1.3b80ab00937ep-2, -0x1.394183a9b3fb8p-2, -0x1.36ed392aab3f4p-2, -0x1.3484be08574c7p-2, -0x1.32090219b8422p-2, -0x1.2f7af255b78bfp-2, -0x1.2cdb78a46be0ap-2, -0x1.2a2b7bb3b66e5p-2, -0x1.276bdecf1d7fcp-2, -0x1.249d81bacdbb4p-2, -0x1.21c14091a08f6p-2, -0x1.1ed7f3a60ba65p-2, -0x1.1be26f65e4b59p-2, -0x1.18e18440d83c9p-2, -0x1.15d5fe917a906p-2, -0x1.12c0a688dd38bp-2, -0x1.0fa2401c88f21p-2, -0x1.0c7b8af6c88bbp-2, -0x1.094d4269295bap-2, -0x1.06181d611a6b9p-2, -0x1.02dcce5e930e1p-2, -0x1.ff3806d95158p-3, -0x1.f8accc37fffffp-3, -0x1.f21936fe007acp-3, -0x1.eb7e884f6c354p-3, -0x1.e4ddf84e9d1cdp-3, -0x1.de38b61e34976p-3, -0x1.d78fe7e5fe51cp-3, -0x1.d0e4aada90fabp-3, -0x1.ca38134787fbp-3, -0x1.c38b2c9c2f75p-3, -0x1.bcdef97a7bd8ap-3, -0x1.b63473c82f237p-3, -0x1.af8c8cc20b415p-3, -0x1.a8e82d10e9174p-3, -0x1.a24834e0a3817p-3, -0x1.9bad7bf8a3419p-3, -0x1.9518d1d605b34p-3, -0x1.8e8afdc72a628p-3, -0x1.8804bf08a15b4p-3, -0x1.8186cce34d557p-3, -0x1.7b11d6cbb0f32p-3, -0x1.74a684823db77p-3, -0x1.6e45763498676p-3, -0x1.67ef449fb8702p-3, -0x1.61a48132ca937p-3, -0x1.5b65b632c29edp-3, -0x1.553366de8d396p-3, -0x1.4f0e0f93bf7a8p-3, -0x1.48f625f3c2871p-3, -0x1.42ec19095e2dbp-3, -0x1.3cf0516e97f48p-3, -0x1.37033172ced88p-3, -0x1.312515410a11p-3, -0x1.2b5653066b028p-3, -0x1.25973b18afe7ep-3, -0x1.1fe8181cc028ap-3, -0x1.1a492f2d2e21p-3, -0x1.14bac000aad71p-3, -0x1.0f3d051054be3p-3, -0x1.09d033bde26abp-3, -0x1.04747c7994f91p-3, -0x1.fe5415cfe6174p-4, -0x1.f3e20c0e67794p-4, -0x1.e99320a8c11bep-4, -0x1.df678fe03d049p-4, -0x1.d55f8d862ce84p-4, -0x1.cb7b4543f08a4p-4, -0x1.c1badae21caf4p-4, -0x1.b81e6a8ec6298p-4, -0x1.aea60922d1534p-4, -0x1.a551c46650861p-4, -0x1.9c21a353cc9d4p-4, -0x1.9315a65a90248p-4, -0x1.8a2dc79fd587dp-4, -0x1.8169fb3ed6b08p-4, -0x1.78ca2f87bb6a7p-4, -0x1.704e4d3d5e208p-4, -0x1.67f637d1e28a8p-4, -0x1.5fc1cda21850ap-4, -0x1.57b0e82fa8971p-4, -0x1.4fc35c5a0a386p-4, -0x1.47f8fa9638a2bp-4, -0x1.40518f252cfe3p-4, -0x1.38cce24918345p-4, -0x1.316ab8795b06ep-4, -0x1.2a2ad2953df9bp-4, -0x1.230cee1566c57p-4, -0x1.1c10c53c0d6fdp-4, -0x1.15360f43f027dp-4, -0x1.0e7c808e088a5p-4, -0x1.07e3cace0220cp-4, -0x1.016b9d357572cp-4, -0x1.f627493bd062dp-5, -0x1.e9b717632cb48p-5, -0x1.dd85f6260c858p-5, -0x1.d1933306d3a96p-5, -0x1.c5de180fa20edp-5, -0x1.ba65ec1a639ebp-5, -0x1.af29f3168d7dp-5, -0x1.a4296e4c93948p-5, -0x1.99639c9f1e846p-5, -0x1.8ed7baca09542p-5, -0x1.8485039f2ce7bp-5, -0x1.7a6ab0410a18bp-5, -0x1.7087f85b4fa32p-5, -0x1.66dc1259504ep-5, -0x1.5d66339a6d2f2p-5, -0x1.542590a47c7bp-5, -0x1.4b195d543c02bp-5, -0x1.4240cd0bd44c5p-5, -0x1.399b12df77e21p-5, -0x1.312761c02bddap-5, -0x1.28e4eca4bd338p-5, -0x1.20d2e6b0f618bp-5, -0x1.18f0835b13dd1p-5, -0x1.113cf68f91a24p-5, -0x1.09b774d348a3p-5, -0x1.025f3363f8b18p-5, -0x1.f666d0ae782d2p-6, -0x1.e866956ff01fep-6, -0x1.dabc25449b976p-6, -0x1.cd65f2bc3550fp-6, -0x1.c06272f01d875p-6, -0x1.b3b01db2cb97ep-6, -0x1.a74d6dbc97308p-6, -0x1.9b38e0d5ecba7p-6, -0x1.8f70f7fefe998p-6, -0x1.83f43795090fcp-6, -0x1.78c127753b128p-6, -0x1.6dd6531d570f3p-6, -0x1.633249ca1b1c2p-6, -0x1.58d39e938cbafp-6, -0x1.4eb8e887282bcp-6, -0x1.44e0c2c01b6edp-6, -0x1.3b49cc7d8a228p-6, -0x1.31f2a936fa9d8p-6, -0x1.28da00aef1313p-6, -0x1.1ffe7f03d5bafp-6, -0x1.175ed4bf27084p-6, -0x1.0ef9b6e3199c3p-6, -0x1.06cddef6a3f27p-6, -0x1.fdb4162028cbfp-7, -0x1.ee39fbbc62ddap-7, -0x1.df2afd60092cfp-7, -0x1.d084b2f6966a4p-7, -0x1.c244bdc3550cap-7, -0x1.b468c869569b1p-7, -0x1.a6ee86f11bdc9p-7, -0x1.99d3b6cc0b7ep-7, -0x1.8d161ed5c26e8p-7, -0x1.80b38f536c659p-7, -0x1.74a9e1f124914p-7, -0x1.68f6f9bd8b778p-7, -0x1.5d98c32390a03p-7, -0x1.528d33e2ab26p-7, -0x1.47d24b056506fp-7, -0x1.3d6610d678d26p-7, -0x1.334696d4882d5p-7, -0x1.2971f7a46ed5fp-7, -0x1.1fe657025d7f9p-7, -0x1.16a1e1b1c0536p-7, -0x1.0da2cd6c06c22p-7, -0x1.04e758ce5ef38p-7, -0x1.f8db968ce53a8p-8, -0x1.e868e9fc727b8p-8, -0x1.d8735d8dd7abcp-8, -0x1.c8f7b4065728dp-8, -0x1.b9f2c120d234ap-8, -0x1.ab61695f336d7p-8, -0x1.9d40a1da930bp-8, -0x1.8f8d70122ec64p-8, -0x1.8244e9b94a3f8p-8, -0x1.7564348416da6p-8, -0x1.68e885f3b3f1cp-8, -0x1.5ccf232162fa7p-8, -0x1.51156089014f3p-8, -0x1.45b8a1d2dd9bdp-8, -0x1.3ab6599cfe4a5p-8, -0x1.300c0943e8261p-8, -0x1.25b740aafc01fp-8, -0x1.1bb59e0479734p-8, -0x1.1204cd9936adfp-8, -0x1.08a2899022e4fp-8, -0x1.ff19336b33e44p-9, -0x1.ed81a68541d17p-9, -0x1.dc7a314820283p-9, -0x1.cbfeb283801ecp-9, -0x1.bc0b228b843e5p-9, -0x1.ac9b92c75a2efp-9, -0x1.9dac2d4025042p-9, -0x1.8f3934303a4a3p-9, -0x1.813f0192d30b6p-9, -0x1.73ba06b43f6f9p-9, -0x1.66a6cbc2b01afp-9, -0x1.5a01ef5fa35ddp-9, -0x1.4dc826320efb8p-9, -0x1.41f63a794566cp-9, -0x1.36890ba0bc2d5p-9, -0x1.2b7d8dd4a72e3p-9, -0x1.20d0c9978b82fp-9, -0x1.167fdb58c59abp-9, -0x1.0c87f30c187b7p-9, -0x1.02e653c245995p-9, -0x1.f330a6858af27p-10, -0x1.e136b34d2f18ep-10, -0x1.cfd9c1e88414ap-10, -0x1.bf14e979f96ebp-10, -0x1.aee3637629588p-10, -0x1.9f408ae31a1b9p-10, -0x1.9027db99ff0c2p-10, -0x1.8194f18b8d42bp-10, -0x1.73838806e2fc9p-10, -0x1.65ef79030e059p-10, -0x1.58d4bc6b37ec3p-10, -0x1.4c2f676d7fe28p-10, -0x1.3ffbabcc7b899p-10, -0x1.3435d733776d4p-10, -0x1.28da528d664c1p-10, -0x1.1de5a15e8b8e9p-10, -0x1.13546120e20dap-10, -0x1.092348a33e083p-10, -0x1.fe9e4ed6524eep-11, -0x1.eba9ca3303618p-11, -0x1.d96301a39515cp-11, -0x1.c7c42148789a2p-11, -0x1.b6c781f513e3ep-11, -0x1.a667a80eb7c4ap-11, -0x1.969f4270f6bf8p-11, -0x1.8769295758cafp-11, -0x1.78c05d4c62c2bp-11, -0x1.6aa0061de9e2cp-11, -0x1.5d0371d6a6e85p-11, -0x1.4fe613bd028adp-11, -0x1.434383570c36bp-11, -0x1.37177b7393282p-11, -0x1.2b5dd938525cfp-11, -0x1.20129b352620cp-11, -0x1.1531e07c396aap-11, -0x1.0ab7e7bf22b6fp-11, -0x1.00a10e70de598p-11, -0x1.edd39fd92ed68p-12, -0x1.db1d894269f14p-12, -0x1.c91942832de37p-12, -0x1.b7c06bf2ea40fp-12, -0x1.a70cdb4da7849p-12, -0x1.96f89a2fee808p-12, -0x1.877de49b98e1bp-12, -0x1.78972785647dep-12, -0x1.6a3eff6b29e69p-12, -0x1.5c7036f2931f2p-12, -0x1.4f25c590344a6p-12, -0x1.425ace36df93fp-12, -0x1.360a9e0f170f9p-12, -0x1.2a30ab367646dp-12, -0x1.1ec89386f6a1fp-12, -0x1.13ce1b65e53d9p-12, -0x1.093d2c9a6eb4p-12, -0x1.fe23aa57343ep-13, -0x1.ea908c8b29657p-13, -0x1.d7b9a64c511fap-13, -0x1.c597e0207f743p-13, -0x1.b424628c9d716p-13, -0x1.a35894170eb35p-13, -0x1.932e175766576p-13, -0x1.839ec91322668p-13, -0x1.74a4be672bf68p-13, -0x1.663a42fde50f8p-13, -0x1.5859d75178ad8p-13, -0x1.4afe2efa2b1cep-13, -0x1.3e222f087841p-13, -0x1.31c0ec6ab24f6p-13, -0x1.25d5aa5de7592p-13, -0x1.1a5bd8e9d4e46p-13, -0x1.0f4f1367a6ee8p-13, -0x1.04ab1f134349cp-13, -0x1.f4d7d34dda323p-14, -0x1.e11b10020820cp-14, -0x1.ce1869a7343d5p-14, -0x1.bbc89ebb78c1dp-14, -0x1.aa24b45c3733ap-14, -0x1.9925f3dde63eap-14, -0x1.88c5e875da9adp-14, -0x1.78fe5cf597548p-14, -0x1.69c959974d048p-14, -0x1.5b2121db12836p-14, -0x1.4d00327472933p-14, -0x1.3f613f47ea565p-14, -0x1.323f3177f1e5p-14, -0x1.259525813011ap-14, -0x1.195e696574a95p-14, -0x1.0d967ae51e369p-14, -0x1.023905c68ab86p-14, -0x1.ee83c45673e6bp-15, -0x1.d95a25e48b568p-15, -0x1.c4ed884fb4683p-15, -0x1.b1369302a8092p-15, -0x1.9e2e39cb67dbcp-15, -0x1.8bcdba0420e0dp-15, -0x1.7a0e97d36cb57p-15, -0x1.68ea9b834e8cep-15, -0x1.585bceee5154ep-15, -0x1.485c7b0229ef8p-15, -0x1.38e7255749117p-15, -0x1.29f68ddccca7fp-15, -0x1.1b85ac98385efp-15, -0x1.0d8faf787393fp-15, -0x1.000ff83b76d38p-15, -0x1.e60434cc54d84p-16, -0x1.ccc3b29be247dp-16, -0x1.b4564c66af32p-16, -0x1.9cb43cdae4415p-16, -0x1.85d6134ad3eb6p-16, -0x1.6fb4b0438150dp-16, -0x1.5a494241ac51ap-16, -0x1.458d428478a5fp-16, -0x1.317a71fcd7ceep-16, -0x1.1e0ad658cbb08p-16, -0x1.0b38b729bdd42p-16, -0x1.f1fd364a1ac91p-17, -0x1.ceae8afc1fc84p-17, -0x1.ac7b66b168bc1p-17, -0x1.8b5a32a8310fdp-17, -0x1.6b41c2587f29fp-17, -0x1.4c294ee47e083p-17, -0x1.2e0872b4567e5p-17, -0x1.10d7253c2445cp-17, -0x1.e91b6dd573a3cp-18, -0x1.b2499a7fc6854p-18, -0x1.7d2abe11c9463p-18, -0x1.49b16183f5badp-18, -0x1.17d0a23757693p-18, -0x1.cef8568ae8105p-19, -0x1.71505e2675d9p-19, -0x1.1692c24988e34p-19, -0x1.7d53c0beeed6ep-20, -0x1.a6040352e6a2cp-21, -0x1.7044c2a04bbc8p-23, 0x1.c6f9fc3bd46afp-22, 0x1.0c77b1391e615p-20, 0x1.a245e719ad45fp-20, 0x1.19a54c29a66f6p-19, 0x1.5fd2ee7a7f251p-19, 0x1.a3bb3f3a7b1b5p-19, 0x1.e56d03fa08d85p-19, 0x1.127b35741750bp-18, 0x1.3132892337eb8p-18, 0x1.4ee307c536a9ap-18, 0x1.6b92fb18102cap-18, 0x1.87486f1fcfe5fp-18, 0x1.a209354492dc8p-18, 0x1.bbdae74d09ae4p-18, 0x1.d4c2ea36c388cp-18, 0x1.ecc670ed87ccdp-18, 0x1.01f53f717cd8p-17, 0x1.0d19f543d9878p-17, 0x1.17d3afd37fa94p-17, 0x1.2224b0d32a4dcp-17, 0x1.2c0f26d4cf18ap-17, 0x1.35952e4eb3461p-17, 0x1.3eb8d293f0099p-17, 0x1.477c0ec0e6647p-17, 0x1.4fe0ce9c1aeefp-17, 0x1.57e8ef6bef2dp-17, 0x1.5f9640c1a6d32p-17, 0x1.66ea853a2fbb8p-17, 0x1.6de7733510d9cp-17, 0x1.748eb581dc1e4p-17, 0x1.7ae1ec04aa09bp-17, 0x1.80e2ac51c8bb5p-17, 0x1.869282413b8f9p-17, 0x1.8bf2f07a1e0bdp-17, 0x1.910570f68e617p-17, 0x1.95cb7580226a4p-17, 0x1.9a46682581521p-17, 0x1.9e77aba93a6dap-17, 0x1.a2609bea43e4p-17, 0x1.a6028e46539aap-17, 0x1.a95ed1f66bbf2p-17, 0x1.ac76b065d604p-17, 0x1.af4b6d83ca18p-17, 0x1.b1de481001a3cp-17, 0x1.b43079e27aa62p-17, 0x1.b643382e9d84p-17, 0x1.b817b3c1fd8d1p-17, 0x1.b9af193ef07e4p-17, 0x1.bb0a915323ea4p-17, 0x1.bc2b40ea74447p-17, 0x1.bd12495e29956p-17, 0x1.bdc0c8a0c5157p-17, 0x1.be37d9669ac2dp-17, 0x1.be78934b4f73fp-17, 0x1.be840af4750b5p-17, 0x1.be5b5231602e1p-17, 0x1.bdff7818659bap-17, 0x1.bd7189219635ep-17, 0x1.bcb28f3f335dfp-17, 0x1.bbc391f3e72e1p-17, 0x1.baa59666e3277p-17, 0x1.b9599f761ef76p-17, 0x1.b7e0adc6a1b8ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a9afeb0a1f437p-1, -0x1.b549f7a6fcc4ap-1, -0x1.be4014a41a09p-1, -0x1.c4a2a8f86daep-1, -0x1.c8882ea5c9da5p-1, -0x1.ca0c08e0745bdp-1, -0x1.c94d68f5d9ba9p-1, -0x1.c66e4a8f23a82p-1, -0x1.c192b6d90870bp-1, -0x1.badffba06ddd4p-1, -0x1.b27be98ddd9ddp-1, -0x1.a88c5e867fe96p-1, -0x1.9d37003fb503cp-1, -0x1.90a0e8a2da322p-1, -0x1.82ee3d918aec7p-1, -0x1.7441d9eebc284p-1, -0x1.64bd208ed46dep-1, -0x1.547fec845284ep-1, -0x1.43a8848451f67p-1, -0x1.32538870a3ed6p-1, -0x1.209be07b24a0fp-1, -0x1.0e9a966b7a76ap-1, -0x1.f8cdb94e533f9p-2, -0x1.d42cf8d1fc29dp-2, -0x1.af7ac010f3bf9p-2, -0x1.8adb6d98e51c2p-2, -0x1.667022804c098p-2, -0x1.4256f76aea1aep-2, -0x1.1eab1bcaec148p-2, -0x1.f709d29e1866cp-3, -0x1.b1f3fbfd14796p-3, -0x1.6e3ac95ea30d4p-3, -0x1.2bff8bdb4ff71p-3, -0x1.d6be5db770519p-4, -0x1.58e514558c1b9p-4, -0x1.bd3aa6a544d61p-5, -0x1.a028896e222adp-6, 0x1.570008d92f91cp-9, 0x1.e64a6f1ac055fp-6, 0x1.c8e97f8e2ec03p-5, 0x1.4b528ff10a361p-4, 0x1.ae24d7604d9afp-4, 0x1.067451288e9a9p-3, 0x1.33cf6e5efd2b8p-3, 0x1.5f25fa878ce8fp-3, 0x1.887bc14160677p-3, 0x1.afd5f7cd6e1cap-3, 0x1.d53b14a9ccfdbp-3, 0x1.f8b2a9eac6487p-3, 0x1.0d22a130ad0edp-2, 0x1.1cfe20a58a236p-2, 0x1.2bf0e2144e947p-2, 0x1.3a004341a4ef9p-2, 0x1.4731e3da99279p-2, 0x1.538b99791f2cfp-2, 0x1.5f1364dd38795p-2, 0x1.69cf684d3f29bp-2, 0x1.73c5def1fbbf2p-2, 0x1.7cfd14fecf447p-2, 0x1.857b608e98761p-2, 0x1.8d471b3f8b00fp-2, 0x1.94669ca67089ep-2, 0x1.9ae0359d5ad65p-2, 0x1.a0b9aa670dee2p-2, 0x1.a5fa7796b508ep-2, 0x1.aaa81b1ce1376p-2, 0x1.aec898ef59e85p-2, 0x1.b261d9fa258f4p-2, 0x1.b579aaec53c6ap-2, 0x1.b815baebf2f22p-2, 0x1.ba3b9a1b3d1f2p-2, 0x1.bbf0b7f8d0b1cp-2, 0x1.bd3a61bb34023p-2, 0x1.be1dc0d1df2f8p-2, 0x1.be9fd9b25e381p-2, 0x1.bec58b089ad4ep-2, 0x1.be938d4afa105p-2, 0x1.be0e729e11211p-2, 0x1.bd3aa6e7a4564p-2, 0x1.bc1c6ff1e3ec5p-2, 0x1.bab7ed8c24921p-2, 0x1.b91119a75d212p-2, 0x1.b72bc87af25a6p-2, 0x1.b50ba8c4cd5f1p-2, 0x1.b2b44435ee76ap-2, 0x1.b0290015348cdp-2, 0x1.ad6d1e18af9ap-2, 0x1.aa83bd6da641cp-2, 0x1.a76fdbe1b051ep-2, 0x1.a434571c5b417p-2, 0x1.a0d3edd860bcap-2, 0x1.9d51410d628c4p-2, 0x1.99aed4ff4e868p-2, 0x1.95ef122e69628p-2, 0x1.92144629ac5bdp-2, 0x1.8e20a44b103a3p-2, 0x1.8a164669478c7p-2, 0x1.85f72d8b1d581p-2, 0x1.81c542a62fc4dp-2, 0x1.7d82576df2d0cp-2, 0x1.793027322005p-2, 0x1.74d057c6f340bp-2, 0x1.70647a6eb5c48p-2, 0x1.6bee0cbc054e9p-2, 0x1.676e796648fccp-2, 0x1.62e7190d33f23p-2, 0x1.5e5932eba39acp-2, 0x1.59c5fd7cd3482p-2, 0x1.552e9f1816499p-2, 0x1.50942e87308c1p-2, 0x1.4bf7b39a6f85ap-2, 0x1.475a27bc3c8c3p-2, 0x1.42bc7684bbee2p-2, 0x1.3e1f7e4d45c6cp-2, 0x1.398410c3350f7p-2, 0x1.34eaf3798b2fp-2, 0x1.3054e078e95d2p-2, 0x1.2bc286cd756bap-2, 0x1.27348b11fbcb4p-2, 0x1.22ab87f77fa6fp-2, 0x1.1e280ec813baep-2, 0x1.19aaa7e3d37b5p-2, 0x1.1533d336e8c72p-2, 0x1.10c408a7d60bfp-2, 0x1.0c5bb87dc11f3p-2, 0x1.07fb4bbefb7e6p-2, 0x1.03a3248873eccp-2, 0x1.fea73cbe40b5dp-3, 0x1.f61a1cf8f4e29p-3, 0x1.ed9f882e4cecfp-3, 0x1.e53811513ba7ep-3, 0x1.dce44060d4cd6p-3, 0x1.d4a492ea56b02p-3, 0x1.cc797c86abb88p-3, 0x1.c463675302ebfp-3, 0x1.bc62b463e3cc7p-3, 0x1.b477bc323ee7ep-3, 0x1.aca2cf02464fp-3, 0x1.a4e435440a701p-3, 0x1.9d3c2fee44e31p-3, 0x1.95aaf8d3fae9fp-3, 0x1.8e30c2f5ae9bep-3, 0x1.86cdbacf0610ap-3, 0x1.7f8206a1b038cp-3, 0x1.784dc6be0d157p-3, 0x1.713115ca18db6p-3, 0x1.6a2c0906b463bp-3, 0x1.633f902239251p-3, 0x1.5c69f7e57e668p-3, 0x1.55ac23e9bbbbep-3, 0x1.4f0616fee28fcp-3, 0x1.4877cfa37dac5p-3, 0x1.4201483bb3c6cp-3, 0x1.3ba27749386a7p-3, 0x1.355b4fa394da3p-3, 0x1.2f2bc0b02b749p-3, 0x1.2913b699503cap-3, 0x1.23131a83df3dp-3, 0x1.1d29d2c2b6d67p-3, 0x1.1757c307b619p-3, 0x1.119ccc91c6a6dp-3, 0x1.0bf8ce57d6db2p-3, 0x1.066ba5308beacp-3, 0x1.00f52bf6b4c93p-3, 0x1.f72a7755241c3p-4, 0x1.ec97572048391p-4, 0x1.e230a29568a6fp-4, 0x1.d7f601ebe43c5p-4, 0x1.cde71a79cbbaap-4, 0x1.c4038ede52bd7p-4, 0x1.ba4aff2946eb6p-4, 0x1.b0bd0900597bbp-4, 0x1.a75947c2c0c26p-4, 0x1.9e1f54abace92p-4, 0x1.950ec6f40c8f2p-4, 0x1.8c2733f3d6f7ep-4, 0x1.83682f43295dcp-4, 0x1.7ad14adb46e39p-4, 0x1.726217378883ep-4, 0x1.6a1a237634052p-4, 0x1.61f8fd79236e4p-4, 0x1.59fe32061b8e7p-4, 0x1.52294ce6ac4cfp-4, 0x1.4a79d9076f79dp-4, 0x1.42ef60967f116p-4, 0x1.3b896d20f9145p-4, 0x1.344787af72581p-4, 0x1.2d2938e13687dp-4, 0x1.262e090641768p-4, 0x1.1f558037dfce8p-4, 0x1.189f266fed463p-4, 0x1.120a839eadb59p-4, 0x1.0b971fbf440a2p-4, 0x1.054482eacdf58p-4, 0x1.fe246ad466f1cp-5, 0x1.f1ff7f8d76043p-5, 0x1.e61955b2ea911p-5, 0x1.da70ffb334d6ep-5, 0x1.cf0590d3d9ce8p-5, 0x1.c3d61d4a7ba66p-5, 0x1.b8e1ba5450155p-5, 0x1.ae277e4c38981p-5, 0x1.a3a680bf9fc83p-5, 0x1.995dda82492fcp-5, 0x1.8f4ca5c132907p-5, 0x1.8571fe149ee47p-5, 0x1.7bcd00916ac46p-5, 0x1.725ccbd9b1ef6p-5, 0x1.6920802cd840ap-5, 0x1.60173f76fe2b6p-5, 0x1.57402d5fe0bbdp-5, 0x1.4e9a6f592a0afp-5, 0x1.46252cac2e466p-5, 0x1.3ddf8e87132f1p-5, 0x1.35c8c0095cc8fp-5, 0x1.2ddfee4fd9f37p-5, 0x1.2624487feba42p-5, 0x1.1e94ffd222e53p-5, 0x1.1731479c304f7p-5, 0x1.0ff8555a20146p-5, 0x1.08e960b6e50d7p-5, 0x1.0203a3942ab9dp-5, 0x1.f68cb422eb1b6p-6, 0x1.e96185251c1cfp-6, 0x1.dc843b8a70fc3p-6, 0x1.cff35d4c852c2p-6, 0x1.c3ad750bc84ccp-6, 0x1.b7b11216ff3cep-6, 0x1.abfcc8718394cp-6, 0x1.a08f30d85cfd9p-6, 0x1.9566e8c632fbep-6, 0x1.8a829276378cap-6, 0x1.7fe0d4e60f80bp-6, 0x1.75805bd6c5f6fp-6, 0x1.6b5fd7cce6658p-6, 0x1.617dfe0fbde6fp-6, 0x1.57d988a7dc6b7p-6, 0x1.4e71365ce05dep-6, 0x1.4543cab295e0dp-6, 0x1.3c500de57e0c7p-6, 0x1.3394cce6bee24p-6, 0x1.2b10d9578b7p-6, 0x1.22c30984139edp-6, 0x1.1aaa385df2872p-6, 0x1.12c5457638d8dp-6, 0x1.0b1314f703db7p-6, 0x1.03928f9cb78b2p-6, 0x1.f885455db4d5bp-7, 0x1.ea447ff12bb7p-7, 0x1.dc60bb81c56bfp-7, 0x1.ced7ed84c9f15p-7, 0x1.c1a81445f149bp-7, 0x1.b4cf36d5e9721p-7, 0x1.a84b64f85101cp-7, 0x1.9c1ab7111f6cap-7, 0x1.903b4e11970ccp-7, 0x1.84ab5364b0111p-7, 0x1.7968f8db143c8p-7, 0x1.6e7278969ecc2p-7, 0x1.63c614f57b41ep-7, 0x1.5962187cdc08fp-7, 0x1.4f44d5c35167ap-7, 0x1.456ca75ac14d2p-7, 0x1.3bd7efba1a4d5p-7, 0x1.32851926adaa5p-7, 0x1.2972959d4a519p-7, 0x1.209edebb13965p-7, 0x1.180875a62349cp-7, 0x1.0fade2f5f5c7fp-7, 0x1.078db69ba64efp-7, 0x1.ff4d0f9415ef1p-8, 0x1.efede9bb5122cp-8, 0x1.e0fb468916f41p-8, 0x1.d2727ecc1c5p-8, 0x1.c450f9151189fp-8, 0x1.b6942985ef451p-8, 0x1.a93991a131599p-8, 0x1.9c3ec0190ca8fp-8, 0x1.8fa1509ea6128p-8, 0x1.835eebb150297p-8, 0x1.7775466de3182p-8, 0x1.6be2225e27a72p-8, 0x1.60a34d485f429p-8, 0x1.55b6a0fefc20ep-8, 0x1.4b1a03307b30fp-8, 0x1.40cb6537796c1p-8, 0x1.36c8c3eaf8b9ap-8, 0x1.2d10276ee5905p-8, 0x1.239fa304dc7c1p-8, 0x1.1a7554dd37fb1p-8, 0x1.118f65e86308bp-8, 0x1.08ec09a87e216p-8, 0x1.00897e0351ae3p-8, 0x1.f0cc162931153p-9, 0x1.e10006013df7p-9, 0x1.d1ab838e86a43p-9, 0x1.c2cb5a2e9840bp-9, 0x1.b45c684451a6cp-9, 0x1.a65b9ee019e03p-9, 0x1.98c60168ea4b5p-9, 0x1.8b98a546320c7p-9, 0x1.7ed0b18a7c472p-9, 0x1.726b5e9f0507dp-9, 0x1.6665f5f016978p-9, 0x1.5abdd19a54eefp-9, 0x1.4f705c18ec994p-9, 0x1.447b0ff49e437p-9, 0x1.39db7773c4cefp-9, 0x1.2f8f2c4b36f15p-9, 0x1.2593d7502507ap-9, 0x1.1be7302adff91p-9, 0x1.1286fd0a958cap-9, 0x1.0971125a08615p-9, 0x1.00a3527527649p-9, 0x1.f0375abf7ea56p-10, 0x1.dee1ac1e175bep-10, 0x1.cedcd8fb2416dp-10, 0x1.bf58c1863a7ap-10, 0x1.b051ad304815ap-10, 0x1.a1c3fbcf985f9p-10, 0x1.93ac2519d047p-10, 0x1.8606b81ffe55cp-10, 0x1.78d05accae7a6p-10, 0x1.6c05c96428e47p-10, 0x1.5fa3d606b008ep-10, 0x1.53a76834ceb32p-10, 0x1.480d7c55bbc29p-10, 0x1.3cd3233fb52f6p-10, 0x1.31f581c272fd6p-10, 0x1.2771d03390551p-10, 0x1.1d4559fcf605dp-10, 0x1.136d7d2d4791bp-10, 0x1.09e7aa0a37bcap-10, 0x1.00b162a4e2cc3p-10, 0x1.ef9074e0087dcp-11, 0x1.de53abb063812p-11, 0x1.cda7d3bbbe78ap-11, 0x1.bd887762b8788p-11, 0x1.adf140a140bc8p-11, 0x1.9eddf84df18a2p-11, 0x1.904a855cfbf2fp-11, 0x1.8232ec26e0d28p-11, 0x1.74934db28cf66p-11, 0x1.6767e7030dcfap-11, 0x1.5aad1068d07dcp-11, 0x1.4e5f3cd656424p-11, 0x1.427af93844768p-11, 0x1.36fcebd0ec653p-11, 0x1.2be1d39705e3ep-11, 0x1.21268797e9045p-11, 0x1.16c7f65cd1c4ap-11, 0x1.0cc3255379682p-11, 0x1.03153039dfa37p-11, 0x1.f376911a162fp-12, 0x1.e16569f6182e2p-12, 0x1.cff1a1afe881bp-12, 0x1.bf16172b793fep-12, 0x1.aecdd07e66a29p-12, 0x1.9f13f9eb8ef1fp-12, 0x1.8fe3e4e44c7dp-12, 0x1.8139070f5779dp-12, 0x1.730ef9554ad9fp-12, 0x1.656176f249785p-12, 0x1.582c5c8d33511p-12, 0x1.4b6ba7540e6fbp-12, 0x1.3f1b741d73d7ap-12, 0x1.3337fe8f1e1fdp-12, 0x1.27bda04953f37p-12, 0x1.1ca8d017456eep-12, 0x1.11f62123faap-12, 0x1.07a2423416b5bp-12, 0x1.fb53f9c804e0fp-13, 0x1.e81469d55b1fbp-13, 0x1.d57fcec0f1cd1p-13, 0x1.c3905414f3716p-13, 0x1.b240555416447p-13, 0x1.a18a5ca071c07p-13, 0x1.9169216a69291p-13, 0x1.81d78727a76c3p-13, 0x1.72d09c1163804p-13, 0x1.644f97ea15c8bp-13, 0x1.564fdacad657bp-13, 0x1.48ccebf7476e1p-13, 0x1.3bc278b8e9cbdp-13, 0x1.2f2c534132629p-13, 0x1.230671921059bp-13, 0x1.174cec6d69981p-13, 0x1.0bfbfe4a8b532p-13, 0x1.0110025244943p-13, 0x1.ed0ae6c241ca4p-14, 0x1.d8b1d61ea51bp-14, 0x1.c50e417f02a3ep-14, 0x1.b219d164b4266p-14, 0x1.9fce6641ff636p-14, 0x1.8e2616b84d21fp-14, 0x1.7d1b2de2f6165p-14, 0x1.6ca829ad5d141p-14, 0x1.5cc7b932bb17bp-14, 0x1.4d74bb29c298fp-14, 0x1.3eaa3c5a73876p-14, 0x1.3063761df7692p-14, 0x1.229bccea98ab4p-14, 0x1.154ecee7264a1p-14, 0x1.0878328b1c2eep-14, 0x1.f827aa8d939fcp-15, 0x1.e03b746c71049p-15, 0x1.c92411badb6f5p-15, 0x1.b2da17dbd2e03p-15, 0x1.9d56602b90933p-15, 0x1.889205aee1041p-15, 0x1.748662d635f0ap-15, 0x1.612d0f4fd0162p-15, 0x1.4e7fddedf81cep-15, 0x1.3c78da9b40abdp-15, 0x1.2b124860ca5dbp-15, 0x1.1a469f7c050b3p-15, 0x1.0a108b85249ep-15, 0x1.f4d5d3451791ep-16, 0x1.d6a18d9a6e0d5p-16, 0x1.b97abc45ee35p-16, 0x1.9d582e8ca3ff9p-16, 0x1.82310998ff78dp-16, 0x1.67fcc5703faf6p-16, 0x1.4eb32a04cd28dp-16, 0x1.364c4c5a33db2p-16, 0x1.1ec08bcaf3eacp-16, 0x1.08088f5d581eep-16, 0x1.e43a866a59727p-17, 0x1.b9efac2bfdef9p-17, 0x1.91236dffa5719p-17, 0x1.69c925b36fad9p-17, 0x1.43d4a47343857p-17, 0x1.1f3a2e6ac8402p-17, 0x1.f7dced33601fp-18, 0x1.b3cd358dc4e07p-18, 0x1.72303f2af31d7p-18, 0x1.32f1d98196ffdp-18, 0x1.ebfd25c88f8b4p-19, 0x1.768762e1c4609p-19, 0x1.055e5880ed646p-19, 0x1.30be93234415ep-20, 0x1.7b4608771e4f7p-22, -0x1.ad2bd37bc852ep-22, -0x1.2dd4e50526845p-20, -0x1.e9081912657bbp-20, -0x1.4e8f14b216c46p-19, -0x1.a52748cbec404p-19, -0x1.f86762956fcf3p-19, -0x1.243490ed32da9p-18, -0x1.4aa2ab0167132p-18, -0x1.6f89f3bf31728p-18, -0x1.92f5f06272627p-18, -0x1.b4f1bb873da5bp-18, -0x1.d588095d7fd7ep-18, -0x1.f4c32bb66fb2ap-18, -0x1.09568af8be0bbp-17, -0x1.17a7b05ff98p-17, -0x1.2559a6e5731b5p-17, -0x1.3270e59c3d9f9p-17, -0x1.3ef1bb81be836p-17, -0x1.4ae0512a946ccp-17, -0x1.5640aa48f7011p-17, -0x1.6116a738c6d8fp-17, -0x1.6b66067042e55p-17, -0x1.753265eb8c14ap-17, -0x1.7e7f44816a6dp-17, -0x1.8750033674af1p-17, -0x1.8fa7e6780ffd4p-17, -0x1.978a1757f6fb2p-17, -0x1.9ef9a4aae8762p-17, -0x1.a5f9842ba5fa7p-17, -0x1.ac8c938a11b2fp-17, -0x1.b2b59975c5998p-17, -0x1.b87746941a203p-17, -0x1.bdd436767659bp-17, -0x1.c2cef081c37eap-17, -0x1.c769e8cd4d91dp-17, -0x1.cba780f6534e9p-17, -0x1.cf8a08effbbfdp-17, -0x1.d313bfc52d6f1p-17, -0x1.d646d454f9becp-17, -0x1.d92566060abfep-17, -0x1.dbb18572e6712p-17, -0x1.dded350ed0a4ep-17, -0x1.dfda69c239bbbp-17, -0x1.e17b0b818955ap-17, -0x1.e2d0f5de7d305p-17, -0x1.e3ddf88bf6d6dp-17, -0x1.e4a3d7e7eabc6p-17, -0x1.e5244d7324bdfp-17, -0x1.e561084d0a6a9p-17, -0x1.e55bada09a989p-17, -0x1.e515d912f3883p-17, -0x1.e4911d2af50dbp-17, -0x1.e3cf03b39dd0ap-17, -0x1.e2d10e17b2b0ap-17, -0x1.e198b5bd18579p-17, -0x1.e0276c57040b3p-17, -0x1.de7e9c3b5abe3p-17, -0x1.dc9fa8a831868p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ce3e17ee63cp-4, 0x1.0d91631414a3dp-4, 0x1.0c73fab0b4591p-4, 0x1.0987c1b4f6de3p-4, 0x1.04cbcedcaa3cp-4, 0x1.fc841491893b4p-5, 0x1.ebddfa67ac9edp-5, 0x1.d7b33d96dd726p-5, 0x1.c0163ed7d6f48p-5, 0x1.a51d668b72a88p-5, 0x1.86e2ba85c42ffp-5, 0x1.658375b32f064p-5, 0x1.411fa2a7f35b4p-5, 0x1.19d9b9ec37493p-5, 0x1.dfac894325cdep-6, 0x1.867707e5364e8p-6, 0x1.28623b2fa2a1dp-6, 0x1.8b7f367ad8261p-7, 0x1.7b88ec361fa58p-8, -0x1.7c37d3096c1cap-11, -0x1.e8de4ed3b949dp-8, -0x1.d794c2a815535p-7, -0x1.604587cd02063p-6, -0x1.d755095f6b53cp-6, -0x1.2852efc947656p-5, -0x1.65f323e36e44fp-5, -0x1.a46303b67fa79p-5, -0x1.e37b542c69c6cp-5, -0x1.118aeb69d51fcp-4, -0x1.3186b06b7d542p-4, -0x1.519ef75a0fddp-4, -0x1.71c25a7578cadp-4, -0x1.91e016ee1473fp-4, -0x1.b1e81286c6ff9p-4, -0x1.d1cae003975ap-4, -0x1.f179c27d8412fp-4, -0x1.087357d991de9p-3, -0x1.180228b6483edp-3, -0x1.27630303e914dp-3, -0x1.368ff020fcd13p-3, -0x1.45835327efcep-3, -0x1.5437e82c2ede4p-3, -0x1.62a8c3306429cp-3, -0x1.70d14edda815ep-3, -0x1.7ead4b03041cp-3, -0x1.8c38cae402b6ep-3, -0x1.9970335cc2f0cp-3, -0x1.a65038e15470ap-3, -0x1.b2d5dd5ddeeaep-3, -0x1.befe6dfc93078p-3, -0x1.cac780d604b2ep-3, -0x1.d62ef29030aecp-3, -0x1.e132e3f0068cap-3, -0x1.ebd1b76110e6ap-3, -0x1.f60a0e7666d7p-3, -0x1.ffdac767e22dcp-3, -0x1.04a17d471a91dp-2, -0x1.0920fbf027267p-2, -0x1.0d6ba23a0f7bap-2, -0x1.11814c025dfa9p-2, -0x1.1561ed3fc53f4p-2, -0x1.190d90ccf549dp-2, -0x1.1c84573864353p-2, -0x1.1fc67599941a1p-2, -0x1.22d4346c5af16p-2, -0x1.25adee7299888p-2, -0x1.28540f9cba5d7p-2, -0x1.2ac713f94c655p-2, -0x1.2d0786abf1966p-2, -0x1.2f1600ebd830bp-2, -0x1.30f32909e7ab1p-2, -0x1.329fb17eb49fap-2, -0x1.341c58005c428p-2, -0x1.3569e4a0444edp-2, -0x1.368928f0cad9ep-2, -0x1.377aff32df023p-2, -0x1.3840498b7a909p-2, -0x1.38d9f140e5acp-2, -0x1.3948e5ffb9a21p-2, -0x1.398e1d27870dfp-2, -0x1.39aa911efb4edp-2, -0x1.399f40af74256p-2, -0x1.396d2e67d1892p-2, -0x1.391560066a704p-2, -0x1.3898dde9f81efp-2, -0x1.37f8b289522b2p-2, -0x1.3735e9f1d39f7p-2, -0x1.3651914c3a9f3p-2, -0x1.354cb667d852bp-2, -0x1.3428674be7c41p-2, -0x1.32e5b1ced9fa5p-2, -0x1.3185a333709e7p-2, -0x1.300947cb7497p-2, -0x1.2e71aa9fe1e6p-2, -0x1.2cbfd51e5391dp-2, -0x1.2af4cecb8f7e1p-2, -0x1.29119cfaf8972p-2, -0x1.2717428ac7a5dp-2, -0x1.2506bfa4d9188p-2, -0x1.22e11183e6db1p-2, -0x1.20a7323d07896p-2, -0x1.1e5a188d43ed7p-2, -0x1.1bfab7ab22aep-2, -0x1.1989ff1bfb8f5p-2, -0x1.1708da8cf0683p-2, -0x1.147831af62743p-2, -0x1.11d8e818c53a1p-2, -0x1.0f2bdd25a147bp-2, -0x1.0c71ebdfacd2cp-2, -0x1.09abeae6d4695p-2, -0x1.06daac5d0f331p-2, -0x1.03fefdd4e5b04p-2, -0x1.0119a842819fep-2, -0x1.fc56dfde64c19p-3, -0x1.f66a28de7c71ap-3, -0x1.f06ea133d96eap-3, -0x1.ea65b5074e07ep-3, -0x1.e450c6f4276cfp-3, -0x1.de31300431549p-3, -0x1.d8083faf48094p-3, -0x1.d1d73bde45d6bp-3, -0x1.cb9f60f126052p-3, -0x1.c561e1c827baep-3, -0x1.bf1fe7cfc306fp-3, -0x1.b8da930f43378p-3, -0x1.b292fa39e5f22p-3, -0x1.ac4a2ac24f8c9p-3, -0x1.a60128f022841p-3, -0x1.9fb8eff7b064fp-3, -0x1.99727213830c9p-3, -0x1.932e989facaccp-3, -0x1.8cee4436b296bp-3, -0x1.86b24ccffe919p-3, -0x1.807b81dfa8ff9p-3, -0x1.7a4aaa778958ep-3, -0x1.742085696c712p-3, -0x1.6dfdc96a50db8p-3, -0x1.67e3253696f6dp-3, -0x1.61d13fb704f52p-3, -0x1.5bc8b8268c678p-3, -0x1.55ca2638afep-3, -0x1.4fd61a4080c0ap-3, -0x1.49ed1d58174d2p-3, -0x1.440fb1886e234p-3, -0x1.3e3e51f1992d2p-3, -0x1.387972f33a265p-3, -0x1.32c1825529e79p-3, -0x1.2d16e7703dd8fp-3, -0x1.277a035723606p-3, -0x1.21eb30ff3ed61p-3, -0x1.1c6ac569755bbp-3, -0x1.16f90fcaed073p-3, -0x1.119659b59a08dp-3, -0x1.0c42e740a5fe8p-3, -0x1.06fef73091ca1p-3, -0x1.01cac31f1ab62p-3, -0x1.f94cff4592cdfp-4, -0x1.ef24b8ec55308p-4, -0x1.e51d093d4727cp-4, -0x1.db363d25cbce3p-4, -0x1.d17098c1cc609p-4, -0x1.c7cc57a6d0fb5p-4, -0x1.be49ad2e0a6cep-4, -0x1.b4e8c4bd63fb3p-4, -0x1.aba9c20f7baf8p-4, -0x1.a28cc17a84ad9p-4, -0x1.9991d8360a6f9p-4, -0x1.90b9149f7f17ap-4, -0x1.88027e7da2e82p-4, -0x1.7f6e1742aeb9fp-4, -0x1.76fbda4d42505p-4, -0x1.6eabbd2811175p-4, -0x1.667dafc849c7dp-4, -0x1.5e719ccab34fap-4, -0x1.568769af7ea3ep-4, -0x1.4ebef714cada1p-4, -0x1.471820efd88aap-4, -0x1.3f92bec4eca92p-4, -0x1.382ea3dde1f18p-4, -0x1.30eb9f7f6836ap-4, -0x1.29c97d1cf3803p-4, -0x1.22c8048b59645p-4, -0x1.1be6fa321ff36p-4, -0x1.15261f3b7ddc2p-4, -0x1.0e8531c30fa7ap-4, -0x1.0803ed0341dedp-4, -0x1.01a2098176162p-4, -0x1.f6be7a71c1838p-5, -0x1.ea76778850e3ep-5, -0x1.de6b6d0b89695p-5, -0x1.d29cb99e49c2bp-5, -0x1.c709b80d3c8fcp-5, -0x1.bbb1bf9851979p-5, -0x1.b0942439d9d36p-5, -0x1.a5b036eb4e0b5p-5, -0x1.9b0545e7cc552p-5, -0x1.90929cec50ae2p-5, -0x1.86578575b7d19p-5, -0x1.7c5346fc9029ep-5, -0x1.7285272ec8b21p-5, -0x1.68ec6a2743c2fp-5, -0x1.5f8852a356f13p-5, -0x1.565822364886ep-5, -0x1.4d5b197acdc1bp-5, -0x1.4490784299522p-5, -0x1.3bf77dc402e6fp-5, -0x1.338f68c5d0eadp-5, -0x1.2b5777c932e13p-5, -0x1.234ee931f3c61p-5, -0x1.1b74fb6cf0663p-5, -0x1.13c8ed14dbe5bp-5, -0x1.0c49fd155ec32p-5, -0x1.04f76acc9762ep-5, -0x1.fba0ec5615cfdp-6, -0x1.eda8bfa41c31bp-6, -0x1.e004d26163da1p-6, -0x1.d2b3a93e76fedp-6, -0x1.c5b3caf27148fp-6, -0x1.b903c06c60dfbp-6, -0x1.aca2150208211p-6, -0x1.a08d569c09e44p-6, -0x1.94c415df90732p-6, -0x1.8944e6558ee67p-6, -0x1.7e0e5e8f9e4d2p-6, -0x1.731f184aa18a6p-6, -0x1.6875b08f23f5ap-6, -0x1.5e10c7cfa4b12p-6, -0x1.53ef0204c6faap-6, -0x1.4a0f06c788886p-6, -0x1.406f81698934fp-6, -0x1.370f210b74294p-6, -0x1.2dec98b1a1bdp-6, -0x1.25069f56f7bp-6, -0x1.1c5beffe25483p-6, -0x1.13eb49c1393abp-6, -0x1.0bb36fdfb8117p-6, -0x1.03b329cb28807p-6, -0x1.f7d2866475ec6p-7, -0x1.e8a91815132ccp-7, -0x1.d9e7b13216b8bp-7, -0x1.cb8c02f27d3d5p-7, -0x1.bd93c7463be5fp-7, -0x1.affcc0dfd9a31p-7, -0x1.a2c4bb3bc49a4p-7, -0x1.95e98aa589bfdp-7, -0x1.89690c3b0685cp-7, -0x1.7d4125eda2b43p-7, -0x1.716fc681aff86p-7, -0x1.65f2e58c0176cp-7, -0x1.5ac8836dd7852p-7, -0x1.4feea94f3071p-7, -0x1.456369178cf4ap-7, -0x1.3b24dd6547758p-7, -0x1.313129838a92bp-7, -0x1.2786795ef8523p-7, -0x1.1e2301791872dp-7, -0x1.1504feda9c3cbp-7, -0x1.0c2ab70489b02p-7, -0x1.039277e05f1b3p-7, -0x1.f6752f5e792eap-8, -0x1.e642e9f04d70dp-8, -0x1.d68aecead88c5p-8, -0x1.c74a16028449p-8, -0x1.b87d53033df8dp-8, -0x1.aa21a1a6cf122p-8, -0x1.9c340f69eb56p-8, -0x1.8eb1b9601018ep-8, -0x1.8197cc064bc1cp-8, -0x1.74e38315044cfp-8, -0x1.68922950d356dp-8, -0x1.5ca1185a8c828p-8, -0x1.510db87e835a1p-8, -0x1.45d5808321418p-8, -0x1.3af5f576e51bfp-8, -0x1.306caa7dd633cp-8, -0x1.2637409e81c25p-8, -0x1.1c53668e92035p-8, -0x1.12bed87f0d2dbp-8, -0x1.09775fe84e566p-8, -0x1.007ad355c336fp-8, -0x1.ef8e2c630367cp-9, -0x1.deb4311f76a84p-9, -0x1.ce63adf4478b6p-9, -0x1.be98b4769d519p-9, -0x1.af4f6e5429e87p-9, -0x1.a0841cea170b1p-9, -0x1.923318dc296cfp-9, -0x1.8458d1ac2ec4ap-9, -0x1.76f1cd51c9493p-9, -0x1.69faa7d2a7d62p-9, -0x1.5d7012db4139fp-9, -0x1.514ed5581df2p-9, -0x1.4593cb0fbc25dp-9, -0x1.3a3be43d2617p-9, -0x1.2f44252b3d45fp-9, -0x1.24a9a5d0cf203p-9, -0x1.1a69916d77b86p-9, -0x1.10812627636c6p-9, -0x1.06edb4a9f87a5p-9, -0x1.fb593f8ad46bdp-10, -0x1.e976b81e9e65p-10, -0x1.d82edf085d1f8p-10, -0x1.c77ce25436fb1p-10, -0x1.b75c1168c02fp-10, -0x1.a7c7dc507831dp-10, -0x1.98bbd30581f64p-10, -0x1.8a33a4bf981c8p-10, -0x1.7c2b1f44581ecp-10, -0x1.6e9e2e39d4b4ap-10, -0x1.6188da7b8dd48p-10, -0x1.54e74971c30fbp-10, -0x1.48b5bc6b390f2p-10, -0x1.3cf08ff95f0cap-10, -0x1.31943b4eef4dfp-10, -0x1.269d4fa10861p-10, -0x1.1c08778aad16ap-10, -0x1.11d27672d602ep-10, -0x1.07f827f4ed1cdp-10, -0x1.fcecfe979be2fp-11, -0x1.ea950d7e7d30dp-11, -0x1.d8e2be27d7189p-11, -0x1.c7d07dfbb23a5p-11, -0x1.b758e52aa5defp-11, -0x1.a776b59ca671cp-11, -0x1.9824d9e4c088fp-11, -0x1.895e6439bdc8dp-11, -0x1.7b1e8d73aa2d8p-11, -0x1.6d60b40e33debp-11, -0x1.60205b2fde949p-11, -0x1.535929b602aap-11, -0x1.4706e9458c9bdp-11, -0x1.3b2585607631fp-11, -0x1.2fb10a7fed9e7p-11, -0x1.24a5a5331f887p-11, -0x1.19ffa1429baedp-11, -0x1.0fbb68d844d29p-11, -0x1.05d583abc239dp-11, -0x1.f8952c66ccd35p-12, -0x1.e62ec1b2fc0bfp-12, -0x1.d4717e6bf239p-12, -0x1.c3574e98c561cp-12, -0x1.b2da519c2f5c1p-12, -0x1.a2f4d8c163803p-12, -0x1.93a165d127b48p-12, -0x1.84daa9af1de59p-12, -0x1.769b82ff1a57ep-12, -0x1.68defcd269ff2p-12, -0x1.5ba04d5cf1706p-12, -0x1.4edad4b1fcce6p-12, -0x1.428a1b88acdd5p-12, -0x1.36a9d207db6afp-12, -0x1.2b35ce995e45bp-12, -0x1.202a0cc484475p-12, -0x1.1582ac0fb8a3ap-12, -0x1.0b3beee91fe3ep-12, -0x1.015239961c192p-12, -0x1.ef8422532b2dfp-13, -0x1.dd103501ceaedp-13, -0x1.cb42328eab9d1p-13, -0x1.ba13ddffdb01fp-13, -0x1.a97f342b5caf6p-13, -0x1.997e69e3cbef2p-13, -0x1.8a0bea312cdf1p-13, -0x1.7b225495a8244p-13, -0x1.6cbc7b5de94cfp-13, -0x1.5ed561fcf4a45p-13, -0x1.51683b732c6a3p-13, -0x1.447068c052fdp-13, -0x1.37e977605b208p-13, -0x1.2bcf1fd2b4699p-13, -0x1.201d442bf9b06p-13, -0x1.14cfeeb1adc43p-13, -0x1.09e3507feef68p-13, -0x1.fea780718ed38p-14, -0x1.ea3b717a10427p-14, -0x1.d67bafdcbd4e9p-14, -0x1.c361baf500b8ep-14, -0x1.b0e7535e672d6p-14, -0x1.9f0678adff3fbp-14, -0x1.8db9673cba67p-14, -0x1.7cfa960249da2p-14, -0x1.6cc4b480352d6p-14, -0x1.5d12a8bcb8abfp-14, -0x1.4ddf8d4d126cfp-14, -0x1.3f26af6ee01d9p-14, -0x1.30e38d3031146p-14, -0x1.2311d3a5f3dedp-14, -0x1.15ad5d3063984p-14, -0x1.08b22fcd20e8ap-14, -0x1.f838f6ed3afefp-15, -0x1.dfd131210f71p-15, -0x1.c8260cc1c266ep-15, -0x1.b130d32ae3a92p-15, -0x1.9aeb15aa85633p-15, -0x1.854eaabbabf33p-15, -0x1.7055ab5798cdcp-15, -0x1.5bfa705d5922ep-15, -0x1.4837900f03d48p-15, -0x1.3507dba41643dp-15, -0x1.22665cf05c3f2p-15, -0x1.104e541edaddfp-15, -0x1.fd766b006504fp-16, -0x1.db514ed7e4a94p-16, -0x1.ba250068a9548p-16, -0x1.99e98857d3029p-16, -0x1.7a97477958848p-16, -0x1.5c26f3200ed53p-16, -0x1.3e91918e9db99p-16, -0x1.21d0768873e2bp-16, -0x1.05dd4001cd809p-16, -0x1.d563a5dbdbc62p-17, -0x1.a090b05553d0bp-17, -0x1.6d367310da67ep-17, -0x1.3b4a3ddbbfd9cp-17, -0x1.0ac1d72cc04b4p-17, -0x1.b726edaa1cc0bp-18, -0x1.5b6b81c7ad13fp-18, -0x1.023f81758cdf5p-18, -0x1.57239148544e8p-19, -0x1.5d47bd54eacfcp-20, -0x1.5c10364ff3261p-24, 0x1.288932719ba61p-20, 0x1.2ee8401b18cc7p-19, 0x1.c5260af008478p-19, 0x1.2b8c354dc52fcp-18, 0x1.726c5ba0d5344p-18, 0x1.b73f9f05762fdp-18, 0x1.fa11a72ceae19p-18, 0x1.1d76d19d94db4p-17, 0x1.3cef27ecdc50cp-17, 0x1.5b76fe84f3414p-17, 0x1.791349dc42277p-17, 0x1.95c8cd8a966ecp-17, 0x1.b19c1ed79b05ap-17, 0x1.cc91a72d0d334p-17, 0x1.e6ada66dbfccap-17, 0x1.fff43532400e9p-17, 0x1.0c34a3760ab73p-16, 0x1.180855f83e99ap-16, 0x1.237709b5b7f7p-16, 0x1.2e82869df0bd8p-16, 0x1.392c85dcf43f7p-16, 0x1.4376b2b3dc22fp-16, 0x1.4d62ab470cfb8p-16, 0x1.56f2016295fd6p-16, 0x1.60263b3515cacp-16, 0x1.6900d40171745p-16, 0x1.71833cc7c1d72p-16, 0x1.79aedce5c4706p-16, 0x1.818512af26208p-16, 0x1.890733fdf214ep-16, 0x1.90368ebb76454p-16, 0x1.97146961ee396p-16, 0x1.9da203772d03ep-16, 0x1.a3e096009da2p-16, 0x1.a9d153f0d2ae8p-16, 0x1.af756a8eeee68p-16, 0x1.b4ce01d823079p-16, 0x1.b9dc3cdb7f001p-16, 0x1.bea13a1051866p-16, 0x1.c31e13a758648p-16, 0x1.c753dfd6ed69dp-16, 0x1.cb43b1226eb5ep-16, 0x1.ceee969d1866p-16, 0x1.d2559c2879718p-16, 0x1.d579caaec1ac1p-16, 0x1.d85c28590cf63p-16, 0x1.dafdb8c1e317dp-16, 0x1.dd5f7d240e222p-16, 0x1.df82748603e15p-16, 0x1.e1679be1f17e9p-16, 0x1.e30fee4aaff12p-16, 0x1.e47c650dafa7ap-16, 0x1.e5adf7d20987p-16, 0x1.e6a59cb4dfc33p-16, 0x1.e764486324e86p-16, 0x1.e7eaee30f44f6p-16, 0x1.e83a802e95efep-16, 0x1.e853ef3b5307bp-16, 0x1.e8382b16307c7p-16, 0x1.e7e8226cb69a7p-16, 0x1.e764c2e7d9a41p-16, 0x1.e6aef93720059p-16, 0x1.e5c7b11a218dep-16, 0x1.e4afd56876044p-16, 0x1.e368501830a49p-16, 0x1.e1f20a42f1e12p-16, 0x1.e04dec29b6535p-16, 0x1.de7cdd376b7ffp-16, 0x1.dc7fc40263a8bp-16, 0x1.da57864cb8843p-16, 0x1.d8050903b6cd8p-16, 0x1.d589303e5b514p-16, 0x1.d2e4df3af5a4fp-16, 0x1.d018f85c07978p-16, 0x1.cd265d2462ccap-16, 0x1.ca0dee32a2c52p-16, 0x1.c6d08b3c040e4p-16, 0x1.c36f1306b4b1bp-16, 0x1.bfea636398da4p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.11aab06479331p-1, 0x1.140a78104fba3p-1, 0x1.15826db451734p-1, 0x1.161f7567a6c2ap-1, 0x1.15ee8cc2ffde8p-1, 0x1.14fcc5188b857p-1, 0x1.13571e0736fb1p-1, 0x1.110a5d6a32895p-1, 0x1.0e2324ce141bap-1, 0x1.0aaddcf87d0e3p-1, 0x1.06b67f35aba65p-1, 0x1.024891b19bac4p-1, 0x1.fade8da1d4bb4p-2, 0x1.f06afcfdada7dp-2, 0x1.e54b42ebe31c6p-2, 0x1.d99304868d898p-2, 0x1.cd54c4482ecdcp-2, 0x1.c0a218e2aaf25p-2, 0x1.b38bd3454f549p-2, 0x1.a621fdf7f68e1p-2, 0x1.9873cacf48985p-2, 0x1.8a90ba38a0429p-2, 0x1.7c82e7aeb8b7cp-2, 0x1.6e57f071fadb9p-2, 0x1.601b292b83045p-2, 0x1.51d6e002fd09p-2, 0x1.43948809e6004p-2, 0x1.355ce2e0d9563p-2, 0x1.27380d5d9bc4p-2, 0x1.192d76ce2283ep-2, 0x1.0b43d9f989bb4p-2, 0x1.fb028a6994bd8p-3, 0x1.dfd65b954b68dp-3, 0x1.c50d072498ccdp-3, 0x1.aaaf7bb7c023p-3, 0x1.90c5c4a4047e2p-3, 0x1.7757135d0406cp-3, 0x1.5e69c9379267p-3, 0x1.4603811e6c19dp-3, 0x1.2e29174e41fd7p-3, 0x1.16deaeeefa838p-3, 0x1.0027b7348d5ebp-3, 0x1.d40de3b058dfbp-4, 0x1.a8fcf76d217bp-4, 0x1.7f1faeb74caf2p-4, 0x1.5677f186eeb5cp-4, 0x1.2f06a2fd4aeb5p-4, 0x1.08cbb8e932d01p-4, 0x1.c78ca272f63a6p-5, 0x1.7fe9893fb6e28p-5, 0x1.3aa96d3846536p-5, 0x1.ef8c90ad508d2p-6, 0x1.6e71cb165c6b1p-6, 0x1.e3e40655b21ep-7, 0x1.e7eb73500151cp-8, 0x1.9e1b2d73ffb1dp-12, -0x1.a2aa2551068ecp-8, -0x1.a708c148834b8p-7, -0x1.3a2c6f9c99566p-6, -0x1.9cbaed469511ep-6, -0x1.fb48dba545446p-6, -0x1.2af7f9795cea3p-5, -0x1.5665464c318c8p-5, -0x1.7ff0e94ee8cebp-5, -0x1.a7bc15c5afc84p-5, -0x1.cdcb97e8d23aap-5, -0x1.f22d116d3a8b7p-5, -0x1.0a770cbb4132p-4, -0x1.1b0e203267009p-4, -0x1.2ae2880dd79f4p-4, -0x1.39fb03db12536p-4, -0x1.485e498f4b551p-4, -0x1.5613000b0b08cp-4, -0x1.631fb951fffc2p-4, -0x1.6f8aed551af56p-4, -0x1.7b5af5d0f7075p-4, -0x1.86960b511c82cp-4, -0x1.9142430a4a346p-4, -0x1.9b658d0dd9046p-4, -0x1.a505b25de6c08p-4, -0x1.ae28529b9c6fep-4, -0x1.b6d2e15102544p-4, -0x1.bf0aa31cf05fbp-4, -0x1.c6d4ab33ec519p-4, -0x1.ce35d9ae3d9dap-4, -0x1.d532dafabe462p-4, -0x1.dbd028922dab1p-4, -0x1.e2120ac41e5eap-4, -0x1.e7fc9b414809bp-4, -0x1.ed93c7ed513p-4, -0x1.f2db558790a99p-4, -0x1.f7d6e1d9824bp-4, -0x1.fc89e5459c6d5p-4, -0x1.007bd9de582c7p-3, -0x1.0291be9ffbbdep-3, -0x1.04882712e5ccep-3, -0x1.066087ab7d08p-3, -0x1.081c43577c728p-3, -0x1.09bcabcc05dfbp-3, -0x1.0b4301f516b75p-3, -0x1.0cb0768227ba8p-3, -0x1.0e062a8649edep-3, -0x1.0f45301f2aa5fp-3, -0x1.106e8b15f1f4cp-3, -0x1.1183316ebf25cp-3, -0x1.12840bdef14bp-3, -0x1.1371f627735e8p-3, -0x1.144dbf554271cp-3, -0x1.151829ef74ec2p-3, -0x1.15d1ec1d46757p-3, -0x1.167bafd048ae5p-3, -0x1.171612fe1bbf3p-3, -0x1.17a1a7f262c8fp-3, -0x1.181ef5bdadaecp-3, -0x1.188e78c18cffbp-3, -0x1.18f0a355e37c5p-3, -0x1.1945de80a08e6p-3, -0x1.198e8ab74f512p-3, -0x1.19cb00a217086p-3, -0x1.19fb91d8db76bp-3, -0x1.1a208995389ffp-3, -0x1.1a3a2d5657704p-3, -0x1.1a48bd75a1773p-3, -0x1.1a4c75acdc0e9p-3, -0x1.1a458d8f100b5p-3, -0x1.1a3438f5dfcap-3, -0x1.1a18a864b2772p-3, -0x1.19f30962c5427p-3, -0x1.19c386cc97786p-3, -0x1.198a491cffccbp-3, -0x1.194776adf3a09p-3, -0x1.18fb33f146a31p-3, -0x1.18a5a3a1c0092p-3, -0x1.1846e6ed451ebp-3, -0x1.17df1d99105b1p-3, -0x1.176e66210aefcp-3, -0x1.16f4ddd37cac2p-3, -0x1.1672a0ea0963ep-3, -0x1.15e7caa0e6b1ap-3, -0x1.1554754cbf136p-3, -0x1.14b8ba6fb0544p-3, -0x1.1414b2cd67e6dp-3, -0x1.1368767e5464cp-3, -0x1.12b41d01dd3eap-3, -0x1.11f7bd4f71ff1p-3, -0x1.11336de675852p-3, -0x1.106744dd142bdp-3, -0x1.0f983f7635818p-3, -0x1.0ebcdb3d3fbe8p-3, -0x1.0dd9cb68edabfp-3, -0x1.0cef2541ef7d3p-3, -0x1.0bfcfdfa9fefap-3, -0x1.0b036aba21d4p-3, -0x1.0a0280aad6552p-3, -0x1.08fa550b6fbeep-3, -0x1.07eafd41d2f26p-3, -0x1.06d48eeef62dep-3, -0x1.05b72002d5d2p-3, -0x1.0492c6cfb93bp-3, -0x1.03679a1c1fad1p-3, -0x1.0235b132b0d5ap-3, -0x1.00fd23efc918dp-3, -0x1.ff7c1598b6937p-4, -0x1.fcf0fdcbf7aa9p-4, -0x1.fa5934082c7dap-4, -0x1.f7b4ed34d7719p-4, -0x1.f5045f92280cp-4, -0x1.f247c2b4a15d5p-4, -0x1.ef7f4f7d05297p-4, -0x1.ecab400d56ea3p-4, -0x1.e9cbcfbbc2bd1p-4, -0x1.e6e13b04014a4p-4, -0x1.e3ebbf7804b5ap-4, -0x1.e0eb9bb0511efp-4, -0x1.dde10f3caeda3p-4, -0x1.dacc5a953d699p-4, -0x1.d7adbf0c625efp-4, -0x1.d4857ec17b828p-4, -0x1.d153dc947228ap-4, -0x1.ce191c1a1551p-4, -0x1.cad5819113ddcp-4, -0x1.c78951d777363p-4, -0x1.c434d260698f2p-4, -0x1.c0d8492a14d46p-4, -0x1.bd73fcb363aap-4, -0x1.ba0833f1912b8p-4, -0x1.b695364548142p-4, -0x1.b31b4b6f44ff6p-4, -0x1.af9abb846a2a6p-4, -0x1.ac13cee134e14p-4, -0x1.a886ce1ca2aa5p-4, -0x1.a4f401fa781d9p-4, -0x1.a15bb35d11dd6p-4, -0x1.9dbe2b36cc024p-4, -0x1.9a1bb27b16d73p-4, -0x1.9674920f66a49p-4, -0x1.92c912bc01e18p-4, -0x1.8f197d1cf8bcp-4, -0x1.8b66199341396p-4, -0x1.87af30362b4c1p-4, -0x1.83f508c54147ep-4, -0x1.8037ea9aaebdbp-4, -0x1.7c781c9e43bc2p-4, -0x1.78b5e53922886p-4, -0x1.74f18a4a22e37p-4, -0x1.712b511af5f2ep-4, -0x1.6d637e5606bfp-4, -0x1.699a55fd1f333p-4, -0x1.65d01b60c2d8p-4, -0x1.6205111840285p-4, -0x1.5e3978fa698eap-4, -0x1.5a6d9416e95e2p-4, -0x1.56a1a2b02938bp-4, -0x1.52d5e435b688fp-4, -0x1.4f0a973f1c80cp-4, -0x1.4b3ff9872230ep-4, -0x1.477647e75fb5ap-4, -0x1.43adbe541eaeep-4, -0x1.3fe697d87986p-4, -0x1.3c210e92b0b5cp-4, -0x1.385d5bb0ab86p-4, -0x1.349bb76c9fa8cp-4, -0x1.30dc5909d79fdp-4, -0x1.2d1f76d19495p-4, -0x1.296546100797p-4, -0x1.25adfb1166d02p-4, -0x1.21f9c91f10a21p-4, -0x1.1e48e27ccbc8dp-4, -0x1.1a9b78661dd58p-4, -0x1.16f1bb0bb7a61p-4, -0x1.134bd99102694p-4, -0x1.0faa0209c813ep-4, -0x1.0c0c6177fe513p-4, -0x1.087323c9b4cf7p-4, -0x1.04de73d72b4e9p-4, -0x1.014e7b61145e6p-4, -0x1.fb86c61e028d1p-5, -0x1.f47aa4dc034f5p-5, -0x1.ed78dfdee3cf7p-5, -0x1.e681c1d00211cp-5, -0x1.df95931dd3bd9p-5, -0x1.d8b499fac86adp-5, -0x1.d1df1a5c9ce0ap-5, -0x1.cb1555fc1e36cp-5, -0x1.c4578c555f50ep-5, -0x1.bda5faa85ffe5p-5, -0x1.b700dbfa23497p-5, -0x1.b0686916376b9p-5, -0x1.a9dcd890a7a8fp-5, -0x1.a35e5ec861ee4p-5, -0x1.9ced2de9f40a2p-5, -0x1.968975f2c2498p-5, -0x1.903364b494477p-5, -0x1.89eb25d9849bap-5, -0x1.83b0e2e8476fdp-5, -0x1.7d84c348d1d83p-5, -0x1.7766ec494ab3bp-5, -0x1.7157812357bcp-5, -0x1.6b56a301ac067p-5, -0x1.65647105e338dp-5, -0x1.5f81084ea484ep-5, -0x1.59ac83fe04446p-5, -0x1.53e6fd4022ce4p-5, -0x1.4e308b52044acp-5, -0x1.48894388a23bap-5, -0x1.42f139582d38bp-5, -0x1.3d687e5b7d1cfp-5, -0x1.37ef225baf4cp-5, -0x1.32853357eb50bp-5, -0x1.2d2abd8d4ee45p-5, -0x1.27dfcb7efc165p-5, -0x1.22a465fe444e7p-5, -0x1.1d789432f0822p-5, -0x1.185c5ba3a4dc8p-5, -0x1.134fc03e58cd8p-5, -0x1.0e52c460e1bfbp-5, -0x1.096568e192e99p-5, -0x1.0487ad17e9165p-5, -0x1.ff731dca81435p-6, -0x1.f5f6157b33c29p-6, -0x1.ec983760c7c6cp-6, -0x1.e35976e293fb5p-6, -0x1.da39c4c212e87p-6, -0x1.d1390f2c83b26p-6, -0x1.c85741cc9a541p-6, -0x1.bf9445dc1d8dcp-6, -0x1.b6f00235863c4p-6, -0x1.ae6a5b65855adp-6, -0x1.a60333bc96af9p-6, -0x1.9dba6b605c94dp-6, -0x1.958fe05d07b8dp-6, -0x1.8d836eb69558cp-6, -0x1.8594f079f4db6p-6, -0x1.7dc43dce19027p-6, -0x1.76112d04df98cp-6, -0x1.6e7b92abd974cp-6, -0x1.6703419cf3859p-6, -0x1.5fa80b0ef222p-6, -0x1.5869bea5c6586p-6, -0x1.51482a82b580bp-6, -0x1.4a431b54552dcp-6, -0x1.435a5c6656908p-6, -0x1.3c8db7b11fe58p-6, -0x1.35dcf5e930669p-6, -0x1.2f47de8e502aap-6, -0x1.28ce37fa87b9bp-6, -0x1.226fc770d84bdp-6, -0x1.1c2c512bc596ap-6, -0x1.1603986b92e74p-6, -0x1.0ff55f8446885p-6, -0x1.0a0167eb74dc6p-6, -0x1.04277245bb404p-6, -0x1.fcce7ce806aacp-7, -0x1.f1811740e51f9p-7, -0x1.e6663096634eap-7, -0x1.dab239a05e0d5p-7, -0x1.cff5bdfad68a9p-7, -0x1.c56a7721a0d4ep-7, -0x1.bb0fdf8f7d244p-7, -0x1.b0e570b30b338p-7, -0x1.a6eaa3040c926p-7, -0x1.9d1eee184e4cbp-7, -0x1.9381c8b81dc1dp-7, -0x1.8a12a8f2663abp-7, -0x1.80d104304492ep-7, -0x1.77bc4f48504b2p-7, -0x1.6ed3fe916489p-7, -0x1.661785f50d9c9p-7, -0x1.5d865901804d2p-7, -0x1.551feafb3172fp-7, -0x1.4ce3aeedfe61cp-7, -0x1.44d117bdf11f7p-7, -0x1.3ce798378fc9fp-7, -0x1.3526a31fd2578p-7, -0x1.2d8dab43a7536p-7, -0x1.261c23871682fp-7, -0x1.1ed17ef3f7981p-7, -0x1.17ad30c8448b9p-7, -0x1.10aeac8409df4p-7, -0x1.09d565f6f1f75p-7, -0x1.0320d14d63197p-7, -0x1.f920c63aa1b8dp-8, -0x1.ec4720e5372fep-8, -0x1.dfb39db61c0a1p-8, -0x1.d36528e4130a8p-8, -0x1.c75aafd7a0143p-8, -0x1.bb932140de41dp-8, -0x1.b00d6d2cb22c1p-8, -0x1.a4c885192f45fp-8, -0x1.99c35c098117dp-8, -0x1.8efce698f58cap-8, -0x1.84741b0d84ecdp-8, -0x1.7a27f169b2a6ap-8, -0x1.7017637dbba21p-8, -0x1.66416cf84091fp-8, -0x1.5ca50b76540cdp-8, -0x1.53413e92e7a5p-8, -0x1.4a1507f5b4b5ap-8, -0x1.411f6b619482p-8, -0x1.385f6ec24055cp-8, -0x1.2fd41a39a396cp-8, -0x1.277c782c946f5p-8, -0x1.1f57954eff73ep-8, -0x1.176480afb46cfp-8, -0x1.0fa24bc3825d3p-8, -0x1.08100a6fff15ep-8, -0x1.00acd315b6cc9p-8, -0x1.f2ef7d33c42fdp-9, -0x1.e4dfd0df5fabap-9, -0x1.d728dd41bedcep-9, -0x1.c9c8e3ac3f651p-9, -0x1.bcbe2abd6ab83p-9, -0x1.b006fe6f88382p-9, -0x1.a3a1b025f25fp-9, -0x1.978c96b9851a7p-9, -0x1.8bc60e840ed2ap-9, -0x1.804c796a81b08p-9, -0x1.751e3ee635128p-9, -0x1.6a39cc0d0b471p-9, -0x1.5f9d93987dce4p-9, -0x1.55480deb72db1p-9, -0x1.4b37b91720336p-9, -0x1.416b18de97c9ep-9, -0x1.37e0b6b93f5fap-9, -0x1.2e9721d451021p-9, -0x1.258cef12e9aecp-9, -0x1.1cc0b90d44da9p-9, -0x1.1431200e76eb2p-9, -0x1.0bdcca116698p-9, -0x1.03c262bc68b4ep-9, -0x1.f7c136b7dcd5ap-10, -0x1.e86c55b85016p-10, -0x1.d9839b82f2067p-10, -0x1.cb048c406d1b6p-10, -0x1.bcecb72635994p-10, -0x1.af39b66240eep-10, -0x1.a1e92f04ec0bcp-10, -0x1.94f8d0e918a53p-10, -0x1.8866569af6653p-10, -0x1.7c2f853d8001fp-10, -0x1.70522c6e4b586p-10, -0x1.64cc26296b8bbp-10, -0x1.599b56aa89521p-10, -0x1.4ebdac4ecdcd5p-10, -0x1.44311f7510a7dp-10, -0x1.39f3b25d9a1bbp-10, -0x1.30037109d4169p-10, -0x1.265e711ae5443p-10, -0x1.1d02d1b06de04p-10, -0x1.13eebb472bc2dp-10, -0x1.0b205f9725f44p-10, -0x1.0295f972149abp-10, -0x1.f49b99442efa2p-11, -0x1.e48c4b900936cp-11, -0x1.d4fab474c2b2ep-11, -0x1.c5e38fc8c4d62p-11, -0x1.b743aa4b439e1p-11, -0x1.a917e162fbf75p-11, -0x1.9b5d22deb6b33p-11, -0x1.8e106cb6f6c0dp-11, -0x1.812ecccf9b771p-11, -0x1.74b560bae14p-11, -0x1.68a1557d12ce7p-11, -0x1.5cefe75220442p-11, -0x1.519e617208604p-11, -0x1.46aa1dd86318cp-11, -0x1.3c10850b279ddp-11, -0x1.31cf0de3c13dap-11, -0x1.27e33d577349bp-11, -0x1.1e4aa641ab7aep-11, -0x1.1502e92e46d34p-11, -0x1.0c09b4257a3bbp-11, -0x1.035cc276c3a8bp-11, -0x1.f5f3b90d2f8fdp-12, -0x1.e5bdaf35a459ep-12, -0x1.d6132b513708bp-12, -0x1.c6f00a456dd03p-12, -0x1.b850418fea859p-12, -0x1.aa2fdee4db022p-12, -0x1.9c8b07cd171cp-12, -0x1.8f5df94675a02p-12, -0x1.82a50764f2b63p-12, -0x1.765c9cf151ce3p-12, -0x1.6a813b0cd83f2p-12, -0x1.5f0f78d111affp-12, -0x1.540402f5759a5p-12, -0x1.495b9b6feeb54p-12, -0x1.3f131919eda6ep-12, -0x1.3527675338195p-12, -0x1.2b9585a828b73p-12, -0x1.225a8775e93dfp-12, -0x1.1973938fd79ap-12, -0x1.10dde3e637d47p-12, -0x1.0896c52cc09edp-12, -0x1.009b9680e6919p-12, -0x1.f1d392261885bp-13, -0x1.e2fdbf9ba3a7p-13, -0x1.d4b0ddfe89249p-13, -0x1.c6e838040deddp-13, -0x1.b99f39d17225bp-13, -0x1.acd1704e14f5fp-13, -0x1.a07a887cc88eap-13, -0x1.94964ed4041ccp-13, -0x1.8920ae9671a0bp-13, -0x1.7e15b1302d548p-13, -0x1.73717d95142f8p-13, -0x1.6930579b70df7p-13, -0x1.5f4e9f5f790ebp-13, -0x1.55c8d0a51150bp-13, -0x1.4c9b823b32fd6p-13, -0x1.43c365618c342p-13, -0x1.3b3d453189921p-13, -0x1.330606059f58bp-13, -0x1.2b1aa4e61f04bp-13, -0x1.237836f6eb5e8p-13, -0x1.1c1be8e62a8bep-13, -0x1.1502fe5d6cd56p-13, -0x1.0e2ad1764b879p-13, -0x1.0790d22e2cf51p-13, -0x1.013285def6601p-13, -0x1.f61b0d715af8bp-14, -0x1.ea3f0677c0325p-14, -0x1.decc7b7362e63p-14, -0x1.d3bf17a2a2fd5p-14, -0x1.c912abe82881ap-14, -0x1.bec32dd0eeac4p-14, -0x1.b4ccb69f926dap-14, -0x1.ab2b82639b02bp-14, -0x1.a1dbef06c3f43p-14, -0x1.98da7b681cb7cp-14, -0x1.9023c67c1a2fep-14, -0x1.87b48e6cdb26dp-14, -0x1.7f89afc04b8cfp-14, -0x1.77a0248130f7dp-14, -0x1.6ff5036fc441ep-14, -0x1.68857f2e0a316p-14, -0x1.614ee57e0fbe3p-14, -0x1.5a4e9e773230dp-14, -0x1.53822bc5d83b1p-14, -0x1.4ce727ed98beap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.29b647f348c98p-1, 0x1.323036a0420ecp-1, 0x1.3a0b02e43a88bp-1, 0x1.414a7aad54e5p-1, 0x1.47f2b8f781d1p-1, 0x1.4e081ad191b84p-1, 0x1.538f2e2a2ac9dp-1, 0x1.588ca9d528319p-1, 0x1.5d056529408d1p-1, 0x1.60fe48b67244p-1, 0x1.647c47d209467p-1, 0x1.67845dcc35959p-1, 0x1.6a1b8625a6715p-1, 0x1.6c46b42e6f009p-1, 0x1.6e0acd2036c5dp-1, 0x1.6f6ca47ff7a07p-1, 0x1.7070fa84316f7p-1, 0x1.711c7a558a85p-1, 0x1.7173b6947082dp-1, 0x1.717b25b0c205dp-1, 0x1.71371f7cb726ap-1, 0x1.70abdaa76ae8fp-1, 0x1.6fdd6856789c9p-1, 0x1.6ecfc578caee5p-1, 0x1.6d86c4cc42687p-1, 0x1.6c0616e788bc9p-1, 0x1.6a514bcd7b78fp-1, 0x1.686bd2abcb0bep-1, 0x1.6658f8a225db9p-1, 0x1.641be8331fd8p-1, 0x1.61b7aa00ef331p-1, 0x1.5f2f262a33519p-1, 0x1.5c852548c2a3fp-1, 0x1.59bc50c167f68p-1, 0x1.56d732da5b86fp-1, 0x1.53d83736d03a7p-1, 0x1.50c1abe90b5ebp-1, 0x1.4d95c2cf61eb9p-1, 0x1.4a5692cc35b24p-1, 0x1.470618a0b2d53p-1, 0x1.43a63782ec26dp-1, 0x1.4038b9b23e691p-1, 0x1.3cbf513dad06bp-1, 0x1.393b98ffc0139p-1, 0x1.35af15a9c844dp-1, 0x1.321b36af1428p-1, 0x1.2e8156f75736p-1, 0x1.2ae2bd61e4f66p-1, 0x1.27409d3aae27ap-1, 0x1.239c16c32ac26p-1, 0x1.1ff637e157987p-1, 0x1.1c4ffcf273304p-1, 0x1.18aa51b1685edp-1, 0x1.1506121d880bp-1, 0x1.11640b5258c7ap-1, 0x1.0dc4fc47a6205p-1, 0x1.0a2996768d4bp-1, 0x1.06927e650fc3ep-1, 0x1.03004c1eb5814p-1, 0x1.fee7174ab7401p-2, 0x1.f7d97acea731cp-2, 0x1.f0d8ad8acdbfp-2, 0x1.e9e58558eea22p-2, 0x1.e300ca622e912p-2, 0x1.dc2b1ca7e1fecp-2, 0x1.d56526c144e89p-2, 0x1.ceaf77e49f26dp-2, 0x1.c80a8f8b18c0cp-2, 0x1.c176de6533019p-2, 0x1.baf4c7502fedp-2, 0x1.b484a044ab324p-2, 0x1.ae26b337e5468p-2, 0x1.a7db3eebbe24fp-2, 0x1.a1a277ac33522p-2, 0x1.9b7c87fbe5ec5p-2, 0x1.95699132f5a52p-2, 0x1.8f69ac141e7b6p-2, 0x1.897ce95b8c545p-2, 0x1.83a35249c2117p-2, 0x1.7ddce92b9ce66p-2, 0x1.7829a9df85857p-2, 0x1.72898a57473d7p-2, 0x1.6cfc7b15d845ep-2, 0x1.678267a82154fp-2, 0x1.621b3717d1b9fp-2, 0x1.5cc6cc572e6d4p-2, 0x1.578506a50f21dp-2, 0x1.5255c1e8c3ddp-2, 0x1.4d38d7064b4e1p-2, 0x1.482e1c2befdcdp-2, 0x1.4335651aa4ac1p-2, 0x1.3e4e836a5198ap-2, 0x1.397946cac91d8p-2, 0x1.34b57d4187593p-2, 0x1.3002f363f8aaap-2, 0x1.2b61748de5d2bp-2, 0x1.26d0cb13d1b54p-2, 0x1.2250c0715c12dp-2, 0x1.1de11d73f5c1ep-2, 0x1.1981aa624648ap-2, 0x1.15322f2089a5dp-2, 0x1.10f2735205831p-2, 0x1.0cc23e7791da5p-2, 0x1.08a1580b41d12p-2, 0x1.048f87994ab07p-2, 0x1.008c94d68392ep-2, 0x1.f9308f6a03765p-3, 0x1.f164d0eea31bp-3, 0x1.e9b57f857dec1p-3, 0x1.e2222d61aa855p-3, 0x1.daaa6dc018a42p-3, 0x1.d34dd506b50d8p-3, 0x1.cc0bf8e099decp-3, 0x1.c4e47056acf3fp-3, 0x1.bdd6d3e442d71p-3, 0x1.b6e2bd87c9bbcp-3, 0x1.b007c8cfbda06p-3, 0x1.a94592e4892ddp-3, 0x1.a29bba8fde52ep-3, 0x1.9c09e0422a348p-3, 0x1.958fa6169dd75p-3, 0x1.8f2cafd618081p-3, 0x1.88e0a2f920e4ap-3, 0x1.82ab26a9097dcp-3, 0x1.7c8be3c0369b7p-3, 0x1.768284c994p-3, 0x1.708eb5ff38151p-3, 0x1.6ab025483aa5p-3, 0x1.64e68235c9305p-3, 0x1.5f317dff73967p-3, 0x1.5990cb7ecc58p-3, 0x1.54041f2a420d9p-3, 0x1.4e8b2f0f48124p-3, 0x1.4925b2cbbe8abp-3, 0x1.43d36386a296bp-3, 0x1.3e93fbe812fb9p-3, 0x1.39673810b2151p-3, 0x1.344cd5908bbf8p-3, 0x1.2f44935d9376ep-3, 0x1.2a4e31c9f4b86p-3, 0x1.2569727a49e19p-3, 0x1.2096185bebb18p-3, 0x1.1bd3e79b7f3c3p-3, 0x1.1722a59bcdc27p-3, 0x1.128218ed00cfbp-3, 0x1.0df2094447e53p-3, 0x1.09723f73dfc8ap-3, 0x1.05029928bf504p-3, 0x1.00a2b5d97751fp-3, 0x1.f8a4f1ffd88b1p-4, 0x1.f0235f5f17246p-4, 0x1.e7c04fe9b58dfp-4, 0x1.df7b619c64b4p-4, 0x1.d75434491945ap-4, 0x1.cf4a6988bd034p-4, 0x1.c75da4ad0f8cep-4, 0x1.bf8d8ab28ffc4p-4, 0x1.b7d9c2328ef51p-4, 0x1.b041f3556aee2p-4, 0x1.a8c5c7c4ede71p-4, 0x1.a164ea9ef6c3bp-4, 0x1.9a1f08685cb54p-4, 0x1.92f3cf001deeep-4, 0x1.8be2ed92f9d76p-4, 0x1.84ec148f5a37bp-4, 0x1.7e0ef599b2cf5p-4, 0x1.774b438144201p-4, 0x1.70a0b235511b4p-4, 0x1.6a0ef6bac6cdap-4, 0x1.6395c7224f889p-4, 0x1.5d34da7ed539dp-4, 0x1.56ebe8dc6b8ecp-4, 0x1.50baab37a23c8p-4, 0x1.4aa0db75380a7p-4, 0x1.449e345a2a385p-4, 0x1.3eb271841eaa7p-4, 0x1.38dd4f621f03ap-4, 0x1.331e8b2da7a7fp-4, 0x1.2d75e2e3fee15p-4, 0x1.27e3153fd7a9p-4, 0x1.2265e1b338e01p-4, 0x1.1cfe0861a5ccdp-4, 0x1.17ab4a1a8c41ap-4, 0x1.126d6853eeeeap-4, 0x1.0d4425254eae3p-4, 0x1.082f4342d2184p-4, 0x1.032e85f8a7502p-4, 0x1.fc83624d4616ap-5, 0x1.f2d112783189bp-5, 0x1.e945a667d3a78p-5, 0x1.dfe0a921a2665p-5, 0x1.d6a1a6b3c2daep-5, 0x1.cd882c2e6de85p-5, 0x1.c493c79dc52d4p-5, 0x1.bbc4080401a8dp-5, 0x1.b3187d53fee91p-5, 0x1.aa90b86c2f6c8p-5, 0x1.a22c4b11db9b4p-5, 0x1.99eac7ecb74d8p-5, 0x1.91cbc282c4061p-5, 0x1.89cecf3489064p-5, 0x1.81f38339878c5p-5, 0x1.7a39749cf67dfp-5, 0x1.72a03a3ac309ap-5, 0x1.6b276bbcc884cp-5, 0x1.63cea19841fdbp-5, 0x1.5c95750b7bd7p-5, 0x1.557b801baa546p-5, 0x1.4e805d92ff22p-5, 0x1.47a3a8fee6f89p-5, 0x1.40e4feae6e4fp-5, 0x1.3a43fbb0dbe19p-5, 0x1.33c03dd4675e2p-5, 0x1.2d5963a51610dp-5, 0x1.270f0c6bc114dp-5, 0x1.20e0d82d34da6p-5, 0x1.1ace67a96eef4p-5, 0x1.14d75c5afb713p-5, 0x1.0efb58766b21ep-5, 0x1.0939fee9dd2edp-5, 0x1.0392f35ca5d2cp-5, 0x1.fc0bb45e02908p-6, 0x1.f124b0f3c021dp-6, 0x1.e670281d8082ep-6, 0x1.dbed66ef29c17p-6, 0x1.d19bbbed7496cp-6, 0x1.c77a770df4d93p-6, 0x1.bd88e9b72c7c6p-6, 0x1.b3c666c0b5c98p-6, 0x1.aa324273814c4p-6, 0x1.a0cbd28a18ac9p-6, 0x1.97926e30f6a42p-6, 0x1.8e856e06db705p-6, 0x1.85a42c1d41a19p-6, 0x1.7cee03f8bf37ap-6, 0x1.746252917367ap-6, 0x1.6c0076538ae7ap-6, 0x1.63c7cf1fa8c79p-6, 0x1.5bb7be4b6abcbp-6, 0x1.53cfa6a1ce765p-6, 0x1.4c0eec63bad57p-6, 0x1.4474f5486db3dp-6, 0x1.3d01287de4bcfp-6, 0x1.35b2eea94f6dbp-6, 0x1.2e89b1e767be3p-6, 0x1.2784ddccd9933p-6, 0x1.20a3df66945ecp-6, 0x1.19e6253a10164p-6, 0x1.134b1f4592288p-6, 0x1.0cd23f005a87p-6, 0x1.067af75ada894p-6, 0x1.0044bcbebec6bp-6, 0x1.f45e0a1e1678cp-7, 0x1.e8728f501ead5p-7, 0x1.dcc5fabebdcf7p-7, 0x1.d1574107557edp-7, 0x1.c62559b92ce59p-7, 0x1.bb2f3f54f3765p-7, 0x1.b073ef4c088e8p-7, 0x1.a5f269ffce5b1p-7, 0x1.9ba9b2c0bbffbp-7, 0x1.9198cfcd42b4fp-7, 0x1.87beca50b2e68p-7, 0x1.7e1aae61ddc32p-7, 0x1.74ab8b01a048ep-7, 0x1.6b7072193e767p-7, 0x1.62687878b1d2ep-7, 0x1.5992b5d4be40dp-7, 0x1.50ee44c4e3a2fp-7, 0x1.487a42c14cafap-7, 0x1.4035d0204c319p-7, 0x1.382010141eadfp-7, 0x1.303828a841a57p-7, 0x1.287d42beb39c1p-7, 0x1.20ee8a0d2bf78p-7, 0x1.198b2d1a16e91p-7, 0x1.12525d3971893p-7, 0x1.0b434e89a5cefp-7, 0x1.045d37f01de8dp-7, 0x1.fb3ea62ba6703p-8, 0x1.ee11b8c756ad7p-8, 0x1.e13225fd9fcf2p-8, 0x1.d49e71897affdp-8, 0x1.c855248ef31a3p-8, 0x1.bc54cd92d0346p-8, 0x1.b09c00726462dp-8, 0x1.a529565aef7cep-8, 0x1.99fb6dc0e5e4p-8, 0x1.8f10ea570530cp-8, 0x1.846875053cae1p-8, 0x1.7a00bbdf3edbcp-8, 0x1.6fd8721b28549p-8, 0x1.65ee50079e789p-8, 0x1.5c4113021b69p-8, 0x1.52cf7d6cd5cfap-8, 0x1.499856a47cbcbp-8, 0x1.409a6af5ff9fep-8, 0x1.37d48b93fd96bp-8, 0x1.2f458e8c10fcp-8, 0x1.26ec4ebc198ecp-8, 0x1.1ec7abc71601fp-8, 0x1.16d68a0a7725ap-8, 0x1.0f17d2929301bp-8, 0x1.078a730f751bfp-8, 0x1.002d5dc9786b2p-8, 0x1.f1ff132b555d3p-9, 0x1.e3ffe3949aa81p-9, 0x1.d65b2c65a5d5p-9, 0x1.c90ef608b67e6p-9, 0x1.bc1951a33fd9cp-9, 0x1.af7858fdf871dp-9, 0x1.a32a2e6ca8932p-9, 0x1.972cfcb60cfd3p-9, 0x1.8b7ef6fb7f07p-9, 0x1.801e58a01c69dp-9, 0x1.74d132c91a44dp-9, 0x1.6a059e90d4d92p-9, 0x1.5f826ddc15975p-9, 0x1.5545fbdbd09ap-9, 0x1.4b4eab7830045p-9, 0x1.419ae738641f1p-9, 0x1.3829212a5d80ep-9, 0x1.2ef7d2ca95da2p-9, 0x1.26057cebba5a2p-9, 0x1.1d50a79ea3c44p-9, 0x1.14d7e21a15a9cp-9, 0x1.0c99c2a2c2e17p-9, 0x1.0494e67314128p-9, 0x1.f98fe34716a07p-10, 0x1.ea631e24ede12p-10, 0x1.dba0e0990341bp-10, 0x1.cd469ae97d7dcp-10, 0x1.bf51ca5a837dep-10, 0x1.b1bff8fe7fd2dp-10, 0x1.a48ebd880ca81p-10, 0x1.97bbbb1aab36fp-10, 0x1.8b44a11c9c953p-10, 0x1.7f272b08dc4a1p-10, 0x1.73612040febe4p-10, 0x1.67f053df8943fp-10, 0x1.5cd2a48aea006p-10, 0x1.5205fc477280fp-10, 0x1.4788504ba3aap-10, 0x1.3d57a0d2e8d3dp-10, 0x1.3371f8f180a4ap-10, 0x1.29d56e68bdbd6p-10, 0x1.2080217b40a4dp-10, 0x1.17703cc1b8ce2p-10, 0x1.0ea3f5001cf7ep-10, 0x1.061988fad698fp-10, 0x1.fb9e829947638p-11, 0x1.eb86e07942144p-11, 0x1.dbe8e32a11d2ep-11, 0x1.ccc154f2b8ce8p-11, 0x1.be0d127ccac5ap-11, 0x1.afc90a82afb97p-11, 0x1.a1f23d800ec4fp-11, 0x1.9485bd612e90fp-11, 0x1.8780ad365f5bfp-11, 0x1.7ae040e503716p-11, 0x1.6ea1bcdb2c88ap-11, 0x1.62c275c2b7e2dp-11, 0x1.573fd036bd8fap-11, 0x1.4c174078bc5d8p-11, 0x1.41464a26af136p-11, 0x1.36ca7ff25aaa7p-11, 0x1.2ca1835936543p-11, 0x1.22c9045cead2bp-11, 0x1.193ec13d842ffp-11, 0x1.1000863310a41p-11, 0x1.070c2d2960319p-11, 0x1.fcbf3af5c78p-12, 0x1.ebf1975f25bacp-12, 0x1.dbab7272679fp-12, 0x1.cbe8e863892a2p-12, 0x1.bca62e371f09bp-12, 0x1.addf9141d18f1p-12, 0x1.9f9176aaecab5p-12, 0x1.91b85aef0e8aep-12, 0x1.8450d16662918p-12, 0x1.775783cafda9cp-12, 0x1.6ac931c22954ap-12, 0x1.5ea2b065c864ap-12, 0x1.52e0e9d0ff242p-12, 0x1.4780dcadc5ab6p-12, 0x1.3c7f9bc255488p-12, 0x1.31da4d84f75c7p-12, 0x1.278e2bac6dabbp-12, 0x1.1d9882c48ff29p-12, 0x1.13f6b1c4afe25p-12, 0x1.0aa629a5223f3p-12, 0x1.01a46cfa96a15p-12, 0x1.f1de1f1f8b3d1p-13, 0x1.e1076c02a034ep-13, 0x1.d0c02ab8fcf3cp-13, 0x1.c103e57cd6f1ap-13, 0x1.b1ce45ea00731p-13, 0x1.a31b144346bf7p-13, 0x1.94e636bd23211p-13, 0x1.872bb0c79cbbdp-13, 0x1.79e7a26031d3cp-13, 0x1.6d1647611bbdbp-13, 0x1.60b3f6d932791p-13, 0x1.54bd226403a15p-13, 0x1.492e558583b5ap-13, 0x1.3e043509c79a6p-13, 0x1.333b7e67bbb7p-13, 0x1.28d10721919c5p-13, 0x1.1ec1bc35f7e6dp-13, 0x1.150aa18227208p-13, 0x1.0ba8d136fceecp-13, 0x1.02997b4766154p-13, 0x1.f3b3c9b78995cp-14, 0x1.e2cecf94370fbp-14, 0x1.d27ee41fc58aep-14, 0x1.c2bf0a9ca347fp-14, 0x1.b38a6c9573331p-14, 0x1.a4dc58de5b93ep-14, 0x1.96b042a2edacap-14, 0x1.8901c0711949dp-14, 0x1.7bcc8b4fdc65ep-14, 0x1.6f0c7dd84069ep-14, 0x1.62bd935523424p-14, 0x1.56dbe6df320e1p-14, 0x1.4b63b2935e712p-14, 0x1.40514eb253e4ep-14, 0x1.35a130daf2beap-14, 0x1.2b4feb3d060f5p-14, 0x1.215a2bcd70ef4p-14, 0x1.17bcbb9402932p-14, 0x1.0e747de5da159p-14, 0x1.057e6fae5a266p-14, 0x1.f9af4d7798485p-15, 0x1.e8faa21dc4651p-15, 0x1.d8d96860d4716p-15, 0x1.c9465914b7f63p-15, 0x1.ba3c597ec31cdp-15, 0x1.abb67a1dd1c06p-15, 0x1.9daff56cad3e4p-15, 0x1.90242eb4a8caep-15, 0x1.830eb0df1d8b6p-15, 0x1.766b2d55297bdp-15, 0x1.6a357adff0c1cp-15, 0x1.5e699494f3593p-15, 0x1.530398c993d37p-15, 0x1.47ffc801d0104p-15, 0x1.3d5a83f6973c8p-15, 0x1.33104e9d6dcdbp-15, 0x1.291dc9144232ep-15, 0x1.1f7fb2e08e3f2p-15, 0x1.1632e8e4934c8p-15, 0x1.0d3464848289p-15, 0x1.04813ac72176p-15, 0x1.f82d36f74cb51p-16, 0x1.e7e3a0d58945dp-16, 0x1.d8207903e8dd5p-16, 0x1.c8deb61bf68fbp-16, 0x1.ba197deccf5efp-16, 0x1.abcc23fe0c2d1p-16, 0x1.9df22818d44c7p-16, 0x1.908734eb97eacp-16, 0x1.83871e8e342e6p-16, 0x1.76ede145e8f29p-16, 0x1.6ab7a026b4787p-16, 0x1.5ee0a3d3df142p-16, 0x1.5365594493098p-16, 0x1.4842508ab9ea4p-16, 0x1.3d743bae11218p-16, 0x1.32f7ed7d4d6bdp-16, 0x1.28ca588f8d8e5p-16, 0x1.1ee88df0ff8aap-16, 0x1.154fbc62916e7p-16, 0x1.0bfd2f3b75d3dp-16, 0x1.02ee4d52febap-16, 0x1.f4413042cfb2ep-17, 0x1.e323559af738bp-17, 0x1.d27e7286ac11dp-17, 0x1.c24e1ead8ddc1p-17, 0x1.b28e1fc5ccbc3p-17, 0x1.a33a67f3dda0ap-17, 0x1.944f142be4ap-17, 0x1.85c86aa55f8ecp-17, 0x1.77a2d94d3e7fdp-17, 0x1.69daf467a50ffp-17, 0x1.5c6d7501168d4p-17, 0x1.4f5737a1630fcp-17, 0x1.42953af7af4d7p-17, 0x1.36249e80d5158p-17, 0x1.2a02a1568df2bp-17, 0x1.1e2ca0fbe72aep-17, 0x1.12a017ea9b02dp-17, 0x1.075a9ce057ea7p-17, 0x1.f8b3c2f591b4fp-18, 0x1.e3376268724f5p-18, 0x1.ce3be0cdf6535p-18, 0x1.b9bd3648ee242p-18, 0x1.a5b788f95afd8p-18, 0x1.92272ab407884p-18, 0x1.7f08978d9793ep-18, 0x1.6c5873bca0803p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.254cafb93679cp-3, 0x1.2112caf30c4cp-3, 0x1.1a32b57929692p-3, 0x1.10cab4aa7c243p-3, 0x1.04fc615215fbdp-3, 0x1.edd74ae4a9d55p-4, 0x1.cd7c696b4fae7p-4, 0x1.a935d014a3c8ep-4, 0x1.8151cef6676a4p-4, 0x1.561e938248642p-4, 0x1.27ea18c3bd1f1p-4, 0x1.ee030521342e1p-5, 0x1.875fdb7484b6ap-5, 0x1.1c7b5de21e1bap-5, 0x1.5bc186062e7bp-6, 0x1.e0b4010ae28acp-8, -0x1.c30e1dd1a834ap-8, -0x1.5e187b0a7fb9ep-6, -0x1.2774416b0d974p-5, -0x1.a12cb227043a4p-5, -0x1.0de7a5c5cd304p-4, -0x1.4b7e14661a101p-4, -0x1.892b346133c72p-4, -0x1.c6c4bb83ae1f2p-4, -0x1.0211b744b65d6p-3, -0x1.2091b5f071c6bp-3, -0x1.3ed1e31486512p-3, -0x1.5cc31510fcde2p-3, -0x1.7a5760ceaf357p-3, -0x1.97821e3d4b7ecp-3, -0x1.b437e7c5985f8p-3, -0x1.d06e893727eb1p-3, -0x1.ec1ce41f5452bp-3, -0x1.039d6ac3451f2p-2, -0x1.10e091bf42403p-2, -0x1.1dd4b873bb901p-2, -0x1.2a7719453f08ap-2, -0x1.36c5513b0ecaap-2, -0x1.42bd58e13ed7p-2, -0x1.4e5d7d4a87d0ap-2, -0x1.59a45a09971f3p-2, -0x1.6490d47fc42bap-2, -0x1.6f22186408f21p-2, -0x1.79579502ad188p-2, -0x1.8330fa79e29b8p-2, -0x1.8cae363cbda19p-2, -0x1.95cf6e781ff3ap-2, -0x1.9e94fc77aa01bp-2, -0x1.a6ff669f29ce9p-2, -0x1.af0f5abd679e8p-2, -0x1.b6c5a9522bfd3p-2, -0x1.be2341f775227p-2, -0x1.c52930b23cbafp-2, -0x1.cbd89bb7c0cd3p-2, -0x1.d232c1414e54bp-2, -0x1.d838f5404e07fp-2, -0x1.ddec9efc05c6bp-2, -0x1.e34f36bc02f36p-2, -0x1.e862439a6ad2fp-2, -0x1.ed27598330569p-2, -0x1.f1a01755d50c2p-2, -0x1.f5ce2520a29abp-2, -0x1.f9b33277a5495p-2, -0x1.fd50a3753ad78p-2, -0x1.00547ce9e300cp-1, -0x1.01dec6e01e1f1p-1, -0x1.03480c499887dp-1, -0x1.04912980a4064p-1, -0x1.05bafa6a0d8f7p-1, -0x1.06c65a3f50fecp-1, -0x1.07b4233e5a789p-1, -0x1.08852e41aca9bp-1, -0x1.093a524c088c5p-1, -0x1.09d464162e2d8p-1, -0x1.0a5435ab7f41p-1, -0x1.0aba961c7107dp-1, -0x1.0b08514663896p-1, -0x1.0b3e2faa54747p-1, -0x1.0b5cf648e0551p-1, -0x1.0b65667abae5ap-1, -0x1.0b583dc08d456p-1, -0x1.0b36358a8d33ep-1, -0x1.0b0002fd3b1b7p-1, -0x1.0ab656bbf3b34p-1, -0x1.0a59dcc266bdap-1, -0x1.09eb3c5399cd7p-1, -0x1.096b1800ae6cap-1, -0x1.08da0dc4c9db1p-1, -0x1.0838b72f88312p-1, -0x1.0787a9958745cp-1, -0x1.06c7763eed082p-1, -0x1.05f8aa8e0c77p-1, -0x1.051bd01b72c21p-1, -0x1.04316cc7c06b2p-1, -0x1.033a02c603193p-1, -0x1.023610a26a26dp-1, -0x1.0126114928ee7p-1, -0x1.000a7c108ce22p-1, -0x1.fdc789901bf1ep-2, -0x1.fb64b79999c94p-2, -0x1.f8ed5c45c6bdbp-2, -0x1.f6624b2426473p-2, -0x1.f3c45188009c6p-2, -0x1.f11436c3fe996p-2, -0x1.ee52bc61836p-2, -0x1.eb809e5140425p-2, -0x1.e89e9313badfbp-2, -0x1.e5ad4bd9f725ep-2, -0x1.e2ad749fa42e3p-2, -0x1.df9fb4412bc5dp-2, -0x1.dc84ac906613p-2, -0x1.d95cfa6ab0972p-2, -0x1.d62935d278519p-2, -0x1.d2e9f20d8624fp-2, -0x1.cf9fbdc84e956p-2, -0x1.cc4b233db039bp-2, -0x1.c8eca861f47b7p-2, -0x1.c584cf0f9cd08p-2, -0x1.c2141534a01b5p-2, -0x1.be9af4feff997p-2, -0x1.bb19e50817aeap-2, -0x1.b791587e77c6dp-2, -0x1.b401bf4e59ef5p-2, -0x1.b06b86490f095p-2, -0x1.accf174b9af58p-2, -0x1.a92cd964aaf0cp-2, -0x1.a58530f9c607ep-2, -0x1.a1d87feb6b8bbp-2, -0x1.9e2725b7988p-2, -0x1.9a717f9a1e0d4p-2, -0x1.96b7e8aa32faap-2, -0x1.92fab9f4c6cecp-2, -0x1.8f3a4a93468a9p-2, -0x1.8b76efbebbb03p-2, -0x1.87b0fcdf653f1p-2, -0x1.83e8c3990b4dap-2, -0x1.801e93d480eap-2, -0x1.7c52bbc6cbe33p-2, -0x1.788587f67ad2p-2, -0x1.74b7433fa799dp-2, -0x1.70e836d71aee6p-2, -0x1.6d18aa4cf4b4ep-2, -0x1.6948e38f2fe36p-2, -0x1.657926ec3a9bcp-2, -0x1.61a9b715dec2ep-2, -0x1.5ddad5249c0f1p-2, -0x1.5a0cc09b8a6eap-2, -0x1.5640be87324f2p-2, -0x1.5275141777b9p-2, -0x1.4eaae780fec47p-2, -0x1.4ae2721cc7934p-2, -0x1.471bebd95541cp-2, -0x1.43578b4039266p-2, -0x1.3f95857c40cc1p-2, -0x1.3bd60e601dbfbp-2, -0x1.3819586d56d07p-2, -0x1.345f94db4995ap-2, -0x1.30a8f39e19ec9p-2, -0x1.2cf5a36d605fp-2, -0x1.2945d1ca7e609p-2, -0x1.2599ab067cae7p-2, -0x1.21f15a4769423p-2, -0x1.1e4d098d29dap-2, -0x1.1aace1b5c85cfp-2, -0x1.17110a813d80dp-2, -0x1.1379aa94c521cp-2, -0x1.0fe6e77dcf346p-2, -0x1.0c58e5b49d98p-2, -0x1.08cfc89ea2948p-2, -0x1.054bb290b4aecp-2, -0x1.01ccc4d12889dp-2, -0x1.fca63f33c5bcdp-3, -0x1.f5bdc434e2f58p-3, -0x1.eee054f45aff6p-3, -0x1.e80e2bb4fe145p-3, -0x1.e14780b2694ecp-3, -0x1.da8c8a25fbf06p-3, -0x1.d3dd7c4c04134p-3, -0x1.cd3a896929ce9p-3, -0x1.c6a3e1d001f09p-3, -0x1.c019b3e6ccb38p-3, -0x1.b99c2c2d525acp-3, -0x1.b32b7542cec3cp-3, -0x1.acc7b7ebe5c31p-3, -0x1.a6711b1895befp-3, -0x1.a027c3ea2502ap-3, -0x1.99ebd5b8f9f5ap-3, -0x1.93bd721a645edp-3, -0x1.8d9cb8e64c44p-3, -0x1.8789c83ccc8ebp-3, -0x1.8184bc8bb6d1ap-3, -0x1.7b8db093fcabap-3, -0x1.75a4bd6f0f7cep-3, -0x1.6fc9fa94277b5p-3, -0x1.69fd7ddd8e4cp-3, -0x1.643f5b8dd804ap-3, -0x1.5e8fa655279c3p-3, -0x1.58ee6f56751eap-3, -0x1.535bc62ce1f2cp-3, -0x1.4dd7b8f11970fp-3, -0x1.4862543ecf622p-3, -0x1.42fba33a5015cp-3, -0x1.3da3af9631044p-3, -0x1.385a8199211b6p-3, -0x1.33202023d8b53p-3, -0x1.2df490b72939cp-3, -0x1.28d7d77a399c8p-3, -0x1.23c9f740d6341p-3, -0x1.1ecaf191ebab9p-3, -0x1.19dac6ae1fdc7p-3, -0x1.14f9759680a53p-3, -0x1.1026fc13550ecp-3, -0x1.0b6356bb00ea1p-3, -0x1.06ae80f8fa05cp-3, -0x1.02087514cefb3p-3, -0x1.fae258727498p-4, -0x1.f1d13cf672088p-4, -0x1.e8dd85c25b5b1p-4, -0x1.e0071ed3ec1fbp-4, -0x1.d74df2281c494p-4, -0x1.ceb1e7c938556p-4, -0x1.c632e5dd007e7p-4, -0x1.bdd0d0b29db49p-4, -0x1.b58b8ad0817a6p-4, -0x1.ad62f5022292ap-4, -0x1.a556ee6591376p-4, -0x1.9d675478e8223p-4, -0x1.9594032789ae7p-4, -0x1.8ddcd4d73f14p-4, -0x1.8641a2751cdf2p-4, -0x1.7ec243823db79p-4, -0x1.775e8e2050d23p-4, -0x1.7016571df6997p-4, -0x1.68e97202f1e23p-4, -0x1.61d7b11c2c43fp-4, -0x1.5ae0e58788d57p-4, -0x1.5404df3f92512p-4, -0x1.4d436d26fa41dp-4, -0x1.469c5d13f03f5p-4, -0x1.400f7bdb4f202p-4, -0x1.399c955ba6ce9p-4, -0x1.3343748817d98p-4, -0x1.2d03e373103bdp-4, -0x1.26ddab58decc8p-4, -0x1.20d094aa21e9cp-4, -0x1.1adc6716126eap-4, -0x1.1500e994a9e35p-4, -0x1.0f3de270a253ep-4, -0x1.09931751537f6p-4, -0x1.04004d446a063p-4, -0x1.fd0a918ef67a9p-5, -0x1.f2439ba2e2227p-5, -0x1.e7ab3fb7a791ep-5, -0x1.dd4103d7ce326p-5, -0x1.d3046d3752452p-5, -0x1.c8f5004545fccp-5, -0x1.bf1240bd2da09p-5, -0x1.b55bb1b8057c4p-5, -0x1.abd0d5bcf62ecp-5, -0x1.a2712ed1bebc6p-5, -0x1.993c3e8ac325ap-5, -0x1.9031861acea4ap-5, -0x1.875086627b246p-5, -0x1.7e98bfff4e79fp-5, -0x1.7609b35a7682bp-5, -0x1.6da2e0b7388e6p-5, -0x1.6563c84109872p-5, -0x1.5d4bea194dca1p-5, -0x1.555ac664c86cbp-5, -0x1.4d8fdd58ab837p-5, -0x1.45eaaf4760fb2p-5, -0x1.3e6abcacee1e1p-5, -0x1.370f863b0b737p-5, -0x1.2fd88ce4e7797p-5, -0x1.28c551ea8e3e7p-5, -0x1.21d556e404a1p-5, -0x1.1b081dcc07badp-5, -0x1.145d290a8376ap-5, -0x1.0dd3fb7ea972ep-5, -0x1.076c1888c0d1bp-5, -0x1.012504139ec6cp-5, -0x1.f5fc853ba2c78p-6, -0x1.e9eeb284f187ap-6, -0x1.de1f9b83a4e9ep-6, -0x1.d28e4d12ec233p-6, -0x1.c739d5788d1d6p-6, -0x1.bc21447424861p-6, -0x1.b143ab4dde0dbp-6, -0x1.a6a01ce48478p-6, -0x1.9c35adbb15d39p-6, -0x1.92037405b0eadp-6, -0x1.880887b60627cp-6, -0x1.7e4402872ad74p-6, -0x1.74b50008f0936p-6, -0x1.6b5a9daaa6167p-6, -0x1.6233fac563f2ap-6, -0x1.594038a5baf5p-6, -0x1.507e7a94f9af6p-6, -0x1.47ede5e1dfa3cp-6, -0x1.3f8da1e8dba07p-6, -0x1.375cd81bca096p-6, -0x1.2f5ab40937fcap-6, -0x1.2786636334779p-6, -0x1.1fdf1605a169bp-6, -0x1.1863fdfc218f3p-6, -0x1.11144f877d137p-6, -0x1.09ef4122a89c4p-6, -0x1.02f40b875c729p-6, -0x1.f843d36474bf3p-7, -0x1.eaf031cd220bap-7, -0x1.ddebb163644ffp-7, -0x1.d134d5dbd3e0cp-7, -0x1.c4ca278a1c25cp-7, -0x1.b8aa336567216p-7, -0x1.acd38b0c0828dp-7, -0x1.a0f2f634c4453p-7, -0x1.95a89e6a92f53p-7, -0x1.8aa383cc261abp-7, -0x1.7fe24b47cae7bp-7, -0x1.75639e6424306p-7, -0x1.6b262b3fd761ep-7, -0x1.6128a4909367bp-7, -0x1.5769c1a1a9cap-7, -0x1.4de83e522d5b3p-7, -0x1.44a2db1282784p-7, -0x1.3b985ce18f05bp-7, -0x1.32c78d497066bp-7, -0x1.2a2f3a5bc1b68p-7, -0x1.21ce36ad80552p-7, -0x1.19a359528512p-7, -0x1.11ad7dd898026p-7, -0x1.09eb844236a77p-7, -0x1.025c5100eac21p-7, -0x1.f5fd99deaadcap-8, -0x1.e7a3ca95c8ccap-8, -0x1.d9a9175a7b0abp-8, -0x1.cc0b6c0aa1d9cp-8, -0x1.bec8bd2062ecp-8, -0x1.b1df07a3323a6p-8, -0x1.a54c511864ed1p-8, -0x1.990ea77344c11p-8, -0x1.8d2421049f22fp-8, -0x1.818adc69f9ef7p-8, -0x1.7641007c49417p-8, -0x1.6b44bc3e3148fp-8, -0x1.609446ca0a349p-8, -0x1.562ddf3f733cdp-8, -0x1.4c0fccb094561p-8, -0x1.42385e0f178bfp-8, -0x1.38a5ea18cad2cp-8, -0x1.2f56cf440bce2p-8, -0x1.264973abe797bp-8, -0x1.1d7c44fc1636bp-8, -0x1.14edb85c9a0c4p-8, -0x1.0c9c4a5d536ep-8, -0x1.04867ee16ed05p-8, -0x1.f955c214e169dp-9, -0x1.ea100646bc9ep-9, -0x1.db38fd175466ep-9, -0x1.cccde74433fe9p-9, -0x1.becc135eca1fcp-9, -0x1.b130dda1f2757p-9, -0x1.a3f9afc71f571p-9, -0x1.972400db5e5d1p-9, -0x1.8aad55147ebc2p-9, -0x1.7e933da5e6907p-9, -0x1.72d35895856e3p-9, -0x1.676b5090a88c6p-9, -0x1.5c58dcc0f1d66p-9, -0x1.5199c0a115022p-9, -0x1.472bcbd1b6fcfp-9, -0x1.3d0cd9ee42a61p-9, -0x1.333ad2621b8cfp-9, -0x1.29b3a83d27cc9p-9, -0x1.20755a09167d4p-9, -0x1.177df19e46738p-9, -0x1.0ecb83f8faadep-9, -0x1.065c310e6eadp-9, -0x1.fc5c4744342a1p-10, -0x1.ec7f2235f07f9p-10, -0x1.dd1d72b1c8266p-10, -0x1.ce33cd144be39p-10, -0x1.bfbeda01a7047p-10, -0x1.b1bb56113efap-10, -0x1.a4261178e7fffp-10, -0x1.96fbefb88ffadp-10, -0x1.8a39e746b4001p-10, -0x1.7ddd013bcd482p-10, -0x1.71e258ff386d8p-10, -0x1.66471bf400862p-10, -0x1.5b088925e0486p-10, -0x1.5023f0f6b3c65p-10, -0x1.4596b4cc6a83ap-10, -0x1.3b5e46bf5ee07p-10, -0x1.3178294909d67p-10, -0x1.27e1eef3719cfp-10, -0x1.1e993a08d99ap-10, -0x1.159bbc44417d8p-10, -0x1.0ce7368296418p-10, -0x1.047978744cffap-10, -0x1.f8a0c09fe58aep-11, -0x1.e8d3b50b0afddp-11, -0x1.d987c2e494d54p-11, -0x1.cab8fa2b97fafp-11, -0x1.bc63858f40251p-11, -0x1.ae83a9dc24e06p-11, -0x1.a115c56c3f376p-11, -0x1.94164f96b89dbp-11, -0x1.8781d824b293fp-11, -0x1.7b5506c5bcc72p-11, -0x1.6f8c9a87dab78p-11, -0x1.64256950ecb4ep-11, -0x1.591c5f5a79be4p-11, -0x1.4e6e7eafeb61p-11, -0x1.4418deaece9bdp-11, -0x1.3a18ab894a2eep-11, -0x1.306b25cb4e145p-11, -0x1.270da1e1073abp-11, -0x1.1dfd87a0ec02ep-11, -0x1.153851d6a27d2p-11, -0x1.0cbb8dd141b62p-11, -0x1.0484daf316c6ep-11, -0x1.f923d487838a2p-12, -0x1.e9c0fc0a62eeap-12, -0x1.dadcd291fd78fp-12, -0x1.cc731f1364e7p-12, -0x1.be7fc88ba480bp-12, -0x1.b0fed536bd298p-12, -0x1.a3ec69ce0eddcp-12, -0x1.9744c8ca155e2p-12, -0x1.8b0451a669d18p-12, -0x1.7f27802aeb823p-12, -0x1.73aaebb835ee4p-12, -0x1.688b4696eff96p-12, -0x1.5dc55d4c45619p-12, -0x1.535615efb02a6p-12, -0x1.493a6f85fb28p-12, -0x1.3f6f815e9cdd9p-12, -0x1.35f27a744a84dp-12, -0x1.2cc0a0d18318bp-12, -0x1.23d750f6b58d5p-12, -0x1.1b33fd45a6e87p-12, -0x1.12d42d6d08fcdp-12, -0x1.0ab57dd92a4a7p-12, -0x1.02d59f273f0d7p-12, -0x1.f664ab36ca843p-13, -0x1.e792f12eb6e83p-13, -0x1.d931e42ee828ep-13, -0x1.cb3d7c5f74b27p-13, -0x1.bdb1d51a128c4p-13, -0x1.b08b2befdfbf5p-13, -0x1.a3c5dfb501ef3p-13, -0x1.975e6f9123a51p-13, -0x1.8b517a14e6b7bp-13, -0x1.7f9bbc55a5b14p-13, -0x1.743a110b5b8c4p-13, -0x1.69296fb53ace7p-13, -0x1.5e66ebc2e6e36p-13, -0x1.53efb3c1ead4fp-13, -0x1.49c1109027d53p-13, -0x1.3fd8649227f9ep-13, -0x1.36332aee6f17ep-13, -0x1.2ccef6ccea5cp-13, -0x1.23a9729c18767p-13, -0x1.1ac05f5777d5bp-13, -0x1.121193d651e41p-13, -0x1.099afc1b0712fp-13, -0x1.015a98a736cb1p-13, -0x1.f29cfbac0b6d1p-14, -0x1.e2e9a67262091p-14, -0x1.d397a5f054943p-14, -0x1.c4a3926e75a99p-14, -0x1.b60a26fd415dcp-14, -0x1.a7c8404f93fc1p-14, -0x1.99dadb97d1a1fp-14, -0x1.8c3f15726a12p-14, -0x1.7ef228d333c3fp-14, -0x1.71f16dfae48e9p-14, -0x1.653a597454279p-14, -0x1.58ca7b17887fep-14, -0x1.4c9f7d1367c48p-14, -0x1.40b7230077905p-14, -0x1.350f48f446b64p-14, -0x1.29a5e2a3bae4bp-14, -0x1.1e78fa822db1p-14, -0x1.1386b0edde48ap-14, -0x1.08cd3b5ec461bp-14, -0x1.fc95c739f8021p-15, -0x1.e7fc0dfe1cb8cp-15, -0x1.d3ca2b4852a54p-15, -0x1.bffd237d11cfep-15, -0x1.ac921dc2311c4p-15, -0x1.9986629c67df2p-15, -0x1.86d75a9f44a17p-15, -0x1.74828d23873c1p-15, -0x1.62859f08d5656p-15, -0x1.50de517ea4a39p-15, -0x1.3f8a80da7d94p-15, -0x1.2e8823747d6f5p-15, -0x1.1dd5489051dd6p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c51ec990758dp+0, 0x1.0ec277e9085d2p+0, 0x1.019e17b0184d2p+0, 0x1.ea136e2b7ca6bp-1, 0x1.d2434d3d46b19p-1, 0x1.bbf5a947a7f1dp-1, 0x1.a747beab24bd8p-1, 0x1.944bffa98df6fp-1, 0x1.830bd5dbdf0d4p-1, 0x1.73891a9aca7adp-1, 0x1.65bf5025b40a9p-1, 0x1.59a4cfe8a831dp-1, 0x1.4f2be9031b798p-1, 0x1.4643cd0f10063p-1, 0x1.3ed9416b71153p-1, 0x1.38d72d08b4a7p-1, 0x1.34271ece8ed58p-1, 0x1.30b1d0627b2b2p-1, 0x1.2e5f981fa2d85p-1, 0x1.2d18c45f59132p-1, 0x1.2cc5e3db45487p-1, 0x1.2d4ffccc6e881p-1, 0x1.2ea082c31de93p-1, 0x1.30a1e8a705c0bp-1, 0x1.333f63f6bfa2bp-1, 0x1.366510ebd8218p-1, 0x1.3a000e86bcf84p-1, 0x1.3dfe9215a748dp-1, 0x1.424fec00c0bd5p-1, 0x1.46e48302d9ba9p-1, 0x1.4badce340eb36p-1, 0x1.509e51863d1fcp-1, 0x1.55a99ab54900bp-1, 0x1.5ac43b63012e7p-1, 0x1.5fe3bf7fc7db5p-1, 0x1.64fea19de30ep-1, 0x1.6a0c3f219ad4bp-1, 0x1.6f04ccfed394ep-1, 0x1.73e14c9c1a1e3p-1, 0x1.789b8068d3facp-1, 0x1.7d2de05013b03p-1, 0x1.81938e9c53345p-1, 0x1.85c84dbad7ac1p-1, 0x1.89c876d08baf5p-1, 0x1.8d90f0a9fcf86p-1, 0x1.911f267e8a356p-1, 0x1.9470fe405d4fap-1, 0x1.9784ce95be2cp-1, 0x1.9a5954e334e8ap-1, 0x1.9cedabdf80cp-1, 0x1.9f414304b0992p-1, 0x1.a153d6f03271p-1, 0x1.a3256a88b564p-1, 0x1.a4b640a481732p-1, 0x1.a606d5f38bafp-1, 0x1.a717db11d7fbcp-1, 0x1.a7ea2ecb80f78p-1, 0x1.a87ed8b1a87a5p-1, 0x1.a8d7041fd719fp-1, 0x1.a8f3fbc10c615p-1, 0x1.a8d7258e60446p-1, 0x1.a881ff312680cp-1, 0x1.a7f61aac83ee4p-1, 0x1.a7352d9da0606p-1, 0x1.a640d0c5648cep-1, 0x1.a51ac682fa632p-1, 0x1.a3c4d3e6202a6p-1, 0x1.a240c337a12b9p-1, 0x1.a090617eceb41p-1, 0x1.9eb57c715f4c3p-1, 0x1.9cb1e0c4daea2p-1, 0x1.9a8758d148965p-1, 0x1.9837ab725ecabp-1, 0x1.95c49b15c7dabp-1, 0x1.932fe4e82c944p-1, 0x1.907b4015eadcp-1, 0x1.8da85d16dc30bp-1, 0x1.8ab8e4fe8b18cp-1, 0x1.87ae78cc85cfbp-1, 0x1.848ab0bbcf542p-1, 0x1.814f1b94abdfbp-1, 0x1.7dfd3e081cfd7p-1, 0x1.7a96921f1d661p-1, 0x1.771c86c7caeacp-1, 0x1.73907f8819027p-1, 0x1.6ff3d45902694p-1, 0x1.6c47d1a7da756p-1, 0x1.688db876c566p-1, 0x1.64c6be927f26dp-1, 0x1.60f40ed2da75bp-1, 0x1.5d16c95c9a991p-1, 0x1.593003ddd21cp-1, 0x1.5540c9c13be87p-1, 0x1.514a1c582d1b7p-1, 0x1.4d4cf2fd692e5p-1, 0x1.494a3b34cc392p-1, 0x1.4542d8cc53bafp-1, 0x1.4137a6029644cp-1, 0x1.3d2973b56354fp-1, 0x1.391909998ce5ep-1, 0x1.3507267b06422p-1, 0x1.30f4808320c53p-1, 0x1.2ce1c581d2d8bp-1, 0x1.28cf9b36e8bb2p-1, 0x1.24be9f9878ab5p-1, 0x1.20af6914f0842p-1, 0x1.1ca286d01d94p-1, 0x1.189880db88d7cp-1, 0x1.1491d86b31e76p-1, 0x1.108f0807fcfc8p-1, 0x1.0c9083c12f4d2p-1, 0x1.0896b95e1565dp-1, 0x1.04a2109094d08p-1, 0x1.00b2eb2908aeap-1, 0x1.f9934a96e2647p-2, 0x1.f1cd2b4b6e21ap-2, 0x1.ea141b4d2ed1ap-2, 0x1.e268b36962973p-2, 0x1.dacb82ca46b35p-2, 0x1.d33d0f6267ebp-2, 0x1.cbbdd655252a2p-2, 0x1.c44e4c5bb86cdp-2, 0x1.bceede2659be2p-2, 0x1.b59ff0b954b6ep-2, 0x1.ae61e1c608924p-2, 0x1.a73507fffd80ep-2, 0x1.a019b36e38927p-2, 0x1.99102db8f86e5p-2, 0x1.9218ba74011e5p-2, 0x1.8b33976585df6p-2, 0x1.8460fcc9b088dp-2, 0x1.7da11d92c303dp-2, 0x1.76f427a5d3b55p-2, 0x1.705a44141b9dfp-2, 0x1.69d39750f4f8ap-2, 0x1.636041649f75p-2, 0x1.5d005e1c0961ep-2, 0x1.56b40535db5adp-2, 0x1.507b4a8d14513p-2, 0x1.4a563e418d75cp-2, 0x1.4444ecdeb0c79p-2, 0x1.3e475f80b3a53p-2, 0x1.385d9bf894444p-2, 0x1.3287a4ef125b6p-2, 0x1.2cc57a06c0e64p-2, 0x1.271717fd597a6p-2, 0x1.217c78cc535fp-2, 0x1.1bf601bb31f9p-2, 0x1.1682d39901409p-2, 0x1.11234522bd348p-2, 0x1.0bd746988886ep-2, 0x1.069ec6085c984p-2, 0x1.0179af697bc9ap-2, 0x1.f8cfd96fe1ffbp-3, 0x1.eed2cc1fcb9eap-3, 0x1.e4fc0391261f6p-3, 0x1.db4b491d3fb8fp-3, 0x1.d1c062fb6c8b5p-3, 0x1.c85b1472444e4p-3, 0x1.bf1b1e06b95c9p-3, 0x1.b6003da8cf0f8p-3, 0x1.ad0a2eddd2625p-3, 0x1.a438aae80eb5dp-3, 0x1.9b8b68ec031aep-3, 0x1.93021e132a9bp-3, 0x1.8a9c7dac87e16p-3, 0x1.825a394b0dc55p-3, 0x1.7a3b00e2313e7p-3, 0x1.723e82e0ca92fp-3, 0x1.6a646c4a86d9fp-3, 0x1.62ac68d022fc6p-3, 0x1.5b1622e69d12p-3, 0x1.53a143dd90e0ap-3, 0x1.4c4d73f4e46fap-3, 0x1.451a5a71db8dap-3, 0x1.3e079db3b73b2p-3, 0x1.3714e347e0f8bp-3, 0x1.3041cffdbd3e6p-3, 0x1.298e07fa0fffap-3, 0x1.22f92eca0776ap-3, 0x1.1c82e775dc80dp-3, 0x1.162ad492fdff2p-3, 0x1.0ff09855c575fp-3, 0x1.09d3d4a2aa603p-3, 0x1.03d42b1edff9fp-3, 0x1.fbe27a80c916fp-4, 0x1.f05558bae13b7p-4, 0x1.e50033767e1d5p-4, 0x1.d9e24d387126fp-4, 0x1.cefae89ad5d1ep-4, 0x1.c4494866c6e37p-4, 0x1.b9ccafacbe5f9p-4, 0x1.af8461dbaabfep-4, 0x1.a56fa2d6d9199p-4, 0x1.9b8db70aa9a4p-4, 0x1.91dde3802a6bap-4, 0x1.885f6defa1b13p-4, 0x1.7f119cd21c304p-4, 0x1.75f3b77211f32p-4, 0x1.6d0505fb2e5e6p-4, 0x1.6444d1894faf9p-4, 0x1.5bb26436cb4d8p-4, 0x1.534d092a05b15p-4, 0x1.4b140ca26bce3p-4, 0x1.4306bc04d7772p-4, 0x1.3b2465e76a066p-4, 0x1.336c5a1ce312dp-4, 0x1.2bdde9bf7c886p-4, 0x1.2478673b4db6bp-4, 0x1.1d3b26583af8cp-4, 0x1.16257c437302fp-4, 0x1.0f36bf987e109p-4, 0x1.086e4869db3f2p-4, 0x1.01cb70492ee7fp-4, 0x1.f69b249e07741p-5, 0x1.e9e81644329cap-5, 0x1.dd7c71fc8934cp-5, 0x1.d156f775bdd78p-5, 0x1.c57669a18b0e2p-5, 0x1.b9d98ebfd430ep-5, 0x1.ae7f3068e0e11p-5, 0x1.a3661b96c6762p-5, 0x1.988d20adef884p-5, 0x1.8df31384d16e7p-5, 0x1.8396cb6acfaf1p-5, 0x1.7977232e535f1p-5, 0x1.6f92f9221c6a7p-5, 0x1.65e92f21cf97p-5, 0x1.5c78aa95d2242p-5, 0x1.534054766988dp-5, 0x1.4a3f194e37956p-5, 0x1.4173e93c102ap-5, 0x1.38ddb7f432008p-5, 0x1.307b7cc0ea47cp-5, 0x1.284c3282adf92p-5, 0x1.204ed7afa99b2p-5, 0x1.18826e52d0f2ap-5, 0x1.10e5fc0a7ba6p-5, 0x1.09788a06876f4p-5, 0x1.0239250613375p-5, 0x1.f64dbaa9a633ep-6, 0x1.e8818d9001af1p-6, 0x1.db0bf175e3005p-6, 0x1.cdeb1c16a434cp-6, 0x1.c11d4a2a26076p-6, 0x1.b4a0bf5c035fcp-6, 0x1.a873c6422fa2cp-6, 0x1.9c94b053062ap-6, 0x1.9101d5dad082fp-6, 0x1.85b995f0c6fafp-6, 0x1.7aba566b9ba72p-6, 0x1.700283d582896p-6, 0x1.6590915fd67d2p-6, 0x1.5b62f8d64a089p-6, 0x1.51783a91b2248p-6, 0x1.47cedd6a6fe8fp-6, 0x1.3e656eaa82f74p-6, 0x1.353a81ff38ac9p-6, 0x1.2c4cb16a965d9p-6, 0x1.239a9d346ae85p-6, 0x1.1b22ebdb1b506p-6, 0x1.12e44a0428fbbp-6, 0x1.0add6a6c7a03dp-6, 0x1.030d05d860c8cp-6, 0x1.f6e3b606e1b51p-7, 0x1.e8155d2038958p-7, 0x1.d9ac95ee4aba8p-7, 0x1.cba700edc0be9p-7, 0x1.be024a04a335ep-7, 0x1.b0bc28605037ap-7, 0x1.a3d25e5324e71p-7, 0x1.9742b9320536p-7, 0x1.8b0b113197a7dp-7, 0x1.7f2949436a8f6p-7, 0x1.739b4ef2edacdp-7, 0x1.685f1a424a03cp-7, 0x1.5d72ad872e6f4p-7, 0x1.52d415477365fp-7, 0x1.48816815d2719p-7, 0x1.3e78c66e7d244p-7, 0x1.34b85a93ba3efp-7, 0x1.2b3e586a8e621p-7, 0x1.2208fd575fad5p-7, 0x1.1916901ab5196p-7, 0x1.106560adfcda2p-7, 0x1.07f3c8206b3f5p-7, 0x1.ff8050e7f30c6p-8, 0x1.ef91d8f4ee80bp-8, 0x1.e0190f659f504p-8, 0x1.d112ec4cbc99bp-8, 0x1.c27c788cfbbd1p-8, 0x1.b452cd9475ba5p-8, 0x1.a69315187304cp-8, 0x1.993a88d193613p-8, 0x1.8c467238722dap-8, 0x1.7fb42a4294681p-8, 0x1.7381191ff91e6p-8, 0x1.67aab5f900483p-8, 0x1.5c2e86acdf353p-8, 0x1.510a1f909d804p-8, 0x1.463b232e7ab6dp-8, 0x1.3bbf4205f7d2dp-8, 0x1.31943a4c6e011p-8, 0x1.27b7d7ae29b2ap-8, 0x1.1e27f310177c4p-8, 0x1.14e2725216bfbp-8, 0x1.0be54811d6891p-8, 0x1.032e736e563e1p-8, 0x1.f577ff97fd286p-9, 0x1.e5180932ce245p-9, 0x1.d5394a29599e6p-9, 0x1.c5d82022d8576p-9, 0x1.b6f0ff7eff241p-9, 0x1.a88072e48ce6bp-9, 0x1.9a831ad1322f9p-9, 0x1.8c82b6a053921p-9, 0x1.7f606c3743a64p-9, 0x1.72a7e3fa15509p-9, 0x1.66561167feda6p-9, 0x1.5a67fb9f3d56dp-9, 0x1.4edabcf5bc3cfp-9, 0x1.43ab82936579ap-9, 0x1.38d78c0dd6f9ep-9, 0x1.2e5c2b0590428p-9, 0x1.2436c2c494b3fp-9, 0x1.1a64c7de7bb8fp-9, 0x1.10e3bfd1ffc39p-9, 0x1.07b140abf2334p-9, 0x1.fd95e15765145p-10, 0x1.ec5d0bd1d84a3p-10, 0x1.dbb38bf609b8fp-10, 0x1.cb950b4369c31p-10, 0x1.bbfd50de4df8bp-10, 0x1.ace840e72f2fbp-10, 0x1.9e51dbd41defdp-10, 0x1.90363dcdd0fb5p-10, 0x1.82919e0ec1a3bp-10, 0x1.75604e456661p-10, 0x1.689eb9f90491ap-10, 0x1.5c4965f14429cp-10, 0x1.505cefa07e92cp-10, 0x1.44d60c907687ep-10, 0x1.39b189d212114p-10, 0x1.2eec4b6f9521bp-10, 0x1.24834be10505ap-10, 0x1.1a739b83ec82fp-10, 0x1.10ba60150add4p-10, 0x1.0754d42ca784cp-10, 0x1.fc808d7b3c0d4p-11, 0x1.eaf4352d2f857p-11, 0x1.d9ff8bcbe5eeap-11, 0x1.c99da37ff59efp-11, 0x1.b9c9b34ede6f3p-11, 0x1.aa7f16313e3dbp-11, 0x1.9bb94a2d32d2cp-11, 0x1.8d73ef75b06eep-11, 0x1.7faac78e7196cp-11, 0x1.7259b473a3e2fp-11, 0x1.657cb7c7516f8p-11, 0x1.590ff2022db01p-11, 0x1.4d0fa1a8a255ep-11, 0x1.41782284c937bp-11, 0x1.3645ece4382efp-11, 0x1.2b7594d96376ep-11, 0x1.2103c9823abd9p-11, 0x1.16ed54519d50ap-11, 0x1.0d2f185d54d64p-11, 0x1.03c611afbf4e8p-11, 0x1.f55ea93a3f25ap-12, 0x1.e3d01a3a35157p-12, 0x1.d2dafc4e72d5ep-12, 0x1.c27a02266a42fp-12, 0x1.b2a809fa58106p-12, 0x1.a3601c59aee97p-12, 0x1.949d6affa2445p-12, 0x1.865b4fb09c88ep-12, 0x1.78954b1be5131p-12, 0x1.6b4703c4853cdp-12, 0x1.5e6c44f0727e3p-12, 0x1.5200fd9dc80a7p-12, 0x1.46013f7ded3cdp-12, 0x1.3a693df6e1217p-12, 0x1.2f354d29a8245p-12, 0x1.2461e0ff4effbp-12, 0x1.19eb8c3a6a885p-12, 0x1.0fceff8f0e19cp-12, 0x1.060908bf8c56cp-12, 0x1.f92d237c9bce8p-13, 0x1.e6e93faaa771fp-13, 0x1.d540a5a5f974cp-13, 0x1.c42dc87427029p-13, 0x1.b3ab4cf39c7p-13, 0x1.a3b4084fbaed6p-13, 0x1.9442fe810fcbep-13, 0x1.855360d7b089ep-13, 0x1.76e08c8b42d53p-13, 0x1.68e60959223dp-13, 0x1.5b5f8828532dfp-13, 0x1.4e48e1b651f1p-13, 0x1.419e154de3504p-13, 0x1.355b47862bba2p-13, 0x1.297cc10971f64p-13, 0x1.1dfeed661a717p-13, 0x1.12de59e55f9d5p-13, 0x1.0817b46c2ffc7p-13, 0x1.fb4f94c627a41p-14, 0x1.e7170f4e08e6dp-14, 0x1.d37feaff322d1p-14, 0x1.c0847340a3cf3p-14, 0x1.ae1f2a58add67p-14, 0x1.9c4ac7910af4ap-14, 0x1.8b02355c139a5p-14, 0x1.7a408f8e4a46fp-14, 0x1.6a0121a4ce6d1p-14, 0x1.5a3f65199d0b6p-14, 0x1.4af6ffc37c0e5p-14, 0x1.3c23c2442b8f2p-14, 0x1.2dc1a681cbdcep-14, 0x1.1fccce2f79566p-14, 0x1.1241815bfae77p-14, 0x1.051c2d12131e2p-14, 0x1.f0b2c4013966bp-15, 0x1.d7eba65c4fc85p-15, 0x1.bfdca97402ad6p-15, 0x1.a87fb54030531p-15, 0x1.91ceef2377c1cp-15, 0x1.7bc4b79dfc272p-15, 0x1.665ba81b7a76p-15, 0x1.518e90ce21c12p-15, 0x1.3d5876a948dd9p-15, 0x1.29b49155571bbp-15, 0x1.169e494f47157p-15, 0x1.04113604884d5p-15, 0x1.e412380b17ecap-16, 0x1.c103d69833e17p-16, 0x1.9eef7b0b46638p-16, 0x1.7dcda8ed387fep-16, 0x1.5d9730c9f9bcdp-16, 0x1.3e452d2dcbebbp-16, 0x1.1fd0ffa781c1fp-16, 0x1.02344df9d33c3p-16, 0x1.cad1feb051d3bp-17, 0x1.92d2738284be2p-17, 0x1.5c5ebeda603efp-17, 0x1.276c18af9285dp-17, 0x1.e7e04f635a6p-18, 0x1.83c1f9533e293p-18, 0x1.226a1c218d645p-18, 0x1.878cce9c01eedp-19, 0x1.9f1513f266548p-20, 0x1.caba343c93025p-23, -0x1.2260ae5a2d395p-20, -0x1.3a2890746f10dp-19, -0x1.de5afb8412053p-19, -0x1.3ef2306c802ccp-18, -0x1.8c7035f0c7dbfp-18, -0x1.d7b4dbee62d8dp-18, -0x1.1066770786ee7p-17, -0x1.33e25df8e6cdcp-17, -0x1.56540f7648bp-17, -0x1.77c13fcaf1512p-17, -0x1.982f6d760635ep-17, -0x1.b7a3e3c6e3389p-17, -0x1.d623bd423842ep-17, -0x1.f3b3e5f9a3d4fp-17, -0x1.082c8eecd74f5p-16, -0x1.160bfd6006917p-16, -0x1.237a754d49f78p-16, -0x1.307a1ab2cca86p-16, -0x1.3d0cff81f2b65p-16, -0x1.4935249422ba4p-16, -0x1.54f47a80245dap-16, -0x1.604ce272fd209p-16, -0x1.6b402f00c60a8p-16, -0x1.75d024e61a5d5p-16, -0x1.7ffe7bc178b6ep-16, -0x1.89ccdec8b6464p-16, -0x1.933ced7223a5p-16, -0x1.9c503c183c7e6p-16, -0x1.a5085494a4a21p-16, -0x1.ad66b6d4af5dfp-16, -0x1.b56cd965224p-16, -0x1.bd1c29fbbf4f5p-16, -0x1.c4760df067089p-16, -0x1.cb7be2bee5013p-16, -0x1.d22efe775bb56p-16, -0x1.d890b0239661fp-16, -0x1.dea2403e09868p-16, -0x1.e464f105e5c8p-16, -0x1.e9d9fee3a7f46p-16, -0x1.ef02a0ca0eb11p-16, -0x1.f3e0087454f89p-16, -0x1.f87362c3a81c1p-16, -0x1.fcbdd8076eb5ap-16, -0x1.0060462167151p-15, -0x1.023e4fb43b499p-15, -0x1.03f996d230eb1p-15, -0x1.0592a7c5d31d2p-15, -0x1.070a0d2f2c1a9p-15, -0x1.086050141606fp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2bf3eefe204bap-2, -0x1.36c0c7033b5fp-2, -0x1.4109bae1a32efp-2, -0x1.4acd3a5801dcdp-2, -0x1.540a121545d8ep-2, -0x1.5cbf671d4f57dp-2, -0x1.64ecb229f5e07p-2, -0x1.6c91bb1196e6ap-2, -0x1.73ae943abde8ap-2, -0x1.7a4396233505cp-2, -0x1.80515aff8f7abp-2, -0x1.85d8ba774d8b1p-2, -0x1.8adac580e564ap-2, -0x1.8f58c260296bbp-2, -0x1.935428c907095p-2, -0x1.96ce9e27e8472p-2, -0x1.99c9f210a8c9bp-2, -0x1.9c481ad48c1fp-2, -0x1.9e4b323f5eb72p-2, -0x1.9fd5727b8a1d3p-2, -0x1.a0e9331ca854bp-2, -0x1.a188e64fe9f48p-2, -0x1.a1b7163171c5ep-2, -0x1.a1766245953a8p-2, -0x1.a0c97d14e4ba9p-2, -0x1.9fb329e9aedcep-2, -0x1.9e363aadb5ffap-2, -0x1.9c558de6ab39p-2, -0x1.9a140cd010f9ap-2, -0x1.9774a9911543ap-2, -0x1.947a5d8d01dbcp-2, -0x1.912827ccd9605p-2, -0x1.8d810b80cff14p-2, -0x1.89880e9851293p-2, -0x1.8540386f548afp-2, -0x1.80ac908fd07d6p-2, -0x1.7bd01d8631e9ap-2, -0x1.76ade3c7c2881p-2, -0x1.7148e4aa0f0b1p-2, -0x1.6ba41d6a57beap-2, -0x1.65c2864437a03p-2, -0x1.5fa71196b8104p-2, -0x1.5954ab171c5aep-2, -0x1.52ce3710b67dp-2, -0x1.4c1691b12a574p-2, -0x1.45308e6093014p-2, -0x1.3e1ef725079f1p-2, -0x1.36e48c1103415p-2, -0x1.2f8402bc416bap-2, -0x1.280005c6af61bp-2, -0x1.205b346506ea4p-2, -0x1.189821f6c671cp-2, -0x1.10b955a5278e3p-2, -0x1.08c14a0acca38p-2, -0x1.00b26ce3d44c1p-2, -0x1.f11e3d8c1e75ep-3, -0x1.e0b365c21ba5cp-3, -0x1.d028dd8b8b5bap-3, -0x1.bf83146b1088ep-3, -0x1.aec65df01502p-3, -0x1.9df6f1707cafdp-3, -0x1.8d18e9cf771a8p-3, -0x1.7c304550efc22p-3, -0x1.6b40e5791dbabp-3, -0x1.5a4e8ef7b7657p-3, -0x1.495ce99e43b4p-3, -0x1.386f80610eb03p-3, -0x1.2789c1624461bp-3, -0x1.16aefe06af01ep-3, -0x1.05e26b139d579p-3, -0x1.ea4e41aae8a99p-4, -0x1.c900369ce8a89p-4, -0x1.a7e074da55054p-4, -0x1.86f4849458623p-4, -0x1.6641b6d90f5eap-4, -0x1.45cd262926a5cp-4, -0x1.259bb71923f7cp-4, -0x1.05b218fd8f573p-4, -0x1.cc298d4237653p-5, -0x1.8d900e07f3a68p-5, -0x1.4f9fdc4713b2fp-5, -0x1.1260bb933db51p-5, -0x1.abb4198a5e084p-6, -0x1.34259f6644f6dp-6, -0x1.7c4693d005f83p-7, -0x1.26e67d609c233p-8, 0x1.485c89e2348bcp-9, 0x1.3442589814af6p-7, 0x1.097cc60e5307bp-6, 0x1.77149eadddb89p-6, 0x1.e2df9e74aadb5p-6, 0x1.266aa8f9217e7p-5, 0x1.5a76f30f29912p-5, 0x1.8d91123cabb6cp-5, 0x1.bfb5b7967c2cfp-5, 0x1.f0e1de96c6004p-5, 0x1.10896597880a5p-4, 0x1.282303ee15f94p-4, 0x1.3f3cb1de5168fp-4, 0x1.55d5785516497p-4, 0x1.6bec80ab57a6dp-4, 0x1.818113b69dca6p-4, 0x1.969298dbb5058p-4, 0x1.ab209523bfd1p-4, 0x1.bf2aaa53d786bp-4, 0x1.d2b0960756472p-4, 0x1.e5b230ccfe4ap-4, 0x1.f82f6d47151e1p-4, 0x1.05142ba73b458p-3, 0x1.0dce898c74a8bp-3, 0x1.1646ee3146a98p-3, 0x1.1e7d82cd4cd6dp-3, 0x1.26727b89bb8bp-3, 0x1.2e26171b17b6dp-3, 0x1.35989e5ca050dp-3, 0x1.3cca63ed73f9ep-3, 0x1.43bbc3cf70313p-3, 0x1.4a6d2307c3f08p-3, 0x1.50deef414829cp-3, 0x1.57119e7089e9bp-3, 0x1.5d05ae799b3d1p-3, 0x1.62bba4d79155ap-3, 0x1.68340e45c429ap-3, 0x1.6d6f7e6abfb98p-3, 0x1.726e8f84ee04ep-3, 0x1.7731e218e7356p-3, 0x1.7bba1ca181824p-3, 0x1.8007eb417694ap-3, 0x1.841bff76c51e8p-3, 0x1.87f70fcfa38ccp-3, 0x1.8b99d7a11ff88p-3, 0x1.8f0516bf5679ep-3, 0x1.92399137407f4p-3, 0x1.95380f0a145d7p-3, 0x1.98015bea3de4ep-3, 0x1.9a9646f9dbbfbp-3, 0x1.9cf7a28ac51eep-3, 0x1.9f2643e017b4ep-3, 0x1.a12302f141aebp-3, 0x1.a2eeba2e86c94p-3, 0x1.a48a464704e8dp-3, 0x1.a5f685f01f92bp-3, 0x1.a73459ae6ae8ap-3, 0x1.a844a39ff3d95p-3, 0x1.a9284747faa0ep-3, 0x1.a9e0295c0fc5cp-3, 0x1.aa6d2f928d684p-3, 0x1.aad04072722cap-3, 0x1.ab0a432493319p-3, 0x1.ab1c1f4625127p-3, 0x1.ab06bcbc940b9p-3, 0x1.aacb038aaa5e6p-3, 0x1.aa69dba705d7dp-3, 0x1.a9e42cd3cbc14p-3, 0x1.a93ade77aa31p-3, 0x1.a86ed7780c567p-3, 0x1.a780fe149981ep-3, 0x1.a67237c3dd7b7p-3, 0x1.a54369112f44ap-3, 0x1.a3f5757bc58f5p-3, 0x1.a2893f56f8e8bp-3, 0x1.a0ffa7abad714p-3, 0x1.9f598e1ae4213p-3, 0x1.9d97d0c16f33p-3, 0x1.9bbb4c1cc0081p-3, 0x1.99c4daf0d6715p-3, 0x1.97b5562f3fc49p-3, 0x1.958d94df2cc7bp-3, 0x1.934e6c069302cp-3, 0x1.90f8ae945ddeap-3, 0x1.8e8d2d4ba17d7p-3, 0x1.8c0cb6afd1f05p-3, 0x1.897816f1fc26ap-3, 0x1.86d017def2843p-3, 0x1.841580ce788dfp-3, 0x1.814916935a529p-3, 0x1.7e6b9b6c7232cp-3, 0x1.7b7dcef69ecc2p-3, 0x1.78806e1f968cep-3, 0x1.757433199ffabp-3, 0x1.7259d55027a2ep-3, 0x1.6f32095d2e6c8p-3, 0x1.6bfd80ff87819p-3, 0x1.68bceb11ecd7ap-3, 0x1.6570f382db646p-3, 0x1.621a434d32983p-3, 0x1.5eb980719e286p-3, 0x1.5b4f4df0b3496p-3, 0x1.57dc4bc5d4b4cp-3, 0x1.546116e2bb2aap-3, 0x1.50de492bb94f7p-3, 0x1.4d547974abf06p-3, 0x1.49c43b7e87bb5p-3, 0x1.462e1ff58fd93p-3, 0x1.4292b4702e619p-3, 0x1.3ef2836e5d0fap-3, 0x1.3b4e1459a9a83p-3, 0x1.37a5eb85c71c3p-3, 0x1.33fa8a31ae0bfp-3, 0x1.304c6e89413afp-3, 0x1.2c9c13a77979ep-3, 0x1.28e9f199084f7p-3, 0x1.25367d5f7e929p-3, 0x1.218228f4e39b4p-3, 0x1.1dcd634fbc29fp-3, 0x1.1a18986784886p-3, 0x1.166431398e113p-3, 0x1.12b093ce44817p-3, 0x1.0efe233ed40cbp-3, 0x1.0b4d3fbb29296p-3, 0x1.079e46904e7b2p-3, 0x1.03f1922f18253p-3, 0x1.00477a332631ap-3, 0x1.f940a6d458eb2p-4, 0x1.f1f8dfb71dcep-4, 0x1.eab83da063b02p-4, 0x1.e37f59b53f094p-4, 0x1.dc4ec7beafb19p-4, 0x1.d527163aceedap-4, 0x1.ce08ce6e65456p-4, 0x1.c6f47476da13cp-4, 0x1.bfea875c91eaep-4, 0x1.b8eb81259de49p-4, 0x1.b1f7d6e8bbep-4, 0x1.ab0ff8e0a2643p-4, 0x1.a434527f99eacp-4, 0x1.9d654a83492efp-4, 0x1.96a34308c2c0fp-4, 0x1.8fee99a0c3547p-4, 0x1.8947a7641f347p-4, 0x1.82aec10855e45p-4, 0x1.7c2436f44976cp-4, 0x1.75a8555513cd3p-4, 0x1.6f3b6432f44aep-4, 0x1.68dda7864f7a1p-4, 0x1.628f5f4cbfee4p-4, 0x1.5c50c79e2f3e7p-4, 0x1.562218c1f4734p-4, 0x1.50038743f5ap-4, 0x1.49f54409c4075p-4, 0x1.43f77c67b271bp-4, 0x1.3e0a5a35e014fp-4, 0x1.382e03e534e11p-4, 0x1.32629c944b553p-4, 0x1.2ca84424431bp-4, 0x1.26ff174d7c96dp-4, 0x1.21672fb435272p-4, 0x1.1be0a3fd06035p-4, 0x1.166b87e13edccp-4, 0x1.1107ec431b075p-4, 0x1.0bb5df41cfedfp-4, 0x1.06756c4d6eab1p-4, 0x1.01469c3a991efp-4, 0x1.f852eaac1074dp-5, 0x1.ee3bf6efbe89ep-5, 0x1.e448602d96215p-5, 0x1.da7824b5da901p-5, 0x1.d0cb3e611999ep-5, 0x1.c741a2b51f1dp-5, 0x1.bddb43096e4cbp-5, 0x1.b4980cab43a51p-5, 0x1.ab77e901199e2p-5, 0x1.a27abdadaeb3ep-5, 0x1.99a06cb289f49p-5, 0x1.90e8d491fcac3p-5, 0x1.8853d0709c3fap-5, 0x1.7fe1383637bd7p-5, 0x1.7790e0ae40577p-5, 0x1.6f629ba7aa0c3p-5, 0x1.675638143dd1ep-5, 0x1.5f6b8227617aap-5, 0x1.57a243744c86cp-5, 0x1.4ffa430bb2b0cp-5, 0x1.48734598d9febp-5, 0x1.410d0d7e23bd2p-5, 0x1.39c75af1031bep-5, 0x1.32a1ec15605e7p-5, 0x1.2b9c7d186e9bbp-5, 0x1.24b6c84aec4f4p-5, 0x1.1df0863ad511p-5, 0x1.17496dcc7f871p-5, 0x1.10c134532c24p-5, 0x1.0a578da903fdep-5, 0x1.040c2c468438cp-5, 0x1.fbbd82b2bcee7p-6, 0x1.ef9df9b58c715p-6, 0x1.e3b91b4a68963p-6, 0x1.d80e431334ab7p-6, 0x1.cc9ccac81786ap-6, 0x1.c1640a5fb5fb4p-6, 0x1.b66358365b963p-6, 0x1.ab9a09340e182p-6, 0x1.a10770f19859ep-6, 0x1.96aae1dc8429p-6, 0x1.8c83ad5a0a259p-6, 0x1.829123e902304p-6, 0x1.78d29542c654cp-6, 0x1.6f47507b1e01dp-6, 0x1.65eea41f291cep-6, 0x1.5cc7de534e75cp-6, 0x1.53d24cf038291p-6, 0x1.4b0d3d9edc88bp-6, 0x1.4277fdf3938a9p-6, 0x1.3a11db8843ff9p-6, 0x1.31da2415a72b5p-6, 0x1.29d0258ba910bp-6, 0x1.21f32e28e6285p-6, 0x1.1a428c914ab9fp-6, 0x1.12bd8fe3de658p-6, 0x1.0b6387cfb2b84p-6, 0x1.0433c4a80662fp-6, 0x1.fa5b2eef2aabcp-7, 0x1.eca0a4264be14p-7, 0x1.df368e568e9e9p-7, 0x1.d21b94baa8d36p-7, 0x1.c54e608770ff1p-7, 0x1.b8cd9d0ae9a3p-7, 0x1.ac97f7c9e8a38p-7, 0x1.a0ac209c54f78p-7, 0x1.9508c9c8112a4p-7, 0x1.89aca81a80642p-7, 0x1.7e967300cbfa1p-7, 0x1.73c4e49edfa98p-7, 0x1.6936b9e5238a7p-7, 0x1.5eeab2a5076bap-7, 0x1.54df91a45cc82p-7, 0x1.4b141caf838f8p-7, 0x1.41871caa8164fp-7, 0x1.38375da0fc4c3p-7, 0x1.2f23aed52352dp-7, 0x1.264ae2cd91071p-7, 0x1.1dabcf622a226p-7, 0x1.15454dc8018c1p-7, 0x1.0d163a9c49727p-7, 0x1.051d75ee571b7p-7, 0x1.fab3c69180146p-8, 0x1.eb94d37334159p-8, 0x1.dcdbe7b3c27c7p-8, 0x1.ce86dfa81bb65p-8, 0x1.c0939ed3bb29ep-8, 0x1.b3000ff2b355ep-8, 0x1.a5ca25023bb1p-8, 0x1.98efd747d00fp-8, 0x1.8c6f2756ebaccp-8, 0x1.80461d156c464p-8, 0x1.7472c7beaa70bp-8, 0x1.68f33de5527b1p-8, 0x1.5dc59d7407afdp-8, 0x1.52e80bace0099p-8, 0x1.4858b527c0cd6p-8, 0x1.3e15cdcfa86cbp-8, 0x1.341d90def0f19p-8, 0x1.2a6e40da928e2p-8, 0x1.2106278c74f3p-8, 0x1.17e395fcd50dap-8, 0x1.0f04e46acab86p-8, 0x1.06687243fb07bp-8, 0x1.fc194c36f2e88p-9, 0x1.ebdfdb3fd33c7p-9, 0x1.dc217b21c6b2bp-9, 0x1.ccdb23674aca4p-9, 0x1.be09d98e4274ep-9, 0x1.afaab0eec21f6p-9, 0x1.a1bacaa0b54cdp-9, 0x1.9437556058b51p-9, 0x1.871d8d71a7dc1p-9, 0x1.7a6abc82c573bp-9, 0x1.6e1c398d6ffbfp-9, 0x1.622f68b78e736p-9, 0x1.56a1bb32e5fbap-9, 0x1.4b70af1c07155p-9, 0x1.4099cf5878137p-9, 0x1.361ab37432bbbp-9, 0x1.2bf0ff7e7cf56p-9, 0x1.221a63e628e8ap-9, 0x1.18949d5546b07p-9, 0x1.0f5d748c57f39p-9, 0x1.0672be3d0b941p-9, 0x1.fba4b5c91cd2bp-10, 0x1.eaf46d4af0acp-10, 0x1.dad09242cd38dp-10, 0x1.cb352aa489255p-10, 0x1.bc1e52c6a732cp-10, 0x1.ad883d13e5cabp-10, 0x1.9f6f31bc76c05p-10, 0x1.91cf8e66d63dap-10, 0x1.84a5c5e068459p-10, 0x1.77ee5fcdd969p-10, 0x1.6ba5f85b64769p-10, 0x1.5fc93fecf302bp-10, 0x1.5454face44b15p-10, 0x1.494600e3143ecp-10, 0x1.3e993d574a0bbp-10, 0x1.344bae4f5610fp-10, 0x1.2a5a6498addabp-10, 0x1.20c2835a7e4e9p-10, 0x1.17813fc6a57ffp-10, 0x1.0e93e0caf132dp-10, 0x1.05f7bec2b01f5p-10, 0x1.fb5486515594ep-11, 0x1.eb51d092f1d6fp-11, 0x1.dbe271ec9cc69p-11, 0x1.cd01a0707b0acp-11, 0x1.beaab207f3afep-11, 0x1.b0d91bdc461f8p-11, 0x1.a38871c03bd28p-11, 0x1.96b4659b05f37p-11, 0x1.8a58c6d451fa7p-11, 0x1.7e7181c1a1a4bp-11, 0x1.72fa9f14f0dcfp-11, 0x1.67f0434cb5f81p-11, 0x1.5d4eae2543b34p-11, 0x1.53123a0b98a9dp-11, 0x1.49375b91a2ca7p-11, 0x1.3fbaa0e401612p-11, 0x1.3698b141495p-11, 0x1.2dce4c72d7668p-11, 0x1.25584a47326a5p-11, 0x1.1d339a0e07daep-11, 0x1.155d4215c2151p-11, 0x1.0dd25f2ac3c73p-11, 0x1.0690241848078p-11, 0x1.ff27b255dc84dp-12, 0x1.f1b5b769e4738p-12, 0x1.e4c53b282d3a8p-12, 0x1.d851497286444p-12, 0x1.cc551563ae02p-12, 0x1.c0cbf8656af64p-12, 0x1.b5b1714a1365ep-12, 0x1.ab0123698e0c1p-12, 0x1.a0b6d5c1c3429p-12, 0x1.96ce721a8d7a6p-12, 0x1.8d44042d1a9c2p-12, 0x1.8413b8cec8abdp-12, 0x1.7b39dd1f78baep-12, 0x1.72b2ddbb565dp-12, 0x1.6a7b45f0132a2p-12, 0x1.628fbef593296p-12, 0x1.5aed0f2a05a13p-12, 0x1.539019516ba8bp-12, 0x1.4c75dbd881aa5p-12, 0x1.459b701b0f71bp-12, 0x1.3efe09ad91431p-12, 0x1.389af5aa3fd65p-12, 0x1.326f9a0163649p-12, 0x1.2c7974ccfd0b6p-12, 0x1.26b61ba7b15a7p-12, 0x1.21233b06f5651p-12, 0x1.1bbe9598780aep-12, 0x1.168603a2bc338p-12, 0x1.11777268e1be6p-12, 0x1.0c90e3918dd6p-12, 0x1.07d06c90f80ep-12, 0x1.03343616046e2p-12, 0x1.fd74f6f4e088fp-13, 0x1.f4c3146bff76fp-13, 0x1.ec4f82a95218ap-13, 0x1.e41721df68992p-13, 0x1.dc16f35384a6dp-13, 0x1.d44c185b70074p-13, 0x1.ccb3d16102baap-13, 0x1.c54b7ceb48794p-13, 0x1.be1096ad32a07p-13, 0x1.b700b699c00a7p-13, 0x1.b0198ffd90e83p-13, 0x1.a958f09dcab22p-13, 0x1.a2bcbfdc3dc56p-13, 0x1.9c42fde0baaa3p-13, 0x1.95e9c2c7777dep-13, 0x1.8faf3dd48bccap-13, 0x1.8991b4ac5153p-13, 0x1.838f8290a8bf1p-13, 0x1.7da717a30f876p-13, 0x1.77d6f82b666b7p-13, 0x1.721dbbe35f9a9p-13, 0x1.6c7a0d468197cp-13, 0x1.66eaa8e6a4bb4p-13, 0x1.616e5cc4d94e9p-13, 0x1.5c0407aea9a63p-13, 0x1.56aa989f9d338p-13, 0x1.51610e26ea8bfp-13, 0x1.4c2675d14ae1dp-13, 0x1.46f9eb96d3e99p-13, 0x1.41da994ccd5c6p-13, 0x1.3cc7b61b62924p-13, 0x1.37c085f731ff7p-13, 0x1.32c4591e9127ep-13, 0x1.2dd28b9a85079p-13, 0x1.28ea84c34cb5dp-13, 0x1.240bb6c87d5d6p-13, 0x1.1f359e3c8d4ebp-13, 0x1.1a67c1a3c6f79p-13, 0x1.15a1b1068c559p-13, 0x1.10e30586e0137p-13, 0x1.0c2b60f9177fep-13, 0x1.077a6d7faff47p-13, 0x1.02cfdd2a32f77p-13, 0x1.fc56d32e2356cp-14, 0x1.f319a730e619ap-14, 0x1.e9e7c5b7b222p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.16384f8b56c15p-2, -0x1.2228f59eecee9p-2, -0x1.2dd839c42f37p-2, -0x1.3944a4dbdab03p-2, -0x1.446ce4caad56ep-2, -0x1.4f4fcb59c585dp-2, -0x1.59ec4d0aa3b67p-2, -0x1.64417fe21702p-2, -0x1.6e4e9a2cea10cp-2, -0x1.7812f140d3762p-2, -0x1.818df83bc8a23p-2, -0x1.8abf3ec38fb7ep-2, -0x1.93a66fc7286a2p-2, -0x1.9c435043612cp-2, -0x1.a495be0bc5147p-2, -0x1.ac9dae98d0d7p-2, -0x1.b45b2ddc4a475p-2, -0x1.bbce5d1c53e56p-2, -0x1.c2f771d5d34cbp-2, -0x1.c9d6b4a68faecp-2, -0x1.d06c803f5efc2p-2, -0x1.d6b9405e9c3b3p-2, -0x1.dcbd70d313077p-2, -0x1.e2799c877404p-2, -0x1.e7ee5c965f72ap-2, -0x1.ed1c5766fbd1ep-2, -0x1.f2043fd20b518p-2, -0x1.f6a6d44f6466p-2, -0x1.fb04de2ba7aacp-2, -0x1.ff1f30c60daf3p-2, -0x1.017b546b0e5f9p-1, -0x1.034615dc84194p-1, -0x1.04f0536349b8ep-1, -0x1.067a87569489ep-1, -0x1.07e52f6a7ecfep-1, -0x1.0930cc64f7d4ep-1, -0x1.0a5de1d5f9cb3p-1, -0x1.0b6cf5d2e3a5fp-1, -0x1.0c5e90b4d938ap-1, -0x1.0d333cda0c5d6p-1, -0x1.0deb8669d0cabp-1, -0x1.0e87fb1b60a4bp-1, -0x1.0f0929ff32581p-1, -0x1.0f6fa34acb137p-1, -0x1.0fbbf826ef4d4p-1, -0x1.0feeba801cab5p-1, -0x1.10087cd9351acp-1, -0x1.1009d220466dap-1, -0x1.0ff34d8556851p-1, -0x1.0fc5825325144p-1, -0x1.0f8103c9cc566p-1, -0x1.0f2664fb31c26p-1, -0x1.0eb638a9332b8p-1, -0x1.0e31112584de2p-1, -0x1.0d9780332af4dp-1, -0x1.0cea16e98783dp-1, -0x1.0c296598e9612p-1, -0x1.0b55fbb0924bdp-1, -0x1.0a7067a626279p-1, -0x1.097936de78866p-1, -0x1.0870f597adf22p-1, -0x1.07582ed4a239fp-1, -0x1.062f6c498e0bbp-1, -0x1.04f73649df51cp-1, -0x1.03b013b7383b1p-1, -0x1.025a89f190c1cp-1, -0x1.00f71cc86bbafp-1, -0x1.ff0c9cda33e15p-2, -0x1.fc113ecc0251fp-2, -0x1.f8fd1d05bad8bp-2, -0x1.f5d131a3eb04ep-2, -0x1.f28e732c74941p-2, -0x1.ef35d47c8f5fp-2, -0x1.ebc844b87b9a8p-2, -0x1.e846af3cde446p-2, -0x1.e4b1fb91ac065p-2, -0x1.e10b0d5e9c67dp-2, -0x1.dd52c46110a1cp-2, -0x1.d989fc6362a61p-2, -0x1.d5b18d358a519p-2, -0x1.d1ca4aa70e3b7p-2, -0x1.cdd504822ef9fp-2, -0x1.c9d2868840fd5p-2, -0x1.c5c3986f24bacp-2, -0x1.c1a8fddfd5ad6p-2, -0x1.bd837675f9bf4p-2, -0x1.b953bdc06ee76p-2, -0x1.b51a8b42c4f44p-2, -0x1.b0d8927792cd8p-2, -0x1.ac8e82d3aa3f2p-2, -0x1.a83d07ca0bf79p-2, -0x1.a3e4c8d0a0fdep-2, -0x1.9f866965a2c25p-2, -0x1.9b228915b1c9cp-2, -0x1.96b9c38285d5ep-2, -0x1.924cb06a37fd1p-2, -0x1.8ddbe3af166a2p-2, -0x1.8967ed5ffabb7p-2, -0x1.84f159c11c68dp-2, -0x1.8078b155526e3p-2, -0x1.7bfe78e7bf654p-2, -0x1.77833195df424p-2, -0x1.730758d9ee581p-2, -0x1.6e8b6895a53eep-2, -0x1.6a0fd71d3e2cap-2, -0x1.65951742c11cfp-2, -0x1.611b98618dfc1p-2, -0x1.5ca3c66a23835p-2, -0x1.582e09ee13d2bp-2, -0x1.53bac82c2b2ep-2, -0x1.4f4a631cbf301p-2, -0x1.4add397e1f6afp-2, -0x1.4673a6e127e55p-2, -0x1.420e03b5ec394p-2, -0x1.3daca5587bc46p-2, -0x1.394fde1db5ad2p-2, -0x1.34f7fd602cbdfp-2, -0x1.30a54f8d18711p-2, -0x1.2c581e3149f2ap-2, -0x1.2810b0062a5edp-2, -0x1.23cf48feb5eb8p-2, -0x1.1f942a547be8fp-2, -0x1.1b5f929494a4ap-2, -0x1.1731bdac966bp-2, -0x1.130ae4f77f19cp-2, -0x1.0eeb3f4a9394bp-2, -0x1.0ad30102343bep-2, -0x1.06c25c0e9f594p-2, -0x1.02b98000a5ec5p-2, -0x1.fd71342c9dbcap-3, -0x1.f57faa8ec40adp-3, -0x1.ed9eb4a3c949cp-3, -0x1.e5ce9f8cf2adfp-3, -0x1.de0fb4295938cp-3, -0x1.d662372e4a8ccp-3, -0x1.cec6693f7960ep-3, -0x1.c73c8706f92c4p-3, -0x1.bfc4c94cfc405p-3, -0x1.b85f650f5a77fp-3, -0x1.b10c8b98e23eap-3, -0x1.a9cc6a9864fc5p-3, -0x1.a29f2c3785edap-3, -0x1.9b84f73151925p-3, -0x1.947deee886d2fp-3, -0x1.8d8a337daee3bp-3, -0x1.86a9e1e4dfd5ap-3, -0x1.7fdd13fb4ec65p-3, -0x1.7923e09c8d9eap-3, -0x1.727e5bb78de24p-3, -0x1.6bec966357d9dp-3, -0x1.656e9ef37ee36p-3, -0x1.5f04810c4da1ep-3, -0x1.58ae45b6abcedp-3, -0x1.526bf373b7847p-3, -0x1.4c3d8e501d715p-3, -0x1.462317f72566p-3, -0x1.401c8fc574ffdp-3, -0x1.3a29f2db8a32dp-3, -0x1.344b3c2fef754p-3, -0x1.2e8064a123646p-3, -0x1.28c9630736867p-3, -0x1.23262c4525516p-3, -0x1.1d96b359e3e8fp-3, -0x1.181ae971229ccp-3, -0x1.12b2bdf3c5dffp-3, -0x1.0d5e1e981e0bp-3, -0x1.081cf771cb8cdp-3, -0x1.02ef33016042bp-3, -0x1.fba9748773205p-4, -0x1.f19ae9821da43p-4, -0x1.e7b291376d9e4p-4, -0x1.ddf0353d58226p-4, -0x1.d4539c9780a4bp-4, -0x1.cadc8bd321296p-4, -0x1.c18ac52262333p-4, -0x1.b85e0877161f5p-4, -0x1.af56139d05ad5p-4, -0x1.a672a25395664p-4, -0x1.9db36e66f1a16p-4, -0x1.95182fc8a310bp-4, -0x1.8ca09ca7b120fp-4, -0x1.844c698823623p-4, -0x1.7c1b495a0c8a8p-4, -0x1.740ced900ad8ep-4, -0x1.6c210635453bp-4, -0x1.64574202e427cp-4, -0x1.5caf4e7509b3fp-4, -0x1.5528d7df4777dp-4, -0x1.4dc3898095f8p-4, -0x1.467f0d96cd379p-4, -0x1.3f5b0d719fadfp-4, -0x1.3857318519be2p-4, -0x1.3173217ba7169p-4, -0x1.2aae84479e812p-4, -0x1.24090034555eep-4, -0x1.1d823af6bd721p-4, -0x1.1719d9bd8e06p-4, -0x1.10cf8140f7bf7p-4, -0x1.0aa2d5d1e8e42p-4, -0x1.04937b68de955p-4, -0x1.fd422b688fd1bp-5, -0x1.f196904cf83c3p-5, -0x1.e6236c068616bp-5, -0x1.dae804d9e7fccp-5, -0x1.cfe3a0e257e05p-5, -0x1.c515862a350a8p-5, -0x1.ba7cfac2d5e95p-5, -0x1.b01944db8e25ap-5, -0x1.a5e9aad7f2816p-5, -0x1.9bed736556457p-5, -0x1.9223e58f8c18bp-5, -0x1.888c48d4ea403p-5, -0x1.7f25e53996284p-5, -0x1.75f0035a1951cp-5, -0x1.6ce9ec7d4544fp-5, -0x1.6412eaa567f3p-5, -0x1.5b6a48a0d2fbcp-5, -0x1.52ef5219bb78dp-5, -0x1.4aa153a574c61p-5, -0x1.427f9ad306f8fp-5, -0x1.3a89763928c72p-5, -0x1.32be35839b724p-5, -0x1.2b1d297fee5a2p-5, -0x1.23a5a429af239p-5, -0x1.1c56f8b605644p-5, -0x1.15307b9ebec16p-5, -0x1.0e3182acd17c5p-5, -0x1.07596502545ebp-5, -0x1.00a77b23f03fp-5, -0x1.f4363e03a0ca1p-6, -0x1.e7675800266b6p-6, -0x1.dae0fdfd79d32p-6, -0x1.cea1ecc26274ep-6, -0x1.c2a8e42a6fcd9p-6, -0x1.b6f4a73315faap-6, -0x1.ab83fc07eec39p-6, -0x1.a055ac0e19762p-6, -0x1.956883eec9c3p-6, -0x1.8abb53a104e81p-6, -0x1.804cee728ff86p-6, -0x1.761c2b10245dap-6, -0x1.6c27e38cd8488p-6, -0x1.626ef568d5cc4p-6, -0x1.58f041975a511p-6, -0x1.4faaac8408ea6p-6, -0x1.469d1e178edebp-6, -0x1.3dc681bba925cp-6, -0x1.3525c65e83d54p-6, -0x1.2cb9de75845f6p-6, -0x1.2481bfff7d399p-6, -0x1.1c7c64864d09ep-6, -0x1.14a8c91ff54ffp-6, -0x1.0d05ee6f2aa64p-6, -0x1.0592d8a35f50bp-6, -0x1.fc9d1ef0a2798p-7, -0x1.ee703c6a40c46p-7, -0x1.e09d2755d6ccp-7, -0x1.d3220466028fep-7, -0x1.c5fcff5942215p-7, -0x1.b92c4af4a9bep-7, -0x1.acae20fdcf41ep-7, -0x1.a080c233f6314p-7, -0x1.94a276487c5c4p-7, -0x1.89118bd69f077p-7, -0x1.7dcc585a94619p-7, -0x1.72d13827fee7cp-7, -0x1.681e8e5fc490ep-7, -0x1.5db2c4e55ede2p-7, -0x1.538c4c538eb2ep-7, -0x1.49a99bf0901afp-7, -0x1.400931a1d7483p-7, -0x1.36a991df435c2p-7, -0x1.2d8947a5ed44bp-7, -0x1.24a6e46a83319p-7, -0x1.1c01000b3ed94p-7, -0x1.139638c17ae95p-7, -0x1.0b653312edf97p-7, -0x1.036c99c28f376p-7, -0x1.f7563b82568fdp-8, -0x1.e83eec3b5d675p-8, -0x1.d990bfea535b9p-8, -0x1.cb493cc527eb4p-8, -0x1.bd65f4dca868p-8, -0x1.afe485fb1fc9dp-8, -0x1.a2c2998293269p-8, -0x1.95fde44a9e2dep-8, -0x1.8994267dfedc4p-8, -0x1.7d832b77d3366p-8, -0x1.71c8c9a09376ap-8, -0x1.6662e24ad286ap-8, -0x1.5b4f618fc62d6p-8, -0x1.508c3e2ba6253p-8, -0x1.46177959e218ap-8, -0x1.3bef1eb139821p-8, -0x1.321143ffbbe5bp-8, -0x1.287c0926b557dp-8, -0x1.1f2d97f68ea0fp-8, -0x1.1624240aa8501p-8, -0x1.0d5deaa5341d5p-8, -0x1.04d9328b14c57p-8, -0x1.f92897bf8afe6p-9, -0x1.e91b2002a6587p-9, -0x1.d986c2c8cf1b2p-9, -0x1.ca6856e0defb7p-9, -0x1.bbbcc4b7b7406p-9, -0x1.ad81061109a09p-9, -0x1.9fb225c069becp-9, -0x1.924d3f62b317ap-9, -0x1.854f7f17c992p-9, -0x1.78b6213cb8a2ap-9, -0x1.6c7e722640363p-9, -0x1.60a5cddbcb713p-9, -0x1.55299fd2df585p-9, -0x1.4a0762ab04c1dp-9, -0x1.3f3c9fea3060fp-9, -0x1.34c6efb9b30d4p-9, -0x1.2aa3f8a3b4861p-9, -0x1.20d16f513b82fp-9, -0x1.174d1648cc12fp-9, -0x1.0e14bdad9d6adp-9, -0x1.052642ff69f2dp-9, -0x1.f8ff21b5c2eb7p-10, -0x1.e83d3d757c019p-10, -0x1.d802e172f5cafp-10, -0x1.c84c2ea776bd5p-10, -0x1.b9155e56ae8fep-10, -0x1.aa5ac19635b37p-10, -0x1.9c18c0d663103p-10, -0x1.8e4bdb6c91eedp-10, -0x1.80f0a71ecccb5p-10, -0x1.7403cfb0e0709p-10, -0x1.67821672e9621p-10, -0x1.5b6851d1474e6p-10, -0x1.4fb36ce60e306p-10, -0x1.4460670be8bbp-10, -0x1.396c53727bd4fp-10, -0x1.2ed458b436de2p-10, -0x1.2495b06da9858p-10, -0x1.1aada6d6508aep-10, -0x1.11199a5ae4b09p-10, -0x1.07d6fb391c183p-10, -0x1.fdc69639e3b88p-11, -0x1.ec78397ecdaedp-11, -0x1.dbbe270d7a574p-11, -0x1.cb93c65062b67p-11, -0x1.bbf49e965a777p-11, -0x1.acdc565be7459p-11, -0x1.9e46b2978ba05p-11, -0x1.902f9608fc628p-11, -0x1.8293008b42c7fp-11, -0x1.756d0e69c3f88p-11, -0x1.68b9f7b82b29bp-11, -0x1.5c760fad32bd8p-11, -0x1.509dc40047699p-11, -0x1.452d9c4a00729p-11, -0x1.3a22396766ae3p-11, -0x1.2f7854e008b7dp-11, -0x1.252cc04ed1fcp-11, -0x1.1b3c64cda1adbp-11, -0x1.11a442639c775p-11, -0x1.08616f762f728p-11, -0x1.fee2307981249p-12, -0x1.eda0fc6e0b7d6p-12, -0x1.dcf9ef4bf666ap-12, -0x1.cce7de0ee20b2p-12, -0x1.bd65c5285ab0dp-12, -0x1.ae6ec7812be94p-12, -0x1.9ffe2d7fbcb08p-12, -0x1.920f6413659d2p-12, -0x1.849dfbc4ab10ap-12, -0x1.77a5a7ca534ccp-12, -0x1.6b223d234990fp-12, -0x1.5f0fb1b536d4fp-12, -0x1.536a1b6fca45ep-12, -0x1.482daf749b742p-12, -0x1.3d56c14398af6p-12, -0x1.32e1c1ebf1cd9p-12, -0x1.28cb3f416f26dp-12, -0x1.1f0fe316241b4p-12, -0x1.15ac72786dd45p-12, -0x1.0c9dccf52fd6ap-12, -0x1.03e0ebde39aecp-12, -0x1.f6e5c32995cffp-13, -0x1.e6a1b1b043e2p-13, -0x1.d6f028300a88p-13, -0x1.c7cbd99679d3dp-13, -0x1.b92fa593c38ccp-13, -0x1.ab169756f9a44p-13, -0x1.9d7be451c3175p-13, -0x1.905aeb03624fbp-13, -0x1.83af31cafe9adp-13, -0x1.777465c0fe463p-13, -0x1.6ba659975bc2cp-13, -0x1.60410480dbb13p-13, -0x1.5540811ef4ff2p-13, -0x1.4aa10c765ae0cp-13, -0x1.405f04ea0a058p-13, -0x1.3676e93cadccp-13, -0x1.2ce557984d3fbp-13, -0x1.23a70c9c1af0dp-13, -0x1.1ab8e2704bbb8p-13, -0x1.1217cfdfdb45bp-13, -0x1.09c0e77814c43p-13, -0x1.01b156add9b9ep-13, -0x1.f3ccca10ddafap-14, -0x1.e4bae6a394fc2p-14, -0x1.d627f59873417p-14, -0x1.c80f18da95b5cp-14, -0x1.ba6ba03bb3b6p-14, -0x1.ad3907fe57b11p-14, -0x1.a072f769e7484p-14, -0x1.94153f686b82fp-14, -0x1.881bd92dc3e03p-14, -0x1.7c82e4e824bf8p-14, -0x1.7146a879a8ed6p-14, -0x1.66638e3ac40f5p-14, -0x1.5bd623c566626p-14, -0x1.519b18c8a0caap-14, -0x1.47af3de49a8cdp-14, -0x1.3e0f838ea7df6p-14, -0x1.34b8f8fd555f4p-14, -0x1.2ba8cb1c39bf7p-14, -0x1.22dc4387602p-14, -0x1.1a50c78e20e5bp-14, -0x1.1203d73d3bab9p-14, -0x1.09f30c7008e16p-14, -0x1.021c19e897aa9p-14, -0x1.f4f994dd22895p-15, -0x1.e625ffe96a316p-15, -0x1.d7b96589939a4p-15, -0x1.c9afe163b261p-15, -0x1.bc05b8a122519p-15, -0x1.aeb7586b48b97p-15, -0x1.a1c1547408719p-15, -0x1.952065899f7abp-15, -0x1.88d16835a9b99p-15, -0x1.7cd15b66fc134p-15, -0x1.711d5f261881ep-15, -0x1.65b2b353f4273p-15, -0x1.5a8eb672cbfd2p-15, -0x1.4faee478c85f4p-15, -0x1.4510d5ac30041p-15, -0x1.3ab23d88e64d6p-15, -0x1.3090e9aefee58p-15, -0x1.26aac0da23a53p-15, -0x1.1cfdc1e194ea5p-15, -0x1.138802c08890bp-15, -0x1.0a47afa6af581p-15, -0x1.013b0a10a93bfp-15, -0x1.f0c0cfd064aap-16, -0x1.df6c6557a24bbp-16, -0x1.ce75cd3ba597bp-16, -0x1.bdda23f4c6badp-16, -0x1.ad96a8691dde5p-16, -0x1.9da8ba73f0e78p-16, -0x1.8e0dd97a35bb5p-16, -0x1.7ec3a30bc08a6p-16, -0x1.6fc7d190cd712p-16, -0x1.61183b0381fb9p-16, -0x1.52b2cfb5151f7p-16, -0x1.4495991e4171ep-16, -0x1.36beb8bab817cp-16, -0x1.292c66ef377d3p-16, -0x1.1bdcf1f9fae35p-16, -0x1.0ecebced388c4p-16, -0x1.02003eb3597e2p-16, -0x1.eae00239487e4p-17, -0x1.d2393fec2f0edp-17, -0x1.ba09905246f7ep-17, -0x1.a24e6dc80b46bp-17, -0x1.8b057194f666dp-17, -0x1.742c525d1bd07p-17, -0x1.5dc0e2a27ada1p-17, -0x1.47c10f5579fc2p-17, -0x1.322ade741d494p-17, -0x1.1cfc6db784d0ep-17, -0x1.0833f14f31cb1p-17, -0x1.e79f655357e34p-18, -0x1.bf9c1e942572fp-18, -0x1.985aef5462266p-18, -0x1.71d8dc5154fc9p-18, -0x1.4c130c05b7aaep-18, -0x1.2706c4b416785p-18, -0x1.02b16a870e1afp-18, -0x1.be20fb8d5b6p-19, -0x1.7843324481c1p-19, -0x1.33c4e01ba39a8p-19, -0x1.e14334cae1a8ap-20, -0x1.5daa43ca21508p-20, -0x1.b96d7fddf335bp-21, -0x1.79831ef8b386dp-22, 0x1.d5f3f9f7ce525p-24, 0x1.2d215e88a1db6p-21, 0x1.0d3aa337640aap-20, 0x1.8163fedb1e6eap-20, 0x1.f3137122bfc07p-20, 0x1.3127bc487cce8p-19, 0x1.678f3380dafdep-19, 0x1.9cc332a073627p-19, 0x1.d0c6bb3839385p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8918b4ab8813p-6, 0x1.ff6bb2a7536a2p-6, 0x1.1ce3ab92b1f27p-5, 0x1.3bcfff9a850c1p-5, 0x1.5c76d3ba0dfbbp-5, 0x1.7ed278252db46p-5, 0x1.a2dba7c8ae3c5p-5, 0x1.c889a28b489dep-5, 0x1.efd2487972e71p-5, 0x1.0c551ab704e08p-4, 0x1.21826e6dee1efp-4, 0x1.376a52b5f3d3p-4, 0x1.4e058218d2a28p-4, 0x1.654c4ba13badfp-4, 0x1.7d369fc39d274p-4, 0x1.95bc1cd3bbf0ap-4, 0x1.aed41afa75c9p-4, 0x1.c875b7a214274p-4, 0x1.e297e0523e412p-4, 0x1.fd315cf6c8dbdp-4, 0x1.0c1c6cc74ca76p-3, 0x1.19d277a0c18ffp-3, 0x1.27b6166eae756p-3, 0x1.35c28f5dfb272p-3, 0x1.43f32b0a2ed17p-3, 0x1.524337dd9cc4p-3, 0x1.60ae0d2b1e982p-3, 0x1.6f2f0e03ea225p-3, 0x1.7dc1abcc36918p-3, 0x1.8c6168918f32ap-3, 0x1.9b09d925f8b22p-3, 0x1.a9b6a70304e62p-3, 0x1.b86391f8145d1p-3, 0x1.c70c71a705cc3p-3, 0x1.d5ad36d289ce8p-3, 0x1.e441ec81418cdp-3, 0x1.f2c6b8f8cfcbp-3, 0x1.009bef49e6a63p-2, 0x1.07c8de3ac0d5dp-2, 0x1.0ee8678f1967dp-2, 0x1.15f8d8714378fp-2, 0x1.1cf88d2446055p-2, 0x1.23e5f1264ae98p-2, 0x1.2abf7f4817efap-2, 0x1.3183c1ba82eb9p-2, 0x1.38315212d41c9p-2, 0x1.3ec6d946eec62p-2, 0x1.45430fa1fa7a1p-2, 0x1.4ba4bcb24f07cp-2, 0x1.51eab73137487p-2, 0x1.5813e4e52ca01p-2, 0x1.5e1f3a7f06593p-2, 0x1.640bbb7298e2p-2, 0x1.69d879cb342f4p-2, 0x1.6f8495fc5d30cp-2, 0x1.750f3eaf238a5p-2, 0x1.7a77b08c574adp-2, 0x1.7fbd3603f3f5p-2, 0x1.84df2711f6816p-2, 0x1.89dce900e284cp-2, 0x1.8eb5ee2a289edp-2, 0x1.9369b5b49e919p-2, 0x1.97f7cb513ffb5p-2, 0x1.9c5fc6f656edp-2, 0x1.a0a14c993f61fp-2, 0x1.a4bc0be6e6236p-2, 0x1.a8afbffb28ec3p-2, 0x1.ac7c2f1739a8cp-2, 0x1.b0212a572c691p-2, 0x1.b39e8d66c2ed9p-2, 0x1.b6f43e35a5c05p-2, 0x1.ba222cab1aadfp-2, 0x1.bd28525961169p-2, 0x1.c006b230c7dfbp-2, 0x1.c2bd5832a26a2p-2, 0x1.c54c592430562p-2, 0x1.c7b3d241951dp-2, 0x1.c9f3e8f0fdd83p-2, 0x1.cc0cca7605edp-2, 0x1.cdfeaba57dcc3p-2, 0x1.cfc9c8999fa47p-2, 0x1.d16e6466d456fp-2, 0x1.d2ecc8d115deap-2, 0x1.d4454602098e9p-2, 0x1.d578323fe3be2p-2, 0x1.d685e9a5267b4p-2, 0x1.d76ecdd953025p-2, 0x1.d83345ca97381p-2, 0x1.d8d3bd688c41dp-2, 0x1.d950a56014bf8p-2, 0x1.d9aa72d864551p-2, 0x1.d9e19f3140c79p-2, 0x1.d9f6a7c2881f6p-2, 0x1.d9ea0d9d00333p-2, 0x1.d9bc554c84ba5p-2, 0x1.d96e069b8b89p-2, 0x1.d8ffac5815d76p-2, 0x1.d871d41a0a9bcp-2, 0x1.d7c50e0b0103fp-2, 0x1.d6f9ecaf82855p-2, 0x1.d61104b1c1009p-2, 0x1.d50aecadcb165p-2, 0x1.d3e83cff39d56p-2, 0x1.d2a98f9057535p-2, 0x1.d14f7faac7dacp-2, 0x1.cfdaa9c9a56b8p-2, 0x1.ce4bab6d1a4bbp-2, 0x1.cca322ef6deap-2, 0x1.cae1af5b8725p-2, 0x1.c907f044ddcebp-2, 0x1.c71685a0d858fp-2, 0x1.c50e0fa190634p-2, 0x1.c2ef2e91faa4ep-2, 0x1.c0ba82b36b2b1p-2, 0x1.be70ac1c7264dp-2, 0x1.bc124a990bf48p-2, 0x1.b99ffd8c175bbp-2, 0x1.b71a63d218bf3p-2, 0x1.b4821ba535727p-2, 0x1.b1d7c2826c4b2p-2, 0x1.af1bf50ffb383p-2, 0x1.ac4f4f04f21d9p-2, 0x1.a9726b11e6328p-2, 0x1.a685e2cac5023p-2, 0x1.a38a4e91b8fb2p-2, 0x1.a08045831d5a5p-2, 0x1.9d685d627a696p-2, 0x1.9a432a887e9fep-2, 0x1.97113fd1f2041p-2, 0x1.93d32e8f9affcp-2, 0x1.908986770ef18p-2, 0x1.8d34d594661ebp-2, 0x1.89d5a83ccb8c8p-2, 0x1.866c8901e5abfp-2, 0x1.82fa00a60dbb2p-2, 0x1.7f7e961153383p-2, 0x1.7bface473e34ap-2, 0x1.786f2c5d54eddp-2, 0x1.74dc317253859p-2, 0x1.71425ca618ecbp-2, 0x1.6da22b123d217p-2, 0x1.69fc17c34e8dep-2, 0x1.66509bb2af7cep-2, 0x1.62a02dc11102bp-2, 0x1.5eeb42b17fe8fp-2, 0x1.5b324d2504f0dp-2, 0x1.5775bd96d393cp-2, 0x1.53b60258f9a1cp-2, 0x1.4ff387919968ap-2, 0x1.4c2eb73899ba7p-2, 0x1.4867f915d7405p-2, 0x1.449fb2bfc3511p-2, 0x1.40d6479a7c2a1p-2, 0x1.3d0c18d74ac0ap-2, 0x1.394185748d353p-2, 0x1.3576ea3e08305p-2, 0x1.31aca1cd949bfp-2, 0x1.2de3048c2f6fcp-2, 0x1.2a1a68b362c5dp-2, 0x1.2653224f03d08p-2, 0x1.228d833f46944p-2, 0x1.1ec9db3b221c6p-2, 0x1.1b0877d2fcd16p-2, 0x1.1749a473aa9c9p-2, 0x1.138daa69a9f04p-2, 0x1.0fd4d0e4ab239p-2, 0x1.0c1f5cfb532e1p-2, 0x1.086d91af40ccp-2, 0x1.04bfaff14d03p-2, 0x1.0115f6a6006cap-2, 0x1.fae1455486007p-3, 0x1.f39fddb07a3cbp-3, 0x1.ec682818d8229p-3, 0x1.e53a9255c511ap-3, 0x1.de1786496cc51p-3, 0x1.d6ff69fb369ccp-3, 0x1.cff29fa33ea11p-3, 0x1.c8f185b62a01dp-3, 0x1.c1fc76f1321ep-3, 0x1.bb13ca667c124p-3, 0x1.b437d389af9c4p-3, 0x1.ad68e23cc102cp-3, 0x1.a6a742dcf971p-3, 0x1.9ff33e502df17p-3, 0x1.994d1a1227a95p-3, 0x1.92b5184233aaap-3, 0x1.8c2b77b0dec05p-3, 0x1.85b073edd70d3p-3, 0x1.7f444555e72dcp-3, 0x1.78e7212113a7p-3, 0x1.72993970d63e5p-3, 0x1.6c5abd5e6844dp-3, 0x1.662bd90929e9fp-3, 0x1.600cb5a50ed4fp-3, 0x1.59fd798926e43p-3, 0x1.53fe483e252a3p-3, 0x1.4e0f428cfb25cp-3, 0x1.4830868d6b2ep-3, 0x1.42622fb4ae391p-3, 0x1.3ca456e40f13cp-3, 0x1.36f7127782155p-3, 0x1.315a765444bd2p-3, 0x1.2bce93f76591p-3, 0x1.26537a8453e5fp-3, 0x1.20e936d352a1fp-3, 0x1.1b8fd37fee827p-3, 0x1.164758f7591e8p-3, 0x1.110fcd86b5d59p-3, 0x1.0be9356951a2ap-3, 0x1.06d392d6cbfa9p-3, 0x1.01cee6111d5dp-3, 0x1.f9b65ae51de1ep-4, 0x1.eff0caf724edcp-4, 0x1.e64d11c0fa67ep-4, 0x1.dccb212e4f315p-4, 0x1.d36ae7c8dc3c5p-4, 0x1.ca2c50d31a64p-4, 0x1.c10f4462bcb14p-4, 0x1.b813a77ae7c5fp-4, 0x1.af395c261314ap-4, 0x1.a680418fae47fp-4, 0x1.9de8341d6b2fp-4, 0x1.95710d88403ep-4, 0x1.8d1aa4f5188bbp-4, 0x1.84e4cf0d2d6f7p-4, 0x1.7ccf5e160c614p-4, 0x1.74da2209461f9p-4, 0x1.6d04e8abc5b1cp-4, 0x1.654f7da4cc4a1p-4, 0x1.5db9aa9494234p-4, 0x1.5643372a95403p-4, 0x1.4eebe93b6e839p-4, 0x1.47b384d66eb9cp-4, 0x1.4099cc5ac11a2p-4, 0x1.399e808c36e9ep-4, 0x1.32c160a7b2797p-4, 0x1.2c022a7731066p-4, 0x1.25609a6571917p-4, 0x1.1edc6b913b208p-4, 0x1.187557e03fc7cp-4, 0x1.122b18119cd4cp-4, 0x1.0bfd63cff9b09p-4, 0x1.05ebf1c341f49p-4, 0x1.ffecef43fbb7ap-5, 0x1.f43954848ef89p-5, 0x1.e8bc7b54bbac9p-5, 0x1.dd75ca41a9b05p-5, 0x1.d264a678c6169p-5, 0x1.c78873e69e0cp-5, 0x1.bce09554f2f12p-5, 0x1.b26c6c880e585p-5, 0x1.a82b5a5b57512p-5, 0x1.9e1cbedd235f3p-5, 0x1.943ff969cdab9p-5, 0x1.8a9468c60f286p-5, 0x1.81196b389b2cbp-5, 0x1.77ce5ea30249dp-5, 0x1.6eb2a099dd776p-5, 0x1.65c58e7c424ap-5, 0x1.5d06858a82aadp-5, 0x1.5474e2fc391e4p-5, 0x1.4c100415a51f3p-5, 0x1.43d7463c589bfp-5, 0x1.3bca070b38581p-5, 0x1.33e7a465d1a8ep-5, 0x1.2c2f7c8b096c8p-5, 0x1.24a0ee27221dbp-5, 0x1.1d3b5865222b8p-5, 0x1.15fe1aff95a6ap-5, 0x1.0ee89650b1f56p-5, 0x1.07fa2b61df10ep-5, 0x1.01323bfaa4315p-5, 0x1.f520555dfb113p-6, 0x1.e826b5da3f3e9p-6, 0x1.db766215499dcp-6, 0x1.cf0e24a25bfebp-6, 0x1.c2ecca14e9169p-6, 0x1.b7112117a47p-6, 0x1.ab79fa8284d7dp-6, 0x1.a026296fb72a5p-6, 0x1.9514834f93ccep-6, 0x1.8a43dffb8dadcp-6, 0x1.7fb319c82c619p-6, 0x1.75610d960c72p-6, 0x1.6b4c9ae1f4a42p-6, 0x1.6174a3d3fd666p-6, 0x1.57d80d4dd7101p-6, 0x1.4e75bef82ef32p-6, 0x1.454ca34f3778ap-6, 0x1.3c5ba7ae615aap-6, 0x1.33a1bc5b405b1p-6, 0x1.2b1dd48fa604cp-6, 0x1.22cee682f9812p-6, 0x1.1ab3eb72d0063p-6, 0x1.12cbdfaac4757p-6, 0x1.0b15c28b9fc2cp-6, 0x1.03909691cdeacp-6, 0x1.f876c2b64a325p-7, 0x1.ea2a575815ed7p-7, 0x1.dc3a02e7e38ffp-7, 0x1.cea3e3a279b2dp-7, 0x1.c1661e291437p-7, 0x1.b47edd86d592ap-7, 0x1.a7ec533511fap-7, 0x1.9bacb71e8f218p-7, 0x1.8fbe47a1a91e5p-7, 0x1.841f49918c3e5p-7, 0x1.78ce08365b07ep-7, 0x1.6dc8d54c730bdp-7, 0x1.630e0902c3de3p-7, 0x1.589c01f847b1cp-7, 0x1.4e7125389d965p-7, 0x1.448bde37de423p-7, 0x1.3aea9ecd9b5cp-7, 0x1.318bdf2f2a58p-7, 0x1.286e1de9307dcp-7, 0x1.1f8fdfd87f268p-7, 0x1.16efb02246641p-7, 0x1.0e8c202ba5635p-7, 0x1.0663c7909f925p-7, 0x1.fcea8834f9787p-8, 0x1.ed7e736b3918bp-8, 0x1.de80a4cd84cb2p-8, 0x1.cfee7c7fc326cp-8, 0x1.c1c566a8de146p-8, 0x1.b402db5a7e5f6p-8, 0x1.a6a45e77ed69fp-8, 0x1.99a77f9c2726ap-8, 0x1.8d09d9ff25a21p-8, 0x1.80c9145a78aebp-8, 0x1.74e2e0cd2bad2p-8, 0x1.6954fcbf0a0aep-8, 0x1.5e1d30c34dbadp-8, 0x1.5339507ababf2p-8, 0x1.48a73a753aa17p-8, 0x1.3e64d812fb817p-8, 0x1.34701d651dfbfp-8, 0x1.2ac7090dfb358p-8, 0x1.2167a4210a582p-8, 0x1.1850020272313p-8, 0x1.0f7e4046489d4p-8, 0x1.06f0868f8e66fp-8, 0x1.fd4a0cddd5f0bp-9, 0x1.ed33f68264929p-9, 0x1.dd9b541b7437ep-9, 0x1.ce7cc2c90cd21p-9, 0x1.bfd4f278aada2p-9, 0x1.b1a0a5a11e909p-9, 0x1.a3dcb0fe4103ap-9, 0x1.9685fb4c8f311p-9, 0x1.89997d04b2036p-9, 0x1.7d144016fddddp-9, 0x1.70f35fa6fd6a6p-9, 0x1.653407c704d97p-9, 0x1.59d37533e4184p-9, 0x1.4ecef510bc7ep-9, 0x1.4423e4a301424p-9, 0x1.39cfb10eaf1ep-9, 0x1.2fcfd712c2fa9p-9, 0x1.2621e2c5f93e5p-9, 0x1.1cc36f53d9198p-9, 0x1.13b226ba17a56p-9, 0x1.0aebc1865ab5ep-9, 0x1.026e06945bf02p-9, 0x1.f46d9598fb2fp-10, 0x1.e487e1c592612p-10, 0x1.d526d22cd87b9p-10, 0x1.c64661e35c0a3p-10, 0x1.b7e2a614d1005p-10, 0x1.a9f7cd8614316p-10, 0x1.9c82201843c26p-10, 0x1.8f7dfe4cf7d61p-10, 0x1.82e7e0cbaa172p-10, 0x1.76bc57e848bfep-10, 0x1.6af80b2b06028p-10, 0x1.5f97b8d966128p-10, 0x1.5498358095f17p-10, 0x1.49f66b81067e2p-10, 0x1.3faf5a9b636abp-10, 0x1.35c0177edad7fp-10, 0x1.2c25cb58c0d7cp-10, 0x1.22ddb36593574p-10, 0x1.19e5208360b22p-10, 0x1.113976c598cfcp-10, 0x1.08d82d0a4209p-10, 0x1.00becc909d8d1p-10, 0x1.f1d5e1227d0f3p-11, 0x1.e2b48baf19aaep-11, 0x1.d41514b97b0a2p-11, 0x1.c5f319c87e3a2p-11, 0x1.b84a593336eaep-11, 0x1.ab16b15f9f2dep-11, 0x1.9e542004350e4p-11, 0x1.91fec16c86027p-11, 0x1.8612cfc0a91dfp-11, 0x1.7a8ca24fa78f5p-11, 0x1.6f68acdccfd15p-11, 0x1.64a37eeff761cp-11, 0x1.5a39c328a3ca8p-11, 0x1.50283e941c8f2p-11, 0x1.466bd006617fbp-11, 0x1.3d016f760281ap-11, 0x1.33e62d5ad7762p-11, 0x1.2b17320f90cefp-11, 0x1.2291bd36205eep-11, 0x1.1a53251ef4c45p-11, 0x1.1258d63300e62p-11, 0x1.0aa052608ed6dp-11, 0x1.0327308ad3fa4p-11, 0x1.f7d637f888d1bp-12, 0x1.e9d3a7b73f689p-12, 0x1.dc4255475c8bdp-12, 0x1.cf1e0b3b586p-12, 0x1.c262b8bcb5d37p-12, 0x1.b60c708b61e8bp-12, 0x1.aa17680246b78p-12, 0x1.9e7ff6210107dp-12, 0x1.9342929aae9e2p-12, 0x1.885bd4e9bf9bp-12, 0x1.7dc87368c4ap-12, 0x1.7385427025e92p-12, 0x1.698f3378b396dp-12, 0x1.5fe3544305b4fp-12, 0x1.567ece0393ab2p-12, 0x1.4d5ee4937d3d4p-12, 0x1.4480f5a5ecc8fp-12, 0x1.3be278020865cp-12, 0x1.3380fac15efc8p-12, 0x1.2b5a2492c52d9p-12, 0x1.236bb30189411p-12, 0x1.1bb379c0fa12ep-12, 0x1.142f61fc250efp-12, 0x1.0cdd69a9c3954p-12, 0x1.05bba2e4405b2p-12, 0x1.fd90668b96a73p-13, 0x1.f002a690ca508p-13, 0x1.e2ca9b53ac30dp-13, 0x1.d5e4fda6ff2b8p-13, 0x1.c94ea88bea80cp-13, 0x1.bd0498109e98bp-13, 0x1.b103e83650b54p-13, 0x1.a549d3de6081dp-13, 0x1.99d3b3be90fbdp-13, 0x1.8e9efd5c34476p-13, 0x1.83a9420e249b4p-13, 0x1.78f02e0572d94p-13, 0x1.6e71875c9dc9bp-13, 0x1.642b2d2d4476cp-13, 0x1.5a1b16ac269f7p-13, 0x1.503f524b54a17p-13, 0x1.469604e27cd69p-13, 0x1.3d1d68dd2a431p-13, 0x1.33d3cd6ed7c21p-13, 0x1.2ab795ccc779cp-13, 0x1.21c7386d6972fp-13, 0x1.19013e4d4e9f9p-13, 0x1.1064423972461p-13, 0x1.07eef01ed4698p-13, 0x1.ff4008be5c794p-14, 0x1.eeec9655830ecp-14, 0x1.dee13fbe21198p-14, 0x1.cf1bd8d4dc77cp-14, 0x1.bf9a51688e497p-14, 0x1.b05ab41413f24p-14, 0x1.a15b25212bac6p-14, 0x1.9299e1742842fp-14, 0x1.84153d8041efap-14, 0x1.75cba4445a364p-14, 0x1.67bb964ffb40fp-14, 0x1.59e3a8d06558bp-14, 0x1.4c4284a574116p-14, 0x1.3ed6e57e3246cp-14, 0x1.319f98fce7677p-14, 0x1.249b7de273308p-14, 0x1.17c98340ca71cp-14, 0x1.0b28a7b464396p-14, 0x1.fd6ff148decedp-15, 0x1.e4ed231344bb6p-15, 0x1.ccc73676f54a4p-15, 0x1.b4fc9687851cbp-15, 0x1.9d8bc67068303p-15, 0x1.867360341cd25p-15, 0x1.6fb21376f0131p-15, 0x1.5946a4550c71fp-15, 0x1.432fea4383264p-15, 0x1.2d6ccefc05cafp-15, 0x1.17fc4d730916bp-15, 0x1.02dd70d802cebp-15, 0x1.dc1ea73efdb7p-16, 0x1.b3223d2d89c4cp-16, 0x1.8ac410018f89dp-16, 0x1.6302a5784166p-16, 0x1.3bdc9ae396754p-16, 0x1.1550a398d94c6p-16, 0x1.debb0edf7338fp-17, 0x1.940442a2e4f92p-17, 0x1.4a7abbaf1083fp-17, 0x1.021c73f3498e2p-17, 0x1.75cf0728794edp-18, 0x1.d3687a05d058cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.27912f638266cp-2, -0x1.312f301267179p-2, -0x1.3a80330ee5e4ep-2, -0x1.438be812cfc73p-2, -0x1.4c59710ae17a8p-2, -0x1.54ef5893bfc63p-2, -0x1.5d538c996c40cp-2, -0x1.658b5c6b9142ep-2, -0x1.6d9b79ab59c7cp-2, -0x1.7587fb894fbe3p-2, -0x1.7d5463da687e8p-2, -0x1.8503a59b21115p-2, -0x1.8c982c85d1682p-2, -0x1.9413e56e86913p-2, -0x1.9b784722703cbp-2, -0x1.a2c65b938863dp-2, -0x1.a9fec9226c104p-2, -0x1.b121dbe09f489p-2, -0x1.b82f8eaca95cap-2, -0x1.bf27940fb661fp-2, -0x1.c6095ec9d39f4p-2, -0x1.ccd429fe712c7p-2, -0x1.d38700f6c6993p-2, -0x1.da20c6730387bp-2, -0x1.e0a03b85f0012p-2, -0x1.e70405f8f74f3p-2, -0x1.ed4ab638634bfp-2, -0x1.f372ccc922b96p-2, -0x1.f97abf4a97061p-2, -0x1.ff60fd07e105fp-2, -0x1.0291f98e6c034p-1, -0x1.05610819a91e9p-1, -0x1.081ce3eeea302p-1, -0x1.0ac4caca7322cp-1, -0x1.0d57ffae3ced5p-1, -0x1.0fd5cc0b69219p-1, -0x1.123d80c5279a9p-1, -0x1.148e770fb8de6p-1, -0x1.16c8112e21c98p-1, -0x1.18e9bb1110a69p-1, -0x1.1af2ead95f616p-1, -0x1.1ce321407b562p-1, -0x1.1eb9e9e8e8c3p-1, -0x1.2076db98f130cp-1, -0x1.2219986175b68p-1, -0x1.23a1cdb2be547p-1, -0x1.250f3460ffbcfp-1, -0x1.2661909a39cd5p-1, -0x1.2798b1cef29eep-1, -0x1.28b4728f35f23p-1, -0x1.29b4b85d2c44ap-1, -0x1.2a9973767f2eep-1, -0x1.2b629e95aea3fp-1, -0x1.2c103eac60ecfp-1, -0x1.2ca26297a3e4ap-1, -0x1.2d1922cf05afcp-1, -0x1.2d74a10f51e4bp-1, -0x1.2db50801b7113p-1, -0x1.2dda8ae0021fcp-1, -0x1.2de565169174ap-1, -0x1.2dd5d9e49319p-1, -0x1.2dac33fb12c63p-1, -0x1.2d68c51b51a41p-1, -0x1.2d0be5b4d6c83p-1, -0x1.2c95f4839b31ap-1, -0x1.2c07562eaba2ep-1, -0x1.2b6074e78fbc8p-1, -0x1.2aa1c00ac154fp-1, -0x1.29cbabc17086ap-1, -0x1.28deb0a4d15e3p-1, -0x1.27db4b632318ep-1, -0x1.26c1fc669cb63p-1, -0x1.2593477e68dcfp-1, -0x1.244fb389cc58p-1, -0x1.22f7ca259908dp-1, -0x1.218c175c0119cp-1, -0x1.200d2956dfc4cp-1, -0x1.1e7b901487bcap-1, -0x1.1cd7dd1f21558p-1, -0x1.1b22a346a44d4p-1, -0x1.195c765d70f03p-1, -0x1.1785eaf78de1dp-1, -0x1.159f962c8a18bp-1, -0x1.13aa0d5c03b5ap-1, -0x1.11a5e5f4cea93p-1, -0x1.0f93b53eb7301p-1, -0x1.0d741026da382p-1, -0x1.0b478b0e8a707p-1, -0x1.090eb99cb939ap-1, -0x1.06ca2e91da00ap-1, -0x1.047a7b9e329b2p-1, -0x1.0220313a8dde5p-1, -0x1.ff77bd06875e2p-2, -0x1.fa9c222b0c8bap-2, -0x1.f5aea9ddd430ap-2, -0x1.f0b0689e29ac6p-2, -0x1.eba26f3714e98p-2, -0x1.e685ca8b01f6p-2, -0x1.e15b836368074p-2, -0x1.dc249e443f1a5p-2, -0x1.d6e21b433226ep-2, -0x1.d194f5e262cbdp-2, -0x1.cc3e24eea6b53p-2, -0x1.c6de9a6118e97p-2, -0x1.c1774343e0a4p-2, -0x1.bc09079a0e144p-2, -0x1.b694ca4a6ff8cp-2, -0x1.b11b690d3c447p-2, -0x1.ab9dbc5c739d4p-2, -0x1.a61c9766e0eb7p-2, -0x1.a098c80590e81p-2, -0x1.9b1316b3ad708p-2, -0x1.958c468897acfp-2, -0x1.900515342a2bap-2, -0x1.8a7e3afd08fd2p-2, -0x1.84f86ac0db51ep-2, -0x1.7f7451f66247ap-2, -0x1.79f298b148d66p-2, -0x1.7473e1a79831fp-2, -0x1.6ef8ca38b78d4p-2, -0x1.6981ea75e4574p-2, -0x1.640fd52c0264cp-2, -0x1.5ea317eebacbap-2, -0x1.593c3b24c6affp-2, -0x1.53dbc215612d8p-2, -0x1.4e822af6ba196p-2, -0x1.492feefd699c9p-2, -0x1.43e5826cc1779p-2, -0x1.3ea354a7f718fp-2, -0x1.3969d0440de6p-2, -0x1.34395b1a724fep-2, -0x1.2f12565c39d7p-2, -0x1.29f51ea5f2de7p-2, -0x1.24e20c13fe991p-2, -0x1.1fd9725759cb4p-2, -0x1.1adba0cad7e6p-2, -0x1.15e8e288b303ep-2, -0x1.11017e8072fadp-2, -0x1.0c25b78d14a41p-2, -0x1.0755cc8b6eb6dp-2, -0x1.0291f870c540fp-2, -0x1.fbb4e4c30342cp-3, -0x1.f25edb900ff33p-3, -0x1.e92234d74295ap-3, -0x1.dfff490ed8586p-3, -0x1.d6f669c2a7528p-3, -0x1.ce07e1c200d13p-3, -0x1.c533f54d7b044p-3, -0x1.bc7ae24492345p-3, -0x1.b3dce0531c3b6p-3, -0x1.ab5a211e7a059p-3, -0x1.a2f2d0727e4c9p-3, -0x1.9aa7146e03678p-3, -0x1.92770daf1f773p-3, -0x1.8a62d77ef289cp-3, -0x1.826a87fd05087p-3, -0x1.7a8e304a2cc25p-3, -0x1.72cddcb2f50fdp-3, -0x1.6b2994d97bfb7p-3, -0x1.63a15bdec7f51p-3, -0x1.5c35308b8aap-3, -0x1.54e50d7847f06p-3, -0x1.4db0e934e7bf9p-3, -0x1.4698b66f9d9d4p-3, -0x1.3f9c641b3a36bp-3, -0x1.38bbdd94c5c84p-3, -0x1.31f70ac879973p-3, -0x1.2b4dd05607bd4p-3, -0x1.24c00fb434ca5p-3, -0x1.1e4da753bed6ap-3, -0x1.17f672c19205bp-3, -0x1.11ba4ac84450ep-3, -0x1.0b990590e40a3p-3, -0x1.059276c30318ap-3, -0x1.ff4cdf482f1fbp-4, -0x1.f3a97e6c374a5p-4, -0x1.e83a64aaf9afap-4, -0x1.dcff27ac9db85p-4, -0x1.d1f7594190e66p-4, -0x1.c722879a1d264p-4, -0x1.bc803d7c886a5p-4, -0x1.b2100279d0e8fp-4, -0x1.a7d15b210279dp-4, -0x1.9dc3c93128959p-4, -0x1.93e6cbc9dadd6p-4, -0x1.8a39df9a742adp-4, -0x1.80bc7f0fe345fp-4, -0x1.776e22812d87cp-4, -0x1.6e4e405a9b7eap-4, -0x1.655c4d4795631p-4, -0x1.5c97bc5b34fep-4, -0x1.53ffff37921a4p-4, -0x1.4b948633cabc6p-4, -0x1.4354c080cfc0ep-4, -0x1.3b401c4cf7ce1p-4, -0x1.335606e65e69cp-4, -0x1.2b95ecdc1559fp-4, -0x1.23ff3a1e2af43p-4, -0x1.1c915a1c8cec9p-4, -0x1.154bb7e4cbafcp-4, -0x1.0e2dbe3ec3623p-4, -0x1.0736d7c83106ep-4, -0x1.00666f0f37d9ap-4, -0x1.f377dd57ba63fp-5, -0x1.e66d82b0ffb7ap-5, -0x1.d9aca412a21b5p-5, -0x1.cd341805a6129p-5, -0x1.c102b5decb549p-5, -0x1.b51755e7c4f13p-5, -0x1.a970d186a107ap-5, -0x1.9e0e03636c5d5p-5, -0x1.92edc78c14a82p-5, -0x1.880efb969d97cp-5, -0x1.7d707ec1ade74p-5, -0x1.731132137f03p-5, -0x1.68eff8773ec04p-5, -0x1.5f0bb6d8e75d3p-5, -0x1.5563543f9b2ap-5, -0x1.4bf5b9e69083fp-5, -0x1.42c1d35492b6ep-5, -0x1.39c68e72273edp-5, -0x1.3102db9e5eceep-5, -0x1.2875adc25a8d5p-5, -0x1.201dfa6393f34p-5, -0x1.17fab9b4eb2e5p-5, -0x1.100ae6a68a166p-5, -0x1.084d7ef4a1b43p-5, -0x1.00c183350e4d6p-5, -0x1.f2cbedc7d09a3p-6, -0x1.e473c0de19dfep-6, -0x1.d67892814e4bcp-6, -0x1.c8d87b917f665p-6, -0x1.bb919b0bbcd49p-6, -0x1.aea216198a963p-6, -0x1.a208181e94e71p-6, -0x1.95c1d2c4bd36ap-6, -0x1.89cd7e06819cdp-6, -0x1.7e295837da3e8p-6, -0x1.72d3a60d92f66p-6, -0x1.67cab2a337132p-6, -0x1.5d0ccf7f95801p-6, -0x1.52985497f3dcdp-6, -0x1.486ba051f78d1p-6, -0x1.3e8517845659p-6, -0x1.34e32576565bp-6, -0x1.2b843bde31a35p-6, -0x1.2266d2de654eep-6, -0x1.19896901f483fp-6, -0x1.10ea8337b46f3p-6, -0x1.0888accca7988p-6, -0x1.006277656e2f1p-6, -0x1.f0ecf5edc50d4p-7, -0x1.e186ab7bc659ep-7, -0x1.d28f586cb157ep-7, -0x1.c4045222f7c84p-7, -0x1.b5e2fa56e2d05p-7, -0x1.a828bf006f7a3p-7, -0x1.9ad31a3ff595ap-7, -0x1.8ddf924596295p-7, -0x1.814bb937a2b5bp-7, -0x1.75152d17e996cp-7, -0x1.693997a811bbbp-7, -0x1.5db6ae4d0f902p-7, -0x1.528a31f1b47dcp-7, -0x1.47b1eee88610bp-7, -0x1.3d2bbcccc5612p-7, -0x1.32f57e62d3177p-7, -0x1.290d2177f12bap-7, -0x1.1f709ec16cc8fp-7, -0x1.161df9bb440adp-7, -0x1.0d1340864d7c4p-7, -0x1.044e8bc5f1ac5p-7, -0x1.f79bfcfafedbbp-8, -0x1.e71f8bda4c0a6p-8, -0x1.d72432dd4152bp-8, -0x1.c7a674a3386e7p-8, -0x1.b8a2e76fc4211p-8, -0x1.aa1634e29ef0bp-8, -0x1.9bfd19af4b0fp-8, -0x1.8e5465546cbc1p-8, -0x1.8118f9d2f5ef2p-8, -0x1.7447cb6531112p-8, -0x1.67dde035b7bafp-8, -0x1.5bd8501668537p-8, -0x1.503444376346ep-8, -0x1.44eef6de21dc2p-8, -0x1.3a05b31cb0383p-8, -0x1.2f75d48916ac4p-8, -0x1.253cc6f500f01p-8, -0x1.1b580625a9c1fp-8, -0x1.11c51d8c18284p-8, -0x1.0881a7fdb8bd3p-8, -0x1.ff169edab26d4p-9, -0x1.edbf99492519cp-9, -0x1.dcf9cdfb5102dp-9, -0x1.ccc0e83bcc3dbp-9, -0x1.bd10af60ffd9bp-9, -0x1.ade50644025fcp-9, -0x1.9f39eab89cafcp-9, -0x1.910b750678aacp-9, -0x1.8355d763980fcp-9, -0x1.76155d700a8a9p-9, -0x1.69466bb2fbb8cp-9, -0x1.5ce57f191e358p-9, -0x1.50ef2c7478befp-9, -0x1.45601ffda2f5cp-9, -0x1.3a351cd676c97p-9, -0x1.2f6afc8e3d528p-9, -0x1.24feaea75cbaap-9, -0x1.1aed381e9276fp-9, -0x1.1133b2f3b4314p-9, -0x1.07cf4db406051p-9, -0x1.fd7a960c509e9p-10, -0x1.ebf6026f33627p-10, -0x1.db0bb397b471p-10, -0x1.cab6a21a5897cp-10, -0x1.baf1eb3dec5a7p-10, -0x1.abb8d0239484p-10, -0x1.9d06b4f21a40fp-10, -0x1.8ed7200497ea9p-10, -0x1.8125b91c5cda9p-10, -0x1.73ee489630cf7p-10, -0x1.672cb6a2dcfc2p-10, -0x1.5add0a82ff446p-10, -0x1.4efb69c635278p-10, -0x1.4384178d82354p-10, -0x1.387373d1088fdp-10, -0x1.2dc5faa9071ap-10, -0x1.2378439a0d8d3p-10, -0x1.198700e47abb5p-10, -0x1.0feefed72f998p-10, -0x1.06ad232572915p-10, -0x1.fb7cd88011e6ep-11, -0x1.ea3fe162e5ec1p-11, -0x1.d99dbcfaa4af9p-11, -0x1.c990f505d0d1cp-11, -0x1.ba143fc55d06p-11, -0x1.ab227ecdf8a95p-11, -0x1.9cb6bddf70909p-11, -0x1.8ecc31c20f57dp-11, -0x1.815e3729f29c9p-11, -0x1.746851a042e6p-11, -0x1.67e62a723e048p-11, -0x1.5bd38fa602cb8p-11, -0x1.502c72f511163p-11, -0x1.44ece8cc6431bp-11, -0x1.3a1127522124dp-11, -0x1.2f958570bce9cp-11, -0x1.257679e78d89ep-11, -0x1.1bb09a60b48bp-11, -0x1.12409a8c4bf0bp-11, -0x1.09234b40c6ba9p-11, -0x1.005599a06fb4dp-11, -0x1.efa91c87ea16dp-12, -0x1.df3a98d3da83p-12, -0x1.cf5a22567e84ep-12, -0x1.c0026568c253fp-12, -0x1.b12e3f06a2c7ep-12, -0x1.a2d8bb547d4fep-12, -0x1.94fd142d8c89cp-12, -0x1.8796afbb6fb39p-12, -0x1.7aa11f1693fa8p-12, -0x1.6e181cef59d41p-12, -0x1.61f78c3fcebe6p-12, -0x1.563b7705d67abp-12, -0x1.4ae00d059a532p-12, -0x1.3fe1a2941c308p-12, -0x1.353caf69c412ep-12, -0x1.2aedcd7cc3708p-12, -0x1.20f1b7e32667ep-12, -0x1.174549bc7496dp-12, -0x1.0de57d22b166fp-12, -0x1.04cf6a22a0576p-12, -0x1.f8008b764973fp-13, -0x1.e6eac1c72e216p-13, -0x1.d6584f31e1086p-13, -0x1.c6443fe347d6fp-13, -0x1.b6a9d2700aa2bp-13, -0x1.a7847616335f8p-13, -0x1.98cfc90b5eb5dp-13, -0x1.8a8796d7328e8p-13, -0x1.7ca7d6b9e0afdp-13, -0x1.6f2caa1e66273p-13, -0x1.62125b1853427p-13, -0x1.55555aecccd54p-13, -0x1.48f240a696268p-13, -0x1.3ce5c7b4d275ap-13, -0x1.312cce9450282p-13, -0x1.25c4558312dc6p-13, -0x1.1aa97d3de9f0ep-13, -0x1.0fd985c7ce263p-13, -0x1.0551cd3ad4cf4p-13, -0x1.f61f9d44e4a23p-14, -0x1.e22241bdc334p-14, -0x1.cea6eb22d1067p-14, -0x1.bba93022a2f55p-14, -0x1.a924d8d2aa33p-14, -0x1.9715dcba8c57dp-14, -0x1.857860ef9d3d7p-14, -0x1.7448b63ff97e7p-14, -0x1.6383576cf847p-14, -0x1.5324e7747d921p-14, -0x1.432a2fe8d236ep-14, -0x1.33901f569edf3p-14, -0x1.2453c7b8ac697p-14, -0x1.15725cf90a977p-14, -0x1.06e9337f43de9p-14, -0x1.f16b7d96888edp-15, -0x1.d5ab20393574bp-15, -0x1.ba8caa4b7e50bp-15, -0x1.a00bad961225dp-15, -0x1.8623efda0ac52p-15, -0x1.6cd1687babf51p-15, -0x1.54103e42a484p-15, -0x1.3bdcc52f2905fp-15, -0x1.24337c635a484p-15, -0x1.0d110c2059addp-15, -0x1.ece487ad073e6p-16, -0x1.c0a830906dddbp-16, -0x1.9567437d4aaaep-16, -0x1.6b1c34a04555bp-16, -0x1.41c1b86ed6c9bp-16, -0x1.1952c076c659bp-16, -0x1.e394f09b1ebbbp-17, -0x1.9648853d8749p-17, -0x1.4ab76cb0d7d0bp-17, -0x1.00d937e8f5c8cp-17, -0x1.714bab79c6311p-18, -0x1.c85637a24e5b8p-19, -0x1.6907e21d0a062p-20, 0x1.63ef3d4d69acp-21, 0x1.60442f8b3c849p-19, 0x1.30b79cf816a29p-18, 0x1.ae4af6a0d50fbp-18, 0x1.1474130365a9ep-17, 0x1.504d5ada363c2p-17, 0x1.8ab6e0401199p-17, 0x1.c3b5fc21ed4aap-17, 0x1.fb4fd62320f0cp-17, 0x1.18c4b3d622052p-16, 0x1.3333bf6ac7192p-16, 0x1.4cf7609704cdep-16, 0x1.6611d73063efdp-16, 0x1.7e85515caa5dep-16, 0x1.9653ecc4465fcp-16, 0x1.ad7fb7b580641p-16, 0x1.c40ab238ffa96p-16, 0x1.d9f6cf182667ep-16, 0x1.ef45f4d5d70a3p-16, 0x1.01fcff4d0bf4ep-15, 0x1.0c0a5e888c599p-15, 0x1.15cbfb9f0bc6fp-15, 0x1.1f42b5a14d605p-15, 0x1.286f678d35756p-15, 0x1.3152e8a667665p-15, 0x1.39ee0cc9b3271p-15, 0x1.4241a4bb880e9p-15, 0x1.4a4e7e71a7aep-15, 0x1.521565583f3cp-15, 0x1.59972292a0811p-15, 0x1.60d47d37c580dp-15, 0x1.67ce3a8acb319p-15, 0x1.6e851e2f92747p-15, 0x1.74f9ea5baddacp-15, 0x1.7b2d6003c889ap-15, 0x1.81203f05acc99p-15, 0x1.86d3464f0fb8dp-15, 0x1.8c473401490b2p-15, 0x1.917cc5921b39dp-15, 0x1.9674b7e9ac912p-15, 0x1.9b2fc77dd522ep-15, 0x1.9faeb06ae1ae6p-15, 0x1.a3f22e89e9c1ep-15, 0x1.a7fafd84d9261p-15, 0x1.abc9d8e848adcp-15, 0x1.af5f7c3344adbp-15, 0x1.b2bca2e51716cp-15, 0x1.b5e2088938dcfp-15, 0x1.b8d068c17ae3p-15, 0x1.bb887f4e82836p-15, 0x1.be0b0816b4614p-15, 0x1.c058bf2b9f843p-15, 0x1.c27260cdff71cp-15, 0x1.c458a9706e7dap-15, 0x1.c60c55b8d5a3bp-15, 0x1.c78e2280b6084p-15, 0x1.c8deccd4557a8p-15, 0x1.c9ff11f0e78f4p-15, 0x1.caefaf41c103dp-15, 0x1.cbb1625ca76dbp-15, 0x1.cc44e8fd4ae7p-15, 0x1.ccab00fffc746p-15, 0x1.cce4685bae1cep-15, 0x1.ccf1dd1b4896bp-15, 0x1.ccd41d5667d52p-15, 0x1.cc8be7298b133p-15, 0x1.cc19f8adbfec3p-15, 0x1.cb7f0fefd9cc8p-15, 0x1.cabbeae7408b9p-15, 0x1.c9d1476c5a237p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dff23a114c425p-2, 0x1.e6027fd8802b6p-2, 0x1.ea897cd711eb3p-2, 0x1.ed98df4c66759p-2, 0x1.ef42d1f9f0e37p-2, 0x1.ef99fad58958ep-2, 0x1.eeb1370098b1dp-2, 0x1.ec9b59ed10906p-2, 0x1.e96b6e202b1bbp-2, 0x1.e5345c24bc282p-2, 0x1.e0088f71fa111p-2, 0x1.d9fa2febff9a5p-2, 0x1.d31b4b5242043p-2, 0x1.cb7d8dcd0696bp-2, 0x1.c331e47d98801p-2, 0x1.ba4871fd3783p-2, 0x1.b0d0cc3a0792fp-2, 0x1.a6da2b03ee8c3p-2, 0x1.9c73501074433p-2, 0x1.91aa4c4402138p-2, 0x1.868c626fffd02p-2, 0x1.7b26df819ce2dp-2, 0x1.6f83a2f40087ap-2, 0x1.63af1d41b7968p-2, 0x1.57b3e28a7cc16p-2, 0x1.4b9bb4c5eed4ep-2, 0x1.3f6faed73b068p-2, 0x1.3338655aaae2cp-2, 0x1.26fde7d3e636dp-2, 0x1.1ac7aff3a9a21p-2, 0x1.0e9c97257ae04p-2, 0x1.0282dccf936c8p-2, 0x1.ed006d4bc7ea2p-3, 0x1.d533bf29bb243p-3, 0x1.bda9400bed17dp-3, 0x1.a669a36f15ebfp-3, 0x1.8f7cc6fd4f332p-3, 0x1.78e9bdbf618dp-3, 0x1.62b6dd6cbee5cp-3, 0x1.4ce9cb24ac035p-3, 0x1.378786953aee2p-3, 0x1.229473e39e61p-3, 0x1.0e146474917c2p-3, 0x1.f4153c38273c7p-4, 0x1.ccf3c0d6e41a3p-4, 0x1.a6c8d18738f5dp-4, 0x1.8197ed5ac3f81p-4, 0x1.5d63a41abd977p-4, 0x1.3a2da8094ad7ep-4, 0x1.17f6e45546f4p-4, 0x1.ed7f2b85d3f73p-5, 0x1.ad0ec497cbf08p-5, 0x1.6e9ad98b1365p-5, 0x1.3220c53114ccep-5, 0x1.ef3a0be13560fp-6, 0x1.7e16825001e21p-6, 0x1.10cc8071ed4adp-6, 0x1.4e9fb5cd93279p-7, 0x1.064ab4dda8b9dp-8, -0x1.03d47a2aad0ep-9, -0x1.fba36b9c38084p-8, -0x1.b394f787205cdp-7, -0x1.3132c723fa0adp-6, -0x1.8530760fc66a1p-6, -0x1.d5e65609f51fap-6, -0x1.11b107f976df5p-5, -0x1.36dc3f77c2a37p-5, -0x1.5a7f70be2e135p-5, -0x1.7ca57415ebe0dp-5, -0x1.9d595b963cc9cp-5, -0x1.bca66c59d5a32p-5, -0x1.da9810f54d17ep-5, -0x1.f739c72b2776p-5, -0x1.094b85b481376p-4, -0x1.165da24eb5234p-4, -0x1.22d8d949084c4p-4, -0x1.2ec2b026df472p-4, -0x1.3a208d987315bp-4, -0x1.44f7b7523e07ap-4, -0x1.4f4d51b899c22p-4, -0x1.592660ac059a6p-4, -0x1.6287c8b60809bp-4, -0x1.6b764ffd6f497p-4, -0x1.73f69eb1fcc35p-4, -0x1.7c0d3eeed7b8ep-4, -0x1.83be9c4cba504p-4, -0x1.8b0f03712fca7p-4, -0x1.9202a1d830797p-4, -0x1.989d85eee7aa9p-4, -0x1.9ee39f6bf92a4p-4, -0x1.a4d8bfb307536p-4, -0x1.aa809a065eb0dp-4, -0x1.afdec3535366p-4, -0x1.b4f6b17dd9ffep-4, -0x1.b9cbba2f1230cp-4, -0x1.be6111486bf06p-4, -0x1.c2b9c7338305dp-4, -0x1.c6d8c752338abp-4, -0x1.cac0d6d0a79d4p-4, -0x1.ce74940df207ap-4, -0x1.d1f676b9bc50ep-4, -0x1.d548d0ab557bcp-4, -0x1.d86dcf5d777bap-4, -0x1.db677de679135p-4, -0x1.de37c73a5f4cdp-4, -0x1.e0e078837cb2dp-4, -0x1.e363436699966p-4, -0x1.e5c1c015ef5c5p-4, -0x1.e7fd6f25ba91bp-4, -0x1.ea17bb23da7dep-4, -0x1.ec11f9fd0fdf4p-4, -0x1.eded6e3ecee3p-4, -0x1.efab4842c6347p-4, -0x1.f14ca74cab21cp-4, -0x1.f2d29a9bf652dp-4, -0x1.f43e226daf1c6p-4, -0x1.f59030e66e2c9p-4, -0x1.f6c9aadc338cbp-4, -0x1.f7eb6879425a7p-4, -0x1.f8f635b530ef3p-4, -0x1.f9ead2a5ab362p-4, -0x1.fac9f3ad06a89p-4, -0x1.fb94418f9df4p-4, -0x1.fc4a597abc835p-4, -0x1.fceccd08119eep-4, -0x1.fd7c22475d67ep-4, -0x1.fdf8d3d6083d9p-4, -0x1.fe63510a3c8f7p-4, -0x1.febbfe3495797p-4, -0x1.ff0334f9cacf3p-4, -0x1.ff3944c404622p-4, -0x1.ff5e734a9ee37p-4, -0x1.ff72fd2e36778p-4, -0x1.ff7716a65c3d2p-4, -0x1.ff6aec3dd10f5p-4, -0x1.ff4ea399deb17p-4, -0x1.ff225c48df5d7p-4, -0x1.fee630941c4d5p-4, -0x1.fe9a3650b7bc1p-4, -0x1.fe3e7fabd03efp-4, -0x1.fdd31bee044cbp-4, -0x1.fd58183333befp-4, -0x1.fccd8013fef2cp-4, -0x1.fc335e3f1dfcbp-4, -0x1.fb89bd019eedap-4, -0x1.fad0a6bdc1447p-4, -0x1.fa082650b1672p-4, -0x1.f925e96eee3f2p-4, -0x1.f83d3584c7db9p-4, -0x1.f74578c85c57ep-4, -0x1.f63ec8857efccp-4, -0x1.f52939f3b819ep-4, -0x1.f404e255d35adp-4, -0x1.f2d1d71ca56cbp-4, -0x1.f1902e0bf2feep-4, -0x1.f03ffd6007b04p-4, -0x1.eee15bf2de274p-4, -0x1.ed74615f7b402p-4, -0x1.ebf92622a9356p-4, -0x1.ea6fc3b82381ap-4, -0x1.e8d854b3ac05dp-4, -0x1.e732f4d5c3141p-4, -0x1.e57fc11bcf5c5p-4, -0x1.e3bed7cbf50e8p-4, -0x1.e1f0587cd47ddp-4, -0x1.e01464199f1b4p-4, -0x1.de2b1ce328229p-4, -0x1.dc34a66e8300cp-4, -0x1.da3125a1ebad6p-4, -0x1.d820c0b07b27fp-4, -0x1.d6039f157970dp-4, -0x1.d3d9e98fa16efp-4, -0x1.d1a3ca1ce1bd9p-4, -0x1.cf616bf6e2822p-4, -0x1.cd12fb907e07bp-4, -0x1.cab8a6943870bp-4, -0x1.c8529be3b8413p-4, -0x1.c5e10b980cbd8p-4, -0x1.c3642702929c9p-4, -0x1.c0dc20ae229e5p-4, -0x1.be492c6045684p-4, -0x1.bbab7f1a16765p-4, -0x1.b9034f1870158p-4, -0x1.b650d3d31a0b3p-4, -0x1.b39445fabb938p-4, -0x1.b0cddf753a835p-4, -0x1.adfddb58797acp-4, -0x1.ab2475e32279bp-4, -0x1.a841ec7394b48p-4, -0x1.a5567d7ce5d44p-4, -0x1.a2626879e1857p-4, -0x1.9f65edde4bf24p-4, -0x1.9c614f066726fp-4, -0x1.9954ce24fbc5p-4, -0x1.9640ae3007251p-4, -0x1.932532cc6abcep-4, -0x1.9002a038bee9ep-4, -0x1.8cd93b37a035dp-4, -0x1.89a948f9b52e6p-4, -0x1.86730f07afd74p-4, -0x1.8336d32c8a65p-4, -0x1.7ff4db6039222p-4, -0x1.7cad6db302932p-4, -0x1.7960d039ade07p-4, -0x1.760f48faa5f53p-4, -0x1.72b91ddc312adp-4, -0x1.6f5e9493ccfc6p-4, -0x1.6bfff296bb205p-4, -0x1.689d7d0bc143dp-4, -0x1.653778be1a001p-4, -0x1.61ce2a118d015p-4, -0x1.5e61d4f79f3fcp-4, -0x1.5af2bce5cb741p-4, -0x1.578124ccac70fp-4, -0x1.540d4f10038ffp-4, -0x1.50977d7f8129fp-4, -0x1.4d1ff15039fdp-4, -0x1.49a6eb16afff5p-4, -0x1.462caac156839p-4, -0x1.42b16f937f0a7p-4, -0x1.3f35782098c26p-4, -0x1.3bb90247b1a69p-4, -0x1.383c4b2f2993p-4, -0x1.34bf8f4089f17p-4, -0x1.31430a24768d1p-4, -0x1.2dc6f6beaef0fp-4, -0x1.2a4b8f2a18bdfp-4, -0x1.26d10cb4ce3abp-4, -0x1.2357a7dc2e781p-4, -0x1.1fdf9848ecef2p-4, -0x1.1c6914cb1ed4fp-4, -0x1.18f453564bc6cp-4, -0x1.158188fd7d94cp-4, -0x1.1210e9ef58511p-4, -0x1.0ea2a97239692p-4, -0x1.0b36f9e064d0fp-4, -0x1.07ce0ca4447aep-4, -0x1.04681234bbddp-4, -0x1.01053a119a13p-4, -0x1.fb4b65804f976p-5, -0x1.f493538fb9975p-5, -0x1.ede2975e78a19p-5, -0x1.e73987f1bca4p-5, -0x1.e0987a4151e5dp-5, -0x1.d9ffc1327d7c6p-5, -0x1.d36fad9341e55p-5, -0x1.cce88e161b412p-5, -0x1.c66aaf4e2c24fp-5, -0x1.bff65babe6f99p-5, -0x1.b98bdb7a31717p-5, -0x1.b32b74dc07b72p-5, -0x1.acd56bca99b26p-5, -0x1.a68a0213ee01p-5, -0x1.a0497759fc354p-5, -0x1.9a1409124b069p-5, -0x1.93e9f2860a003p-5, -0x1.8dcb6cd2a2d14p-5, -0x1.87b8aeeacc71p-5, -0x1.81b1ed980d17cp-5, -0x1.7bb75b7cb5f4cp-5, -0x1.75c929164e6cfp-5, -0x1.6fe784c0720dp-5, -0x1.6a129ab815ecfp-5, -0x1.644a951f3a175p-5, -0x1.5e8f9c00fe832p-5, -0x1.58e1d5561aebfp-5, -0x1.53416509b2d89p-5, -0x1.4dae6cfe85d12p-5, -0x1.48290d14756e4p-5, -0x1.42b1632e5cafp-5, -0x1.3d478b38372d3p-5, -0x1.37eb9f2d90ccap-5, -0x1.329db7203ef35p-5, -0x1.2d5de93f58623p-5, -0x1.282c49de6cbd7p-5, -0x1.2308eb7cf5c86p-5, -0x1.1df3decdfe1bdp-5, -0x1.18ed32bff9d39p-5, -0x1.13f4f484c973dp-5, -0x1.0f0b2f99ebf47p-5, -0x1.0a2fedd0d01cbp-5, -0x1.0563375749c27p-5, -0x1.00a512c0243cdp-5, -0x1.f7eb0a1798d5p-6, -0x1.eea923622980fp-6, -0x1.e584754c0666ep-6, -0x1.dc7d00d16cb37p-6, -0x1.d392c4109e405p-6, -0x1.cac5ba5bcd9edp-6, -0x1.c215dc4b08ba8p-6, -0x1.b9831fce32f6ep-6, -0x1.b10d783ef13a1p-6, -0x1.a8b4d672948f6p-6, -0x1.a07928cbf3e67p-6, -0x1.985a5b4d37bfp-6, -0x1.905857a98c808p-6, -0x1.88730556b5da1p-6, -0x1.80aa499e8dbb7p-6, -0x1.78fe07b054dbcp-6, -0x1.716e20b1e5b27p-6, -0x1.69fa73d0ba67p-6, -0x1.62a2de52c71fbp-6, -0x1.5b673ba727fb6p-6, -0x1.5447657698dbdp-6, -0x1.4d4333b3bf738p-6, -0x1.465a7cab3dbadp-6, -0x1.3f8d15138b66dp-6, -0x1.38dad01c9a987p-6, -0x1.32437f7f3f536p-6, -0x1.2bc6f38c5c8dp-6, -0x1.2564fb3bd61f6p-6, -0x1.1f1d643b44cf4p-6, -0x1.18effafc6bb18p-6, -0x1.12dc8ac36d874p-6, -0x1.0ce2ddb4c7b29p-6, -0x1.06ba68f42a661p-6, -0x1.00f4e3e1bbda5p-6, -0x1.f6912d3fef608p-7, -0x1.eb6a8d12dfac8p-7, -0x1.e0757008b7de6p-7, -0x1.d5b15d1ffcc81p-7, -0x1.cb1dd9a3a95d6p-7, -0x1.c0ba69454782ep-7, -0x1.b6868e36a9298p-7, -0x1.ac81c9433673fp-7, -0x1.a2ab99e8ed0bep-7, -0x1.99037e70f752ap-7, -0x1.8f88f407e6ad9p-7, -0x1.863b76d582ddbp-7, -0x1.7d1a82143c73ep-7, -0x1.7425902835b73p-7, -0x1.6b5c1ab5e6371p-7, -0x1.62bd9ab850965p-7, -0x1.5a498896d3025p-7, -0x1.51ff5c3a8712p-7, -0x1.49de8d23310f3p-7, -0x1.41e6927bc3285p-7, -0x1.3a16e32e6b436p-7, -0x1.326ef5f82f853p-7, -0x1.2aee417c0dbabp-7, -0x1.23943c55ab706p-7, -0x1.1c605d2b80795p-7, -0x1.15521ac08fe3ep-7, -0x1.0e68ec059bcabp-7, -0x1.07a44829d85f6p-7, -0x1.0103a6ab24844p-7, -0x1.f50cfecb67a99p-8, -0x1.e85895467137ep-8, -0x1.dbe902531858p-8, -0x1.cfbd38918e79cp-8, -0x1.c3d42bd1ac46bp-8, -0x1.b82cd12d01274p-8, -0x1.acc61f1fd6d13p-8, -0x1.a19f0da10e694p-8, -0x1.96b696390b03dp-8, -0x1.8c0bb4175b8bap-8, -0x1.819d6427751f8p-8, -0x1.776aa5244bccep-8, -0x1.6d7277aad891fp-8, -0x1.63b3de4ba5fd3p-8, -0x1.5a2ddd9b3d69ap-8, -0x1.50df7c41a2b9ep-8, -0x1.47c7c308c38c6p-8, -0x1.3ee5bce9f5c61p-8, -0x1.3638771a79e9bp-8, -0x1.2dbf011717781p-8, -0x1.25786caecb779p-8, -0x1.1d63ce0c9adeap-8, -0x1.15803bc093933p-8, -0x1.0dcccec7f38e2p-8, -0x1.0648a2948704ep-8, -0x1.fde5aa26ae6f4p-9, -0x1.ef950d65298e3p-9, -0x1.e19db4cda3acfp-9, -0x1.d3fdeb5f515dcp-9, -0x1.c6b40137657e5p-9, -0x1.b9be4b9808149p-9, -0x1.ad1b24ede9f29p-9, -0x1.a0c8ecd52af77p-9, -0x1.94c6081d14d2ap-9, -0x1.8910e0caf7699p-9, -0x1.7da7e61c48174p-9, -0x1.72898c87daabcp-9, -0x1.67b44dbe733a9p-9, -0x1.5d26a8aaa3c34p-9, -0x1.52df21700cca6p-9, -0x1.48dc416a03229p-9, -0x1.3f1c9729b3ab7p-9, -0x1.359eb673ac3fdp-9, -0x1.2c61383d28f92p-9, -0x1.2362baa89ab8cp-9, -0x1.1aa1e10206daap-9, -0x1.121d53baf1cefp-9, -0x1.09d3c065dd0e2p-9, -0x1.01c3d9b1844fbp-9, -0x1.f3d8aec752122p-10, -0x1.e497eca7796d9p-10, -0x1.d5c2f0ca1e965p-10, -0x1.c75749018ce52p-10, -0x1.b9528d1f34965p-10, -0x1.abb25ee671354p-10, -0x1.9e7469fee090cp-10, -0x1.919663e618aeap-10, -0x1.85160be1124f9p-10, -0x1.78f12aecdbee1p-10, -0x1.6d2593aed443cp-10, -0x1.61b122648f3e3p-10, -0x1.5691bcd33618p-10, -0x1.4bc5523625ca1p-10, -0x1.4149db2d5892bp-10, -0x1.371d59ab6c67ep-10, -0x1.2d3dd8e2eb22bp-10, -0x1.23a96d3342bacp-10, -0x1.1a5e34155b8d1p-10, -0x1.115a54078b61dp-10, -0x1.089bfc792e5fdp-10, -0x1.002165b600d5dp-10, -0x1.efd1a1a170131p-11, -0x1.dfe10f1af365ap-11, -0x1.d06db89794e2ep-11, -0x1.c17453e0105bep-11, -0x1.b2f1a7999b3f7p-11, -0x1.a4e28b175bae5p-11, -0x1.9743e62b662f8p-11, -0x1.8a12b0f749e81p-11, -0x1.7d4bf3bb92e1bp-11, -0x1.70ecc6a718147p-11, -0x1.64f251a5942abp-11, -0x1.5959cc2da3926p-11, -0x1.4e207d0e8cf6dp-11, -0x1.4343ba3d45d21p-11, -0x1.38c0e8a151d6cp-11, -0x1.2e957be132e34p-11, -0x1.24bef62e4b513p-11, -0x1.1b3ae810f6fd7p-11, -0x1.1206f033e9a2cp-11, -0x1.0920bb2f92d68p-11, -0x1.00860355390f5p-11, -0x1.f06920f487049p-12, -0x1.e0546f858a8cap-12, -0x1.d0c9b6d9432cap-12, -0x1.c1c4d53526f53p-12, -0x1.b341c23d4b1cep-12, -0x1.a53c8e8a62a8dp-12, -0x1.97b1634045183p-12, -0x1.8a9c81a3a9f25p-12, -0x1.7dfa42b0c1023p-12, -0x1.71c716b20350dp-12, -0x1.65ff84d7847a1p-12, -0x1.5aa02ace54aaap-12, -0x1.4fa5bc591ec5bp-12, -0x1.450d02e8bb486p-12, -0x1.3ad2dd35b2509p-12, -0x1.30f43ed9d1e8dp-12, -0x1.276e2febbd2dfp-12, -0x1.1e3dcc99f3e66p-12, -0x1.156044c6fe619p-12, -0x1.0cd2dba7da40fp-12, -0x1.0492e7603dc2bp-12, -0x1.f93ba145a61fap-13, -0x1.e9e224a1a1eaap-13, -0x1.db14723659fcfp-13, -0x1.cccdc64802b28p-13, -0x1.bf097f44ceddep-13, -0x1.b1c31d0bf1ba7p-13, -0x1.a4f64038705a4p-13, -0x1.989ea96dca26fp-13, -0x1.8cb838a6bb1d4p-13, -0x1.813eec86f63e6p-13, -0x1.762ee1ae3479dp-13, -0x1.6b84520ebbb32p-13, -0x1.613b94451c878p-13, -0x1.57511af3ca5d8p-13, -0x1.4dc174200aa09p-13, -0x1.448948918052dp-13, -0x1.3ba55b344109ep-13, -0x1.3312887db096ap-13, -0x1.2acdc5d31520ep-13, -0x1.22d420f460858p-13, -0x1.1b22bf654ddd9p-13, -0x1.13b6ddddd0847p-13, -0x1.0c8dcfba0336dp-13, -0x1.05a4fe6c66f82p-13, -0x1.fdf3d1e79e6fdp-14, -0x1.f11446a4330fap-14, -0x1.e4a6ac0baad64p-14, -0x1.d8a67b0d00c17p-14, -0x1.cd0f5382c64f1p-14, -0x1.c1dcfb35f57c2p-14, -0x1.b70b5cde283b4p-14, -0x1.ac96872c430e6p-14, -0x1.a27aabd4c984fp-14, -0x1.98b41ea095e4bp-14, -0x1.8f3f547fe379dp-14, -0x1.8618e2a20a775p-14, -0x1.7d3d7d90002a5p-14, -0x1.74a9f84b70f57p-14, -0x1.6c5b4372b65f7p-14, -0x1.644e6c6643a6bp-14, -0x1.5c809c734a192p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.fd442b89ea39ap-2, 0x1.0667563386863p-1, 0x1.0dac6d6f7ca64p-1, 0x1.14739e5899514p-1, 0x1.1abf707cf1f1fp-1, 0x1.2092ac4795c05p-1, 0x1.25f047bfff0d3p-1, 0x1.2adb69dc0592fp-1, 0x1.2f575f4e072adp-1, 0x1.3367887ae03a7p-1, 0x1.370f62bc4250cp-1, 0x1.3a527ffcbb35bp-1, 0x1.3d3478164c6b5p-1, 0x1.3fb8ea83309b8p-1, 0x1.41e37a81822dcp-1, 0x1.43b7c743f72b5p-1, 0x1.45396d39f1063p-1, 0x1.466c0565ba9f1p-1, 0x1.47531cafbf87ep-1, 0x1.47f22ea56e589p-1, 0x1.484ca765ef56cp-1, 0x1.4865d908472acp-1, 0x1.4841232c54e81p-1, 0x1.47e1b7256053fp-1, 0x1.474ab53fc52fcp-1, 0x1.467f2817f75a8p-1, 0x1.4582055acbf3bp-1, 0x1.44562cf6e82p-1, 0x1.42fe678341332p-1, 0x1.417d6518f1d0bp-1, 0x1.3fd5bd42aaa5ap-1, 0x1.3e09efbebd3dcp-1, 0x1.3c1c654dfe645p-1, 0x1.3a0f6fed77a8ep-1, 0x1.37e54a7520f92p-1, 0x1.35a01826f8e2fp-1, 0x1.3341e4c8ff86cp-1, 0x1.30cca56fbc4d9p-1, 0x1.2e42399699692p-1, 0x1.2ba46bfcd2446p-1, 0x1.28f4f30bac8c9p-1, 0x1.263570fbbb56p-1, 0x1.23677421d509dp-1, 0x1.208c77a2c5a54p-1, 0x1.1da5e47712ba2p-1, 0x1.1ab5126ed372bp-1, 0x1.17bb48ec06e12p-1, 0x1.14b9bf3d66eeap-1, 0x1.11b19cb8fc5a8p-1, 0x1.0ea3f8cddfab6p-1, 0x1.0b91db3cafcdep-1, 0x1.087c3c8d27a12p-1, 0x1.056406bce6cf5p-1, 0x1.024a16106e802p-1, 0x1.fe5e73cb8ffcap-2, 0x1.f8286ad251464p-2, 0x1.f1f3802e49bfp-2, 0x1.ebc10c162352bp-2, 0x1.e5925057dc978p-2, 0x1.df6878ac8e8fp-2, 0x1.d9449b4135042p-2, 0x1.d327b9955e766p-2, 0x1.cd12c1aaec339p-2, 0x1.c70687ee629cbp-2, 0x1.c103e0352718ep-2, 0x1.bb0b87bbbbba5p-2, 0x1.b51e2b4ad4219p-2, 0x1.af3c6890bdf97p-2, 0x1.a966cedbd9cd7p-2, 0x1.a39ddfddc468p-2, 0x1.9de21072b7e9p-2, 0x1.9833c9669ce2dp-2, 0x1.929368312fffap-2, 0x1.8d013fa467745p-2, 0x1.877d988b5e40ap-2, 0x1.8208b23b1771ap-2, 0x1.7ca2c31876f9fp-2, 0x1.774bf91781964p-2, 0x1.72047a375bb39p-2, 0x1.6ccc64fd4b72bp-2, 0x1.67a3d0efb3318p-2, 0x1.628acf10bf8d8p-2, 0x1.5d816a5789231p-2, 0x1.5887a825c24a7p-2, 0x1.539d88b7a149ap-2, 0x1.4ec3078c0d344p-2, 0x1.49f81bc3caa83p-2, 0x1.453cb8779dd9ep-2, 0x1.4090cd067772ap-2, 0x1.3bf4455d9390fp-2, 0x1.37670a3c851fep-2, 0x1.32e90176cfc84p-2, 0x1.2e7a0e33f59d6p-2, 0x1.2a1a112e34576p-2, 0x1.25c8e8efb6b9dp-2, 0x1.2186720de1c11p-2, 0x1.1d52876259cp-2, 0x1.192d0241766c9p-2, 0x1.1515baaddcd88p-2, 0x1.110c8788dc624p-2, 0x1.0d113ebf36a7bp-2, 0x1.0923b571f851dp-2, 0x1.0543c01b4eeeap-2, 0x1.017132af996bfp-2, 0x1.fb57c1767b7bp-3, 0x1.f3e73afc124cbp-3, 0x1.ec907809bf7b3p-3, 0x1.e5531e848a90bp-3, 0x1.de2ed44c0e301p-3, 0x1.d7233f67b2613p-3, 0x1.d0300631272cep-3, 0x1.c954cf7b2073p-3, 0x1.c29142b390952p-3, 0x1.bbe5080102167p-3, 0x1.b54fc85b0e6cap-3, 0x1.aed12d9e8e95fp-3, 0x1.a868e29e32bbp-3, 0x1.a21693305cc4ap-3, 0x1.9bd9ec3b03ceap-3, 0x1.95b29bbe335c6p-3, 0x1.8fa050dd8d3a4p-3, 0x1.89a2bbe8ff4c7p-3, 0x1.83b98e64e1325p-3, 0x1.7de47b116f2f4p-3, 0x1.782335f1bd9d9p-3, 0x1.7275745221677p-3, 0x1.6cdaecce0e661p-3, 0x1.6753575560388p-3, 0x1.61de6d30ff7f6p-3, 0x1.5c7be906b69fep-3, 0x1.572b86dc1584cp-3, 0x1.51ed04182a4d3p-3, 0x1.4cc01f83ebbb9p-3, 0x1.47a499493da43p-3, 0x1.429a32f06dee6p-3, 0x1.3da0af5c51be5p-3, 0x1.38b7d2c5129b6p-3, 0x1.33df62b1e5a23p-3, 0x1.2f1725f1fa296p-3, 0x1.2a5ee494de4cep-3, 0x1.25b667e2acf09p-3, 0x1.211d7a5441eabp-3, 0x1.1c93e78baaep-3, 0x1.18197c4cee538p-3, 0x1.13ae067747b2fp-3, 0x1.0f5154fec4252p-3, 0x1.0b0337e63e582p-3, 0x1.06c358d5cc025p-3, 0x1.0291da8fc37cbp-3, 0x1.fcdccf6226e62p-4, 0x1.f4b1a8787247fp-4, 0x1.eca1ea3c6f13p-4, 0x1.e4ad404f73c7ap-4, 0x1.dcd3580c96bf8p-4, 0x1.d513e07b49766p-4, 0x1.cd6e8a421a863p-4, 0x1.c5e30799aaa7ep-4, 0x1.be710c3fc3214p-4, 0x1.b7184d6a8f618p-4, 0x1.afd881bc045b8p-4, 0x1.a8b161355977bp-4, 0x1.a1a2a52ab48a3p-4, 0x1.9aac0836fabacp-4, 0x1.93cd462fc251fp-4, 0x1.8d061c198a8b5p-4, 0x1.8656481c239b1p-4, 0x1.7fbd897762b31p-4, 0x1.793ba0781f377p-4, 0x1.72d04e6d8923ap-4, 0x1.6c7b559ed6b23p-4, 0x1.663c794154e1fp-4, 0x1.60137d6ed6473p-4, 0x1.5a00271c856eap-4, 0x1.54023c1219c4ep-4, 0x1.4e1982e16852ep-4, 0x1.4845c2de534c1p-4, 0x1.4286c4170f76cp-4, 0x1.3cdc4f4cbb621p-4, 0x1.37462dec47e25p-4, 0x1.31c42a07a665p-4, 0x1.2c560e4f3edep-4, 0x1.26fba60ba3ceep-4, 0x1.21b4bd178467fp-4, 0x1.1c811fd9d889ap-4, 0x1.17609b4042415p-4, 0x1.1252fcb9a6564p-4, 0x1.0d581230f672bp-4, 0x1.086faa0831a8fp-4, 0x1.039993139694fp-4, 0x1.fdab392a11b78p-5, 0x1.f4472c6f5ac4p-5, 0x1.eb06a01773c0ap-5, 0x1.e1e93504f4997p-5, 0x1.d8ee8cd522673p-5, 0x1.d01649d8d574dp-5, 0x1.c7600f0dd46fcp-5, 0x1.becb8018a24b5p-5, 0x1.b658413eb6bfep-5, 0x1.ae05f761259edp-5, 0x1.a5d447f7b4a14p-5, 0x1.9dc2d90c57f38p-5, 0x1.95d151370fdc6p-5, 0x1.8dff579a2dd62p-5, 0x1.864c93deec55bp-5, 0x1.7eb8ae32631b5p-5, 0x1.77434f42c7285p-5, 0x1.6fec203cf81d4p-5, 0x1.68b2caca4d463p-5, 0x1.6196f90eaa148p-5, 0x1.5a9855a6c5f6dp-5, 0x1.53b68ba6aab9ep-5, 0x1.4cf1469866485p-5, 0x1.4648327ae6fdp-5, 0x1.3fbafbc101d3ep-5, 0x1.39494f50a110fp-5, 0x1.32f2da8213465p-5, 0x1.2cb74b1f8059dp-5, 0x1.26964f647c183p-5, 0x1.208f95fdb7658p-5, 0x1.1aa2ce08d0bcfp-5, 0x1.14cfa7143ebacp-5, 0x1.0f15d11f57d9bp-5, 0x1.0974fc9a721d9p-5, 0x1.03ecda671f3d7p-5, 0x1.fcfa37b0fd3d1p-6, 0x1.f24ae5674af2cp-6, 0x1.e7cb226040a91p-6, 0x1.dd7a53f10b78cp-6, 0x1.d357e0563ac6fp-6, 0x1.c9632eb531005p-6, 0x1.bf9ba71db6cfdp-6, 0x1.b600b28ba6f62p-6, 0x1.ac91bae8b6fb1p-6, 0x1.a34e2b0e54fb6p-6, 0x1.9a356ec798768p-6, 0x1.9146f2d343ff7p-6, 0x1.888224e5d500fp-6, 0x1.7fe673ab9e0fap-6, 0x1.77734ecae8f9cp-6, 0x1.6f2826e61ba74p-6, 0x1.67046d9dea592p-6, 0x1.5f07959383931p-6, 0x1.5731126abcb95p-6, 0x1.4f8058cc42333p-6, 0x1.47f4de67c5717p-6, 0x1.408e19f61e49ep-6, 0x1.394b833b762cap-6, 0x1.322c9309610e7p-6, 0x1.2b30c340f2195p-6, 0x1.24578ed4d1c6p-6, 0x1.1da071cb3e24ep-6, 0x1.170ae9400eab3p-6, 0x1.109673669df79p-6, 0x1.0a428f8bba9f8p-6, 0x1.040ebe1780c45p-6, 0x1.fbf5011e4dfb3p-7, 0x1.f00ab32d88736p-7, 0x1.e45d99e5fccc9p-7, 0x1.d8ecbf156585dp-7, 0x1.cdb72ed10c8dfp-7, 0x1.c2bbf778d9c3cp-7, 0x1.b7fa29ba2bfaep-7, 0x1.ad70d8929ce4fp-7, 0x1.a31f19529688dp-7, 0x1.9904039fc2ba3p-7, 0x1.8f1eb17755f97p-7, 0x1.856e3f302912p-7, 0x1.7bf1cb7cae20bp-7, 0x1.72a8776cb01f5p-7, 0x1.6991666efa832p-7, 0x1.60abbe52ba7dap-7, 0x1.57f6a748c57eep-7, 0x1.4f714be4a76cfp-7, 0x1.471ad91d84ce4p-7, 0x1.3ef27e4ed3b77p-7, 0x1.36f76d38dd45bp-7, 0x1.2f28da0116911p-7, 0x1.2785fb3249c4fp-7, 0x1.200e09bc968bdp-7, 0x1.18c040f52c1d8p-7, 0x1.119bde95fcafp-7, 0x1.0aa022bd249b7p-7, 0x1.03cc4fec2cd13p-7, 0x1.fa3f560e53d7dp-8, 0x1.ed32f6a73a7bep-8, 0x1.e07214ee820a2p-8, 0x1.d3fb48ed2df64p-8, 0x1.c7cd2f66b1004p-8, 0x1.bbe669d56d452p-8, 0x1.b0459e66e9705p-8, 0x1.a4e977f7af836p-8, 0x1.99d0a60efaeb8p-8, 0x1.8ef9dcd9e9e5fp-8, 0x1.8463d5268adcep-8, 0x1.7a0d4c5e9119bp-8, 0x1.6ff50481c9933p-8, 0x1.6619c42037e8bp-8, 0x1.5c7a565412b75p-8, 0x1.53158abb5e42ep-8, 0x1.49ea357155049p-8, 0x1.40f72f07912cbp-8, 0x1.383b547efc711p-8, 0x1.2fb58740761b6p-8, 0x1.2764ad1562dc1p-8, 0x1.1f47b01fe1f9ep-8, 0x1.175d7ed2e6a41p-8, 0x1.0fa50bea139fep-8, 0x1.081d4e6161c34p-8, 0x1.00c5416cb10bp-8, 0x1.f337c8de20743p-9, 0x1.e54075e3de28fp-9, 0x1.d7a299382f7c7p-9, 0x1.ca5c4a511e1b8p-9, 0x1.bd6ba8ba91e99p-9, 0x1.b0cedc038d5ap-9, 0x1.a46184ad095b5p-9, 0x1.986840a27008ap-9, 0x1.8cbd7ee45de37p-9, 0x1.815f85637e2c5p-9, 0x1.764ca1affeb2bp-9, 0x1.6b8328e648736p-9, 0x1.6101779b5d93ap-9, 0x1.56c5f1c9793abp-9, 0x1.4ccf02bc206d4p-9, 0x1.431b1cfc3c7b9p-9, 0x1.39a8ba3c287c4p-9, 0x1.30765b4361549p-9, 0x1.278287da5c08p-9, 0x1.1ecbceb6205c4p-9, 0x1.1650c563d689dp-9, 0x1.0e1008342ea56p-9, 0x1.06083a26df1dap-9, 0x1.fc7009ab75075p-10, 0x1.ed3c30c085ba7p-10, 0x1.de7256ad67353p-10, 0x1.d00ff54a50854p-10, 0x1.c21292fdbc481p-10, 0x1.b477c29278163p-10, 0x1.a73d230df41b6p-10, 0x1.9a605f8673289p-10, 0x1.8ddf2ef931c3bp-10, 0x1.81b75420bc817p-10, 0x1.75e69d4b14d49p-10, 0x1.6a6ae42fe3607p-10, 0x1.5f420dc715412p-10, 0x1.546a0a1f4107fp-10, 0x1.49e0d433bf285p-10, 0x1.3fa471c3eba2p-10, 0x1.35b2f3297a19ep-10, 0x1.2c0a732f72d5bp-10, 0x1.22a916e93799cp-10, 0x1.198d0d89ba102p-10, 0x1.10b4903abc523p-10, 0x1.081de1f4856a3p-10, 0x1.ff8e9eab1ac4fp-11, 0x1.ef5e5cf4cae99p-11, 0x1.dfa7bdabf711ap-11, 0x1.d0679214045a9p-11, 0x1.c19abd7f80866p-11, 0x1.b33e350115f5cp-11, 0x1.a54eff1f987d6p-11, 0x1.97ca3387bb411p-11, 0x1.8aacfac0339adp-11, 0x1.7df48dde340d5p-11, 0x1.719e3639e52fbp-11, 0x1.65a74d243bda4p-11, 0x1.5a0d3b9d6719p-11, 0x1.4ecd7a0b79566p-11, 0x1.43e58ff25d37bp-11, 0x1.395313ac290bcp-11, 0x1.2f13aa2278903p-11, 0x1.252506887f5bdp-11, 0x1.1b84ea14f0ba8p-11, 0x1.123123bf13881p-11, 0x1.09278ffa04264p-11, 0x1.00661872495fp-11, 0x1.efd56797b5894p-12, 0x1.df66cac1f3ad5p-12, 0x1.cf7c7a03cec15p-12, 0x1.c012ad6aeea63p-12, 0x1.b125b4f546213p-12, 0x1.a2b1f8153911p-12, 0x1.94b3f53830225p-12, 0x1.8728414e98dbap-12, 0x1.7a0b8755d1e76p-12, 0x1.6d5a87e36c4a5p-12, 0x1.611218b1dfb29p-12, 0x1.552f2430fa708p-12, 0x1.49aea9158bba8p-12, 0x1.3e8db9ebec7a6p-12, 0x1.33c97cabfd738p-12, 0x1.295f2a4f336e9p-12, 0x1.1f4c0e67eacedp-12, 0x1.158d86bab641bp-12, 0x1.0c2102d903421p-12, 0x1.030403bdeed9dp-12, 0x1.f46836d7c4b4dp-13, 0x1.e35dd91943421p-13, 0x1.d2e454260c336p-13, 0x1.c2f72dba103dbp-13, 0x1.b3920ab1efe64p-13, 0x1.a4b0ae575a27dp-13, 0x1.964ef9ae22d6bp-13, 0x1.8868eac9e3f82p-13, 0x1.7afa9c20debcp-13, 0x1.6e0043e625db5p-13, 0x1.6176336313d1p-13, 0x1.5558d656cb9dp-13, 0x1.49a4b2570897bp-13, 0x1.3e5666345e46fp-13, 0x1.336aa960d494cp-13, 0x1.28de4b5990f2dp-13, 0x1.1eae33138c6a6p-13, 0x1.14d75e6a0fa2cp-13, 0x1.0b56e1916344p-13, 0x1.0229e68af6266p-13, 0x1.f29b59387952bp-14, 0x1.e17f0f936dcap-14, 0x1.d0f9c0a05e2e1p-14, 0x1.c106644f0039bp-14, 0x1.b1a019038896dp-14, 0x1.a2c2229ea947fp-14, 0x1.9467e98b154d5p-14, 0x1.868cf9cdbdcep-14, 0x1.792d021e7b942p-14, 0x1.6c43d2ffbe7eap-14, 0x1.5fcd5de036abep-14, 0x1.53c5b43e6717cp-14, 0x1.482906d186546p-14, 0x1.3cf3a4b7eb289p-14, 0x1.3221faa2711e5p-14, 0x1.27b09213d7894p-14, 0x1.1d9c10943068dp-14, 0x1.13e136f283225p-14, 0x1.0a7ce0850ce41p-14, 0x1.016c0270b5582p-14, 0x1.f15755e92cc01p-15, 0x1.e072017104a7ep-15, 0x1.d022843c9a47ap-15, 0x1.c0638935ba4a6p-15, 0x1.b12fe81a75a72p-15, 0x1.a282a43edf308p-15, 0x1.9456eb4c5d158p-15, 0x1.86a81410cb4ccp-15, 0x1.79719d4cb76aep-15, 0x1.6caf2c8d62472p-15, 0x1.605c8d0d4e0bfp-15, 0x1.5475ae9a8fa8bp-15, 0x1.48f6a482d36d9p-15, 0x1.3ddba49024af8p-15, 0x1.332105edeb1cfp-15, 0x1.28c34042f803p-15, 0x1.1ebeeaa97e7a1p-15, 0x1.1510bac1b9e9dp-15, 0x1.0bb583c1b251dp-15, 0x1.02aa35909fd4bp-15, 0x1.f3d7b7ca3cf44p-16, 0x1.e2ef3ad712e69p-16, 0x1.d29575d3e2527p-16, 0x1.c2c51cefc2db7p-16, 0x1.b37915607165dp-16, 0x1.a4ac73d1692d1p-16, 0x1.965a7aeabdcbap-16, 0x1.887e99d3ff691p-16, 0x1.7b146acab4acp-16, 0x1.6e17b1bdcbc57p-16, 0x1.61845af31cfb9p-16, 0x1.555679b9cdd75p-16, 0x1.498a471d8ea79p-16, 0x1.3e1c20b0e4178p-16, 0x1.330887460dc62p-16, 0x1.284c1dd95f38bp-16, 0x1.1de3a85b17978p-16, 0x1.13cc0a988e25cp-16, 0x1.0a024725f3e2p-16, 0x1.00837e5647041p-16, 0x1.ee99da5d1d96dp-17, 0x1.dcb7d8e6b76f7p-17, 0x1.cb5bdf2fd8b06p-17, 0x1.ba8107e904618p-17, 0x1.aa229f8d10832p-17, 0x1.9a3c22a369172p-17, 0x1.8ac93c1856116p-17, 0x1.7bc5c37ccceadp-17, 0x1.6d2dbb85f3664p-17, 0x1.5efd50667d16p-17, 0x1.5130d65714965p-17, 0x1.43c4c81cecf3p-17, 0x1.36b5c599524c4p-17, 0x1.2a00926dd0c69p-17, 0x1.1da214a109b6cp-17, 0x1.11975359a965cp-17, 0x1.05dd75949d811p-17, 0x1.f4e381e6e9f0fp-18, 0x1.dea3311508abap-18, 0x1.c8f4f78e0d60ap-18, 0x1.b3d40a9bc783bp-18, 0x1.9f3bd3c8ed89cp-18, 0x1.8b27eee3768c2p-18, 0x1.779427f54c0efp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.623f7dfe382a5p-3, 0x1.675edeeb43ee9p-3, 0x1.6a321c6dfd326p-3, 0x1.6ac6bd0d9f63cp-3, 0x1.692e208750ep-3, 0x1.657c82902799cp-3, 0x1.5fc8b24940505p-3, 0x1.582b79732e964p-3, 0x1.4ebec09209f48p-3, 0x1.439d7c2bcdbcfp-3, 0x1.36e3934032a76p-3, 0x1.28ad4fd84943p-3, 0x1.1916d8957c02ep-3, 0x1.083c086fd5679p-3, 0x1.ec711bb362c8ap-4, 0x1.c64fce3fbccb9p-4, 0x1.9e4a10ebe1e72p-4, 0x1.7493e31c724b7p-4, 0x1.495f0590faefep-4, 0x1.1cdb38c7f01e8p-4, 0x1.de6d74dfe6cf4p-5, 0x1.813eec08f1502p-5, 0x1.227ea8df5e0a5p-5, 0x1.84fd359dcbf0fp-6, 0x1.862dd16aaa0d4p-7, -0x1.315778dc53356p-17, -0x1.8866127545162p-7, -0x1.8890183c9e3fdp-6, -0x1.26629c5a10c51p-5, -0x1.8831332127038p-5, -0x1.e980029b8c412p-5, -0x1.250fa5d7abed3p-4, -0x1.54f188bd704cdp-4, -0x1.84516b56cfd79p-4, -0x1.b31cba7b50365p-4, -0x1.e14280ab03315p-4, -0x1.0759ab18f7386p-3, -0x1.1db0a66912db3p-3, -0x1.339fec9edc66cp-3, -0x1.4921de77a192fp-3, -0x1.5e3178bd0e0b4p-3, -0x1.72ca4b0b0d0fep-3, -0x1.86e870543199ap-3, -0x1.9a88898176c2ep-3, -0x1.ada7b986708f6p-3, -0x1.c043a13866219p-3, -0x1.d25a590884521p-3, -0x1.e3ea67b09cfa2p-3, -0x1.f4f2b6669122cp-3, -0x1.02b942329af9fp-2, -0x1.0ab4adf59ee01p-2, -0x1.126b851943f0bp-2, -0x1.19ddcd64689cbp-2, -0x1.210baad6a4345p-2, -0x1.27f55f7e2b4a7p-2, -0x1.2e9b4b68526d7p-2, -0x1.34fdec1bdc8dfp-2, -0x1.3b1ddb422db1ep-2, -0x1.40fbcc671cd4dp-2, -0x1.469889fa2ebc1p-2, -0x1.4bf4f1f1a4755p-2, -0x1.5111f287f212fp-2, -0x1.55f0877d64da4p-2, -0x1.5a91ba6d70e2dp-2, -0x1.5ef68ed4694dp-2, -0x1.63202dbf4c739p-2, -0x1.670fb7118452ep-2, -0x1.6ac6525216b1dp-2, -0x1.6e452e8e6c0e6p-2, -0x1.718d81e21e005p-2, -0x1.74a08899d4e3cp-2, -0x1.777f83fd07f7p-2, -0x1.7a2bb8d7fef5fp-2, -0x1.7ca66de5f15f6p-2, -0x1.7ef0ea3c6abebp-2, -0x1.810c73d6e2a82p-2, -0x1.82fa4e5bba24p-2, -0x1.84bbba2ad8ee4p-2, -0x1.8651f3b9e752fp-2, -0x1.87be3335295c5p-2, -0x1.8901ac5182924p-2, -0x1.8a1d8e37a8d2dp-2, -0x1.8b1303735ef29p-2, -0x1.8be331da06bfcp-2, -0x1.8c8f3a6628656p-2, -0x1.8d18390dc6139p-2, -0x1.8d7f449cb8c25p-2, -0x1.8dc56e9ac3fafp-2, -0x1.8debc3403b9dap-2, -0x1.8df3497672b5bp-2, -0x1.8ddd02dcef34bp-2, -0x1.8da9ebcab4ad7p-2, -0x1.8d5afb43f9056p-2, -0x1.8cf122dfb842p-2, -0x1.8c6d4e9ca1c11p-2, -0x1.8bd064a8f2862p-2, -0x1.8b1b45240f15dp-2, -0x1.8a4ec9e27221p-2, -0x1.896bc63cc9p-2, -0x1.887306f19afc6p-2, -0x1.8765521e43657p-2, -0x1.86436750acc99p-2, -0x1.850dffaff56b4p-2, -0x1.83c5ce3758283p-2, -0x1.826b7ffd318fp-2, -0x1.80ffbc7f83029p-2, -0x1.7f8325f033e6p-2, -0x1.7df6597ce6b8cp-2, -0x1.7c59ef9033273p-2, -0x1.7aae7c0bd2b4bp-2, -0x1.78f48e7c9a249p-2, -0x1.772cb249b6c94p-2, -0x1.75576ee093f6fp-2, -0x1.737547de5537ep-2, -0x1.7186bd372cf1ep-2, -0x1.6f8c4b5b38d93p-2, -0x1.6d866b5842577p-2, -0x1.6b7592f7ae246p-2, -0x1.695a34d8446b8p-2, -0x1.6734c083cbc84p-2, -0x1.6505a2810df15p-2, -0x1.62cd4463226cbp-2, -0x1.608c0cd72c1ep-2, -0x1.5e425fb19de31p-2, -0x1.5bf09dfbfa55ep-2, -0x1.59972603b4818p-2, -0x1.5736536a73135p-2, -0x1.54ce7f37b525ep-2, -0x1.525fffeb84a62p-2, -0x1.4feb2991dd7a7p-2, -0x1.4d704dd64c852p-2, -0x1.4aefbc17704ddp-2, -0x1.4869c17a1b1c7p-2, -0x1.45dea8fbf89cap-2, -0x1.434ebb85c3cc1p-2, -0x1.40ba3ffd232f9p-2, -0x1.3e217b56640ccp-2, -0x1.3b84b0a644973p-2, -0x1.38e42133f97d6p-2, -0x1.36400c8b982d1p-2, -0x1.3398b090f7d66p-2, -0x1.30ee49930af13p-2, -0x1.2e41125faaaabp-2, -0x1.2b914457b491cp-2, -0x1.28df178350b97p-2, -0x1.262ac2a62876cp-2, -0x1.23747b534d83cp-2, -0x1.20bba5375087p-2, -0x1.1e01d68c253c4p-2, -0x1.1b46b518081ecp-2, -0x1.188a73b6b5b16p-2, -0x1.15cd442f07265p-2, -0x1.130f57391d44fp-2, -0x1.1050dc84fe1a2p-2, -0x1.0d9202c17f2e9p-2, -0x1.0ad2f7a34a213p-2, -0x1.0813e7ebc9816p-2, -0x1.0554ff6fcfbb5p-2, -0x1.0296691dcc8c3p-2, -0x1.ffb09e06e0e56p-3, -0x1.fa35b4a5468ecp-3, -0x1.f4bc66cb7ef3cp-3, -0x1.ef45038625a7ap-3, -0x1.e9cfd83f4c271p-3, -0x1.e45d30c2c2b76p-3, -0x1.deed57413b7bep-3, -0x1.d98094529529p-3, -0x1.d4172ef7786f1p-3, -0x1.ceb16c9aa0f31p-3, -0x1.c94f9111feb37p-3, -0x1.c3f1de9fffe24p-3, -0x1.be9895f51d998p-3, -0x1.b943f631ef23cp-3, -0x1.b3f43ce9c216fp-3, -0x1.aea9a625dd147p-3, -0x1.a9646c69629f6p-3, -0x1.a424c8b5cfa42p-3, -0x1.9eeaf29001757p-3, -0x1.99b72005b44b4p-3, -0x1.948985b3465dap-3, -0x1.8f6256c9bcf7bp-3, -0x1.8a41c514ca6cap-3, -0x1.85280100cfa6p-3, -0x1.801539a0a9ccdp-3, -0x1.7b099cb3352e3p-3, -0x1.760556a87748ep-3, -0x1.710892a655a02p-3, -0x1.6c137a8cd4ee6p-3, -0x1.672636f9d3854p-3, -0x1.6240ef4c4888dp-3, -0x1.5d63c9a6fe587p-3, -0x1.588eeaf2dfe54p-3, -0x1.53c276e0d10c1p-3, -0x1.4efe8feb36025p-3, -0x1.4a43575725708p-3, -0x1.4590ed3566a7bp-3, -0x1.40e77063459d5p-3, -0x1.3c46fe8b50095p-3, -0x1.37afb4260efeep-3, -0x1.3321ac7ad05adp-3, -0x1.2e9d01a07f25bp-3, -0x1.2a21cc7eb0bcfp-3, -0x1.25b024cedb536p-3, -0x1.2148211dc59e9p-3, -0x1.1ce9d6cd387c6p-3, -0x1.18955a15f6162p-3, -0x1.144abe09ee95dp-3, -0x1.100a1496c162ap-3, -0x1.0bd36e887e935p-3, -0x1.07a6db8ca5119p-3, -0x1.03846a35663b7p-3, -0x1.fed84ffa358c6p-4, -0x1.f6bc4293da928p-4, -0x1.eeb4c2e36a54cp-4, -0x1.e6c1e57bf07acp-4, -0x1.dee3bce02b76ep-4, -0x1.d71a598b13b7p-4, -0x1.cf65c9f8a933ap-4, -0x1.c7c61aaee0a97p-4, -0x1.c03b5646cca33p-4, -0x1.b8c58575cbca9p-4, -0x1.b164af16ea3d8p-4, -0x1.aa18d83446684p-4, -0x1.a2e204108e80cp-4, -0x1.9bc034307fc3ap-4, -0x1.94b36864722fap-4, -0x1.8dbb9ed1e35f3p-4, -0x1.86d8d3fcfae03p-4, -0x1.800b02d20b60ap-4, -0x1.795224af0a019p-4, -0x1.72ae316cf54d8p-4, -0x1.6c1f1f692ea35p-4, -0x1.65a4e38ebf0b9p-4, -0x1.5f3f715f8779p-4, -0x1.58eebafd57868p-4, -0x1.52b2b132ef45ep-4, -0x1.4c8b437ce1645p-4, -0x1.467860125d8ebp-4, -0x1.4079f3eddd1b1p-4, -0x1.3a8fead5b4407p-4, -0x1.34ba2f6485ed6p-4, -0x1.2ef8ab119dc2cp-4, -0x1.294b46392b718p-4, -0x1.23b1e824670dap-4, -0x1.1e2c77119994ap-4, -0x1.18bad83c0ec2cp-4, -0x1.135cefe3eece4p-4, -0x1.0e12a15602252p-4, -0x1.08dbcef360ef8p-4, -0x1.03b85a390eb18p-4, -0x1.fd50478f0d3cap-5, -0x1.f35616d4610bfp-5, -0x1.e981e03d9c649p-5, -0x1.dfd36039a045ep-5, -0x1.d64a51b945cbdp-5, -0x1.cce66e3dd4a29p-5, -0x1.c3a76de7607f3p-5, -0x1.ba8d07830b261p-5, -0x1.b196f09929f26p-5, -0x1.a8c4dd7b50453p-5, -0x1.a01681523f91dp-5, -0x1.978b8e2bb8735p-5, -0x1.8f23b5082e347p-5, -0x1.86dea5e86101ep-5, -0x1.7ebc0fdacd305p-5, -0x1.76bba10903a31p-5, -0x1.6edd06c4d8afp-5, -0x1.671fed9572f86p-5, -0x1.5f8401442f64p-5, -0x1.5808ece96071p-5, -0x1.50ae5af8e62acp-5, -0x1.4973f54e93159p-5, -0x1.4259653a6bd0dp-5, -0x1.3b5e538cb5d05p-5, -0x1.348268a1d6f01p-5, -0x1.2dc54c6e02b85p-5, -0x1.2726a688b38e3p-5, -0x1.20a61e37f8f83p-5, -0x1.1a435a7b80ebfp-5, -0x1.13fe021779b4ap-5, -0x1.0dd5bb9f37ae8p-5, -0x1.07ca2d7f9e7e3p-5, -0x1.01dafe095a143p-5, -0x1.f80fa6f5ab162p-6, -0x1.eca0a813feb54p-6, -0x1.e1684bdb98e9p-6, -0x1.d665decf0791bp-6, -0x1.cb98ad979caa7p-6, -0x1.c100051711d8bp-6, -0x1.b69b3278b9493p-6, -0x1.ac6983422e79dp-6, -0x1.a26a45639c0e4p-6, -0x1.989cc747759bbp-6, -0x1.8f0057e1cab77p-6, -0x1.859446bf15bacp-6, -0x1.7c57e412971e8p-6, -0x1.734a80c4425d2p-6, -0x1.6a6b6e7e1b465p-6, -0x1.61b9ffb937d85p-6, -0x1.593587ca3dce8p-6, -0x1.50dd5aed704c8p-6, -0x1.48b0ce524a22p-6, -0x1.40af3826a1225p-6, -0x1.38d7efa160a22p-6, -0x1.312a4d0ccaecep-6, -0x1.29a5a9d058e9fp-6, -0x1.2249607a16dedp-6, -0x1.1b14ccc7acc0bp-6, -0x1.14074baeeee4cp-6, -0x1.0d203b660b788p-6, -0x1.065efb6b48cbcp-6, -0x1.ff85d918db808p-7, -0x1.f296e1db68037p-7, -0x1.e5efd820ce697p-7, -0x1.d98f85b24342ap-7, -0x1.cd2d4b3f6007bp-7, -0x1.c1581fe24b041p-7, -0x1.b5c6352110c1ep-7, -0x1.aa765f6870004p-7, -0x1.9f677609b6be1p-7, -0x1.94985344016dep-7, -0x1.8a07d44d12059p-7, -0x1.7fb4d95970176p-7, -0x1.759e45a415847p-7, -0x1.6bc2ff75abffbp-7, -0x1.6221f02afd172p-7, -0x1.58ba043b369c4p-7, -0x1.4f8a2b3d73ddfp-7, -0x1.469157ede6329p-7, -0x1.3dce8032797f7p-7, -0x1.35409d1f0ccd9p-7, -0x1.2ce6aaf927484p-7, -0x1.24bfa93b45a5ap-7, -0x1.1cca9a97b2e41p-7, -0x1.150684fb046c6p-7, -0x1.0d72718e03b1cp-7, -0x1.060d6cb75811p-7, -0x1.fdad0c396333bp-8, -0x1.ef99a14729209p-8, -0x1.e1dec4e38f3edp-8, -0x1.d47aa9da9d485p-8, -0x1.c76b89783459ep-8, -0x1.baafa3868fdcbp-8, -0x1.ae453e4c1b954p-8, -0x1.a22aa68892bc3p-8, -0x1.965e2f7177e5bp-8, -0x1.8ade32adb353bp-8, -0x1.7fa91050b767ap-8, -0x1.74bd2ed4d7099p-8, -0x1.6a18fb1502a89p-8, -0x1.5fbae846029fap-8, -0x1.55a16feec3325p-8, -0x1.4bcb11e053218p-8, -0x1.4236542d3133bp-8, -0x1.38e1c31ffafcfp-8, -0x1.2fcbf131936b1p-8, -0x1.26f376fec626cp-8, -0x1.1e56f33d5baf7p-8, -0x1.15f50ab0bf20fp-8, -0x1.0dcc681e018f2p-8, -0x1.05dbbc3f8dba3p-8, -0x1.fc437b70aeeddp-9, -0x1.ed3a520d2d2p-9, -0x1.de9980eca279ap-9, -0x1.d05e98262b7b6p-9, -0x1.c28733339078cp-9, -0x1.b510f8d3ccf01p-9, -0x1.a7f99aed12081p-9, -0x1.9b3ed66e1cc91p-9, -0x1.8ede732f17cf8p-9, -0x1.82d643d213b7fp-9, -0x1.772425a2e1eb8p-9, -0x1.6bc60076ae1ebp-9, -0x1.60b9c68b4cf0ap-9, -0x1.55fd74660d014p-9, -0x1.4b8f10b2612eep-9, -0x1.416cac208ad43p-9, -0x1.37946143a665cp-9, -0x1.2e04546fe2488p-9, -0x1.24bab3989aa23p-9, -0x1.1bb5b62e64d6ep-9, -0x1.12f39cfcf15dcp-9, -0x1.0a72b2091a9f7p-9, -0x1.0231486eea41ap-9, -0x1.f45b787f644f7p-10, -0x1.e4cce4c06eeccp-10, -0x1.d5b3b0ce29857p-10, -0x1.c70cc8f630a14p-10, -0x1.b8d52a63ec645p-10, -0x1.ab09e2de307aap-10, -0x1.9da81084f5e81p-10, -0x1.90ace18fe0a2ep-10, -0x1.8415940d9698ap-10, -0x1.77df75a249c91p-10, -0x1.6c07e34804bdcp-10, -0x1.608c490f16876p-10, -0x1.556a21dea2c2ep-10, -0x1.4a9ef7364336cp-10, -0x1.402860efd679p-10, -0x1.3604050224813p-10, -0x1.2c2f9743d8cc3p-10, -0x1.22a8d92f18ff8p-10, -0x1.196d99a6025c1p-10, -0x1.107bb4b6fea8fp-10, -0x1.07d113626ae2bp-10, -0x1.fed756c0e5e55p-11, -0x1.ee92fdcee195dp-11, -0x1.ded138e71071dp-11, -0x1.cf8e3d1ac34e9p-11, -0x1.c0c65726753a4p-11, -0x1.b275eb025e225p-11, -0x1.a49973759c67ep-11, -0x1.972d81a9ea4abp-11, -0x1.8a2ebcc0ef2e6p-11, -0x1.7d99e169d674ap-11, -0x1.716bc179289a4p-11, -0x1.65a14380d15d9p-11, -0x1.5a376269e519fp-11, -0x1.4f2b2d0f1807dp-11, -0x1.4479c5d891d6ap-11, -0x1.3a206259a4f79p-11, -0x1.301c4aeda325ap-11, -0x1.266ada57ea16fp-11, -0x1.1d097d63c11dfp-11, -0x1.13f5b2872924fp-11, -0x1.0b2d09838ee11p-11, -0x1.02ad230aefc16p-11, -0x1.f4e760c8e683dp-12, -0x1.e4fce62545257p-12, -0x1.d59678f511b82p-12, -0x1.c6afdb188e8f4p-12, -0x1.b844ecd93791bp-12, -0x1.aa51ac3f2569dp-12, -0x1.9cd23469ad603p-12, -0x1.8fc2bce88b785p-12, -0x1.831f9919065dbp-12, -0x1.76e53784edff2p-12, -0x1.6b10214318118p-12, -0x1.5f9cf95d53d73p-12, -0x1.54887c32f09acp-12, -0x1.49cf7ee35bd0fp-12, -0x1.3f6eeeb8d78d2p-12, -0x1.3563d094298eap-12, -0x1.2bab405da365fp-12, -0x1.224270756725ep-12, -0x1.1926a92871744p-12, -0x1.10554826a4c2fp-12, -0x1.07cbbffba09b3p-12, -0x1.ff0f2f1373b1p-13, -0x1.ef0cd30f99d81p-13, -0x1.df8bc7fff9211p-13, -0x1.d0878fa58e29p-13, -0x1.c1fbd074bd7ep-13, -0x1.b3e454a469875p-13, -0x1.a63d093d30f51p-13, -0x1.9901fd3102181p-13, -0x1.8c2f6073ec2dcp-13, -0x1.7fc1832052802p-13, -0x1.73b4d4925753cp-13, -0x1.6805e29496602p-13, -0x1.5cb1588b7f19bp-13, -0x1.51b3fea44cec5p-13, -0x1.470ab90b470d6p-13, -0x1.3cb28722eb637p-13, -0x1.32a882c12b2c5p-13, -0x1.28e9df709a3fp-13, -0x1.1f73e9b49be9ap-13, -0x1.16440654e2359p-13, -0x1.0d57b1a6f2111p-13, -0x1.04ac7ee12f851p-13, -0x1.f8802edc6227p-14, -0x1.e820748e931ecp-14, -0x1.d835769d6a5d8p-14, -0x1.c8bb056286afcp-14, -0x1.b9ad189109ad3p-14, -0x1.ab07ce072ed79p-14, -0x1.9cc768a0b57f2p-14, -0x1.8ee84f156eac7p-14, -0x1.81670ade85f0fp-14, -0x1.7440471c55a48p-14, -0x1.6770cf895795ep-14, -0x1.5af58f7363467p-14, -0x1.4ecb90b6c47d8p-14, -0x1.42effac333cc2p-14, -0x1.376011a9be2cbp-14, -0x1.2c193527ebbb6p-14, -0x1.2118dfc2287e8p-14, -0x1.165ca5dc667f9p-14, -0x1.0be234e661bb2p-14, -0x1.01a75275ae4c4p-14, -0x1.ef53b6fa48b8fp-15, -0x1.dbcf86faa4a04p-15, -0x1.c8be2779cff3cp-15, -0x1.b61bd50e171d6p-15, -0x1.a3e4f4dc1306p-15, -0x1.921613274eb78p-15, -0x1.80abe1ef48afap-15, -0x1.6fa3378c86ee6p-15, -0x1.5ef90d62f9c7ep-15, -0x1.4eaa7e95fd661p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.07c93accb6114p+0, 0x1.f7b0cb4d89d33p-1, 0x1.e012ae3c5a6e1p-1, 0x1.c901421ba89d9p-1, 0x1.b2b7a788e49b9p-1, 0x1.9d64c3cc162cap-1, 0x1.892cce09dba0cp-1, 0x1.762ab29cae309p-1, 0x1.64716f41e66e5p-1, 0x1.540d17939b878p-1, 0x1.4503ccafee0fcp-1, 0x1.3756be028d759p-1, 0x1.2b030a408a8aep-1, 0x1.20027385591dap-1, 0x1.164be77975ef7p-1, 0x1.0dd3fb4164b21p-1, 0x1.068d73bc27e33p-1, 0x1.0069c14000eafp-1, 0x1.f6b2abdbab6c1p-2, 0x1.ee97ce706545cp-2, 0x1.e861633d25dccp-2, 0x1.e3ece59ced128p-2, 0x1.e11907f8b1d16p-2, 0x1.dfc42597991ffp-2, 0x1.dfcd2ac4125cep-2, 0x1.e113b23a5ff2fp-2, 0x1.e37850cb69002p-2, 0x1.e6dcccb77634dp-2, 0x1.eb243618b6bc3p-2, 0x1.f032ed066181p-2, 0x1.f5eea7338bbb3p-2, 0x1.fc3e7bf91518cp-2, 0x1.018578d8083dcp-1, 0x1.051f0224ae759p-1, 0x1.08e19120c276fp-1, 0x1.0cc39198f5eb5p-1, 0x1.10bc1e7ad3bb2p-1, 0x1.14c2fce914f29p-1, 0x1.18d097728c049p-1, 0x1.1cddf887e77f8p-1, 0x1.20e4c3dffed9cp-1, 0x1.24df2f4790ad2p-1, 0x1.28c7fba1afb0fp-1, 0x1.2c9a6e85cf56ep-1, 0x1.30524c524d5c6p-1, 0x1.33ebd22b69fbfp-1, 0x1.3763af6a34422p-1, 0x1.3ab6fe5786c8fp-1, 0x1.3de33c713ddcbp-1, 0x1.40e642af401cp-1, 0x1.43be3e3e3bde1p-1, 0x1.4669a9ff4911dp-1, 0x1.48e748e5a314cp-1, 0x1.4b362118f1af9p-1, 0x1.4d55779f47581p-1, 0x1.4f44cc4527411p-1, 0x1.5103d585057f5p-1, 0x1.52927c4cc37c9p-1, 0x1.53f0d7a2302b2p-1, 0x1.551f2842722eep-1, 0x1.561dd4630753p-1, 0x1.56ed63b4e0c87p-1, 0x1.578e7bb8e637p-1, 0x1.58022ad020592p-1, 0x1.5848a393cd0e4p-1, 0x1.58631d662c685p-1, 0x1.585297f75e0ecp-1, 0x1.581822b538545p-1, 0x1.57b4da1c73dp-1, 0x1.5729e56678921p-1, 0x1.56787491e768p-1, 0x1.55a1beb769cc3p-1, 0x1.54a70094e60c4p-1, 0x1.53897b386e2fcp-1, 0x1.524a72b9b338ep-1, 0x1.50eb2cf9ac86dp-1, 0x1.4f6cf06945958p-1, 0x1.4dd102de3c85dp-1, 0x1.4c18a87f790a7p-1, 0x1.4a4522d04bdb5p-1, 0x1.4857afdddd9c9p-1, 0x1.4651898da9a2bp-1, 0x1.4433e508ee478p-1, 0x1.41fff240237ap-1, 0x1.3fb6db827e7bap-1, 0x1.3d59c527462c3p-1, 0x1.3ae9cd482a7fap-1, 0x1.38680b8c2b732p-1, 0x1.35d59101c6886p-1, 0x1.333368058a525p-1, 0x1.308294308888dp-1, 0x1.2dc4124956198p-1, 0x1.2af8d832b2e2fp-1, 0x1.2821d4d4bd479p-1, 0x1.253ff00032b4ap-1, 0x1.22540a4df71b7p-1, 0x1.1f5efcff3f246p-1, 0x1.1c6199e3a2a6dp-1, 0x1.195cab49f0becp-1, 0x1.1650f3ff32e9dp-1, 0x1.133f2f5d2a1edp-1, 0x1.1028116789dc1p-1, 0x1.0d0c46f580df2p-1, 0x1.09ec75e43c47cp-1, 0x1.06c93d4eca701p-1, 0x1.03a335c8285d2p-1, 0x1.007af194f5066p-1, 0x1.faa1f9c62cc5fp-2, 0x1.f44bbbfcdccd1p-2, 0x1.edf42b04a3b83p-2, 0x1.e79c3d0fefc23p-2, 0x1.e144dda4a2facp-2, 0x1.daeeedefc7e13p-2, 0x1.d49b45166946ep-2, 0x1.ce4ab0846f1afp-2, 0x1.c7fdf43a113efp-2, 0x1.c1b5cb17f5f41p-2, 0x1.bb72e729c94b3p-2, 0x1.b535f1eed1218p-2, 0x1.aeff8c9ffdae6p-2, 0x1.a8d05073141d5p-2, 0x1.a2a8cedac658fp-2, 0x1.9c8991c3dc875p-2, 0x1.96731bcfd8e3ep-2, 0x1.9065e88db1a86p-2, 0x1.8a626cb148251p-2, 0x1.8469164a41131p-2, 0x1.7e7a4cfabb0a1p-2, 0x1.7896722e26d33p-2, 0x1.72bde1505482ap-2, 0x1.6cf0f00495ad9p-2, 0x1.672fee5cb80b3p-2, 0x1.617b270f7d059p-2, 0x1.5bd2dfae43063p-2, 0x1.563758d9985cbp-2, 0x1.50a8ce74836a5p-2, 0x1.4b2777d66bd61p-2, 0x1.45b387fb9565cp-2, 0x1.404d2db4443b7p-2, 0x1.3af493d2909f3p-2, 0x1.35a9e157052a2p-2, 0x1.306d399c13312p-2, 0x1.2b3ebc8067ff4p-2, 0x1.261e869010658p-2, 0x1.210cb12c6bf23p-2, 0x1.1c0952b2c2842p-2, 0x1.17147ea16c625p-2, 0x1.122dd9551a762p-2, 0x1.0d56261fc4905p-2, 0x1.088d2c0296252p-2, 0x1.03d2f4fd0ba6cp-2, 0x1.fe4f113cd16a8p-3, 0x1.f515d83f944eep-3, 0x1.ebfa44fce4448p-3, 0x1.e2fc592c2b026p-3, 0x1.da1c1275cbeap-3, 0x1.d1596aa635a94p-3, 0x1.c8b457df7b636p-3, 0x1.c02cccc9068c9p-3, 0x1.b7c2b8bd0c24dp-3, 0x1.af7607f3924e8p-3, 0x1.a746a3aad25bp-3, 0x1.9f34724cfe55ep-3, 0x1.973f579364c8bp-3, 0x1.8f6734a71dd0bp-3, 0x1.87abe83f7105fp-3, 0x1.800d4ebe2b9eep-3, 0x1.788b424a3356p-3, 0x1.71259ae89b8fep-3, 0x1.69dc2e94823e2p-3, 0x1.62aed155ff43ep-3, 0x1.5b9d5558579d5p-3, 0x1.54a78affb562cp-3, 0x1.4dcd40fe828dep-3, 0x1.470e446a870e2p-3, 0x1.406a60d1e8f4bp-3, 0x1.39e1604ffc3f8p-3, 0x1.33730ba206541p-3, 0x1.2d1f2a3bcf56ep-3, 0x1.26e5825c02405p-3, 0x1.20c5d9204d9d8p-3, 0x1.1abff29928d58p-3, 0x1.14d391dd2715dp-3, 0x1.0f00791bd37f1p-3, 0x1.094669aff3639p-3, 0x1.03a524312327ep-3, 0x1.fc38d1098f3abp-4, 0x1.f157ebdc7f365p-4, 0x1.e6a7163cabad3p-4, 0x1.dc25cc83e26ebp-4, 0x1.d1d38a2002099p-4, 0x1.c7afc9ad54666p-4, 0x1.bdba050f72ab7p-4, 0x1.b3f1b588dca26p-4, 0x1.aa5653d12cc13p-4, 0x1.a0e7582a2bb08p-4, 0x1.97a43a73c80e1p-4, 0x1.8e8c723f0ap-4, 0x1.859f76e0256bfp-4, 0x1.7cdcbf7fbf95fp-4, 0x1.7443c32b81a89p-4, 0x1.6bd3f8e60af93p-4, 0x1.638cd7b65a413p-4, 0x1.5b6dd6b6b968bp-4, 0x1.53766d23404a6p-4, 0x1.4ba61267f2504p-4, 0x1.43fc3e2e84fadp-4, 0x1.3c78686bd170ap-4, 0x1.351a096cf73d3p-4, 0x1.2de099e4303fep-4, 0x1.26cb92f5559dcp-4, 0x1.1fda6e42155c4p-4, 0x1.190ca5f5d51f8p-4, 0x1.1261b4d141861p-4, 0x1.0bd9163582bdcp-4, 0x1.0572462f167f2p-4, 0x1.fe59830094aacp-5, 0x1.f2100b56a7781p-5, 0x1.e60721f804c17p-5, 0x1.da3dc52219c72p-5, 0x1.ceb2f4c9e3802p-5, 0x1.c365b2ace4009p-5, 0x1.b85502613cad5p-5, 0x1.ad7fe964f5544p-5, 0x1.a2e56f2c72457p-5, 0x1.98849d3013732p-5, 0x1.8e5c7ef90c121p-5, 0x1.846c222d68877p-5, 0x1.7ab2969b53e17p-5, 0x1.712eee43951c5p-5, 0x1.67e03d635ab9ep-5, 0x1.5ec59a7d447acp-5, 0x1.55de1e61c75fbp-5, 0x1.4d28e436e1bf7p-5, 0x1.44a5097f2f9f7p-5, 0x1.3c51ae205e9bdp-5, 0x1.342df469118dbp-5, 0x1.2c3901162df54p-5, 0x1.2471fb57a40a1p-5, 0x1.1cd80cd4afafdp-5, 0x1.156a61af9decp-5, 0x1.0e2828891abaep-5, 0x1.0710928307f84p-5, 0x1.0022d342eababp-5, 0x1.f2bc41e7d7ec5p-6, 0x1.e5836890f006ep-6, 0x1.d89990f6f0f01p-6, 0x1.cbfd36a270fdep-6, 0x1.bfacda2fd2fbep-6, 0x1.b3a7014fad9cp-6, 0x1.a7ea36c68ef28p-6, 0x1.9c750a6c1d63ep-6, 0x1.91461129a4197p-6, 0x1.865be4f8114f9p-6, 0x1.7bb524dd6193p-6, 0x1.715074e987669p-6, 0x1.672c7e32d0ba2p-6, 0x1.5d47eed1cdb86p-6, 0x1.53a179dcbff36p-6, 0x1.4a37d762940d6p-6, 0x1.4109c4656e4f6p-6, 0x1.381602d4c810ep-6, 0x1.2f5b598726627p-6, 0x1.26d894336ee88p-6, 0x1.1e8c8369dfd3p-6, 0x1.1675fc8ca605p-6, 0x1.0e93d9c82033bp-6, 0x1.06e4fa0acfafcp-6, 0x1.fed081f9e5436p-7, 0x1.f0392defb4086p-7, 0x1.e201d1f9e303ep-7, 0x1.d42851590353bp-7, 0x1.c6aa98786703fp-7, 0x1.b9869cdaa8231p-7, 0x1.acba5d05ae5bap-7, 0x1.a043e06e5912ep-7, 0x1.94213763a53c6p-7, 0x1.88507af9845dfp-7, 0x1.7ccfccf34b6dcp-7, 0x1.719d57adc3652p-7, 0x1.66b74e08eb03dp-7, 0x1.5c1beb516f63bp-7, 0x1.51c97329d183ap-7, 0x1.47be31734f4dfp-7, 0x1.3df87a3688c96p-7, 0x1.3476a98bee662p-7, 0x1.2b372383f7fc3p-7, 0x1.2238540f30707p-7, 0x1.1978aee60c6f3p-7, 0x1.10f6af709c46fp-7, 0x1.08b0d8ae27629p-7, 0x1.00a5b51c95859p-7, 0x1.f1a7ad3f93118p-8, 0x1.e273acd1ca05dp-8, 0x1.d3aca9bae6e7dp-8, 0x1.c54ff2fd1baccp-8, 0x1.b75ae59fd8a3ep-8, 0x1.a9caec7df7bc2p-8, 0x1.9c9d8013c40a7p-8, 0x1.8fd0264d1744ep-8, 0x1.83607253746cep-8, 0x1.774c045c35e5dp-8, 0x1.6b908976bfc4p-8, 0x1.602bbb5ae4c66p-8, 0x1.551b60375f944p-8, 0x1.4a5d4a805db6ap-8, 0x1.3fef58be5a39dp-8, 0x1.35cf755d0c4b7p-8, 0x1.2bfb967a9d567p-8, 0x1.2271bdb71061cp-8, 0x1.192ff803e36abp-8, 0x1.10345d74177c1p-8, 0x1.077d110c44e05p-8, 0x1.fe1081267a6p-9, 0x1.eda848c5a3f0ep-9, 0x1.dd640a2109a05p-9, 0x1.cdf6cb90469cp-9, 0x1.bf00da960a208p-9, 0x1.b07ef73679c47p-9, 0x1.a26df4c03ceccp-9, 0x1.94cab97449708p-9, 0x1.87923e2e70c47p-9, 0x1.7ac18e0f006e4p-9, 0x1.6e55c625133ccp-9, 0x1.624c1519f0269p-9, 0x1.56a1badd31925p-9, 0x1.4b54085218acp-9, 0x1.40605efd85ac2p-9, 0x1.35c430b51179dp-9, 0x1.2b7cff4f156e6p-9, 0x1.21885c53ad0aep-9, 0x1.17e3e8ae8889cp-9, 0x1.0e8d5461e66b9p-9, 0x1.05825e3a6e32cp-9, 0x1.f981a70805a31p-10, 0x1.e88d1f7efb2f1p-10, 0x1.d822f8b33fbe1p-10, 0x1.c83f20c545d55p-10, 0x1.b8dda08dfac43p-10, 0x1.a9fa9b121abc2p-10, 0x1.9b924cf762496p-10, 0x1.8da10bfbd338ep-10, 0x1.8023466e9b33cp-10, 0x1.731582ab32eebp-10, 0x1.66745e961ccedp-10, 0x1.5a3c8f1baa987p-10, 0x1.4e6adfb07496bp-10, 0x1.42fc31d41fdbep-10, 0x1.37ed7c955b41bp-10, 0x1.2d3bcc1823a0ap-10, 0x1.22e4411dbbc06p-10, 0x1.18e4108e6c46p-10, 0x1.0f38830531e6dp-10, 0x1.05def45d142eep-10, 0x1.f9a9a6807c9b4p-11, 0x1.e82f41723aeb5p-11, 0x1.d749df8a0ab8ep-11, 0x1.c6f4c9d1543a5p-11, 0x1.b72b6b8d29fa4p-11, 0x1.a7e9516d854cbp-11, 0x1.992a28c1615d7p-11, 0x1.8ae9bead7a752p-11, 0x1.7d23ff66cc82ep-11, 0x1.6fd4f57002a67p-11, 0x1.62f8c8db47e5ep-11, 0x1.568bbe8e83cf1p-11, 0x1.4a8a378b927d1p-11, 0x1.3ef0b03bae77ep-11, 0x1.33bbbfbe53d0ap-11, 0x1.28e8173b32a47p-11, 0x1.1e728137d901fp-11, 0x1.1457e0f087749p-11, 0x1.0a9531b3e6cd8p-11, 0x1.012786432d0dfp-11, 0x1.f0181068166aep-12, 0x1.de7feeadc6085p-12, 0x1.cd81523f78652p-12, 0x1.bd17102567268p-12, 0x1.ad3c2666799d1p-12, 0x1.9debbaed6f0c2p-12, 0x1.8f211a749b08cp-12, 0x1.80d7b7769b042p-12, 0x1.730b29264a6acp-12, 0x1.65b72a6c1b1e3p-12, 0x1.58d798e94e228p-12, 0x1.4c687401ddea4p-12, 0x1.4065dbe9dae45p-12, 0x1.34cc10bb976fep-12, 0x1.2997719154ef8p-12, 0x1.1ec47ba459432p-12, 0x1.144fc9728c72ep-12, 0x1.0a3611e880c05p-12, 0x1.007427911f064p-12, 0x1.ee0def942aa2ap-13, 0x1.dbd713fad4a68p-13, 0x1.ca3dfdc0aeedfp-13, 0x1.b93d1f6bede0fp-13, 0x1.a8cf1b3067763p-13, 0x1.98eec18674e88p-13, 0x1.89970fcf4a944p-13, 0x1.7ac32eff1a6ap-13, 0x1.6c6e72514af2p-13, 0x1.5e94560393b82p-13, 0x1.51307e1c14dd9p-13, 0x1.443eb53493856p-13, 0x1.37baeb4ff525ap-13, 0x1.2ba134b55a32fp-13, 0x1.1fedc8d45a29dp-13, 0x1.149d012fec42fp-13, 0x1.09ab5850fe6c3p-13, 0x1.fe2ad17ede224p-14, 0x1.e9afd80444adfp-14, 0x1.d5df734ce01a2p-14, 0x1.c2b38c9889f36p-14, 0x1.b0264577bc6f3p-14, 0x1.9e31f5fd606e5p-14, 0x1.8cd12affb2dc6p-14, 0x1.7bfea465448a8p-14, 0x1.6bb5537d4ba73p-14, 0x1.5bf05961821fep-14, 0x1.4cab056779c6bp-14, 0x1.3de0d39850ee8p-14, 0x1.2f8d6b36161bcp-14, 0x1.21ac9d49fc8d6p-14, 0x1.143a633e9f89dp-14, 0x1.0732dd81277b4p-14, 0x1.f524a45e7987fp-15, 0x1.dcaa5799e39afp-15, 0x1.c4eff008ab238p-15, 0x1.adeeccdd77e5dp-15, 0x1.97a08ec711ec2p-15, 0x1.81ff15ad1ccc9p-15, 0x1.6d047e6f5554p-15, 0x1.58ab20bfc3102p-15, 0x1.44ed8d0323c49p-15, 0x1.31c68a4f51014p-15, 0x1.1f3114688a899p-15, 0x1.0d2859d9d226dp-15, 0x1.f74f7432f4e84p-16, 0x1.d5558770265fcp-16, 0x1.b45a6546bd393p-16, 0x1.9455dce2180fep-16, 0x1.754011765f7f9p-16, 0x1.57117715575cep-16, 0x1.39c2cf88db2adp-16, 0x1.1d4d2768bc8e3p-16, 0x1.01a9d3295bc8fp-16, 0x1.cda4d8a40d55cp-17, 0x1.99819d875ce88p-17, 0x1.66de2c47dd2d5p-17, 0x1.35af3684d39ddp-17, 0x1.05e9e36334707p-17, 0x1.af07958336d62p-18, 0x1.54e5e1544b6a7p-18, 0x1.fab703700eacap-19, 0x1.50ac2a1e60f24p-19, 0x1.570fe147f41aep-20, 0x1.650fcaf9a80b3p-24, -0x1.2125500205242p-20, -0x1.27c8ae68c1297p-19, -0x1.ba9780440ea56p-19, -0x1.248deb323880ep-18, -0x1.69b8a21758999p-18, -0x1.acd9223cdbb89p-18, -0x1.edfc2305abe5p-18, -0x1.1696edde398bp-17, -0x1.353d04ae8db22p-17, -0x1.52f5fa01f1b9bp-17, -0x1.6fc73a3278c73p-17, -0x1.8bb5fc6f1469cp-17, -0x1.a6c7452575af6p-17, -0x1.c0ffe879eb33fp-17, -0x1.da648c7d41b77p-17, -0x1.f2f9ab5daf0c5p-17, -0x1.0561cac49cde4p-16, -0x1.10e339d2ce8cap-16, -0x1.1c0324475e1e8p-16, -0x1.26c37990891f9p-16, -0x1.3126180e01e2ep-16, -0x1.3b2ccddc0005cp-16, -0x1.44d959aec1d41p-16, -0x1.4e2d6b97834eap-16, -0x1.572aa5c70aef1p-16, -0x1.5fd29d42e3f08p-16, -0x1.6826da92d6af3p-16, -0x1.7028da720ed36p-16, -0x1.77da0e66538a4p-16, -0x1.7f3bdd5d5659ap-16, -0x1.864fa441d6d76p-16, -0x1.8d16b681554c5p-16, -0x1.93925e97e4982p-16, -0x1.99c3de8389286p-16, -0x1.9fac704dfc1edp-16, -0x1.a54d4674413bap-16, -0x1.aaa78c5740104p-16, -0x1.afbc66a4a4a87p-16, -0x1.b48cf3b690f5dp-16, -0x1.b91a4bf6cea0bp-16, -0x1.bd658234fa065p-16, -0x1.c16fa3fb2a432p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2f049b08bfb75p-2, -0x1.3a53c45033a92p-2, -0x1.45276ac356e8p-2, -0x1.4f7d910fd6395p-2, -0x1.59548c5f286dfp-2, -0x1.62ab012c06823p-2, -0x1.6b7fe006c7b9ap-2, -0x1.73d2624ffc854p-2, -0x1.7ba206ef78d13p-2, -0x1.82ee8f0d079cep-2, -0x1.89b7facf31494p-2, -0x1.8ffe8623be45fp-2, -0x1.95c2a59500222p-2, -0x1.9b05032e6e8c8p-2, -0x1.9fc67b729832fp-2, -0x1.a4081a641b58bp-2, -0x1.a7cb18a2ea46ep-2, -0x1.ab10d89edf139p-2, -0x1.addae3e058c83p-2, -0x1.b02ae86761e3fp-2, -0x1.b202b621a7e96p-2, -0x1.b3643c776564cp-2, -0x1.b45187ef2e95dp-2, -0x1.b4ccbfe87c3b7p-2, -0x1.b4d8246ca324ep-2, -0x1.b4760c15dd7d8p-2, -0x1.b3a8e20bf1b88p-2, -0x1.b2732415ede32p-2, -0x1.b0d760c06db5bp-2, -0x1.aed83597d2c6bp-2, -0x1.ac784d75cbb4p-2, -0x1.a9ba5ee19369bp-2, -0x1.a6a12a823c8dcp-2, -0x1.a32f79a2746abp-2, -0x1.9f681cc51719ap-2, -0x1.9b4dea4a04aa2p-2, -0x1.96e3bd229ce8cp-2, -0x1.922c739558fd3p-2, -0x1.8d2aee0ffa889p-2, -0x1.87e20e07d19aap-2, -0x1.8254b4e79d05fp-2, -0x1.7c85c30a94edcp-2, -0x1.767816c434ad2p-2, -0x1.702e8b745bdc4p-2, -0x1.69abf8a767e4cp-2, -0x1.62f33141ecdd3p-2, -0x1.5c0702b7b5b6p-2, -0x1.54ea344dc0f34p-2, -0x1.4d9f8666e26e2p-2, -0x1.4629b1dacd6c8p-2, -0x1.3e8b67573692fp-2, -0x1.36c74ecacfadp-2, -0x1.2ee006d9d841p-2, -0x1.26d8245c01d5cp-2, -0x1.1eb231e370115p-2, -0x1.1670af4c89eafp-2, -0x1.0e1611566ce21p-2, -0x1.05a4c143b7759p-2, -0x1.fa3e3906f3332p-3, -0x1.e90ee8c40d1e4p-3, -0x1.d7c01b82e0874p-3, -0x1.c65641b2d6404p-3, -0x1.b4d5b1fcbeb31p-3, -0x1.a342a8dedc497p-3, -0x1.91a1485648dfbp-3, -0x1.7ff597954f576p-3, -0x1.6e4382c62bad6p-3, -0x1.5c8edad9c47fap-3, -0x1.4adb5561dd96dp-3, -0x1.392c8c764145ep-3, -0x1.2785fea47710ap-3, -0x1.15eb0ee97bbedp-3, -0x1.045f04b50eaap-3, -0x1.e5ca17ec29775p-4, -0x1.c3006a5f49d3p-4, -0x1.a066eb2c7d4b5p-4, -0x1.7e034e697628p-4, -0x1.5bdb1231278b4p-4, -0x1.39f37f09f533dp-4, -0x1.1851a858d78bfp-4, -0x1.edf4d9c112b0fp-5, -0x1.abe4ee97f6739p-5, -0x1.6a7c7d8683446p-5, -0x1.29c40f147aa54p-5, -0x1.d3878ea10d72ap-6, -0x1.5506ce6031e53p-6, -0x1.b02937fa0cb42p-7, -0x1.72fbd6cf7fdaep-8, 0x1.cece386023641p-10, 0x1.29c4d1b0df0ccp-7, 0x1.0b15ca49baec6p-6, 0x1.7f7beb6de7377p-6, 0x1.f20a6005ac8ap-6, 0x1.315bb447aac5fp-5, 0x1.68bcf765b17a7p-5, 0x1.9f24c11b67176p-5, 0x1.d48f2a3e4994ep-5, 0x1.047c4d780f00cp-4, 0x1.1e2ee468b8af2p-4, 0x1.375dda9909f5ap-4, 0x1.5007d5a02075dp-4, 0x1.682b9f1b8760dp-4, 0x1.7fc823c664c98p-4, 0x1.96dc7290e2f41p-4, 0x1.ad67bbb81822bp-4, 0x1.c3694fdeae7d5p-4, 0x1.d8e09f2683d97p-4, 0x1.edcd384b75a0bp-4, 0x1.011763dfcc2cdp-3, 0x1.0b028b6479cfcp-3, 0x1.14a8055082de7p-3, 0x1.1e07d1cb11227p-3, 0x1.2721fe176e74ep-3, 0x1.2ff6a427d1e1dp-3, 0x1.3885ea314c6cfp-3, 0x1.40d00240eb75bp-3, 0x1.48d529d21c2a7p-3, 0x1.5095a96658d5bp-3, 0x1.5811d41e2b758p-3, 0x1.5f4a0753902a8p-3, 0x1.663eaa35c12c1p-3, 0x1.6cf02d66742c8p-3, 0x1.735f0a9887699p-3, 0x1.798bc43037ed6p-3, 0x1.7f76e4e4cbe1cp-3, 0x1.8520ff63d0a18p-3, 0x1.8a8aadf5e036bp-3, 0x1.8fb49224ef278p-3, 0x1.949f546436cbep-3, 0x1.994ba3b9ab76ap-3, 0x1.9dba356910ea5p-3, 0x1.a1ebc4a09f06cp-3, 0x1.a5e1122745a3ap-3, 0x1.a99ae40c888ecp-3, 0x1.ad1a0559f7325p-3, 0x1.b05f45c63c5e9p-3, 0x1.b36b7969cf035p-3, 0x1.b63f78753787ap-3, 0x1.b8dc1ee8f28cap-3, 0x1.bb424c4eeaf22p-3, 0x1.bd72e3758dc16p-3, 0x1.bf6eca2c73981p-3, 0x1.c136e902a2365p-3, 0x1.c2cc2b0659ep-3, 0x1.c42f7d8682cc1p-3, 0x1.c561cfd59772ep-3, 0x1.c664130e2fcbdp-3, 0x1.c73739d90a4adp-3, 0x1.c7dc3834a4361p-3, 0x1.c854033e525efp-3, 0x1.c89f90fcea13fp-3, 0x1.c8bfd82cd7fdbp-3, 0x1.c8b5d00dc6535p-3, 0x1.c8827031b39d6p-3, 0x1.c826b04d81f22p-3, 0x1.c7a3880afeaa4p-3, 0x1.c6f9eedc547c6p-3, 0x1.c62adbd0f0c9bp-3, 0x1.c537456bcc486p-3, 0x1.c420217b20b6dp-3, 0x1.c2e664f1775d9p-3, 0x1.c18b03c01d922p-3, 0x1.c00ef0b2eda19p-3, 0x1.be731d4d708a3p-3, 0x1.bcb879a94fb7ep-3, 0x1.badff456141f9p-3, 0x1.b8ea7a3a30165p-3, 0x1.b6d8f67549566p-3, 0x1.b4ac5243c878p-3, 0x1.b26574e39d295p-3, 0x1.b005437a41b1ep-3, 0x1.ad8ca0fbe603p-3, 0x1.aafc6e13d0677p-3, 0x1.a855890de3fd3p-3, 0x1.a598cdc145efcp-3, 0x1.a2c7157c2a3efp-3, 0x1.9fe136f0af71ap-3, 0x1.9ce80622d827p-3, 0x1.99dc54578ba9cp-3, 0x1.96bef004a8f27p-3, 0x1.9390a4c2145aap-3, 0x1.90523b3bcfd5ep-3, 0x1.8d04792505ef8p-3, 0x1.89a8212c0bf4dp-3, 0x1.863df2ef56034p-3, 0x1.82c6aaf3526d4p-3, 0x1.7f4302992d568p-3, 0x1.7bb3b01671f92p-3, 0x1.7819666d86105p-3, 0x1.7474d566ff67p-3, 0x1.70c6a98bc1f3cp-3, 0x1.6d0f8c1febc8ap-3, 0x1.6950231e89905p-3, 0x1.6589113604a44p-3, 0x1.61baf5c550027p-3, 0x1.5de66cd9c9958p-3, 0x1.5a0c0f2dc7e4p-3, 0x1.562c7227d88cap-3, 0x1.524827daa09cp-3, 0x1.4e5fbf055b366p-3, 0x1.4a73c314fa1abp-3, 0x1.4684bc25d2014p-3, 0x1.42932f05e0e91p-3, 0x1.3e9f9d379d9cbp-3, 0x1.3aaa84f549667p-3, 0x1.36b46134cbdd3p-3, 0x1.32bda9ac03aeep-3, 0x1.2ec6d2d593707p-3, 0x1.2ad04df6236b7p-3, 0x1.26da89220cf91p-3, 0x1.22e5ef437593p-3, 0x1.1ef2e820c8e35p-3, 0x1.1b01d8639aa08p-3, 0x1.1713219fdcd9dp-3, 0x1.1327225b7543cp-3, 0x1.0f3e361620cd4p-3, 0x1.0b58b551aac4ep-3, 0x1.0776f59a6a5ccp-3, 0x1.03994990084eep-3, 0x1.ff8001dd1cc9ep-4, 0x1.f7d6d12f4cfecp-4, 0x1.f03795384e09bp-4, 0x1.e8a2dc8b8dcc6p-4, 0x1.e11930421ae68p-4, 0x1.d99b140edfd8fp-4, 0x1.d2290653345d6p-4, 0x1.cac38033c32fp-4, 0x1.c36af5adb7f3dp-4, 0x1.bc1fd5ac2c7afp-4, 0x1.b4e28a1de3631p-4, 0x1.adb3780b242d3p-4, 0x1.a692ffabd15dbp-4, 0x1.9f817c7db1a1bp-4, 0x1.987f455ad10e4p-4, 0x1.918cac9006705p-4, 0x1.8aa9fff391971p-4, 0x1.83d788fbcfc99p-4, 0x1.7d158cd5fc5f8p-4, 0x1.76644c7cfd504p-4, 0x1.6fc404d033743p-4, 0x1.6934eeaa4cb4dp-4, 0x1.62b73ef810422p-4, 0x1.5c4b26cf23eb3p-4, 0x1.55f0d384c3643p-4, 0x1.4fa86ec4675d1p-4, 0x1.49721ea657d5ap-4, 0x1.434e05c62576ep-4, 0x1.3d3c435906f3bp-4, 0x1.373cf3441745ap-4, 0x1.31502e326facep-4, 0x1.2b7609ab1c644p-4, 0x1.25ae9826e8b1ep-4, 0x1.1ff9e925fd3adp-4, 0x1.1a580945511ffp-4, 0x1.14c90253e8711p-4, 0x1.0f4cdb67df40ep-4, 0x1.09e398f33dd63p-4, 0x1.048d3cd89572ap-4, 0x1.fe938cfec0758p-5, 0x1.f43265d04e214p-5, 0x1.e9f6f980cdbbcp-5, 0x1.dfe138ec6cb7cp-5, 0x1.d5f11097536cap-5, 0x1.cc2668d3e6a89p-5, 0x1.c28125e87d39ap-5, 0x1.b90128348b8adp-5, 0x1.afa64c553f59ep-5, 0x1.a6706b4989688p-5, 0x1.9d5f5a9597a15p-5, 0x1.9472ec65b6888p-5, 0x1.8baaefb09e8cdp-5, 0x1.830730592ac17p-5, 0x1.7a87774f73061p-5, 0x1.722b8ab14ff1fp-5, 0x1.69f32dea4179p-5, 0x1.61de21d2ba0dp-5, 0x1.59ec24cece3bp-5, 0x1.521cf2ec475c7p-5, 0x1.4a70460018a84p-5, 0x1.42e5d5c33758p-5, 0x1.3b7d57eed5e03p-5, 0x1.34368058012f3p-5, 0x1.2d11010aa2c1bp-5, 0x1.260c8a63e3af1p-5, 0x1.1f28cb2bf6a82p-5, 0x1.186570af42ed6p-5, 0x1.11c226d6f7fabp-5, 0x1.0b3e984105ae7p-5, 0x1.04da6e5779a1dp-5, 0x1.fd2aa2ce900bbp-6, 0x1.f0ddd16cf57fbp-6, 0x1.e4cdb53396ad7p-6, 0x1.d8f9991350cc1p-6, 0x1.cd60c66d4f4a6p-6, 0x1.c202853acbd49p-6, 0x1.b6de1c33add79p-6, 0x1.abf2d0f40ae99p-6, 0x1.a13fe8208f20cp-6, 0x1.96c4a589c9d4ap-6, 0x1.8c804c4e67eefp-6, 0x1.82721efc60051p-6, 0x1.78995fb10e1e2p-6, 0x1.6ef55038462e6p-6, 0x1.6585322a64524p-6, 0x1.5c48470955dbp-6, 0x1.533dd05ca6704p-6, 0x1.4a650fcc979b1p-6, 0x1.41bd473c38e0ap-6, 0x1.3945b8e296f1dp-6, 0x1.30fda762f7603p-6, 0x1.28e455e429ffap-6, 0x1.20f90826f9198p-6, 0x1.193b029bb4edap-6, 0x1.11a98a76df6c7p-6, 0x1.0a43e5c50422fp-6, 0x1.03095b7db7699p-6, 0x1.f7f2672b8d619p-7, 0x1.ea256e2133d7dp-7, 0x1.dcaa60219fe59p-7, 0x1.cf7fd3d028e72p-7, 0x1.c2a4624c6fca7p-7, 0x1.b616a74f19fffp-7, 0x1.a9d54145106ep-7, 0x1.9dded1696c9ecp-7, 0x1.9231fbddfc3c4p-7, 0x1.86cd67c26a55bp-7, 0x1.7bafbf4a2bfbcp-7, 0x1.70d7afd119afep-7, 0x1.6643e9eecd927p-7, 0x1.5bf32188d89cap-7, 0x1.51e40de3bf6a8p-7, 0x1.481569b2d3b0dp-7, 0x1.3e85f326fb8b7p-7, 0x1.35346bfc5553dp-7, 0x1.2c1f9986d9ea9p-7, 0x1.234644bdf526fp-7, 0x1.1aa73a4720aa9p-7, 0x1.12414a7f891e5p-7, 0x1.0a134984c452cp-7, 0x1.021c0f3ca0015p-7, 0x1.f4b4eeb820261p-8, 0x1.e59ac2da865e9p-8, 0x1.d6e761a9cae67p-8, 0x1.c89899ad2f4f5p-8, 0x1.baac413142ddap-8, 0x1.ad20364dcbbe1p-8, 0x1.9ff25eea3fc7bp-8, 0x1.9320a8c0dc463p-8, 0x1.86a90960689ep-8, 0x1.7a897e2cada4ap-8, 0x1.6ec00c5db2d8fp-8, 0x1.634ac0fdc8846p-8, 0x1.5827b0e66df89p-8, 0x1.4d54f8bc1c5aep-8, 0x1.42d0bce905794p-8, 0x1.38992996cc494p-8, 0x1.2eac72a747acdp-8, 0x1.2508d3ac5445dp-8, 0x1.1bac8fdec4d37p-8, 0x1.1295f214774aap-8, 0x1.09c34cb59b544p-8, 0x1.0132f9b132eb2p-8, 0x1.f1c6b4e1a7b47p-9, 0x1.e1a5af97729f6p-9, 0x1.d1ffc3f25137ep-9, 0x1.c2d1e10468bfbp-9, 0x1.b4190465cf77ep-9, 0x1.a5d23a15bdb3p-9, 0x1.97fa9c5ab2f06p-9, 0x1.8a8f53a190b12p-9, 0x1.7d8d965bcd5d8p-9, 0x1.70f2a8dcb909cp-9, 0x1.64bbdd35f670fp-9, 0x1.58e6931327065p-9, 0x1.4d703794e010bp-9, 0x1.4256452af4a33p-9, 0x1.3796436e1e95p-9, 0x1.2d2dc6f9187bdp-9, 0x1.231a71412c098p-9, 0x1.1959f06e4b525p-9, 0x1.0fe9ff32b7cb4p-9, 0x1.06c864a247547p-9, 0x1.fbe5e81297a1bp-10, 0x1.eacf198660dbfp-10, 0x1.da4834219ffbep-10, 0x1.ca4d25dd1d08dp-10, 0x1.bad9f3d47f12dp-10, 0x1.abeab9f1d309ep-10, 0x1.9d7baa98c1846p-10, 0x1.8f890e5199bd2p-10, 0x1.820f437442ab8p-10, 0x1.750abdd30ed66p-10, 0x1.6878066598083p-10, 0x1.5c53baf39e639p-10, 0x1.509a8dc0093f4p-10, 0x1.4549453408a88p-10, 0x1.3a5cbb8a6bd06p-10, 0x1.2fd1de7b33252p-10, 0x1.25a5aee7791d9p-10, 0x1.1bd540859e91dp-10, 0x1.125db98de68b8p-10, 0x1.093c526774093p-10, 0x1.006e5555c1cfp-10, 0x1.efe23c4d18c18p-11, 0x1.df8433c09cb55p-11, 0x1.cfbd8ce283bdap-11, 0x1.c08964bdf55d2p-11, 0x1.b1e2f8ed37bacp-11, 0x1.a3c5a6fb64eafp-11, 0x1.962cebc773cafp-11, 0x1.891462e8a17e9p-11, 0x1.7c77c61448649p-11, 0x1.7052ec852f18bp-11, 0x1.64a1ca645810fp-11, 0x1.596070335eac2p-11, 0x1.4e8b0a3866a6p-11, 0x1.441ddfeba9339p-11, 0x1.3a155366a687bp-11, 0x1.306de0d502bd5p-11, 0x1.27241de713c5ap-11, 0x1.1e34b94627cb2p-11, 0x1.159c7a0a896f5p-11, 0x1.0d583f3343773p-11, 0x1.0564ff1fae7cp-11, 0x1.fb7f8e158af26p-12, 0x1.eccb751093176p-12, 0x1.dea826076dd5dp-12, 0x1.d1103e8215c05p-12, 0x1.c3fe85bec1a42p-12, 0x1.b76debbaca12dp-12, 0x1.ab59883f41213p-12, 0x1.9fbc99f13933ep-12, 0x1.94928565c2816p-12, 0x1.89d6d43998fc5p-12, 0x1.7f85342c887f5p-12, 0x1.7599764082481p-12, 0x1.6c0f8ddc617f4p-12, 0x1.62e38ff2634fdp-12, 0x1.5a11b22a47bd6p-12, 0x1.51964a0f1c218p-12, 0x1.496dcc40ae681p-12, 0x1.4194cba89c6f8p-12, 0x1.3a07f8b304f3dp-12, 0x1.32c4208acf35cp-12, 0x1.2bc62c598383p-12, 0x1.250b208ab2d29p-12, 0x1.1e901c12e0d8dp-12, 0x1.185257b9f3476p-12, 0x1.124f25691601dp-12, 0x1.0c83ef7c12072p-12, 0x1.06ee38160ef46p-12, 0x1.018b9879b61f3p-12, 0x1.f8b380c963bffp-13, 0x1.eeaceadcf8e02p-13, 0x1.e4ff24d4f2cedp-13, 0x1.dba60d9aa0c9bp-13, 0x1.d29dac2afd0a3p-13, 0x1.c9e22e6e30b49p-13, 0x1.c16fe8155dc38p-13, 0x1.b943517ea0851p-13, 0x1.b159069f3ddc2p-13, 0x1.a9adc5f3d6a33p-13, 0x1.a23e6f76a4b15p-13, 0x1.9b08039b9392ep-13, 0x1.9407a2523edcfp-13, 0x1.8d3a8a0da0f7cp-13, 0x1.869e16d17b616p-13, 0x1.802fc145537c1p-13, 0x1.79ed1dcceb947p-13, 0x1.73d3dba638212p-13, 0x1.6de1c40ca0981p-13, 0x1.6814b961913fep-13, 0x1.626ab65a3743dp-13, 0x1.5ce1cd3257b8fp-13, 0x1.577826e42eab5p-13, 0x1.522c02653fadap-13, 0x1.4cfbb3e8024e5p-13, 0x1.47e5a422586d6p-13, 0x1.42e84f98b287bp-13, 0x1.3e0245edd80eep-13, 0x1.3932293736149p-13, 0x1.3476ad55a4128p-13, 0x1.2fce975287649p-13, 0x1.2b38bcc147f18p-13, 0x1.26b40324f762bp-13, 0x1.223f5f5a1f35cp-13, 0x1.1dd9d5049e3c2p-13, 0x1.1982760183852p-13, 0x1.153861dcd02e7p-13, 0x1.10fac54b0b62cp-13, 0x1.0cc8d9a6a31f7p-13, 0x1.08a1e470ebd2p-13, 0x1.048536d6c8b4ap-13, 0x1.00722d38d548cp-13, 0x1.f8d05d6e1510fp-14, 0x1.f0cd597f808f1p-14, 0x1.e8da454413bc3p-14, 0x1.e0f62a4690902p-14, 0x1.d920242fe5406p-14, 0x1.d1575ffeecacep-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.171e255213f65p-2, -0x1.2349e246671adp-2, -0x1.2f3975c629442p-2, -0x1.3aeb57e4a08fep-2, -0x1.465e20442288bp-2, -0x1.519085613f311p-2, -0x1.5c815bd1108e9p-2, -0x1.672f95751d089p-2, -0x1.719a40a70c4e4p-2, -0x1.7bc0875e128ddp-2, -0x1.85a1ae4fc482dp-2, -0x1.8f3d140dd2fd4p-2, -0x1.98923021f66aap-2, -0x1.a1a09229275eap-2, -0x1.aa67e0ef23a25p-2, -0x1.b2e7d98b10422p-2, -0x1.bb204e7dfcc0ap-2, -0x1.c31126d3dc16fp-2, -0x1.caba5d4783c2ap-2, -0x1.d21bff6a22cbbp-2, -0x1.d9362cce8aea3p-2, -0x1.e0091638a5844p-2, -0x1.e694fcd14db1ap-2, -0x1.ecda315ec4ec5p-2, -0x1.f2d91381eca6fp-2, -0x1.f89210f860ee9p-2, -0x1.fe05a4e389a56p-2, -0x1.019a2b8a543eep-1, -0x1.040f5daefb177p-1, -0x1.0662b8745fbf5p-1, -0x1.089490c842d24p-1, -0x1.0aa540a18a6a6p-1, -0x1.0c9526b2c1e0ep-1, -0x1.0e64a61f02621p-1, -0x1.101426313feefp-1, -0x1.11a41215eb67fp-1, -0x1.1314d896dea1ap-1, -0x1.1466ebd9889e2p-1, -0x1.159ac11f4abfap-1, -0x1.16b0d087fb4b1p-1, -0x1.17a994d6807b3p-1, -0x1.18858b377680ep-1, -0x1.19453309d4c95p-1, -0x1.19e90da984069p-1, -0x1.1a719e3bdb155p-1, -0x1.1adf697df4acdp-1, -0x1.1b32f594d3f3ep-1, -0x1.1b6cc9df4906ap-1, -0x1.1b8d6ec98fedep-1, -0x1.1b956da299c24p-1, -0x1.1b855072f8f15p-1, -0x1.1b5da1d564c5ap-1, -0x1.1b1eecd0ccb63p-1, -0x1.1ac9bcb3ef2e8p-1, -0x1.1a5e9cf26be38p-1, -0x1.19de19034a73bp-1, -0x1.1948bc40e9027p-1, -0x1.189f11ca4d4eep-1, -0x1.17e1a465d023p-1, -0x1.1710fe65173c2p-1, -0x1.162da98a5b786p-1, -0x1.15382eeeeda8p-1, -0x1.143116eaf6ee3p-1, -0x1.1318e8fe6a226p-1, -0x1.11f02bbb200b6p-1, -0x1.10b764b01730cp-1, -0x1.0f6f1855ce784p-1, -0x1.0e17c9fbb5471p-1, -0x1.0cb1fbb6a77acp-1, -0x1.0b3e2e507143dp-1, -0x1.09bce138501c2p-1, -0x1.082e92746d1bap-1, -0x1.0693be944655fp-1, -0x1.04ece0a403f3dp-1, -0x1.033a7220aeb39p-1, -0x1.017ceaed41df3p-1, -0x1.ff69829129f8ep-2, -0x1.fbc4d38820e9fp-2, -0x1.f80cae76583a7p-2, -0x1.f441f5975a88cp-2, -0x1.f065879d40afbp-2, -0x1.ec783fa409bc1p-2, -0x1.e87af52650f8p-2, -0x1.e46e7bf34d5fcp-2, -0x1.e053a426199fcp-2, -0x1.dc2b3a1e2804ap-2, -0x1.d7f60678e8861p-2, -0x1.d3b4ce0c86f97p-2, -0x1.cf6851e3bb44p-2, -0x1.cb114f3a9facap-2, -0x1.c6b07f7c8481ap-2, -0x1.c2469842b05bap-2, -0x1.bdd44b540746cp-2, -0x1.b95a46a58c0f9p-2, -0x1.b4d9345bb0b6dp-2, -0x1.b051bacc72154p-2, -0x1.abc47c822842p-2, -0x1.a732183f13355p-2, -0x1.a29b29018b076p-2, -0x1.9e004608d3595p-2, -0x1.996202da898dfp-2, -0x1.94c0ef489fc03p-2, -0x1.901d9777e2b27p-2, -0x1.8b7883e6feda1p-2, -0x1.86d23975fdeb2p-2, -0x1.822b396e356ccp-2, -0x1.7d84018aa3b1p-2, -0x1.78dd0c00a8b86p-2, -0x1.7436cf89243cfp-2, -0x1.6f91bf69e51a5p-2, -0x1.6aee4b7f6bd5bp-2, -0x1.664ce046f5b6bp-2, -0x1.61ade6e8d072p-2, -0x1.5d11c542ea147p-2, -0x1.5878ddf39d2f3p-2, -0x1.53e39064b46e3p-2, -0x1.4f5238d69a299p-2, -0x1.4ac5306bba1a5p-2, -0x1.463ccd3406aebp-2, -0x1.41b96238a431ap-2, -0x1.3d3b3f87b2bb2p-2, -0x1.38c2b2403608cp-2, -0x1.3450049e12e38p-2, -0x1.2fe37e062445p-2, -0x1.2b7d63125e8fcp-2, -0x1.271df59e05404p-2, -0x1.22c574d1e8184p-2, -0x1.1e741d30abb8fp-2, -0x1.1a2a28a31713ep-2, -0x1.15e7ce84614cdp-2, -0x1.11ad43ae85c3p-2, -0x1.0d7aba869111fp-2, -0x1.09506308ecbfcp-2, -0x1.052e6ad5a452fp-2, -0x1.0114fd3ca20cbp-2, -0x1.fa088693c22b3p-3, -0x1.f1f8c7a32cdabp-3, -0x1.e9fb06f88ec3ep-3, -0x1.e20f89a5a92f2p-3, -0x1.da369094e7d2cp-3, -0x1.d27058a1297afp-3, -0x1.cabd1aad6d6cfp-3, -0x1.c31d0bbc479d9p-3, -0x1.bb905d07345c4p-3, -0x1.b4173c15b8181p-3, -0x1.acb1d2d44c20dp-3, -0x1.a56047ab1e8bap-3, -0x1.9e22bd9497286p-3, -0x1.96f95433a50d3p-3, -0x1.8fe427e9d9fe5p-3, -0x1.88e351ed43dd8p-3, -0x1.81f6e85e0c0cp-3, -0x1.7b1efe5bde804p-3, -0x1.745ba41b0d216p-3, -0x1.6dace6f972ec2p-3, -0x1.6712d19318a48p-3, -0x1.608d6bd6978e3p-3, -0x1.5a1cbb193404dp-3, -0x1.53c0c22abee78p-3, -0x1.4d7981692373ep-3, -0x1.4746f6d3bcd5cp-3, -0x1.41291e1e6011ep-3, -0x1.3b1ff0c41c0c8p-3, -0x1.352b6619b6b75p-3, -0x1.2f4b735fe21dfp-3, -0x1.29800bd526ae6p-3, -0x1.23c920c788045p-3, -0x1.1e26a1a5db6b2p-3, -0x1.18987c10de2a2p-3, -0x1.131e9bebf8407p-3, -0x1.0db8eb6dbb65fp-3, -0x1.08675330190abp-3, -0x1.0329ba404cb05p-3, -0x1.fc000c5cf37adp-4, -0x1.f1d4363a0eaf1p-4, -0x1.e7cfb79f54e0dp-4, -0x1.ddf25374582f7p-4, -0x1.d43bca1dc307dp-4, -0x1.caabd999c4457p-4, -0x1.c1423d9bdb3c6p-4, -0x1.b7feafa815441p-4, -0x1.aee0e72dc58edp-4, -0x1.a5e899a19ead4p-4, -0x1.9d157a9748202p-4, -0x1.94673bda5beb7p-4, -0x1.8bdd8d86de493p-4, -0x1.83781e2124ed8p-4, -0x1.7b369aad337dp-4, -0x1.7318aec58dbd9p-4, -0x1.6b1e04b17ecc4p-4, -0x1.6346457ad9917p-4, -0x1.5b911903310b8p-4, -0x1.53fe26188a05p-4, -0x1.4c8d128988ac5p-4, -0x1.453d83391a94cp-4, -0x1.3e0f1c319e02p-4, -0x1.370180b78812fp-4, -0x1.3014535b8c426p-4, -0x1.2947360c45988p-4, -0x1.2299ca276212fp-4, -0x1.1c0bb08a547d7p-4, -0x1.159c89a28bac3p-4, -0x1.0f4bf57d3242dp-4, -0x1.091993d676addp-4, -0x1.03050428600e6p-4, -0x1.fa1bcb725b9f4p-5, -0x1.ee67af528dfcp-5, -0x1.e2ecf20171031p-5, -0x1.d7aad1788bd5ep-5, -0x1.cca08bb4178d5p-5, -0x1.c1cd5ecb7285ep-5, -0x1.b7308908baf09p-5, -0x1.acc948ffa07bfp-5, -0x1.a296dda3644abp-5, -0x1.9898865c132d3p-5, -0x1.8ecd831afad39p-5, -0x1.8535146e5c6d2p-5, -0x1.7bce7b9461a3ap-5, -0x1.7298fa8d560dcp-5, -0x1.6993d42d2b148p-5, -0x1.60be4c2c464bcp-5, -0x1.5817a7379f2a3p-5, -0x1.4f9f2b0034394p-5, -0x1.47541e49cf4a7p-5, -0x1.3f35c8f92c0c8p-5, -0x1.3743742175645p-5, -0x1.2f7c6a11284fbp-5, -0x1.27dff65e5819dp-5, -0x1.206d65f25d077p-5, -0x1.19240714eb5d9p-5, -0x1.120329769b8f5p-5, -0x1.0b0a1e3ae175bp-5, -0x1.043838017c123p-5, -0x1.fb1995deb6c94p-6, -0x1.ee0e596e03ecap-6, -0x1.e14d6940ce0ddp-6, -0x1.d4d57720b36abp-6, -0x1.c8a5381ed424p-6, -0x1.bcbb64a0b3038p-6, -0x1.b116b86c33ac7p-6, -0x1.a5b5f2b2adc39p-6, -0x1.9a97d61b2db03p-6, -0x1.8fbb28cbd5979p-6, -0x1.851eb4727462bp-6, -0x1.7ac1464c4f4a6p-6, -0x1.70a1af2d2b47ap-6, -0x1.66bec3858f5fdp-6, -0x1.5d175b6857b86p-6, -0x1.53aa528f8e30cp-6, -0x1.4a76886098b18p-6, -0x1.417adfefbb13fp-6, -0x1.38b64002fc1dbp-6, -0x1.30279314673bp-6, -0x1.27cdc753b6ee1p-6, -0x1.1fa7cea76e485p-6, -0x1.17b49ead60066p-6, -0x1.0ff330baae9p-6, -0x1.086281db47acdp-6, -0x1.010192d0debfp-6, -0x1.f39ed022d9193p-7, -0x1.e596138a7038ep-7, -0x1.d7e70788dc905p-7, -0x1.ca8fcb2895a6dp-7, -0x1.bd8e84c7b58c3p-7, -0x1.b0e16210a4d0ep-7, -0x1.a48697f21c335p-7, -0x1.987c6296549a4p-7, -0x1.8cc105599535fp-7, -0x1.8152cac015ee8p-7, -0x1.7630046b361ecp-7, -0x1.6b570b0e26927p-7, -0x1.60c63e61f47bdp-7, -0x1.567c05190eb62p-7, -0x1.4c76ccd245549p-7, -0x1.42b50a0b4846bp-7, -0x1.39353812afa0bp-7, -0x1.2ff5d8f994255p-7, -0x1.26f57584bae09p-7, -0x1.1e329d1d5c6abp-7, -0x1.15abe5c18e6fap-7, -0x1.0d5febf45323dp-7, -0x1.054d52ad5640cp-7, -0x1.fae58690b812p-8, -0x1.eb9ddae8d0c37p-8, -0x1.dcc10e45439c8p-8, -0x1.ce4c98e9f016fp-8, -0x1.c03dff591ff58p-8, -0x1.b292d22ff935fp-8, -0x1.a548ae028e569p-8, -0x1.985d3b379aba6p-8, -0x1.8bce2de3efadap-8, -0x1.7f9945a59d4bcp-8, -0x1.73bc4d7eddc15p-8, -0x1.68351bb0cc32cp-8, -0x1.5d019195ee0ap-8, -0x1.521f9b7c96443p-8, -0x1.478d30812a59ap-8, -0x1.3d4852684e17ep-8, -0x1.334f0d78ffb94p-8, -0x1.299f7856a8296p-8, -0x1.2037b3db26817p-8, -0x1.1715eaf0de0c5p-8, -0x1.0e38526cc95bep-8, -0x1.059d28e89bb9ap-8, -0x1.fa856d39e6646p-9, -0x1.ea4e9a7743fbep-9, -0x1.da928f94278e9p-9, -0x1.cb4e14f7a45e6p-9, -0x1.bc7e051a6203fp-9, -0x1.ae1f4c3c3e06dp-9, -0x1.a02ee81a51aafp-9, -0x1.92a9e7a552efbp-9, -0x1.858d6ab86476ap-9, -0x1.78d6a1d04eafp-9, -0x1.6c82cdc339ec4p-9, -0x1.608f3f78e064ap-9, -0x1.54f957a343ebp-9, -0x1.49be8677efd52p-9, -0x1.3edc4b69c9df7p-9, -0x1.345034e375feap-9, -0x1.2a17e0025230bp-9, -0x1.2030f85214fecp-9, -0x1.16993789075f3p-9, -0x1.0d4e6544e9ba8p-9, -0x1.044e56c880b28p-9, -0x1.f72ddd739d7ap-10, -0x1.e64c39c1fd04ep-10, -0x1.d5f3bbd002c38p-10, -0x1.c6207635c671dp-10, -0x1.b6ce9451afe78p-10, -0x1.a7fa59cc09222p-10, -0x1.99a0221c04fb9p-10, -0x1.8bbc600e4c906p-10, -0x1.7e4b9d4d05d39p-10, -0x1.714a79e969d3cp-10, -0x1.64b5abe6d54ddp-10, -0x1.5889fec76e92fp-10, -0x1.4cc4531a521dfp-10, -0x1.41619e0b46f93p-10, -0x1.365ee8f412997p-10, -0x1.2bb950ef47061p-10, -0x1.216e066cb2b6ap-10, -0x1.177a4cc75ba19p-10, -0x1.0ddb79dd069bdp-10, -0x1.048ef5a754d5p-10, -0x1.f72473ace9408p-11, -0x1.e5c5a2dab73fcp-11, -0x1.d4fcb0bf27cf2p-11, -0x1.c4c4f6612f98dp-11, -0x1.b519ed29711fp-11, -0x1.a5f72e2724f38p-11, -0x1.9758715812ea3p-11, -0x1.89398cf39d9ebp-11, -0x1.7b9674b8d7136p-11, -0x1.6e6b393f9f88bp-11, -0x1.61b4074cc6ac3p-11, -0x1.556d272928968p-11, -0x1.4992fbfbc6d3p-11, -0x1.3e220326d1f44p-11, -0x1.3316d3a7a1021p-11, -0x1.286e1d7990e5fp-11, -0x1.1e24a8fbc3f53p-11, -0x1.14375659bcdc9p-11, -0x1.0aa31cf6cbb39p-11, -0x1.01650adc49d5cp-11, -0x1.f0f4885535a78p-12, -0x1.dfc00519d619dp-12, -0x1.cf27295f4ee3dp-12, -0x1.bf24bb7347401p-12, -0x1.afb3a98fd00ffp-12, -0x1.a0cf08d84248dp-12, -0x1.9272145b4e651p-12, -0x1.84982c1a29ed8p-12, -0x1.773cd414d3006p-12, -0x1.6a5bb35b4d76dp-12, -0x1.5df09323d6f49p-12, -0x1.51f75de5f7502p-12, -0x1.466c1e7a5e02ep-12, -0x1.3b4aff3f80ec1p-12, -0x1.30904942e895bp-12, -0x1.2638636f15b6ep-12, -0x1.1c3fd1bdf2e48p-12, -0x1.12a3346fc560ep-12, -0x1.095f47467eddp-12, -0x1.0070e0c5709fdp-12, -0x1.efa9e2ea7bb08p-13, -0x1.df110658169bep-13, -0x1.cf1170b39e52cp-13, -0x1.bfa596b1708c4p-13, -0x1.b0c81b832d132p-13, -0x1.a273cf8873c65p-13, -0x1.94a3af075ac74p-13, -0x1.8752e0ec91203p-13, -0x1.7a7cb592fb72cp-13, -0x1.6e1ca592b5f65p-13, -0x1.622e509751712p-13, -0x1.56ad7c3d3026bp-13, -0x1.4b9612f5df9adp-13, -0x1.40e422f34dd4fp-13, -0x1.3693dd19c56d6p-13, -0x1.2ca193f877a4cp-13, -0x1.2309bac8939f7p-13, -0x1.19c8e472b6876p-13, -0x1.10dbc29a950d2p-13, -0x1.083f24b0d4604p-13, -0x1.ffdfee15b75bp-14, -0x1.efd68401183cdp-14, -0x1.e05c521f8a78ap-14, -0x1.d16bd40b1c287p-14, -0x1.c2ffb85995947p-14, -0x1.b512df04d3ca4p-14, -0x1.a7a057ddb6c3cp-14, -0x1.9aa361098bb3fp-14, -0x1.8e176589ad934p-14, -0x1.81f7fbcd24419p-14, -0x1.7640e44c119adp-14, -0x1.6aee082cb3908p-14, -0x1.5ffb77f1c7f15p-14, -0x1.55656a321ff88p-14, -0x1.4b283a592c28bp-14, -0x1.4140677052544p-14, -0x1.37aa92f0da7cbp-14, -0x1.2e637f9e4187bp-14, -0x1.25681068c1b29p-14, -0x1.1cb54757e1ecp-14, -0x1.1448447cdd6cep-14, -0x1.0c1e44ecb5159p-14, -0x1.0434a1c1bd2a9p-14, -0x1.f9119e48f920fp-15, -0x1.ea30b6b761576p-15, -0x1.dbc1dbc692ccdp-15, -0x1.cdc08d146f0d5p-15, -0x1.c028792dbcfe6p-15, -0x1.b2f57be40aae7p-15, -0x1.a6239cb03791ep-15, -0x1.99af0d215a14ep-15, -0x1.8d942757b6489p-15, -0x1.81cf6c8b72ce9p-15, -0x1.765d839eca705p-15, -0x1.6b3b37bb6727dp-15, -0x1.606576faa9b65p-15, -0x1.55d951188dcep-15, -0x1.4b93f630ecd4cp-15, -0x1.4192b586d509ap-15, -0x1.37d2fc55baadep-15, -0x1.2e5254ac3a0ecp-15, -0x1.250e645030cabp-15, -0x1.1c04ebabeb4dbp-15, -0x1.1333c4c42c847p-15, -0x1.0a98e236d39a1p-15, -0x1.02324e41e1c9p-15, -0x1.f3fc53a55466ap-16, -0x1.e3f55739e88efp-16, -0x1.d44c3e73a4b7ap-16, -0x1.c4fdc89c04b4fp-16, -0x1.b606db6f316fep-16, -0x1.a76481858e73fp-16, -0x1.9913e8cb1baddp-16, -0x1.8b12610445082p-16, -0x1.7d5d5a5fbbbd3p-16, -0x1.6ff264150680ap-16, -0x1.62cf2b0f5f4b9p-16, -0x1.55f178a489c56p-16, -0x1.495731575193fp-16, -0x1.3cfe53a54bb1ep-16, -0x1.30e4f6df90933p-16, -0x1.25094a0e208d2p-16, -0x1.196992dd92aa7p-16, -0x1.0e042c96d38f6p-16, -0x1.02d787209830ap-16, -0x1.efc44c147cf05p-17, -0x1.da453f3fb76d3p-17, -0x1.c52f380e43602p-17, -0x1.b07fa8c9c5927p-17, -0x1.9c342415d4c5cp-17, -0x1.884a5b5bd84b4p-17, -0x1.74c01d4688ae7p-17, -0x1.6193544ca09a2p-17, -0x1.4ec2054a3bd57p-17, -0x1.3c4a4e2874a74p-17, -0x1.2a2a6492c0605p-17, -0x1.186094b9a750ap-17, -0x1.06eb402262212p-17, -0x1.eb91b905e2fb3p-18, -0x1.c9efe55498a87p-18, -0x1.a8ee3ae8732ebp-18, -0x1.888a1190ee37ep-18, -0x1.68c0e149956f8p-18, -0x1.49904063410dp-18, -0x1.2af5e1c1b9193p-18, -0x1.0cef932d09474p-18, -0x1.def6776bbd8d3p-19, -0x1.a52db45885aabp-19, -0x1.6c8107502964ep-19, -0x1.34ecc4453b8fcp-19, -0x1.fcdacc82bc4adp-20, -0x1.91ff19b2a0674p-20, -0x1.293ff37f79079p-20, -0x1.852e39d69c8e2p-21, -0x1.77fa50bb3f752p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.337bba75544f3p-6, 0x1.5c05814d06e56p-6, 0x1.87a339ad2c498p-6, 0x1.b65c2a3d858cp-6, 0x1.e834608d508a4p-6, 0x1.0e9664764aa5cp-5, 0x1.2aa1a59649655p-5, 0x1.483975a1b5ee5p-5, 0x1.6759f6781e8cfp-5, 0x1.87fdfccd744fp-5, 0x1.aa1f23e31a254p-5, 0x1.cdb5e1c179a07p-5, 0x1.f2b99bb42d1a8p-5, 0x1.0c905d6a09713p-4, 0x1.20706039615ep-4, 0x1.34f72d20ef4e3p-4, 0x1.4a1ebb0b6df7bp-4, 0x1.5fe0aa989ee9bp-4, 0x1.76364f76f0095p-4, 0x1.8d18b96b0670dp-4, 0x1.a480bcfe64ef1p-4, 0x1.bc66fbcff4cc8p-4, 0x1.d4c3ec82ad219p-4, 0x1.ed8fe247e400cp-4, 0x1.03618a01eac6cp-3, 0x1.102ad1860a3ccp-3, 0x1.1d1fd0c031fd7p-3, 0x1.2a3c8c1f986d5p-3, 0x1.377d063bcdbbp-3, 0x1.44dd426dc6e4ap-3, 0x1.5259473a6576dp-3, 0x1.5fed209016ce6p-3, 0x1.6d94e1d964158p-3, 0x1.7b4ca7e6452fbp-3, 0x1.89109aae3e6c1p-3, 0x1.96dceeed312eap-3, 0x1.a4ade79cfac25p-3, 0x1.b27fd74dc51dcp-3, 0x1.c04f215f16bb2p-3, 0x1.ce183b1b73b3ep-3, 0x1.dbd7acb8768d6p-3, 0x1.e98a123d1966p-3, 0x1.f72c1c4fe58d1p-3, 0x1.025d48774b8e2p-2, 0x1.091926085999ap-2, 0x1.0fc8201b4203bp-2, 0x1.1668bb72d6e1bp-2, 0x1.1cf9888a56fe1p-2, 0x1.237923c3250c4p-2, 0x1.29e6358b02a17p-2, 0x1.303f727b4623p-2, 0x1.36839b71784c1p-2, 0x1.3cb17da1c3b88p-2, 0x1.42c7f2a3909efp-2, 0x1.48c5e078a590bp-2, 0x1.4eaa398f1dbb5p-2, 0x1.5473fcbe7b0afp-2, 0x1.5a22354019394p-2, 0x1.5fb3faa341ff3p-2, 0x1.652870bd1e3acp-2, 0x1.6a7ec794b69b3p-2, 0x1.6fb63b4b3d01ap-2, 0x1.74ce1400d128dp-2, 0x1.79c5a5b5e82a5p-2, 0x1.7e9c50298dd98p-2, 0x1.83517eb4a86c5p-2, 0x1.87e4a82264b32p-2, 0x1.8c554e85fc944p-2, 0x1.90a2ff0dfa889p-2, 0x1.94cd51d526148p-2, 0x1.98d3e9b13c6cbp-2, 0x1.9cb673ffa1b23p-2, 0x1.a074a8702ae05p-2, 0x1.a40e48ce2c686p-2, 0x1.a78320c7ee062p-2, 0x1.aad305b4ac437p-2, 0x1.adfdd65947c63p-2, 0x1.b1037aabcc30bp-2, 0x1.b3e3e395ec0bcp-2, 0x1.b69f0ab6971d4p-2, 0x1.b934f222cbb59p-2, 0x1.bba5a425c6955p-2, 0x1.bdf13300ad8ffp-2, 0x1.c017b8a9d7395p-2, 0x1.c219568bcc35ap-2, 0x1.c3f635442082bp-2, 0x1.c5ae846242a4ap-2, 0x1.c7427a2654ef6p-2, 0x1.c8b25340348ddp-2, 0x1.c9fe528ec0bf2p-2, 0x1.cb26c0df7c3d2p-2, 0x1.cc2becae9c254p-2, 0x1.cd0e29e79ec7fp-2, 0x1.cdcdd1a67c66dp-2, 0x1.ce6b41f980d4fp-2, 0x1.cee6dda3e4682p-2, 0x1.cf410be1324d8p-2, 0x1.cf7a38298cf84p-2, 0x1.cf92d1f6dac78p-2, 0x1.cf8b4c8aecec7p-2, 0x1.cf641eb6a5d6cp-2, 0x1.cf1dc2a232118p-2, 0x1.ceb8b596515cep-2, 0x1.ce3577c6c5222p-2, 0x1.cd948c1de19cap-2, 0x1.ccd678094b668p-2, 0x1.cbfbc347e9c32p-2, 0x1.cb04f7b90b756p-2, 0x1.c9f2a12cc98f6p-2, 0x1.c8c54d35a448cp-2, 0x1.c77d8afb5e3f3p-2, 0x1.c61beb0f1c4a8p-2, 0x1.c4a0ff40bee6p-2, 0x1.c30d5a75825f3p-2, 0x1.c161907fdc8f6p-2, 0x1.bf9e35f8988f5p-2, 0x1.bdc3e0193227fp-2, 0x1.bbd3249768a4fp-2, 0x1.b9cc99820ec03p-2, 0x1.b7b0d51f09947p-2, 0x1.b5806dca88b3ap-2, 0x1.b33bf9d765c99p-2, 0x1.b0e40f70b3457p-2, 0x1.ae79447c6f0bp-2, 0x1.abfc2e7f55a68p-2, 0x1.a96d6281d3609p-2, 0x1.a6cd74f60e5abp-2, 0x1.a41cf99eff977p-2, 0x1.a15c83789e729p-2, 0x1.9e8ca4a10e43ap-2, 0x1.9badee42d6862p-2, 0x1.98c0f0800ffa4p-2, 0x1.95c63a5e90dbap-2, 0x1.92be59b504d4bp-2, 0x1.8fa9db18f8987p-2, 0x1.8c8949cdc4e88p-2, 0x1.895d2fb462b34p-2, 0x1.8626153c139f4p-2, 0x1.82e48153e6ee6p-2, 0x1.7f98f95d0d15ep-2, 0x1.7c44011df4c5p-2, 0x1.78e61ab63007ep-2, 0x1.757fc6931a7d6p-2, 0x1.7211836539263p-2, 0x1.6e9bce1650b86p-2, 0x1.6b1f21c02d31p-2, 0x1.679bf7a4155c5p-2, 0x1.6412c722e49d1p-2, 0x1.608405b5c6fd4p-2, 0x1.5cf026e792b26p-2, 0x1.59579c4eb95d2p-2, 0x1.55bad587cc9ecp-2, 0x1.521a403093d11p-2, 0x1.4e7647e3aa155p-2, 0x1.4acf5634a4ba2p-2, 0x1.4725d2acb84b2p-2, 0x1.437a22c7e0b0bp-2, 0x1.3fcca9f27f2d7p-2, 0x1.3c1dc9876d58ep-2, 0x1.386de0ce85f86p-2, 0x1.34bd4cfb9683fp-2, 0x1.310c692dc0619p-2, 0x1.2d5b8e6f3a714p-2, 0x1.29ab13b57c26dp-2, 0x1.25fb4de1c099fp-2, 0x1.224c8fc1eba96p-2, 0x1.1e9f2a11c38f7p-2, 0x1.1af36b7c834e4p-2, 0x1.1749a09eb8c0cp-2, 0x1.13a214087aa22p-2, 0x1.0ffd0e3fe08dbp-2, 0x1.0c5ad5c3ca28ap-2, 0x1.08bbaf0eeae88p-2, 0x1.051fdc9b16f03p-2, 0x1.01879ee4ced1dp-2, 0x1.fbe668de1e16bp-3, 0x1.f4c5b38ea34dp-3, 0x1.edad931399f51p-3, 0x1.e69e78cbcca75p-3, 0x1.df98d245b2c3p-3, 0x1.d89d094913bbdp-3, 0x1.d1ab83e1193c7p-3, 0x1.cac4a466a5e54p-3, 0x1.c3e8c98b0a29p-3, 0x1.bd184e6303edfp-3, 0x1.b6538a72056e8p-3, 0x1.af9ad1b5c7bfbp-3, 0x1.a8ee74b213e01p-3, 0x1.a24ec07cd5aa9p-3, 0x1.9bbbfeca5d673p-3, 0x1.953675f9da88dp-3, 0x1.8ebe692206ccp-3, 0x1.8854181e03786p-3, 0x1.81f7bf9a556c2p-3, 0x1.7ba9992212695p-3, 0x1.7569db2c2e0d2p-3, 0x1.6f38b928e12b8p-3, 0x1.6916638f3296bp-3, 0x1.630307ea98889p-3, 0x1.5cfed0e8aac1cp-3, 0x1.5709e666efedap-3, 0x1.51246d80b12eep-3, 0x1.4b4e889cdf42fp-3, 0x1.4588577c03157p-3, 0x1.3fd1f74632b94p-3, 0x1.3a2b82990905p-3, 0x1.34951195a51a6p-3, 0x1.2f0eb9eea3c54p-3, 0x1.29988ef61a9cbp-3, 0x1.2432a1ab85f3p-3, 0x1.1edd00c9b8877p-3, 0x1.1997b8d4bd256p-3, 0x1.1462d427a94fap-3, 0x1.0f3e5b02671f5p-3, 0x1.0a2a53976ae84p-3, 0x1.0526c21959e8fp-3, 0x1.0033a8c89a1bfp-3, 0x1.f6a21001a2a6p-4, 0x1.ecfdbc8c8cd33p-4, 0x1.e37a50a65c79cp-4, 0x1.da17c249b8fb1p-4, 0x1.d0d60411b0b81p-4, 0x1.c7b50553abe04p-4, 0x1.beb4b23918e2bp-4, 0x1.b5d4f3d8dd0ebp-4, 0x1.ad15b05085df2p-4, 0x1.a476cadd2cde7p-4, 0x1.9bf823f4217c9p-4, 0x1.9399995b30ba8p-4, 0x1.8b5b0640c1bcap-4, 0x1.833c435387eddp-4, 0x1.7b3d26d9f627ap-4, 0x1.735d84c95a6bep-4, 0x1.6b9d2edca992dp-4, 0x1.63fbf4aaf5798p-4, 0x1.5c79a3bd8d56ep-4, 0x1.551607a5c8eb7p-4, 0x1.4dd0ea127a255p-4, 0x1.46aa12e50782fp-4, 0x1.3fa148462acd7p-4, 0x1.38b64eba56cf4p-4, 0x1.31e8e935bffa7p-4, 0x1.2b38d9300a489p-4, 0x1.24a5deb799dd8p-4, 0x1.1e2fb884863fcp-4, 0x1.17d6240b2fa06p-4, 0x1.1198dd8e77f3p-4, 0x1.0b77a0319b18p-4, 0x1.05722609ab8b1p-4, 0x1.ff10505d5c47bp-5, 0x1.f372bd98b2f36p-5, 0x1.e80b0264ea755p-5, 0x1.dcd88bc9b8e3fp-5, 0x1.d1dac556419e2p-5, 0x1.c711193fa15f6p-5, 0x1.bc7af07ebf7fep-5, 0x1.b217b2ed6351ap-5, 0x1.a7e6c76291205p-5, 0x1.9de793ce3095dp-5, 0x1.94197d53f795cp-5, 0x1.8a7be865a2034p-5, 0x1.810e38dc74adp-5, 0x1.77cfd2120b60cp-5, 0x1.6ec016f875501p-5, 0x1.65de6a31a12f7p-5, 0x1.5d2a2e261b2b8p-5, 0x1.54a2c51b1b4c2p-5, 0x1.4c479147ec5dep-5, 0x1.4417f4eaa4b13p-5, 0x1.3c13525c3c4c9p-5, 0x1.34390c23f81fdp-5, 0x1.2c88850a36e2dp-5, 0x1.2501202a97884p-5, 0x1.1da24105853abp-5, 0x1.166b4b9120ccbp-5, 0x1.0f5ba44995adep-5, 0x1.0872b040cec9fp-5, 0x1.01afd52d9bda1p-5, 0x1.f624f2f47d6dfp-6, 0x1.e93408a4d01f5p-6, 0x1.dc8bbb614925bp-6, 0x1.d02adcd67fa38p-6, 0x1.c41040812e778p-6, 0x1.b83abbc5d7f32p-6, 0x1.aca9260755041p-6, 0x1.a15a58bc63856p-6, 0x1.964d2f8430e78p-6, 0x1.8b808839ebbd5p-6, 0x1.80f343075e4acp-6, 0x1.76a4427694e5p-6, 0x1.6c926b829c1bfp-6, 0x1.62bca5a7548ebp-6, 0x1.5921daf065933p-6, 0x1.4fc0f807539bbp-6, 0x1.4698ec40ba5bbp-6, 0x1.3da8a9a8ba271p-6, 0x1.34ef250e939dfp-6, 0x1.2c6b560f77fb3p-6, 0x1.241c37209aafdp-6, 0x1.1c00c59880c6cp-6, 0x1.141801b7951a2p-6, 0x1.0c60eeb009ccp-6, 0x1.04da92ad07b6fp-6, 0x1.fb07edb262ee1p-7, 0x1.ecb84ec9022ap-7, 0x1.dec467130648ep-7, 0x1.d12a5b23e5b26p-7, 0x1.c3e855b57da37p-7, 0x1.b6fc87aef2cf1p-7, 0x1.aa65282a6eaa5p-7, 0x1.9e207479ca494p-7, 0x1.922cb02a28337p-7, 0x1.868825068872ep-7, 0x1.7b31231964f0ap-7, 0x1.702600ad51e55p-7, 0x1.65651a4cb77bp-7, 0x1.5aecd2c0a607cp-7, 0x1.50bb930ed023ap-7, 0x1.46cfca76ac6e9p-7, 0x1.3d27ee6dcf35p-7, 0x1.33c27a9b7fc0cp-7, 0x1.2a9df0d38eae5p-7, 0x1.21b8d9107889fp-7, 0x1.1911c16cd9346p-7, 0x1.10a73e1c38c9cp-7, 0x1.0877e96338effp-7, 0x1.0082638f282d2p-7, 0x1.f18aa5da05c17p-8, 0x1.e27ec77fd3371p-8, 0x1.d3de906e20295p-8, 0x1.c5a770c65d70fp-8, 0x1.b7d6e456f585ap-8, 0x1.aa6a7284562b1p-8, 0x1.9d5fae312041fp-8, 0x1.90b435a58b3e3p-8, 0x1.8465b2760275dp-8, 0x1.7871d9690ae94p-8, 0x1.6cd66a5c7de94p-8, 0x1.6191302a1daa9p-8, 0x1.56a0008b91da6p-8, 0x1.4c00bbfdd57e1p-8, 0x1.41b14da41ff72p-8, 0x1.37afab2a507dep-8, 0x1.2df9d4a6e7e4dp-8, 0x1.248dd47c97f5ep-8, 0x1.1b69bf3b71fc6p-8, 0x1.128bb381bb841p-8, 0x1.09f1d9dc71c03p-8, 0x1.019a64a786db7p-8, 0x1.f3071fdbb414fp-9, 0x1.e3574291eea47p-9, 0x1.d421cf814e59ep-9, 0x1.c56377549949ap-9, 0x1.b718fd1048f06p-9, 0x1.a93f35d0c33dfp-9, 0x1.9bd3088864e61p-9, 0x1.8ed16dbd69ea5p-9, 0x1.82376f47b9fe8p-9, 0x1.7602280ea9aabp-9, 0x1.6a2ec3c6b65bep-9, 0x1.5eba7eaf4ed7ap-9, 0x1.53a2a550a8122p-9, 0x1.48e49439b18a8p-9, 0x1.3e7db7be2ececp-9, 0x1.346b8bb4fbc8ep-9, 0x1.2aab9b3689e7p-9, 0x1.213b805b9c50fp-9, 0x1.1818e3fc495b6p-9, 0x1.0f417d6f4b5c1p-9, 0x1.06b31249a5ee6p-9, 0x1.fcd6ec3d4cd6dp-10, 0x1.ecd1148096cccp-10, 0x1.dd507b001f9cp-10, 0x1.ce5117e050aap-10, 0x1.bfcefd4a6764p-10, 0x1.b1c656f0cfb29p-10, 0x1.a4336994719e7p-10, 0x1.9712928b12cdep-10, 0x1.8a604746c1b88p-10, 0x1.7e1914de54b37p-10, 0x1.72399f971a1c3p-10, 0x1.66bea26f9fbc2p-10, 0x1.5ba4eeabb7ad6p-10, 0x1.50e96b61a79cap-10, 0x1.468915089fae1p-10, 0x1.3c80fd086a62p-10, 0x1.32ce494a689ep-10, 0x1.296e33cbd9d97p-10, 0x1.205e0a31718eap-10, 0x1.179b2d5c4652bp-10, 0x1.0f23110013d24p-10, 0x1.06f33b3adc16bp-10, 0x1.fe12885bc51d1p-11, 0x1.eec5ab3025472p-11, 0x1.dffb54e379676p-11, 0x1.d1af1d1380c95p-11, 0x1.c3dcbc4837882p-11, 0x1.b6800b33c561bp-11, 0x1.a99501f53e772p-11, 0x1.9d17b75e3ab57p-11, 0x1.9104603b3f2b3p-11, 0x1.85574e9effd33p-11, 0x1.7a0cf130763a5p-11, 0x1.6f21d27bcc8cp-11, 0x1.649298461ed46p-11, 0x1.5a5c02e40d48p-11, 0x1.507aec9322ba6p-11, 0x1.46ec48d605cc5p-11, 0x1.3dad23d37c41ap-11, 0x1.34baa1b832881p-11, 0x1.2c11fe1b4dbc6p-11, 0x1.23b08b65beba2p-11, 0x1.1b93b23c53f44p-11, 0x1.13b8f0ec86f08p-11, 0x1.0c1ddadbfedd1p-11, 0x1.04c017fac6009p-11, 0x1.fb3ac87052eb7p-12, 0x1.ed671df4850aep-12, 0x1.e000f5303e884p-12, 0x1.d30437ad12a34p-12, 0x1.c66cf2cec04cbp-12, 0x1.ba3756d7095b1p-12, 0x1.ae5fb5ee9def5p-12, 0x1.a2e28333091fap-12, 0x1.97bc51c99bc18p-12, 0x1.8ce9d3f73e5b1p-12, 0x1.8267da3d2306fp-12, 0x1.7833527a44d3ap-12, 0x1.6e494711a8759p-12, 0x1.64a6de154f6f1p-12, 0x1.5b495875d02cp-12, 0x1.522e11367ecc3p-12, 0x1.49527ca6204f1p-12, 0x1.40b4279c0f5bp-12, 0x1.3850b6b9ccc63p-12, 0x1.3025e5b0e234dp-12, 0x1.2831868d11656p-12, 0x1.20718102b8bfcp-12, 0x1.18e3d1c160fep-12, 0x1.118689ca63b91p-12, 0x1.0a57cdcb9a2edp-12, 0x1.0355d57e06be9p-12, 0x1.f8fdd610c9b24p-13, 0x1.eba2d4cb2840dp-13, 0x1.de97819d96b4dp-13, 0x1.d1d8d8530e1cp-13, 0x1.c563f4f23e23fp-13, 0x1.b93612a7eeb2ep-13, 0x1.ad4c8ab8778c6p-13, 0x1.a1a4d3782494bp-13, 0x1.963c7f4a7be25p-13, 0x1.8b113ba82dc6fp-13, 0x1.8020d02ba318bp-13, 0x1.75691da405b5dp-13, 0x1.6ae81d2e971edp-13, 0x1.609bdf5652743p-13, 0x1.56828b399f4bdp-13, 0x1.4c9a5db607dap-13, 0x1.42e1a899d2033p-13, 0x1.3956d1db58337p-13, 0x1.2ff852d60b78ep-13, 0x1.26c4b78cfe726p-13, 0x1.1dba9df2dc418p-13, 0x1.14d8b5372f922p-13, 0x1.0c1dbd18deb34p-13, 0x1.0388853dbfed8p-13, 0x1.f62fd91e4d22ep-14, 0x1.e595c136aba6bp-14, 0x1.d540b9f773db7p-14, 0x1.c52ed57f90086p-14, 0x1.b55e3fb8e5868p-14, 0x1.a5cd3d402fa1bp-14, 0x1.967a2a558df4p-14, 0x1.876379d5a1ab3p-14, 0x1.7887b43afbec6p-14, 0x1.69e576a7b5881p-14, 0x1.5b7b71f6fa7bep-14, 0x1.4d4869d658a03p-14, 0x1.3f4b33e6a58bdp-14, 0x1.3182b6e44a806p-14, 0x1.23ede9d6c9e0cp-14, 0x1.168bd347509dcp-14, 0x1.095b887e27198p-14, 0x1.f8b8598daceb2p-15, 0x1.df19e175ab382p-15, 0x1.c5da23252e967p-15, 0x1.acf7b0f993de6p-15, 0x1.947133f74dc45p-15, 0x1.7c456a9046a32p-15, 0x1.64732775bd246p-15, 0x1.4cf950754c83dp-15, 0x1.35d6dd60d353fp-15, 0x1.1f0ad700ef43ep-15, 0x1.08945611c3521p-15, 0x1.e4e5049380badp-16, 0x1.b94922d458b1p-16, 0x1.8e538cb23a5d7p-16, 0x1.6402e0894fe32p-16, 0x1.3a55d39e0296dp-16, 0x1.114b308691eabp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1e8faf773ededp-2, -0x1.27fc663e0a511p-2, -0x1.3118965c11c5ep-2, -0x1.39eb4556f879ep-2, -0x1.427b1a5ca4a1p-2, -0x1.4ace5243a8aa6p-2, -0x1.52eab72153f83p-2, -0x1.5ad59af1a4b6fp-2, -0x1.6293d4d9369dp-2, -0x1.6a29c09530e68p-2, -0x1.719b3fb8ba50dp-2, -0x1.78ebbc6285cd2p-2, -0x1.801e2d1f542dcp-2, -0x1.873519b7ed02dp-2, -0x1.8e32a0b1ccd32p-2, -0x1.95187d51ca8d9p-2, -0x1.9be80df72634fp-2, -0x1.a2a25aabe6aeep-2, -0x1.a9481bcd1a9e4p-2, -0x1.afd9c0b2aa68bp-2, -0x1.b6577642c712ep-2, -0x1.bcc12d60e07fdp-2, -0x1.c316a12b6d665p-2, -0x1.c9575cfe967a9p-2, -0x1.cf82c23468ab1p-2, -0x1.d5980d9d29759p-2, -0x1.db965cac3e7dap-2, -0x1.e17cb25788cb7p-2, -0x1.e749fba84a9a5p-2, -0x1.ecfd13fdb28bp-2, -0x1.f294c901f1cddp-2, -0x1.f80fde536bbaap-2, -0x1.fd6d10e40d497p-2, -0x1.01558d08a2a65p-1, -0x1.03e4593ba82d9p-1, -0x1.06624a416e235p-1, -0x1.08cebf6204252p-1, -0x1.0b291b02ffb5ep-1, -0x1.0d70c397292aep-1, -0x1.0fa52473a5c0dp-1, -0x1.11c5ae8c3376ep-1, -0x1.13d1d91802f4p-1, -0x1.15c92220b0827p-1, -0x1.17ab0efcd858p-1, -0x1.19772cb7a8de4p-1, -0x1.1b2d1066d3b4cp-1, -0x1.1ccc5770262d8p-1, -0x1.1e54a7c007e78p-1, -0x1.1fc5aff20b798p-1, -0x1.211f276cb220ep-1, -0x1.2260ce716be08p-1, -0x1.238a6e21dbf1dp-1, -0x1.249bd87b4ad88p-1, -0x1.2594e84930138p-1, -0x1.2675810fa5342p-1, -0x1.273d8eee8ea58p-1, -0x1.27ed067e3314bp-1, -0x1.2883e4a5f55a7p-1, -0x1.29022e6dd449dp-1, -0x1.2967f0cb4b6cp-1, -0x1.29b5406a23d0bp-1, -0x1.29ea3971be644p-1, -0x1.2a06ff474ec28p-1, -0x1.2a0bbc4d836e3p-1, -0x1.29f8a1a1ff0a4p-1, -0x1.29cde6d90ccc4p-1, -0x1.298bc9b7e96e8p-1, -0x1.29328dedfa235p-1, -0x1.28c27ccd3afa9p-1, -0x1.283be5023536cp-1, -0x1.279f1a4bba41ep-1, -0x1.26ec7532a3ea1p-1, -0x1.262452c1d381bp-1, -0x1.2547143ea07e1p-1, -0x1.24551ee1e72bfp-1, -0x1.234edb91e25cep-1, -0x1.2234b69cf6c0cp-1, -0x1.21071f759157fp-1, -0x1.1fc6886f38a99p-1, -0x1.1e73667cef158p-1, -0x1.1d0e30f0f9d52p-1, -0x1.1b97613e2897ep-1, -0x1.1a0f72baa99bep-1, -0x1.1876e2648353cp-1, -0x1.16ce2ea7b78fap-1, -0x1.1515d72626262p-1, -0x1.134e5c812f564p-1, -0x1.11784025257e7p-1, -0x1.0f9404168e29dp-1, -0x1.0da22ac13a247p-1, -0x1.0ba336c936228p-1, -0x1.0997aadd954a4p-1, -0x1.0780098d1488ep-1, -0x1.055cd51c98034p-1, -0x1.032e8f5f7c7a1p-1, -0x1.00f5b991bd4afp-1, -0x1.fd65a867cc84ep-2, -0x1.f8ccbdd1a27d3p-2, -0x1.f421b0aa46338p-2, -0x1.ef657c010fba7p-2, -0x1.ea99187143d71p-2, -0x1.e5bd7beb4c649p-2, -0x1.e0d399813a106p-2, -0x1.dbdc61367eb89p-2, -0x1.d6d8bfd2c8accp-2, -0x1.d1c99eb7f280cp-2, -0x1.ccafe3baf102fp-2, -0x1.c78c70ffa7262p-2, -0x1.c26024d7923c1p-2, -0x1.bd2bd9a335e0ap-2, -0x1.b7f065b631261p-2, -0x1.b2ae9b3de9a9dp-2, -0x1.ad67482ab936fp-2, -0x1.a81b361b81d1p-2, -0x1.a2cb2a4b9a142p-2, -0x1.9d77e582f8d8ep-2, -0x1.98222408885bfp-2, -0x1.92ca9d9693b7dp-2, -0x1.8d7205512e254p-2, -0x1.881909be8ac59p-2, -0x1.82c054c1277fep-2, -0x1.7d688b93bdbe9p-2, -0x1.78124ec6dce89p-2, -0x1.72be3a4024071p-2, -0x1.6d6ce53b00351p-2, -0x1.681ee24ae0e46p-2, -0x1.62d4bf5ecd4c4p-2, -0x1.5d8f05c6496a7p-2, -0x1.584e3a37796edp-2, -0x1.5312dcd6718bp-2, -0x1.4ddd693da24e7p-2, -0x1.48ae56874f189p-2, -0x1.43861758001bcp-2, -0x1.3e6519e9df3b5p-2, -0x1.394bc818f4c68p-2, -0x1.343a87702c4efp-2, -0x1.2f31b9371e883p-2, -0x1.2a31ba8088dffp-2, -0x1.253ae4396d17dp-2, -0x1.204d8b38c3536p-2, -0x1.1b6a004fbe2a4p-2, -0x1.1690905a873bep-2, -0x1.11c1845171a11p-2, -0x1.0cfd215a97ae1p-2, -0x1.0843a8dbd0398p-2, -0x1.0395588cfd9c3p-2, -0x1.fde4d5153ff53p-3, -0x1.f4b62ad15af93p-3, -0x1.eb9f188b3950ep-3, -0x1.e29ffdbb3b991p-3, -0x1.d9b9333bfb824p-3, -0x1.d0eb0b7141b43p-3, -0x1.c835d26f31598p-3, -0x1.bf99ce218e0f4p-3, -0x1.b7173e7310c8p-3, -0x1.aeae5d74c65bdp-3, -0x1.a65f5f855abf1p-3, -0x1.9e2a737858c8bp-3, -0x1.960fc2bd47abdp-3, -0x1.8e0f7186980f1p-3, -0x1.86299ef0652a1p-3, -0x1.7e5e6526f4cb1p-3, -0x1.76add98cebb6fp-3, -0x1.6f180ce13c8c4p-3, -0x1.679d0b64b8882p-3, -0x1.603cdcff46929p-3, -0x1.58f78564b27f8p-3, -0x1.51cd043916473p-3, -0x1.4abd5534cc7fp-3, -0x1.43c87047ef981p-3, -0x1.3cee49bd625e1p-3, -0x1.362ed25d501fcp-3, -0x1.2f89f78f2e2cdp-3, -0x1.28ffa37b36cp-3, -0x1.228fbd2b58ee5p-3, -0x1.1c3a28ab914b3p-3, -0x1.15fec729c220cp-3, -0x1.0fdd7714e9ceap-3, -0x1.09d6143bc8066p-3, -0x1.03e877eaf0227p-3, -0x1.fc28f2147a528p-4, -0x1.f0b3d8735b473p-4, -0x1.e57147db45c2ep-4, -0x1.da60e1150c9fep-4, -0x1.cf8240ff9baf8p-4, -0x1.c4d500c4d3a2bp-4, -0x1.ba58b60d1b373p-4, -0x1.b00cf331c7162p-4, -0x1.a5f1476e31af3p-4, -0x1.9c053f0fb0cf2p-4, -0x1.924863a440201p-4, -0x1.88ba3c2803c37p-4, -0x1.7f5a4d3187667p-4, -0x1.7628191cd48f8p-4, -0x1.6d23203552f14p-4, -0x1.644ae0de7a82ap-4, -0x1.5b9ed7bb5b0c6p-4, -0x1.531e7fd4f9598p-4, -0x1.4ac952bf86caep-4, -0x1.429ec8be75f12p-4, -0x1.3a9e58e7711a4p-4, -0x1.32c7794432ff1p-4, -0x1.2b199ef34a8b1p-4, -0x1.23943e47c7a02p-4, -0x1.1c36cae7da57cp-4, -0x1.1500b7ea651b3p-4, -0x1.0df177f38705fp-4, -0x1.07087d5024357p-4, -0x1.00453a106d998p-4, -0x1.f34e4042defa4p-5, -0x1.e65b42cb532f7p-5, -0x1.d9b05f996acdep-5, -0x1.cd4c7ad401f28p-5, -0x1.c12e79153f235p-5, -0x1.b5553f9473491p-5, -0x1.a9bfb44e363dfp-5, -0x1.9e6cbe2ad45aep-5, -0x1.935b45230d5c1p-5, -0x1.888a326335273p-5, -0x1.7df8706cbc6dfp-5, -0x1.73a4eb3628ea9p-5, -0x1.698e90498ba37p-5, -0x1.5fb44ee179c8fp-5, -0x1.5615180494d76p-5, -0x1.4cafde9faa156p-5, -0x1.4383979e701dfp-5, -0x1.3a8f3a02f0e2cp-5, -0x1.31d1befba5c87p-5, -0x1.294a21f84ea82p-5, -0x1.20f760bd8d368p-5, -0x1.18d87b774fb8ap-5, -0x1.10ec74ca0f99p-5, -0x1.093251e2f1f08p-5, -0x1.01a91a86cbc4fp-5, -0x1.f49fb24030d4bp-6, -0x1.e64b3597d0b9p-6, -0x1.d852decb9d178p-6, -0x1.cab4d325ae0a4p-6, -0x1.bd6f3d971ed01p-6, -0x1.b0804eca468acp-6, -0x1.a3e63d333c005p-6, -0x1.979f451e9e097p-6, -0x1.8ba9a8bebd86bp-6, -0x1.8003b03735881p-6, -0x1.74aba9a6fb803p-6, -0x1.699fe930f64a2p-6, -0x1.5edec9032fb62p-6, -0x1.5466a95ca63ebp-6, -0x1.4a35f091d130ep-6, -0x1.404b0b0fe122ep-6, -0x1.36a46b5ed06cp-6, -0x1.2d408a223f65ap-6, -0x1.241de619410cfp-6, -0x1.1b3b041d0cc27p-6, -0x1.12966f1eae7cep-6, -0x1.0a2eb823ba5c4p-6, -0x1.0202764215356p-6, -0x1.f4208d35a861dp-7, -0x1.e4ad98a885f51p-7, -0x1.d5a961263a543p-7, -0x1.c71144e5fb6e6p-7, -0x1.b8e2adfc2c1eap-7, -0x1.ab1b1248599c4p-7, -0x1.9db7f361f809dp-7, -0x1.90b6de83c4cd6p-7, -0x1.84156c76123f5p-7, -0x1.77d14177e1f34p-7, -0x1.6be80d26f5021p-7, -0x1.60578a66e4a15p-7, -0x1.551d7f47419ffp-7, -0x1.4a37bce8d5852p-7, -0x1.3fa41f62131cep-7, -0x1.35608da2c778cp-7, -0x1.2b6af95709b5fp-7, -0x1.21c15ec989e5dp-7, -0x1.1861c4c54081cp-7, -0x1.0f4a3c768d321p-7, -0x1.0678e14bd2b12p-7, -0x1.fbd7b1ab2f152p-8, -0x1.eb42a54c765dfp-8, -0x1.db2f10628c88cp-8, -0x1.cb997954c6476p-8, -0x1.bc7e79c80da54p-8, -0x1.addabe5bab761p-8, -0x1.9fab066594a44p-8, -0x1.91ec23ae561a9p-8, -0x1.849afa2ca773cp-8, -0x1.77b47fc0baf4ep-8, -0x1.6b35bbef5733fp-8, -0x1.5f1bc79ccb4f8p-8, -0x1.5363ccc7cb388p-8, -0x1.480b064442b37p-8, -0x1.3d0ebf762b28cp-8, -0x1.326c540c72a1cp-8, -0x1.28212fbbfeeb1p-8, -0x1.1e2acdfad8669p-8, -0x1.1486b9bb88a8ep-8, -0x1.0b328d28b50a8p-8, -0x1.022bf16103d08p-8, -0x1.f2e13c669fb9bp-9, -0x1.e1fcb3b66e93fp-9, -0x1.d1a5f17c1e252p-9, -0x1.c1d8ba507a5cep-9, -0x1.b290ee1617705p-9, -0x1.a3ca8775def4ap-9, -0x1.95819b5caa10ep-9, -0x1.87b25879e3251p-9, -0x1.7a5906bf468c9p-9, -0x1.6d7206e1c78c3p-9, -0x1.60f9d1dba92f4p-9, -0x1.54ecf86fcde3fp-9, -0x1.494822ae521bep-9, -0x1.3e080f7a6d6f3p-9, -0x1.33299411ad664p-9, -0x1.28a99b948cbb2p-9, -0x1.1e8526906b92cp-9, -0x1.14b94a8af4811p-9, -0x1.0b43318ef008p-9, -0x1.022019ba8c329p-9, -0x1.f29aa99e3cfb4p-10, -0x1.e1908f84c5bc8p-10, -0x1.d11cd4a27c2f5p-10, -0x1.c13a8d27fffeep-10, -0x1.b1e4f12868a73p-10, -0x1.a3175bc7eb7edp-10, -0x1.94cd4a6da244ap-10, -0x1.87025bf86ed06p-10, -0x1.79b24ff6f4054p-10, -0x1.6cd905e2b4e8dp-10, -0x1.60727c5e4d7ccp-10, -0x1.547ad076d3fep-10, -0x1.48ee3ce853e6p-10, -0x1.3dc919656bb09p-10, -0x1.3307d9e207c49p-10, -0x1.28a70de13a801p-10, -0x1.1ea35fc62e066p-10, -0x1.14f994282b502p-10, -0x1.0ba68929b9dd3p-10, -0x1.02a735d2c5751p-10, -0x1.f3f152dbbb198p-11, -0x1.e33015d0dae4cp-11, -0x1.d305306bfe487p-11, -0x1.c36b4b6cefa82p-11, -0x1.b45d3b3e97385p-11, -0x1.a5d5fecf430fcp-11, -0x1.97d0be6ec5101p-11, -0x1.8a48cab258778p-11, -0x1.7d399b5e40eafp-11, -0x1.709ece5515762p-11, -0x1.6474268ca86acp-11, -0x1.58b58b087df0ap-11, -0x1.4d5f05d9bfedep-11, -0x1.426cc324a18c7p-11, -0x1.37db102b20cc1p-11, -0x1.2da65a5d165cfp-11, -0x1.23cb2e6d81f9bp-11, -0x1.1a46376d037d7p-11, -0x1.11143de96f24fp-11, -0x1.083227126abdfp-11, -0x1.ff39e7c606362p-12, -0x1.eea380a04e36cp-12, -0x1.de9b84f7efaa3p-12, -0x1.cf1c93dbb2cd5p-12, -0x1.c0217d9e69c6bp-12, -0x1.b1a54259af178p-12, -0x1.a3a31079bb0e3p-12, -0x1.961643522a679p-12, -0x1.88fa61bb92fd2p-12, -0x1.7c4b1cb9c3d2cp-12, -0x1.70044e2a82216p-12, -0x1.6421f77cad4cep-12, -0x1.58a0406f9994fp-12, -0x1.4d7b75da7e6p-12, -0x1.42b0087bdbc1dp-12, -0x1.383a8bd0a8655p-12, -0x1.2e17b4f329af7p-12, -0x1.244459815211fp-12, -0x1.1abd6e8a7d79ep-12, -0x1.118007846f06bp-12, -0x1.0889554766286p-12, -0x1.ffad4a2254877p-13, -0x1.eecabf1dd9c6p-13, -0x1.de660fdbb93e4p-13, -0x1.ce7a75e4888b5p-13, -0x1.bf035c2a366e8p-13, -0x1.affc5d4fc251bp-13, -0x1.a16141fd3fcecp-13, -0x1.932dff3ff4b06p-13, -0x1.855eb4f6495e7p-13, -0x1.77efac4740f34p-13, -0x1.6add56254b092p-13, -0x1.5e2449dc22b23p-13, -0x1.51c143a983a6dp-13, -0x1.45b1236071383p-13, -0x1.39f0eb16dac7dp-13, -0x1.2e7dbddd5ce9fp-13, -0x1.2354de80df40dp-13, -0x1.1873ae55e59f8p-13, -0x1.0dd7ac0d3fcbfp-13, -0x1.037e7291fcd8dp-13, -0x1.f2cb6fe0aeaa6p-14, -0x1.df16988aca5cep-14, -0x1.cbda316ebaa6p-14, -0x1.b9123cec6d7c9p-14, -0x1.a6baeb88dcf81p-14, -0x1.94d09a0f83adbp-14, -0x1.834fcfc350b8cp-14, -0x1.72353c9ebf337p-14, -0x1.617db7a2a33c1p-14, -0x1.51263d3356f5ap-14, -0x1.412bed83e1e9ep-14, -0x1.318c0b0ec39bap-14, -0x1.2243f91c00bbep-14, -0x1.13513a541c5a2p-14, -0x1.04b16f5fa5b26p-14, -0x1.ecc4ab2603edfp-15, -0x1.d0c38b4c3f27dp-15, -0x1.b55b64ef7df5dp-15, -0x1.9a884fb80027ep-15, -0x1.804692ebc90b7p-15, -0x1.6692a336f0955p-15, -0x1.4d692088a9d25p-15, -0x1.34c6d4046694ap-15, -0x1.1ca8ae06889bcp-15, -0x1.050bc43c0bc7dp-15, -0x1.dbda9f994758cp-16, -0x1.ae95572d73c18p-16, -0x1.8242a4f99e9e3p-16, -0x1.56ddbb876c537p-16, -0x1.2c6207024fb96p-16, -0x1.02cb2a346e2b3p-16, -0x1.b429f74487c1ep-17, -0x1.647705883e39dp-17, -0x1.1675eab8f7c2cp-17, -0x1.943ed3a9a660dp-18, -0x1.fdb261b84d215p-19, -0x1.b2b6cfd5934c9p-20, 0x1.12824a92be0c2p-21, 0x1.5c59c61e291cp-19, 0x1.36f3b35a6ec3cp-18, 0x1.bcafda30b063ap-18, 0x1.1fb6027a5ae5p-17, 0x1.5f993aceca466p-17, 0x1.9e0684c87663dp-17, 0x1.db02a0164ffeep-17, 0x1.0b491040af771p-16, 0x1.285cb872928bcp-16, 0x1.44be6b01d9dbep-16, 0x1.6070389b5fca2p-16, 0x1.7b74217f7387dp-16, 0x1.95cc16b9316d5p-16, 0x1.af79fb46222f8p-16, 0x1.c87fa52eb61adp-16, 0x1.e0dede9025f55p-16, 0x1.f89966984499cp-16, 0x1.07d87939e17fep-15, 0x1.13139717b99aap-15, 0x1.1dfedec67a76p-15, 0x1.289b1e65af4efp-15, 0x1.32e920b2218d4p-15, 0x1.3ce9ad5eca9b1p-15, 0x1.469d89686b32p-15, 0x1.50057763fe2b8p-15, 0x1.592237c83ab4p-15, 0x1.61f489325b91p-15, 0x1.6a7d28a659f37p-15, 0x1.72bcd1cad0711p-15, 0x1.7ab43f20b0a8p-15, 0x1.82642a36f8f22p-15, 0x1.89cd4bda9d517p-15, 0x1.90f05c42c1202p-15, 0x1.97ce13397790cp-15, 0x1.9e6728412b69bp-15, 0x1.a4bc52b6d5fbp-15, 0x1.aace49f12c384p-15, 0x1.b09dc55ce42fp-15, 0x1.b62b7c9638542p-15, 0x1.bb78277fc7462p-15, 0x1.c0847e56f2f86p-15, 0x1.c55139c5dd2e1p-15, 0x1.c9df12f322c6bp-15, 0x1.ce2ec38f6f14ap-15, 0x1.d24105e106f1fp-15, 0x1.d61694cd66f5bp-15, 0x1.d9b02be10a67bp-15, 0x1.dd0e87557d2c2p-15, 0x1.e0326415c882bp-15, 0x1.e31c7fc157c7p-15, 0x1.e5cd98ad6b2d1p-15, 0x1.e8466de52b362p-15, 0x1.ea87bf2877864p-15, 0x1.ec924ce97f297p-15, 0x1.ee66d8493c936p-15, 0x1.f0062312e30c3p-15, 0x1.f170efb650fe6p-15, 0x1.f2a8014199e19p-15, 0x1.f3ac1b59b79dp-15, 0x1.f47e02327283dp-15, 0x1.f51e7a859134ep-15, 0x1.f58e49895cfc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.43353f908194fp-3, -0x1.12f47ec0f9d61p-3, -0x1.c01dd86ebaa3p-4, -0x1.55ef9ce2c2bcap-4, -0x1.d06f9ef8fceb4p-5, -0x1.df08f59530621p-6, -0x1.52be25bfdba7cp-10, 0x1.ba0633906a9e5p-6, 0x1.c606f639aa734p-5, 0x1.57a6955297bbcp-4, 0x1.cbe4066d557a3p-4, 0x1.1fa1a3fdd3338p-3, 0x1.58ac787ac36cfp-3, 0x1.90e270d67b7a5p-3, 0x1.c818675bd0231p-3, 0x1.fe27b37b2442ap-3, 0x1.19770bb4301bbp-2, 0x1.3326f3e4b98d2p-2, 0x1.4c170f4ff0decp-2, 0x1.643d1012f15d4p-2, 0x1.7b909b46a57e2p-2, 0x1.920ce2e80d37cp-2, 0x1.a7a8789d2582cp-2, 0x1.bc60a15b8ac2ep-2, 0x1.d032695ea53fcp-2, 0x1.e31bf921f4b2ep-2, 0x1.f51c7760bb1d6p-2, 0x1.0319f830a0d13p-1, 0x1.0b31a0f618e33p-1, 0x1.12d604fc137ccp-1, 0x1.1a084a849b2fep-1, 0x1.20c9e500cd975p-1, 0x1.271c89e9edb01p-1, 0x1.2d02260d55f46p-1, 0x1.327cd4d4b8202p-1, 0x1.378ed9d17964p-1, 0x1.3c3a9b7b575f9p-1, 0x1.40829dda752b6p-1, 0x1.44697cc697c09p-1, 0x1.47f1e681c20c7p-1, 0x1.4b1e97bf10651p-1, 0x1.4df2597b1f5bep-1, 0x1.5070000e01ba3p-1, 0x1.529a6a50c6c45p-1, 0x1.54747fdb01b5p-1, 0x1.56012dfe165cfp-1, 0x1.574363c4671afp-1, 0x1.583e0d8a1d271p-1, 0x1.58f410bf91c62p-1, 0x1.59684835dbbd6p-1, 0x1.599d81289157p-1, 0x1.5996791d670b7p-1, 0x1.5955dca458a21p-1, 0x1.58de46f5505b1p-1, 0x1.5832425527b58p-1, 0x1.57544915a4bfap-1, 0x1.5646c6f029913p-1, 0x1.550c1a6df20d8p-1, 0x1.53a6960e921a5p-1, 0x1.521880e7d4f6fp-1, 0x1.5064169116905p-1, 0x1.4e8b864c5c1fp-1, 0x1.4c90f182c039p-1, 0x1.4a77cc64dac36p-1, 0x1.483fe5462d971p-1, 0x1.45ebcf639439bp-1, 0x1.437d50acc59edp-1, 0x1.40f61df63095ep-1, 0x1.3e57dc1577ecp-1, 0x1.3ba420e93f86dp-1, 0x1.38dc742eb3b61p-1, 0x1.3602501174848p-1, 0x1.3317216f7e188p-1, 0x1.301c47d7b9b03p-1, 0x1.2d131554b1596p-1, 0x1.29fcce1babbe1p-1, 0x1.26daa83a79078p-1, 0x1.23adcb5bd767ap-1, 0x1.207750b49a39p-1, 0x1.1d384324356edp-1, 0x1.19f19f8b5c889p-1, 0x1.16a455545a58dp-1, 0x1.1351472361f37p-1, 0x1.0ff94ba1b8704p-1, 0x1.0c9d2e556663dp-1, 0x1.093db077b1f7bp-1, 0x1.05db89bec8f14p-1, 0x1.027769120a3c6p-1, 0x1.fe23ea47c291ap-2, 0x1.f75799df17d5fp-2, 0x1.f08b10380fb38p-2, 0x1.e9bf6e8f29129p-2, 0x1.e2f5c880e7593p-2, 0x1.dc2f246015e3dp-2, 0x1.d56c7b7aa0c0dp-2, 0x1.ceaeba557dfedp-2, 0x1.c7f6c0e65909ep-2, 0x1.c14562cfd460bp-2, 0x1.ba9b67a38adfep-2, 0x1.b3f98b2b9b5b5p-2, 0x1.ad607dbc8efb9p-2, 0x1.a6d0e48faa36fp-2, 0x1.a04b5a2545df7p-2, 0x1.99d06eae72b9ep-2, 0x1.9360a87ced5c4p-2, 0x1.8cfc84784718ep-2, 0x1.86a47696f8c95p-2, 0x1.8058ea5a09bf3p-2, 0x1.7a1a4349e387ep-2, 0x1.73e8dd72ee46dp-2, 0x1.6dc50de08353cp-2, 0x1.67af2314e307ap-2, 0x1.61a7657cccfe5p-2, 0x1.5bae17dd7d427p-2, 0x1.55c377bbd9a71p-2, 0x1.4fe7bdbbc4c77p-2, 0x1.4a1b1df6acb4ep-2, 0x1.445dc848a808bp-2, 0x1.3eafe893bca4bp-2, 0x1.3911a6f93a22ep-2, 0x1.3383280967bbfp-2, 0x1.2e048cea2da44p-2, 0x1.2895f375a1366p-2, 0x1.23377651b2566p-2, 0x1.1de92d0267177p-2, 0x1.18ab2bf826782p-2, 0x1.137d849b9e07bp-2, 0x1.0e604558b455dp-2, 0x1.095379a9cf62ap-2, 0x1.04572a24809eap-2, 0x1.fed6b910be0d5p-3, 0x1.f52027a12da6ep-3, 0x1.eb8aa090e9508p-3, 0x1.e2161f45cfb9p-3, 0x1.d8c29a29aa57p-3, 0x1.cf9002e3b7593p-3, 0x1.c67e469625608p-3, 0x1.bd8d4e1e73dcap-3, 0x1.b4bcfe57907cfp-3, 0x1.ac0d385c89493p-3, 0x1.a37dd9cab5824p-3, 0x1.9b0ebd0262848p-3, 0x1.92bfb9651e381p-3, 0x1.8a90a390dbc7cp-3, 0x1.82814d977313ep-3, 0x1.7a9187320c0d2p-3, 0x1.72c11df02b31ap-3, 0x1.6b0fe37732a27p-3, 0x1.637d444e332f6p-3, 0x1.5c0964f012b2ap-3, 0x1.54b40d313e15ep-3, 0x1.4d7d031f88ac4p-3, 0x1.46640b17fa326p-3, 0x1.3f68e7dc10f3p-3, 0x1.388b5aa69fa5p-3, 0x1.31cb2340678e8p-3, 0x1.2b28001475157p-3, 0x1.24a1ae4450556p-3, 0x1.1e37e9bc0a856p-3, 0x1.17ea6d460ead8p-3, 0x1.11b8f29ec1fa9p-3, 0x1.0ba33287d86cap-3, 0x1.05a8e4db52711p-3, 0x1.ff93813c3a7dep-4, 0x1.f40af82460481p-4, 0x1.e8b799906d2e4p-4, 0x1.dd98cf61443c1p-4, 0x1.d2ae02584b944p-4, 0x1.c7f69a37233bap-4, 0x1.bd71fdde0be1cp-4, 0x1.b31f93690bb96p-4, 0x1.a8fec04bb6fddp-4, 0x1.9f0ee96bbbcfbp-4, 0x1.954f733a1bc4fp-4, 0x1.8bbfc1cb4f845p-4, 0x1.825f38ee28f85p-4, 0x1.792d3c41b47bep-4, 0x1.70292f4a13071p-4, 0x1.6752758464ecfp-4, 0x1.5ea87279d9ee8p-4, 0x1.562a89d1f34bcp-4, 0x1.4dd81f640ad3ep-4, 0x1.45b097482b9edp-4, 0x1.3db355e74a55fp-4, 0x1.35dfc00ae65e7p-4, 0x1.2e353aec1f28ap-4, 0x1.26b32c4243179p-4, 0x1.1f58fa50df0a8p-4, 0x1.18260bf553a25p-4, 0x1.1119c8b3f3f4ep-4, 0x1.0a3398c4af434p-4, 0x1.0372e51f49ecp-4, 0x1.f9ae2f0e4c9adp-5, 0x1.ecbf352d3c983p-5, 0x1.e017b393e25efp-5, 0x1.d3b68313876f5p-5, 0x1.c79a7e6a6fc29p-5, 0x1.bbc2825731fe3p-5, 0x1.b02d6dab433b5p-5, 0x1.a4da215cb229bp-5, 0x1.99c780971d29ep-5, 0x1.8ef470cbdba1ep-5, 0x1.845fd9c167eacp-5, 0x1.7a08a5a2097c8p-5, 0x1.6fedc109bce2ap-5, 0x1.660e1b13683fcp-5, 0x1.5c68a565560b6p-5, 0x1.52fc543cfc04fp-5, 0x1.49c81e7a13a2ap-5, 0x1.40cafda903fd3p-5, 0x1.3803ee0ca224ap-5, 0x1.2f71eea749faap-5, 0x1.2714014351af6p-5, 0x1.1ee92a7adc735p-5, 0x1.16f071bf0f888p-5, 0x1.0f28e15ea9002p-5, 0x1.0791868c00ee9p-5, 0x1.0029716274096p-5, 0x1.f1df69d67449cp-6, 0x1.e3c6ce43663ddp-6, 0x1.d60741ee45a9fp-6, 0x1.c89efcabd5219p-6, 0x1.bb8c3c48727a6p-6, 0x1.aecd448c80379p-6, 0x1.a2605f3fd3092p-6, 0x1.9643dc2c29b56p-6, 0x1.8a76111ec04f4p-6, 0x1.7ef559e9050f8p-6, 0x1.73c0186065aa3p-6, 0x1.68d4b45d59b88p-6, 0x1.5e319bb9989f1p-6, 0x1.53d5424d900cdp-6, 0x1.49be21ed19abp-6, 0x1.3feaba638248dp-6, 0x1.3659916edc2e9p-6, 0x1.2d0932baaf974p-6, 0x1.23f82fda04649p-6, 0x1.1b252040d53b7p-6, 0x1.128ea13cf0434p-6, 0x1.0a3355ee42b61p-6, 0x1.0211e73ea2428p-6, 0x1.f45207b221747p-7, 0x1.e4eec0410c065p-7, 0x1.d5f76c4c7827p-7, 0x1.c7698b3f1d1e6p-7, 0x1.b942a7b6dd76dp-7, 0x1.ab80576ecc4dfp-7, 0x1.9e203b2882b94p-7, 0x1.911ffe94a9194p-7, 0x1.847d583ad8f1dp-7, 0x1.78360960d1a7bp-7, 0x1.6c47ddf109fc6p-7, 0x1.60b0ac60af2bbp-7, 0x1.556e559513148p-7, 0x1.4a7ec4c89d1eep-7, 0x1.3fdfef6f330b2p-7, 0x1.358fd51a37c6dp-7, 0x1.2b8c7f5c13e5bp-7, 0x1.21d401ab6473ep-7, 0x1.18647945caa57p-7, 0x1.0f3c0d125d81ep-7, 0x1.0658ed83dbcecp-7, 0x1.fb72a8f51fbdfp-8, 0x1.eab70a4bf2ca5p-8, 0x1.da7b97cc6c3b5p-8, 0x1.cabcfc5a8b30bp-8, 0x1.bb77f4c02c872p-8, 0x1.aca94f6ef16b5p-8, 0x1.9e4dec41d56ccp-8, 0x1.9062bc3e9c5p-8, 0x1.82e4c157205adp-8, 0x1.75d10e2a76676p-8, 0x1.6924c5c60a5e4p-8, 0x1.5cdd1b66bfa0dp-8, 0x1.50f75239fe081p-8, 0x1.4570bd1ee4529p-8, 0x1.3a46be6777328p-8, 0x1.2f76c79a11f07p-8, 0x1.24fe5932da6eep-8, 0x1.1adb02657b8ccp-8, 0x1.110a60df0e40cp-8, 0x1.078a208845fafp-8, 0x1.fcaff68fa982fp-9, 0x1.eae3718a7095fp-9, 0x1.d9aa5c5767b41p-9, 0x1.c9007bdb80a1bp-9, 0x1.b8e1af11998a9p-9, 0x1.a949ee92cf951p-9, 0x1.9a354c1f931cfp-9, 0x1.8b9ff229c3f41p-9, 0x1.7d86235f75655p-9, 0x1.6fe43a36d5d3ap-9, 0x1.62b6a87af6f6bp-9, 0x1.55f9f6d99e1d9p-9, 0x1.49aac4721525dp-9, 0x1.3dc5c66526f07p-9, 0x1.3247c7660c375p-9, 0x1.272da74c97947p-9, 0x1.1c745aa87e63p-9, 0x1.1218ea55cd1e4p-9, 0x1.081873128faefp-9, 0x1.fce04a2b7d172p-10, 0x1.ea3a874e8e047p-10, 0x1.d83a4973087c8p-10, 0x1.c6da6107be93ep-10, 0x1.b615c23d94cecp-10, 0x1.a5e7844206f9p-10, 0x1.964ae07c84524p-10, 0x1.873b31ce11d19p-10, 0x1.78b3f3d4104dap-10, 0x1.6ab0c22d8b295p-10, 0x1.5d2d57c32f0bep-10, 0x1.50258e1248575p-10, 0x1.43955c7a0215p-10, 0x1.3778d78c0e954p-10, 0x1.2bbd027a617a5p-10, 0x1.207d519c2bd83p-10, 0x1.15a6368286772p-10, 0x1.0b343320908b4p-10, 0x1.0123e35980b27p-10, 0x1.eee3f8c553afp-11, 0x1.dc36984fb4342p-11, 0x1.ca397165e6384p-11, 0x1.b8e67f2b9c499p-11, 0x1.a837eaade9548p-11, 0x1.982809c22e9e2p-11, 0x1.88b15de9dcda9p-11, 0x1.79ce933c0f9d1p-11, 0x1.6b7a7f53ab809p-11, 0x1.5db020439aaaep-11, 0x1.506a9b8f33c36p-11, 0x1.43a53d2829bedp-11, 0x1.375b76717cb7dp-11, 0x1.2b88dd475efdbp-11, 0x1.20292b0bedb3fp-11, 0x1.15383bb8f298dp-11, 0x1.0ab20cf622aaap-11, 0x1.0092bd34abc2dp-11, 0x1.edad159d1321fp-12, 0x1.daf3a65746486p-12, 0x1.c8f223d4fc21ap-12, 0x1.b7a1c01bfd232p-12, 0x1.a6fbe65ed8038p-12, 0x1.96fa3969e8ed2p-12, 0x1.8796921898c4ep-12, 0x1.78cafdd393ed8p-12, 0x1.6a91bd1757bf3p-12, 0x1.5ce542030270cp-12, 0x1.4fc02eef370d4p-12, 0x1.431d550cd7c4fp-12, 0x1.36f7b30c7a7a4p-12, 0x1.2b4a73cca658cp-12, 0x1.2010ed10d09c4p-12, 0x1.15469e3eb5d91p-12, 0x1.0ae72f245ea38p-12, 0x1.00ee6ec493a1cp-12, 0x1.eeb0a4561900bp-13, 0x1.dc41e68fb10d7p-13, 0x1.ca891fa20be66p-13, 0x1.b97f1058494b5p-13, 0x1.a91cbcbb3b77dp-13, 0x1.995b69ffac8bdp-13, 0x1.8a349c7f712a4p-13, 0x1.7ba215c1cea0fp-13, 0x1.6d9dd28d98da6p-13, 0x1.6022090a80b7bp-13, 0x1.532926ed7a631p-13, 0x1.46adcfb153ba3p-13, 0x1.3aaadadb61985p-13, 0x1.2f1b524a7a6f6p-13, 0x1.23fa7094be34cp-13, 0x1.19439f6c43b7ap-13, 0x1.0ef27611fa2c6p-13, 0x1.0502b7d203746p-13, 0x1.f6e0a515f811ep-14, 0x1.e46eba7ec48a9p-14, 0x1.d2a82d64585aep-14, 0x1.c185c81784a63p-14, 0x1.b1009f135ba31p-14, 0x1.a1120e70496ecp-14, 0x1.91b3b768bee49p-14, 0x1.82df7df0fbb0bp-14, 0x1.748f865eaba54p-14, 0x1.66be3326c3502p-14, 0x1.596622a6fc2e4p-14, 0x1.4c822d029422ep-14, 0x1.400d6211c7a47p-14, 0x1.3403075b62a33p-14, 0x1.285e96239367ep-14, 0x1.1d1bb9861fff6p-14, 0x1.12364ca21eb63p-14, 0x1.07aa58d1f8f91p-14, 0x1.fae827e54cbafp-15, 0x1.e71fbd6ed08f7p-15, 0x1.d3f4861b6851ep-15, 0x1.c15fe51406f45p-15, 0x1.af5b89c7980a2p-15, 0x1.9de16cfc918cdp-15, 0x1.8cebcdf6b4e18p-15, 0x1.7c752fb7867e6p-15, 0x1.6c785651bc71bp-15, 0x1.5cf044583e97p-15, 0x1.4dd83859e9e3cp-15, 0x1.3f2baa7dc3425p-15, 0x1.30e64a28fd3cep-15, 0x1.2303fbbfd84f7p-15, 0x1.1580d673f2e53p-15, 0x1.0859222a38c53p-15, 0x1.f712aae03953ep-16, 0x1.de1c27083fd5ep-16, 0x1.c5c854da5d02p-16, 0x1.ae11224a256a5p-16, 0x1.96f0cba6a2d15p-16, 0x1.8061d827dccbcp-16, 0x1.6a5f16a28e8f7p-16, 0x1.54e39a593caf4p-16, 0x1.3feab7e65e744p-16, 0x1.2b700244b310dp-16, 0x1.176f47f35fa24p-16, 0x1.03e49032ec349p-16, 0x1.e19830b924514p-17, 0x1.bc44a2ad5ee56p-17, 0x1.97c7ba2ef890bp-17, 0x1.741b1893adf7ap-17, 0x1.5138b80869577p-17, 0x1.2f1ae729c80d2p-17, 0x1.0dbc44cd02166p-17, 0x1.da2f77df2c6b8p-18, 0x1.9a50ff98bac7ep-18, 0x1.5bd4104137dc3p-18, 0x1.1eb01b32b7362p-18, 0x1.c5ba191fb860cp-19, 0x1.50a689a32777fp-19, 0x1.bc2e495dd04f6p-20, 0x1.b7f95a79c2ea3p-21, 0x1.3d3f12afda7e5p-29, -0x1.ac081b153424fp-21, -0x1.a8022bca5ab37p-20, -0x1.3ab8a2a49d1b7p-19, -0x1.9f32d8020d0e5p-19, -0x1.00bca835c6f9fp-18, -0x1.30ca8f462314fp-18, -0x1.5fc76afd2326cp-18, -0x1.8db749926041ep-18, -0x1.ba9e01b6bec4bp-18, -0x1.e67f362ef07cp-18, -0x1.08af2cb1c6084p-17, -0x1.1d9f585c5ec6ep-17, -0x1.3211abee8d44cp-17, -0x1.4607a1d8f74c2p-17, -0x1.5982a2a094646p-17, -0x1.6c840643ec05dp-17, -0x1.7f0d15855204bp-17, -0x1.911f0b2bc75c4p-17, -0x1.a2bb1527f93dp-17, -0x1.b3e255be8fafdp-17, -0x1.c495e48f107f6p-17, -0x1.d4d6cf942a8a6p-17, -0x1.e4a61c16600e5p-17, -0x1.f404c791e3c5p-17, -0x1.0179e444f3437p-16, -0x1.08ba07a8fc16fp-16, -0x1.0fc3436fa733dp-16, -0x1.16960aaf53b05p-16, -0x1.1d32ce78bc8efp-16, -0x1.2399fe2295933p-16, -0x1.29cc07939f6p-16, -0x1.2fc957878a1efp-16, -0x1.359259cfd77fap-16, -0x1.3b27798ebe9b4p-16, -0x1.4089216b8bb66p-16, -0x1.45b7bbcdd92bcp-16, -0x1.4ab3b30680ecp-16, -0x1.4f7d717e7f1f7p-16, -0x1.541561da85823p-16, -0x1.587bef28308fcp-16, -0x1.5cb184f60abefp-16, -0x1.60b68f7829c1ep-16, -0x1.648b7b9f743f5p-16, -0x1.6830b7371f4bap-16, -0x1.6ba6b0f605288p-16, -0x1.6eedd8955b987p-16, -0x1.72069ee180fd5p-16, -0x1.74f175c54692dp-16, -0x1.77aed059294ebp-16, -0x1.7a3f22f0b7d1cp-16, -0x1.7ca2e31dfea01p-16, -0x1.7eda87bbb2212p-16, -0x1.80e688f2003fdp-16, -0x1.82c7603912734p-16, -0x1.847d885dec575p-16, -0x1.86097d7b52619p-16, -0x1.876bbd0542f2dp-16, -0x1.88a4c5bd612b9p-16, -0x1.89b517b247fb8p-16, -0x1.8a9d3440cfd56p-16, -0x1.8b5d9e04efbf4p-16, -0x1.8bf6d8da6537ep-16, -0x1.8c6969d3e2a61p-16, -0x1.8cb5d7332fe54p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.789bded24bcc2p-3, -0x1.8d997adbca616p-3, -0x1.a2ad39a5b0c75p-3, -0x1.b7cfcacaa798ap-3, -0x1.ccf9b3c6149f2p-3, -0x1.e2235f6469a83p-3, -0x1.f7452bca0701ap-3, -0x1.062bbb8f6c5d7p-2, -0x1.10a95577d235dp-2, -0x1.1b17a32bb2f11p-2, -0x1.2572f3821a9ecp-2, -0x1.2fb7a895a76d7p-2, -0x1.39e23b3ff006cp-2, -0x1.43ef3e1fd9a23p-2, -0x1.4ddb60341d45p-2, -0x1.57a36f12d21b5p-2, -0x1.614458c653b83p-2, -0x1.6abb2d5767639p-2, -0x1.7405200bfc233p-2, -0x1.7d1f886163d62p-2, -0x1.8607e2c85ee76p-2, -0x1.8ebbd128e628dp-2, -0x1.97391b331e6b3p-2, -0x1.9f7dae827a7ffp-2, -0x1.a7879e97a7a1ep-2, -0x1.af5524ad84cafp-2, -0x1.b6e49f6d01a39p-2, -0x1.be3492837e713p-2, -0x1.c543a61eeee16p-2, -0x1.cc10a652c23bdp-2, -0x1.d29a826851fcdp-2, -0x1.d8e04c1d5c7a7p-2, -0x1.dee136d2dcdffp-2, -0x1.e49c96ae64efep-2, -0x1.ea11dfafdf68ep-2, -0x1.ef40a4bd959afp-2, -0x1.f42896a80c5a8p-2, -0x1.f8c9832741f2p-2, -0x1.fd2353d2aab61p-2, -0x1.009b068a97bfcp-1, -0x1.0280e68f2cc59p-1, -0x1.04436568d7d67p-1, -0x1.05e2aa5aa50aep-1, -0x1.075ee7f039dd5p-1, -0x1.08b85b7594ebp-1, -0x1.09ef4c6f99feep-1, -0x1.0b040c15bf48p-1, -0x1.0bf6f4cd26f14p-1, -0x1.0cc869a56b781p-1, -0x1.0d78d5d75a21cp-1, -0x1.0e08ac45d6471p-1, -0x1.0e78670111e01p-1, -0x1.0ec886cc4ad21p-1, -0x1.0ef992a62fbbdp-1, -0x1.0f0c17540f395p-1, -0x1.0f00a6efec391p-1, -0x1.0ed7d87990e5ap-1, -0x1.0e92476ab264bp-1, -0x1.0e30934e36c95p-1, -0x1.0db35f5aa9fc5p-1, -0x1.0d1b520fea2cep-1, -0x1.0c6914d8130cp-1, -0x1.0b9d53abab8eep-1, -0x1.0ab8bcb917fbep-1, -0x1.09bc000f4f5fcp-1, -0x1.08a7cf4bcf24bp-1, -0x1.077cdd4bccca8p-1, -0x1.063bdde099386p-1, -0x1.04e5858732929p-1, -0x1.037a8922f7639p-1, -0x1.01fb9dbb732d3p-1, -0x1.0069783d34fdcp-1, -0x1.fd899a7b4cb75p-2, -0x1.fa1ca183a4f4dp-2, -0x1.f68d6c10210d9p-2, -0x1.f2dd5ea900384p-2, -0x1.ef0ddb8091dc4p-2, -0x1.eb2042171dd74p-2, -0x1.e715eee40a9aap-2, -0x1.e2f03b042c051p-2, -0x1.deb07bed0a261p-2, -0x1.da5803250c213p-2, -0x1.d5e81e00534bap-2, -0x1.d162156231672p-2, -0x1.ccc72d830e002p-2, -0x1.c818a5ba9a629p-2, -0x1.c357b84e2ec42p-2, -0x1.be859a4330177p-2, -0x1.b9a37b355a077p-2, -0x1.b4b28530c9ec9p-2, -0x1.afb3dc8fa94d8p-2, -0x1.aaa89fdb552ddp-2, -0x1.a591e7b0e12e6p-2, -0x1.a070c6a8d744fp-2, -0x1.9b4649420ea93p-2, -0x1.961375cf80045p-2, -0x1.90d94c68f4957p-2, -0x1.8b98c6de6d8bdp-2, -0x1.8652d8ae311dfp-2, -0x1.81086efd50822p-2, -0x1.7bba709298b5p-2, -0x1.7669bdd3c4b67p-2, -0x1.711730c4e2499p-2, -0x1.6bc39d09c1312p-2, -0x1.666fcfe95fb78p-2, -0x1.611c90533000ep-2, -0x1.5bca9ee625005p-2, -0x1.567ab5f96b5b5p-2, -0x1.512d89a6b4487p-2, -0x1.4be3c7d602235p-2, -0x1.469e184adc52cp-2, -0x1.415d1cb2d0fe9p-2, -0x1.3c2170b53a77cp-2, -0x1.36ebaa0428a87p-2, -0x1.31bc586e61598p-2, -0x1.2c9405f263f5p-2, -0x1.277336d25a55dp-2, -0x1.225a69a8ec17dp-2, -0x1.1d4a177ed7d11p-2, -0x1.1842b3e150724p-2, -0x1.1344acf90156fp-2, -0x1.0e506ba1b11abp-2, -0x1.0966538272ed3p-2, -0x1.0486c326553e9p-2, -0x1.ff64282b082e9p-3, -0x1.f5d135dda12ep-3, -0x1.ec554f0319cafp-3, -0x1.e2f109cf705c5p-3, -0x1.d9a4f340cbf7fp-3, -0x1.d0718f54bbc0dp-3, -0x1.c757593dc6404p-3, -0x1.be56c39937339p-3, -0x1.b57038a519543p-3, -0x1.aca41a764c45ep-3, -0x1.a3f2c32e9e099p-3, -0x1.9b5c8532d9e1dp-3, -0x1.92e1ab60bdb57p-3, -0x1.8a827944c7dcbp-3, -0x1.823f2b4fc91e6p-3, -0x1.7a17f70c33d36p-3, -0x1.720d0b5314d66p-3, -0x1.6a1e9080b0f8dp-3, -0x1.624ca8a8b0ffcp-3, -0x1.5a976fc9dfad5p-3, -0x1.52fefc0161358p-3, -0x1.4b835dbd64ff6p-3, -0x1.44249fef3e599p-3, -0x1.3ce2c83cea491p-3, -0x1.35bdd731ee383p-3, -0x1.2eb5c86f879a9p-3, -0x1.27ca92dc35527p-3, -0x1.20fc28d28073p-3, -0x1.1a4a784f0d2c6p-3, -0x1.13b56b1de6afbp-3, -0x1.0d3ce7070b511p-3, -0x1.06e0cdfa258f4p-3, -0x1.00a0fe397d6ecp-3, -0x1.f4faa50824a8fp-4, -0x1.e8eb447dce16fp-4, -0x1.dd13833ae74dcp-4, -0x1.d173039276f8cp-4, -0x1.c60962111abfep-4, -0x1.bad635c8c8e8p-4, -0x1.afd9109ad862dp-4, -0x1.a5117f805110cp-4, -0x1.9a7f0ad07b69p-4, -0x1.90213685ae4c9p-4, -0x1.85f782806b069p-4, -0x1.7c016ac8b47ap-4, -0x1.723e67cdadfa2p-4, -0x1.68adeea381cddp-4, -0x1.5f4f713f90125p-4, -0x1.56225eb2e846p-4, -0x1.4d26236313a45p-4, -0x1.445a29412f9dfp-4, -0x1.3bbdd7ff5f1d7p-4, -0x1.3350954495953p-4, -0x1.2b11c4dec00fbp-4, -0x1.2300c8f3512fbp-4, -0x1.1b1d022e3566cp-4, -0x1.1365cfef33f52p-4, -0x1.0bda9075c2547p-4, -0x1.047aa10b50085p-4, -0x1.fa8abc5820917p-5, -0x1.ec74475c8f03fp-5, -0x1.deb099d045a36p-5, -0x1.d13e69a841ca3p-5, -0x1.c41c6c6820881p-5, -0x1.b7495765596b8p-5, -0x1.aac3e007bf3c7p-5, -0x1.9e8abc075731cp-5, -0x1.929ca1a7950ddp-5, -0x1.86f847f005fd1p-5, -0x1.7b9c66e27cdb9p-5, -0x1.7087b7aecb246p-5, -0x1.65b8f4e415514p-5, -0x1.5b2eda9fcfb04p-5, -0x1.50e826ba7545dp-5, -0x1.46e398f200d36p-5, -0x1.3d1ff3123d1f5p-5, -0x1.339bf91af4ef4p-5, -0x1.2a56716415007p-5, -0x1.214e24bfc8cbp-5, -0x1.1881de9aa7851p-5, -0x1.0ff06d19f6adep-5, -0x1.0798a138162edp-5, -0x1.fef29dbe44c44p-6, -0x1.ef229a03aa4dp-6, -0x1.dfbeeb65779d1p-6, -0x1.d0c54c738a2ffp-6, -0x1.c2337e507940ep-6, -0x1.b40748d6772a8p-6, -0x1.a63e7ab93e502p-6, -0x1.98d6e9a519bf1p-6, -0x1.8bce725b287f5p-6, -0x1.7f22f8caf4e7fp-6, -0x1.72d2682973abcp-6, -0x1.66dab305828abp-6, -0x1.5b39d35a0436ap-6, -0x1.4fedca9da2909p-6, -0x1.44f4a1d0622c2p-6, -0x1.3a4c698704fb9p-6, -0x1.2ff339f4665e4p-6, -0x1.25e732f0d79a3p-6, -0x1.1c267bff999b1p-6, -0x1.12af445284d93p-6, -0x1.097fc2cbf31e7p-6, -0x1.009635fefaa1cp-6, -0x1.efe1c85c32e39p-7, -0x1.df1c3690a963ep-7, -0x1.ced861c9ccd07p-7, -0x1.bf13047b11446p-7, -0x1.afc8e84ee4b35p-7, -0x1.a0f6e6161fe65p-7, -0x1.9299e5b51bb47p-7, -0x1.84aede0e7e2cep-7, -0x1.7732d4ebf3c36p-7, -0x1.6a22dee4d1af9p-7, -0x1.5d7c1f42d8622p-7, -0x1.513bc7e52f64fp-7, -0x1.455f1921a287ap-7, -0x1.39e361a455afdp-7, -0x1.2ec5fe4df1698p-7, -0x1.24045a10709afp-7, -0x1.199bedca9f69p-7, -0x1.0f8a4022650b7p-7, -0x1.05cce55dedf6bp-7, -0x1.f8c2fe779a974p-8, -0x1.e68b79945281bp-8, -0x1.d4eeb47a0d948p-8, -0x1.c3e8418790acbp-8, -0x1.b373ccbbe544p-8, -0x1.a38d1b5e910a8p-8, -0x1.94300ba6a12acp-8, -0x1.85589460a79f4p-8, -0x1.7702c493cd7f4p-8, -0x1.692ac32616215p-8, -0x1.5bccce7ff56b1p-8, -0x1.4ee53c2f4eb0dp-8, -0x1.42707889ff0e8p-8, -0x1.366b0650065c2p-8, -0x1.2ad17e4d6d6c7p-8, -0x1.1fa08efbfd927p-8, -0x1.14d4fc24e1a1ep-8, -0x1.0a6b9e8246182p-8, -0x1.006163610d407p-8, -0x1.ed6698855581ap-9, -0x1.dabcdcfe73655p-9, -0x1.c8bfe5cfbaa57p-9, -0x1.b76a2ad302c8ep-9, -0x1.a6b649600ba74p-9, -0x1.969f0393cb3dfp-9, -0x1.871f3f98d73fcp-9, -0x1.783206f0f7e0dp-9, -0x1.69d285c00a27dp-9, -0x1.5bfc0a183f46p-9, -0x1.4eaa0347d99ddp-9, -0x1.41d8012870791p-9, -0x1.3581b36fde76ap-9, -0x1.29a2e902dbcfap-9, -0x1.1e378f496009ep-9, -0x1.133bb184dc8aep-9, -0x1.08ab7828551cep-9, -0x1.fd065064dd35p-10, -0x1.e97e4512f6253p-10, -0x1.d6b7c6b317acap-10, -0x1.c4ac02e939297p-10, -0x1.b3545b69b4aa4p-10, -0x1.a2aa64c21b428p-10, -0x1.92a7e5267065ap-10, -0x1.8346d342c2269p-10, -0x1.748155113f026p-10, -0x1.6651beb4c8165p-10, -0x1.58b2915809e27p-10, -0x1.4b9e7a1126dbcp-10, -0x1.3f1050c9f4ee2p-10, -0x1.3303172cd4aefp-10, -0x1.2771f7962a228p-10, -0x1.1c58440a6e122p-10, -0x1.11b17530deb43p-10, -0x1.07792952dc091p-10, -0x1.fb5646bf9e8c1p-11, -0x1.e88693eb8237bp-11, -0x1.d67b4cdcf8904p-11, -0x1.c52cc7e2950ap-11, -0x1.b4939d12807b6p-11, -0x1.a4a8a48023b4cp-11, -0x1.9564f47ad9915p-11, -0x1.86c1dfd59b37bp-11, -0x1.78b8f4379246p-11, -0x1.6b43f875861b5p-11, -0x1.5e5ceaf40b047p-11, -0x1.51fe001267254p-11, -0x1.4621a09e1169dp-11, -0x1.3ac2684ebcfeep-11, -0x1.2fdb244ad202ep-11, -0x1.2566d1b4457abp-11, -0x1.1b609c3db1e9ep-11, -0x1.11c3dcc79a7ccp-11, -0x1.088c1805c0ad3p-11, -0x1.ff69fa58df1b8p-12, -0x1.ee74c94b4bfdfp-12, -0x1.de309d9c01e6bp-12, -0x1.ce95c5729d23bp-12, -0x1.bf9cd9fd5478fp-12, -0x1.b13ebd181506ep-12, -0x1.a37497023cadbp-12, -0x1.9637d422c6598p-12, -0x1.898222daa6017p-12, -0x1.7d4d71651cf68p-12, -0x1.7193ebc5ce359p-12, -0x1.664ff9c4533c6p-12, -0x1.5b7c3cf51ae3bp-12, -0x1.51138ecf590c9p-12, -0x1.4710fecfc31e8p-12, -0x1.3d6fd0a7ea0e8p-12, -0x1.342b7a79ee5fbp-12, -0x1.2b3fa320596dp-12, -0x1.22a82081db95ap-12, -0x1.1a60f5f0bb0d1p-12, -0x1.12665295b529bp-12, -0x1.0ab48fe619e5bp-12, -0x1.03483024e7068p-12, -0x1.f83bb9dd5b8c8p-13, -0x1.ea64cba0044aap-13, -0x1.dd057dcc914f8p-13, -0x1.d017ff1533f92p-13, -0x1.c396c20d2d74bp-13, -0x1.b77c7aa5cf473p-13, -0x1.abc41bbe739dcp-13, -0x1.a068d4c7014fcp-13, -0x1.95660f748f7cdp-13, -0x1.8ab76d87c4cbdp-13, -0x1.8058c6a480ccfp-13, -0x1.7646263a7652fp-13, -0x1.6c7bc97e4546dp-13, -0x1.62f61d72bd7c9p-13, -0x1.59b1bd01d90c6p-13, -0x1.50ab6f251d1fp-13, -0x1.47e0251cf096fp-13, -0x1.3f4cf8b6a2544p-13, -0x1.36ef2aa0a2c6ap-13, -0x1.2ec420ccb55b4p-13, -0x1.26c964dfae96ap-13, -0x1.1efca2ae60477p-13, -0x1.175ba6c775ab8p-13, -0x1.0fe45d09d0bddp-13, -0x1.0894cf472184cp-13, -0x1.016b23f2681d3p-13, -0x1.f4cb39b405df3p-14, -0x1.e7052bda12363p-14, -0x1.d9810817353d8p-14, -0x1.cc3be7c3b1953p-14, -0x1.bf33119a86d5bp-14, -0x1.b263f79853388p-14, -0x1.a5cc34edce444p-14, -0x1.99698c0561149p-14, -0x1.8d39e49b37c64p-14, -0x1.813b49e754c58p-14, -0x1.756be8d91e2adp-14, -0x1.69ca0e63e3fc1p-14, -0x1.5e5425dbdbd19p-14, -0x1.5308b7631b826p-14, -0x1.47e6666614c0ap-14, -0x1.3cebf0271d15fp-14, -0x1.32182a588c70bp-14, -0x1.276a01c502eep-14, -0x1.1ce0790564344p-14, -0x1.127aa7441d004p-14, -0x1.0837b70d4a0dep-14, -0x1.fc2dca56af073p-15, -0x1.e82eff1f67fecp-15, -0x1.d471c88e6b43ep-15, -0x1.c0f500f3a05bp-15, -0x1.adb79eea7e865p-15, -0x1.9ab8b38491643p-15, -0x1.87f76888798a6p-15, -0x1.7572fec4c1978p-15, -0x1.632acc75d619p-15, -0x1.511e3bbe82d68p-15, -0x1.3f4cc9324eaf1p-15, -0x1.2db602711e00ap-15, -0x1.1c5984d38163ep-15, -0x1.0b36fc271a7f2p-15, -0x1.f49c42f51876fp-16, -0x1.d33d73f0c48d4p-16, -0x1.b2512ba0dd153p-16, -0x1.91d71e5e253a5p-16, -0x1.71cf1283ed62bp-16, -0x1.5238de935f29ap-16, -0x1.3314676fb3e45p-16, -0x1.14619eb267e56p-16, -0x1.ec41022d0f0b8p-17, -0x1.b0a229f45d45bp-17, -0x1.75e6d1ead8fb8p-17, -0x1.3c0f250b5bf0fp-17, -0x1.031b5999d7fe9p-17, -0x1.96175d8f38a4p-18, -0x1.27c0d4f8240fcp-18, -0x1.76675d01c68f7p-19, -0x1.41c2126856c02p-20, 0x1.8880c92817e48p-22, 0x1.fed5aa251cbc9p-20, 0x1.ca2dff51d0f5ep-19, 0x1.48ac3e1dcc961p-18, 0x1.aa74a29f40514p-18, 0x1.0537db7c5ac91p-17, 0x1.344e8a30aa755p-17, 0x1.627e32d207aa3p-17, 0x1.8fc6b48d2c70ap-17, 0x1.bc27f93dc03bfp-17, 0x1.e7a1f64160162p-17, 0x1.091a569b75901p-16, 0x1.1df016557cd99p-16, 0x1.325248593f78p-16, 0x1.464101ba28c38p-16, 0x1.59bc5ed13efddp-16, 0x1.6cc483721e008p-16, 0x1.7f599b18970ddp-16, 0x1.917bd90f69c6cp-16, 0x1.a32b78905d9e9p-16, 0x1.b468bcde221b2p-16, 0x1.c533f1584aec5p-16, 0x1.d58d6989b3817p-16, 0x1.e57581319ad1bp-16, 0x1.f4ec9c47cc5f2p-16, 0x1.01f9937e0b4adp-15, 0x1.0944cad8aa353p-15, 0x1.1058327a2d1cap-15, 0x1.17340cb77bcb5p-15, 0x1.1dd89febadf5p-15, 0x1.2446366e0485dp-15, 0x1.2a7d1e865138bp-15, 0x1.307daa5fdf8d7p-15, 0x1.36482ffafcaa2p-15, 0x1.3bdd091d3af97p-15, 0x1.413c9340838b5p-15, 0x1.46672f8113d5ap-15, 0x1.4b5d428a78c66p-15, 0x1.501f34839d7b5p-15, 0x1.54ad70fa0791dp-15, 0x1.590866cc4b811p-15, 0x1.5d308813d45fdp-15, 0x1.61264a0e0c6b2p-15, 0x1.64ea2504f7f55p-15, 0x1.687c943754647p-15, 0x1.6bde15c048f14p-15, 0x1.6f0f2a7eba71cp-15, 0x1.721055fc4db7p-15, 0x1.74e21e5427fc5p-15, 0x1.77850c1978eefp-15, 0x1.79f9aa3dd9d61p-15, 0x1.7c4085f78f8bcp-15, 0x1.7e5a2ea7b8a53p-15, 0x1.804735c071843p-15, 0x1.82082eaaf97dap-15, 0x1.839daeade2167p-15, 0x1.85084cd34f8b4p-15, 0x1.8648a1cf545e9p-15, 0x1.875f47e66f7c6p-15, 0x1.884cdad434298p-15, 0x1.8911f7b221ddep-15, 0x1.89af3cdeb1152p-15, 0x1.8a2549e4a1b1ap-15, 0x1.8a74bf6285e6fp-15, 0x1.8a9e3ef29985fp-15, 0x1.8aa26b12e20fbp-15, 0x1.8a81e70da14a6p-15, 0x1.8a3d56e21e4e1p-15, 0x1.89d55f2dc283ap-15, 0x1.894aa5159a714p-15, 0x1.889dce302db69p-15, 0x1.87cf806fc099cp-15, 0x1.86e0620cf7f08p-15, 0x1.85d11971e2a2bp-15, 0x1.84a24d2571c8bp-15, 0x1.8354a3b757d4fp-15, 0x1.81e8c3ac58262p-15, 0x1.805f536b05917p-15, 0x1.7eb8f928ee176p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ea3fd03641a28p-3, -0x1.d671d639309bbp-3, -0x1.c2b50a3c8cf57p-3, -0x1.af17c3eaa6886p-3, -0x1.9bab8d6147b7bp-3, -0x1.887e224a479dep-3, -0x1.759b6d8120da3p-3, -0x1.631066948bbedp-3, -0x1.50e7e22348c16p-3, -0x1.3f2ae841d2006p-3, -0x1.2de26429025abp-3, -0x1.1d16722d80942p-3, -0x1.0ccdb10173438p-3, -0x1.fa1bba35bc69ap-4, -0x1.dbb84c21d171p-4, -0x1.be79cc0de183fp-4, -0x1.a26716f2b9c68p-4, -0x1.878592508152cp-4, -0x1.6dd95a9eff71fp-4, -0x1.5565396e7f1bcp-4, -0x1.3e2aab6192708p-4, -0x1.2826b43c3706fp-4, -0x1.136041663efcp-4, -0x1.ffa563ebef7d1p-5, -0x1.daf1781aa2356p-5, -0x1.b89a1bca749c2p-5, -0x1.989713a4aca15p-5, -0x1.7ae1a64245892p-5, -0x1.5f71b3b035942p-5, -0x1.463b489799406p-5, -0x1.2f2e4f5637b7p-5, -0x1.1a3846a9ac2b5p-5, -0x1.0746a2ce159d7p-5, -0x1.ec90b2f2503c7p-6, -0x1.ce5bc5181e797p-6, -0x1.b3d001ecff87cp-6, -0x1.9ccc907bf92f9p-6, -0x1.892c900e84168p-6, -0x1.78c77ddbcc0aap-6, -0x1.6b732f9e43abcp-6, -0x1.61062f6bae8f7p-6, -0x1.59594ded0e203p-6, -0x1.5447dbee017a3p-6, -0x1.51aebdead1e34p-6, -0x1.516b0cf206a3fp-6, -0x1.535908d3c6259p-6, -0x1.5753d1e875e53p-6, -0x1.5d35ed966c693p-6, -0x1.64da3c98be99ep-6, -0x1.6e1ce9722c076p-6, -0x1.78dbf22cc7543p-6, -0x1.84f72fa40463dp-6, -0x1.924ff9604488dp-6, -0x1.a0c8a548f59d8p-6, -0x1.b0442052827ebp-6, -0x1.c0a5c3b074f28p-6, -0x1.d1d169cac4071p-6, -0x1.e3abacff5c9eap-6, -0x1.f61a2f3d8ff31p-6, -0x1.0481e6b002c7p-5, -0x1.0e2857a747635p-5, -0x1.17f51b763bc01p-5, -0x1.21dd6e2206448p-5, -0x1.2bf52cca5d3f2p-5, -0x1.35f952ed78cbdp-5, -0x1.3ff5a6048bbd4p-5, -0x1.49e1cecb9c5d7p-5, -0x1.53b6a9cd30656p-5, -0x1.5d6dfc621a8b2p-5, -0x1.67021e79d1fd3p-5, -0x1.706da7a755e2cp-5, -0x1.79ab2b93e4b38p-5, -0x1.82b50deb49d36p-5, -0x1.8b857103692ccp-5, -0x1.94163de9f95ccp-5, -0x1.9c6140ef85bb4p-5, -0x1.a46053a6ce659p-5, -0x1.ac0d8ca921f9ap-5, -0x1.b3636dffc4972p-5, -0x1.ba5d0c6c4ee13p-5, -0x1.c0f62b8a35131p-5, -0x1.c72b4c9e435d6p-5, -0x1.ccf9afae92b52p-5, -0x1.d25f480f04985p-5, -0x1.d75aa6d2ff4aep-5, -0x1.dbeade78618bdp-5, -0x1.e00f638d090c4p-5, -0x1.e3c7ee059c4c7p-5, -0x1.e7145e7feebc8p-5, -0x1.e9f4a9d66d8ap-5, -0x1.ec68cc5f5ea98p-5, -0x1.ee70c51a91074p-5, -0x1.f00c9811913a2p-5, -0x1.f13c566a0782cp-5, -0x1.f2002a3394797p-5, -0x1.f25863d80a9bcp-5, -0x1.f245873e87cbp-5, -0x1.f1c85711b6f67p-5, -0x1.f0e1dd1629b3cp-5, -0x1.ef936efd828ccp-5, -0x1.eddeaf924fcc2p-5, -0x1.ebc58c6d7e714p-5, -0x1.e94a38a019bbdp-5, -0x1.e66f24e02b9d2p-5, -0x1.e336f5de00ce1p-5, -0x1.dfa47974b862ap-5, -0x1.dbba9b716c781p-5, -0x1.d77c5aad2f742p-5, -0x1.d2ecbf2bc52fdp-5, -0x1.ce0ed1d8decabp-5, -0x1.c8e59655f175cp-5, -0x1.c3740716c3abfp-5, -0x1.bdbd13cf07567p-5, -0x1.b7c3a1f945978p-5, -0x1.b18a8f0cfe635p-5, -0x1.ab14b3d74730ap-5, -0x1.a464e8597a9cap-5, -0x1.9d7e07959f20ap-5, -0x1.9662f2c514fb4p-5, -0x1.8f16939812311p-5, -0x1.879bdd449aa66p-5, -0x1.7ff5cc549d9a7p-5, -0x1.782765472c3a3p-5, -0x1.7033b23525f9bp-5, -0x1.681dbfbc0eba3p-5, -0x1.5fe8997a51008p-5, -0x1.579746677402fp-5, -0x1.4f2cc54b7245fp-5, -0x1.46ac098c06a34p-5, -0x1.3e17f877b238cp-5, -0x1.3573672660c0cp-5, -0x1.2cc118f82c88ap-5, -0x1.2403bead111cdp-5, -0x1.1b3df60515927p-5, -0x1.127249d02b9edp-5, -0x1.09a3324ff6cf8p-5, -0x1.00d315cbfe709p-5, -0x1.f0089274d9d82p-6, -0x1.de7221c6d3a52p-6, -0x1.cce741d69072ap-6, -0x1.bb6c3b6d877dap-6, -0x1.aa053847810b2p-6, -0x1.98b6432e7c214p-6, -0x1.878347ccba481p-6, -0x1.76701246f6b24p-6, -0x1.65804eb3807ddp-6, -0x1.54b788827e744p-6, -0x1.4403b788ee4c6p-6, -0x1.3391ad5bd521ep-6, -0x1.23519c03cdfbbp-6, -0x1.134684acc5c8dp-6, -0x1.0373377ec9001p-6, -0x1.e7b4aa08c890bp-7, -0x1.c8fca07e72a3fp-7, -0x1.aac2e28b880cbp-7, -0x1.8d0bb083cfb2p-7, -0x1.6fdb014d779d2p-7, -0x1.533488e90844ep-7, -0x1.371bbec953693p-7, -0x1.1b93e3b74da71p-7, -0x1.00a00708d169p-7, -0x1.cc8615fcff463p-8, -0x1.98ff5055edc57p-8, -0x1.66b0dfa9c7ad1p-8, -0x1.359f9aa6190afp-8, -0x1.05d00cdff416ap-8, -0x1.ae8cebb6adb67p-9, -0x1.540d8d310d7d5p-9, -0x1.f85277e9379b8p-10, -0x1.4dcd11851fc0ap-10, -0x1.512d36dd695cbp-11, -0x1.172923813231ap-15, 0x1.23848a2b207f3p-11, 0x1.26d511e24cdebp-10, 0x1.b679cfcdc9f75p-10, 0x1.205674df450e3p-9, 0x1.62b64382c5b85p-9, 0x1.a25c4549183efp-9, 0x1.df4946a7221f4p-9, 0x1.0cbf74f4741dep-8, 0x1.287fcff4b20e5p-8, 0x1.42e74f74c84fdp-8, 0x1.5bf7ebec1abb5p-8, 0x1.73b3f531eb3f9p-8, 0x1.8a1e0c1a9c42fp-8, 0x1.9f391bd86679ep-8, 0x1.b308534d40f59p-8, 0x1.c58f1e783ba84p-8, 0x1.d6d120242ee04p-8, 0x1.e6d22bf80a5c1p-8, 0x1.f59641034ad5fp-8, 0x1.0190c26cc9d4bp-7, 0x1.07bc1fa598e1ep-7, 0x1.0d4f6b6017c06p-7, 0x1.124ce69b4ccdp-7, 0x1.16b6deeee9d5cp-7, 0x1.1a8fada269babp-7, 0x1.1dd9b7060d158p-7, 0x1.20976a04a3989p-7, 0x1.22cb3fe419f79p-7, 0x1.2477bc29d3eefp-7, 0x1.259f6c97ee44ap-7, 0x1.2644e938bb357p-7, 0x1.266ad46e890f8p-7, 0x1.2613dafe9e21cp-7, 0x1.2542b40fdd1c9p-7, 0x1.23fa2116b493p-7, 0x1.223ceda995d62p-7, 0x1.200def3aaf544p-7, 0x1.1d7004b534a5bp-7, 0x1.1a6615fd9b049p-7, 0x1.16f31355bb1ffp-7, 0x1.1319f4a67c656p-7, 0x1.0eddb8b1abbd8p-7, 0x1.0a41642f46a54p-7, 0x1.054800d9cdb54p-7, 0x1.ffe938db33a2fp-8, 0x1.f4948f3e412b6p-8, 0x1.e8982a1885342p-8, 0x1.dbfa305859025p-8, 0x1.cec0c8833ea73p-8, 0x1.c0f216a4fe78bp-8, 0x1.b2943a4f83669p-8, 0x1.a3ad4cafd1a95p-8, 0x1.94435ebc59f16p-8, 0x1.845c777f6e68p-8, 0x1.73fe92805ab4fp-8, 0x1.632f9e4c85121p-8, 0x1.51f57b21199fcp-8, 0x1.4055f9b5b3a9p-8, 0x1.2e56da26fd1a4p-8, 0x1.1bfdcb00979eep-8, 0x1.09506864a6163p-8, 0x1.eca8769df5327p-9, 0x1.c61d71e3e9c2ap-9, 0x1.9f0a84556f1b9p-9, 0x1.777a461435bf9p-9, 0x1.4f7724e00ac3cp-9, 0x1.270b636d30396p-9, 0x1.fc8231ab0a26dp-10, 0x1.aa44603ffcda8p-10, 0x1.5770cfb422bap-10, 0x1.041aa37e3cbd7p-10, 0x1.60a949aacb307p-11, 0x1.70c508910e589p-12, 0x1.f0a3a1b142891p-16, -0x1.3396fac923071p-12, -0x1.436c94f61044fp-11, -0x1.ed3c2d0b9dd7cp-11, -0x1.4b8c81bd9ffeap-10, -0x1.a07148c2e132dp-10, -0x1.f53c866a8bb16p-10, -0x1.24ef5a1f978d1p-9, -0x1.4f245581a5ce3p-9, -0x1.7935d19a019a8p-9, -0x1.a31c9ac501777p-9, -0x1.ccd1adbbd5198p-9, -0x1.f64e37d0f461ep-9, -0x1.0fc5cb94708dbp-8, -0x1.2441ad7730cd3p-8, -0x1.3897a1c0656abp-8, -0x1.4cc4a14dc7a6bp-8, -0x1.60c5bdbacf0c5p-8, -0x1.7498216c18e72p-8, -0x1.88390f95930d9p-8, -0x1.9ba5e43b96336p-8, -0x1.aedc142e09827p-8, -0x1.c1d92cfd909c5p-8, -0x1.d49ad4ea76e35p-8, -0x1.e71ecacd1315fp-8, -0x1.f962e5f7bc01p-8, -0x1.05b28b090cd2fp-7, -0x1.0e91b176fe875p-7, -0x1.174df62af9b7fp-7, -0x1.1fe674eac6edbp-7, -0x1.285a553dea238p-7, -0x1.30a8ca4c16692p-7, -0x1.38d112b8eda89p-7, -0x1.40d2787d7b97ep-7, -0x1.48ac50bf4a363p-7, -0x1.505dfba59e634p-7, -0x1.57e6e42cd4699p-7, -0x1.5f467ff83fd62p-7, -0x1.667c4f229d656p-7, -0x1.6d87dc0d77011p-7, -0x1.7468bb2f8a6ap-7, -0x1.7b1e8ae2761c3p-7, -0x1.81a8f32fc5c1ep-7, -0x1.8807a59d9d8acp-7, -0x1.8e3a5cfb04671p-7, -0x1.9440dd2c20309p-7, -0x1.9a1af2f64631ap-7, -0x1.9fc873cc1f613p-7, -0x1.a5493d99dd815p-7, -0x1.aa9d3691a9f29p-7, -0x1.afc44cf82c735p-7, -0x1.b4be76f16bf23p-7, -0x1.b98bb24de0a23p-7, -0x1.be2c0457e45a2p-7, -0x1.c29f79a15b3fep-7, -0x1.c6e625d1b24d1p-7, -0x1.cb0023742ca36p-7, -0x1.ceed93c67fb1fp-7, -0x1.d2ae9e87abde6p-7, -0x1.d64371c72c6fcp-7, -0x1.d9ac41b46c702p-7, -0x1.dce9486e6b675p-7, -0x1.dffac5d3cba39p-7, -0x1.e2e0ff52f165bp-7, -0x1.e59c3fba8761ep-7, -0x1.e82cd70a30498p-7, -0x1.ea931a4389f62p-7, -0x1.eccf633b5f059p-7, -0x1.eee2106b2a16dp-7, -0x1.f0cb84c2eee08p-7, -0x1.f2960ccf8a14ep-7, -0x1.f42e3b1bc820fp-7, -0x1.f59e67aecec68p-7, -0x1.f6e7054a8e716p-7, -0x1.f8088a5696fdcp-7, -0x1.f90370b3e5d56p-7, -0x1.f9d83590f4c9fp-7, -0x1.fa87593e5f85ep-7, -0x1.fb115f03e8b11p-7, -0x1.fb76ccf63e7cfp-7, -0x1.fbb82bcd28bd7p-7, -0x1.fbd606ba72311p-7, -0x1.fbd0eb417c135p-7, -0x1.fba9690f7bfa2p-7, -0x1.fb6011d48023cp-7, -0x1.faf5791d27e9dp-7, -0x1.fa6a342d2c7eap-7, -0x1.f9bed9daad4adp-7, -0x1.f8f4026a46f43p-7, -0x1.f80a476bfc17cp-7, -0x1.f7024398ff319p-7, -0x1.f5dc92b22c70bp-7, -0x1.f499d15f7b3e1p-7, -0x1.f33a9d1028207p-7, -0x1.f1bf93dbc29fcp-7, -0x1.f02954640198bp-7, -0x1.ee787db7704c8p-7, -0x1.ecadaf34e8eb3p-7, -0x1.eac9886fd6f63p-7, -0x1.e8cca91559696p-7, -0x1.e6b7b0d20dc6p-7, -0x1.e48b3f38d0003p-7, -0x1.e247f3aa1c458p-7, -0x1.dfee6d3c45469p-7, -0x1.dd7f4aa470f22p-7, -0x1.dafb2a204c248p-7, -0x1.d862a96087994p-7, -0x1.d5b6657412dacp-7, -0x1.d2f6fab3fbdc5p-7, -0x1.d02504b02cf15p-7, -0x1.cd411e1cc6fc4p-7, -0x1.ca4be0c03293ap-7, -0x1.c745e561eaec6p-7, -0x1.c42fc3ba01226p-7, -0x1.c10a12612c3dap-7, -0x1.bdd566c1adbadp-7, -0x1.ba925508c1689p-7, -0x1.b7417018b6273p-7, -0x1.b3e3497bb3c3bp-7, -0x1.b078715716019p-7, -0x1.ad01765f610bdp-7, -0x1.a97ee5ccd7bf1p-7, -0x1.a5f14b50909ddp-7, -0x1.a259310a350f3p-7, -0x1.9eb71f7e329d4p-7, -0x1.9b0b9d8c82ca3p-7, -0x1.97573067ebee1p-7, -0x1.939a5b8dc9303p-7, -0x1.8fd5a0be35051p-7, -0x1.8c097ff4d41c7p-7, -0x1.88367761db6c6p-7, -0x1.845d0363a2f81p-7, -0x1.807d9e80a0bdp-7, -0x1.7c98c161a2f44p-7, -0x1.78aee2cca3bbbp-7, -0x1.74c0779fb3438p-7, -0x1.70cdf2cc72f19p-7, -0x1.6cd7c553af7afp-7, -0x1.68de5e41729e2p-7, -0x1.64e22aa94d28bp-7, -0x1.60e395a2e051ap-7, -0x1.5ce30846c6c7ap-7, -0x1.58e0e9aba257p-7, -0x1.54dd9ee37c97ep-7, -0x1.50d98af96b2aep-7, -0x1.4cd50eef5e2e4p-7, -0x1.48d089bc3c1acp-7, -0x1.44cc584a2f4ecp-7, -0x1.40c8d575335a7p-7, -0x1.3cc65a09dc8fbp-7, -0x1.38c53cc459d67p-7, -0x1.34c5d24fb1303p-7, -0x1.30c86d4535cc5p-7, -0x1.2ccd5e2c459ap-7, -0x1.28d4f37a2f875p-7, -0x1.24df799275caap-7, -0x1.20ed3ac72ac58p-7, -0x1.1cfe7f59bbf68p-7, -0x1.19138d7bd07a8p-7, -0x1.152ca95099d59p-7, -0x1.114a14ee3dc95p-7, -0x1.0d6c105fb4b25p-7, -0x1.0992d9a6cb158p-7, -0x1.05beacbe858d7p-7, -0x1.01efc39dbed72p-7, -0x1.fc4cac743b627p-8, -0x1.f4c53516bf313p-8, -0x1.ed49891db2471p-8, -0x1.e5da0c96be258p-8, -0x1.de771faad8ed1p-8, -0x1.d7211ea7384aap-8, -0x1.cfd86206feb9fp-8, -0x1.c89d3e7d52564p-8, -0x1.c170050036bacp-8, -0x1.ba5102d3ee8e9p-8, -0x1.b3408196fcf1cp-8, -0x1.ac3ec74eace58p-8, -0x1.a54c16741dd7ep-8, -0x1.9e68ae0207b48p-8, -0x1.9794c982cee66p-8, -0x1.90d0a11f294edp-8, -0x1.8a1c69ad485f9p-8, -0x1.837854c06cc35p-8, -0x1.7ce490b8bf8b3p-8, -0x1.766148d3e1329p-8, -0x1.6feea53d7661dp-8, -0x1.698ccb2040ddep-8, -0x1.633bdcb76b226p-8, -0x1.5cfbf96012782p-8, -0x1.56cd3dab0a2fap-8, -0x1.50afc36ecd051p-8, -0x1.4aa3a1d985e0fp-8, -0x1.44a8ed8343f17p-8, -0x1.3ebfb880284acp-8, -0x1.38e81272a0c21p-8, -0x1.3322089da8697p-8, -0x1.2d6da5f6d2911p-8, -0x1.27caf3387ee0bp-8, -0x1.2239f6f3b0463p-8, -0x1.1cbab5a1cda76p-8, -0x1.174d31b647467p-8, -0x1.11f16bafd9ea1p-8, -0x1.0ca76229a22bep-8, -0x1.076f11ebfc448p-8, -0x1.024875fcf1d7ep-8, -0x1.fa670f60c747fp-9, -0x1.f0607d6fa9389p-9, -0x1.e67d2263a8621p-9, -0x1.dcbce77228dafp-9, -0x1.d31fb2e5fa66ep-9, -0x1.c9a5683bd72b3p-9, -0x1.c04de83de47fbp-9, -0x1.b719111e8c8cbp-9, -0x1.ae06be924020bp-9, -0x1.a516c9e896642p-9, -0x1.9c490a24377e3p-9, -0x1.939d54124bf09p-9, -0x1.8b137a60e35c9p-9, -0x1.82ab4db475099p-9, -0x1.7a649cbcb668bp-9, -0x1.723f3448a1dd9p-9, -0x1.6a3adf5969af1p-9, -0x1.625767354c918p-9, -0x1.5a9493790f6a5p-9, -0x1.52f22a2947c98p-9, -0x1.4b6fefc2955bap-9, -0x1.440da749a9417p-9, -0x1.3ccb125a6de99p-9, -0x1.35a7f136dcb9dp-9, -0x1.2ea402d502dd5p-9, -0x1.27bf04ed1305cp-9, -0x1.20f8b406995e9p-9, -0x1.1a50cb857e86cp-9, -0x1.13c705b69de44p-9, -0x1.0d5b1bdc204afp-9, -0x1.070cc6399827p-9, -0x1.00dbbc1f97acp-9, -0x1.f58f67eec4122p-10, -0x1.e9a0c69ca37c9p-10, -0x1.ddeafdc1c41d3p-10, -0x1.d26d754ba26e7p-10, -0x1.c72793b206137p-10, -0x1.bc18be0c9e83fp-10, -0x1.b14058284365ep-10, -0x1.a69dc49c5c4e2p-10, -0x1.9c3064dfc827fp-10, -0x1.91f7995dec03cp-10, -0x1.87f2c18b6e95p-10, -0x1.7e213bfaf1703p-10, -0x1.74826671aac16p-10, -0x1.6b159dfbebdfcp-10, -0x1.61da3f0157f04p-10, -0x1.58cfa5594af24p-10, -0x1.4ff52c5f6954dp-10, -0x1.474a2f069a387p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.02e7d545b2767p-2, -0x1.f253f36444af2p-3, -0x1.dea1848cacc62p-3, -0x1.cac7739da55e8p-3, -0x1.b6d36181f7bcep-3, -0x1.a2d1d6675d3cep-3, -0x1.8ecf3114a372dp-3, -0x1.7ad704835e4dep-3, -0x1.66f3ebdd71d1cp-3, -0x1.532ffcd7ebf1fp-3, -0x1.3f94c45be048dp-3, -0x1.2c2b0b31bd3f1p-3, -0x1.18faf38d3e342p-3, -0x1.060c17eb9a647p-3, -0x1.e6cb017f7923dp-4, -0x1.c21b3d3a7f53ep-4, -0x1.9e14aad29b24fp-4, -0x1.7ac20ba2c7e94p-4, -0x1.582d21ae3a07bp-4, -0x1.365eb11ed9926p-4, -0x1.155e893c59946p-4, -0x1.ea66e3d883dbp-5, -0x1.abc8873ec3cbcp-5, -0x1.6eeaa2c3a0f3fp-5, -0x1.33d5ce8099bc4p-5, -0x1.f523a242ae5b5p-6, -0x1.864a8ba02f49cp-6, -0x1.1b2a46ee5cc9p-6, -0x1.679241ce5f02dp-7, -0x1.40a8d172b5c7ep-8, 0x1.f6376b6bdb6c7p-11, 0x1.af2e183f1964ep-8, 0x1.884ab1ef1fefbp-7, 0x1.18c2e59c45aa9p-6, 0x1.69a9bfc11d913p-6, 0x1.b6e1996d041eap-6, 0x1.003a18acf5719p-5, 0x1.23367e2bebcebp-5, 0x1.446c5a9a36a5ap-5, 0x1.63e28156bbdddp-5, 0x1.81a027114d988p-5, 0x1.9dace434f8961p-5, 0x1.b810c23d31d5bp-5, 0x1.d0d4456b60575p-5, 0x1.e80069bec4f0cp-5, 0x1.fd9e9272fd145p-5, 0x1.08dc38c353921p-4, 0x1.122bf76e61a39p-4, 0x1.1ac38a9e26a66p-4, 0x1.22a8041b5718ap-4, 0x1.29de8102c331ap-4, 0x1.306c2a95f7b3bp-4, 0x1.3656366119487p-4, 0x1.3ba1e42a4cb43p-4, 0x1.405479d3119fp-4, 0x1.44733e7b811cdp-4, 0x1.4803762a9f79bp-4, 0x1.4b0a5e6abc256p-4, 0x1.4d8d2b9b60b46p-4, 0x1.4f9106b3353e1p-4, 0x1.511b0b835e2b2p-4, 0x1.523047aed6973p-4, 0x1.52d5ba3bfd733p-4, 0x1.530f2c34b42a3p-4, 0x1.52e48836fa9b7p-4, 0x1.5258bf60a819ap-4, 0x1.51706c820debap-4, 0x1.50301cb482b31p-4, 0x1.4e9c51793914ep-4, 0x1.4cb980fc99d38p-4, 0x1.4a8c149a0902dp-4, 0x1.48186601c546ep-4, 0x1.4562bb8c7f562p-4, 0x1.426f445437602p-4, 0x1.3f42149bc1f15p-4, 0x1.3bdf22ee54b6dp-4, 0x1.384a463733b74p-4, 0x1.348734e71a83fp-4, 0x1.309985168e493p-4, 0x1.2c84ad765d5b7p-4, 0x1.284c06ccf7e29p-4, 0x1.23f2cdb922e8p-4, 0x1.1f7c2477af844p-4, 0x1.1aeb1476b75b1p-4, 0x1.16428f918a0adp-4, 0x1.118570e166cd5p-4, 0x1.0cb67d1e71751p-4, 0x1.07d8629940fc3p-4, 0x1.02edb8dfa3c73p-4, 0x1.fbf2004cf27e3p-5, 0x1.f1f9412cdb382p-5, 0x1.e7f5d33367ca7p-5, 0x1.ddec228b30effp-5, 0x1.d3e067e9bbac7p-5, 0x1.c9d6a8402c9ebp-5, 0x1.bfd2b4f1bd1afp-5, 0x1.b5d82c8ac887bp-5, 0x1.abea7be78290ep-5, 0x1.a20cdfb1adc4ap-5, 0x1.98426619240b4p-5, 0x1.8e8df0aad6169p-5, 0x1.84f2362c0570fp-5, 0x1.7b71c463397dbp-5, 0x1.720f01bd19e3ap-5, 0x1.68cc2ec115cf6p-5, 0x1.5fab674fd4bbbp-5, 0x1.56aea3abcdfd6p-5, 0x1.4dd7b9523e1b8p-5, 0x1.45285baf2e1dep-5, 0x1.3ca21cb9f61b3p-5, 0x1.34466d8835477p-5, 0x1.2c169ee3c2b2p-5, 0x1.2413e1edb715fp-5, 0x1.1c3f48d505668p-5, 0x1.1499c7a3e5051p-5, 0x1.0d24352437d93p-5, 0x1.05df4bd8a8cd9p-5, 0x1.fd97560d85bccp-6, 0x1.efd3af9abc9b9p-6, 0x1.e2747c855ff7cp-6, 0x1.d57a652b5bef9p-6, 0x1.c8e5e45e37806p-6, 0x1.bcb7499ebc4b3p-6, 0x1.b0eebb4d6043dp-6, 0x1.a58c38cb6a641p-6, 0x1.9a8f9c89220a5p-6, 0x1.8ff89dfd47c5fp-6, 0x1.85c6d38312416p-6, 0x1.7bf9b41c705ebp-6, 0x1.7290991830214p-6, 0x1.698abf9d71434p-6, 0x1.60e74a1fc7d3p-6, 0x1.58a541c0e0673p-6, 0x1.50c397a5362dcp-6, 0x1.49412640ee8b6p-6, 0x1.421cb2a14ac07p-6, 0x1.3b54edb5504cap-6, 0x1.34e875963419ap-6, 0x1.2ed5d6cf6051ep-6, 0x1.291b8da40ef7ep-6, 0x1.23b8075042c76p-6, 0x1.1ea9a343219b9p-6, 0x1.19eeb450cc377p-6, 0x1.158581daa5edbp-6, 0x1.116c48ed3ead2p-6, 0x1.0da13d53eab47p-6, 0x1.0a228aa21d0a4p-6, 0x1.06ed159350a42p-6, 0x1.0401f0ec4d67bp-6, 0x1.015d84b095246p-6, 0x1.fdfbbf681a50bp-7, 0x1.f9c21afab2ec6p-7, 0x1.f60a2e9076551p-7, 0x1.f2d009e71e4dp-7, 0x1.f00fbbb4a8979p-7, 0x1.edc5532e591b3p-7, 0x1.ebece165a7f64p-7, 0x1.ea827a7db268bp-7, 0x1.e98236bb00674p-7, 0x1.e8e833726e4e7p-7, 0x1.e8b093daa3466p-7, 0x1.e8d781c4f617dp-7, 0x1.e9592e4284a3dp-7, 0x1.ea31d2399d866p-7, 0x1.eb5daef04cbf9p-7, 0x1.ecd90e8f73f6cp-7, 0x1.eea044a24d21cp-7, 0x1.f0afae945237bp-7, 0x1.f303b4301c96fp-7, 0x1.f598c82025bd7p-7, 0x1.f86b68722e5bbp-7, 0x1.fb781f1d099dp-7, 0x1.febb828852344p-7, 0x1.01191b0aa0a9cp-6, 0x1.02ec75537d27bp-6, 0x1.04d62f946123p-6, 0x1.06d4b0889285fp-6, 0x1.08e6666fbe95ep-6, 0x1.0b09c7494e572p-6, 0x1.0d3d510bed096p-6, 0x1.0f7f89d7e5d1ep-6, 0x1.11cf00248704fp-6, 0x1.142a4ae7bb785p-6, 0x1.169009b7b763p-6, 0x1.18fee4e6aab82p-6, 0x1.1b758d985cd6bp-6, 0x1.1df2bdd1d9abp-6, 0x1.207538838ff45p-6, 0x1.22fbc98de434bp-6, 0x1.258545c0fa81bp-6, 0x1.28108ad7cb9f1p-6, 0x1.2a9c7f6f52dc9p-6, 0x1.2d2812fa18f93p-6, 0x1.2fb23db0aae5cp-6, 0x1.323a007f8f77cp-6, 0x1.34be64f327b73p-6, 0x1.373e7d21de67ep-6, 0x1.39b9639503b17p-6, 0x1.3c2e3b3100988p-6, 0x1.3e9c2f1caccecp-6, 0x1.410272a855b2ep-6, 0x1.43604134bd92dp-6, 0x1.45b4de19c027ap-6, 0x1.47ff948d43109p-6, 0x1.4a3fb789ed4eep-6, 0x1.4c74a1b6040cfp-6, 0x1.4e9db54a3b6f4p-6, 0x1.50ba5bf854069p-6, 0x1.52ca06d1afd06p-6, 0x1.54cc2e2d7fc69p-6, 0x1.56c0518ea29eap-6, 0x1.58a5f78907af7p-6, 0x1.5a7cada6a410ep-6, 0x1.5c44084bab249p-6, 0x1.5dfba29a3d32dp-6, 0x1.5fa31e5553cf5p-6, 0x1.613a23c3136e5p-6, 0x1.62c0618e4a932p-6, 0x1.64358ca73d8d6p-6, 0x1.65996023e140dp-6, 0x1.66eb9d1f3bc89p-6, 0x1.682c0a9855379p-6, 0x1.695a75507ca56p-6, 0x1.6a76afa91e0cep-6, 0x1.6b80918115fbfp-6, 0x1.6c77f811c269ap-6, 0x1.6d5cc5cbb75d3p-6, 0x1.6e2ee23343bbbp-6, 0x1.6eee39bcd015ap-6, 0x1.6f9abda93502fp-6, 0x1.703463e20a755p-6, 0x1.70bb26d60cdb6p-6, 0x1.712f0555a572ap-6, 0x1.7190026fa97d1p-6, 0x1.71de254e4c20dp-6, 0x1.721979146404ep-6, 0x1.72420cbb0dd16p-6, 0x1.7257f2ef95c1cp-6, 0x1.725b41f1e5824p-6, 0x1.724c13734c2p-6, 0x1.722a8475b7f83p-6, 0x1.71f6b52b77c31p-6, 0x1.71b0c8d767fcfp-6, 0x1.7158e5ad9ac04p-6, 0x1.70ef34b488d7ep-6, 0x1.7073e1a6bbda5p-6, 0x1.6fe71ad4ed143p-6, 0x1.6f491108ba55ep-6, 0x1.6e99f767c39aep-6, 0x1.6dda03574daf8p-6, 0x1.6d096c606ca76p-6, 0x1.6c286c14945bdp-6, 0x1.6b373df2be19cp-6, 0x1.6a361f4cf50bcp-6, 0x1.69254f2e6c91p-6, 0x1.68050e41f7af9p-6, 0x1.66d59eb923c85p-6, 0x1.659744339f4abp-6, 0x1.644a43a735966p-6, 0x1.62eee34838a41p-6, 0x1.61856a72673b2p-6, 0x1.600e21924c306p-6, 0x1.5e89520f0cd3cp-6, 0x1.5cf74634c8534p-6, 0x1.5b58491f55696p-6, 0x1.59aca6a591b56p-6, 0x1.57f4ab451ed9ep-6, 0x1.5630a40e9b752p-6, 0x1.5460de926a3dcp-6, 0x1.5285a8cdd6b76p-6, 0x1.509f5118de904p-6, 0x1.4eae261453a9ap-6, 0x1.4cb27698929a1p-6, 0x1.4aac91a4baaa9p-6, 0x1.489cc64e4f60ep-6, 0x1.468363b16dd09p-6, 0x1.4460b8e175533p-6, 0x1.423514da2cce9p-6, 0x1.4000c6717402fp-6, 0x1.3dc41c4955f58p-6, 0x1.3b7f64c2b9af8p-6, 0x1.3932edf06ba6ep-6, 0x1.36df058abaed8p-6, 0x1.3483f8e3820aap-6, 0x1.322214da9f02bp-6, 0x1.2fb9a5d2fe716p-6, 0x1.2d4af7a7f1ef3p-6, 0x1.2ad655a31dc1ep-6, 0x1.285c0a72bc667p-6, 0x1.25dc60205c8cp-6, 0x1.2357a0080c21ap-6, 0x1.20ce12cfe47efp-6, 0x1.1e400060104afp-6, 0x1.1badafdb1f7dbp-6, 0x1.19176796dac0ap-6, 0x1.167d6d1560b1ep-6, 0x1.13e004feb1a26p-6, 0x1.113f731a9565ep-6, 0x1.0e9bfa4adbea2p-6, 0x1.0bf5dc85fb64dp-6, 0x1.094d5ad1feba3p-6, 0x1.06a2b53fcbd98p-6, 0x1.03f62ae6c6483p-6, 0x1.0147f9e0b757cp-6, 0x1.fd30be8c0786p-7, 0x1.f7cf2e548a703p-7, 0x1.f26bb932206eap-7, 0x1.ed06d32637848p-7, 0x1.e7a0ee17484d7p-7, 0x1.e23a79cc2f59fp-7, 0x1.dcd3e3e80da7bp-7, 0x1.d76d97e6b034cp-7, 0x1.d207ff197a765p-7, 0x1.cca380a4b3536p-7, 0x1.c740817d820b1p-7, 0x1.c1e06a82d8d01p-7, 0x1.bc817faf39e33p-7, 0x1.b72534e1cc5c3p-7, 0x1.b1cbe6527f154p-7, 0x1.ac75ee0719ca6p-7, 0x1.a723a3d3b080bp-7, 0x1.a1d55d5b5a7bfp-7, 0x1.9c8b6e1155922p-7, 0x1.9746273a784f6p-7, 0x1.9205d7ef0da71p-7, 0x1.8ccacd1ceffa3p-7, 0x1.8795518a0adabp-7, 0x1.8265add70e10ep-7, 0x1.7d3c28828a2e7p-7, 0x1.781905ec3e636p-7, 0x1.72fc8858b3bbp-7, 0x1.6de6eff517addp-7, 0x1.68d87adb56087p-7, 0x1.63d165166dee3p-7, 0x1.5ed1e8a6faefp-7, 0x1.59da3d88047b5p-7, 0x1.54ea99b3ec4e6p-7, 0x1.50033129995ccp-7, 0x1.4b2435f1cb93ap-7, 0x1.464dd824a60edp-7, 0x1.418045ef53c4ap-7, 0x1.3cbbab99d6b1cp-7, 0x1.3800338d050b5p-7, 0x1.334e0658a36e6p-7, 0x1.2ea54ab997207p-7, 0x1.2a0625a03a174p-7, 0x1.2570ba36dd054p-7, 0x1.20e529e8464e3p-7, 0x1.1c63946659837p-7, 0x1.17ec17b0ce801p-7, 0x1.137ed01c031dap-7, 0x1.0f1bd857d79bdp-7, 0x1.0ac349769e2bep-7, 0x1.06753af4164dep-7, 0x1.0231c2bc7ae6cp-7, 0x1.fbf1ea672a3d1p-8, 0x1.f395ca77be049p-8, 0x1.eb4f487b461a2p-8, 0x1.e31e845c5ad99p-8, 0x1.db039b2e08e8bp-8, 0x1.d2fea73a1633p-8, 0x1.cb0fc00f8fcbep-8, 0x1.c336fa9127f7p-8, 0x1.bb746903b447fp-8, 0x1.b3c81b1c85792p-8, 0x1.ac321e0fc845p-8, 0x1.a4b27c9ef0618p-8, 0x1.9d493f2706351p-8, 0x1.95f66baed625cp-8, 0x1.8eba05f5285ap-8, 0x1.87940f7f032b6p-8, 0x1.808487a5813bcp-8, 0x1.798b6ba3fa028p-8, 0x1.72a8b6a5c39d6p-8, 0x1.6bdc61d4119fp-8, 0x1.65266463a71c3p-8, 0x1.5e86b3a24d554p-8, 0x1.57fd43046eaebp-8, 0x1.518a043261295p-8, 0x1.4b2ce715a868dp-8, 0x1.44e5d9e6050fbp-8, 0x1.3eb4c9368463bp-8, 0x1.3899a0023d30bp-8, 0x1.329447b911754p-8, 0x1.2ca4a84c52386p-8, 0x1.26caa83b0ab5cp-8, 0x1.21062c9e5a74bp-8, 0x1.1b571935999cp-8, 0x1.15bd507255de2p-8, 0x1.1038b3841b9a3p-8, 0x1.0ac92264332b8p-8, 0x1.056e7be11d328p-8, 0x1.00289da9f8124p-8, 0x1.f5eec8b39dd0ep-9, 0x1.ebb55704ea3cbp-9, 0x1.e1a49b6f2a68p-9, 0x1.d7bc4932d6c45p-9, 0x1.cdfc11beb0881p-9, 0x1.c463a4c494d2p-9, 0x1.baf2b04e0b1d4p-9, 0x1.b1a8e0d090b9p-9, 0x1.a885e1417167bp-9, 0x1.9f895b295d912p-9, 0x1.96b2f6b7933e2p-9, 0x1.8e025ad4f3f04p-9, 0x1.85772d36974e9p-9, 0x1.7d11127028e7dp-9, 0x1.74cfae059c81dp-9, 0x1.6cb2a27d26869p-9, 0x1.64b9917052b3bp-9, 0x1.5ce41b9d2a8c8p-9, 0x1.5531e0f6bebc7p-9, 0x1.4da280b5aad7fp-9, 0x1.46359967e619p-9, 0x1.3eeac900b5526p-9, 0x1.37c1ace7c4b69p-9, 0x1.30b9e2086365ap-9, 0x1.29d304e0203afp-9, 0x1.230cb18d4292cp-9, 0x1.1c6683dcc6a73p-9, 0x1.15e017580d5cfp-9, 0x1.0f7907526a497p-9, 0x1.0930eef61e3aap-9, 0x1.03076950f83c8p-9, 0x1.f9f822c1c5d51p-10, 0x1.ee1d043fd54b5p-10, 0x1.e27cad2014bc7p-10, 0x1.d716538d152f7p-10, 0x1.cbe92dee22186p-10, 0x1.c0f472fd068cbp-10, 0x1.b63759dab11c5p-10, 0x1.abb11a235ab17p-10, 0x1.a160ec02da79p-10, 0x1.974608466604ep-10, 0x1.8d5fa86faf94fp-10, 0x1.83ad06c6606afp-10, 0x1.7a2d5e692b887p-10, 0x1.70dfeb5e09618p-10, 0x1.67c3eaa21dfd3p-10, 0x1.5ed89a3901765p-10, 0x1.561d393b06a75p-10, 0x1.4d9107e38f587p-10, 0x1.4533479e0fc9fp-10, 0x1.3d033b130159dp-10, 0x1.35002633f75d1p-10, 0x1.2d294e47ec43bp-10, 0x1.257df9f553e8bp-10, 0x1.1dfd714cf529ep-10, 0x1.16a6fdd45d0bap-10, 0x1.0f79ea8ecfad3p-10, 0x1.0875840698f06p-10, 0x1.0199185518892p-10, 0x1.f5c7ee56ae96bp-11, 0x1.e8aae3b143a45p-11, 0x1.dbd9b6a4086f2p-11, 0x1.cf531071e8c38p-11, 0x1.c3159dc222399p-11, 0x1.b7200eabb2a5bp-11, 0x1.ab7116bfca1bbp-11, 0x1.a0076d13eafacp-11, 0x1.94e1cc49ce045p-11, 0x1.89fef2981c5edp-11, 0x1.7f5da1d145758p-11, 0x1.74fc9f6aa3e19p-11, 0x1.6adab4819367ep-11, 0x1.60f6ade1025cdp-11, 0x1.574f5c0681c6ep-11, 0x1.4de3932508e28p-11, 0x1.44b22b289025dp-11, 0x1.3bb9ffba19066p-11, 0x1.32f9f03fa8923p-11, 0x1.2a70dfdf249eep-11, 0x1.221db57f5b4p-11, 0x1.19ff5bc80ae1fp-11, 0x1.1214c12235d4dp-11, 0x1.0a5cd7b8aa4ebp-11, 0x1.02d6957508693p-11, 0x1.f701e80140515p-12, 0x1.e8b5e182bd691p-12, 0x1.dac719b09e2bfp-12, 0x1.cd339a3e97242p-12, 0x1.bff9744b5df94p-12, 0x1.b316c05aa7027p-12, 0x1.a6899e4fb44f9p-12, 0x1.9a503562caa7ap-12, 0x1.8e68b41b74e8cp-12, 0x1.82d150451f0d2p-12, 0x1.778846e8e7273p-12, 0x1.6c8bdc40cab4bp-12, 0x1.61da5bafebbdap-12, 0x1.577217b4ad3c3p-12, 0x1.4d5169dea78eep-12, 0x1.4376b2c33513bp-12, 0x1.39e059f03859ep-12, 0x1.308ccddfd8ac5p-12, 0x1.277a83eb2595cp-12, 0x1.1ea7f83ccd4efp-12, 0x1.1613adc1d8122p-12, 0x1.0dbc2e1eedcfdp-12, 0x1.05a0099e7a208p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4eebcc097d75p-2, -0x1.4b0b9df60ee47p-2, -0x1.471360ba7ee64p-2, -0x1.43050c9653127p-2, -0x1.3ee2b87260797p-2, -0x1.3aae78886ed05p-2, -0x1.366a2bf426e48p-2, -0x1.3217c10632ba7p-2, -0x1.2db8fe91083a8p-2, -0x1.294fa4675e847p-2, -0x1.24dd5e82d909cp-2, -0x1.2063c5c82573ep-2, -0x1.1be4633faf071p-2, -0x1.1760aef9a51f9p-2, -0x1.12da0ffcda57ap-2, -0x1.0e51dca556e53p-2, -0x1.09c95b640d152p-2, -0x1.0541c34b68cadp-2, -0x1.00bc3ae7bd4ecp-2, -0x1.f873b353d4b49p-3, -0x1.ef7754458e271p-3, -0x1.e6854f5c6ef99p-3, -0x1.dd9f7953548dcp-3, -0x1.d4c78d685e2fcp-3, -0x1.cbff328c0962p-3, -0x1.c347f4b26479fp-3, -0x1.baa343efa4cdfp-3, -0x1.b212766ab0bd3p-3, -0x1.a996ca48a20a2p-3, -0x1.a131676e3481dp-3, -0x1.98e360d0ac8ecp-3, -0x1.90adb4f3eb9aep-3, -0x1.88914ddbcf908p-3, -0x1.808f010dce827p-3, -0x1.78a7900f46de8p-3, -0x1.70dba96678874p-3, -0x1.692be9da31eadp-3, -0x1.6198dd9ec1793p-3, -0x1.5a230138508a8p-3, -0x1.52cac2073da77p-3, -0x1.4b907ea6a7dd3p-3, -0x1.44748756560f1p-3, -0x1.3d771e88aa42ep-3, -0x1.3698798cc8c32p-3, -0x1.2fd8c14fe44ccp-3, -0x1.293813325a11ap-3, -0x1.22b681d55f21cp-3, -0x1.1c5415b9682b2p-3, -0x1.1610cda9912eap-3, -0x1.0fec9f2011c1ep-3, -0x1.09e776cd20c32p-3, -0x1.0401393672eecp-3, -0x1.fc738685e85e1p-4, -0x1.f121d53da8264p-4, -0x1.e60cfc2c3eb14p-4, -0x1.db348c2175b99p-4, -0x1.d0980a64cfcb6p-4, -0x1.c636f1e4a5a37p-4, -0x1.bc10b3f8f9cb1p-4, -0x1.b224b8b86a4bp-4, -0x1.a8725f3a45515p-4, -0x1.9ef8fe28f8619p-4, -0x1.95b7e4ba58b95p-4, -0x1.8cae4ca5d257dp-4, -0x1.83db957b10d5ep-4, -0x1.7b3ef33ccbfcfp-4, -0x1.72d79e504c90fp-4, -0x1.6aa4ca38298ccp-4, -0x1.62a5a633683f3p-4, -0x1.5ad95ddb3dcb9p-4, -0x1.533f19b94d4fap-4, -0x1.4bd5ffd10a5dp-4, -0x1.449d3417f4f71p-4, -0x1.3d93d8dab1439p-4, -0x1.36b90f1055d85p-4, -0x1.300bf6a021986p-4, -0x1.298bae9f2f338p-4, -0x1.2337558a3f4bep-4, -0x1.1d0e097e4beefp-4, -0x1.170ee870df2f3p-4, -0x1.11391068d2f22p-4, -0x1.0b8b9fb857136p-4, -0x1.0605b53904216p-4, -0x1.00a67089ffcdbp-4, -0x1.f6d9e49dfec11p-5, -0x1.ecb0b8dcb5d64p-5, -0x1.e2cfa497ed6b8p-5, -0x1.d934f1ff70b49p-5, -0x1.cfdeef0dc23eep-5, -0x1.c6cbede08badap-5, -0x1.bdfa4507185afp-5, -0x1.b5684fc71bf46p-5, -0x1.ad146e583820cp-5, -0x1.a4fd0616dd0d1p-5, -0x1.9d2081b021f15p-5, -0x1.957d51481130bp-5, -0x1.8e11ea9c6ad4p-5, -0x1.86dcc92529296p-5, -0x1.7fdc6e337c61p-5, -0x1.790f610f5f488p-5, -0x1.72742f13678e4p-5, -0x1.6c096bc6a860dp-5, -0x1.65cdb0f460b3bp-5, -0x1.5fbf9ec1952ccp-5, -0x1.59dddbc0c9cd6p-5, -0x1.54271503f128p-5, -0x1.4e99fe2c75bp-5, -0x1.49355178fe252p-5, -0x1.43f7cfd048c9bp-5, -0x1.3ee040c8899fp-5, -0x1.39ed72aad8f2ep-5, -0x1.351e3a72c1064p-5, -0x1.307173ca2e007p-5, -0x1.2be601028b8c8p-5, -0x1.277acb0bd6eb8p-5, -0x1.232ec16a64e2cp-5, -0x1.1f00da2bdf775p-5, -0x1.1af011dbaf2edp-5, -0x1.16fb6b76a6ab9p-5, -0x1.1321f05da8dd6p-5, -0x1.0f62b046f9342p-5, -0x1.0bbcc12df8f63p-5, -0x1.082f3f41537c5p-5, -0x1.04b94ccfc9e2p-5, -0x1.015a1233fc1a5p-5, -0x1.fc217b7f7902bp-6, -0x1.f5b9074e942f8p-6, -0x1.ef793bd96cbf9p-6, -0x1.e9609897281e3p-6, -0x1.e36da849690e7p-6, -0x1.dd9f00d349d6fp-6, -0x1.d7f3430ee7cd9p-6, -0x1.d2691aa0c89b3p-6, -0x1.ccff3dc88c79fp-6, -0x1.c7b46d2efce8dp-6, -0x1.c28773b1d3508p-6, -0x1.bd77262de12ebp-6, -0x1.b8826349064b8p-6, -0x1.b3a8133c6427cp-6, -0x1.aee7279ff08e3p-6, -0x1.aa3e9b37be8b7p-6, -0x1.a5ad71c2f288ap-6, -0x1.a132b7cc1b2b3p-6, -0x1.9ccd827a3c3d8p-6, -0x1.987cef61f0cf9p-6, -0x1.94402455e5de2p-6, -0x1.90164f362c045p-6, -0x1.8bfea66099bedp-6, -0x1.87f86754f8382p-6, -0x1.8402d605ddba3p-6, -0x1.801d3e719a727p-6, -0x1.7c46f3aa0c06p-6, -0x1.787f4fa507553p-6, -0x1.74c5b30d5f2aep-6, -0x1.71198514168cfp-6, -0x1.6d7a334237b61p-6, -0x1.69e7314b33941p-6, -0x1.665ff8df8c911p-6, -0x1.62e409806122dp-6, -0x1.5f72e8536d46p-6, -0x1.5c0c1ff7b644fp-6, -0x1.58af405b055ffp-6, -0x1.555bde8fee7edp-6, -0x1.521194a4d9d75p-6, -0x1.4ed0017b98338p-6, -0x1.4b96c8a1f540cp-6, -0x1.4865922af0a48p-6, -0x1.453c0a88e7ba3p-6, -0x1.4219e2687f6c8p-6, -0x1.3efece8c6a502p-6, -0x1.3bea87a9e396fp-6, -0x1.38dcca4607acdp-6, -0x1.35d55693fc6adp-6, -0x1.32d3f0539b796p-6, -0x1.2fd85eb10e0f4p-6, -0x1.2ce26c2517e8dp-6, -0x1.29f1e655de186p-6, -0x1.27069df8955a5p-6, -0x1.242066b3c91bfp-6, -0x1.213f1702423f4p-6, -0x1.1e628816af627p-6, -0x1.1b8a95bffa42bp-6, -0x1.18b71e4e3469ap-6, -0x1.15e8027854263p-6, -0x1.131d25427d8d3p-6, -0x1.10566be50b95dp-6, -0x1.0d93bdb43ffc3p-6, -0x1.0ad5040884cd7p-6, -0x1.081a2a276ca73p-6, -0x1.05631d2d4af59p-6, -0x1.02afcbf7664d9p-6, -0x1.0000270ecb379p-6, -0x1.faa841276b216p-7, -0x1.f55758536b9e7p-7, -0x1.f00d7dc88981cp-7, -0x1.eaca9e680e6b2p-7, -0x1.e58ea9a950816p-7, -0x1.e0599176a7d6fp-7, -0x1.db2b4a0b4664ap-7, -0x1.d603c9d26a3b6p-7, -0x1.d0e30947b7428p-7, -0x1.cbc902d84682bp-7, -0x1.c6b5b2c54252cp-7, -0x1.c1a91706f5ebcp-7, -0x1.bca32f314db88p-7, -0x1.b7a3fc5918748p-7, -0x1.b2ab80fa172d9p-7, -0x1.adb9c0de3d432p-7, -0x1.a8cec1057e8bp-7, -0x1.a3ea878eb41efp-7, -0x1.9f0d1ba157163p-7, -0x1.9a368557e9c2bp-7, -0x1.9566cdab4a8dbp-7, -0x1.909dfe5eca752p-7, -0x1.8bdc21ed1c44bp-7, -0x1.87214375f252ep-7, -0x1.826d6eac47f15p-7, -0x1.7dc0afc59e568p-7, -0x1.791b1369afc02p-7, -0x1.747ca6a2f00f4p-7, -0x1.6fe576cfb0a6p-7, -0x1.6b559193ea56ep-7, -0x1.66cd04cbb307fp-7, -0x1.624bde7e2af59p-7, -0x1.5dd22cd133373p-7, -0x1.595ffdfd8f396p-7, -0x1.54f56043b3537p-7, -0x1.509261e112075p-7, -0x1.4c371105f7662p-7, -0x1.47e37bcbdee5ep-7, -0x1.4397b02c617e5p-7, -0x1.3f53bbf89d3aep-7, -0x1.3b17acd0fc7ffp-7, -0x1.36e3901d89a0dp-7, -0x1.32b77306e1a27p-7, -0x1.2e93626f3558ep-7, -0x1.2a776aec06d38p-7, -0x1.266398c044602p-7, -0x1.2257f7d698791p-7, -0x1.1e5493bc5416fp-7, -0x1.1a59779ca2553p-7, -0x1.1666ae3bfe3c6p-7, -0x1.127c41f42c8f3p-7, -0x1.0e9a3cb064e1bp-7, -0x1.0ac0a7e9e190cp-7, -0x1.06ef8ca4a6e5cp-7, -0x1.0326f36cb9d46p-7, -0x1.fecdc8a6ed568p-8, -0x1.f75ecddaa1cc1p-8, -0x1.f001049f8e249p-8, -0x1.e8b47a1ef7272p-8, -0x1.e1793a7dc3348p-8, -0x1.da4f50d96f6fbp-8, -0x1.d336c7461c1f7p-8, -0x1.cc2fa6ccb926dp-8, -0x1.c539f769ed63bp-8, -0x1.be55c00cd3449p-8, -0x1.b7830696a9b06p-8, -0x1.b0c1cfdaace6bp-8, -0x1.aa121f9e155f2p-8, -0x1.a373f898aab7ap-8, -0x1.9ce75c75b415ap-8, -0x1.966c4bd4dbdcbp-8, -0x1.9002c64bb9bfp-8, -0x1.89aaca676d219p-8, -0x1.836455ae79ed6p-8, -0x1.7d2f64a300941p-8, -0x1.770bf2c52ab6cp-8, -0x1.70f9fa95985d1p-8, -0x1.6af975988c035p-8, -0x1.650a5c5873f77p-8, -0x1.5f2ca6697db46p-8, -0x1.59604a6cadabep-8, -0x1.53a53e139d6a9p-8, -0x1.4dfb7624129c3p-8, -0x1.4862e67bc2d0cp-8, -0x1.42db821459afp-8, -0x1.3d653b07a05eap-8, -0x1.3800029374cf5p-8, -0x1.32abc91e54c74p-8, -0x1.2d687e3b866cbp-8, -0x1.283610afadbe2p-8, -0x1.23146e7553676p-8, -0x1.1e0384c177b16p-8, -0x1.190340085c548p-8, -0x1.14138c01f992bp-8, -0x1.0f3453af2d167p-8, -0x1.0a65815e2babep-8, -0x1.05a6feaf6c4a5p-8, -0x1.00f8b49a9c1f9p-8, -0x1.f8b516e6e8fbp-9, -0x1.ef98d5dd624b7p-9, -0x1.e69c744dc00bbp-9, -0x1.ddbfbf42d15d5p-9, -0x1.d50282a6a22c4p-9, -0x1.cc64894cd8ed9p-9, -0x1.c3e59cfc0ce8ap-9, -0x1.bb8586779b2ap-9, -0x1.b3440d8971e4dp-9, -0x1.ab20f90bfb59bp-9, -0x1.a31c0ef38fb62p-9, -0x1.9b3514580afa1p-9, -0x1.936bcd7e6e20bp-9, -0x1.8bbffde22906ap-9, -0x1.8431683ed337ap-9, -0x1.7cbfce98fdec2p-9, -0x1.756af247d1d13p-9, -0x1.6e3293fdd383fp-9, -0x1.671673d2060fbp-9, -0x1.60165148d7618p-9, -0x1.5931eb5cdfb2bp-9, -0x1.5269008788bd8p-9, -0x1.4bbb4ec9917bdp-9, -0x1.452893b3af2a9p-9, -0x1.3eb08c6e58f26p-9, -0x1.385307cd847f3p-9, -0x1.320f9a3488f1ap-9, -0x1.2be615bd2802ap-9, -0x1.25d636441a399p-9, -0x1.1fdfb7660210ep-9, -0x1.1a02548669042p-9, -0x1.143dc8d76df26p-9, -0x1.0e91cf610b5b4p-9, -0x1.08fe2308203f5p-9, -0x1.03827e950478ep-9, -0x1.fc3d397560053p-10, -0x1.f1a4703a78588p-10, -0x1.e73a16b0d6016p-10, -0x1.dcfda20baa52fp-10, -0x1.d2ee87871314p-10, -0x1.c90c3c7303da2p-10, -0x1.bf56363fdb3d2p-10, -0x1.b5cbea8987debp-10, -0x1.ac6ccf233d8f8p-10, -0x1.a3385a2206d92p-10, -0x1.9a2e01e7207c5p-10, -0x1.914d3d2ac6a7p-10, -0x1.88958306233c3p-10, -0x1.80064afcda287p-10, -0x1.779f0d0702ec2p-10, -0x1.6f5f419a4579p-10, -0x1.674661b20bbf1p-10, -0x1.5f53e6d8ef9adp-10, -0x1.57874b30c2b9ap-10, -0x1.4fe0097b17f94p-10, -0x1.485d9d204bb7dp-10, -0x1.40ff8237dde9ap-10, -0x1.39c5358f40fd8p-10, -0x1.32ae34b12fdd6p-10, -0x1.2bb9fdec07baap-10, -0x1.24e8105945769p-10, -0x1.1e37ebe285c87p-10, -0x1.17a9114824d84p-10, -0x1.113b0227b791ep-10, -0x1.0aed41003ee15p-10, -0x1.04bf5138624efp-10, -0x1.fd616e4669d9bp-11, -0x1.f181f00a22b12p-11, -0x1.e5df343090806p-11, -0x1.da7849237aae7p-11, -0x1.cf4c3f48e93b1p-11, -0x1.c45a290c0f2b1p-11, -0x1.b9a11ae43de8p-11, -0x1.af202b5d29f0dp-11, -0x1.a4d6731b7d568p-11, -0x1.9ac30ce568896p-11, -0x1.90e515a6a070bp-11, -0x1.873bac76e540ap-11, -0x1.7dc5f29eed3bap-11, -0x1.74830b9cc1d0bp-11, -0x1.6b721d298f98bp-11, -0x1.62924f3b064bp-11, -0x1.59e2cc0aa01bp-11, -0x1.5162c01570a14p-11, -0x1.49115a21397edp-11, -0x1.40edcb3eed07ap-11, -0x1.38f746cc03682p-11, -0x1.312d027679301p-11, -0x1.298e363ce2e9ap-11, -0x1.221a1c70a2fa2p-11, -0x1.1acff1b7222eep-11, -0x1.13aef50a8d1d5p-11, -0x1.0cb667baa5c7ap-11, -0x1.05e58d6cdace2p-11, -0x1.fe77583bf0ea1p-12, -0x1.f170183f19f6cp-12, -0x1.e4b3f031d05f6p-12, -0x1.d8417a0fb36d6p-12, -0x1.cc17547a81a1dp-12, -0x1.c03422bbb048bp-12, -0x1.b4968cc120d95p-12, -0x1.a93d3f19e940fp-12, -0x1.9e26eaf3bab46p-12, -0x1.935246180bb4dp-12, -0x1.88be0ae55de3p-12, -0x1.7e68f84d3ed64p-12, -0x1.7451d1cedb33ap-12, -0x1.6a775f720a778p-12, -0x1.60d86dc15f715p-12, -0x1.5773cdc6de8aep-12, -0x1.4e48550231ba9p-12, -0x1.4554dd6543c43p-12, -0x1.3c98454c2e6c9p-12, -0x1.34116f78949fp-12, -0x1.2bbf4307c4cf9p-12, -0x1.23a0ab6c562c1p-12, -0x1.1bb498696c3ddp-12, -0x1.13f9fe063c825p-12, -0x1.0c6fd488f6a0bp-12, -0x1.0515186d95151p-12, -0x1.fbd194bf5357ep-13, -0x1.edd3de5cca84ap-13, -0x1.e02f1f8acd66fp-13, -0x1.d2e1724926db6p-13, -0x1.c5e8f8ab80765p-13, -0x1.b943dcc94283fp-13, -0x1.acf050a877b66p-13, -0x1.a0ec8e2bdc609p-13, -0x1.9536d7000ab55p-13, -0x1.89cd748711b43p-13, -0x1.7eaeb7c56175p-13, -0x1.73d8f94b3bbdcp-13, -0x1.694a9928791b1p-13, -0x1.5f01fecd2cc2dp-13, -0x1.54fd98fc3a21cp-13, -0x1.4b3bddb4f9af4p-13, -0x1.41bb4a1e46f0bp-13, -0x1.387a62701e184p-13, -0x1.2f77b1e42727fp-13, -0x1.26b1ca99f343bp-13, -0x1.1e274583ebb0dp-13, -0x1.15d6c25165738p-13, -0x1.0dbee75eb4a5dp-13, -0x1.05de6197565d6p-13, -0x1.fc67c8cbb6f3fp-14, -0x1.ed7c533a03b9cp-14, -0x1.def7e2c49c755p-14, -0x1.d0d80431380abp-14, -0x1.c31a50950f035p-14, -0x1.b5bc6d29a6b6bp-14, -0x1.a8bc0b20b2434p-14, -0x1.9c16e77fac119p-14, -0x1.8fcacaeac3baep-14, -0x1.83d58981490e3p-14, -0x1.783502ae5c42fp-14, -0x1.6ce7210944efcp-14, -0x1.61e9da1dc4ddep-14, -0x1.573b2e444835fp-14, -0x1.4cd92880d993fp-14, -0x1.42c1de50d01cbp-14, -0x1.38f36f855ac96p-14, -0x1.2f6c0614b8f98p-14, -0x1.2629d60170278p-14, -0x1.1d2b1d1961fdp-14, -0x1.146e22de0c76ap-14, -0x1.0bf138552ac71p-14, -0x1.03b2b7e668c32p-14, -0x1.f7620a5ce6228p-15, -0x1.e7d519b4aec65p-15, -0x1.d8bb88fc16a17p-15, -0x1.ca1254e1ceca7p-15, -0x1.bbd68b494be77p-15, -0x1.ae054b00f7f5ap-15, -0x1.a09bc374bc092p-15, -0x1.9397346671193p-15, -0x1.86f4ed993d01p-15, -0x1.7ab24ea493bbp-15, -0x1.6eccc684fdd26p-15, -0x1.6341d36b33fb4p-15, -0x1.580f02773b56ap-15, -0x1.4d31ef651f34ep-15, -0x1.42a8445050f5fp-15, -0x1.386fb96be831fp-15, -0x1.2e8614bb6439fp-15, -0x1.24e929daa5bfcp-15, -0x1.1b96d9b92c3f6p-15, -0x1.128d124614c41p-15, -0x1.09c9ce41ab49dp-15, -0x1.014b14fa64063p-15, -0x1.f21df41a19581p-16, -0x1.e2273a42a139p-16, -0x1.d2ae536a0613p-16, -0x1.c3afadb61e6a7p-16, -0x1.b527cdf553cf1p-16, -0x1.a7134f3d34d84p-16, -0x1.996ee26d54a96p-16, -0x1.8c374daaf73a9p-16, -0x1.7f696c0b8d872p-16, -0x1.73022d17e67fp-16, -0x1.66fe94724cdffp-16, -0x1.5b5bb93c9cacdp-16, -0x1.5016c5d57a12bp-16, -0x1.452cf7629699bp-16, -0x1.3a9b9d6b89161p-16, -0x1.30601972f8db3p-16, -0x1.2677de92dc859p-16, -0x1.1ce0711a473fp-16, -0x1.1397662f15867p-16, -0x1.0a9a6355868cep-16, -0x1.01e71e5b8cb28p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.33ef7c0977e28p-5, -0x1.7c9f685c21d9bp-6, -0x1.144435679855fp-7, 0x1.b5b2befac76d9p-8, 0x1.67e97c2a5ea4ep-6, 0x1.31bbce49ae87p-5, 0x1.af35d14b7c477p-5, 0x1.15cd68a715099p-4, 0x1.531d3cd5d4a93p-4, 0x1.8f3d9140926d2p-4, 0x1.c9e904f2b9a5p-4, 0x1.01712dd366897p-3, 0x1.1cfaa4edefp-3, 0x1.377a7d2604317p-3, 0x1.50dd7cd6c637ap-3, 0x1.691384caf0b25p-3, 0x1.800f5e92e8dabp-3, 0x1.95c674c2e1465p-3, 0x1.aa30a61bc486dp-3, 0x1.bd4823bc5a91ap-3, 0x1.cf0942d34d343p-3, 0x1.df73d6eea7b77p-3, 0x1.ee84ed632e83bp-3, 0x1.fc3e2e0ae3fe5p-3, 0x1.0451a3c855394p-2, 0x1.09dca26fc8fc3p-2, 0x1.0ec2e793d322ep-2, 0x1.130778316bd95p-2, 0x1.16ada45d27939p-2, 0x1.19b933464c893p-2, 0x1.1c2e7a0e6c3a9p-2, 0x1.1e124e8542f7cp-2, 0x1.1f69df68d98e4p-2, 0x1.203a87b6615d8p-2, 0x1.2089afa248d43p-2, 0x1.205cc2146beafp-2, 0x1.1fb931e43385p-2, 0x1.1ea4846d8fecfp-2, 0x1.1d24580d3abap-2, 0x1.1b3e61cdae45cp-2, 0x1.18f862bdb51cbp-2, 0x1.165818c9f267bp-2, 0x1.13632fc34a79p-2, 0x1.101f3611137ccp-2, 0x1.0c91968a59ee8p-2, 0x1.08bf970332968p-2, 0x1.04ae59d022ed6p-2, 0x1.0062e020b6268p-2, 0x1.f7c4170549d9dp-3, 0x1.ee613b5606719p-3, 0x1.e4a66cb16db17p-3, 0x1.da9c9f53ff833p-3, 0x1.d04c7367fe96p-3, 0x1.c5be2d059f61cp-3, 0x1.baf9af4122188p-3, 0x1.b0067b6a866fcp-3, 0x1.a4ebb3fbfb933p-3, 0x1.99b02173ad805p-3, 0x1.8e5a371f25c82p-3, 0x1.82f01694f4663p-3, 0x1.77779198eb16dp-3, 0x1.6bf62ad80f176p-3, 0x1.6071161d26c5ep-3, 0x1.54f0e88a8148cp-3, 0x1.496d62eda3c2p-3, 0x1.3df454b1bbc21p-3, 0x1.328a7a2b89df8p-3, 0x1.27341267f95b1p-3, 0x1.1bf4d30024d61p-3, 0x1.10cfe802eadedp-3, 0x1.05c7feb88686cp-3, 0x1.f5beb13e2f2b4p-4, 0x1.e02fc67bcef57p-4, 0x1.cae6a28d6cbp-4, 0x1.b5e663a5caaep-4, 0x1.a1320671e7b71p-4, 0x1.8ccc7fb1dd986p-4, 0x1.78b8c8681df2dp-4, 0x1.64f9dd200d26ep-4, 0x1.5192b2600ebcbp-4, 0x1.3e86217bcaf23p-4, 0x1.2bd6d18c63e5fp-4, 0x1.1987204e9b72dp-4, 0x1.07990e1e1fa27p-4, 0x1.ec1c5ec43e942p-5, 0x1.c9cf49678899cp-5, 0x1.a84c3405c9385p-5, 0x1.87939844c812p-5, 0x1.67a5271015798p-5, 0x1.487fe560dc81p-5, 0x1.2a224cf4176fap-5, 0x1.0c8a6dbfdd447p-5, 0x1.df6c1ad8fd17dp-6, 0x1.a745856ce0535p-6, 0x1.709c16a124842p-6, 0x1.3b6ab71c7860cp-6, 0x1.07ac4f76210c4p-6, 0x1.aab79e3206f1cp-7, 0x1.48e8520a3c57ep-7, 0x1.d3c122cfd2b39p-8, 0x1.1b2c071104a2ap-8, 0x1.9fefd36bcde1ap-10, -0x1.179590f83b8fp-10, -0x1.dd1f10ba8a3f1p-9, -0x1.921b5c69047a1p-8, -0x1.18519df509216p-7, -0x1.65217ae177a62p-7, -0x1.af8bd8565824ap-7, -0x1.f79fdd767229ep-7, -0x1.1eb692a4924dbp-6, -0x1.4081cd21941ccp-6, -0x1.6139a838c2595p-6, -0x1.80e6309576842p-6, -0x1.9f8f6549217eap-6, -0x1.bd3d2a3947e89p-6, -0x1.d9f73d9af3e83p-6, -0x1.f5c530830634ap-6, -0x1.08573126a9815p-5, -0x1.155cff3706249p-5, -0x1.21f77e14eb971p-5, -0x1.2e2a0fd671c3p-5, -0x1.39f7fe01c8e6dp-5, -0x1.45647ac4c8af3p-5, -0x1.5072a23d399b1p-5, -0x1.5b257bb237af7p-5, -0x1.657ffaa8e7838p-5, -0x1.6f84ffc6bd197p-5, -0x1.7937597a3c4bdp-5, -0x1.8299c46820956p-5, -0x1.8baeeb9ec080fp-5, -0x1.94796894833e7p-5, -0x1.9cfbc2f84a667p-5, -0x1.a538705c3d6cep-5, -0x1.ad31d3c43e0f8p-5, -0x1.b4ea3d21cc69bp-5, -0x1.bc63e8c74cf91p-5, -0x1.c3a0fedc99b7cp-5, -0x1.caa392dea712dp-5, -0x1.d16da3337325dp-5, -0x1.d80118dac4a95p-5, -0x1.de5fc742f4fb6p-5, -0x1.e48b6c471cdfdp-5, -0x1.ea85b059b70bep-5, -0x1.f05026dbeeab1p-5, -0x1.f5ec4e9f013cbp-5, -0x1.fb5b928a492b3p-5, -0x1.004fa52f2d783p-4, -0x1.02d4236659a6bp-4, -0x1.054ca99fa582ap-4, -0x1.07b18733be7d9p-4, -0x1.0a033ce1d0266p-4, -0x1.0c42411ae8889p-4, -0x1.0e6f010a0ae5cp-4, -0x1.1089e1a9e9a6ap-4, -0x1.129340ddac81fp-4, -0x1.148b7682aa8fep-4, -0x1.1672d57219a54p-4, -0x1.1849ac6af0cd4p-4, -0x1.1a1046ddc10b9p-4, -0x1.1bc6ed960962ep-4, -0x1.1d6de73e45355p-4, -0x1.1f0578bdd1e0cp-4, -0x1.208de5717da48p-4, -0x1.22076f4136d82p-4, -0x1.23725696aa963p-4, -0x1.24ceda39d363ap-4, -0x1.261d37192ef84p-4, -0x1.275da803e9113p-4, -0x1.2890655c4d6d1p-4, -0x1.29b5a4c8b6c19p-4, -0x1.2acd98e8b1fbp-4, -0x1.2bd87113559b2p-4, -0x1.2cd65922e71d8p-4, -0x1.2dc77950f5dd8p-4, -0x1.2eabf624f1672p-4, -0x1.2f83f07643f62p-4, -0x1.304f8581f7d2ep-4, -0x1.310ecf1302ad3p-4, -0x1.31c1e3bb9902fp-4, -0x1.3268d71d46f7bp-4, -0x1.3303ba3d16238p-4, -0x1.33929be0c5e6ep-4, -0x1.341588f1e9aebp-4, -0x1.348c8ce3cd3dap-4, -0x1.34f7b2191c43bp-4, -0x1.3557024680363p-4, -0x1.35aa86cfbe9a3p-4, -0x1.35f2491d474a3p-4, -0x1.362e52e882a6p-4, -0x1.365eae7daa951p-4, -0x1.368366f26de55p-4, -0x1.369c8851090efp-4, -0x1.36aa1fb7e4311p-4, -0x1.36ac3b6e392cp-4, -0x1.36a2eaee77bdep-4, -0x1.368e3ee7841b5p-4, -0x1.366e493603582p-4, -0x1.36431cd71fda7p-4, -0x1.360ccdd63881fp-4, -0x1.35cb7136f9d9ep-4, -0x1.357f1cdd49178p-4, -0x1.3527e7745e74p-4, -0x1.34c5e8563c968p-4, -0x1.3459377495e86p-4, -0x1.33e1ed43f3d1dp-4, -0x1.336022a9c50dap-4, -0x1.32d3f0edc94d8p-4, -0x1.323d71af15d1fp-4, -0x1.319cbedcc5f51p-4, -0x1.30f1f2b23d45dp-4, -0x1.303d27b6be277p-4, -0x1.2f7e78c001bf1p-4, -0x1.2eb600f758dbbp-4, -0x1.2de3dbe0e37dep-4, -0x1.2d08256451628p-4, -0x1.2c22f9d6ac044p-4, -0x1.2b347604a3da8p-4, -0x1.2a3cb73ce6bdap-4, -0x1.293bdb5a13f47p-4, -0x1.283200cbe91ccp-4, -0x1.271f469f58f23p-4, -0x1.2603cc8553204p-4, -0x1.24dfb2d804d4ap-4, -0x1.23b31a9e7d21cp-4, -0x1.227e258ea3138p-4, -0x1.2140f60d82363p-4, -0x1.1ffbaf2df303p-4, -0x1.1eae74adc0cc9p-4, -0x1.1d596af160b2ap-4, -0x1.1bfcb6fe6b65cp-4, -0x1.1a987e74f7fcep-4, -0x1.192ce7880ca4cp-4, -0x1.17ba18f54ce9fp-4, -0x1.164039fc124d5p-4, -0x1.14bf72541a6a3p-4, -0x1.1337ea23f052bp-4, -0x1.11a9c9f72fed2p-4, -0x1.10153ab4cc212p-4, -0x1.0e7a659566431p-4, -0x1.0cd97419d4a49p-4, -0x1.0b329001e6b7cp-4, -0x1.0985e34373161p-4, -0x1.07d39801b8e95p-4, -0x1.061bd8851ebf9p-4, -0x1.045ecf3348fa8p-4, -0x1.029ca6879079fp-4, -0x1.00d5890bd276ep-4, -0x1.fe1342a32ff6ap-5, -0x1.fa7233d724499p-5, -0x1.f6c83acebed22p-5, -0x1.f315ac8f3a0fp-5, -0x1.ef5addfc70acdp-5, -0x1.eb9823cdf32e1p-5, -0x1.e7cdd2848e84bp-5, -0x1.e3fc3e602eda4p-5, -0x1.e023bb5617236p-5, -0x1.dc449d076e331p-5, -0x1.d85f36b806e97p-5, -0x1.d473db4569207p-5, -0x1.d082dd1e15004p-5, -0x1.cc8c8e38f4c4dp-5, -0x1.c891400cfa7edp-5, -0x1.c4914388f0d92p-5, -0x1.c08ce90b6911dp-5, -0x1.bc84805ad10fep-5, -0x1.b878589db0867p-5, -0x1.b468c053023e2p-5, -0x1.b056054ab5206p-5, -0x1.ac40749e4b2aep-5, -0x1.a8285aa99c467p-5, -0x1.a40e0303bec39p-5, -0x1.9ff1b878119dbp-5, -0x1.9bd3c4ff709d5p-5, -0x1.97b471b98fe23p-5, -0x1.939406e684d05p-5, -0x1.8f72cbe07b52ap-5, -0x1.8b5107159f8a3p-5, -0x1.872efe023648ap-5, -0x1.830cf52af20f9p-5, -0x1.7eeb3017821d5p-5, -0x1.7ac9f14d596b9p-5, -0x1.76a97a4abaa3ap-5, -0x1.728a0b8201a5ep-5, -0x1.6e6be45534d76p-5, -0x1.6a4f4311da57cp-5, -0x1.663464ed15b18p-5, -0x1.621b860009ccbp-5, -0x1.5e04e1448c823p-5, -0x1.59f0b0921bfa5p-5, -0x1.55df2c9b20bf1p-5, -0x1.51d08cea77957p-5, -0x1.4dc507e1480ap-5, -0x1.49bcd2b518ea7p-5, -0x1.45b8216e37c7bp-5, -0x1.41b726e65a2cap-5, -0x1.3dba14c7836ffp-5, -0x1.39c11b8b3469bp-5, -0x1.35cc6a79cc10ap-5, -0x1.31dc2faa2e1cp-5, -0x1.2df09801a13c8p-5, -0x1.2a09cf33e4ecdp-5, -0x1.2627ffc37afacp-5, -0x1.224b530227f36p-5, -0x1.1e73f111a03e6p-5, -0x1.1aa200e46621bp-5, -0x1.16d5a83ed0ef6p-5, -0x1.130f0bb8440cfp-5, -0x1.0f4e4ebc881c3p-5, -0x1.0b93938d4a23dp-5, -0x1.07defb43c495dp-5, -0x1.0430a5d283c8bp-5, -0x1.0088b20750156p-5, -0x1.f9ce7b1a6c6f5p-6, -0x1.f298c9dd59c5dp-6, -0x1.eb70872fb34d9p-6, -0x1.e4588646a8926p-6, -0x1.dd4bbf9c13c4fp-6, -0x1.d64cfba2145efp-6, -0x1.cf5c686199789p-6, -0x1.c87a31c77e5bfp-6, -0x1.c1a681a9e54dbp-6, -0x1.bae17fcdc8845p-6, -0x1.b42b51eca7fap-6, -0x1.ad841bba59b8cp-6, -0x1.a6ebfeeb148f2p-6, -0x1.a0631b3990951p-6, -0x1.99e98e6d5c77dp-6, -0x1.937f746158111p-6, -0x1.8d24e70a571a9p-6, -0x1.86d9fe7de65dp-6, -0x1.809ed0f946593p-6, -0x1.7a7372e8783dcp-6, -0x1.7457f6ed7cd28p-6, -0x1.6e4c6de7a9347p-6, -0x1.6850e6fb27e6cp-6, -0x1.62656f988ce41p-6, -0x1.5c8a138488a58p-6, -0x1.56bedcdfb74fcp-6, -0x1.5103d42e822bfp-6, -0x1.4b59006117a52p-6, -0x1.45be66db6dd3bp-6, -0x1.40340b7d64b37p-6, -0x1.3ab9f0aae63d7p-6, -0x1.35501754110f6p-6, -0x1.2ff67efd777cp-6, -0x1.2aad25c85628fp-6, -0x1.2574087ada286p-6, -0x1.204b22885ea07p-6, -0x1.1b326e19b44d5p-6, -0x1.1629e4155c57cp-6, -0x1.11317c27ca362p-6, -0x1.0c492ccb9611ap-6, -0x1.0770eb51b2b01p-6, -0x1.02a8abe98c25cp-6, -0x1.fbe0c35260c0bp-7, -0x1.f28ffd2ab1782p-7, -0x1.e95ee752ecd2ap-7, -0x1.e04d61bf4f33p-7, -0x1.d75b4a714cad1p-7, -0x1.ce887d8733989p-7, -0x1.c5d4d54bd7961p-7, -0x1.bd402a45f79d9p-7, -0x1.b4ca5347894f7p-7, -0x1.ac73257ce1167p-7, -0x1.a43a747babd84p-7, -0x1.9c201251c13dcp-7, -0x1.9423cf93cffbap-7, -0x1.8c457b6bcc2e4p-7, -0x1.8484e3a73ebf6p-7, -0x1.7ce1d4c55de85p-7, -0x1.755c1a04f5dacp-7, -0x1.6df37d7212141p-7, -0x1.66a7c7f37c78ap-7, -0x1.5f78c1580dfcdp-7, -0x1.58663063adae6p-7, -0x1.516fdadc3396cp-7, -0x1.4a958595f45cdp-7, -0x1.43d6f4802bf6ep-7, -0x1.3d33eab11bcdbp-7, -0x1.36ac2a71ee0afp-7, -0x1.303f754a5f7c7p-7, -0x1.29ed8c0c1edfap-7, -0x1.23b62ede00d46p-7, -0x1.1d991d46e397ap-7, -0x1.1796163856394p-7, -0x1.11acd81901c16p-7, -0x1.0bdd20ced48d1p-7, -0x1.0626adc8e5306p-7, -0x1.00893c091e2c9p-7, -0x1.f609105b5f564p-8, -0x1.eb309cf455e56p-8, -0x1.e08895c0f7522p-8, -0x1.d6107213305cdp-8, -0x1.cbc7a8bbcb618p-8, -0x1.c1adb01b1507fp-8, -0x1.b7c1fe30bbeadp-8, -0x1.ae0408ab61b73p-8, -0x1.a47344f7bf5ddp-8, -0x1.9b0f284f593d4p-8, -0x1.91d727c6c65dbp-8, -0x1.88cab85ba18b6p-8, -0x1.7fe94f01f6fdep-8, -0x1.773260b179b41p-8, -0x1.6ea562724f8a8p-8, -0x1.6641c9696f431p-8, -0x1.5e070ae4bc1f4p-8, -0x1.55f49c66d72b6p-8, -0x1.4e09f3b2893c3p-8, -0x1.464686d5f218ep-8, -0x1.3ea9cc3566dc5p-8, -0x1.37333a95ebd9fp-8, -0x1.2fe24927b8145p-8, -0x1.28b66f90191b4p-8, -0x1.21af25f352f91p-8, -0x1.1acbe4fe21d48p-8, -0x1.140c25ef130a7p-8, -0x1.0d6f629f98314p-8, -0x1.06f5158ccc241p-8, -0x1.009cb9e03fefep-8, -0x1.f4cb96f06f45cp-9, -0x1.e89f8ddfe1ec4p-9, -0x1.dcb4534f2f8c5p-9, -0x1.d108e39814d3cp-9, -0x1.c59c3cbcd6bdep-9, -0x1.ba6d5e76ed741p-9, -0x1.af7b4a4541f79p-9, -0x1.a4c5037a14899p-9, -0x1.9a498f485bf7cp-9, -0x1.9007f4d0c926p-9, -0x1.85ff3d2e5b212p-9, -0x1.7c2e738276384p-9, -0x1.7294a50099223p-9, -0x1.6930e0f98b96fp-9, -0x1.600238e6429a8p-9, -0x1.5707c07220657p-9, -0x1.4e408d84d2ea2p-9, -0x1.45abb84bbb012p-9, -0x1.3d485b42dbad4p-9, -0x1.3515933d47551p-9, -0x1.2d127f6d0b817p-9, -0x1.253e416ab7485p-9, -0x1.1d97fd3c44a61p-9, -0x1.161ed95b9c837p-9, -0x1.0ed1febc8c4d3p-9, -0x1.07b098d23350bp-9, -0x1.00b9d59414555p-9, -0x1.f3d9cb0521ce8p-10, -0x1.e691f75560fa7p-10, -0x1.d99a9b53ac563p-10, -0x1.ccf227614671ap-10, -0x1.c097110ae568ep-10, -0x1.b487d30ceaa16p-10, -0x1.a8c2ed5624ba6p-10, -0x1.9d46e50a59319p-10, -0x1.921244834517ep-10, -0x1.87239b510fe9p-10, -0x1.7c797e398562ap-10, -0x1.721287371b916p-10, -0x1.67ed55767d704p-10, -0x1.5e088d538c2b6p-10, -0x1.5462d855c0829p-10, -0x1.4afae52b82758p-10, -0x1.41cf67a5195a6p-10, -0x1.38df18aec4e8cp-10, -0x1.3028b64a1a3e1p-10, -0x1.27ab038759001p-10, -0x1.1f64c87d1daa5p-10, -0x1.1754d2409d37p-10, -0x1.0f79f2dcddd31p-10, -0x1.07d301497058cp-10, -0x1.005ed960f5febp-10, -0x1.f238b7ae30c86p-11, -0x1.e414dc5c64413p-11, -0x1.d64ff559258dfp-11, -0x1.c8e7e0a387dc1p-11, -0x1.bbda859574842p-11, -0x1.af25d4ce19da5p-11, -0x1.a2c7c8199de84p-11, -0x1.96be6259b6d66p-11, -0x1.8b07af6d91374p-11, -0x1.7fa1c4196ce9ep-11, -0x1.748abdee2497fp-11, -0x1.69c0c330454a3p-11, -0x1.5f4202bfbd87ep-11, -0x1.550cb3fe1b2b8p-11, -0x1.4b1f16b60a522p-11, -0x1.41777301f403bp-11, -0x1.3814193313fap-11, -0x1.2ef361b84c338p-11, -0x1.2613ad04fa8d2p-11, -0x1.1d73637804a0fp-11, -0x1.1510f542d6ceap-11, -0x1.0ceada505ddccp-11, -0x1.04ff922c5fda2p-11, -0x1.fa9b47d53fb5cp-12, -0x1.eba73c1c12baap-12, -0x1.dd202ce21af49p-12, -0x1.cf035457f12fdp-12, -0x1.c14dfafa52a49p-12, -0x1.b3fd776221ca9p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29a77f24cd5bep-3, -0x1.209a9a3c7a4f9p-3, -0x1.16056311d5ac2p-3, -0x1.0a0ce48ba3965p-3, -0x1.f9a8a9306eadep-4, -0x1.dcfb11571cae6p-4, -0x1.be527a8ebd673p-4, -0x1.9ded2f8cd156ep-4, -0x1.7c061caca433ap-4, -0x1.58d5167a3b60cp-4, -0x1.348ee191d9b61p-4, -0x1.0f64f3aa3634cp-4, -0x1.d30b350a1e29bp-5, -0x1.86384f28ac992p-5, -0x1.38a1ed6e0f9b8p-5, -0x1.d525fc62051a5p-6, -0x1.38a1cf919638bp-6, -0x1.386f22752a20bp-7, -0x1.75b37de5395d7p-16, 0x1.35004d7c20ad9p-7, 0x1.33fe03e33c779p-6, 0x1.cbc27dd3da119p-6, 0x1.30bc79b468eefp-5, 0x1.7a6c75051694fp-5, 0x1.c2d00de638e0bp-5, 0x1.04e4afd9f7b9ap-4, 0x1.279ed364f27a8p-4, 0x1.498aa07c257bdp-4, 0x1.6a9dcfec1c27cp-4, 0x1.8acf903c304efp-4, 0x1.aa18675b57a17p-4, 0x1.c872116af29fdp-4, 0x1.e5d763baaa3ccp-4, 0x1.01221b9ec26bap-3, 0x1.0edaacb9a445ap-3, 0x1.1c1440361db83p-3, 0x1.28ce1f5045cd9p-3, 0x1.3507fa678cf89p-3, 0x1.40c1e0d9f8c6p-3, 0x1.4bfc384129115p-3, 0x1.56b7b3c677b71p-3, 0x1.60f54c2ce0e3dp-3, 0x1.6ab638d8ccd66p-3, 0x1.73fbe9cd2dbccp-3, 0x1.7cc80275f3e64p-3, 0x1.851c550a88456p-3, 0x1.8cfade39c2455p-3, 0x1.9465c0c7fea38p-3, 0x1.9b5f40f7097c9p-3, 0x1.a1e9bfdc9cba8p-3, 0x1.a807b6f0ef194p-3, 0x1.adbbb400e6137p-3, 0x1.b308557ee0563p-3, 0x1.b7f04724f5fafp-3, 0x1.bc763ef849b8bp-3, 0x1.c09cfac79b6ccp-3, 0x1.c4673e18d6056p-3, 0x1.c7d7d0453bf63p-3, 0x1.caf17a7d52832p-3, 0x1.cdb705a3274cfp-3, 0x1.d02b382ba3b41p-3, 0x1.d250d44b449ebp-3, 0x1.d42a968b9f356p-3, 0x1.d5ba66f4771c7p-3, 0x1.d7047870f35f1p-3, 0x1.d80adb2d36f7p-3, 0x1.d8d026704638dp-3, 0x1.d956e27dd75ep-3, 0x1.d9a1897c0fd63p-3, 0x1.d9b288a200aeep-3, 0x1.d98c4161321ap-3, 0x1.d9310a4d3837ep-3, 0x1.d8a32f9a97f0cp-3, 0x1.d7e4f325529cdp-3, 0x1.d6f88c049fc4dp-3, 0x1.d5e025c1da652p-3, 0x1.d49ddf53c82d2p-3, 0x1.d333ca03d287bp-3, 0x1.d1a3e861d2107p-3, 0x1.cff02d64b5551p-3, 0x1.ce1a7bcd31aeap-3, 0x1.cc24a5d4a48f2p-3, 0x1.ca106d283fa7ap-3, 0x1.c7df83280181fp-3, 0x1.c593895b4e2ap-3, 0x1.c32e120a0e167p-3, 0x1.c0b0a0e8e974ap-3, 0x1.be1cabc89957dp-3, 0x1.bb739b3ad4172p-3, 0x1.b8b6cb2295db4p-3, 0x1.b5e78b2946e63p-3, 0x1.b3071f162da15p-3, 0x1.b016bf09a32a1p-3, 0x1.ad1797a0c04d9p-3, 0x1.aa0aca087c8efp-3, 0x1.a6f16c080e936p-3, 0x1.a3cc8809d5d69p-3, 0x1.a09d1d28f0a49p-3, 0x1.9d641f4801454p-3, 0x1.9a227733fb8cfp-3, 0x1.96d902d492f39p-3, 0x1.9388956a8423cp-3, 0x1.9031f7dade195p-3, 0x1.8cd5e9056ef14p-3, 0x1.89751e239d876p-3, 0x1.8610432c9bbf7p-3, 0x1.82a7fb3baa54fp-3, 0x1.7f3ce0f597a2fp-3, 0x1.7bcf86eb2dceap-3, 0x1.786077f6fad5dp-3, 0x1.74f03795a1283p-3, 0x1.717f423865254p-3, 0x1.6e0e0d9211022p-3, 0x1.6a9d08de80032p-3, 0x1.672c9d2532ac3p-3, 0x1.63bd2d77662c6p-3, 0x1.604f172a1b354p-3, 0x1.5ce2b20cb6e3cp-3, 0x1.5978509ce93f7p-3, 0x1.56104038aff12p-3, 0x1.52aac94f549cbp-3, 0x1.4f482f9241e27p-3, 0x1.4be8b22648f84p-3, 0x1.488c8bd5bb3efp-3, 0x1.4533f3435dfc3p-3, 0x1.41df1b1dfd49fp-3, 0x1.3e8e32541a4abp-3, 0x1.3b41644721bcep-3, 0x1.37f8d8fd8f3d5p-3, 0x1.34b4b5538131fp-3, 0x1.31751b2961e18p-3, 0x1.2e3a299072b55p-3, 0x1.2b03fcf528ecep-3, 0x1.27d2af476c7b5p-3, 0x1.24a65820b74b1p-3, 0x1.217f0ce83f212p-3, 0x1.1e5ce0f5293eep-3, 0x1.1b3fe5aed877fp-3, 0x1.18282aab604b6p-3, 0x1.1515bdcc32fdp-3, 0x1.1208ab5912997p-3, 0x1.0f00fe1978cb2p-3, 0x1.0bfebf6c960bp-3, 0x1.0901f7602079bp-3, 0x1.060aacc61751p-3, 0x1.0318e549b259ep-3, 0x1.002ca58381cb8p-3, 0x1.fa8b95376b7bcp-4, 0x1.f4c951beb762cp-4, 0x1.ef12301e11d1bp-4, 0x1.e96631b62ceb5p-4, 0x1.e3c5566f64f96p-4, 0x1.de2f9ce0826abp-4, 0x1.d8a50272e1133p-4, 0x1.d3258383a4b71p-4, 0x1.cdb11b81f215ep-4, 0x1.c847c509fcf5dp-4, 0x1.c2e979fd1c70ep-4, 0x1.bd963396d3ecep-4, 0x1.b84dea7f1fe7fp-4, 0x1.b31096da3294dp-4, 0x1.adde3055f67a9p-4, 0x1.a8b6ae3591258p-4, 0x1.a39a075b4f771p-4, 0x1.9e8832513ae93p-4, 0x1.99812550b5e43p-4, 0x1.9484d6495c8c1p-4, 0x1.8f933ae764c72p-4, 0x1.8aac4899b86dfp-4, 0x1.85cff497e731cp-4, 0x1.80fe33e80c5f3p-4, 0x1.7c36fb64b257dp-4, 0x1.777a3fc2b8822p-4, 0x1.72c7f5973baffp-4, 0x1.6e20115d6eafdp-4, 0x1.6982877c568b1p-4, 0x1.64ef4c4c6693p-4, 0x1.6066541cdacf3p-4, 0x1.5be79338cc0d6p-4, 0x1.5772fdebf4136p-4, 0x1.530888870842ep-4, 0x1.4ea82763ab0a4p-4, 0x1.4a51cee7e9391p-4, 0x1.4605738935539p-4, 0x1.41c309cee6853p-4, 0x1.3d8a86542c3edp-4, 0x1.395bddc97f4c9p-4, 0x1.353704f58f53ep-4, 0x1.311bf0b5b09a8p-4, 0x1.2d0a95fdd4fcbp-4, 0x1.2902e9d81aa24p-4, 0x1.2504e1640019bp-4, 0x1.211071d549fd6p-4, 0x1.1d259072a88ffp-4, 0x1.19443294353bep-4, 0x1.156c4da1cdc5bp-4, 0x1.119dd7115ec72p-4, 0x1.0dd8c46525e63p-4, 0x1.0a1d0b29fb154p-4, 0x1.066aa0f59ec04p-4, 0x1.02c17b6513c39p-4, 0x1.fe43203620dbep-5, 0x1.f715a97cef35ep-5, 0x1.effa7df1d8605p-5, 0x1.e8f188eadeab9p-5, 0x1.e1fab5be2520fp-5, 0x1.db15efbf74144p-5, 0x1.d443223dd70b2p-5, 0x1.cd8238815e2dap-5, 0x1.c6d31dc8f2b64p-5, 0x1.c035bd48472e5p-5, 0x1.b9aa0225dee24p-5, 0x1.b32fd7792964fp-5, 0x1.acc72848ab16fp-5, 0x1.a66fdf883854p-5, 0x1.a029e8173c3c9p-5, 0x1.99f52cbf0a0dfp-5, 0x1.93d19831330cfp-5, 0x1.8dbf1505e9755p-5, 0x1.87bd8dba67483p-5, 0x1.81ccecaf58f91p-5, 0x1.7bed1c2758fe3p-5, 0x1.761e06456782ap-5, 0x1.705f950b7bc6cp-5, 0x1.6ab1b259179e2p-5, 0x1.651447e9f0632p-5, 0x1.5f873f54a9284p-5, 0x1.5a0a82099fe94p-5, 0x1.549df951d19b6p-5, 0x1.4f418e4dd8461p-5, 0x1.49f529f4fe392p-5, 0x1.44b8b5146bff4p-5, 0x1.3f8c184e75fbcp-5, 0x1.3a6f3c19fe16p-5, 0x1.356208c1efc8dp-5, 0x1.30646664de51dp-5, 0x1.2b763cf4b4d3cp-5, 0x1.269774367f72dp-5, 0x1.21c7f3c255845p-5, 0x1.1d07a30351772p-5, 0x1.18566937a595ap-5, 0x1.13b42d70c698ep-5, 0x1.0f20d693a93adp-5, 0x1.0a9c4b59180ffp-5, 0x1.0626724e1a449p-5, 0x1.01bf31d471922p-5, 0x1.facce0464f613p-6, 0x1.f238268e5cd9cp-6, 0x1.e9c0024821facp-6, 0x1.e1643ee96ddb4p-6, 0x1.d924a7986d0b3p-6, 0x1.d101072d637d5p-6, 0x1.c8f928349212dp-6, 0x1.c10cd4f026b4dp-6, 0x1.b93bd75a526d9p-6, 0x1.b185f9276fb13p-6, 0x1.a9eb03c83fdecp-6, 0x1.a26ac06c3dde3p-6, 0x1.9b04f80405263p-6, 0x1.93b97343cbc19p-6, 0x1.8c87faa5ea685p-6, 0x1.8570566d74c74p-6, 0x1.7e724ea8e4139p-6, 0x1.778dab34c7f45p-6, 0x1.70c233be89026p-6, 0x1.6a0fafc73ce0fp-6, 0x1.6375e6a675689p-6, 0x1.5cf49f8d270b3p-6, 0x1.568ba18892bc9p-6, 0x1.503ab38531f78p-6, 0x1.4a019c51baafcp-6, 0x1.43e022a210f82p-6, 0x1.3dd60d12579f2p-6, 0x1.37e32229ef33fp-6, 0x1.3207285e81b5ep-6, 0x1.2c41e61716b5bp-6, 0x1.269321af1c348p-6, 0x1.20faa179795ccp-6, 0x1.1b782bc3a40bdp-6, 0x1.160b86d8a4c4p-6, 0x1.10b4790431d72p-6, 0x1.0b72c895b6291p-6, 0x1.06463be35ac2fp-6, 0x1.012e994d0e49bp-6, 0x1.f8574e7f0f0fcp-7, 0x1.ee7a586e86143p-7, 0x1.e4c5dd86ec5b8p-7, 0x1.db396b1211097p-7, 0x1.d1d48e8af30a1p-7, 0x1.c896d5a39212cp-7, 0x1.bf7fce4a9f44p-7, 0x1.b68f06b129929p-7, 0x1.adc40d503244p-7, 0x1.a51e70ee2f1f3p-7, 0x1.9c9dc0a47bb9p-7, 0x1.94418be4b9de8p-7, 0x1.8c09627e0d66cp-7, 0x1.83f4d4a253cc2p-7, 0x1.7c0372eb43d8fp-7, 0x1.7434ce5f5d79ap-7, 0x1.6c887876e2017p-7, 0x1.64fe0320a7d73p-7, 0x1.5d9500c6c3e94p-7, 0x1.564d04533322p-7, 0x1.4f25a1345f447p-7, 0x1.481e6b6187a33p-7, 0x1.4136f75f03477p-7, 0x1.3a6eda4284ec8p-7, 0x1.33c5a9b72d04ep-7, 0x1.2d3afc01841afp-7, 0x1.26ce6803599b3p-7, 0x1.207f853f8b8adp-7, 0x1.1a4debdda8616p-7, 0x1.143934ad7dbfbp-7, 0x1.0e40f92a87575p-7, 0x1.086528e046d39p-7, 0x1.02a4afcd2950dp-7, 0x1.f9ff05730ae23p-8, 0x1.eeea7be775202p-8, 0x1.e40afd0b1639bp-8, 0x1.d95fc46dcdb0cp-8, 0x1.cee80f20f99p-8, 0x1.c4a31bbc77f9p-8, 0x1.ba902a6398ef6p-8, 0x1.b0ae7cc99c741p-8, 0x1.a6fd56361ca47p-8, 0x1.9d7bfb8936446p-8, 0x1.9429b33f855efp-8, 0x1.8b05c575d7e01p-8, 0x1.820f7becc18p-8, 0x1.7946220bee615p-8, 0x1.70a904e5407c4p-8, 0x1.68377337c5e98p-8, 0x1.5ff0bd72599c4p-8, 0x1.57d435b6507e2p-8, 0x1.4fe12fd9b00b6p-8, 0x1.481701695f4d3p-8, 0x1.407501ab12deep-8, 0x1.38fa899f19fbfp-8, 0x1.31a6f401d8858p-8, 0x1.2a799d4d5503bp-8, 0x1.2371e3ba4ba6p-8, 0x1.1c8f274146e48p-8, 0x1.15d0c99b81867p-8, 0x1.0f362e4381298p-8, 0x1.08beba75ccef7p-8, 0x1.0269d53116de5p-8, 0x1.f86dce6d27f5dp-9, 0x1.ec4ab613e83d1p-9, 0x1.e06939e2d291dp-9, 0x1.d4c835ea566d2p-9, 0x1.c96689be9ff1cp-9, 0x1.be4318763ff56p-9, 0x1.b35cc8a8d49adp-9, 0x1.a8b2846d82118p-9, 0x1.9e433958e31ap-9, 0x1.940dd87b028b9p-9, 0x1.8a11565ce3b32p-9, 0x1.804caafdc724p-9, 0x1.76bed1d07fdc7p-9, 0x1.6d66c9b807e26p-9, 0x1.6443950452ccep-9, 0x1.5b54396eb557fp-9, 0x1.5297c015fd98p-9, 0x1.4a0d357aa0917p-9, 0x1.41b3a97a6fe84p-9, 0x1.398a2f4c31b8cp-9, 0x1.318fdd7b1c4b7p-9, 0x1.29c3cde205387p-9, 0x1.22251da68398bp-9, 0x1.1ab2ed33b2834p-9, 0x1.136c60351e541p-9, 0x1.0c509d913f1a2p-9, 0x1.055ecf63e072dp-9, 0x1.fd2c45f0f102cp-10, 0x1.efeb918881f32p-10, 0x1.e2f9e8c0c21c3p-10, 0x1.d655b906f6ddfp-10, 0x1.c9fd75f7bf12bp-10, 0x1.bdef9951be747p-10, 0x1.b22aa2e8e2227p-10, 0x1.a6ad1899a4057p-10, 0x1.9b75863b20775p-10, 0x1.90827d920bf7ap-10, 0x1.85d296428e46fp-10, 0x1.7b646dc31ad5bp-10, 0x1.7136a74dfacebp-10, 0x1.6747ebd35e3d6p-10, 0x1.5d96e9eb06beep-10, 0x1.542255c61099ap-10, 0x1.4ae8e9204a1d5p-10, 0x1.41e96331cd70dp-10, 0x1.392288a00fe38p-10, 0x1.3093236fc2a97p-10, 0x1.283a02f545adp-10, 0x1.2015fbc6385a9p-10, 0x1.1825e7aa780e8p-10, 0x1.1068a58d23044p-10, 0x1.08dd196dae68bp-10, 0x1.01822c50768edp-10, 0x1.f4ad9860bfaa4p-11, 0x1.e6b3d7de74c13p-11, 0x1.d915068dcddf1p-11, 0x1.cbcf1d7460794p-11, 0x1.bee01f0b72a65p-11, 0x1.b2461722389abp-11, 0x1.a5ff1abeb603dp-11, 0x1.9a0948010bfc8p-11, 0x1.8e62c604d02d1p-11, 0x1.8309c4c2d736cp-11, 0x1.77fc7cf47ccdp-11, 0x1.6d392ff45c888p-11, 0x1.62be27a1fca19p-11, 0x1.5889b6436fd32p-11, 0x1.4e9a36687e9a5p-11, 0x1.44ee0accc47f8p-11, 0x1.3b839e3ad294cp-11, 0x1.3259636fae46fp-11, 0x1.296dd4fce7725p-11, 0x1.20bf752c55936p-11, 0x1.184ccde373eb1p-11, 0x1.1014708766f8p-11, 0x1.0814f5df4fcacp-11, 0x1.004cfdf9eeb41p-11, 0x1.f17660214a38cp-12, 0x1.e2bc74d7df443p-12, 0x1.d469a48faf537p-12, 0x1.c67b67712a3acp-12, 0x1.b8ef431eacea2p-12, 0x1.abc2ca7dea4e1p-12, 0x1.9ef39d8359348p-12, 0x1.927f68fbfd8e9p-12, 0x1.8663e65a49e13p-12, 0x1.7a9edb7f10cdfp-12, 0x1.6f2e1a876fc6fp-12, 0x1.640f8198ddbaep-12, 0x1.5940faadeecc1p-12, 0x1.4ec07b63a4fecp-12, 0x1.448c04c7383efp-12, 0x1.3aa1a324745f5p-12, 0x1.30ff6dd46c35ep-12, 0x1.27a3870b9bb49p-12, 0x1.1e8c1bab36753p-12, 0x1.15b76310035e4p-12, 0x1.0d239ee3b1f07p-12, 0x1.04cf1aec17a58p-12, 0x1.f97059be8a4f8p-13, 0x1.e9ba6868dd43ap-13, 0x1.da7933ea8ce76p-13, 0x1.cba9a124e92e1p-13, 0x1.bd48a76cea2cap-13, 0x1.af53503316f96p-13, 0x1.a1c6b6ad64f31p-13, 0x1.94a00780061c6p-13, 0x1.87dc8068f3543p-13, 0x1.7b796fec095e4p-13, 0x1.6f743501fbe7bp-13, 0x1.63ca3ec24984ep-13, 0x1.58790c156fe06p-13, 0x1.4d7e2b657ee09p-13, 0x1.42d73a4d6ec05p-13, 0x1.3881e54d0d976p-13, 0x1.2e7be77ba5ed9p-13, 0x1.24c30a3cffe22p-13, 0x1.1b5524f62a7b3p-13, 0x1.12301cc63c11bp-13, 0x1.0951e438c58cbp-13, 0x1.00b87b0533c25p-13, 0x1.f0c3db8936917p-14, 0x1.e098ab59c025fp-14, 0x1.d0ebb09b59da5p-14, 0x1.c1b94e993066ep-14, 0x1.b2fe0046f35e9p-14, 0x1.a4b657be861e9p-14, 0x1.96defdbec11f2p-14, 0x1.8974b13367303p-14, 0x1.7c7446b0a6e25p-14, 0x1.6fdaa8002e4fbp-14, 0x1.63a4d3a63b6a4p-14, 0x1.57cfdc6c773bcp-14, 0x1.4c58e8f0be888p-14, 0x1.413d332f4521ap-14, 0x1.367a0815506b3p-14, 0x1.2c0cc7149c1dap-14, 0x1.21f2e1b44405fp-14, 0x1.1829db27b0be1p-14, 0x1.0eaf47ebc0787p-14, 0x1.0580cd58ff18ep-14, 0x1.f9384285d4586p-15, 0x1.e7fe1325c6a8ap-15, 0x1.d74eb7dbb26f9p-15, 0x1.c725fa9f2e20cp-15, 0x1.b77fc35fd7146p-15, 0x1.a858174ccf0dep-15, 0x1.99ab1822b0ec9p-15, 0x1.8b75037b2a896p-15, 0x1.7db23221b9fdbp-15, 0x1.705f17626d88p-15, 0x1.6378407e0e0dap-15, 0x1.56fa53e335158p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4a253be33d3b4p-3, -0x1.fdb13dd2dd68fp-4, -0x1.870300c880e93p-4, -0x1.2d35088834e91p-4, -0x1.da996d6a96501p-5, -0x1.88bb5df75a44fp-5, -0x1.5f35591029ed4p-5, -0x1.58c100597cc8ap-5, -0x1.70665efb37606p-5, -0x1.a18434669321ep-5, -0x1.e7d9994b8e549p-5, -0x1.1fc09e4550689p-4, -0x1.527664457c69cp-4, -0x1.8a7278f2d6479p-4, -0x1.c6434aebd6f3cp-4, -0x1.024f2c076d609p-3, -0x1.222ed23fcc47bp-3, -0x1.423edcc0f647dp-3, -0x1.620daeaed679dp-3, -0x1.813883c2e9a28p-3, -0x1.9f6a389b93e76p-3, -0x1.bc58f342e0f4fp-3, -0x1.d7cac78662b0cp-3, -0x1.f18b3a2793e82p-3, -0x1.04b7c2d053acep-2, -0x1.0fab0dd84ed8fp-2, -0x1.19931ce9c2a26p-2, -0x1.226756d1d7d79p-2, -0x1.2a2224a0a9803p-2, -0x1.30c0559560917p-2, -0x1.3640d460f1daep-2, -0x1.3aa49bb1f808dp-2, -0x1.3deeb7c68911bp-2, -0x1.402428fd799cep-2, -0x1.414b9a4c9487fp-2, -0x1.416cfdcfb808ep-2, -0x1.40912f29c1edap-2, -0x1.3ec1b3e2ee26bp-2, -0x1.3c089ed2cc7fap-2, -0x1.38708a2ec8c89p-2, -0x1.340494acc31c7p-2, -0x1.2ed05263dcaa9p-2, -0x1.28dface7bfa02p-2, -0x1.223eb8a0e0808p-2, -0x1.1af98a85f7976p-2, -0x1.131c17f0d0facp-2, -0x1.0ab224a4fe075p-2, -0x1.01c73ce45ce5ap-2, -0x1.f0cd6afe0f74fp-3, -0x1.dd3756a9bd432p-3, -0x1.c8e1fc615f4ecp-3, -0x1.b3e28d15cffp-3, -0x1.9e4d915bd533dp-3, -0x1.8836d172a4e5dp-3, -0x1.71b1444bb9cfcp-3, -0x1.5acf0751334f9p-3, -0x1.43a15d81db43dp-3, -0x1.2c38b2e0bda0dp-3, -0x1.14a4a1261515cp-3, -0x1.f9e7e70301adfp-4, -0x1.ca695102638f6p-4, -0x1.9ae7e4e08e601p-4, -0x1.6b7c6ec428109p-4, -0x1.3c4a16c027157p-4, -0x1.0d4ed6ea04312p-4, -0x1.bd5148a31597dp-5, -0x1.60d50b053667ep-5, -0x1.054ca0b129ce4p-5, -0x1.55b2743239299p-6, -0x1.4665c5e7a2712p-7, 0x1.95b231bd01fb8p-11, 0x1.7378d1a3280d5p-7, 0x1.63cc6e9af2ddcp-6, 0x1.055ac33f9db4ep-5, 0x1.572a2e22dc778p-5, 0x1.a74500d6887b7p-5, 0x1.f59dc1bd6b0acp-5, 0x1.21145fd3d39fap-4, 0x1.466df0808a2f8p-4, 0x1.6ad73cf862291p-4, 0x1.8e4c95656dddfp-4, 0x1.b0cae38446fdcp-4, 0x1.d24fa2042b6a7p-4, 0x1.f2d8d715f3af4p-4, 0x1.093288a028554p-3, 0x1.1879b2bd711dp-3, 0x1.2741b6ccff3ccp-3, 0x1.358aa31b6ffcp-3, 0x1.4354c5ba65a0ap-3, 0x1.50a0aa21ce05fp-3, 0x1.5d6f16000c2ep-3, 0x1.69c105457a43dp-3, 0x1.7597a58d02b2bp-3, 0x1.80f45111974b9p-3, 0x1.8bd8896722f99p-3, 0x1.9645f22f02363p-3, 0x1.a03e4bfd5db1ap-3, 0x1.a9c36f9eb3005p-3, 0x1.b2d749e3e3c02p-3, 0x1.bb7bd80f3d8d6p-3, 0x1.c3b324eebb799p-3, 0x1.cb7f469fbc13fp-3, 0x1.d2e25ce92f4bdp-3, 0x1.d9de900c56c31p-3, 0x1.e0760fe4417e8p-3, 0x1.e6ab132a619bep-3, 0x1.ec7fd6bae9bc3p-3, 0x1.f1f69cbd2618ap-3, 0x1.f711aba05156fp-3, 0x1.fbd34cea1bc02p-3, 0x1.001ee5ef62e6p-2, 0x1.0229ba08f4d26p-2, 0x1.040b47f903a1cp-2, 0x1.05c4b3b007a2p-2, 0x1.07571f30475ccp-2, 0x1.08c3a9f77236ap-2, 0x1.0a0b707aed731p-2, 0x1.0b2f8bb6516e8p-2, 0x1.0c3110ca58a7ap-2, 0x1.0d1110a9fe40fp-2, 0x1.0dd097d3d7ea2p-2, 0x1.0e70ae164a092p-2, 0x1.0ef2565e0109bp-2, 0x1.0f568e8e917b8p-2, 0x1.0f9e4f6558f14p-2, 0x1.0fca8c668299dp-2, 0x1.0fdc33d3a5eacp-2, 0x1.0fd42eaad2f9bp-2, 0x1.0fb360ac6ce64p-2, 0x1.0f7aa865d57a9p-2, 0x1.0f2adf3edf852p-2, 0x1.0ec4d98833171p-2, 0x1.0e49668931567p-2, 0x1.0db9508c72c04p-2, 0x1.0d155cea75dd7p-2, 0x1.0c5e4c12a2ea5p-2, 0x1.0b94d99317abfp-2, 0x1.0ab9bc1ff268cp-2, 0x1.09cda59af0711p-2, 0x1.08d1431c2eed3p-2, 0x1.07c53cfcbddccp-2, 0x1.06aa36e39588ep-2, 0x1.0580cfd53cb2ap-2, 0x1.0449a2464008cp-2, 0x1.030544305e4eap-2, 0x1.01b4472a1dffcp-2, 0x1.0057388065855p-2, 0x1.fdd99e28ac55ap-3, 0x1.faf22006db86dp-3, 0x1.f7f5c976fba5ap-3, 0x1.f4e593f4c5f18p-3, 0x1.f1c26f9237ab6p-3, 0x1.ee8d43731c6ffp-3, 0x1.eb46ee57439f6p-3, 0x1.e7f0472d94eb8p-3, 0x1.e48a1daa5c368p-3, 0x1.e1153adb787bep-3, 0x1.dd9261b5b1aa3p-3, 0x1.da024f972f669p-3, 0x1.d665bcbbe77d9p-3, 0x1.d2bd5ca1c21a1p-3, 0x1.cf09de5b249f9p-3, 0x1.cb4beccf8348cp-3, 0x1.c7842eea5b2bdp-3, 0x1.c3b347b9dbdcfp-3, 0x1.bfd9d67efa3e2p-3, 0x1.bbf876b13ffbcp-3, 0x1.b80fbff8f1931p-3, 0x1.b420462238fb2p-3, 0x1.b02a990c23939p-3, 0x1.ac2f44960e18ep-3, 0x1.a82ed08dcf77dp-3, 0x1.a429c0a0c4be7p-3, 0x1.a02094515025p-3, 0x1.9c13c6f21427cp-3, 0x1.9803cfa7b4211p-3, 0x1.93f12171814cbp-3, 0x1.8fdc2b3915f75p-3, 0x1.8bc557e891724p-3, 0x1.87ad0e86d7582p-3, 0x1.8393b25908b3fp-3, 0x1.7f79a3083e1dap-3, 0x1.7b5f3cca6e987p-3, 0x1.7744d88d7285dp-3, 0x1.732acc230067bp-3, 0x1.6f116a6ca45b6p-3, 0x1.6af90386b79d7p-3, 0x1.66e1e4f17d1p-3, 0x1.62cc59b7bf287p-3, 0x1.5eb8aa9246626p-3, 0x1.5aa71e07d4a69p-3, 0x1.5697f8895a019p-3, 0x1.528b7c8a44c11p-3, 0x1.4e81ea94f5c4ap-3, 0x1.4a7b815b81771p-3, 0x1.46787dc4ef948p-3, 0x1.42791af75fc5bp-3, 0x1.3e7d925f6e8b4p-3, 0x1.3a861bb54bf16p-3, 0x1.3692ecfffacabp-3, 0x1.32a43a9730f4fp-3, 0x1.2eba37244be06p-3, 0x1.2ad513a2c2089p-3, 0x1.26f4ff60713d4p-3, 0x1.231a27fe28bb5p-3, 0x1.1f44b970a21b2p-3, 0x1.1b74de0235998p-3, 0x1.17aabe555d168p-3, 0x1.13e681682f209p-3, 0x1.10284c98d753ep-3, 0x1.0c7043ab05e4bp-3, 0x1.08be88ce5b9d5p-3, 0x1.05133ca5ad5c2p-3, 0x1.016e7e4f15663p-3, 0x1.fba0d6d94b645p-4, 0x1.f472405b54e7cp-4, 0x1.ed516eb09ad5p-4, 0x1.e63e94a6ed81dp-4, 0x1.df39e261badb8p-4, 0x1.d843856e1bcd9p-4, 0x1.d15ba8d6bcb64p-4, 0x1.ca8275376519ep-4, 0x1.c3b810cff45b2p-4, 0x1.bcfc9f96ab03p-4, 0x1.b6504349bed5bp-4, 0x1.afb31b800db92p-4, 0x1.a92545b8e8647p-4, 0x1.a2a6dd6b0bb5fp-4, 0x1.9c37fc12a03aap-4, 0x1.95d8b93e62bb8p-4, 0x1.8f892a9bfa638p-4, 0x1.894964037f7c8p-4, 0x1.831977824f424p-4, 0x1.7cf9756535c53p-4, 0x1.76e96c4206d69p-4, 0x1.70e96900b4c7p-4, 0x1.6af976e3fc2e8p-4, 0x1.65199f91b5753p-4, 0x1.5f49eb1ae138fp-4, 0x1.598a60037da2ap-4, 0x1.53db034a38055p-4, 0x1.4e3bd87006902p-4, 0x1.48ace17fb7726p-4, 0x1.432e1f157fff8p-4, 0x1.3dbf906694cbcp-4, 0x1.38613348d19e9p-4, 0x1.3313043a7463dp-4, 0x1.2dd4fe69f3091p-4, 0x1.28a71bbde783fp-4, 0x1.238954dd174adp-4, 0x1.1e7ba136947cep-4, 0x1.197df709f344fp-4, 0x1.14904b6f9485cp-4, 0x1.0fb29261002e9p-4, 0x1.0ae4bec149f0cp-4, 0x1.0626c2657d592p-4, 0x1.01788e1d0bd86p-4, 0x1.f9b423746e8ddp-5, 0x1.f0967834e739cp-5, 0x1.e797f65d77a58p-5, 0x1.deb87807ab623p-5, 0x1.d5f7d594f9ffp-5, 0x1.cd55e5bef05dbp-5, 0x1.c4d27da7183bep-5, 0x1.bc6d70e6a2294p-5, 0x1.b426919dc5f53p-5, 0x1.abfdb082dafb8p-5, 0x1.a3f29cf11f2a6p-5, 0x1.9c0524f72ede5p-5, 0x1.943515652a692p-5, 0x1.8c8239da8457p-5, 0x1.84ec5cd3835a6p-5, 0x1.7d7347b669ca8p-5, 0x1.7616c2e0517d6p-5, 0x1.6ed695b1b2d5cp-5, 0x1.67b2869aa2a2ap-5, 0x1.60aa5b26c0d3fp-5, 0x1.59bdd808dfc33p-5, 0x1.52ecc12667ee2p-5, 0x1.4c36d9a2749e8p-5, 0x1.459be3e8b4683p-5, 0x1.3f1ba1b80b05ep-5, 0x1.38b5d42cf9823p-5, 0x1.326a3bcbcec9cp-5, 0x1.2c38988aa429bp-5, 0x1.2620a9db24548p-5, 0x1.20222eb4266a9p-5, 0x1.1a3ce59b12d4cp-5, 0x1.14708cad22784p-5, 0x1.0ebce1a86b412p-5, 0x1.0921a1f4c1bf3p-5, 0x1.039e8aac740f3p-5, 0x1.fc66b149a650bp-6, 0x1.f1bf90ed2f238p-6, 0x1.e7472d0c30013p-6, 0x1.dcfcfe16ae4c4p-6, 0x1.d2e07c33c6cc1p-6, 0x1.c8f11f512336ep-6, 0x1.bf2e5f320795fp-6, 0x1.b597b37e15c71p-6, 0x1.ac2c93cfaf2dfp-6, 0x1.a2ec77c1ff239p-6, 0x1.99d6d6fead6fcp-6, 0x1.90eb294b2cd62p-6, 0x1.8828e695b8b6ap-6, 0x1.7f8f8701eec18p-6, 0x1.771e82f50bc87p-6, 0x1.6ed55321d0996p-6, 0x1.66b370940942bp-6, 0x1.5eb854bbb11e6p-6, 0x1.56e37977c6a59p-6, 0x1.4f345920b9eeap-6, 0x1.47aa6e92849e5p-6, 0x1.404535366bfe6p-6, 0x1.3904290c6415bp-6, 0x1.31e7af6eeafbbp-6, 0x1.2aed6f8f93816p-6, 0x1.2415d3eb86726p-6, 0x1.1d605b36e8ff9p-6, 0x1.16cc84e7e134p-6, 0x1.1059d13df0521p-6, 0x1.0a07c148ffc8dp-6, 0x1.03d5d6f01d3ccp-6, 0x1.fb8729efdd93ap-7, 0x1.efa0fe11b95ccp-7, 0x1.e3f83369e65e5p-7, 0x1.d88bd4faf9699p-7, 0x1.cd5aefb0b0b6cp-7, 0x1.c264926a20f24p-7, 0x1.b7a7ce0354246p-7, 0x1.ad23b55e7531cp-7, 0x1.a2d75d6c7710ap-7, 0x1.98c1dd353d542p-7, 0x1.8ee24ddf59c1ep-7, 0x1.8537cab74b3d6p-7, 0x1.7bc171364ab45p-7, 0x1.727e6108a8dcp-7, 0x1.696dbc13c0f8fp-7, 0x1.608ea67b7c77ep-7, 0x1.57e046a76cf88p-7, 0x1.4f61c54781049p-7, 0x1.47124d5850c4cp-7, 0x1.3ef10c270dafp-7, 0x1.36fd31550b2f6p-7, 0x1.2f35eedaee837p-7, 0x1.279a790b7acc4p-7, 0x1.202a069610fdep-7, 0x1.18e3d088c7cc7p-7, 0x1.11c712523ad76p-7, 0x1.0ad309c2fe594p-7, 0x1.0406f70ec7d48p-7, 0x1.fac4399a87febp-8, 0x1.edc77ff543e8p-8, 0x1.e1164fefa86c5p-8, 0x1.d4af3d150c01ap-8, 0x1.c890dfb99e8d4p-8, 0x1.bcb9d4f944601p-8, 0x1.b128beb5ee4f8p-8, 0x1.a5dc43956eec6p-8, 0x1.9ad30efed6b05p-8, 0x1.900bd1175f4c7p-8, 0x1.85853ebed45d8p-8, 0x1.7b3e118b9b4bap-8, 0x1.713507c63f092p-8, 0x1.6768e464a9587p-8, 0x1.5dd86f04e0387p-8, 0x1.548273e773f0cp-8, 0x1.4b65c3e98228p-8, 0x1.4281347e6b4a6p-8, 0x1.39d39fa928cc9p-8, 0x1.315be3f54c74ep-8, 0x1.2918e46fbe0f2p-8, 0x1.2109889f1e35cp-8, 0x1.192cbc7be46ccp-8, 0x1.1181706836969p-8, 0x1.0a0699277c02dp-8, 0x1.02bb2fd5ae56fp-8, 0x1.f73c63bce9f9fp-9, 0x1.e95d41e7e8936p-9, 0x1.dbd7060af6d93p-9, 0x1.cea7c46bdad31p-9, 0x1.c1cd99a3ed1f7p-9, 0x1.b546aa8c4324ep-9, 0x1.a91124296edcep-9, 0x1.9d2b3b96e00c3p-9, 0x1.91932df20e4f1p-9, 0x1.8647404553359p-9, 0x1.7b45bf7278f09p-9, 0x1.708d001d1a44bp-9, 0x1.661b5e94c400fp-9, 0x1.5bef3ebee4eb2p-9, 0x1.52070c0098845p-9, 0x1.4861392839822p-9, 0x1.3efc4056de53ap-9, 0x1.35d6a2e9c312p-9, 0x1.2ceee96381573p-9, 0x1.2443a35545d45p-9, 0x1.1bd36747f0834p-9, 0x1.139cd2a53207fp-9, 0x1.0b9e89a09b8fp-9, 0x1.03d73720a99bp-9, 0x1.f88b194fbd2a2p-10, 0x1.e9d0847baaf86p-10, 0x1.db7c2cb0d6313p-10, 0x1.cd8b9b89d640dp-10, 0x1.bffc67229c7efp-10, 0x1.b2cc31eb2769fp-10, 0x1.a5f8aa7a60aaap-10, 0x1.997f8b611a9e9p-10, 0x1.8d5e9afd6eb68p-10, 0x1.8193ab4e17532p-10, 0x1.761c99c678267p-10, 0x1.6af74f2265471p-10, 0x1.6021bf3aba8e7p-10, 0x1.5599e8d9d2508p-10, 0x1.4b5dd5909652ap-10, 0x1.416b998bd20fep-10, 0x1.37c15369a4847p-10, 0x1.2e5d2c0fb27f2p-10, 0x1.253d56815fb5cp-10, 0x1.1c600fb67f30dp-10, 0x1.13c39e725287bp-10, 0x1.0b66531b0616ap-10, 0x1.034687916cd15p-10, 0x1.f6c53e12483cap-11, 0x1.e7720bc23b2e5p-11, 0x1.d89062f8f5b8dp-11, 0x1.ca1d4037a932ap-11, 0x1.bc15b16dcdf23p-11, 0x1.ae76d5acec5cp-11, 0x1.a13ddcdda1312p-11, 0x1.94680774f40eep-11, 0x1.87f2a62a7249ap-11, 0x1.7bdb19af721ep-11, 0x1.701ed26682eadp-11, 0x1.64bb501bdf40bp-11, 0x1.59ae21be88b9dp-11, 0x1.4ef4e51a28a13p-11, 0x1.448d469190b39p-11, 0x1.3a7500d9f5e06p-11, 0x1.30a9dcb6f253dp-11, 0x1.2729b0b71d782p-11, 0x1.1df260f17275ap-11, 0x1.1501dec359464p-11, 0x1.0c56288f6e83dp-11, 0x1.03ed497cd16b1p-11, 0x1.f78ab26f02ep-12, 0x1.e7b8f761ef708p-12, 0x1.d861c1c3fa5eep-12, 0x1.c98189194538ep-12, 0x1.bb14dbfeb57d2p-12, 0x1.ad185fb12f652p-12, 0x1.9f88cf963ed3ap-12, 0x1.9262fcc664e5cp-12, 0x1.85a3cd98bcb11p-12, 0x1.79483d2fa703fp-12, 0x1.6d4d5b07a6d8dp-12, 0x1.61b04a877c31p-12, 0x1.566e42915eb6fp-12, 0x1.4b848d15ded12p-12, 0x1.40f086a89bfa8p-12, 0x1.36af9e16270c4p-12, 0x1.2cbf53fb809bap-12, 0x1.231d3a5f1b8d6p-12, 0x1.19c6f44b9c9e3p-12, 0x1.10ba356bc074p-12, 0x1.07f4c1a86cfa8p-12, 0x1.fee8d98f555eap-13, 0x1.ee6e341bbdae3p-13, 0x1.de7577bf21b84p-13, 0x1.cefaa6ccdfe1ap-13, 0x1.bff9e06c8f2a1p-13, 0x1.b16f5fe8e1d4dp-13, 0x1.a3577c014c092p-13, 0x1.95aea63f32c5p-13, 0x1.88716a4cfbcb9p-13, 0x1.7b9c6d528e17cp-13, 0x1.6f2c6d52ac478p-13, 0x1.631e408d266b4p-13, 0x1.576ed4e3210f9p-13, 0x1.4c1b2f3ea83fdp-13, 0x1.41206afe1f86ep-13, 0x1.367bb961b18b6p-13, 0x1.2c2a60fc0e596p-13, 0x1.2229bd26e46f1p-13, 0x1.18773d79a4288p-13, 0x1.0f10654253e3ap-13, 0x1.05f2cb03b521cp-13, 0x1.fa382fe85fa2p-14, 0x1.e9140efecedd1p-14, 0x1.d874cd99397b5p-14, 0x1.c856288b7aab3p-14, 0x1.b8b3fe44103c1p-14, 0x1.a98a4de67106fp-14, 0x1.9ad5366a6cfd2p-14, 0x1.8c90f5c11892p-14, 0x1.7eb9e7fcb508dp-14, 0x1.714c868238c54p-14, 0x1.64456737b9638p-14, 0x1.57a13bc142c4bp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.24a51f40a351dp+0, -0x1.186f0dae7d81fp+0, -0x1.0cf36c64b6a48p+0, -0x1.022f0e932be79p+0, -0x1.f03a99581e608p-1, -0x1.dd70bebbcffc7p-1, -0x1.cbf32bcae1f25p-1, -0x1.bbb35a29b3944p-1, -0x1.aca1d05210d5dp-1, -0x1.9eae9bdc11333p-1, -0x1.91c98e6b92e53p-1, -0x1.85e270a6d85acp-1, -0x1.7ae934ec0d0f3p-1, -0x1.70ce1d0c9d133p-1, -0x1.6781d538e7deap-1, -0x1.5ef588f25ec22p-1, -0x1.571af41d58cc4p-1, -0x1.4fe46f02d4561p-1, -0x1.4944f44fe248bp-1, -0x1.4330260827339p-1, -0x1.3d9a514637dbdp-1, -0x1.38786a158cdbdp-1, -0x1.33c012c729727p-1, -0x1.2f6780faa9831p-1, -0x1.2b6594e195b75p-1, -0x1.27b1ccd2f40e8p-1, -0x1.24443cc927b26p-1, -0x1.21158641acf2dp-1, -0x1.1e1ed1544cbcfp-1, -0x1.1b59c787c7e17p-1, -0x1.18c08f764620dp-1, -0x1.164dc7c76e5e3p-1, -0x1.13fc80d06669fp-1, -0x1.11c835382bfe1p-1, -0x1.0facc28bf5bedp-1, -0x1.0da6629269833p-1, -0x1.0bb1a5a8d2022p-1, -0x1.09cb6def84f0ap-1, -0x1.07f0eac41818fp-1, -0x1.061f9416ae572p-1, -0x1.04552574acb5p-1, -0x1.028f98efa1fe8p-1, -0x1.00cd222434133p-1, -0x1.fe185337c12ebp-2, -0x1.fa96915c97a33p-2, -0x1.f7128bc8d6fabp-2, -0x1.f38a236b73269p-2, -0x1.effb86cafc5cep-2, -0x1.ec652bc21083p-2, -0x1.e8c5c957935bcp-2, -0x1.e51c51ebe91eep-2, -0x1.e167edcc93395p-2, -0x1.dda7f6170b7b7p-2, -0x1.d9dbefe2a3ebep-2, -0x1.d60387d395a55p-2, -0x1.d21e8e3c9c0d4p-2, -0x1.ce2cf3c02775p-2, -0x1.ca2ec62bccaa4p-2, -0x1.c6242d4c8d2f2p-2, -0x1.c20d67b7efe0dp-2, -0x1.bdeac7c2f3905p-2, -0x1.b9bcb0e5ffb1ap-2, -0x1.b583959afeabcp-2, -0x1.b14001443be46p-2, -0x1.acf25e0e3e45fp-2, -0x1.a89b55dd48b73p-2, -0x1.a43b85f7014e8p-2, -0x1.9fd3915744ab4p-2, -0x1.9b641f3c87d0cp-2, -0x1.96edd9ee6245bp-2, -0x1.92716db86df8cp-2, -0x1.8def88107a93ap-2, -0x1.8968d6dd38acep-2, -0x1.84de07d31dd8ep-2, -0x1.804fc7df9b61bp-2, -0x1.7bbec29ddfabcp-2, -0x1.772ba1d2eee3ap-2, -0x1.72970cf02f231p-2, -0x1.6e01a89c5989ep-2, -0x1.696c16436cdd6p-2, -0x1.64d6f3af15c02p-2, -0x1.6042daa9b163dp-2, -0x1.5bb060ae1fda3p-2, -0x1.572016a5d7758p-2, -0x1.529288b592f01p-2, -0x1.4e083e17de8ffp-2, -0x1.4981b9041e457p-2, -0x1.44ff76a07c8c6p-2, -0x1.4081eefd0b22dp-2, -0x1.3c0995166d9ccp-2, -0x1.3796d6de37adfp-2, -0x1.332a1d4742857p-2, -0x1.2ec3cc54576a7p-2, -0x1.2a6443281e7bbp-2, -0x1.260bdc15a3d8fp-2, -0x1.21baecb15a247p-2, -0x1.1d71c5e2c3b41p-2, -0x1.1930b3f708d06p-2, -0x1.14f7feb4c5c5fp-2, -0x1.10c7e9713ef74p-2, -0x1.0ca0b3271beabp-2, -0x1.0882968eb5352p-2, -0x1.046dca380b3eap-2, -0x1.006280a65c33ap-2, -0x1.f8c1d0dabcd5ap-3, -0x1.f0d258a008d4cp-3, -0x1.e8f6e6c12646dp-3, -0x1.e12fc24381e0ap-3, -0x1.d97d2b5102d63p-3, -0x1.d1df5b7c131e5p-3, -0x1.ca568603704bfp-3, -0x1.c2e2d81521619p-3, -0x1.bb8479102ffc2p-3, -0x1.b43b8ac4ee4b5p-3, -0x1.ad0829b3bbc6p-3, -0x1.a5ea6d4a2ab0dp-3, -0x1.9ee2681e84b5cp-3, -0x1.97f028297c69ap-3, -0x1.9113b6fdf783p-3, -0x1.8a4d19fecdb3ap-3, -0x1.839c52926e10ep-3, -0x1.7d015e5481086p-3, -0x1.767c3745c0ef4p-3, -0x1.700cd3fa45dd5p-3, -0x1.69b327c6a595dp-3, -0x1.636f22ec3beebp-3, -0x1.5d40b2c4b8be8p-3, -0x1.5727c1ed1bc59p-3, -0x1.5124386ff8c13p-3, -0x1.4b35fbeec5342p-3, -0x1.455cefc9d70d8p-3, -0x1.3f98f546c7a7ap-3, -0x1.39e9ebb4e6ad5p-3, -0x1.344fb08f9a976p-3, -0x1.2eca1f9eb329p-3, -0x1.29591314c92e9p-3, -0x1.23fc63abf8065p-3, -0x1.1eb3e8c13bb7p-3, -0x1.197f786eb9118p-3, -0x1.145ee7a52baddp-3, -0x1.0f520a4495e94p-3, -0x1.0a58b3342776ap-3, -0x1.0572b47949c92p-3, -0x1.009fdf4dac888p-3, -0x1.f7c008682fffcp-4, -0x1.ee65e617f5f19p-4, -0x1.e530f6472c36p-4, -0x1.dc20c3e2e1c7p-4, -0x1.d33515434213p-4, -0x1.ca6d6fd814ab4p-4, -0x1.c1c96ea989255p-4, -0x1.b948ac34f28edp-4, -0x1.b0eac289a4258p-4, -0x1.a8af4b63ef8d2p-4, -0x1.a095e04634ae4p-4, -0x1.989e1a90014e7p-4, -0x1.90c7939358a9p-4, -0x1.8911e4a824704p-4, -0x1.817ca73df672bp-4, -0x1.7a0774ec34662p-4, -0x1.72b1e780d216p-4, -0x1.6b7b990dbee6bp-4, -0x1.646423f529dd3p-4, -0x1.5d6b22f4c934p-4, -0x1.569031303b7a7p-4, -0x1.4fd2ea3ab1bf5p-4, -0x1.4932ea1ff1328p-4, -0x1.42afcd6cd2c51p-4, -0x1.3c49313748588p-4, -0x1.35feb326012cp-4, -0x1.2fcff177b328fp-4, -0x1.29bc8b0a10ccep-4, -0x1.23c41f606d721p-4, -0x1.1de64eaa17015p-4, -0x1.1822b9c85a242p-4, -0x1.1279025431ab5p-4, -0x1.0ce8caa3a2ed1p-4, -0x1.0771b5cebaf63p-4, -0x1.021367b42bad8p-4, -0x1.f99b09fb1d715p-5, -0x1.ef3f66467b87dp-5, -0x1.e51330df9b1bap-5, -0x1.db15b80643028p-5, -0x1.d1464baa3cc19p-5, -0x1.c7a43d6ffe5bap-5, -0x1.be2ee0b4929bcp-5, -0x1.b4e58a90d552ap-5, -0x1.abc791dc05fdap-5, -0x1.a2d44f2dbc731p-5, -0x1.9a0b1cdf4da74p-5, -0x1.916b570cabcc4p-5, -0x1.88f45b94d580ep-5, -0x1.80a58a19d6847p-5, -0x1.787e440073ap-5, -0x1.707dec6f870a8p-5, -0x1.68a3e84f20a34p-5, -0x1.60ef9e476c1e1p-5, -0x1.596076bf6adacp-5, -0x1.51f5dbdb8ec5cp-5, -0x1.4aaf397c3534bp-5, -0x1.438bfd3c075f8p-5, -0x1.3c8b966e4b5ddp-5, -0x1.35ad761d1ea09p-5, -0x1.2ef10f07a1a4p-5, -0x1.2855d5a017515p-5, -0x1.21db4009ee35ep-5, -0x1.1b80c617c1486p-5, -0x1.1545e14946bdp-5, -0x1.0f2a0cc92c32dp-5, -0x1.092cc56ae745cp-5, -0x1.034d89a86f9b3p-5, -0x1.fb17b33fdb597p-6, -0x1.efce6e22a4b45p-6, -0x1.e4be4ab7c0d08p-6, -0x1.d9e652f7432f6p-6, -0x1.cf45940d94486p-6, -0x1.c4db1e56133c1p-6, -0x1.baa60555950bcp-6, -0x1.b0a55fb4c20a2p-6, -0x1.a6d8473a4b304p-6, -0x1.9d3dd8c501e3fp-6, -0x1.93d53445d71d2p-6, -0x1.8a9d7cb9b5f44p-6, -0x1.8195d823420a6p-6, -0x1.78bd6f848d7fbp-6, -0x1.70136ed8a7823p-6, -0x1.6797050d23d28p-6, -0x1.5f4763fb9219ep-6, -0x1.5723c062e5c49p-6, -0x1.4f2b51e0d6d3p-6, -0x1.475d52eb39854p-6, -0x1.3fb900c94d946p-6, -0x1.383d9b8d0d6bdp-6, -0x1.30ea660c79decp-6, -0x1.29bea5dae5dc4p-6, -0x1.22b9a3423bcf5p-6, -0x1.1bdaa93c4cd82p-6, -0x1.1521056c1c81p-6, -0x1.0e8c08172e8fap-6, -0x1.081b041ed6f2bp-6, -0x1.01cd4ef992d58p-6, -0x1.f7448158b5542p-7, -0x1.eb32678800533p-7, -0x1.df630a9d1e4bbp-7, -0x1.d3d529a955aa9p-7, -0x1.c88788a5f69dfp-7, -0x1.bd78f0672c32ap-7, -0x1.b2a82e8ed8b3ap-7, -0x1.a814157f87265p-7, -0x1.9dbb7c4f51847p-7, -0x1.939d3ebae5ebbp-7, -0x1.89b83d1884c5p-7, -0x1.800b5c4b183fep-7, -0x1.769585b5408c4p-7, -0x1.6d55a72c80726p-7, -0x1.644ab2ec5bd88p-7, -0x1.5b739f899f18p-7, -0x1.52cf67e588c59p-7, -0x1.4a5d0b2124ba5p-7, -0x1.421b8c909a973p-7, -0x1.3a09f3ae881a6p-7, -0x1.32274c0f6b5c5p-7, -0x1.2a72a5551fc3fp-7, -0x1.22eb13225319ep-7, -0x1.1b8fad0e1fe72p-7, -0x1.145f8e97a0ca2p-7, -0x1.0d59d7199c01p-7, -0x1.067da9be3b7a2p-7, -0x1.ff945ae5a7583p-8, -0x1.f27d19b76e2f4p-8, -0x1.e5b3ec904e20bp-8, -0x1.d937374c77de2p-8, -0x1.cd0564edf4e31p-8, -0x1.c11ce784dfffcp-8, -0x1.b57c3817b858ap-8, -0x1.aa21d68bd8b5ap-8, -0x1.9f0c498e3457ep-8, -0x1.943a1e7c1777cp-8, -0x1.89a9e94c155c8p-8, -0x1.7f5a44773bf9dp-8, -0x1.7549d0e23db4p-8, -0x1.6b7735c6fad72p-8, -0x1.61e1209e07f5ap-8, -0x1.5886450874bc5p-8, -0x1.4f655cb9b8361p-8, -0x1.467d2761cd311p-8, -0x1.3dcc6a9767697p-8, -0x1.3551f1c268e0bp-8, -0x1.2d0c8e0683f6ap-8, -0x1.24fb162df83f9p-8, -0x1.1d1c6694863dcp-8, -0x1.156f61129264ap-8, -0x1.0df2ece86fccp-8, -0x1.06a5f6a9df863p-8, -0x1.ff0ee0536d0b8p-9, -0x1.f12ca0cb659aep-9, -0x1.e3a326e4f880dp-9, -0x1.d67074cfd7a29p-9, -0x1.c992969a9a1ffp-9, -0x1.bd07a20c1d3c3p-9, -0x1.b0cdb67ce2767p-9, -0x1.a4e2fcb0dfe95p-9, -0x1.9945a6b1d6164p-9, -0x1.8df3efa9db2b1p-9, -0x1.82ec1bbe564f7p-9, -0x1.782c77eb3c3ebp-9, -0x1.6db359def5e54p-9, -0x1.637f1fd63f1bcp-9, -0x1.598e3078c5ea3p-9, -0x1.4fdefab5e7a0dp-9, -0x1.466ff5a1e6699p-9, -0x1.3d3fa053842eap-9, -0x1.344c81c1ee012p-9, -0x1.2b9528a319c75p-9, -0x1.23182b4a78ec6p-9, -0x1.1ad46285d1a07p-9, -0x1.12c7f995fe5fbp-9, -0x1.0af1dbabb2e62p-9, -0x1.0350bc4e6b34fp-9, -0x1.f7c6ac04f3465p-10, -0x1.e950d453bbbb1p-10, -0x1.db3d81cb91737p-10, -0x1.cd8a51f02bce7p-10, -0x1.c034ef4b20943p-10, -0x1.b33b1130acd8p-10, -0x1.a69a7b854763ap-10, -0x1.9a50fe8416919p-10, -0x1.8e5c7686138a7p-10, -0x1.82bacbc9f3aaep-10, -0x1.7769f23c707cfp-10, -0x1.6c67e94229857p-10, -0x1.61b2bb815366bp-10, -0x1.57487eac9ee34p-10, -0x1.4d27534ebea1p-10, -0x1.434d6496a471dp-10, -0x1.39b8e8246f609p-10, -0x1.30681dd71da6p-10, -0x1.27594f9af1a26p-10, -0x1.1e8ad138867aep-10, -0x1.15fb002475f5p-10, -0x1.0da8434ffde6p-10, -0x1.05910afa2cbep-10, -0x1.fb67a1034b04fp-11, -0x1.ec1e2c6e65e4ep-11, -0x1.dd42ce622a75fp-11, -0x1.ced2ae3d60c51p-11, -0x1.c0cb043ac0ad7p-11, -0x1.b329191aff0f6p-11, -0x1.a5ea45d0ee39dp-11, -0x1.990bf32e285d8p-11, -0x1.8c8b99918d059p-11, -0x1.8066c09754568p-11, -0x1.749afec98c231p-11, -0x1.6925f9524afa6p-11, -0x1.5e0563af635e6p-11, -0x1.5336ff66f501ap-11, -0x1.48b89bbd3bbf3p-11, -0x1.3e88156beb1d8p-11, -0x1.34a3565a2bf2ap-11, -0x1.2b08555657a9cp-11, -0x1.21b515d0e313bp-11, -0x1.18a7a797f253dp-11, -0x1.0fde26946c0e1p-11, -0x1.0756ba884e97cp-11, -0x1.fe1f2d9b778c4p-12, -0x1.ee0df42f71621p-12, -0x1.de765c66c999bp-12, -0x1.cf550f959e40bp-12, -0x1.c0a6cc512aed7p-12, -0x1.b26865f98a408p-12, -0x1.a496c444bc8f1p-12, -0x1.972ee2cd82fc3p-12, -0x1.8a2dd0a1eb4ecp-12, -0x1.7d90afd633b7cp-12, -0x1.7154b5183373ap-12, -0x1.6577274560a8p-12, -0x1.59f55f01bcd69p-12, -0x1.4eccc65334465p-12, -0x1.43fad83bf1759p-12, -0x1.397d20586a691p-12, -0x1.2f513a7edd05bp-12, -0x1.2574d2600878ap-12, -0x1.1be5a32a99059p-12, -0x1.12a1773053f12p-12, -0x1.09a6278bfb2a6p-12, -0x1.00f19bca299cap-12, -0x1.f10393263f185p-13, -0x1.e0a968ad0217dp-13, -0x1.d0d0d9f18fe58p-13, -0x1.c1762304b400ap-13, -0x1.b29599a07d61p-13, -0x1.a42bac8c80ff6p-13, -0x1.9634e304c0cedp-13, -0x1.88addc2537a96p-13, -0x1.7b934e583fb85p-13, -0x1.6ee206c627813p-13, -0x1.6296e8c9572e5p-13, -0x1.56aeed64da54ap-13, -0x1.4b2722bdba4d4p-13, -0x1.3ffcab978982dp-13, -0x1.352cbed341383p-13, -0x1.2ab4a6f0aa887p-13, -0x1.2091c19374a64p-13, -0x1.16c17f09cbb7fp-13, -0x1.0d4161d5d4fd8p-13, -0x1.040efe3a8ba86p-13, -0x1.f64ff391b7b12p-14, -0x1.e51415e589134p-14, -0x1.d465f13b717cp-14, -0x1.c441337252a28p-14, -0x1.b4a1a9a8a513fp-14, -0x1.a5833f793b413p-14, -0x1.96e1fe2f35aebp-14, -0x1.88ba0c05912dep-14, -0x1.7b07ab68d9ce1p-14, -0x1.6dc73a3eeb0a8p-14, -0x1.60f53130bcbafp-14, -0x1.548e22f48480ap-14, -0x1.488ebba9e94cbp-14, -0x1.3cf3c028ddbfcp-14, -0x1.31ba0d5ea44b2p-14, -0x1.26de97ac711d4p-14, -0x1.1c5e6a47da4d2p-14, -0x1.1236a6a1ea3ep-14, -0x1.086483cf6fc8ep-14, -0x1.fdca9beb75358p-15, -0x1.eb6ccb7574d9bp-15, -0x1.d9aa7f70a7c06p-15, -0x1.c87ec7e7ba31fp-15, -0x1.b7e4daa95ff8p-15, -0x1.a7d8124bae8cep-15, -0x1.9853ed29f9163p-15, -0x1.89540c640640ap-15, -0x1.7ad432f38fa04p-15, -0x1.6cd044b9a17c3p-15, -0x1.5f4445979192ep-15, -0x1.522c588c582a2p-15, -0x1.4584bed76ba6bp-15, -0x1.3949d7211f06ap-15, -0x1.2d781ca850ce6p-15, -0x1.220c26742b8d9p-15, -0x1.1702a68eb56e8p-15, -0x1.0c58693d86b72p-15, -0x1.020a5445d4f72p-15, -0x1.f02acc65df588p-16, -0x1.dced6b394027ap-16, -0x1.ca56e103a6832p-16, -0x1.b861b7176c26p-16, -0x1.a708a2eacac25p-16, -0x1.964684bdd4007p-16, -0x1.8616666501b38p-16, -0x1.76737a0fb3612p-16, -0x1.67591915533acp-16, -0x1.58c2c2d67f1a4p-16, -0x1.4aac1b9a6b349p-16, -0x1.3d10eb73e6ff2p-16, -0x1.2fed1d3030925p-16, -0x1.233cbd5854a4ap-16, -0x1.16fbf9241a5ccp-16, -0x1.0b271d823b054p-16, -0x1.ff752c4eea23dp-17, -0x1.e965d92f02acbp-17, -0x1.d4198e8813649p-17, -0x1.bf89d153ebc4p-17, -0x1.abb05ce6bd65bp-17, -0x1.988721517e45dp-17, -0x1.860841b0561fap-17, -0x1.742e12a3756dbp-17, -0x1.62f318c75adcbp-17, -0x1.52520722dcb99p-17, -0x1.4245bdd2c33f3p-17, -0x1.32c9488c489afp-17, -0x1.23d7dd43f57d1p-17, -0x1.156cdad64f70ep-17, -0x1.0783c7c8afc3bp-17, -0x1.f430a1d1441b1p-18, -0x1.da4c9072902b1p-18, -0x1.c153475c29911p-18, -0x1.a93cf80da939p-18, -0x1.9202175f738f7p-18, -0x1.7b9b5b6eee623p-18, -0x1.6601b95c3a4bbp-18, -0x1.512e635355369p-18, -0x1.3d1ac699cc369p-18, -0x1.29c08986ba9aep-18, -0x1.171989c099e1p-18, -0x1.051fda39979ep-18, -0x1.e79b83553bf06p-19, -0x1.c63b71aa977f6p-19, -0x1.a614d12692275p-19, -0x1.871d512d62f5cp-19, -0x1.694afb50120a5p-19, -0x1.4c94305cb933cp-19, -0x1.30efa56f076b6p-19, -0x1.16546118d0ea5p-19, -0x1.f973714a192ddp-20, -0x1.c82e9ab3ad5e7p-20, -0x1.98ca14100185p-20, -0x1.6b3640a3be228p-20, -0x1.3f640cd62653p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a2d0c2e3a6dbfp-4, 0x1.da6117d9916b5p-4, 0x1.091399a9a477ep-3, 0x1.24d42b71c8f2fp-3, 0x1.4037ec1b9ef45p-3, 0x1.5b0c89ff82f42p-3, 0x1.7524b2aeae372p-3, 0x1.8e5777efc47e8p-3, 0x1.a681d9a16bd93p-3, 0x1.bd863e649be4dp-3, 0x1.d34b02bdc7441p-3, 0x1.e7bad69058d1ap-3, 0x1.fac4d2b1203dcp-3, 0x1.062dd88003bb4p-2, 0x1.0e3aae579e3d5p-2, 0x1.158572fa22a8bp-2, 0x1.1c0c24ca5fb5ep-2, 0x1.21ce087268c11p-2, 0x1.26cb822ef3f64p-2, 0x1.2b05fb8d86b8ap-2, 0x1.2e7fc9a94d472p-2, 0x1.313c837f723b3p-2, 0x1.333eaefd35dbp-2, 0x1.348b74eaefa2ep-2, 0x1.35283dea7615ep-2, 0x1.351aaddbcc32fp-2, 0x1.34687990cb0bdp-2, 0x1.3317819261fafp-2, 0x1.312e04ca899c4p-2, 0x1.2eb2b8b8b9d0bp-2, 0x1.2bacb2774baeep-2, 0x1.28232faf65185p-2, 0x1.241d6077e3dd9p-2, 0x1.1fa24c8edc08fp-2, 0x1.1ab8d957262c3p-2, 0x1.1567e25422293p-2, 0x1.0fb64e9c79c5fp-2, 0x1.09ab1418c4766p-2, 0x1.034d268c5e556p-2, 0x1.f946b767aeaf5p-3, 0x1.eb68a3ba29ac7p-3, 0x1.dd0cc5b3b7564p-3, 0x1.ce3f4af29eb24p-3, 0x1.bf0bf121eba3p-3, 0x1.af7e1ecf2b954p-3, 0x1.9fa0f1350ba37p-3, 0x1.8f7f394f35f97p-3, 0x1.7f236b6bdcf05p-3, 0x1.6e978a19f6879p-3, 0x1.5de515eac7a54p-3, 0x1.4d1507ab39fb5p-3, 0x1.3c2fd52a4be89p-3, 0x1.2b3d7c608a6bep-3, 0x1.1a458f7cd44c9p-3, 0x1.094f3da7c49b9p-3, 0x1.f0c2ad8b62272p-4, 0x1.cf04958df210ep-4, 0x1.ad704d0c2d80cp-4, 0x1.8c1121552d2f4p-4, 0x1.6af19141be7e7p-4, 0x1.4a1b515857dc6p-4, 0x1.299755a286b42p-4, 0x1.096ddeb0a5b0ap-4, 0x1.d33bdda562b17p-5, 0x1.94842341ef988p-5, 0x1.56adad16d311fp-5, 0x1.19c2e32c420fcp-5, 0x1.bb9a098e5498ep-6, 0x1.45a8def567c36p-6, 0x1.a3836736e4d0ap-7, 0x1.7fcbddda2c795p-8, -0x1.f6b74b47ec866p-11, -0x1.f4ae675605b29p-8, -0x1.d0c59e70813cdp-7, -0x1.5150a3c0dcfa5p-6, -0x1.b7ebb98a73ab4p-6, -0x1.0e161f6455feep-5, -0x1.3f060994dfde3p-5, -0x1.6ec36ccd6b109p-5, -0x1.9d4cfa2c7f9e3p-5, -0x1.caa2364000c3ep-5, -0x1.f6c364624afffp-5, -0x1.10d8b625368dfp-4, -0x1.25b6de604c115p-4, -0x1.39fd172d18bcdp-4, -0x1.4dac746389d0cp-4, -0x1.60c626541cd6fp-4, -0x1.734b7199c56eep-4, -0x1.853daa12c4934p-4, -0x1.969e30e29dfd4p-4, -0x1.a76e750e77b0ap-4, -0x1.b7aff6098d961p-4, -0x1.c7644765cc272p-4, -0x1.d68d14d6496p-4, -0x1.e52c25c41b794p-4, -0x1.f3435fdcf9d3fp-4, -0x1.006a641bac0a7p-3, -0x1.06f14170c7e2cp-3, -0x1.0d376873f8b08p-3, -0x1.133e068557b85p-3, -0x1.190653bcd3edap-3, -0x1.1e91907cc20d8p-3, -0x1.23e102e9ba27fp-3, -0x1.28f5f47206ac4p-3, -0x1.2dd1af85ad882p-3, -0x1.32757d96475a1p-3, -0x1.36e2a56d24aa5p-3, -0x1.3b1a69df504efp-3, -0x1.3f1e08e19a02cp-3, -0x1.42eebafa79c16p-3, -0x1.468db30b81578p-3, -0x1.49fc1e67f9f97p-3, -0x1.4d3b252a4bd5p-3, -0x1.504beab607c2ap-3, -0x1.532f8e51e75cap-3, -0x1.55e72bc45b837p-3, -0x1.5873dbde53c97p-3, -0x1.5ad6b4e399f12p-3, -0x1.5d10cac4fb129p-3, -0x1.5f232f26dc0f7p-3, -0x1.610ef134ff3ddp-3, -0x1.62d51d49e5868p-3, -0x1.6476bc7462cb4p-3, -0x1.65f4d3e88bd9bp-3, -0x1.67506469b9b68p-3, -0x1.688a69baa0f09p-3, -0x1.69a3da1e4b5a1p-3, -0x1.6a9da5f1ecd9cp-3, -0x1.6b78b76477e48p-3, -0x1.6c35f24d928e7p-3, -0x1.6cd63422f88ccp-3, -0x1.6d5a5408f5d1p-3, -0x1.6dc322f9225eep-3, -0x1.6e116bf9b5c46p-3, -0x1.6e45f45f57233p-3, -0x1.6e617c13cf26cp-3, -0x1.6e64bddc8b5bdp-3, -0x1.6e506f9d03c25p-3, -0x1.6e2542923314ep-3, -0x1.6de3e38587debp-3, -0x1.6d8cfaf6cb51cp-3, -0x1.6d212d3d749b6p-3, -0x1.6ca11aa27b27cp-3, -0x1.6c0d5f744d29bp-3, -0x1.6b66941693404p-3, -0x1.6aad4d0f85595p-3, -0x1.69e21b144e905p-3, -0x1.6903f2b9ac4d5p-3, -0x1.681639a9d5305p-3, -0x1.67184c5ad2998p-3, -0x1.660aad9c56799p-3, -0x1.64eddb5b8cf32p-3, -0x1.63c24eda548e1p-3, -0x1.62887cf52ea9dp-3, -0x1.6140d674369bp-3, -0x1.5febc863480b5p-3, -0x1.5e89bc6d5a071p-3, -0x1.5d1b193766d01p-3, -0x1.5ba042b785f61p-3, -0x1.5a199a8553324p-3, -0x1.588780216c6f1p-3, -0x1.56ea51325394ap-3, -0x1.554269b5beaf6p-3, -0x1.539024260acd2p-3, -0x1.51d3d99403b21p-3, -0x1.500de1b5d2a13p-3, -0x1.4e3e92ec4d5b7p-3, -0x1.4c66424023f6bp-3, -0x1.4a854358b9967p-3, -0x1.489be86e6d055p-3, -0x1.46aa823a379c2p-3, -0x1.44b15fe451788p-3, -0x1.42b0cef371648p-3, -0x1.40a91b3dfa344p-3, -0x1.3e9a8ede345a2p-3, -0x1.3c85722a4f0cfp-3, -0x1.3a6a0bb0be889p-3, -0x1.3848a0392df2ap-3, -0x1.362172ca09488p-3, -0x1.33f4c4b260024p-3, -0x1.31c2d597bb423p-3, -0x1.2f8be38759f3fp-3, -0x1.2d502b0a1f694p-3, -0x1.2b0fe73a7676bp-3, -0x1.28cb51db6bf1cp-3, -0x1.2682a3702c944p-3, -0x1.243613533ba0ap-3, -0x1.21e5d7ccac31ap-3, -0x1.1f922626d864dp-3, -0x1.1d3b32c11b393p-3, -0x1.1ae131203b553p-3, -0x1.188453fc52ce5p-3, -0x1.1624cd4c18acep-3, -0x1.13c2ce4d987e4p-3, -0x1.115e878c67c88p-3, -0x1.0ef828e59edecp-3, -0x1.0c8fe189c8199p-3, -0x1.0a25dffd12db4p-3, -0x1.07ba52162c034p-3, -0x1.054d64fbff8bfp-3, -0x1.02df4522beccbp-3, -0x1.00701e4885f9dp-3, -0x1.fc0036e3a60e1p-4, -0x1.f71ecdcc4bc02p-4, -0x1.f23c5459d88fcp-4, -0x1.ed591c15e3503p-4, -0x1.e8757500cfdc8p-4, -0x1.e391ad8f442e1p-4, -0x1.deae12a917af1p-4, -0x1.d9caefa9a426cp-4, -0x1.d4e88e618d5d1p-4, -0x1.d0073719ab02ep-4, -0x1.cb27309722f3p-4, -0x1.c648c0204a3dep-4, -0x1.c16c298245f66p-4, -0x1.bc91af1707793p-4, -0x1.b7b991cb961c3p-4, -0x1.b2e411265c62cp-4, -0x1.ae116b4d49369p-4, -0x1.a941dd0bb0099p-4, -0x1.a475a1d7c4b12p-4, -0x1.9facf3d79a59dp-4, -0x1.9ae80be592396p-4, -0x1.962721944352ap-4, -0x1.916a6b31dc585p-4, -0x1.8cb21dcaf061ep-4, -0x1.87fe6d2cd3ea7p-4, -0x1.834f8be78a735p-4, -0x1.7ea5ab4f58dap-4, -0x1.7a00fb7e11217p-4, -0x1.7561ab5426ffp-4, -0x1.70c7e8799ffc8p-4, -0x1.6c33df5ef17b8p-4, -0x1.67a5bb3ddb8e6p-4, -0x1.631da61a4b8e7p-4, -0x1.5e9bc8c356451p-4, -0x1.5a204ad44e3bp-4, -0x1.55ab52b5fef88p-4, -0x1.513d05a012519p-4, -0x1.4cd5879aa2614p-4, -0x1.4874fb7ff6cbcp-4, -0x1.441b82fe728e6p-4, -0x1.3fc93e9aa9ebdp-4, -0x1.3b7e4db1a39f4p-4, -0x1.373ace7b3fe25p-4, -0x1.32fede0cc10c9p-4, -0x1.2eca985b73b0fp-4, -0x1.2a9e183f72596p-4, -0x1.26797776807b4p-4, -0x1.225ccea6f94d8p-4, -0x1.1e483562d19d7p-4, -0x1.1a3bc22aa7e4fp-4, -0x1.16378a70e136fp-4, -0x1.123ba29cd2aa3p-4, -0x1.0e481e0df444p-4, -0x1.0a5d0f1f1d8fbp-4, -0x1.067a8729ccc43p-4, -0x1.02a09689754d5p-4, -0x1.fd9e993daf4fdp-5, -0x1.f60d6fa6c521dp-5, -0x1.ee8dcb393a003p-5, -0x1.e71fc4ff32ebcp-5, -0x1.dfc37428e3cf9p-5, -0x1.d878ee139c764p-5, -0x1.d1404650e4463p-5, -0x1.ca198eada8a41p-5, -0x1.c304d7397bdep-5, -0x1.bc022e4de2de6p-5, -0x1.b511a095b1ff5p-5, -0x1.ae33391472aa5p-5, -0x1.a767012dd9db2p-5, -0x1.a0ad00ad41cd3p-5, -0x1.9a053dcd2e379p-5, -0x1.936fbd3ed51b8p-5, -0x1.8cec8231acdap-5, -0x1.867b8e5afbb24p-5, -0x1.801ce1fd695bbp-5, -0x1.79d07bf090facp-5, -0x1.739659a891ad2p-5, -0x1.6d6e773d9f15ep-5, -0x1.6758cf738db1p-5, -0x1.61555bc15dbe3p-5, -0x1.5b641458c24dap-5, -0x1.5584f02da3b9p-5, -0x1.4fb7e4fd9f4c5p-5, -0x1.49fce75783101p-5, -0x1.4453eaa2bf5efp-5, -0x1.3ebce126dcb4cp-5, -0x1.3937bc12e2021p-5, -0x1.33c46b84bb59bp-5, -0x1.2e62de9097d2bp-5, -0x1.291303483f52bp-5, -0x1.23d4c6c2625cap-5, -0x1.1ea81521e0ba4p-5, -0x1.198cd99d07b31p-5, -0x1.1482fe84c28b6p-5, -0x1.0f8a6d4bc723bp-5, -0x1.0aa30e8db20f7p-5, -0x1.05ccca1614986p-5, -0x1.010786e77bb8bp-5, -0x1.f8a65684c2893p-6, -0x1.ef5f395826743p-6, -0x1.e6397feb0d50ap-6, -0x1.dd34f2843907fp-6, -0x1.d451581c9fef2p-6, -0x1.cb8e766ca907bp-6, -0x1.c2ec11f94024dp-6, -0x1.ba69ee20bb9fp-6, -0x1.b207cd2797cedp-6, -0x1.a9c5704506e73p-6, -0x1.a1a297af5311dp-6, -0x1.999f02a80c795p-6, -0x1.91ba6f880e82cp-6, -0x1.89f49bcb4cbbep-6, -0x1.824d441c74dc8p-6, -0x1.7ac5481f70e41p-6, -0x1.735a20103150bp-6, -0x1.6c0ca3ed8501cp-6, -0x1.64dc8d873d0b7p-6, -0x1.5dc996172f358p-6, -0x1.56d3764b5e1bap-6, -0x1.4ff9e64fe84d9p-6, -0x1.493c9dd8c8fep-6, -0x1.429b542b5efdbp-6, -0x1.3c15c027cfd32p-6, -0x1.35ab985234a35p-6, -0x1.2f5c92db995cap-6, -0x1.292865aad7ff4p-6, -0x1.230ec66541ee8p-6, -0x1.1d0f6a771f09fp-6, -0x1.172a071c082f3p-6, -0x1.115e516714b1ep-6, -0x1.0babfe4adce7bp-6, -0x1.0612c2a156b3bp-6, -0x1.00925333888ep-6, -0x1.f654c9821c32dp-7, -0x1.ebb5580ef74cep-7, -0x1.e145bb9320e88p-7, -0x1.d7055dac7eda8p-7, -0x1.ccf3a81f29687p-7, -0x1.c31004e2c5cc1p-7, -0x1.b959de2fa9d3dp-7, -0x1.afd09e8b948cfp-7, -0x1.a673b0d60fac4p-7, -0x1.9d428054838e6p-7, -0x1.943c78bdf28eep-7, -0x1.8b6106465071cp-7, -0x1.82af95a994d7ep-7, -0x1.7a279436658d5p-7, -0x1.71c86fd874d8ap-7, -0x1.69919722817e9p-7, -0x1.61827958095e5p-7, -0x1.599a8676a0926p-7, -0x1.51d92f3eee7fap-7, -0x1.4a3de53d61b53p-7, -0x1.42c81ad293b7dp-7, -0x1.3b77433b445ffp-7, -0x1.344ad2981e54ep-7, -0x1.2d423df51da7fp-7, -0x1.265cfb50a5cc2p-7, -0x1.1f9a81a2561bap-7, -0x1.18fa48e185235p-7, -0x1.127bca0b77ac8p-7, -0x1.0c1e7f294a5e7p-7, -0x1.05e1e3559621fp-7, -0x1.ff8ae5838c89ep-8, -0x1.f391557664c36p-8, -0x1.e7d6135fcf42fp-8, -0x1.dc581e666c5dfp-8, -0x1.d1167803ee548p-8, -0x1.c610240d23bebp-8, -0x1.bb4428b985d7fp-8, -0x1.b0b18eaa33dd3p-8, -0x1.a65760f0937fcp-8, -0x1.9c34ad1456d1p-8, -0x1.9248831918ap-8, -0x1.8891f5837cfe7p-8, -0x1.7f10195de4d68p-8, -0x1.75c2063ca3f7cp-8, -0x1.6ca6d641d4e78p-8, -0x1.63bda620b5e8fp-8, -0x1.5b0595209a378p-8, -0x1.527dc51f7d3d6p-8, -0x1.4a255a9424135p-8, -0x1.41fb7c8fe18d5p-8, -0x1.39ff54bff6ea6p-8, -0x1.32300f6e9b92ep-8, -0x1.2a8cdb8395ef9p-8, -0x1.2314ea849deddp-8, -0x1.1bc77095479b4p-8, -0x1.14a3a476aa7bap-8, -0x1.0da8bf86b6f5ep-8, -0x1.06d5fdbf3cf12p-8, -0x1.002a9db49d704p-8, -0x1.f34bc1289db83p-9, -0x1.e68e1445ff442p-9, -0x1.da1ac1750c4f6p-9, -0x1.cdf05a8f1c12bp-9, -0x1.c20d768e16b89p-9, -0x1.b670b186e2da1p-9, -0x1.ab18aca36ec5fp-9, -0x1.a0040e1c4c022p-9, -0x1.95318131f1da5p-9, -0x1.8a9fb6259619bp-9, -0x1.804d6231caa7cp-9, -0x1.76393f82accf2p-9, -0x1.6c620d2ddba88p-9, -0x1.62c68f2a23a65p-9, -0x1.59658e46e6027p-9, -0x1.503dd8234b412p-9, -0x1.474e3f251e722p-9, -0x1.3e959a6fb444p-9, -0x1.3612c5da5abf4p-9, -0x1.2dc4a1e6c9917p-9, -0x1.25aa13b7546bdp-9, -0x1.1dc20505001b9p-9, -0x1.160b6415766bdp-9, -0x1.0e8523b0cabd8p-9, -0x1.072e3b173bcebp-9, -0x1.0005a5f6c5187p-9, -0x1.f214c8c13fb18p-10, -0x1.e476f57d522ecp-10, -0x1.d72fe39177bp-10, -0x1.ca3dacf3e3eedp-10, -0x1.bd9e740ba6098p-10, -0x1.b150639aed712p-10, -0x1.a551aea92e302p-10, -0x1.99a0906d356eap-10, -0x1.8e3b4c36f045dp-10, -0x1.83202d598284bp-10, -0x1.784d8714e07a8p-10, -0x1.6dc1b47f90296p-10, -0x1.637b18701cc98p-10, -0x1.59781d66dfdd6p-10, -0x1.4fb7357747ab5p-10, -0x1.4636da314f416p-10, -0x1.3cf58c8ad1519p-10, -0x1.33f1d4c8d44c7p-10, -0x1.2b2a4268bff78p-10, -0x1.229d6c098c421p-10, -0x1.1a49ef54e176cp-10, -0x1.122e70e82d2b4p-10, -0x1.0a499c3dabed8p-10, -0x1.029a23956637dp-10, -0x1.f63d7fbc5562ep-11, -0x1.e7ac613d096f8p-11, -0x1.d97e77bb19ec4p-11, -0x1.cbb15c17d135ap-11, -0x1.be42b3d93dc5cp-11, -0x1.b13030fbebb63p-11, -0x1.a47791c4a1a22p-11, -0x1.9816a09232ed6p-11, -0x1.8c0b33aeef69cp-11, -0x1.80532d22fb26p-11, -0x1.74ec7a85cb5cap-11, -0x1.69d514d03fa95p-11, -0x1.5f0b002e7a9d5p-11, -0x1.548c4bd24cb29p-11, -0x1.4a5711c5523b2p-11, -0x1.406976bb67561p-11, -0x1.36c1a9e545c6p-11, -0x1.2d5de4c355e5cp-11, -0x1.243c6af8afcc8p-11, -0x1.1b5b8a1e5411cp-11, -0x1.12b99996b81aap-11, -0x1.0a54fa618a06bp-11, -0x1.022c16efbf258p-11, -0x1.f47ac5f00e99fp-12, -0x1.e50eb696fb53dp-12, -0x1.d6110b559367cp-12, -0x1.c77ee137283e1p-12, -0x1.b955667cda246p-12, -0x1.ab91da4a162a2p-12, -0x1.9e318c523438cp-12, -0x1.9131dc8668096p-12, -0x1.84903ac528cd2p-12, -0x1.784a268ac6943p-12, -0x1.6c5d2ea211b74p-12, -0x1.60c6f0d6b8023p-12, -0x1.558519a86aba3p-12, -0x1.4a9563ff0a4dp-12, -0x1.3ff598dff815dp-12, -0x1.35a38f2457462p-12, -0x1.2b9d2b308bc39p-12, -0x1.21e05eac9457dp-12, -0x1.186b283db13f6p-12, -0x1.0f3b934102dd8p-12, -0x1.064fb78752939p-12, -0x1.fb4b7223e4bdfp-13, -0x1.ea778fa152a6fp-13, -0x1.da203ec174edp-13, -0x1.ca420d9a2ffbep-13, -0x1.bad9a09f18026p-13, -0x1.abe3b2262083ep-13, -0x1.9d5d11ee45378p-13, -0x1.8f42a4a87a91ep-13, -0x1.8191638242f1ep-13, -0x1.74465bb351a0ap-13, -0x1.675eae0c1b9b8p-13, -0x1.5ad78e8663795p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.24c7dcc67774bp-2, 0x1.3fe42016000c2p-2, 0x1.551663c2de274p-2, 0x1.64c5b0ba74e2ep-2, 0x1.6f64fa8239cddp-2, 0x1.756fe4c0e125bp-2, 0x1.776541fd0d004p-2, 0x1.75c2cb5c09dbdp-2, 0x1.710390f3c529ap-2, 0x1.699de26ad910dp-2, 0x1.60015367866e8p-2, 0x1.54961c0ef6e31p-2, 0x1.47bcc64eac9dfp-2, 0x1.39cdbf1c33a6fp-2, 0x1.2b193852d4014p-2, 0x1.1be758d48a3cbp-2, 0x1.0c787cf3b90cap-2, 0x1.fa0b07d8ed086p-3, 0x1.db806d6a734eap-3, 0x1.bda77f46048acp-3, 0x1.a0ca478068509p-3, 0x1.852855ec4404bp-3, 0x1.6af44486538fdp-3, 0x1.5258be1e5d197p-3, 0x1.3b78404362ef8p-3, 0x1.266d56f5337d4p-3, 0x1.134b0062509acp-3, 0x1.021d67b6b13d5p-3, 0x1.e5d5bedfdb676p-4, 0x1.cb69b85d12322p-4, 0x1.b4f17539d37e5p-4, 0x1.a260830629f27p-4, 0x1.93a3ea6c3c534p-4, 0x1.88a2bf63fbaa9p-4, 0x1.813ecfeafc258p-4, 0x1.7d557e47904ap-4, 0x1.7cc0b10303e53p-4, 0x1.7f57b5abfa886p-4, 0x1.84effb97d9e02p-4, 0x1.8d5d9e6cae84bp-4, 0x1.9873c97dd62a5p-4, 0x1.a60505aee8cd2p-4, 0x1.b5e3825b0905p-4, 0x1.c7e162445f829p-4, 0x1.dbd10d1259109p-4, 0x1.f18580205b73ep-4, 0x1.04694bc46147p-3, 0x1.10c6a4f362fecp-3, 0x1.1dc5ea65fc5acp-3, 0x1.2b52edbf7689ep-3, 0x1.395a3dd8628b2p-3, 0x1.47c92dfc15389p-3, 0x1.568ddb6989664p-3, 0x1.659731eae755cp-3, 0x1.74d4effa52e3cp-3, 0x1.8437aa953c044p-3, 0x1.93b0d06e3d0a5p-3, 0x1.a332abcca5549p-3, 0x1.b2b06267ec043p-3, 0x1.c21df2fdf6f3p-3, 0x1.d17030f88beap-3, 0x1.e09cbeca84c4ep-3, 0x1.ef9a079b49ca5p-3, 0x1.fe5e6c39ca3f4p-3, 0x1.067098eeee7c3p-2, 0x1.0d8e73954ac71p-2, 0x1.1485899b982d2p-2, 0x1.1b52dfe1ac2dap-2, 0x1.21f3b853a057ap-2, 0x1.2865905aa68e6p-2, 0x1.2ea621504018dp-2, 0x1.34b362105a4ecp-2, 0x1.3a8b88c68882bp-2, 0x1.402d0c33bef8ap-2, 0x1.4596a3e01809cp-2, 0x1.4ac746eaef18ep-2, 0x1.4fbe29699055bp-2, 0x1.547ab87a59472p-2, 0x1.58fc955a4fd8ep-2, 0x1.5d438fe3159cp-2, 0x1.614fa0de1fc56p-2, 0x1.6520e491e9b2fp-2, 0x1.68b795da16711p-2, 0x1.6c140a00aa896p-2, 0x1.6f36ad71a805fp-2, 0x1.722001479cfcep-2, 0x1.74d0999a2e367p-2, 0x1.77491c68c1f35p-2, 0x1.798a40f37f648p-2, 0x1.7b94cf5303735p-2, 0x1.7d69a0226d538p-2, 0x1.7f099c1647aa1p-2, 0x1.8075bb640fe36p-2, 0x1.81af04e89906p-2, 0x1.82b68d062006cp-2, 0x1.838d743cf870bp-2, 0x1.8434e58a6f585p-2, 0x1.84ae14a03bf3ep-2, 0x1.84fa3c0b0b99fp-2, 0x1.851a9b5fc5637p-2, 0x1.851075853121ep-2, 0x1.84dd0f2aecdddp-2, 0x1.8481ad781cb68p-2, 0x1.83ff94f541abfp-2, 0x1.835808ae5392ep-2, 0x1.828c4985bf6e7p-2, 0x1.819d95ae954bdp-2, 0x1.808d2843ffe77p-2, 0x1.7f5c38f58351fp-2, 0x1.7e0bfbc1b39dap-2, 0x1.7c9da0bb447dfp-2, 0x1.7b1253d6143b6p-2, 0x1.796b3cbab3cc9p-2, 0x1.77a97e9f2da7dp-2, 0x1.75ce38237d48bp-2, 0x1.73da832fba8dap-2, 0x1.71cf74d1cbb33p-2, 0x1.6fae1d18a3b52p-2, 0x1.6d7786ebbb507p-2, 0x1.6b2cb7de7ba4cp-2, 0x1.68ceb000854f5p-2, 0x1.665e69acc9d19p-2, 0x1.63dcd95a344f6p-2, 0x1.614aed70ea571p-2, 0x1.5ea98e26f519p-2, 0x1.5bf99d6691e2bp-2, 0x1.593bf6bf7eb69p-2, 0x1.56716f6399a39p-2, 0x1.539ad62e47733p-2, 0x1.50b8f3b54083p-2, 0x1.4dcc8a60fb454p-2, 0x1.4ad6568aa120ep-2, 0x1.47d70e9d8798dp-2, 0x1.44cf633a57239p-2, 0x1.41bfff5a6cf27p-2, 0x1.3ea9887255d27p-2, 0x1.3b8c9e92bc591p-2, 0x1.3869dc8775ec3p-2, 0x1.3541d7f4a3a5p-2, 0x1.321521722582fp-2, 0x1.2ee444a5b7034p-2, 0x1.2bafc85c20dcdp-2, 0x1.28782ea1f8d3bp-2, 0x1.253df4dc4dc22p-2, 0x1.220193e19bc1fp-2, 0x1.1ec3801334721p-2, 0x1.1b84297740b9cp-2, 0x1.18430a08da465p-2, 0x1.150250be369d1p-2, 0x1.11c198c8fa408p-2, 0x1.0e8141aa1bf27p-2, 0x1.0b41a678504b7p-2, 0x1.08031e10fed8p-2, 0x1.04c5fb4dbf69dp-2, 0x1.018a8d3c8ebdfp-2, 0x1.fca23eb1c51d7p-3, 0x1.f633f387f843bp-3, 0x1.efcac2f5e8322p-3, 0x1.e96731127c0b2p-3, 0x1.e309bc6d69dc5p-3, 0x1.dcb2de60ebba5p-3, 0x1.d6630b585e5d2p-3, 0x1.d01ab30b88252p-3, 0x1.c9da40aee4039p-3, 0x1.c3a21b19a3b7ap-3, 0x1.bd72a4e29fe04p-3, 0x1.b74c3c7585e58p-3, 0x1.b12f3c21e66b4p-3, 0x1.ab1bfa25c37ap-3, 0x1.a512c8b53681bp-3, 0x1.9f13f600d46c5p-3, 0x1.991fcc3c09c64p-3, 0x1.933691a4c0c09p-3, 0x1.8d58888d2970cp-3, 0x1.8785ef686873fp-3, 0x1.81bf00da8a144p-3, 0x1.7c03f3cc06775p-3, 0x1.7654fb80b9ce3p-3, 0x1.70b247b23a8a2p-3, 0x1.6b1c04ad1ddf9p-3, 0x1.65925b70bbc3p-3, 0x1.601571d0e5a33p-3, 0x1.5aa56a98f0aa4p-3, 0x1.554265af7dfe4p-3, 0x1.4fec803a557a4p-3, 0x1.4aa3d4c1d5178p-3, 0x1.45687b535f7dep-3, 0x1.403a89a25d8aep-3, 0x1.3b1a13277bba2p-3, 0x1.3607293dd363bp-3, 0x1.3101db3dd9fdfp-3, 0x1.2c0a3695f415p-3, 0x1.272046e0b05dp-3, 0x1.224415f8b3abep-3, 0x1.1d75ac0a77465p-3, 0x1.18b50fa403ba5p-3, 0x1.140245c2e4156p-3, 0x1.0f5d51e082ba6p-3, 0x1.0ac635fd3b7b9p-3, 0x1.063cf2aa608aep-3, 0x1.01c187136a8dfp-3, 0x1.faa7e20d3d2eap-4, 0x1.f1e859faaa439p-4, 0x1.e9446c481dce3p-4, 0x1.e0bc0cc51dfd8p-4, 0x1.d84f2cc817b5ap-4, 0x1.cffdbb3f26934p-4, 0x1.c7c7a4c166267p-4, 0x1.bfacd3a0dfcp-4, 0x1.b7ad2ffd114bbp-4, 0x1.afc89fd6046c6p-4, 0x1.a7ff071ff95e4p-4, 0x1.a05047d76488p-4, 0x1.98bc421552f5ap-4, 0x1.9142d423eeabdp-4, 0x1.89e3da930ef06p-4, 0x1.829f304cb539fp-4, 0x1.7b74aea9533bcp-4, 0x1.74642d83b982bp-4, 0x1.6d6d834c9bfdbp-4, 0x1.6690851d8e896p-4, 0x1.5fcd06cb6f1d6p-4, 0x1.5922daf82a425p-4, 0x1.5291d323d45b5p-4, 0x1.4c19bfbd10e75p-4, 0x1.45ba7030c78cbp-4, 0x1.3f73b2f924a63p-4, 0x1.394555abedefap-4, 0x1.332f25082dc8dp-4, 0x1.2d30ed033e34dp-4, 0x1.274a78d53bda1p-4, 0x1.217b9304ebeb8p-4, 0x1.1bc405731bd79p-4, 0x1.162399658a0a5p-4, 0x1.109a17915c56dp-4, 0x1.0b27482532737p-4, 0x1.05caf2d2d9a45p-4, 0x1.0084ded8ae97ap-4, 0x1.f6a9a615613ep-5, 0x1.ec752bb6a41e6p-5, 0x1.e26bdac80eb6ep-5, 0x1.d88d3edb3e414p-5, 0x1.ced8e2f0c5e5ap-5, 0x1.c54e518813738p-5, 0x1.bbed14aef51a6p-5, 0x1.b2b4b610c949dp-5, 0x1.a9a4bf055b875p-5, 0x1.a0bcb89f721b3p-5, 0x1.97fc2bbb0bde5p-5, 0x1.8f62a10b4eddfp-5, 0x1.86efa1282c0e2p-5, 0x1.7ea2b49bb377fp-5, 0x1.767b63ef17211p-5, 0x1.6e7937b762a7fp-5, 0x1.669bb8a1ddba5p-5, 0x1.5ee26f801ceb8p-5, 0x1.574ce553be732p-5, 0x1.4fdaa359d1c67p-5, 0x1.488b3315e6879p-5, 0x1.415e1e5cc5f57p-5, 0x1.3a52ef5ed0e0bp-5, 0x1.336930b205aaap-5, 0x1.2ca06d5baac9cp-5, 0x1.25f830d99f3b8p-5, 0x1.1f70072b4f7b8p-5, 0x1.19077cda511c7p-5, 0x1.12be1f02a3f45p-5, 0x1.0c937b5a9b533p-5, 0x1.0687203a6b645p-5, 0x1.00989ca3643b5p-5, 0x1.f58f008da9d52p-6, 0x1.ea26b719366e7p-6, 0x1.def77f32c2a3dp-6, 0x1.d4007ca918cbp-6, 0x1.c940d4dbb7f77p-6, 0x1.beb7aec580653p-6, 0x1.b4643306c7e4ep-6, 0x1.aa458beee7e07p-6, 0x1.a05ae58539b57p-6, 0x1.96a36d91989f3p-6, 0x1.8d1e53a45ea0ap-6, 0x1.83cac91de91a8p-6, 0x1.7aa80135a674dp-6, 0x1.71b53100b6b5bp-6, 0x1.68f18f7819655p-6, 0x1.605c557e72983p-6, 0x1.57f4bde570f99p-6, 0x1.4fba0572cc659p-6, 0x1.47ab6ae4e41abp-6, 0x1.3fc82ef7087a9p-6, 0x1.380f94656462ep-6, 0x1.3080dff0964ddp-6, 0x1.291b5860f230ap-6, 0x1.21de468971b9bp-6, 0x1.1ac8f54a57266p-6, 0x1.13dab1938365bp-6, 0x1.0d12ca667b4dfp-6, 0x1.067090d827284p-6, 0x1.ffe6b02494eb6p-7, 0x1.f334eaa966721p-7, 0x1.e6ca7fec418c9p-7, 0x1.daa622c9e1bbcp-7, 0x1.cec68a4efec09p-7, 0x1.c32a71b8989bep-7, 0x1.b7d09873c64c1p-7, 0x1.acb7c21d01a85p-7, 0x1.a1deb67f013c7p-7, 0x1.9744419120254p-7, 0x1.8ce73375511d7p-7, 0x1.82c66075a7fc2p-7, 0x1.78e0a101729d2p-7, 0x1.6f34d1a9f4e5dp-7, 0x1.65c1d31ebf756p-7, 0x1.5c868a299e2fbp-7, 0x1.5381dfaa39604p-7, 0x1.4ab38b35ba7b7p-7, 0x1.4218e592ef784p-7, 0x1.39b1b08fd5d86p-7, 0x1.317ce531ffebdp-7, 0x1.2979807b743b9p-7, 0x1.21a683645428fp-7, 0x1.1a02f2d441abap-7, 0x1.128dd79b83e69p-7, 0x1.0b463e6bed883p-7, 0x1.042b37d18c6bp-7, 0x1.fa77b0564416dp-8, 0x1.ecee6f44d2a5ep-8, 0x1.dfb8e44859a33p-8, 0x1.d2d54eb0606cbp-8, 0x1.c641f531dd251p-8, 0x1.b9fd25d6665b6p-8, 0x1.ae0535eb174b1p-8, 0x1.a25881ef2f6dcp-8, 0x1.96f56d8272b7cp-8, 0x1.8bda63534de12p-8, 0x1.8105d50cc069cp-8, 0x1.76763b4415a47p-8, 0x1.6c2a15666d575p-8, 0x1.621fe9a6182bbp-8, 0x1.585644e7ccb57p-8, 0x1.4ecbbaafb55afp-8, 0x1.457ee50e61ce7p-8, 0x1.3c6e648d96c14p-8, 0x1.3398e01d0681bp-8, 0x1.2afd04feee93dp-8, 0x1.229986b4a5cefp-8, 0x1.1a6d1eeb170edp-8, 0x1.12768d672d8a8p-8, 0x1.0ab497f23798dp-8, 0x1.03260a463f0abp-8, 0x1.f7936bf4c0cb1p-9, 0x1.e93ce4de2f668p-9, 0x1.db4639752a67dp-9, 0x1.cdad2f2a1a8d1p-9, 0x1.c06f968a2457bp-9, 0x1.b38b4b17dd423p-9, 0x1.a6fe33241fec7p-9, 0x1.9ac63fa6eb89fp-9, 0x1.8ee16c1866c7dp-9, 0x1.834dbe49f425ep-9, 0x1.7809463f77da1p-9, 0x1.6d121e08b7997p-9, 0x1.6266699ae889dp-9, 0x1.580456aa66dd1p-9, 0x1.4dea1c84a135fp-9, 0x1.4415fbea2ff69p-9, 0x1.3a863ee929eb4p-9, 0x1.313938b7a95f1p-9, 0x1.282d458e90cdep-9, 0x1.1f60ca848c624p-9, 0x1.16d2356950d08p-9, 0x1.0e7ffca11d2ecp-9, 0x1.06689f00820bfp-9, 0x1.fd154750dca8fp-10, 0x1.edc933c5052b4p-10, 0x1.deea31fb5d203p-10, 0x1.d07580563d759p-10, 0x1.c2686cb6e0482p-10, 0x1.b4c0543874e97p-10, 0x1.a77aa2ebce253p-10, 0x1.9a94d393b728ap-10, 0x1.8e0c6f61e72a5p-10, 0x1.81df0db4b7da2p-10, 0x1.760a53d56e2f1p-10, 0x1.6a8bf4b73f3afp-10, 0x1.5f61b0b706e38p-10, 0x1.5489555bb19f7p-10, 0x1.4a00bd175ff99p-10, 0x1.3fc5cf093897ep-10, 0x1.35d67ec0084c8p-10, 0x1.2c30cbfd87a8ep-10, 0x1.22d2c27a70db3p-10, 0x1.19ba79ab53d2dp-10, 0x1.10e6148617c8ap-10, 0x1.0853c14861557p-10, 0x1.0001b93e9f0e2p-10, 0x1.efdc8117d970dp-11, 0x1.e02f4be563059p-11, 0x1.d0f8853c1d0d7p-11, 0x1.c234f3d81abeap-11, 0x1.b3e1727138008p-11, 0x1.a5faef529756p-11, 0x1.987e6bf3b8088p-11, 0x1.8b68fc9321325p-11, 0x1.7eb7c7d28ef82p-11, 0x1.72680654b78fdp-11, 0x1.6677025ca9a73p-11, 0x1.5ae2176ea3bedp-11, 0x1.4fa6b1f286b28p-11, 0x1.44c24ed7d1a52p-11, 0x1.3a327b3b19cddp-11, 0x1.2ff4d40d22a07p-11, 0x1.260705bb57451p-11, 0x1.1c66cbd9e5c48p-11, 0x1.1311f0cf3f1e1p-11, 0x1.0a064d8119c65p-11, 0x1.0141c902f907fp-11, 0x1.f184b08c10624p-12, 0x1.e10bfb95128cdp-12, 0x1.d11592a5210cdp-12, 0x1.c19daf2c75d04p-12, 0x1.b2a0a3f26e16p-12, 0x1.a41adc837b4b6p-12, 0x1.9608dca1a73ccp-12, 0x1.88673fb7d1e21p-12, 0x1.7b32b84f8bf44p-12, 0x1.6e680f89813bdp-12, 0x1.6204249879cdap-12, 0x1.5603ec3ed3226p-12, 0x1.4a64704e84da2p-12, 0x1.3f22cf2b6cb6bp-12, 0x1.343c3b502a501p-12, 0x1.29adfad52f889p-12, 0x1.1f7566fa55786p-12, 0x1.158febb28044ep-12, 0x1.0bfb07319ca65p-12, 0x1.02b4497ccbdf5p-12, 0x1.f372a7f9871e2p-13, 0x1.e20fb22483abdp-13, 0x1.d13b37593e85ap-13, 0x1.c0f0ddc4eea97p-13, 0x1.b12c6b187fdb6p-13, 0x1.a1e9c3c211d4dp-13, 0x1.9324ea2a12b02p-13, 0x1.84d9fdf45c26dp-13, 0x1.77053b4525b17p-13, 0x1.69a2fa098ab05p-13, 0x1.5cafad43df27fp-13, 0x1.5027e25bb8f35p-13, 0x1.4408407156f2bp-13, 0x1.384d87b4a8df5p-13, 0x1.2cf490bfcc874p-13, 0x1.21fa4bf4d8cfep-13, 0x1.175bc0df4cf76p-13, 0x1.0d160d987c8cp-13, 0x1.0326662f7d67fp-13, 0x1.f3142827e0528p-14, 0x1.e07ceb093b17dp-14, 0x1.ce81fa01268d8p-14, 0x1.bd1e61774a675p-14, 0x1.ac4d542b991c2p-14, 0x1.9c0a2a2bcae78p-14, 0x1.8c505fcdeeb16p-14, 0x1.7d1b94b11a65bp-14, 0x1.6e678ac4340fp-14, 0x1.60302551fb5c8p-14, 0x1.52716812d712fp-14, 0x1.45277644367d9p-14, 0x1.384e91c543242p-14, 0x1.2be31a3930f3cp-14, 0x1.1fe18c2e6627dp-14, 0x1.1446804b4f853p-14, 0x1.090eaa7ff208ap-14, 0x1.fc6db279c889bp-15, 0x1.e777e95e07851p-15, 0x1.d335fbff4662ap-15, 0x1.bfa21d3587b48p-15, 0x1.acb6aef10f8bp-15, 0x1.9a6e40d8a56efp-15, 0x1.88c38eeff36bep-15, 0x1.77b18046b5f1fp-15, 0x1.673325b1bdcf2p-15, 0x1.5743b88b5d981p-15, 0x1.47de997c768d5p-15, 0x1.38ff4f4e93982p-15, 0x1.2aa185c532d42p-15, 0x1.1cc10c7f18577p-15, 0x1.0f59d5dffc022p-15, 0x1.0267f600a7433p-15, 0x1.ebcf435075132p-16, 0x1.d3aa5a949b66fp-16, 0x1.bc5a181cbb451p-16, 0x1.a5d79db984354p-16, 0x1.901c46e5be4bcp-16, 0x1.7b21a6fb99d32p-16, 0x1.66e18776dbff7p-16, 0x1.5355e6438f4e7p-16, 0x1.4078f4198f8p-16, 0x1.2e4512e0b4adbp-16, 0x1.1cb4d4264548p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.67a09d8812799p+0, -0x1.6307ab0e063dep+0, -0x1.5e2065889455dp+0, -0x1.58ddd249c846p+0, -0x1.533b3735c6d1fp+0, -0x1.4d39d392d7a1cp+0, -0x1.46df77b31134dp+0, -0x1.403569387743ap+0, -0x1.3947009a47138p+0, -0x1.3220ea3aea22cp+0, -0x1.2ad089c45c346p+0, -0x1.23635f067aad9p+0, -0x1.1be6989be141ap+0, -0x1.1466d1db45389p+0, -0x1.0cefdd084761fp+0, -0x1.058c97ea03de5p+0, -0x1.fc8da9cb3109cp-1, -0x1.ee4ea65030a4bp-1, -0x1.e06b78fb0e90fp-1, -0x1.d2f1526f54bbcp-1, -0x1.c5eb53bfa4346p-1, -0x1.b96283880c5c5p-1, -0x1.ad5e902e4e23dp-1, -0x1.a1e4ce0c0969p-1, -0x1.96f91465f0d84p-1, -0x1.8c9ddc14b9f43p-1, -0x1.82d46836a2549p-1, -0x1.799cd97b61d15p-1, -0x1.70f63a20217a3p-1, -0x1.68de92b97b46ap-1, -0x1.61530d16fc2e1p-1, -0x1.5a501ed576733p-1, -0x1.53d1b0c3e7ddep-1, -0x1.4dd33b8808947p-1, -0x1.484fd8dddd05cp-1, -0x1.43424e734fab4p-1, -0x1.3ea518dd45c0fp-1, -0x1.3a727ab0519adp-1, -0x1.36a48fbc6442ap-1, -0x1.3335616451e44p-1, -0x1.301ef85f84807p-1, -0x1.2d5b6994b894dp-1, -0x1.2ae4dded47051p-1, -0x1.28b596ce80ed6p-1, -0x1.26c7f19652375p-1, -0x1.25166be7abb1dp-1, -0x1.239ba9453c114p-1, -0x1.2252794a81bb2p-1, -0x1.2135dd5e64d68p-1, -0x1.20410cf9db6dfp-1, -0x1.1f6f7826d84d3p-1, -0x1.1ebcc858cf96p-1, -0x1.1e24e018911e7p-1, -0x1.1da3da2df7b09p-1, -0x1.1d3608e812348p-1, -0x1.1cd7f5d44a6ecp-1, -0x1.1c8661c23bbe8p-1, -0x1.1c3e44a418782p-1, -0x1.1bfccce3ba6edp-1, -0x1.1bbf5e1130f6dp-1, -0x1.1b838f1e97646p-1, -0x1.1b472876308cbp-1, -0x1.1b082217734f1p-1, -0x1.1ac504feb2b2bp-1, -0x1.1a7b62d2e7e01p-1, -0x1.1a2a00eec43e3p-1, -0x1.19cf8558c938fp-1, -0x1.196abd6f9b5f8p-1, -0x1.18fa9acffe232p-1, -0x1.187e304b6e79ep-1, -0x1.17f4af1ad0607p-1, -0x1.175d646932e62p-1, -0x1.16b7b7416b112p-1, -0x1.160326da06a18p-1, -0x1.153f493063f89p-1, -0x1.146bc9ddeb029p-1, -0x1.13886910d7674p-1, -0x1.1294fa93998c7p-1, -0x1.119164d1bf27fp-1, -0x1.107d9fcea7845p-1, -0x1.0f59b4081bda9p-1, -0x1.0e25b94428982p-1, -0x1.0ce1d54da8ee1p-1, -0x1.0b8e3aa5b1faep-1, -0x1.0a2b2731ac798p-1, -0x1.08b8e2eecfe77p-1, -0x1.0737beb3d57ep-1, -0x1.05a81308fdfdep-1, -0x1.040a3f1cc71ep-1, -0x1.025ea7d8ef10bp-1, -0x1.00a5b7183920fp-1, -0x1.fdbfb5f49ae68p-2, -0x1.fa1b0aa1763b5p-2, -0x1.f65e563db3722p-2, -0x1.f28a884c67162p-2, -0x1.eea094f3ed6ap-2, -0x1.eaa1742ae1ae9p-2, -0x1.e68e20e6aa791p-2, -0x1.e267984a75beep-2, -0x1.de2ed8d7dfeeap-2, -0x1.d9e4e1a3fa566p-2, -0x1.d58ab193965a5p-2, -0x1.d12146a13da63p-2, -0x1.cca99d2e4e80dp-2, -0x1.c824af5fcd647p-2, -0x1.c3937486ffa66p-2, -0x1.bef6e095d5c7p-2, -0x1.ba4fe39f78f9ap-2, -0x1.b59f6965e9d43p-2, -0x1.b0e658f5f52a7p-2, -0x1.ac2594530762cp-2, -0x1.a75df833fbb36p-2, -0x1.a2905bd1603afp-2, -0x1.9dbd90c477fe6p-2, -0x1.98e662f530f5ep-2, -0x1.940b989410e6bp-2, -0x1.8f2df21c90cc8p-2, -0x1.8a4e2a5c0fdc5p-2, -0x1.856cf679f58d1p-2, -0x1.808b05fe66268p-2, -0x1.7ba902d5ff546p-2, -0x1.76c791524e04bp-2, -0x1.71e75027ad0c1p-2, -0x1.6d08d86a0ba21p-2, -0x1.682cbd8a76b3ap-2, -0x1.63538d57462f7p-2, -0x1.5e7dd00078cedp-2, -0x1.59ac08214409dp-2, -0x1.54deb2cf2d17cp-2, -0x1.501647ae7392fp-2, -0x1.4b53390b0bca5p-2, -0x1.4695f3f524d54p-2, -0x1.41dee0601c894p-2, -0x1.3d2e6142d50a6p-2, -0x1.3884d4b8a0547p-2, -0x1.33e294222920fp-2, -0x1.2f47f44610278p-2, -0x1.2ab545711d9dap-2, -0x1.262ad3960f513p-2, -0x1.21a8e66d0b486p-2, -0x1.1d2fc192c80d8p-2, -0x1.18bfa4a7639e2p-2, -0x1.1458cb6cd9983p-2, -0x1.0ffb6de508cfep-2, -0x1.0ba7c06f227c4p-2, -0x1.075df3e47db25p-2, -0x1.031e35b4be09p-2, -0x1.fdd0734171184p-3, -0x1.f57a1230f5144p-3, -0x1.ed38c409f5af1p-3, -0x1.e50cca1af8478p-3, -0x1.dcf65f6036918p-3, -0x1.d4f5b8cec8ebbp-3, -0x1.cd0b05a32a53p-3, -0x1.c5366fb142e26p-3, -0x1.bd781bb437636p-3, -0x1.b5d0299c54347p-3, -0x1.ae3eb4d9b2cc4p-3, -0x1.a6c3d4a2716bdp-3, -0x1.9f5f9c3385d3ap-3, -0x1.98121b0bac535p-3, -0x1.90db5d20118e9p-3, -0x1.89bb6b0ab5375p-3, -0x1.82b24a32c42f7p-3, -0x1.7bbffcef51dd5p-3, -0x1.74e482a516121p-3, -0x1.6e1fd7dfef419p-3, -0x1.6771f668f7c26p-3, -0x1.60dad55a0d808p-3, -0x1.5a5a692fa6486p-3, -0x1.53f0a3d9adc7bp-3, -0x1.4d9d74cc2ec69p-3, -0x1.4760c91052959p-3, -0x1.413a8b563010fp-3, -0x1.3b2aa407c1503p-3, -0x1.3530f95d27956p-3, -0x1.2f4d6f725fcb4p-3, -0x1.297fe85e5193dp-3, -0x1.23c8444b2750bp-3, -0x1.1e26618fae0d7p-3, -0x1.189a1cc98099ep-3, -0x1.132350f7c0432p-3, -0x1.0dc1d795f5217p-3, -0x1.087588b6dcce1p-3, -0x1.033e3b1eceab2p-3, -0x1.fc3788bae5c4cp-4, -0x1.f21bf1cd1283fp-4, -0x1.e8295853360b9p-4, -0x1.de5f6150aceafp-4, -0x1.d4bdb01718d9fp-4, -0x1.cb43e66d6ad81p-4, -0x1.c1f1a4b3de70fp-4, -0x1.b8c68a050b18ep-4, -0x1.afc23454081b3p-4, -0x1.a6e44087e0aebp-4, -0x1.9e2c4a9477d92p-4, -0x1.9599ed912903bp-4, -0x1.8d2cc3cd640d5p-4, -0x1.84e466e384e5p-4, -0x1.7cc06fca37c46p-4, -0x1.74c076e4a9612p-4, -0x1.6ce41411c295ap-4, -0x1.652adebaad417p-4, -0x1.5d946de0d4b2p-4, -0x1.5620582b8bf86p-4, -0x1.4ece33f5802cap-4, -0x1.479d975a0e046p-4, -0x1.408e1842924f5p-4, -0x1.399f4c73baa05p-4, -0x1.32d0c99ae166bp-4, -0x1.2c22255b6d8b4p-4, -0x1.2592f55c35661p-4, -0x1.1f22cf54d616bp-4, -0x1.18d1491af53ap-4, -0x1.129df8af5c9fap-4, -0x1.0c88744ae1cp-4, -0x1.0690526b083c2p-4, -0x1.00b529de4eddep-4, -0x1.f5ed23a03ad7dp-5, -0x1.eaa843a881b08p-5, -0x1.df9ae3e3e2137p-5, -0x1.d4c4355ca6d0cp-5, -0x1.ca236a2ceeb94p-5, -0x1.bfb7b5918952cp-5, -0x1.b5804bfbbc2e8p-5, -0x1.ab7c6321e7bd6p-5, -0x1.a1ab320f157a6p-5, -0x1.980bf1316e047p-5, -0x1.8e9dda67a5ed7p-5, -0x1.8560290d673a8p-5, -0x1.7c521a06c3e59p-5, -0x1.7372ebcabf733p-5, -0x1.6ac1de6cfbedcp-5, -0x1.623e33a696ef6p-5, -0x1.59e72ede4961ap-5, -0x1.51bc152fd20ap-5, -0x1.49bc2d72bc20ep-5, -0x1.41e6c0408e433p-5, -0x1.3a3b17fa6f1e6p-5, -0x1.32b880ce45d09p-5, -0x1.2b5e48bb6b1abp-5, -0x1.242bbf96eaaf2p-5, -0x1.1d20370f630aap-5, -0x1.163b02b08b3b1p-5, -0x1.0f7b77e663807p-5, -0x1.08e0ee0017d1cp-5, -0x1.026abe32998d8p-5, -0x1.f8308735e9dp-6, -0x1.ebd1b680c596cp-6, -0x1.dfb7c82c382f2p-6, -0x1.d3e17df9e2d73p-6, -0x1.c84d9d89489c8p-6, -0x1.bcfaf05a1232bp-6, -0x1.b1e843cdd7592p-6, -0x1.a71469297a7a2p-6, -0x1.9c7e35960b41p-6, -0x1.92248221410b8p-6, -0x1.88062bbd73e01p-6, -0x1.7e2213413448dp-6, -0x1.74771d665f97p-6, -0x1.6b0432c8d4735p-6, -0x1.61c83fe4a5f3bp-6, -0x1.58c23513ed95p-6, -0x1.4ff1068c24e05p-6, -0x1.4753ac5b19bb4p-6, -0x1.3ee92263770e8p-6, -0x1.36b06858e2768p-6, -0x1.2ea881bbbc5c8p-6, -0x1.26d075d47c23ep-6, -0x1.1f274faead577p-6, -0x1.17ac1e1394e1p-6, -0x1.105df38481cf9p-6, -0x1.093be634c9ac5p-6, -0x1.024510037767fp-6, -0x1.f6f11ce96d732p-7, -0x1.e9ab0555e2c48p-7, -0x1.dcb622bf66e18p-7, -0x1.d010c5b89c275p-7, -0x1.c3b945e490eacp-7, -0x1.b7ae01e72af88p-7, -0x1.abed5f553d3b2p-7, -0x1.a075caa44788p-7, -0x1.9545b719daf17p-7, -0x1.8a5b9ebac2fc5p-7, -0x1.7fb60239e2d6cp-7, -0x1.755368e6e14c7p-7, -0x1.6b32609c912cep-7, -0x1.61517daf3ef4bp-7, -0x1.57af5adabae8ap-7, -0x1.4e4a99305956dp-7, -0x1.4521e004bb64bp-7, -0x1.3c33dcdd89c9dp-7, -0x1.337f435f1148ap-7, -0x1.2b02cd39ca9b3p-7, -0x1.22bd3a17d1a04p-7, -0x1.1aad4f8a4c34ep-7, -0x1.12d1d8f6c6143p-7, -0x1.0b29a78482b8ep-7, -0x1.03b39209c6a8cp-7, -0x1.f8dce9f23c709p-8, -0x1.eab2649d3da0dp-8, -0x1.dce562fa51d1ep-8, -0x1.cf73beb75525dp-8, -0x1.c25b5c24cb0f6p-8, -0x1.b59a2a1072519p-8, -0x1.a92e219fe9e32p-8, -0x1.9d15462b654ccp-8, -0x1.914da51876b41p-8, -0x1.85d555b4f283cp-8, -0x1.7aaa7911ed40cp-8, -0x1.6fcb39deddf77p-8, -0x1.6535cc44df9edp-8, -0x1.5ae86dc21d448p-8, -0x1.50e165056678ep-8, -0x1.471f01c9f34d7p-8, -0x1.3da0302d9a9bdp-8, -0x1.34622703733e3p-8, -0x1.2b63e6f13dc6bp-8, -0x1.22a3e28024d2dp-8, -0x1.1a2094947aa44p-8, -0x1.11d8804ac2c95p-8, -0x1.09ca30d5002b9p-8, -0x1.01f4395845d44p-8, -0x1.f4aa699521befp-9, -0x1.e5d78ba1dc4dcp-9, -0x1.d76d2d3bd3e73p-9, -0x1.c968b1a09f40cp-9, -0x1.bbc78aa473791p-9, -0x1.ae873870e79e2p-9, -0x1.a1a549445f66cp-9, -0x1.951f59321fee6p-9, -0x1.88f311e312645p-9, -0x1.7d1e2a57338e8p-9, -0x1.719e66a7b5c11p-9, -0x1.667197c9d1e94p-9, -0x1.5b959b52549fp-9, -0x1.51085b39d80a2p-9, -0x1.46c7cda1b81cfp-9, -0x1.3cd1f499c2465p-9, -0x1.3324dde69676ep-9, -0x1.29bea2c8c78e3p-9, -0x1.209d67c4b34d2p-9, -0x1.17bf5c6b15be9p-9, -0x1.0f22bb2255d64p-9, -0x1.06c5c8f08d85cp-9, -0x1.fd4daa8c9cd06p-10, -0x1.ed88739442a8p-10, -0x1.de38b4497c052p-10, -0x1.cf5b479bffbccp-10, -0x1.c0ed1bb52dafep-10, -0x1.b2eb3194dd3f5p-10, -0x1.a5529cafa60d5p-10, -0x1.9820828e97ca2p-10, -0x1.8b521a70610bcp-10, -0x1.7ee4acebe9b1ap-10, -0x1.72d593945b335p-10, -0x1.6722389e95b99p-10, -0x1.5bc8168806c01p-10, -0x1.50c4b7befa049p-10, -0x1.4615b64c3c3a8p-10, -0x1.3bb8bb7e35cc9p-10, -0x1.31ab7f955882cp-10, -0x1.27ebc971f4528p-10, -0x1.1e776e4365d52p-10, -0x1.154c51389f854p-10, -0x1.0c6863320822ap-10, -0x1.03c9a274b672fp-10, -0x1.f6dc34bde28b4p-11, -0x1.e6a7c63c0bb47p-11, -0x1.d6f242cad0551p-11, -0x1.c7b80c4e3575p-11, -0x1.b8f59c9ab7233p-11, -0x1.aaa784eb1b9c5p-11, -0x1.9cca6d58db1f5p-11, -0x1.8f5b1456e1aa3p-11, -0x1.82564e2ed072ap-11, -0x1.75b904809f223p-11, -0x1.698035c4a2029p-11, -0x1.5da8f4cfe80adp-11, -0x1.5230685aecc0fp-11, -0x1.4713ca8a972ccp-11, -0x1.3c50687b744cdp-11, -0x1.31e3a1cf418afp-11, -0x1.27cae83c9a272p-11, -0x1.1e03bf20e0d0dp-11, -0x1.148bbb144ca9ep-11, -0x1.0b6081801b0d7p-11, -0x1.027fc836d0086p-11, -0x1.f3ceaa1d45218p-12, -0x1.e329fafbb5abdp-12, -0x1.d30d4c72886ecp-12, -0x1.c37485a93439ep-12, -0x1.b45baac9dfd3p-12, -0x1.a5bedc49f2076p-12, -0x1.979a5636ae039p-12, -0x1.89ea6f855f332p-12, -0x1.7cab996753b42p-12, -0x1.6fda5ea17ea3cp-12, -0x1.637362e7af5a2p-12, -0x1.5773623b5987p-12, -0x1.4bd7304ddd125p-12, -0x1.409bb7e63ca46p-12, -0x1.35bdfa4a39d2cp-12, -0x1.2b3b0eaabcd34p-12, -0x1.211021939b12dp-12, -0x1.173a745e7e17p-12, -0x1.0db75ca903e12p-12, -0x1.048443cdf9c17p-12, -0x1.f73d4cc3512eap-13, -0x1.e6082762512e6p-13, -0x1.d5645a8918c94p-13, -0x1.c54d4cc85ba16p-13, -0x1.b5be874137c49p-13, -0x1.a6b3b4badb6b4p-13, -0x1.9828a0bda3572p-13, -0x1.8a1936b3932f6p-13, -0x1.7c81810e24424p-13, -0x1.6f5da87120ce9p-13, -0x1.62a9f2e2bf2cfp-13, -0x1.5662c30090c33p-13, -0x1.4a84973958919p-13, -0x1.3f0c090bb1096p-13, -0x1.33f5cc494b20fp-13, -0x1.293eae5ed08d8p-13, -0x1.1ee395a034e5cp-13, -0x1.14e1809969f6dp-13, -0x1.0b35856361adap-13, -0x1.01dcd0fd3e0eep-13, -0x1.f1a94d5300cc7p-14, -0x1.e034be9f01464p-14, -0x1.cf56d1c10c807p-14, -0x1.bf0a8b81bd2b2p-14, -0x1.af4b186919351p-14, -0x1.a013cb9fe4377p-14, -0x1.91601dd76cd41p-14, -0x1.832bac38b1845p-14, -0x1.7572375a5958ap-14, -0x1.682fa23d44aa5p-14, -0x1.5b5ff14fbe947p-14, -0x1.4eff497705b3dp-14, -0x1.4309ef1f168f9p-14, -0x1.377c45508e0e4p-14, -0x1.2c52cccc85289p-14, -0x1.218a232e3c3d3p-14, -0x1.171f021276518p-14, -0x1.0d0e3e4481e67p-14, -0x1.0354c6f05f73dp-14, -0x1.f3df49b55f2d9p-15, -0x1.e1b7f33ae9001p-15, -0x1.d02dfdd41ef27p-15, -0x1.bf3c0ba051cdbp-15, -0x1.aedcec132b04cp-15, -0x1.9f0b9a94f805bp-15, -0x1.8fc33d2ep-15, -0x1.80ff2339314ap-15, -0x1.72bac420c6b24p-15, -0x1.64f1be2297a9dp-15, -0x1.579fd51e231a9p-15, -0x1.4ac0f169da14dp-15, -0x1.3e511eb0f2eaep-15, -0x1.324c8ad91037ap-15, -0x1.26af84efba61p-15, -0x1.1b767c1f442d7p-15, -0x1.109dfeab4b6e2p-15, -0x1.0622b8f42cc26p-15, -0x1.f802e9039550bp-16, -0x1.e46e2e2a353bap-16, -0x1.d1814380ff0edp-16, -0x1.bf36600d585fbp-16, -0x1.ad87ee003387cp-16, -0x1.9c70890d24c76p-16, -0x1.8beafcce1fd66p-16, -0x1.7bf2433331ab6p-16, -0x1.6c8182fdd5ea5p-16, -0x1.5d940e4771ceep-16, -0x1.4f2561130c583p-16, -0x1.41311feb4c2c1p-16, -0x1.33b31688eb85ep-16, -0x1.26a73684a7613p-16, -0x1.1a09961340dc8p-16, -0x1.0dd66ecb159c9p-16, -0x1.020a1c7397f76p-16, -0x1.ed4237bb68237p-17, -0x1.d730138beb902p-17, -0x1.c1d7437d0225bp-17, -0x1.ad317a455fa87p-17, -0x1.9938a424ac599p-17, -0x1.85e6e4eb8413cp-17, -0x1.73369611f8b29p-17, -0x1.612244def39b5p-17, -0x1.4fa4b09d7d7a3p-17, -0x1.3eb8c8e0c313fp-17, -0x1.2e59abd6a5989p-17, -0x1.1e82a4a7b45c4p-17, -0x1.0f2f29e493916p-17, -0x1.005adc004841bp-17, -0x1.e40307aea333cp-18, -0x1.c83e2285947a9p-18, -0x1.ad5f336dfb888p-18, -0x1.935eadda6f31ap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cc57e9e7fa866p-1, 0x1.c77c50ed2e67cp-1, 0x1.c2733f425235ap-1, 0x1.bd3e810041b1dp-1, 0x1.b7dfe734bf038p-1, 0x1.b25946cf1072ep-1, 0x1.acac779d3d08ep-1, 0x1.a6db535946013p-1, 0x1.a0e7b4c5abd1p-1, 0x1.9ad376d88c6b3p-1, 0x1.94a073f4a8a2ep-1, 0x1.8e50852f9ccbap-1, 0x1.87e581a4a1102p-1, 0x1.81613dd323c75p-1, 0x1.7ac58b089ad4ep-1, 0x1.741436d4e5d65p-1, 0x1.6d4f0a88a79e1p-1, 0x1.6677cabcfe28ep-1, 0x1.5f9036e401f96p-1, 0x1.589a08e180ff3p-1, 0x1.5196f4ab6e3cap-1, 0x1.4a88a7f17d9afp-1, 0x1.4370c9cb74f73p-1, 0x1.3c50fa6db9734p-1, 0x1.352ad2e3ae667p-1, 0x1.2dffe4cf7ad3bp-1, 0x1.26d1ba2eda5cdp-1, 0x1.1fa1d524a3464p-1, 0x1.1871afc6b0d6ep-1, 0x1.1142bbefed787p-1, 0x1.0a1663163d7b9p-1, 0x1.02ee062414664p-1, 0x1.f795faab08daep-2, 0x1.e95d3031391aep-2, 0x1.db3439e1edd3ep-2, 0x1.cd1d92bcac807p-2, 0x1.bf1ba38c70111p-2, 0x1.b130c2c09915cp-2, 0x1.a35f344b788bcp-2, 0x1.95a9298664291p-2, 0x1.8810c11b34ebbp-2, 0x1.7a9806f31de3ep-2, 0x1.6d40f42ac6ff8p-2, 0x1.600d6f0b9b8f3p-2, 0x1.52ff4b0a384afp-2, 0x1.461848c9eba4dp-2, 0x1.395a16252f574p-2, 0x1.2cc64e3b0fcp-2, 0x1.205e79815c875p-2, 0x1.14240ddb9b88ap-2, 0x1.08186eb690b17p-2, 0x1.f879da5096e16p-3, 0x1.e12590291b783p-3, 0x1.ca3658aae10bp-3, 0x1.b3ae69d0342bep-3, 0x1.9d8fd63ac63eep-3, 0x1.87dc8d9c760a2p-3, 0x1.72965d273c1b1p-3, 0x1.5dbef003ea126p-3, 0x1.4957cfcf499cfp-3, 0x1.3562651d4db22p-3, 0x1.21dff801da104p-3, 0x1.0ed1b09ed5527p-3, 0x1.f8712f6e0dec2p-4, 0x1.d42b2e8ad9badp-4, 0x1.b0d2f6312db1cp-4, 0x1.8e69e2e363a98p-4, 0x1.6cf1174d9671bp-4, 0x1.4c697d90052d2p-4, 0x1.2cd3c88e724a3p-4, 0x1.0e307543daa87p-4, 0x1.e0ff983396a5fp-5, 0x1.a783c4855ec76p-5, 0x1.6fed362cdf9ecp-5, 0x1.3a3b52e1938ap-5, 0x1.066d22219337dp-5, 0x1.a9029fe364b7p-6, 0x1.48ec5f3b88486p-6, 0x1.d926f9e0244cp-7, 0x1.27e69a5b72d8fp-7, 0x1.f83418fcda4d8p-9, -0x1.238c9a15637bap-10, -0x1.7f445e9c763f2p-8, -0x1.5392eca20f8d2p-7, -0x1.e05300f1927c3p-7, -0x1.32f9572b813ddp-6, -0x1.72419c6fab13p-6, -0x1.ae0b6e18e0233p-6, -0x1.e66060aa4ce42p-6, -0x1.0da53d244320ep-5, -0x1.266a16ddbd4fbp-5, -0x1.3d842ac08051cp-5, -0x1.52f917784c7e5p-5, -0x1.66ceaab86439dp-5, -0x1.790adedf3b54cp-5, -0x1.89b3d8a34fcf3p-5, -0x1.98cfe4c953672p-5, -0x1.a66575e3c273ap-5, -0x1.b27b221bfff82p-5, -0x1.bd17a1050f91dp-5, -0x1.c641c977f7183p-5, -0x1.ce008f79daf1ep-5, -0x1.d45b022bd8a1bp-5, -0x1.d95849c4a8575p-5, -0x1.dcffa5940b25fp-5, -0x1.df586a1000f31p-5, -0x1.e069feebcddabp-5, -0x1.e03bdd38c4d5fp-5, -0x1.ded58d90dd447p-5, -0x1.dc3ea64b04eb5p-5, -0x1.d87ec9b930e14p-5, -0x1.d39da47023e6dp-5, -0x1.cda2eb98e3d5dp-5, -0x1.c6965b4bd611p-5, -0x1.be7fb4f57e055p-5, -0x1.b566bdc4d1144p-5, -0x1.ab533d231d14ap-5, -0x1.a04cfb35740cfp-5, -0x1.945bbf6799fafp-5, -0x1.87874f006588ep-5, -0x1.79d76bbf902aap-5, -0x1.6b53d284eb14bp-5, -0x1.5c043a00edcb7p-5, -0x1.4bf0516e9902cp-5, -0x1.3b1fbf56a0156p-5, -0x1.299a205bd4dbcp-5, -0x1.17670610c5b23p-5, -0x1.048df5d688c1dp-5, -0x1.e22ccf894cf29p-6, -0x1.ba0f8b343bddp-6, -0x1.90d2d36edee94p-6, -0x1.66853c435310dp-6, -0x1.3b35371cd3fe5p-6, -0x1.0ef110f188afdp-6, -0x1.c38de0fc0a81bp-7, -0x1.6789a924ce3b8p-7, -0x1.09f124e1d51e8p-7, -0x1.55bf50f788277p-8, -0x1.29c0bc074ce2ep-9, 0x1.742a8918a2a17p-11, 0x1.e87a784816abep-9, 0x1.bc13a572483efp-8, 0x1.42eacb9c835efp-7, 0x1.a8a8740306ebap-7, 0x1.07950fcc9d748p-6, 0x1.3b2bc642a0998p-6, 0x1.6f0c72ad50b57p-6, 0x1.a32b617728c5ep-6, 0x1.d77d1705b18ddp-6, 0x1.05fb2842282cdp-5, 0x1.2046024fe4844p-5, 0x1.3a99b21952a9bp-5, 0x1.54f0ed7159fd7p-5, 0x1.6f4687d7ed224p-5, 0x1.899572ba3808fp-5, 0x1.a3d8bdabaf6f7p-5, 0x1.be0b969820c92p-5, 0x1.d82949eee186fp-5, 0x1.f22d42c73b4d2p-5, 0x1.0609857f1b6fp-4, 0x1.12eb25a6f338dp-4, 0x1.1fb965af2765fp-4, 0x1.2c7238e80a2dfp-4, 0x1.3913a220849fp-4, 0x1.459bb3a563b49p-4, 0x1.52088f3db8b46p-4, 0x1.5e58662462fd2p-4, 0x1.6a8978fed12c1p-4, 0x1.769a17d10ff19p-4, 0x1.8288a1ef374aap-4, 0x1.8e5385ec483e7p-4, 0x1.99f941868e4ccp-4, 0x1.a57861919b988p-4, 0x1.b0cf81dde624bp-4, 0x1.bbfd4d1e2e6cp-4, 0x1.c7007ccaae723p-4, 0x1.d1d7d9022d489p-4, 0x1.dc8238690b999p-4, 0x1.e6fe8006558d9p-4, 0x1.f14ba31efef89p-4, 0x1.fb68a30f3f44ap-4, 0x1.02aa47911d6a3p-3, 0x1.078742340155bp-3, 0x1.0c4ad6c5009c9p-3, 0x1.10f4a14eecc7ep-3, 0x1.1584447b70bd6p-3, 0x1.19f9697b1a5a1p-3, 0x1.1e53bfecc4d81p-3, 0x1.2292fdc45f97ap-3, 0x1.26b6df31274b8p-3, 0x1.2abf26835267ap-3, 0x1.2eab9c11399f2p-3, 0x1.327c0e1c0fcb7p-3, 0x1.363050b421515p-3, 0x1.39c83d9cb2c49p-3, 0x1.3d43b42f78a16p-3, 0x1.40a2993fc522cp-3, 0x1.43e4d6fd58db7p-3, 0x1.470a5cd6f941dp-3, 0x1.4a131f5cc0dc3p-3, 0x1.4cff18223c69fp-3, 0x1.4fce45a057aabp-3, 0x1.5280ab1721bp-3, 0x1.5516506f70a2cp-3, 0x1.578f421c706cap-3, 0x1.59eb90fd145abp-3, 0x1.5c2b523d89a0bp-3, 0x1.5e4e9f389a07cp-3, 0x1.6055955917684p-3, 0x1.624055fb47242p-3, 0x1.640f064e62bd8p-3, 0x1.65c1cf36259e7p-3, 0x1.6758dd2c77077p-3, 0x1.68d460232f418p-3, 0x1.6a348b6606287p-3, 0x1.6b79957ca4e3cp-3, 0x1.6ca3b80ce71fcp-3, 0x1.6db32fbd51ee8p-3, 0x1.6ea83c17bdacep-3, 0x1.6f831f6c3f3dp-3, 0x1.70441eb44d10dp-3, 0x1.70eb81762c553p-3, 0x1.717991a8a63e2p-3, 0x1.71ee9b9703b11p-3, 0x1.724aedc55d60bp-3, 0x1.728ed8d53bf3dp-3, 0x1.72baaf6a91e53p-3, 0x1.72cec611064f4p-3, 0x1.72cb7321a5c0fp-3, 0x1.72b10ea8e6a2ep-3, 0x1.727ff24d19cd7p-3, 0x1.7238793534d72p-3, 0x1.71dafff006d1fp-3, 0x1.7167e45bd6962p-3, 0x1.70df858e64727p-3, 0x1.704243bd60d94p-3, 0x1.6f90802742ee7p-3, 0x1.6eca9cfc9b1b1p-3, 0x1.6df0fd49d010ep-3, 0x1.6d0404e148df1p-3, 0x1.6c0418460ea82p-3, 0x1.6af19c96e354ap-3, 0x1.69ccf779c71a4p-3, 0x1.68968f07f3002p-3, 0x1.674ec9ba504adp-3, 0x1.65f60e565a56cp-3, 0x1.648cc3db82a17p-3, 0x1.6313517101e5p-3, 0x1.618a1e5426fc7p-3, 0x1.5ff191c713bbap-3, 0x1.5e4a12fffcd69p-3, 0x1.5c940918d437fp-3, 0x1.5acfdaff72e29p-3, 0x1.58fdef662fe53p-3, 0x1.571eacb4f6d95p-3, 0x1.553278facb747p-3, 0x1.5339b9dfc3d87p-3, 0x1.5134d49778c28p-3, 0x1.4f242dd3e7319p-3, 0x1.4d0829b8c1c32p-3, 0x1.4ae12bcf39b0bp-3, 0x1.48af96fa2eb69p-3, 0x1.4673cd6adb01bp-3, 0x1.442e3095de1ccp-3, 0x1.41df2128c4c48p-3, 0x1.3f86fefff09d6p-3, 0x1.3d26291cf07f6p-3, 0x1.3abcfd9d3dea1p-3, 0x1.384bd9b16cd24p-3, 0x1.35d31994b1a28p-3, 0x1.33531884dc397p-3, 0x1.30cc30baaf437p-3, 0x1.2e3ebb6299374p-3, 0x1.2bab1095cfd74p-3, 0x1.29118753cff8dp-3, 0x1.2672757c2f196p-3, 0x1.23ce2fc8d762ap-3, 0x1.212509c892d8ap-3, 0x1.1e7755d9f3c4fp-3, 0x1.1bc56526989cfp-3, 0x1.190f879ebc6e1p-3, 0x1.16560bf521e46p-3, 0x1.13993f9b4f3dp-3, 0x1.10d96ebe19634p-3, 0x1.0e16e4427c753p-3, 0x1.0b51e9c2c6f7bp-3, 0x1.088ac78c09a5dp-3, 0x1.05c1c49bd123ep-3, 0x1.02f7269e2fbd7p-3, 0x1.002b31ec02131p-3, 0x1.fabc5312f991cp-4, 0x1.f5209e4a04ae8p-4, 0x1.ef83c62c57bd5p-4, 0x1.e9e648ba3d064p-4, 0x1.e448a14432255p-4, 0x1.deab486a6ea7cp-4, 0x1.d90eb41cf765fp-4, 0x1.d373579c048c6p-4, 0x1.cdd9a378ed57bp-4, 0x1.c8420597710e6p-4, 0x1.c2ace92f66027p-4, 0x1.bd1ab6cece9cep-4, 0x1.b78bd45c49e36p-4, 0x1.b200a519e8447p-4, 0x1.ac7989a84c097p-4, 0x1.a6f6e00a2fd1p-4, 0x1.a17903a82a9c9p-4, 0x1.9c004d54e0efap-4, 0x1.968d13515cd0ap-4, 0x1.911fa951d3087p-4, 0x1.8bb86082964d1p-4, 0x1.8657878d585a8p-4, 0x1.80fd6a9ea9531p-4, 0x1.7baa536bb3d06p-4, 0x1.765e893834f26p-4, 0x1.711a50dcaac9ep-4, 0x1.6bddecccb9a6dp-4, 0x1.66a99d1dc24ep-4, 0x1.617d9f8da8ea5p-4, 0x1.5c5a2f89c906cp-4, 0x1.573f863613947p-4, 0x1.522dda7456cefp-4, 0x1.4d2560eba922bp-4, 0x1.48264c0ffa406p-4, 0x1.4330cc29c326dp-4, 0x1.3e450f5dd57cep-4, 0x1.396341b547987p-4, 0x1.348b8d257a07ap-4, 0x1.2fbe199836423p-4, 0x1.2afb0cf3e21dp-4, 0x1.26428b23c7fffp-4, 0x1.2194b620702c3p-4, 0x1.1cf1adf80ae5ep-4, 0x1.185990d6e8571p-4, 0x1.13cc7b0ffc3b3p-4, 0x1.0f4a87256c19ap-4, 0x1.0ad3cdd126ffap-4, 0x1.0668660d82819p-4, 0x1.0208651ddf4c8p-4, 0x1.fb67bd2e9d8cap-5, 0x1.f2d5c8d27972fp-5, 0x1.ea5b0dcc33698p-5, 0x1.e1f7a99805358p-5, 0x1.d9abb69ad1168p-5, 0x1.d1774c3365a2ap-5, 0x1.c95a7ecbbba81p-5, 0x1.c1555fea24ecdp-5, 0x1.b967fe426d903p-5, 0x1.b19265c6ea6bfp-5, 0x1.a9d49fb97692cp-5, 0x1.a22eb2bc582cap-5, 0x1.9aa0a2e30f29ap-5, 0x1.932a71c309eaep-5, 0x1.8bcc1e843cb79p-5, 0x1.8485a5f19e74ap-5, 0x1.7d57028980c4ep-5, 0x1.76402c8dcc5d8p-5, 0x1.6f411a1417009p-5, 0x1.6859bf1596a2ap-5, 0x1.618a0d7eeccdcp-5, 0x1.5ad1f53fcd6dfp-5, 0x1.5431645a79fb6p-5, 0x1.4da846f3153dep-5, 0x1.4736875eca063p-5, 0x1.40dc0e32c6fadp-5, 0x1.3a98c2530b3f9p-5, 0x1.346c8901082fap-5, 0x1.2e5745ea0f05ap-5, 0x1.2858db3592883p-5, 0x1.22712993360c8p-5, 0x1.1ca01048aa285p-5, 0x1.16e56d3f587c2p-5, 0x1.11411d11da5c6p-5, 0x1.0bb2fb193eecep-5, 0x1.063ae17a18f07p-5, 0x1.00d8a9315c64cp-5, 0x1.f718544207a61p-6, 0x1.ecaa763900febp-6, 0x1.e26763e9edbf4p-6, 0x1.d84ec70a86427p-6, 0x1.ce60477b8d961p-6, 0x1.c49b8b600602dp-6, 0x1.bb003733f0c3ep-6, 0x1.b18dede2a430cp-6, 0x1.a84450dcb4d53p-6, 0x1.9f23002d6d3d9p-6, 0x1.96299a8fdce9fp-6, 0x1.8d57bd8375f64p-6, 0x1.84ad05603cfb2p-6, 0x1.7c290d6a8eae3p-6, 0x1.73cb6fe67706ep-6, 0x1.6b93c62a9934bp-6, 0x1.6381a8b2b0d8ap-6, 0x1.5b94af31a1f34p-6, 0x1.53cc70a32161ap-6, 0x1.4c28835cef941p-6, 0x1.44a87d1fadef6p-6, 0x1.3d4bf32745008p-6, 0x1.36127a3ae6c29p-6, 0x1.2efba6bca5efep-6, 0x1.28070cb8aace4p-6, 0x1.21343ff3f8ccfp-6, 0x1.1a82d3fadac41p-6, 0x1.13f25c2ee16dbp-6, 0x1.0d826bd4822b2p-6, 0x1.073296205562dp-6, 0x1.01026e43ee20ep-6, 0x1.f5e30ef4ade2ep-7, 0x1.e9feea2857047p-7, 0x1.de579506aefbfp-7, 0x1.d2ec36ccee38ap-7, 0x1.c7bbf727b2ccep-7, 0x1.bcc5fe4859447p-7, 0x1.b20974f998e4p-7, 0x1.a78584b37e0fap-7, 0x1.9d3957aea1115p-7, 0x1.932418f6c7b0ap-7, 0x1.8944f47cd13e1p-7, 0x1.7f9b1727fdf39p-7, 0x1.7625aee6947cdp-7, 0x1.6ce3eabdecaf4p-7, 0x1.63d4fad9cbbf2p-7, 0x1.5af8109b36877p-7, 0x1.524c5ea69dc07p-7, 0x1.49d118f17c11p-7, 0x1.418574cf5bd8dp-7, 0x1.3968a8fe4fd17p-7, 0x1.3179edb2d7116p-7, 0x1.29b87ca33b5b7p-7, 0x1.2223911264cdcp-7, 0x1.1aba67da262dap-7, 0x1.137c3f75064fap-7, 0x1.0c68580789267p-7, 0x1.057df368f972dp-7, 0x1.fd78aa576f765p-8, 0x1.f045854a20bb2p-8, 0x1.e36105e935fcep-8, 0x1.d6c9be164cd58p-8, 0x1.ca7e436266ef2p-8, 0x1.be7d2f1a03a6p-8, 0x1.b2c51e50617e1p-8, 0x1.a754b1e9ed0d2p-8, 0x1.9c2a8ea5e26bcp-8, 0x1.91455d272684bp-8, 0x1.86a3c9fc5d9c5p-8, 0x1.7c4485a743499p-8, 0x1.722644a34788p-8, 0x1.6847bf6b7a769p-8, 0x1.5ea7b27fc4805p-8, 0x1.5544de6977e42p-8, 0x1.4c1e07bf38813p-8, 0x1.4331f728440aep-8, 0x1.3a7f795f1d749p-8, 0x1.32055f339ef64p-8, 0x1.29c27d8c79b2cp-8, 0x1.21b5ad6825892p-8, 0x1.19ddcbdd4590ep-8, 0x1.1239ba1a860b5p-8, 0x1.0ac85d65fa423p-8, 0x1.03889f1bf85bfp-8, 0x1.f8f2d95afe7f9p-9, 0x1.eb336f3c48927p-9, 0x1.ddd0eb031f18ap-9, 0x1.d0c93ff116e79p-9, 0x1.c41a695b52d22p-9, 0x1.b7c26aa3009f5p-9, 0x1.abbf4f2d1338dp-9, 0x1.a00f2a593ce29p-9, 0x1.94b01778381dap-9, 0x1.89a039c15c668p-9, 0x1.7eddbc478f21ep-9, 0x1.7466d1ed92f85p-9, 0x1.6a39b559b991ap-9, 0x1.6054a8e908937p-9, 0x1.56b5f6a1cc41fp-9, 0x1.4d5bf025a394ep-9, 0x1.4444eea310739p-9, 0x1.3b6f52c689d6bp-9, 0x1.32d984ab18423p-9, 0x1.2a81f3ca8a1a2p-9, 0x1.226716ed37fp-9, 0x1.1a876c196acd9p-9, 0x1.12e17882635b7p-9, 0x1.0b73c87706f6p-9, 0x1.043cef503bb11p-9, 0x1.fa770ebded585p-10, 0x1.ecdc63b4002e9p-10, 0x1.dfa72d96e3f32p-10, 0x1.d2d4c9fbf8d82p-10, 0x1.c662a3d3cc8d4p-10, 0x1.ba4e3343c3c78p-10, 0x1.ae94fd7f4d90fp-10, 0x1.a33494a0c7c81p-10, 0x1.982a9782086ccp-10, 0x1.8d74b1949ede3p-10, 0x1.83109ab9d2abap-10, 0x1.78fc171a6357bp-10, 0x1.6f34f6fe1b13p-10, 0x1.65b916a326ea6p-10, 0x1.5c865e155750bp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d4be5caae35ffp-1, 0x1.d09c2293a3a1fp-1, 0x1.cc4f510a00246p-1, 0x1.c7d904d651413p-1, 0x1.c33a5fd5fd523p-1, 0x1.be748860b9118p-1, 0x1.b988a8b4e5ddbp-1, 0x1.b477ee6af4985p-1, 0x1.af4389efa551p-1, 0x1.a9ecae04f984fp-1, 0x1.a4748f49a1f82p-1, 0x1.9edc63c6b2492p-1, 0x1.992562836345p-1, 0x1.9350c31ea273dp-1, 0x1.8d5fbd6e3af74p-1, 0x1.8753892355541p-1, 0x1.812d5d7416492p-1, 0x1.7aee70ca203cep-1, 0x1.7497f875be84p-1, 0x1.6e2b2865803b7p-1, 0x1.67a932e20bbc4p-1, 0x1.6113484df457fp-1, 0x1.5a6a96e95e78p-1, 0x1.53b04a993cb0ep-1, 0x1.4ce58cb1f7d31p-1, 0x1.460b83c54f655p-1, 0x1.3f23537348c1dp-1, 0x1.382e1c3dfe6dep-1, 0x1.312cfb602932cp-1, 0x1.2a210aa63d22dp-1, 0x1.230b6049f2bf4p-1, 0x1.1bed0ed0204fap-1, 0x1.14c724e8be7b1p-1, 0x1.0d9aad510099ep-1, 0x1.0668aeb762301p-1, 0x1.fe64574324f1fp-2, 0x1.eff044a854e3ep-2, 0x1.e17719782c29bp-2, 0x1.d2fac0b33e55ap-2, 0x1.c47d1c5a189a4p-2, 0x1.b60005498255dp-2, 0x1.a7854b19ac5cfp-2, 0x1.990eb400334f2p-2, 0x1.8a9dfcb4e35dbp-2, 0x1.7c34d85924734p-2, 0x1.6dd4f06203bd4p-2, 0x1.5f7fe484c3b9p-2, 0x1.51374aa5e8358p-2, 0x1.42fcaecab1fa1p-2, 0x1.34d1930cf3a37p-2, 0x1.26b76f913d13bp-2, 0x1.18afb27f4da05p-2, 0x1.0abbbffcbaf58p-2, 0x1.f9b9e45393356p-3, 0x1.de293240c4da9p-3, 0x1.c2c7f5ea4155dp-3, 0x1.a798a774c3591p-3, 0x1.8c9dab0aa59dp-3, 0x1.71d950e9d374p-3, 0x1.574dd5757661p-3, 0x1.3cfd614b456ep-3, 0x1.22ea095c58595p-3, 0x1.0915cf095c4bfp-3, 0x1.df054084212e1p-4, 0x1.ac64af4fd95dcp-4, 0x1.7a4d796790509p-4, 0x1.48c307bcdcef1p-4, 0x1.17c89d97e7e99p-4, 0x1.cec2b1e6ca33cp-5, 0x1.6f2065bb223f3p-5, 0x1.10afffbbecb26p-5, 0x1.66edc17ec3acap-6, 0x1.5de888ffb5cfbp-7, -0x1.a0b45f659b938p-12, -0x1.72dccb0d85ca8p-7, -0x1.69c5e5d65fb28p-6, -0x1.0bc0a3f053f1dp-5, -0x1.614c8329b031dp-5, -0x1.b5830f85690dap-5, -0x1.0430843f25ddcp-4, -0x1.2cf1b6864e602p-4, -0x1.5503bd495a811p-4, -0x1.7c6555e2f091ap-4, -0x1.a3155bc9f4972p-4, -0x1.c912c802d04fep-4, -0x1.ee5cb08f78eecp-4, -0x1.097923ef2bebfp-3, -0x1.1b696e1c24c88p-3, -0x1.2cfeeb96eb4d6p-3, -0x1.3e395e81efc6dp-3, -0x1.4f18960fe708bp-3, -0x1.5f9c6e39c25e9p-3, -0x1.6fc4cf748fbc5p-3, -0x1.7f91ae675bb04p-3, -0x1.8f030ba11d032p-3, -0x1.9e18f34ebf20ap-3, -0x1.acd37cf1587bcp-3, -0x1.bb32cb14969a6p-3, -0x1.c9370b056f9e7p-3, -0x1.d6e07489267ddp-3, -0x1.e42f4994ac77cp-3, -0x1.f123d60465efp-3, -0x1.fdbe6f54635ffp-3, -0x1.04ffba2c87398p-2, -0x1.0af3a67c3174cp-2, -0x1.10bb34f1d54dep-2, -0x1.1656a228e62d9p-2, -0x1.1bc62edd1c23dp-2, -0x1.210a1fc836999p-2, -0x1.2622bd8014548p-2, -0x1.2b10545521aecp-2, -0x1.2fd334311acf2p-2, -0x1.346bb0762dc1ep-2, -0x1.38da1fde74f87p-2, -0x1.3d1edc5bd52ep-2, -0x1.413a42f836c72p-2, -0x1.452cb3b627ddcp-2, -0x1.48f69171dcdbdp-2, -0x1.4c9841c29aa4p-2, -0x1.50122cdc87331p-2, -0x1.5364bd72e12c7p-2, -0x1.5690609aa244cp-2, -0x1.599585ad8cfddp-2, -0x1.5c749e2da3eefp-2, -0x1.5f2e1da90f721p-2, -0x1.61c2799e6ff28p-2, -0x1.643229619f101p-2, -0x1.667da600de458p-2, -0x1.68a56a2a7625bp-2, -0x1.6aa9f212c46d9p-2, -0x1.6c8bbb5abb8e7p-2, -0x1.6e4b44f6d1edep-2, -0x1.6fe90f1663efcp-2, -0x1.71659b0b84d51p-2, -0x1.72c16b334578ap-2, -0x1.73fd02de673d2p-2, -0x1.7518e63a870cp-2, -0x1.76159a3bb5d78p-2, -0x1.76f3a48686199p-2, -0x1.77b38b5a8bacp-2, -0x1.7855d57d4a757p-2, -0x1.78db0a259d278p-2, -0x1.7943b0e7889e3p-2, -0x1.799051a082eb5p-2, -0x1.79c174642eed2p-2, -0x1.79d7a16984f88p-2, -0x1.79d360f86f9dcp-2, -0x1.79b53b57d9761p-2, -0x1.797db8bc29c4ap-2, -0x1.792d613632205p-2, -0x1.78c4bca28e059p-2, -0x1.784452996d47cp-2, -0x1.77acaa5ed22e2p-2, -0x1.76fe4ad33a6f3p-2, -0x1.7639ba64b853ep-2, -0x1.755f7f007647fp-2, -0x1.74701e04aa21dp-2, -0x1.736c1c32f185fp-2, -0x1.7253fda31b5dcp-2, -0x1.712845b65a6aap-2, -0x1.6fe9770ae086p-2, -0x1.6e98136fe682ap-2, -0x1.6d349bda1773cp-2, -0x1.6bbf90586510bp-2, -0x1.6a39700942927p-2, -0x1.68a2b91043d76p-2, -0x1.66fbe88c20cdbp-2, -0x1.65457a8d1c431p-2, -0x1.637fea0bcd38cp-2, -0x1.61abb0e047a72p-2, -0x1.5fc947b9a7558p-2, -0x1.5dd92615f7ee8p-2, -0x1.5bdbc23a7b32fp-2, -0x1.59d1912c4c69ap-2, -0x1.57bb06a95d172p-2, -0x1.55989521ce114p-2, -0x1.536aadb19fa79p-2, -0x1.5131c01aba321p-2, -0x1.4eee3abf4c638p-2, -0x1.4ca08a9c7f5e4p-2, -0x1.4a491b457c972p-2, -0x1.47e856dec8298p-2, -0x1.457ea619e9748p-2, -0x1.430c70316585ap-2, -0x1.40921ae506eb7p-2, -0x1.3e100a76712ep-2, -0x1.3b86a1a6005cbp-2, -0x1.38f641aff19ebp-2, -0x1.365f4a49d6873p-2, -0x1.33c219a04bb45p-2, -0x1.311f0c54f63cap-2, -0x1.2e767d7cc7ec2p-2, -0x1.2bc8c69e8031fp-2, -0x1.29163fb1736d5p-2, -0x1.265f3f1c8eeb2p-2, -0x1.23a419b59bc89p-2, -0x1.20e522c0bcc41p-2, -0x1.1e22abf02a82fp-2, -0x1.1b5d0564257e1p-2, -0x1.18947dab218cap-2, -0x1.15c961c229b9dp-2, -0x1.12fbfd15763e1p-2, -0x1.102c9981373f1p-2, -0x1.0d5b7f5291b33p-2, -0x1.0a88f548ce678p-2, -0x1.07b54096b3b02p-2, -0x1.04e0a4e412fd2p-2, -0x1.020b644f7d947p-2, -0x1.fe6b7ee04b6f1p-3, -0x1.f8bfeaafd6a64p-3, -0x1.f314872b189d9p-3, -0x1.ed69cc6dffedp-3, -0x1.e7c02f97e9644p-3, -0x1.e21822d0e2b93p-3, -0x1.dc72154f37fbp-3, -0x1.d6ce735d3bf3bp-3, -0x1.d12da65f5282fp-3, -0x1.cb9014da3cf08p-3, -0x1.c5f6227995bf7p-3, -0x1.c0603016903afp-3, -0x1.bace9bbee15bdp-3, -0x1.b541c0bbe8022p-3, -0x1.afb9f799f77d1p-3, -0x1.aa37962fd97d7p-3, -0x1.a4baefa67a405p-3, -0x1.9f445480b8ca8p-3, -0x1.99d412a3607b3p-3, -0x1.946a755d4b14fp-3, -0x1.8f07c56f9d2a2p-3, -0x1.89ac491624d77p-3, -0x1.8458440fdd6fdp-3, -0x1.7f0bf7a7821c8p-3, -0x1.79c7a2bc43ac3p-3, -0x1.748b81ca94601p-3, -0x1.6f57cef5038d7p-3, -0x1.6a2cc20d33a38p-3, -0x1.650a909cdf248p-3, -0x1.5ff16deeebb21p-3, -0x1.5ae18b188c0ddp-3, -0x1.55db1702710dap-3, -0x1.50de3e720199bp-3, -0x1.4beb2c129c572p-3, -0x1.4702087edf7b6p-3, -0x1.4222fa49f96afp-3, -0x1.3d4e2608f8774p-3, -0x1.3883ae5c24495p-3, -0x1.33c3b3f84bdd4p-3, -0x1.2f0e55b021904p-3, -0x1.2a63b07d8ca11p-3, -0x1.25c3df8af72b4p-3, -0x1.212efc3c9b412p-3, -0x1.1ca51e39c9de2p-3, -0x1.18265b7626693p-3, -0x1.13b2c83ae1563p-3, -0x1.0f4a772fe12fep-3, -0x1.0aed7964e81cep-3, -0x1.069bde5aab51ep-3, -0x1.0255b40bdc713p-3, -0x1.fc360dec4ef5p-4, -0x1.f3d7c44640098p-4, -0x1.eb909e624b576p-4, -0x1.e360acb856ed7p-4, -0x1.db47fd0cfcbdbp-4, -0x1.d3469a82d690bp-4, -0x1.cb5c8dabba24cp-4, -0x1.c389dc99c085dp-4, -0x1.bbce8af02bf8ap-4, -0x1.b42a99f4256f7p-4, -0x1.ac9e089d4c41ep-4, -0x1.a528d3a619e92p-4, -0x1.9dcaf59c1f088p-4, -0x1.968466f005004p-4, -0x1.8f551e05702f3p-4, -0x1.883d0f42a8aep-4, -0x1.813c2d2015206p-4, -0x1.7a52683783083p-4, -0x1.737faf533e042p-4, -0x1.6cc3ef7cf3289p-4, -0x1.661f140c5febbp-4, -0x1.5f9106b5ce672p-4, -0x1.5919af985bf21p-4, -0x1.52b8f54c09e59p-4, -0x1.4c6ebcef98b9dp-4, -0x1.463aea362e88dp-4, -0x1.401d5f74c3ddcp-4, -0x1.3a15fdaf5cf89p-4, -0x1.3424a4a60a125p-4, -0x1.2e4932e1afdc3p-4, -0x1.288385c09a84cp-4, -0x1.22d37982d7085p-4, -0x1.1d38e9565544fp-4, -0x1.17b3af62d3846p-4, -0x1.1243a4d59026p-4, -0x1.0ce8a1ecc4ebfp-4, -0x1.07a27e02e9a33p-4, -0x1.02710f99c014fp-4, -0x1.faa858ca4ce38p-5, -0x1.f09752ab6a9eep-5, -0x1.e6aeb5464570cp-5, -0x1.dcee27ace2a98p-5, -0x1.d3554fa7cccf2p-5, -0x1.c9e3d1c99662cp-5, -0x1.c0995181eb01dp-5, -0x1.b77571303a239p-5, -0x1.ae77d235f14p-5, -0x1.a5a015084f93ap-5, -0x1.9cedd941ccd1p-5, -0x1.9460bdb316f8ap-5, -0x1.8bf86073ab90bp-5, -0x1.83b45ef202bb9p-5, -0x1.7b9456035af5bp-5, -0x1.7397e1f31928ap-5, -0x1.6bbe9e91c7a2ap-5, -0x1.64082743b06dap-5, -0x1.5c74170f15221p-5, -0x1.550208aa04355p-5, -0x1.4db19687cde09p-5, -0x1.46825ae61c7f1p-5, -0x1.3f73efd9aa0d6p-5, -0x1.3885ef5a9ae2ep-5, -0x1.31b7f3507e587p-5, -0x1.2b09959def615p-5, -0x1.247a702be21b3p-5, -0x1.1e0a1cf493135p-5, -0x1.17b8360e22cd9p-5, -0x1.118455b4dabefp-5, -0x1.0b6e16551d21cp-5, -0x1.0575129501671p-5, -0x1.ff31cabb3e0f2p-6, -0x1.f3b253c80f839p-6, -0x1.e86af763e1235p-6, -0x1.dd5aed5c1c9d2p-6, -0x1.d2816e4849c3p-6, -0x1.c7ddb39994434p-6, -0x1.bd6ef7a9be4f9p-6, -0x1.b33475c97ec97p-6, -0x1.a92d6a4e54ce8p-6, -0x1.9f59129fc8e6ep-6, -0x1.95b6ad442717ep-6, -0x1.8c4579ecb0728p-6, -0x1.8304b98148574p-6, -0x1.79f3ae2b9f8b2p-6, -0x1.71119b61dd1ep-6, -0x1.685dc5f0cd94p-6, -0x1.5fd7740594196p-6, -0x1.577ded36e84e5p-6, -0x1.4f507a8dd8ee1p-6, -0x1.474e668e1ddebp-6, -0x1.3f76fd3dfc7a7p-6, -0x1.37c98c2db9d9bp-6, -0x1.3045627ea38fcp-6, -0x1.28e9d0e9b0f5cp-6, -0x1.21b629c5b9805p-6, -0x1.1aa9c10d4aad1p-6, -0x1.13c3ec641d88cp-6, -0x1.0d04031c26e05p-6, -0x1.06695e3a5198ap-6, -0x1.ffe6b0f5b40d7p-7, -0x1.f3429caaa2a3fp-7, -0x1.e6e53c0098ca1p-7, -0x1.dacd4ee97e433p-7, -0x1.cef998e20916cp-7, -0x1.c368e0f730452p-7, -0x1.b819f1cb067e6p-7, -0x1.ad0b9998ffa9bp-7, -0x1.a23caa399e6e2p-7, -0x1.97abf9259c08p-7, -0x1.8d585f7881f8ep-7, -0x1.8340b9f2c23d9p-7, -0x1.7963e8fb49d04p-7, -0x1.6fc0d0a09a223p-7, -0x1.66565899698c9p-7, -0x1.5d236c44c7e7dp-7, -0x1.5426faa9dafe1p-7, -0x1.4b5ff677262d2p-7, -0x1.42cd560168577p-7, -0x1.3a6e13421b412p-7, -0x1.32412bd582565p-7, -0x1.2a45a0f865b46p-7, -0x1.227a77856a66ap-7, -0x1.1adeb7f2155a1p-7, -0x1.13716e4b76c6ap-7, -0x1.0c31aa3283b02p-7, -0x1.051e7ed821db4p-7, -0x1.fc6e05f1cb04bp-8, -0x1.eef4a1b110379p-8, -0x1.e1cf0c7a2f8bcp-8, -0x1.d4fb88d3c9aa4p-8, -0x1.c87860345d92bp-8, -0x1.bc43e2f726f43p-8, -0x1.b05c68508a3efp-8, -0x1.a4c04e420d963p-8, -0x1.996df98dea751p-8, -0x1.8e63d5aa36e6p-8, -0x1.83a054b3b2678p-8, -0x1.7921ef6033acep-8, -0x1.6ee724f0c1ee9p-8, -0x1.64ee7b235bc0dp-8, -0x1.5b367e2472332p-8, -0x1.51bdc08017a85p-8, -0x1.4882db12edf0cp-8, -0x1.3f846cfad2d02p-8, -0x1.36c11b874f25ap-8, -0x1.2e379229d051ap-8, -0x1.25e68265acb0dp-8, -0x1.1dcca3bff6d48p-8, -0x1.15e8b3af2562ep-8, -0x1.0e39758a91de2p-8, -0x1.06bdb279d1fc9p-8, -0x1.fee872c7dc31cp-9, -0x1.f0b7bdbcf5daap-9, -0x1.e2e6fa392c108p-9, -0x1.d573e7bb95c88p-9, -0x1.c85c50b9c5375p-9, -0x1.bb9e0a7d42a11p-9, -0x1.af36f500e7a2ap-9, -0x1.a324face21b5ep-9, -0x1.976610da2101fp-9, -0x1.8bf83662f9187p-9, -0x1.80d974ccb4303p-9, -0x1.7607df7e65cfap-9, -0x1.6b8193bf3c56fp-9, -0x1.6144b89393aaep-9, -0x1.574f7e9a14d16p-9, -0x1.4da01fe8e0414p-9, -0x1.4434dfeac6d46p-9, -0x1.3b0c0b3c9e4f9p-9, -0x1.3223f78aa6ce1p-9, -0x1.297b036e11f3cp-9, -0x1.210f964aa6456p-9, -0x1.18e0202c88383p-9, -0x1.10eb19a627d95p-9, -0x1.092f03ae59cddp-9, -0x1.01aa677e98db4p-9, -0x1.f4b7ace2f554ep-10, -0x1.e683d3c2a9e8ep-10, -0x1.d8b6860e2bd3ap-10, -0x1.cb4d15b2a9cabp-10, -0x1.be44e3d735b4dp-10, -0x1.b19b609bd4c06p-10, -0x1.a54e0ad8fcb01p-10, -0x1.995a6fdf9f05p-10, -0x1.8dbe2b39a9404p-10, -0x1.8276e66b1c03fp-10, -0x1.778258b39aac1p-10, -0x1.6cde46d096484p-10, -0x1.628882c00310ap-10, -0x1.587eeb839f199p-10, -0x1.4ebf6ce4d1058p-10, -0x1.4547ff392337bp-10, -0x1.3c16a72754c4bp-10, -0x1.3329756d04a37p-10, -0x1.2a7e86a506e01p-10, -0x1.2214030e48ccap-10, -0x1.19e81e5370183p-10, -0x1.11f917530100cp-10, -0x1.0a4537e8462dep-10, -0x1.02cad4b4c6841p-10, -0x1.f71099d4edff7p-11, -0x1.e8f8142d0e10ap-11, -0x1.db48ffd9bc31p-11, -0x1.ce0058288169fp-11, -0x1.c11b2be643871p-11, -0x1.b4969cfa3d96ap-11, -0x1.a86fe00250443p-11, -0x1.9ca43bf0ac4ccp-11, -0x1.913109aad3e5fp-11, -0x1.8613b3a9f6792p-11, -0x1.7b49b59ca5583p-11, -0x1.70d09c09e218cp-11, -0x1.66a603f582fc3p-11, -0x1.5cc79a85f3785p-11, -0x1.53331cab48526p-11, -0x1.49e656c7acb3bp-11, -0x1.40df2459237d9p-11, -0x1.381b6fa49e36bp-11, -0x1.2f9931626549ap-11, -0x1.2756706bd39c8p-11, -0x1.1f51416a608dp-11, -0x1.1787c687facaep-11, -0x1.0ff82f20acdc1p-11, -0x1.08a0b7758dfedp-11, -0x1.017fa860fbcecp-11, -0x1.f526ae1831b2fp-12, -0x1.e7b4494b23df1p-12, -0x1.daa4fc3345f9ep-12, -0x1.cdf5b796b9147p-12, -0x1.c1a3829e4d7b9p-12, -0x1.b5ab7a4cfabbdp-12, -0x1.aa0ad0f9ca185p-12, -0x1.9ebecdcc2ae62p-12, -0x1.93c4cc3aa9254p-12, -0x1.891a3b8c04889p-12, -0x1.7ebc9e5aa2133p-12, -0x1.74a98a1a4e621p-12, -0x1.6adea6a04ed4cp-12, -0x1.6159adadb73a4p-12, -0x1.58186a7c0474p-12, -0x1.4f18b94becc08p-12, -0x1.465886f668d3ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0a258e2ab182p-1, 0x1.ef3552bf0a132p-1, 0x1.edb868ec67ce7p-1, 0x1.ec2bda17cc8f8p-1, 0x1.ea8fe6756a308p-1, 0x1.e8e4cfa34df0dp-1, 0x1.e72ad88d037fep-1, 0x1.e56245502f6d2p-1, 0x1.e38b5b22232e1p-1, 0x1.e1a6603668f8fp-1, 0x1.dfb39ba64622p-1, 0x1.ddb3555932aa3p-1, 0x1.dba5d5ee3e83ep-1, 0x1.d98b66a66375dp-1, 0x1.d764514fbbe8cp-1, 0x1.d530e031983f8p-1, 0x1.d2f15df970167p-1, 0x1.d0a615a8a3191p-1, 0x1.ce4f528307abcp-1, 0x1.cbed5ffe40283p-1, 0x1.c98089b1cbacfp-1, 0x1.c7091b47d0869p-1, 0x1.c487606e980e1p-1, 0x1.c1fba4cab2517p-1, 0x1.bf6633e9bf511p-1, 0x1.bcc75935d508cp-1, 0x1.ba1f5fe97a1f2p-1, 0x1.b76e930432615p-1, 0x1.b4b53d3f9638bp-1, 0x1.b1f3a904eb6e4p-1, 0x1.af2a20633f738p-1, 0x1.ac58ed05f94c4p-1, 0x1.a980582bdf5b7p-1, 0x1.a6a0aa9e8bcc9p-1, 0x1.a3ba2caa4b6bep-1, 0x1.a0cd26166216fp-1, 0x1.9dd9de1dae9cbp-1, 0x1.9ae09b67ae0e8p-1, 0x1.97e1a401d57c4p-1, 0x1.94dd3d5943df2p-1, 0x1.91d3ac34c32ecp-1, 0x1.8ec534af1bb43p-1, 0x1.8bb21a31b026fp-1, 0x1.889a9f6f64c66p-1, 0x1.857f065fcd0a3p-1, 0x1.825f903a9bf3bp-1, 0x1.7f3c7d7358c33p-1, 0x1.7c160db550cf6p-1, 0x1.78ec7fdfc95a8p-1, 0x1.75c012026c8edp-1, 0x1.72910159f0187p-1, 0x1.6f5f8a4cf675ep-1, 0x1.6c2be869250fbp-1, 0x1.68f6566072629p-1, 0x1.65bf0e06a64d9p-1, 0x1.6286484f0f976p-1, 0x1.5f4c3d4a6a0c9p-1, 0x1.5c112424f5374p-1, 0x1.58d53324bb3f7p-1, 0x1.55989fa805c0dp-1, 0x1.525b9e23ffb56p-1, 0x1.4f1e62238473cp-1, 0x1.4be11e4617cdbp-1, 0x1.48a4043f0a28fp-1, 0x1.456744d4c50e5p-1, 0x1.422b0fe03f162p-1, 0x1.3eef944c9687ep-1, 0x1.3bb50016d2e6ap-1, 0x1.387b804dca8ddp-1, 0x1.354341122c5dbp-1, 0x1.320c6d96ab0dep-1, 0x1.2ed730204be7p-1, 0x1.2ba3b206d4ee1p-1, 0x1.28721bb55af38p-1, 0x1.254294aaee327p-1, 0x1.2215437b6467dp-1, 0x1.1eea4dd03fb87p-1, 0x1.1bc1d869b1132p-1, 0x1.189c071fb3a54p-1, 0x1.1578fce34474cp-1, 0x1.1258dbbfaede2p-1, 0x1.0f3bc4dbf4c78p-1, 0x1.0c21d87c49149p-1, 0x1.090b3603a1d9ep-1, 0x1.05f7fbf55facep-1, 0x1.02e847f705e27p-1, 0x1.ffb86da410b4bp-2, 0x1.f9a7c8eb52401p-2, 0x1.f39ed7f1cf45cp-2, 0x1.ed9dcf38fea67p-2, 0x1.e7a4e199ebb89p-2, 0x1.e1b440496e717p-2, 0x1.dbcc1adc7fb3bp-2, 0x1.d5ec9f4ca47d3p-2, 0x1.d015f9fc71b51p-2, 0x1.ca4855bc274ap-2, 0x1.c483dbce5e38cp-2, 0x1.bec8b3eccb3f9p-2, 0x1.b917044d10144p-2, 0x1.b36ef1a5a3088p-2, 0x1.add09f32be28bp-2, 0x1.a83c2ebb6305ap-2, 0x1.a2b1c09665f92p-2, 0x1.9d3173af88cebp-2, 0x1.97bb658c9c055p-2, 0x1.924fb252ab806p-2, 0x1.8cee74cb33238p-2, 0x1.8797c66958b54p-2, 0x1.824bbf4f2e1cfp-2, 0x1.7d0a7652f6b5p-2, 0x1.77d4010472548p-2, 0x1.72a873b22a1b7p-2, 0x1.6d87e16ec134p-2, 0x1.68725c1645239p-2, 0x1.6367f45381a03p-2, 0x1.5e68b9a550e16p-2, 0x1.5974ba63f0571p-2, 0x1.548c03c64d04dp-2, 0x1.4faea1e75605ep-2, 0x1.4adc9fcb4482cp-2, 0x1.46160764e64a2p-2, 0x1.415ae19ae1d1cp-2, 0x1.3cab364cf5d02p-2, 0x1.38070c593552fp-2, 0x1.336e69a13b79p-2, 0x1.2ee1530f5e4bbp-2, 0x1.2a5fcc9bd5482p-2, 0x1.25e9d951dcd33p-2, 0x1.217f7b54d234bp-2, 0x1.1d20b3e545743p-2, 0x1.18cd8366065f8p-2, 0x1.1485e96127037p-2, 0x1.1049e48cf4e75p-2, 0x1.0c1972d0ec216p-2, 0x1.07f4914a9be65p-2, 0x1.03db3c528725p-2, 0x1.ff9adf01eefd4p-3, 0x1.f7964b658a81fp-3, 0x1.efa8b21c318eap-3, 0x1.e7d2060e364a8p-3, 0x1.e01238c943145p-3, 0x1.d8693a8996052p-3, 0x1.d0d6fa431f6cp-3, 0x1.c95b65aa9236cp-3, 0x1.c1f6693e59162p-3, 0x1.baa7f04f713ebp-3, 0x1.b36fe50a2e4adp-3, 0x1.ac4e307ee49acp-3, 0x1.a542baaa7bf4cp-3, 0x1.9e4d6a7ee7c16p-3, 0x1.976e25eb8403ep-3, 0x1.90a4d1e55a926p-3, 0x1.89f1526f4ecbcp-3, 0x1.83538aa22a847p-3, 0x1.7ccb5cb49251fp-3, 0x1.7658aa02e3d93p-3, 0x1.6ffb5316f0ed6p-3, 0x1.69b337afa5929p-3, 0x1.638036c890f97p-3, 0x1.5d622ea14def7p-3, 0x1.5758fcc4dc5a8p-3, 0x1.51647e10d07ccp-3, 0x1.4b848ebc709fcp-3, 0x1.45b90a5fb2351p-3, 0x1.4001cbfa1c92cp-3, 0x1.3a5eadf9906b5p-3, 0x1.34cf8a40f23f3p-3, 0x1.2f543a2eb6e58p-3, 0x1.29ec96a35a17bp-3, 0x1.24987807b4719p-3, 0x1.1f57b6533388cp-3, 0x1.1a2a2911fce86p-3, 0x1.150fa76aecfc3p-3, 0x1.1008082581c05p-3, 0x1.0b1321afa6a7dp-3, 0x1.0630ca235ff7fp-3, 0x1.0160d74c656c8p-3, 0x1.f9463d5b28cc3p-4, 0x1.efeeeb0ca2c43p-4, 0x1.e6bb61af91cd7p-4, 0x1.ddab4ad42c17ep-4, 0x1.d4be4fa297fa7p-4, 0x1.cbf418e4d2fbep-4, 0x1.c34c4f105b48cp-4, 0x1.bac69a4fa463p-4, 0x1.b262a28b5a8edp-4, 0x1.aa200f736a7p-4, 0x1.a1fe8887de6ep-4, 0x1.99fdb521820a9p-4, 0x1.921d3c7a4a763p-4, 0x1.8a5cc5b59f79ep-4, 0x1.82bbf7e85be6bp-4, 0x1.7b3a7a20aa212p-4, 0x1.73d7f36da7807p-4, 0x1.6c940ae6d9964p-4, 0x1.656e67b37071ep-4, 0x1.5e66b11159098p-4, 0x1.577c8e5c1e8efp-4, 0x1.50afa7139dd95p-4, 0x1.49ffa2e287332p-4, 0x1.436c29a4b2c4ap-4, 0x1.3cf4e36d46e72p-4, 0x1.3699788cb0339p-4, 0x1.305991966cb5p-4, 0x1.2a34d766a95dcp-4, 0x1.242af327b570ep-4, 0x1.1e3b8e57482e6p-4, 0x1.186652cb9d28p-4, 0x1.12aaeab8649abp-4, 0x1.0d0900b38acb4p-4, 0x1.07803fb9d664dp-4, 0x1.021053335cccbp-4, 0x1.f971cdef9e74bp-5, 0x1.eef34ea53fc1p-5, 0x1.e4a4820e01794p-5, 0x1.da84c2a77439ap-5, 0x1.d0936bedba852p-5, 0x1.c6cfda62a2bf8p-5, 0x1.bd396b9475dbbp-5, 0x1.b3cf7e247e9ep-5, 0x1.aa9171cd4c41fp-5, 0x1.a17ea768acff7p-5, 0x1.989680f56399bp-5, 0x1.8fd8619c9b7d3p-5, 0x1.8743adb71a035p-5, 0x1.7ed7cad22e9f5p-5, 0x1.76941fb4624d9p-5, 0x1.6e781461eb8cfp-5, 0x1.66831220e08c8p-5, 0x1.5eb4837d3276p-5, 0x1.570bd44c67fb7p-5, 0x1.4f8871b1242b8p-5, 0x1.4829ca1e6ea5dp-5, 0x1.40ef4d5aca8c7p-5, 0x1.39d86c83114b9p-5, 0x1.32e49a0d1d876p-5, 0x1.2c1349ca3e18p-5, 0x1.2563f0e978d25p-5, 0x1.1ed605f99b59dp-5, 0x1.186900eb1948ep-5, 0x1.121c5b11bf113p-5, 0x1.0bef8f26328cep-5, 0x1.05e2194749b07p-5, 0x1.ffe6edf6637a7p-6, 0x1.f4464e60e2503p-6, 0x1.e8e1547d7130bp-6, 0x1.ddb703cf22226p-6, 0x1.d2c662adbfc5ap-6, 0x1.c80e7a468666cp-6, 0x1.bd8e569c97656p-6, 0x1.b34506891dcc3p-6, 0x1.a9319bbb2ea62p-6, 0x1.9f532ab7667aap-6, 0x1.95a8cad73d9a3p-6, 0x1.8c31964822036p-6, 0x1.82ecaa0a4db9fp-6, 0x1.79d925ef62b6p-6, 0x1.70f62c98c8e64p-6, 0x1.6842e375d49bap-6, 0x1.5fbe72c1b55c4p-6, 0x1.576805812e88ep-6, 0x1.4f3ec9801bee4p-6, 0x1.4741ef4ec244bp-6, 0x1.3f70aa3ef40e8p-6, 0x1.37ca30610317ep-6, 0x1.304dba8087bep-6, 0x1.28fa8420f910ep-6, 0x1.21cfcb7a1fa8fp-6, 0x1.1accd1745e44ep-6, 0x1.13f0d9a4d24a6p-6, 0x1.0d3b2a4952807p-6, 0x1.06ab0c444661ap-6, 0x1.003fcb185f2bdp-6, 0x1.f3f169c857499p-7, 0x1.e7aa34bb267a9p-7, 0x1.dba89d9a57d1cp-7, 0x1.cfeb5012f5b21p-7, 0x1.c470fce426e3cp-7, 0x1.b93859d540dbap-7, 0x1.ae4021abab92p-7, 0x1.a38714208e75bp-7, 0x1.990bf5d6548ecp-7, 0x1.8ecd904e13138p-7, 0x1.84cab1dcb2106p-7, 0x1.7b022da0042cdp-7, 0x1.7172db73b2cefp-7, 0x1.681b97e60f81cp-7, 0x1.5efb442cbc8b3p-7, 0x1.5610c61948d74p-7, 0x1.4d5b080da74c1p-7, 0x1.44d8f8f08f74fp-7, 0x1.3c898c21ce225p-7, 0x1.346bb96e7a97fp-7, 0x1.2c7e7d051f111p-7, 0x1.24c0d769cf87cp-7, 0x1.1d31cd6a316eap-7, 0x1.15d06811772afp-7, 0x1.0e9bb49c5070ep-7, 0x1.0792c46cd1c2p-7, 0x1.00b4acfe5355ep-7, 0x1.f4010fb294334p-8, 0x1.e6eae50e38ecap-8, 0x1.da251d0be52d8p-8, 0x1.cdae02790c81fp-8, 0x1.c183e7dbe1ff1p-8, 0x1.b5a5275af71dep-8, 0x1.aa1022a4dfef7p-8, 0x1.9ec342d7dbd1ep-8, 0x1.93bcf86988473p-8, 0x1.88fbbb0ea0bf3p-8, 0x1.7e7e09a2c95b9p-8, 0x1.74426a106b6f1p-8, 0x1.6a476938a4012p-8, 0x1.608b9adb449cap-8, 0x1.570d997eece44p-8, 0x1.4dcc0659398acp-8, 0x1.44c589370dc0ap-8, 0x1.3bf8d064f8804p-8, 0x1.33649097b71eep-8, 0x1.2b0784d4d4dc5p-8, 0x1.22e06e5b6da1fp-8, 0x1.1aee148d0f26fp-8, 0x1.132f44d6bfcdap-8, 0x1.0ba2d29a28f6fp-8, 0x1.04479716e7562p-8, 0x1.fa38e2a803a8fp-9, 0x1.ec408c13143a6p-9, 0x1.dea3ff14c9235p-9, 0x1.d1611b5c77bdp-9, 0x1.c475cb7740f32p-9, 0x1.b7e004a4a5d1ap-9, 0x1.ab9dc6ab79852p-9, 0x1.9fad1baf2fafp-9, 0x1.940c1805867b4p-9, 0x1.88b8da0c918b3p-9, 0x1.7db18a0127f3ap-9, 0x1.72f459d5b03ecp-9, 0x1.687f85095402dp-9, 0x1.5e51507f94dd6p-9, 0x1.54680a584ab35p-9, 0x1.4ac209c804757p-9, 0x1.415daef0d73bep-9, 0x1.383962bb8d146p-9, 0x1.2f5396b146a8dp-9, 0x1.26aac4d57db8fp-9, 0x1.1e3d6f807b8c8p-9, 0x1.160a213a31e8cp-9, 0x1.0e0f6c95864dep-9, 0x1.064bec0c079a1p-9, 0x1.fd7c83b417a3ep-10, 0x1.eeca2fb683c1p-10, 0x1.e07e3ecf5a59dp-10, 0x1.d296226213cb9p-10, 0x1.c50f5a4151492p-10, 0x1.b7e7746b5a4b3p-10, 0x1.ab1c0cc7854fep-10, 0x1.9eaacce46c646p-10, 0x1.92916bb70cfebp-10, 0x1.86cdad5ab1608p-10, 0x1.7b5d62d1c1e9cp-10, 0x1.703e69c767d5dp-10, 0x1.656eac520a655p-10, 0x1.5aec20b6a6751p-10, 0x1.50b4c92cfe40dp-10, 0x1.46c6b3a49bb11p-10, 0x1.3d1ff98aabf5cp-10, 0x1.33bebf90b34ccp-10, 0x1.2aa135740ed2cp-10, 0x1.21c595c64fa09p-10, 0x1.192a25b65f718p-10, 0x1.10cd34da81f72p-10, 0x1.08ad1cfb1d75ep-10, 0x1.00c841de51debp-10, 0x1.f23a2228c5cedp-11, 0x1.e3540389cfb09p-11, 0x1.d4db28f991a72p-11, 0x1.c6cca5fa085f2p-11, 0x1.b925a01476e04p-11, 0x1.abe34e7a0a568p-11, 0x1.9f02f9a6090d5p-11, 0x1.9281fb0184458p-11, 0x1.865dbc888ce83p-11, 0x1.7a93b870e5e72p-11, 0x1.6f2178d23411bp-11, 0x1.6404974fa102cp-11, 0x1.593abcc2f702p-11, 0x1.4ec1a0e929afbp-11, 0x1.44970a104d0edp-11, 0x1.3ab8ccc6f49f4p-11, 0x1.3124cb8cf967cp-11, 0x1.27d8f6859fbb6p-11, 0x1.1ed34b2b1c0c4p-11, 0x1.1611d40370465p-11, 0x1.0d92a856a1aefp-11, 0x1.0553ebe63e10ep-11, 0x1.faa79d4c62a53p-12, 0x1.eb2118edc8fa9p-12, 0x1.dc10d9c147736p-12, 0x1.cd7385a08c2aap-12, 0x1.bf45d8aa2a85bp-12, 0x1.b184a4bfdae74p-12, 0x1.a42cd1072e306p-12, 0x1.973b596ca13d6p-12, 0x1.8aad4e290fec4p-12, 0x1.7e7fd3497d502p-12, 0x1.72b02039296a5p-12, 0x1.673b7f4debda3p-12, 0x1.5c1f4d56cd362p-12, 0x1.5158f92cd4b0dp-12, 0x1.46e6034605184p-12, 0x1.3cc3fd4a7d042p-12, 0x1.32f089abb8673p-12, 0x1.29695b3de600cp-12, 0x1.202c34d34c2dp-12, 0x1.1736e8d9b39fap-12, 0x1.0e8758f9d1ba2p-12, 0x1.061b75b8aa62cp-12, 0x1.fbe27c35bee79p-13, 0x1.ec0d7e93d7eb4p-13, 0x1.dcb4287675db2p-13, 0x1.cdd2cab23468ap-13, 0x1.bf65d05afed7bp-13, 0x1.b169be1d2972p-13, 0x1.a3db319a117f9p-13, 0x1.96b6e0c83641dp-13, 0x1.89f99956b8079p-13, 0x1.7da0401430bccp-13, 0x1.71a7d058dcf4fp-13, 0x1.660d5b73fa6a8p-13, 0x1.5ace081c5dc02p-13, 0x1.4fe711e4247e5p-13, 0x1.4555c8af7fb3bp-13, 0x1.3b17902e7ee54p-13, 0x1.3129df59da68cp-13, 0x1.278a3ff2a3f06p-13, 0x1.1e364e04d7e03p-13, 0x1.152bb76cc1eb8p-13, 0x1.0c683b5f2040ep-13, 0x1.03e9a9f40379ep-13, 0x1.f75bc768ad2a1p-14, 0x1.e765b2540dc0cp-14, 0x1.d7ed14e57739ap-14, 0x1.c8ee0daa3381dp-14, 0x1.ba64d8b0ea756p-14, 0x1.ac4dcebdfc33ep-14, 0x1.9ea564848ed1ap-14, 0x1.916829e447d4fp-14, 0x1.8492c92ba6af8p-14, 0x1.7822065ed5b1ap-14, 0x1.6c12be82e7311p-14, 0x1.6061e6ed64982p-14, 0x1.550c8c981bb8ep-14, 0x1.4a0fd37913283p-14, 0x1.3f68f5de91a13p-14, 0x1.351543cf22776p-14, 0x1.2b12226d842c9p-14, 0x1.215d0b606b02ap-14, 0x1.17f38c3e05859p-14, 0x1.0ed345fb2d9cfp-14, 0x1.05f9ec5e33c68p-14, 0x1.faca8aea62638p-15, 0x1.ea26521f9c5eep-15, 0x1.da030078d35ccp-15, 0x1.ca5c89911fdf3p-15, 0x1.bb2f01895f069p-15, 0x1.ac769c15f28f5p-15, 0x1.9e2fab92b4f63p-15, 0x1.9056a01d01b23p-15, 0x1.82e806b3aeecap-15, 0x1.75e0885cd39d2p-15, 0x1.693ce95140735p-15, 0x1.5cfa082d88405p-15, 0x1.5114dd287548bp-15, 0x1.458a794ed1ebap-15, 0x1.3a5805c465455p-15, 0x1.2f7ac30a00db4p-15, 0x1.24f0084888fb7p-15, 0x1.1ab542a0d704ep-15, 0x1.10c7f4805a383p-15, 0x1.0725b4fa5a3d8p-15, 0x1.fb985e4b8506p-16, 0x1.e97242feb28c5p-16, 0x1.d7d4baa0938dp-16, 0x1.c6bb8c31c9a1p-16, 0x1.b622a1ff08565p-16, 0x1.a6060886e0f68p-16, 0x1.9661ed676dc13p-16, 0x1.87329e53aa293p-16, 0x1.7874881045a34p-16, 0x1.6a243577c5cb1p-16, 0x1.5c3e4e85cd5acp-16, 0x1.4ebf97695130ap-16, 0x1.41a4ef9da22c5p-16, 0x1.34eb510a0bbfbp-16, 0x1.288fcf27ef6e5p-16, 0x1.1c8f962f2c39bp-16, 0x1.10e7ea48a6074p-16, 0x1.059626c6d19d6p-16, 0x1.f52f7ac829e18p-17, 0x1.dfd46b0dab214p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9d1efcea8405p-3, -0x1.b21e2d6dd3bbap-3, -0x1.c700b9e19cd07p-3, -0x1.dbbf50aa02efdp-3, -0x1.f0528a2e2a50fp-3, -0x1.02597b352ebc6p-2, -0x1.0c6c94ae25ec7p-2, -0x1.165ee325abc61p-2, -0x1.202cc4f99adcp-2, -0x1.29d2a9cd345d8p-2, -0x1.334d169030ceap-2, -0x1.3c98a908614b2p-2, -0x1.45b21ae5133bfp-2, -0x1.4e964463be98bp-2, -0x1.57421e8d9bec4p-2, -0x1.5fb2c515b7691p-2, -0x1.67e577df021e1p-2, -0x1.6fd79c31a0647p-2, -0x1.7786bda68985ap-2, -0x1.7ef08ed02e08dp-2, -0x1.8612e9a6a0eb7p-2, -0x1.8cebcfbd591e3p-2, -0x1.93796a485418ap-2, -0x1.99ba09f60588ep-2, -0x1.9fac26a3235a7p-2, -0x1.a54e5eed0b7e7p-2, -0x1.aa9f77a71521p-2, -0x1.af9e5b36e2465p-2, -0x1.b44a18db4c131p-2, -0x1.b8a1e3e152c51p-2, -0x1.bca512ca0e9d4p-2, -0x1.c0531e645ec88p-2, -0x1.c3aba0dcc1f62p-2, -0x1.c6ae54c582526p-2, -0x1.c95b14191a012p-2, -0x1.cbb1d73873392p-2, -0x1.cdb2b3e67c09dp-2, -0x1.cf5ddc4241a82p-2, -0x1.d0b39dc09ffa6p-2, -0x1.d1b460266af7ep-2, -0x1.d260a483c70efp-2, -0x1.d2b9043150a82p-2, -0x1.d2be2fcf8a675p-2, -0x1.d270ee48fad6ep-2, -0x1.d1d21bd7427efp-2, -0x1.d0e2a90b68dc8p-2, -0x1.cfa399d9910ap-2, -0x1.ce1604a82f2aap-2, -0x1.cc3b1162db2f9p-2, -0x1.ca13f890d530cp-2, -0x1.c7a2026f37d67p-2, -0x1.c4e6860ef2c49p-2, -0x1.c1e2e8767f66dp-2, -0x1.be989bc75ea04p-2, -0x1.bb091e675fcf2p-2, -0x1.b735fa2dae823p-2, -0x1.b320c393b0fb6p-2, -0x1.aecb18e9bc581p-2, -0x1.aa36a18f9ded7p-2, -0x1.a5650d310a1ebp-2, -0x1.a0581305f4a31p-2, -0x1.9b117116dfdd6p-2, -0x1.9592eb852f24ep-2, -0x1.8fde4bd7876fap-2, -0x1.89f5604a4f141p-2, -0x1.83d9fb245b95bp-2, -0x1.7d8df20fdb1fcp-2, -0x1.77131d7788a23p-2, -0x1.706b57e83f3bp-2, -0x1.69987d76f3871p-2, -0x1.629c6b2b27849p-2, -0x1.5b78fe6de3251p-2, -0x1.5430147d3d6f2p-2, -0x1.4cc389e484431p-2, -0x1.453539f90645dp-2, -0x1.3d86fe5b8911ap-2, -0x1.35baae7e7557ep-2, -0x1.2dd21f30b48ebp-2, -0x1.25cf222d4815dp-2, -0x1.1db385af987f2p-2, -0x1.1581140c76d43p-2, -0x1.0d39934fd2ecbp-2, -0x1.04dec4df19a2cp-2, -0x1.f8e4ca40689cbp-3, -0x1.e7ec564a44f96p-3, -0x1.d6d790b84083fp-3, -0x1.c5a9d0888d598p-3, -0x1.b466604d3f83fp-3, -0x1.a3107da729e02p-3, -0x1.91ab58c954ad3p-3, -0x1.803a1404dd64fp-3, -0x1.6ebfc35d21133p-3, -0x1.5d3f6c23f9c24p-3, -0x1.4bbc049de2202p-3, -0x1.3a3873add6e62p-3, -0x1.28b79088b6ae5p-3, -0x1.173c226ff8a0ep-3, -0x1.05c8e0737d49p-3, -0x1.e8c0e274925fbp-4, -0x1.c60ad5a3d3d03p-4, -0x1.a374a508bbecdp-4, -0x1.81033968737c4p-4, -0x1.5ebb597da6e17p-4, -0x1.3ca1a9c893dd4p-4, -0x1.1abaac6a42bf1p-4, -0x1.f21582151a266p-5, -0x1.af2c4990fb0cdp-5, -0x1.6cc1e4693e87dp-5, -0x1.2ade42a9a084dp-5, -0x1.d3121ec4b3cc6p-6, -0x1.519361a6b4b25p-6, -0x1.a29d22a06c268p-7, -0x1.4945a219d695cp-8, 0x1.5ab72e6d8d763p-9, 0x1.4f3b5b9bc9654p-7, 0x1.2276c9b94cdfap-6, 0x1.9bd698e5e9e3ep-6, 0x1.09d8ff50ced48p-5, 0x1.44ff307e249afp-5, 0x1.7f58d3be21c42p-5, 0x1.b8e11cdf40715p-5, 0x1.f1937f01ca1b7p-5, 0x1.14b5d5eab310fp-4, 0x1.3032c967230d2p-4, 0x1.4b3eb0293f5cep-4, 0x1.65d7be700dec5p-4, 0x1.7ffc461637a31p-4, 0x1.99aab61e9097dp-4, 0x1.b2e19a3db9591p-4, 0x1.cb9f9a61224c8p-4, 0x1.e3e37a3392389p-4, 0x1.fbac189f8873ep-4, 0x1.097c37a7c74efp-3, 0x1.14e3c91660783p-3, 0x1.200c576de018ap-3, 0x1.2af5861c13d2ep-3, 0x1.359f04e766b31p-3, 0x1.40088fab73bb4p-3, 0x1.4a31ee152290ep-3, 0x1.541af35e61a6fp-3, 0x1.5dc37e09921eap-3, 0x1.672b779cb371dp-3, 0x1.7052d45c6788ap-3, 0x1.79399306d8e71p-3, 0x1.81dfbc8e972cfp-3, 0x1.8a4563d5771b8p-3, 0x1.926aa5678350cp-3, 0x1.9a4fa73613b6fp-3, 0x1.a1f498530f2c9p-3, 0x1.a959b0ac63b5fp-3, 0x1.b07f30c7d15d2p-3, 0x1.b765617ef9ae4p-3, 0x1.be0c93bbd6fefp-3, 0x1.c475203599bedp-3, 0x1.ca9f672df3bbp-3, 0x1.d08bd02ee4afep-3, 0x1.d63ac9c909089p-3, 0x1.dbacc952755bep-3, 0x1.e0e24aa62cb8fp-3, 0x1.e5dbcfe429d83p-3, 0x1.ea99e1321e616p-3, 0x1.ef1d0c7cca5d9p-3, 0x1.f365e53a18b1p-3, 0x1.f775042be71b7p-3, 0x1.fb4b072397a6ep-3, 0x1.fee890c65c8ffp-3, 0x1.012724292c862p-2, 0x1.02be6cb2431bcp-2, 0x1.043a79dfbb45dp-2, 0x1.059ba58974e83p-2, 0x1.06e24b621d979p-2, 0x1.080ec8dbdd81bp-2, 0x1.09217d0d6ec47p-2, 0x1.0a1ac897ae983p-2, 0x1.0afb0d8b9dbf8p-2, 0x1.0bc2af50daca1p-2, 0x1.0c72128c93177p-2, 0x1.0d099d08eccb3p-2, 0x1.0d89b59ce8d32p-2, 0x1.0df2c414c011cp-2, 0x1.0e45311abde1dp-2, 0x1.0e81662093fbbp-2, 0x1.0ea7cd492c244p-2, 0x1.0eb8d152f7a46p-2, 0x1.0eb4dd82ba55dp-2, 0x1.0e9c5d8ed45a8p-2, 0x1.0e6fbd8b0bcf3p-2, 0x1.0e2f69d4d132cp-2, 0x1.0ddbcf0002071p-2, 0x1.0d7559c42e10cp-2, 0x1.0cfc76ea5356ap-2, 0x1.0c71933b1da11p-2, 0x1.0bd51b6d9fcd2p-2, 0x1.0b277c168a77ep-2, 0x1.0a692197e1537p-2, 0x1.099a7811273b5p-2, 0x1.08bbeb500ab54p-2, 0x1.07cde6c189a1ap-2, 0x1.06d0d5638ebfap-2, 0x1.05c521b70ac71p-2, 0x1.04ab35b280bc7p-2, 0x1.03837ab50c89cp-2, 0x1.024e5979dfe55p-2, 0x1.010c3a0c3040ap-2, 0x1.ff7b07773b524p-3, 0x1.fcc53a220f3a1p-3, 0x1.f9f7d787ab153p-3, 0x1.f713a95f5d2a9p-3, 0x1.f41977954220dp-3, 0x1.f10a08376a93cp-3, 0x1.ede61f63dd72p-3, 0x1.eaae7f3769f1p-3, 0x1.e763e7bd4f401p-3, 0x1.e40716dfb2f05p-3, 0x1.e098c858e0cb1p-3, 0x1.dd19b5a556b9ep-3, 0x1.d98a95f6907p-3, 0x1.d5ec1e269d63p-3, 0x1.d23f00ac6e9a1p-3, 0x1.ce83ed90e19b5p-3, 0x1.cabb926485d29p-3, 0x1.c6e69a3612c62p-3, 0x1.c305ad89945f2p-3, 0x1.bf1972503c902p-3, 0x1.bb228be0eb0fbp-3, 0x1.b7219af14b7d4p-3, 0x1.b3173d8fa6f5cp-3, 0x1.af040f1d488e7p-3, 0x1.aae8a84982c6ep-3, 0x1.a6c59f0d4d271p-3, 0x1.a29b86a7713e9p-3, 0x1.9e6aef994fcefp-3, 0x1.9a3467a42c8b4p-3, 0x1.95f879c705b33p-3, 0x1.91b7ae3cef9ebp-3, 0x1.8d728a7bf5fd8p-3, 0x1.8929913476796p-3, 0x1.84dd4250fca59p-3, 0x1.808e1af6893e7p-3, 0x1.7c3c95855d5ap-3, 0x1.77e9299a281cfp-3, 0x1.73944c0fa3438p-3, 0x1.6f3e6f00a1239p-3, 0x1.6ae801ca73854p-3, 0x1.6691710fbf8e1p-3, 0x1.623b26bba6feap-3, 0x1.5de58a055312fp-3, 0x1.5990ff73d4b5bp-3, 0x1.553de8e25762p-3, 0x1.50eca584a795ap-3, 0x1.4c9d91ec086dp-3, 0x1.4851080c4ddbbp-3, 0x1.44075f41452d9p-3, 0x1.3fc0ec545dbe4p-3, 0x1.3b7e018292c7fp-3, 0x1.373eee8296496p-3, 0x1.3304008b35189p-3, 0x1.2ecd8259f3416p-3, 0x1.2a9bbc39de0b5p-3, 0x1.266ef40a8d7ffp-3, 0x1.22476d475ffe9p-3, 0x1.1e25690ed2d6dp-3, 0x1.1a09262a116d2p-3, 0x1.15f2e114ab121p-3, 0x1.11e2d40465e18p-3, 0x1.0dd936f13af8cp-3, 0x1.09d63f9d71764p-3, 0x1.05da219dd9237p-3, 0x1.01e50e621878fp-3, 0x1.fbee6a7a39e0fp-4, 0x1.f42186db36586p-4, 0x1.ec63c84d51406p-4, 0x1.e4b58130c8603p-4, 0x1.dd16fff1628a6p-4, 0x1.d5888f17f59f6p-4, 0x1.ce0a755c1c0e7p-4, 0x1.c69cf5b5ec1a2p-4, 0x1.bf404f6fbd2efp-4, 0x1.b7f4be3810698p-4, 0x1.b0ba7a3369472p-4, 0x1.a991b80e3d35bp-4, 0x1.a27aa90edc196p-4, 0x1.9b757b275fdc6p-4, 0x1.948259079440dp-4, 0x1.8da16a2ed5328p-4, 0x1.86d2d2fdeaa29p-4, 0x1.8016b4c8d2cb7p-4, 0x1.796d2de87f9cfp-4, 0x1.72d659cc80475p-4, 0x1.6c52510c99e36p-4, 0x1.65e1297a463d8p-4, 0x1.5f82f6321b3b9p-4, 0x1.5937c7ad17df1p-4, 0x1.52ffabd1d16fcp-4, 0x1.4cdaae058453cp-4, 0x1.46c8d73d01312p-4, 0x1.40ca2e0d781b8p-4, 0x1.3adeb6bd1ed02p-4, 0x1.35067353afb73p-4, 0x1.2f4163aac1229p-4, 0x1.298f857df2ae5p-4, 0x1.23f0d47aef5a1p-4, 0x1.1e654a5142f39p-4, 0x1.18ecdec2024aep-4, 0x1.138787af43b98p-4, 0x1.0e35392b671c1p-4, 0x1.08f5e5882dc4dp-4, 0x1.03c97d659f3ccp-4, 0x1.fd5fdf81765b4p-5, 0x1.f3525403edbd1p-5, 0x1.e96a30170df16p-5, 0x1.dfa7488ee3c2cp-5, 0x1.d6096f6add6b3p-5, 0x1.cc9073f114c98p-5, 0x1.c33c22c92efafp-5, 0x1.ba0c4616cbb82p-5, 0x1.b100a59383666p-5, 0x1.a81906a874923p-5, 0x1.9f552c875eb66p-5, 0x1.96b4d8434cc62p-5, 0x1.8e37c8e8cb40fp-5, 0x1.85ddbb95aadfap-5, 0x1.7da66b9050e75p-5, 0x1.7591925e946f1p-5, 0x1.6d9ee7dc2789fp-5, 0x1.65ce22508bfaep-5, 0x1.5e1ef684958fbp-5, 0x1.569117d77a221p-5, 0x1.4f2438536d22fp-5, 0x1.47d808c1c9273p-5, 0x1.40ac38bec6bf8p-5, 0x1.39a076ccc314cp-5, 0x1.32b4706713cfep-5, 0x1.2be7d2146ac52p-5, 0x1.253a4778ca70dp-5, 0x1.1eab7b670a90ap-5, 0x1.183b17f1ede8ep-5, 0x1.11e8c67ccc05p-5, 0x1.0bb42fcbcc7e2p-5, 0x1.059cfc13b74b2p-5, 0x1.ff45a612b3828p-6, 0x1.f38ab7e104c1cp-6, 0x1.e8087b5528fap-6, 0x1.dcbe3d896125ep-6, 0x1.d1ab4b0af70cp-6, 0x1.c6ceeff4f7331p-6, 0x1.bc28780a26816p-6, 0x1.b1b72ece32d4ap-6, 0x1.a77a5f9e1ddccp-6, 0x1.9d7155c7e50b1p-6, 0x1.939b5ca17123ap-6, 0x1.89f7bf9ec2e31p-6, 0x1.8085ca676c33p-6, 0x1.7744c8eb4cc87p-6, 0x1.6e340776a1a6ap-6, 0x1.6552d2c55cf84p-6, 0x1.5ca07815d5ba1p-6, 0x1.541c453ac77a1p-6, 0x1.4bc588aca9e79p-6, 0x1.439b919a65d68p-6, 0x1.3b9daff9637c5p-6, 0x1.33cb3494f9a49p-6, 0x1.2c23711d42cap-6, 0x1.24a5b83552725p-6, 0x1.1d515d80d6c4dp-6, 0x1.1625b5b1270dcp-6, 0x1.0f221691baf7ep-6, 0x1.0845d714188ccp-6, 0x1.01904f5b362d7p-6, 0x1.f601b18c9b62ap-7, 0x1.e92d9bf6631ebp-7, 0x1.dca315e030362p-7, 0x1.d060d9e9d8a14p-7, 0x1.c465a57838e43p-7, 0x1.b8b038c5ddcf9p-7, 0x1.ad3f56f2c60a3p-7, 0x1.a211c6132eb7dp-7, 0x1.97264f3d87646p-7, 0x1.8c7bbe9776addp-7, 0x1.8210e3621cb62p-7, 0x1.77e4900567bcfp-7, 0x1.6df59a1ab05b4p-7, 0x1.6442da767d032p-7, 0x1.5acb2d318d21p-7, 0x1.518d71b1155b6p-7, 0x1.48888aae5b612p-7, 0x1.3fbb5e3d80dd8p-7, 0x1.3724d5d3b570cp-7, 0x1.2ec3de4cb0928p-7, 0x1.269767ef8cfcap-7, 0x1.1e9e667300682p-7, 0x1.16d7d100f80ep-7, 0x1.0f42a2399e6dfp-7, 0x1.07ddd835ceb66p-7, 0x1.00a87488f90bfp-7, 0x1.f342f884fe90bp-8, 0x1.e58fefdd177dbp-8, 0x1.d835e72ccf932p-8, 0x1.cb32fd80ac23ep-8, 0x1.be8558ddeb011p-8, 0x1.b22b264060227p-8, 0x1.a622999773409p-8, 0x1.9a69edc248138p-8, 0x1.8eff648b15ff1p-8, 0x1.83e146a1b94ep-8, 0x1.790de395842e4p-8, 0x1.6e8391ce56771p-8, 0x1.6440ae85065b5p-8, 0x1.5a439dbb1db11p-8, 0x1.508aca31f67f9p-8, 0x1.4714a561383d5p-8, 0x1.3ddfa76cc4f08p-8, 0x1.34ea4f1a12d0ep-8, 0x1.2c3321c5022f1p-8, 0x1.23b8ab542f58bp-8, 0x1.1b797e2cca0bbp-8, 0x1.13743325f6b11p-8, 0x1.0ba7697bc1d14p-8, 0x1.0411c6c1a8932p-8, 0x1.f963eda97a0b2p-9, 0x1.eb0d579adb0dfp-9, 0x1.dd1d3be1e282fp-9, 0x1.cf911744c21cbp-9, 0x1.c26672a70823dp-9, 0x1.b59ae2ea9cbe4p-9, 0x1.a92c08d03a5c2p-9, 0x1.9d1790d76809ep-9, 0x1.915b331df4894p-9, 0x1.85f4b33f09d49p-9, 0x1.7ae1e031da2d3p-9, 0x1.70209427eb35cp-9, 0x1.65aeb46b111c8p-9, 0x1.5b8a313b18b48p-9, 0x1.51b105ab2fb1bp-9, 0x1.4821377f0c27cp-9, 0x1.3ed8d707dd6d5p-9, 0x1.35d5ff010db65p-9, 0x1.2d16d46cdcd57p-9, 0x1.24998670d4267p-9, 0x1.1c5c4e3222d34p-9, 0x1.145d6eb1e1e4p-9, 0x1.0c9b34a949ac6p-9, 0x1.0513f665db665p-9, 0x1.fb8c274b1118dp-10, 0x1.ed5feae5afe76p-10, 0x1.dfa01c022b2f8p-10, 0x1.d249b111100f9p-10, 0x1.c559b24575509p-10, 0x1.b8cd394daaeep-10, 0x1.aca1710c2e4cfp-10, 0x1.a0d39550c4b9fp-10, 0x1.9560f291e6f81p-10, 0x1.8a46e5a6705ddp-10, 0x1.7f82db7f9de1fp-10, 0x1.751250e36bbc5p-10, 0x1.6af2d2274f58bp-10, 0x1.6121faeb533e9p-10, 0x1.579d75d5aa50fp-10, 0x1.4e62fc4eace38p-10, 0x1.4570563d4f694p-10, 0x1.3cc359c4173c8p-10, 0x1.3459eafe95628p-10, 0x1.2c31fbbf662a1p-10, 0x1.24498b4ebb46fp-10, 0x1.1c9ea629772a4p-10, 0x1.152f65c0e5fbcp-10, 0x1.0df9f03afdae8p-10, 0x1.06fc78334db98p-10, 0x1.00353c7c7fb79p-10, 0x1.f3450fc505342p-11, 0x1.e68561dab4414p-11, 0x1.da2833492d7fcp-11, 0x1.ce2a5ea6f1ca3p-11, 0x1.c288d49b83e73p-11, 0x1.b7409b6a6b263p-11, 0x1.ac4ece7f98318p-11, 0x1.a1b09dfd33f72p-11, 0x1.97634e4ad667fp-11, 0x1.8d6437a62c7bfp-11, 0x1.83b0c5b50fbb5p-11, 0x1.7a4677190e668p-11, 0x1.7122dd04696a5p-11, 0x1.68439ad088cep-11, 0x1.5fa66595e8dacp-11, 0x1.574903c57eddp-11, 0x1.4f294cc398a6ap-11, 0x1.4745288436d15p-11, 0x1.3f9a8f28e26f6p-11, 0x1.3827889ffccfap-11, 0x1.30ea2c458bcf4p-11, 0x1.29e0a0857f593p-11, 0x1.23091a7f72c63p-11, 0x1.1c61ddabe6bcep-11, 0x1.15e93b82f43fcp-11, 0x1.0f9d932476e0ap-11, 0x1.097d5101aec7dp-11, 0x1.0386ee885440ep-11, 0x1.fb71e39e43f35p-12, 0x1.f023da879df3dp-12, 0x1.e520feb4ef4cp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.61750d85c976ap-3, -0x1.7390efa775a08p-3, -0x1.85ad7b6d57e52p-3, -0x1.97c82c329040ep-3, -0x1.a9de60aad89f6p-3, -0x1.bbed5f91a6588p-3, -0x1.cdf25c223cd17p-3, -0x1.dfea7a542042p-3, -0x1.f1d2d2d8edfe2p-3, -0x1.01d43b6cfae84p-2, -0x1.0ab439ba74e04p-2, -0x1.1387ea7bf632cp-2, -0x1.1c4dd4eef7647p-2, -0x1.250482c66eadcp-2, -0x1.2daa816bbf727p-2, -0x1.363e6322a64d3p-2, -0x1.3ebec011543bp-2, -0x1.472a372e11b48p-2, -0x1.4f7f6f13bd3cbp-2, -0x1.57bd16be8fcb5p-2, -0x1.5fe1e6328609cp-2, -0x1.67ec9f0cd7e74p-2, -0x1.6fdc0d01d915ap-2, -0x1.77af0648997a6p-2, -0x1.7f646bf5991bcp-2, -0x1.86fb2a45c60a9p-2, -0x1.8e7238db08dbcp-2, -0x1.95c89aeb7d916p-2, -0x1.9cfd5f6477437p-2, -0x1.a40fa1025e547p-2, -0x1.aafe865e62202p-2, -0x1.b1c941f2ef28p-2, -0x1.b86f1217cb5b5p-2, -0x1.beef40f6a64f8p-2, -0x1.c5492478e5f6p-2, -0x1.cb7c1e2f5d881p-2, -0x1.d1879b349db3ap-2, -0x1.d76b140a71cfap-2, -0x1.dd260c731c8c2p-2, -0x1.e2b81346d2576p-2, -0x1.e820c245eb4b7p-2, -0x1.ed5fbde8323ccp-2, -0x1.f274b529bb585p-2, -0x1.f75f615591ebdp-2, -0x1.fc1f85ce938c8p-2, -0x1.005a77eb5e2b1p-1, -0x1.028fbb2a92e5cp-1, -0x1.04af7ccd79329p-1, -0x1.06b9b193adbb3p-1, -0x1.08ae52b5847fbp-1, -0x1.0a8d5dc57255ap-1, -0x1.0c56d49144449p-1, -0x1.0e0abd0333eb6p-1, -0x1.0fa92102eaf6dp-1, -0x1.11320e56806fep-1, -0x1.12a5968379ff9p-1, -0x1.1403ceafe0fd2p-1, -0x1.154ccf836f745p-1, -0x1.1680b508df095p-1, -0x1.179f9e8f64808p-1, -0x1.18a9ae8c5b6e7p-1, -0x1.199f0a7d291acp-1, -0x1.1a7fdac95eef2p-1, -0x1.1b4c4aa51ff97p-1, -0x1.1c0487f3ce1dp-1, -0x1.1ca8c32b058dcp-1, -0x1.1d392f35eb6a5p-1, -0x1.1db60158d056ep-1, -0x1.1e1f71152f03bp-1, -0x1.1e75b80e0909bp-1, -0x1.1eb911eca4f9cp-1, -0x1.1ee9bc45b0eadp-1, -0x1.1f07f67ecf769p-1, -0x1.1f1401b48eb47p-1, -0x1.1f0e20a0cdd11p-1, -0x1.1ef69781948e5p-1, -0x1.1ecdac005e368p-1, -0x1.1e93a519da6d6p-1, -0x1.1e48cb0625da4p-1, -0x1.1ded67217f48cp-1, -0x1.1d81c3d5770dep-1, -0x1.1d062c829d4efp-1, -0x1.1c7aed6aaf2b3p-1, -0x1.1be0539b464bdp-1, -0x1.1b36acd908a85p-1, -0x1.1a7e478b5cac9p-1, -0x1.19b772a89ffd7p-1, -0x1.18e27da2e3b96p-1, -0x1.17ffb8552dc2cp-1, -0x1.170f72f13d8bp-1, -0x1.1611fdedd88b9p-1, -0x1.1507a9f5995e5p-1, -0x1.13f0c7d6464b4p-1, -0x1.12cda870aa75fp-1, -0x1.119e9ca8f4153p-1, -0x1.1063f557962aep-1, -0x1.0f1e033aabc22p-1, -0x1.0dcd16e7dd235p-1, -0x1.0c7180bec6fe7p-1, -0x1.0b0b90dbdd641p-1, -0x1.099b970bd0b4p-1, -0x1.0821e2bf6b7e8p-1, -0x1.069ec2ffed4d3p-1, -0x1.05128663dded5p-1, -0x1.037d7b0458cb4p-1, -0x1.01dfee72cc317p-1, -0x1.003a2daf2fb75p-1, -0x1.fd190a3d5146cp-2, -0x1.f9ae8105422fap-2, -0x1.f63555e0958d8p-2, -0x1.f2ae1d911fa5cp-2, -0x1.ef196b60d4522p-2, -0x1.eb77d1134a21bp-2, -0x1.e7c9ded802815p-2, -0x1.e410233d7b534p-2, -0x1.e04b2b24ff662p-2, -0x1.dc7b81b733994p-2, -0x1.d8a1b0595e7b1p-2, -0x1.d4be3ea35f631p-2, -0x1.d0d1b25656c97p-2, -0x1.ccdc8f53f7f1ap-2, -0x1.c8df579681b5cp-2, -0x1.c4da8b2955a57p-2, -0x1.c0cea8222deaap-2, -0x1.bcbc2a9aea081p-2, -0x1.b8a38cabf0affp-2, -0x1.b48546671e57ep-2, -0x1.b061cdd340f92p-2, -0x1.ac3996e81915p-2, -0x1.a80d138adc75fp-2, -0x1.a3dcb38b39cecp-2, -0x1.9fa8e4a0d1558p-2, -0x1.9b7212692884cp-2, -0x1.9738a6660b5efp-2, -0x1.92fd07fc5f2a3p-2, -0x1.8ebf9c735ba5fp-2, -0x1.8a80c6f42cec5p-2, -0x1.8640e889f7d86p-2, -0x1.820060223b382p-2, -0x1.7dbf8a8d8dcbdp-2, -0x1.797ec280b43a5p-2, -0x1.753e60960944dp-2, -0x1.70febb4f3a6b1p-2, -0x1.6cc027174e72fp-2, -0x1.6882f644f876cp-2, -0x1.6447791d31c27p-2, -0x1.600dfdd617dc7p-2, -0x1.5bd6d09a0c162p-2, -0x1.57a23b8b111fap-2, -0x1.537086c6631a1p-2, -0x1.4f41f8684b09ap-2, -0x1.4b16d49024dbp-2, -0x1.46ef5d649b119p-2, -0x1.42cbd31812d58p-2, -0x1.3eac73ed446e8p-2, -0x1.3a917c3c033d7p-2, -0x1.367b26762b89p-2, -0x1.3269ab2cb9319p-2, -0x1.2e5d411501938p-2, -0x1.2a561d0e141e5p-2, -0x1.26547226362f7p-2, -0x1.225871a081ac7p-2, -0x1.1e624afa9cae6p-2, -0x1.1a722bf28ff6ap-2, -0x1.1688408cb0bd8p-2, -0x1.12a4b319a6365p-2, -0x1.0ec7ac3c80aafp-2, -0x1.0af152f0e542cp-2, -0x1.0721cc914c432p-2, -0x1.03593cdd4dd27p-2, -0x1.ff2f8bfff99dcp-3, -0x1.f7bb112c9f6ebp-3, -0x1.f055476b29278p-3, -0x1.e8fe69e3dfb7p-3, -0x1.e1b6b0c9c1472p-3, -0x1.da7e51679cf24p-3, -0x1.d3557e2d3d6d2p-3, -0x1.cc3c66bc93b04p-3, -0x1.c53337f6f095fp-3, -0x1.be3a1c0a403a5p-3, -0x1.b7513a7e4398fp-3, -0x1.b078b841d2f67p-3, -0x1.a9b0b7b813189p-3, -0x1.a2f958c5aee39p-3, -0x1.9c52b8de09eebp-3, -0x1.95bcf3106181p-3, -0x1.8f382014f3b62p-3, -0x1.88c4565a0a7dbp-3, -0x1.8261aa1103f6ap-3, -0x1.7c102d3b4852ap-3, -0x1.75cfefb72d3fap-3, -0x1.6fa0ff4cca5e7p-3, -0x1.698367bab89bep-3, -0x1.637732c2baac8p-3, -0x1.5d7c6836522d1p-3, -0x1.57930e033d041p-3, -0x1.51bb283fd69d6p-3, -0x1.4bf4b9376327cp-3, -0x1.463fc1763c09fp-3, -0x1.409c3fd5e3b61p-3, -0x1.3b0a3188fab41p-3, -0x1.3589922715e2dp-3, -0x1.301a5bb875ef9p-3, -0x1.2abc86c1a004bp-3, -0x1.25700a4ed5ec6p-3, -0x1.2034dbff6b04p-3, -0x1.1b0af010f8a46p-3, -0x1.15f2396a6f5a4p-3, -0x1.10eaa9a704effp-3, -0x1.0bf43120fbc2ep-3, -0x1.070ebefc4c30fp-3, -0x1.023a4131212a2p-3, -0x1.faed492c66a98p-4, -0x1.f187a9d602054p-4, -0x1.e84379c3b294fp-4, -0x1.df208c5386209p-4, -0x1.d61eb2f081be3p-4, -0x1.cd3dbd25d6d5bp-4, -0x1.c47d78b1bae81p-4, -0x1.bbddb1980a8f6p-4, -0x1.b35e323484b4p-4, -0x1.aafec34cc82ebp-4, -0x1.a2bf2c21eb628p-4, -0x1.9a9f3281e0d16p-4, -0x1.929e9ad86dbe3p-4, -0x1.8abd283fe1a5fp-4, -0x1.82fa9c9178c18p-4, -0x1.7b56b8756ce59p-4, -0x1.73d13b72b5a45p-4, -0x1.6c69e3fe7943ep-4, -0x1.65206f8b2c147p-4, -0x1.5df49a9760f69p-4, -0x1.56e620bc489a2p-4, -0x1.4ff4bcbbe3294p-4, -0x1.4920288edfcacp-4, -0x1.42681d7230d97p-4, -0x1.3bcc53f44f5bep-4, -0x1.354c840230e79p-4, -0x1.2ee864f3f0cf9p-4, -0x1.289fad992bbf5p-4, -0x1.227214450faf4p-4, -0x1.1c5f4eda1ef91p-4, -0x1.166712d5a9b58p-4, -0x1.1089155afb1b1p-4, -0x1.0ac50b3e3e077p-4, -0x1.051aa90f182d3p-4, -0x1.ff134645f9e6bp-5, -0x1.f4235b3e6f013p-5, -0x1.e964f9055ff95p-5, -0x1.ded7875ed0af3p-5, -0x1.d47a6de76b5fbp-5, -0x1.ca4d1426681c3p-5, -0x1.c04ee19eec18dp-5, -0x1.b67f3de0e6cb9p-5, -0x1.acdd90996687fp-5, -0x1.a36941a26fd87p-5, -0x1.9a21b9124e712p-5, -0x1.91065f4a6dcd2p-5, -0x1.88169d05b0acp-5, -0x1.7f51db664e1dbp-5, -0x1.76b7840337fccp-5, -0x1.6e4700f5069dp-5, -0x1.65ffbce2727afp-5, -0x1.5de1230c57b33p-5, -0x1.55ea9f5949f0cp-5, -0x1.4e1b9e60b76a9p-5, -0x1.46738d759e747p-5, -0x1.3ef1dab0d9283p-5, -0x1.3795f4fafb48bp-5, -0x1.305f4c15cc381p-5, -0x1.294d50a55923p-5, -0x1.225f7438a2e54p-5, -0x1.1b952951ea787p-5, -0x1.14ede36e9daf1p-5, -0x1.0e69170ee4f05p-5, -0x1.080639bcd3b68p-5, -0x1.01c4c2134225fp-5, -0x1.f7484f8894e9ap-6, -0x1.eb47c73ee3101p-6, -0x1.df86df2ef63c7p-6, -0x1.d4048d8fd3c83p-6, -0x1.c8bfcaf460bc6p-6, -0x1.bdb7925523e92p-6, -0x1.b2eae1196de11p-6, -0x1.a858b71fe78d9p-6, -0x1.9e0016c694ba7p-6, -0x1.93e004f23dee2p-6, -0x1.89f7891558138p-6, -0x1.8045ad365be1fp-6, -0x1.76c97df59bcbp-6, -0x1.6d820a929a8a4p-6, -0x1.646e64f0df85ep-6, -0x1.5b8da19c5443cp-6, -0x1.52ded7cd2a3d4p-6, -0x1.4a61216b49c74p-6, -0x1.42139b11555p-6, -0x1.39f5640f3cb9fp-6, -0x1.32059e6c65c0bp-6, -0x1.2a436ee96e554p-6, -0x1.22adfd018e928p-6, -0x1.1b4472eb93406p-6, -0x1.1405fd9a81154p-6, -0x1.0cf1ccbdd9ac1p-6, -0x1.060712c188849p-6, -0x1.fe8a099afcc52p-7, -0x1.f155b589ef0fbp-7, -0x1.e46f9e8ae4d45p-7, -0x1.d7d63f4abd442p-7, -0x1.cb8817e4f5dacp-7, -0x1.bf83addfe2188p-7, -0x1.b3c78c285c205p-7, -0x1.a852430ce5c8bp-7, -0x1.9d2268385915cp-7, -0x1.923696ac12ff5p-7, -0x1.878d6eb9af08ep-7, -0x1.7d2595fc50d9fp-7, -0x1.72fdb75187194p-7, -0x1.691482d1bdb16p-7, -0x1.5f68adc850614p-7, -0x1.55f8f2ab4a44p-7, -0x1.4cc41112ba62ep-7, -0x1.43c8cdafb976cp-7, -0x1.3b05f243255b1p-7, -0x1.327a4d9401715p-7, -0x1.2a24b36596d83p-7, -0x1.2203fc6d4abefp-7, -0x1.1a1706483293bp-7, -0x1.125cb3706af9p-7, -0x1.0ad3eb323212fp-7, -0x1.037b99a0caa92p-7, -0x1.f8a55f165744p-8, -0x1.eab044e0fbe7fp-8, -0x1.dd15d8e8d8925p-8, -0x1.cfd418a692858p-8, -0x1.c2e90aac1a67ap-8, -0x1.b652be8c5e89bp-8, -0x1.aa0f4cc2bb08cp-8, -0x1.9e1cd69a28ea8p-8, -0x1.92798614396e3p-8, -0x1.87238dcfd882fp-8, -0x1.7c1928efe6b4fp-8, -0x1.71589b01a5823p-8, -0x1.66e02fe301e76p-8, -0x1.5cae3ba8bdfeap-8, -0x1.52c11a8480b8fp-8, -0x1.491730aace829p-8, -0x1.3faeea38eda3ap-8, -0x1.3686bb1ac0362p-8, -0x1.2d9d1ef08f319p-8, -0x1.24f098f4d2a55p-8, -0x1.1c7fb3e1f4e26p-8, -0x1.144901d817e58p-8, -0x1.0c4b1c42ddd9ep-8, -0x1.0484a3bf39c57p-8, -0x1.f9e88002977fcp-9, -0x1.eb313f7492871p-9, -0x1.dce0f0fcef053p-9, -0x1.cef50d5674003p-9, -0x1.c16b1a9a6daabp-9, -0x1.b440ac0d28994p-9, -0x1.a77361eaa273p-9, -0x1.9b00e9337beeep-9, -0x1.8ee6fb7a267ddp-9, -0x1.83235eb059733p-9, -0x1.77b3e4f4d0ec6p-9, -0x1.6c966c615948p-9, -0x1.61c8ded92d5e4p-9, -0x1.574931d7a9ba8p-9, -0x1.4d15663f55f64p-9, -0x1.432b88294ee88p-9, -0x1.3989aeb50ae72p-9, -0x1.302dfbd8850d4p-9, -0x1.27169c30c8c5ap-9, -0x1.1e41c6d2e84aep-9, -0x1.15adbd1d5c6cep-9, -0x1.0d58ca89d18cfp-9, -0x1.0541447f5f8fdp-9, -0x1.facb144a75b05p-10, -0x1.eb88086b9acd2p-10, -0x1.dcb649a49f877p-10, -0x1.ce52cead9c015p-10, -0x1.c05aa05d57e21p-10, -0x1.b2cad9533e1aap-10, -0x1.a5a0a5a2485d8p-10, -0x1.98d9427cdee79p-10, -0x1.8c71fde1ba1e9p-10, -0x1.80683649b4p-10, -0x1.74b95a56a226ep-10, -0x1.6962e88326631p-10, -0x1.5e626ed383668p-10, -0x1.53b58a8776a79p-10, -0x1.4959e7cd09f65p-10, -0x1.3f4d41747469p-10, -0x1.358d60a4f2fb9p-10, -0x1.2c181c92b3e7p-10, -0x1.22eb5a35b40a9p-10, -0x1.1a050c01b38dep-10, -0x1.1163319f2235ep-10, -0x1.0903d7a510ef3p-10, -0x1.00e5175433967p-10, -0x1.f20a2ca5a79e4p-11, -0x1.e2c40cd3ac03bp-11, -0x1.d3f44a85711p-11, -0x1.c597784d2fa65p-11, -0x1.b7aa3f7c62103p-11, -0x1.aa295fa5cbf79p-11, -0x1.9d11ae217be79p-11, -0x1.90601592c97c3p-11, -0x1.8411957049452p-11, -0x1.7823418db708fp-11, -0x1.6c9241a7cfe17p-11, -0x1.615bd0f21d503p-11, -0x1.567d3da6a8bep-11, -0x1.4bf3e897996b3p-11, -0x1.41bd44c2b3cf2p-11, -0x1.37d6d6e6bbfb3p-11, -0x1.2e3e351ab18a5p-11, -0x1.24f10666e6b31p-11, -0x1.1bed025fe9b1bp-11, -0x1.132ff0c33f31ep-11, -0x1.0ab7a915e8c32p-11, -0x1.02821244b17dap-11, -0x1.f51a448c7c466p-12, -0x1.e5adbb7db8042p-12, -0x1.d6baaf4c12d79p-12, -0x1.c83d61db63571p-12, -0x1.ba32305634039p-12, -0x1.ac959282f6bc6p-12, -0x1.9f641a1c7ec4ep-12, -0x1.929a722dc2b5fp-12, -0x1.86355e70d457dp-12, -0x1.7a31bab109e2fp-12, -0x1.6e8c7a3048e51p-12, -0x1.6342a70f6d629p-12, -0x1.585161b9c098ap-12, -0x1.4db5e05376d0ap-12, -0x1.436d6e2b27a98p-12, -0x1.39756b2e36ee3p-12, -0x1.2fcb4b6024f76p-12, -0x1.266c9654bef0ap-12, -0x1.1d56e6ad18efcp-12, -0x1.1487e9975912bp-12, -0x1.0bfd5e513a6bbp-12, -0x1.03b515ad4254bp-12, -0x1.f759e335466a1p-13, -0x1.e7c5c95f6d518p-13, -0x1.d8a9e36e262d5p-13, -0x1.ca02567e46fa4p-13, -0x1.bbcb6658876b9p-13, -0x1.ae01749aa0271p-13, -0x1.a0a0ffe5407dcp-13, -0x1.93a6a30ec3372p-13, -0x1.870f145a95d25p-13, -0x1.7ad724b5356bp-13, -0x1.6efbbef4b1f11p-13, -0x1.6379e71da6972p-13, -0x1.584eb9ac88d72p-13, -0x1.4d776ae34e0dep-13, -0x1.42f1461b3d56bp-13, -0x1.38b9ad1ae9281p-13, -0x1.2ece17704246ap-13, -0x1.252c11ce9a9f9p-13, -0x1.1bd13d70a026ep-13, -0x1.12bb4f7e2bb0dp-13, -0x1.09e81075d6447p-13, -0x1.01555b9a484afp-13, -0x1.f2023cc647f7ap-14, -0x1.e1d2afe30b3d6p-14, -0x1.d218311008084p-14, -0x1.c2cf020c38fd8p-14, -0x1.b3f384cdfb7fcp-14, -0x1.a5823a8739c0fp-14, -0x1.9777c2b009a7p-14, -0x1.89d0da17ac26bp-14, -0x1.7c8a59fbb0bdp-14, -0x1.6fa1372537704p-14, -0x1.6312810c247eap-14, -0x1.56db610026bdap-14, -0x1.4af9195774ec9p-14, -0x1.3f6904a320a63p-14, -0x1.342894e8e3064p-14, -0x1.293552e24151dp-14, -0x1.1e8cdd40f20a2p-14, -0x1.142ce7f85e61dp-14, -0x1.0a133b8c2a77ap-14, -0x1.003db463a2a4ep-14, -0x1.ed548443eb209p-15, -0x1.daadce063ba7ap-15, -0x1.c8836e7ac345dp-15, -0x1.b6d1b0ce9a78ap-15, -0x1.a59501c41bb57p-15, -0x1.94c9ee9029a5ap-15, -0x1.846d23bfcfb0ep-15, -0x1.747b6c260da4ep-15, -0x1.64f1afd19e8dfp-15, -0x1.55ccf30a8798p-15, -0x1.470a555743033p-15, -0x1.38a7108956e57p-15, -0x1.2aa077d12c1fp-15, -0x1.1cf3f6d8f53d5p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b02642b9850abp-1, 0x1.aad63a17e383bp-1, 0x1.a588aee4af659p-1, 0x1.a03ef0419c1ddp-1, 0x1.9af9c913d39b6p-1, 0x1.95b9905ea50cp-1, 0x1.907e390a93a0ap-1, 0x1.8b4760e7065c7p-1, 0x1.86145ec36f3b9p-1, 0x1.80e44f88b9dep-1, 0x1.7bb62245a0137p-1, 0x1.7688a328671b9p-1, 0x1.715a8566cc2c4p-1, 0x1.6c2a6c19c7dcap-1, 0x1.66f6f216948f9p-1, 0x1.61beb0d119553p-1, 0x1.5c804655d6083p-1, 0x1.573a5a6aaf5e7p-1, 0x1.51eba2e6b373cp-1, 0x1.4c92e7513891dp-1, 0x1.472f03d8a5b4ep-1, 0x1.41beebb0dbe9bp-1, 0x1.3c41aae8aa38fp-1, 0x1.36b667c4fce53p-1, 0x1.311c63afaa7cp-1, 0x1.2b72fbc6d8598p-1, 0x1.25b9a91906ee8p-1, 0x1.1ff00098de41fp-1, 0x1.1a15b2d2e53a9p-1, 0x1.142a8b6e635fdp-1, 0x1.0e2e7081c6beap-1, 0x1.082161c2116d3p-1, 0x1.0203779407336p-1, 0x1.f7a9c40a1e13cp-2, 0x1.eb2bcf622e71cp-2, 0x1.de8dc93433abbp-2, 0x1.d1d091eaa9416p-2, 0x1.c4f52fe37d5fcp-2, 0x1.b7fcccf589aafp-2, 0x1.aae8b3f3e87acp-2, 0x1.9dba4e3391446p-2, 0x1.907321171d47bp-2, 0x1.8314cba3d1dbfp-2, 0x1.75a10422ab365p-2, 0x1.681995cf8c1a5p-2, 0x1.5a805e98603e7p-2, 0x1.4cd74ceda1f47p-2, 0x1.3f205da554a3ep-2, 0x1.315d99f15afc9p-2, 0x1.23911569beda5p-2, 0x1.15bcec2b58cd7p-2, 0x1.07e3410b1b027p-2, 0x1.f40c77bc3055dp-3, 0x1.d8500fac92f55p-3, 0x1.bc95a3e7e65bfp-3, 0x1.a0e18f16f8fefp-3, 0x1.853829bedded7p-3, 0x1.699dc79cac828p-3, 0x1.4e16b52831951p-3, 0x1.32a7353ccb5bp-3, 0x1.17537ee78fb29p-3, 0x1.f83f76b3a0697p-4, 0x1.c22007fe0482fp-4, 0x1.8c50c16a1b098p-4, 0x1.56d98c4c09042p-4, 0x1.21c2288467221p-4, 0x1.da245366178f7p-5, 0x1.71a1e94cbf49ep-5, 0x1.0a0b7a0a504a4p-5, 0x1.46de0cc2bca2ap-6, 0x1.eed125d325ed8p-8, -0x1.353012175b018p-8, -0x1.14096d641b69fp-6, -0x1.d86b682791776p-6, -0x1.4d2d2b940eb27p-5, -0x1.acdfc5f7944b5p-5, -0x1.05a1529a84ce7p-4, -0x1.3425b2dee19d2p-4, -0x1.61f80fbcd3667p-4, -0x1.8f13b33d00ab4p-4, -0x1.bb7425b37c40fp-4, -0x1.e7152dd58b94p-4, -0x1.08f968581ee1p-3, -0x1.1e04a8c0c4177p-3, -0x1.32aa98bac1269p-3, -0x1.46e997a4c1215p-3, -0x1.5ac0236b3e2e9p-3, -0x1.6e2cd8422f736p-3, -0x1.812e7053e51ap-3, -0x1.93c3c365cb2cbp-3, -0x1.a5ebc673d84c9p-3, -0x1.b7a58b4336c47p-3, -0x1.c8f03fecf86e8p-3, -0x1.d9cb2e614fb17p-3, -0x1.ea35bbe40ab22p-3, -0x1.fa2f6882d2e92p-3, -0x1.04dbe742e8993p-2, -0x1.0c6750ed9a0fbp-2, -0x1.13b9d7bf18cd8p-2, -0x1.1ad36e6cf8068p-2, -0x1.21b4139473a11p-2, -0x1.285bd1688d5c9p-2, -0x1.2ecabd5ed9f55p-2, -0x1.3500f7db2b92bp-2, -0x1.3afeabda52ab9p-2, -0x1.40c40e9c207b9p-2, -0x1.46515f4ce2e3cp-2, -0x1.4ba6e6ae7b23bp-2, -0x1.50c4f6c140acap-2, -0x1.55abea6cd652bp-2, -0x1.5a5c2529150a9p-2, -0x1.5ed612a72f64p-2, -0x1.631a267b35c56p-2, -0x1.6728dbc60fa48p-2, -0x1.6b02b4e00e3d7p-2, -0x1.6ea83b0435ce3p-2, -0x1.7219fdfc4f5eep-2, -0x1.755893cde1708p-2, -0x1.786498682209bp-2, -0x1.7b3ead52fa525p-2, -0x1.7de7795f2960ep-2, -0x1.805fa8579c365p-2, -0x1.82a7eab4088adp-2, -0x1.84c0f54cd87ecp-2, -0x1.86ab811077e5cp-2, -0x1.88684aba0873bp-2, -0x1.89f812898f43p-2, -0x1.8b5b9bfd9fabap-2, -0x1.8c93ad8e8ca4ep-2, -0x1.8da1106b2c23p-2, -0x1.8e84903729ccdp-2, -0x1.8f3efacafb105p-2, -0x1.8fd11ff56dff4p-2, -0x1.903bd13ed91a8p-2, -0x1.907fe1adf5495p-2, -0x1.909e258e59306p-2, -0x1.90977238a31a9p-2, -0x1.906c9ddc4603fp-2, -0x1.901e7f4b02222p-2, -0x1.8fadedc606b75p-2, -0x1.8f1bc0ccb6266p-2, -0x1.8e68cfed15139p-2, -0x1.8d95f295d67fdp-2, -0x1.8ca3ffea0a94fp-2, -0x1.8b93ce966839ap-2, -0x1.8a6634a82fa98p-2, -0x1.891c0765a2fe5p-2, -0x1.87b61b280b6cap-2, -0x1.863543374d687p-2, -0x1.849a51a70040fp-2, -0x1.82e6173507e28p-2, -0x1.81196329a8637p-2, -0x1.7f3503391047ap-2, -0x1.7d39c366511f6p-2, -0x1.7b286de7c0597p-2, -0x1.7901cb0cbbe29p-2, -0x1.76c6a124c955cp-2, -0x1.7477b4680a768p-2, -0x1.7215c6e0ff7aep-2, -0x1.6fa19857924eap-2, -0x1.6d1be63d5e7f5p-2, -0x1.6a856b9b35d15p-2, -0x1.67dee0ffd2189p-2, -0x1.6528fc6fb84b8p-2, -0x1.6264715635efcp-2, -0x1.5f91f077821f2p-2, -0x1.5cb227e3eec8bp-2, -0x1.59c5c2ec28de3p-2, -0x1.56cd6a167c6dcp-2, -0x1.53c9c3151a048p-2, -0x1.50bb70bd50293p-2, -0x1.4da312ffb8edfp-2, -0x1.4a8146e14ae2dp-2, -0x1.4756a675507dfp-2, -0x1.4423c8d837e5cp-2, -0x1.40e9422b34849p-2, -0x1.3da7a390b1849p-2, -0x1.3a5f7b29847d6p-2, -0x1.37115412e368p-2, -0x1.33bdb6650e02fp-2, -0x1.30652732ae2c3p-2, -0x1.2d082888dbd68p-2, -0x1.29a7396fccf57p-2, -0x1.2642d5ec1a814p-2, -0x1.22db7700a6025p-2, -0x1.1f7192b108549p-2, -0x1.1c059c0491fe4p-2, -0x1.18980309cb823p-2, -0x1.152934da78c21p-2, -0x1.11b99ba01553p-2, -0x1.0e499e98c2babp-2, -0x1.0ad9a21ca6627p-2, -0x1.076a07a3b188dp-2, -0x1.03fb2dcbcbb6dp-2, -0x1.008d705f5a729p-2, -0x1.fa4250b84c5dbp-3, -0x1.f36d57f51f6dcp-3, -0x1.ec9c9d6a2b4a4p-3, -0x1.e5d0c2a052ea3p-3, -0x1.df0a63c488b58p-3, -0x1.d84a17b8824cbp-3, -0x1.d1907023e9386p-3, -0x1.caddf985fd111p-3, -0x1.c4333b47990bfp-3, -0x1.bd90b7cda4d7ep-3, -0x1.b6f6ec8bdbae5p-3, -0x1.b0665217e6124p-3, -0x1.a9df5c3cc016fp-3, -0x1.a3627a0e619e5p-3, -0x1.9cf015fda6cdbp-3, -0x1.968895ec6fed3p-3, -0x1.902c5b41e9bcfp-3, -0x1.89dbc2ff0e164p-3, -0x1.839725d339a89p-3, -0x1.7d5ed830e5c76p-3, -0x1.77332a6281e25p-3, -0x1.7114689f52444p-3, -0x1.6b02db2065b14p-3, -0x1.64fec63594b16p-3, -0x1.5f086a5a7e383p-3, -0x1.5920044b87d08p-3, -0x1.5345cd1ada442p-3, -0x1.4d79fa454f4e9p-3, -0x1.47bcbdc75928ap-3, -0x1.420e4631cece6p-3, -0x1.3c6ebebeaf7a2p-3, -0x1.36de4f65c04bfp-3, -0x1.315d1cf1185a5p-3, -0x1.2beb4911852d1p-3, -0x1.2688f272d3f43p-3, -0x1.213634cfeec34p-3, -0x1.1bf32906d5bccp-3, -0x1.16bfe52c6a7fdp-3, -0x1.119c7ca00f9b8p-3, -0x1.0c89001f1a43cp-3, -0x1.07857dd809f97p-3, -0x1.0292017d989cbp-3, -0x1.fb5d28b30bc6fp-4, -0x1.f1b67abe72f17p-4, -0x1.e830027c3bb71p-4, -0x1.dec9c4e795bc1p-4, -0x1.d583c2bbd38a9p-4, -0x1.cc5df897ccca7p-4, -0x1.c3585f20a92d6p-4, -0x1.ba72eb243c871p-4, -0x1.b1ad8dbad6282p-4, -0x1.a908346893516p-4, -0x1.a082c93e189a1p-4, -0x1.981d32f8e1c8ap-4, -0x1.8fd75522e4087p-4, -0x1.87b11031c0f12p-4, -0x1.7faa41a55f9f7p-4, -0x1.77c2c425fc68ep-4, -0x1.6ffa6fa1ab1e5p-4, -0x1.685119694a75ap-4, -0x1.60c6944ce8f3fp-4, -0x1.595ab0b79bdfdp-4, -0x1.520d3ccac4b6fp-4, -0x1.4ade0478cac81p-4, -0x1.43ccd19f4322cp-4, -0x1.3cd96c208abcdp-4, -0x1.360399fcd3536p-4, -0x1.2f4b1f6a9f294p-4, -0x1.28afbeeeb38d7p-4, -0x1.223139737a6bdp-4, -0x1.1bcf4e5fdaa5dp-4, -0x1.1589bbad83815p-4, -0x1.0f603dfeaeb23p-4, -0x1.095290b3584b1p-4, -0x1.03606dfdeeb07p-4, -0x1.fb131deef5204p-5, -0x1.ef9b57668464dp-5, -0x1.e458f6a3cd7cfp-5, -0x1.d94b6827fcdddp-5, -0x1.ce7216d858d4ap-5, -0x1.c3cc6c2171c7ep-5, -0x1.b959d0195037ep-5, -0x1.af19a9a0abc08p-5, -0x1.a50b5e8326898p-5, -0x1.9b2e5396942fp-5, -0x1.9181ecd950b48p-5, -0x1.88058d8fa7294p-5, -0x1.7eb898604d43fp-5, -0x1.759a6f6ff7d57p-5, -0x1.6caa747c0bf13p-5, -0x1.63e808f46cca8p-5, -0x1.5b528e14707cp-5, -0x1.52e964faf7d9dp-5, -0x1.4aabeec1b219dp-5, -0x1.42998c938f7dbp-5, -0x1.3ab19fc263583p-5, -0x1.32f389dbbe394p-5, -0x1.2b5eacbcfd16ap-5, -0x1.23f26aa69b2a5p-5, -0x1.1cae264ebf21cp-5, -0x1.159142f30f963p-5, -0x1.0e9b2469cfdaep-5, -0x1.07cb2f32457c1p-5, -0x1.0120c88472bebp-5, -0x1.f536acc03ee46p-6, -0x1.e8747f3678139p-6, -0x1.dbf9d7df3d48ap-6, -0x1.cfc588103c75bp-6, -0x1.c3d6631a1fa93p-6, -0x1.b82b3e60582cdp-6, -0x1.acc2f16fb56c2p-6, -0x1.a19c5613db597p-6, -0x1.96b6486b96322p-6, -0x1.8c0fa6fc1defep-6, -0x1.81a752c33f8bfp-6, -0x1.777c2f4882996p-6, -0x1.6d8d22ad4ebabp-6, -0x1.63d915bc0cba7p-6, -0x1.5a5ef3f65c9b9p-6, -0x1.511daba253432p-6, -0x1.48142dd6dbe0ap-6, -0x1.3f416e872ac9bp-6, -0x1.36a4648d6173ap-6, -0x1.2e3c09b45847fp-6, -0x1.26075ac096c67p-6, -0x1.1e0557788cf3ap-6, -0x1.163502ac00b63p-6, -0x1.0e95623ac70edp-6, -0x1.07257f1ac16e5p-6, -0x1.ffc8caba5eaf6p-7, -0x1.f1a248669ec69p-7, -0x1.e3d59be4c6a91p-7, -0x1.d660f02e169c5p-7, -0x1.c94276901be78p-7, -0x1.bc7866b113e94p-7, -0x1.b000fe932a71ap-7, -0x1.a3da8296a7144p-7, -0x1.98033d7b107bep-7, -0x1.8c79805f4f997p-7, -0x1.813ba2c0ce761p-7, -0x1.76480279bfb11p-7, -0x1.6b9d03be6ce2bp-7, -0x1.61391119af135p-7, -0x1.571a9b6898502p-7, -0x1.4d4019d553feep-7, -0x1.43a809d135ea9p-7, -0x1.3a50ef0e27773p-7, -0x1.313953774e88dp-7, -0x1.285fc729163a4p-7, -0x1.1fc2e06891cap-7, -0x1.17613b9a46439p-7, -0x1.0f397b386062bp-7, -0x1.074a47c85efe1p-7, -0x1.ff249fa07055bp-8, -0x1.f0208f9602cc4p-8, -0x1.e185d43a3d6cdp-8, -0x1.d351ee10041b3p-8, -0x1.c582693aff22ap-8, -0x1.b814dd657a3d3p-8, -0x1.ab06eda587946p-8, -0x1.9e5648616e9dbp-8, -0x1.9200a733788cdp-8, -0x1.8603cecd1ce5fp-8, -0x1.7a5d8ed99feacp-8, -0x1.6f0bc1e029a3ap-8, -0x1.640c4d2560c79p-8, -0x1.595d208c911c2p-8, -0x1.4efc367869b03p-8, -0x1.44e793ab5ad31p-8, -0x1.3b1d47279b615p-8, -0x1.319b6a0edeb13p-8, -0x1.28601f81c4f96p-8, -0x1.1f69947f0bd22p-8, -0x1.16b5ffc286b33p-8, -0x1.0e43a1a3e9904p-8, -0x1.0610c3f568accp-8, -0x1.fc3773c47021bp-9, -0x1.ecc5bf99df626p-9, -0x1.ddc9365bb4f3cp-9, -0x1.cf3eb4e26f1dep-9, -0x1.c12329aae3f57p-9, -0x1.b3739492af088p-9, -0x1.a62d0694a02afp-9, -0x1.994ca1853cd7p-9, -0x1.8ccf97cf5db3fp-9, -0x1.80b32c30ea81fp-9, -0x1.74f4b177c941dp-9, -0x1.69918a3f0095cp-9, -0x1.5e8728ac18a02p-9, -0x1.53d30e2cc630dp-9, -0x1.4972cb34dfb19p-9, -0x1.3f63fefcad457p-9, -0x1.35a4573f94aadp-9, -0x1.2c318ffb2560cp-9, -0x1.2309732e97a4bp-9, -0x1.1a29d89ab3947p-9, -0x1.1190a582339a5p-9, -0x1.093bcc6aa221cp-9, -0x1.01294cddb716cp-9, -0x1.f2ae665679008p-10, -0x1.e3873056fd6f6p-10, -0x1.d4d942048bf8dp-10, -0x1.c6a0fdc4db4e5p-10, -0x1.b8dadda40a946p-10, -0x1.ab8372de2ea5ap-10, -0x1.9e97656a0d147p-10, -0x1.921373851daeap-10, -0x1.85f47140d1647p-10, -0x1.7a37481128b39p-10, -0x1.6ed8f65c99974p-10, -0x1.63d68f0d485d8p-10, -0x1.592d39239ea4p-10, -0x1.4eda2f4a3e3c5p-10, -0x1.44dabf6b54781p-10, -0x1.3b2c4a474cbcfp-10, -0x1.31cc430cf6a52p-10, -0x1.28b82ef30144dp-10, -0x1.1feda4d2ef9dap-10, -0x1.176a4cc5755b5p-10, -0x1.0f2bdfc03aba2p-10, -0x1.0730273512d8fp-10, -0x1.fee9f9654e559p-11, -0x1.eff0930d05bafp-11, -0x1.e1700cc1396fbp-11, -0x1.d36475f08eafdp-11, -0x1.c5c9fb65270c2p-11, -0x1.b89ce69441943p-11, -0x1.abd99cf0b6ee6p-11, -0x1.9f7c9f404e92ep-11, -0x1.938288f3ecee7p-11, -0x1.87e80f8293e63p-11, -0x1.7caa01c7374eep-11, -0x1.71c547615d045p-11, -0x1.6736e0188a6c5p-11, -0x1.5cfbe34274978p-11, -0x1.53117f2bf699dp-11, -0x1.4974f884c22b5p-11, -0x1.4023a9cdc9ab2p-11, -0x1.371b02ca5f3c8p-11, -0x1.2e5887f3ff16ep-11, -0x1.25d9d1f0c420ep-11, -0x1.1d9c8d0c7f2f1p-11, -0x1.159e78b46a5edp-11, -0x1.0ddd66f572056p-11, -0x1.06573bfd0eb1dp-11, -0x1.fe13db39521bep-12, -0x1.efe7059efd374p-12, -0x1.e224268608506p-12, -0x1.d4c78dc377a5ep-12, -0x1.c7cdaac0f3673p-12, -0x1.bb330b9c1c3b8p-12, -0x1.aef45c4aa11c6p-12, -0x1.a30e65c300711p-12, -0x1.977e0d29ee907p-12, -0x1.8c4053044a3edp-12, -0x1.8152526d9370fp-12, -0x1.76b14052d65edp-12, -0x1.6c5a6ab1f9c9cp-12, -0x1.624b37dd5d89ep-12, -0x1.588125c3c1bcbp-12, -0x1.4ef9c93c5c74ep-12, -0x1.45b2cd571ac42p-12, -0x1.3ca9f2b0ed268p-12, -0x1.33dd0ecc211a9p-12, -0x1.2b4a0b6ca9bbbp-12, -0x1.22eee5f84fb4ep-12, -0x1.1ac9aedab4bc9p-12, -0x1.12d888ed1bbc2p-12, -0x1.0b19a8e1e8934p-12, -0x1.038b54b3c3342p-12, -0x1.f857c6309d8e6p-13, -0x1.e9f375ecd5dfp-13, -0x1.dbe6a5bfd239ap-13, -0x1.ce2e611d4c528p-13, -0x1.c0c7d0ca0134fp-13, -0x1.b3b039e322cdap-13, -0x1.a6e4fcec42c87p-13, -0x1.9a6394e38a9edp-13, -0x1.8e29965c2c1efp-13, -0x1.8234ae9ee664bp-13, -0x1.7682a2d083583p-13, -0x1.6b114f1e32ac7p-13, -0x1.5fdea5efa2d74p-13, -0x1.54e8af1eb87cap-13, -0x1.4a2d8734cce2p-13, -0x1.3fab5ead53e2bp-13, -0x1.3560793dd1fb4p-13, -0x1.2b4b2d22f647ap-13, -0x1.2169e272da431p-13, -0x1.17bb12742da2cp-13, -0x1.0e3d46fa454a7p-13, -0x1.04ef19c5efa11p-13, -0x1.f79e67d5e119fp-14, -0x1.e5b89a741d236p-14, -0x1.d42a575f26af8p-14, -0x1.c2f145cc57985p-14, -0x1.b20b271c160b5p-14, -0x1.a175d5d072a83p-14, -0x1.912f448be7d2fp-14, -0x1.81357d1812f57p-14, -0x1.71869f7433146p-14, -0x1.6220e0eb4121bp-14, -0x1.53028b317051fp-14, -0x1.4429fb88ededcp-14, -0x1.3595a1edb13e4p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de985be415d02p-1, 0x1.dc41c6849010dp-1, 0x1.d9e3d6ea5368bp-1, 0x1.d77fa619cb428p-1, 0x1.d516296810ef6p-1, 0x1.d2a834a802aa3p-1, 0x1.d0367c752a899p-1, 0x1.cdc1988e4a867p-1, 0x1.cb4a0633eddf5p-1, 0x1.c8d02a8193f51p-1, 0x1.c65454b9f07c2p-1, 0x1.c3d6c080657dcp-1, 0x1.c15797fb38322p-1, 0x1.bed6f5db3b17ap-1, 0x1.bc54e746a1b24p-1, 0x1.b9d16da588572p-1, 0x1.b74c804f6ba3dp-1, 0x1.b4c60e195cd58p-1, 0x1.b23dfec533df6p-1, 0x1.afb434525e753p-1, 0x1.ad288c31340a3p-1, 0x1.aa9ae059edbbfp-1, 0x1.a80b08488c3d9p-1, 0x1.a578d9df0d5cp-1, 0x1.a2e42a2f6dc37p-1, 0x1.a04cce2ef1e93p-1, 0x1.9db29b543fba8p-1, 0x1.9b156821c5462p-1, 0x1.98750c9de7b5dp-1, 0x1.95d162ba69d3fp-1, 0x1.932a46ac69853p-1, 0x1.907f9736458a6p-1, 0x1.8dd135e4adb2cp-1, 0x1.8b1f07400a1a3p-1, 0x1.8868f2f35638bp-1, 0x1.85aee3e97cb53p-1, 0x1.82f0c86226bfbp-1, 0x1.802e91feeb597p-1, 0x1.7d6835c9ad77ap-1, 0x1.7a9dac34f2a77p-1, 0x1.77cef116e4531p-1, 0x1.74fc039f9fb26p-1, 0x1.7224e64b6fe11p-1, 0x1.6f499ed178e69p-1, 0x1.6c6a360f53734p-1, 0x1.6986b7f20897dp-1, 0x1.669f335cd9e1p-1, 0x1.63b3ba0e2dccfp-1, 0x1.60c46082f8c8cp-1, 0x1.5dd13dd8ed42bp-1, 0x1.5ada6bafb6529p-1, 0x1.57e006097b6d2p-1, 0x1.54e22b2ae3aafp-1, 0x1.51e0fb7ac7b25p-1, 0x1.4edc9961bfc8dp-1, 0x1.4bd52929b2fedp-1, 0x1.48cad0dd8a6acp-1, 0x1.45bdb829265d6p-1, 0x1.42ae0839af48cp-1, 0x1.3f9beb9e5a1a8p-1, 0x1.3c878e29b3d2bp-1, 0x1.39711cd38629p-1, 0x1.3658c59b63518p-1, 0x1.333eb76be7651p-1, 0x1.302321feb6e7cp-1, 0x1.2d0635c1487fdp-1, 0x1.29e823ba7b2e8p-1, 0x1.26c91d71055c9p-1, 0x1.23a954d2bb2eap-1, 0x1.2088fc1cb4ef2p-1, 0x1.1d6845c453c9ap-1, 0x1.1a47646129772p-1, 0x1.17268a97c26a1p-1, 0x1.1405eb05500ecp-1, 0x1.10e5b82c36a57p-1, 0x1.0dc624617a4f7p-1, 0x1.0aa761bb09c6p-1, 0x1.0789a1fee4f7dp-1, 0x1.046d16931cb1ep-1, 0x1.0151f06ea644dp-1, 0x1.fc70c016087f8p-2, 0x1.f6412aad72853p-2, 0x1.f0157f511229ap-2, 0x1.e9ee1b66f7d1cp-2, 0x1.e3cb5af748791p-2, 0x1.ddad989745e1p-2, 0x1.d7952d55c044fp-2, 0x1.d18270a8f355dp-2, 0x1.cb75b85dba419p-2, 0x1.c56f58881a56bp-2, 0x1.bf6fa375131bbp-2, 0x1.b976e99daa2f1p-2, 0x1.b385799b2cc5ap-2, 0x1.ad9ba01c9926cp-2, 0x1.a7b9a7dd26e8cp-2, 0x1.a1dfd99be2ef7p-2, 0x1.9c0e7c1455f01p-2, 0x1.9645d3f82c3eap-2, 0x1.908623e9d222ep-2, 0x1.8acfac77fccb3p-2, 0x1.8522ac1a17108p-2, 0x1.7f7f5f2d854b3p-2, 0x1.79e5fff3bcb3bp-2, 0x1.7456c6911af4bp-2, 0x1.6ed1e90c7fb1bp-2, 0x1.69579b4f9ad01p-2, 0x1.63e80f27e1e05p-2, 0x1.5e8374482df91p-2, 0x1.5929f84aef8bbp-2, 0x1.53dbc6b4f9837p-2, 0x1.4e9908f8d2182p-2, 0x1.4961e67a8b876p-2, 0x1.44368494146dap-2, 0x1.3f170699fe6edp-2, 0x1.3a038de0b17ffp-2, 0x1.34fc39c20458ap-2, 0x1.300127a336882p-2, 0x1.2b1272fb404c6p-2, 0x1.26303559797eep-2, 0x1.215a866c8982dp-2, 0x1.1c917c099fc5p-2, 0x1.17d52a33ece22p-2, 0x1.1325a32459d09p-2, 0x1.0e82f751712d3p-2, 0x1.09ed35777ea0ep-2, 0x1.05646aa0d87eap-2, 0x1.00e8a22e51678p-2, 0x1.f8f3cbbf9dbf4p-3, 0x1.f0307bb9fb982p-3, 0x1.e787617c44694p-3, 0x1.def88729fe6dp-3, 0x1.d683f3eba2df2p-3, 0x1.ce29ac00b27d9p-3, 0x1.c5e9b0d1e2aacp-3, 0x1.bdc401035ecaep-3, 0x1.b5b89887134dfp-3, 0x1.adc770aefb5d9p-3, 0x1.a5f0803f79fa5p-3, 0x1.9e33bb819fbe8p-3, 0x1.969114556fc06p-3, 0x1.8f087a4412dc5p-3, 0x1.8799da91f5e32p-3, 0x1.80452050d2ab8p-3, 0x1.790a347199796p-3, 0x1.71e8fdd63c7d1p-3, 0x1.6ae1616359046p-3, 0x1.63f34211b591cp-3, 0x1.5d1e80ff9b024p-3, 0x1.5662fd81f9cd6p-3, 0x1.4fc095356a53ep-3, 0x1.4937240eec16cp-3, 0x1.42c6846c7c787p-3, 0x1.3c6e8f256f09bp-3, 0x1.362f1b9a91f17p-3, 0x1.3007ffc6113ccp-3, 0x1.29f9104b23a63p-3, 0x1.2402208572c09p-3, 0x1.1e2302984ad6ap-3, 0x1.185b877d80e76p-3, 0x1.12ab7f141e94bp-3, 0x1.0d12b82ec50fdp-3, 0x1.079100a1d0b11p-3, 0x1.0226255130089p-3, 0x1.f9a3e47c01c37p-4, 0x1.ef286527b6f09p-4, 0x1.e4d9616bbe73dp-4, 0x1.dab66c96e4402p-4, 0x1.d0bf1899832bdp-4, 0x1.c6f2f61de320cp-4, 0x1.bd5194a01a659p-4, 0x1.b3da828550921p-4, 0x1.aa8d4d3282d9bp-4, 0x1.a1698122a83f3p-4, 0x1.986ea9fc59c27p-4, 0x1.8f9c52a6dc932p-4, 0x1.86f2055eaa429p-4, 0x1.7e6f4bc968867p-4, 0x1.7613af09565b5p-4, 0x1.6ddeb7d02f957p-4, 0x1.65cfee7186849p-4, 0x1.5de6daf496229p-4, 0x1.562305258dda7p-4, 0x1.4e83f4a656baep-4, 0x1.470930fed72ep-4, 0x1.3fb241acb12b3p-4, 0x1.387eae328326ep-4, 0x1.316dfe26a6201p-4, 0x1.2a7fb941713c5p-4, 0x1.23b3676afff54p-4, 0x1.1d0890c87e2f1p-4, 0x1.167ebdc8fd08ep-4, 0x1.10157731d00c1p-4, 0x1.09cc462a777b8p-4, 0x1.03a2b44815d3p-4, 0x1.fb309730ec892p-5, 0x1.ef592d5948c2bp-5, 0x1.e3be41462d064p-5, 0x1.d85eea62d9cbdp-5, 0x1.cd3a415b93548p-5, 0x1.c24f602f81651p-5, 0x1.b79d6241c672cp-5, 0x1.ad236469d2d6ep-5, 0x1.a2e08502f3ad8p-5, 0x1.98d3e3fb28486p-5, 0x1.8efca2e13bbfdp-5, 0x1.8559e4f22bc66p-5, 0x1.7beacf25dc667p-5, 0x1.72ae883b200c5p-5, 0x1.69a438c317622p-5, 0x1.60cb0b2beb73bp-5, 0x1.58222bcae7618p-5, 0x1.4fa8c8e5f581ep-5, 0x1.475e12bc82c07p-5, 0x1.3f413b8fcf45ep-5, 0x1.375177aaab59p-5, 0x1.2f8dfd68a99fdp-5, 0x1.27f6053cc4fdcp-5, 0x1.2088c9b785ab9p-5, 0x1.1945878c9f338p-5, 0x1.122b7d9813fc9p-5, 0x1.0b39ece2dbee1p-5, 0x1.047018a717ab9p-5, 0x1.fb9a8ca79644ep-6, 0x1.eea17b205dc6ep-6, 0x1.e1f3907d1c29dp-6, 0x1.d58f64fd852ap-6, 0x1.c97395608ae3bp-6, 0x1.bd9ec2e7c2e0ap-6, 0x1.b20f935a0786p-6, 0x1.a6c4b105655dap-6, 0x1.9bbccac05655fp-6, 0x1.90f693ea4fe77p-6, 0x1.8670c46bb0c9p-6, 0x1.7c2a18b50891dp-6, 0x1.722151bdce663p-6, 0x1.685535027cd4cp-6, 0x1.5ec48c82247abp-6, 0x1.556e26bb74bd1p-6, 0x1.4c50d6a9419e4p-6, 0x1.436b73be8b9ep-6, 0x1.3abcd9e21215cp-6, 0x1.3243e9696bd7bp-6, 0x1.29ff8713b85c8p-6, 0x1.21ee9c03e4935p-6, 0x1.1a1015ba878c4p-6, 0x1.1262e60f6678ap-6, 0x1.0ae6032a94befp-6, 0x1.0398677d448a8p-6, 0x1.f8f223747a90fp-7, 0x1.eb0e099c0f1bfp-7, 0x1.dd828fad9e35ap-7, 0x1.d04dcc37f5f29p-7, 0x1.c36dde0b09c0cp-7, 0x1.b6e0ec2626bbfp-7, 0x1.aaa525a5a24ddp-7, 0x1.9eb8c1b030246p-7, 0x1.9319ff63bc4f2p-7, 0x1.87c725c1ee19ep-7, 0x1.7cbe839c4b34ap-7, 0x1.71fe6f800669bp-7, 0x1.678547a183bcep-7, 0x1.5d5171c7908aap-7, 0x1.53615b3656b1dp-7, 0x1.49b3789a17712p-7, 0x1.404645f1b15a9p-7, 0x1.37184678e4f8cp-7, 0x1.2e28049280af8p-7, 0x1.257411b255b99p-7, 0x1.1cfb064710037p-7, 0x1.14bb81a3ee14cp-7, 0x1.0cb429ea5e176p-7, 0x1.04e3abf386769p-7, 0x1.fa91767376b4ap-8, 0x1.ebc42383cdcfcp-8, 0x1.dd5ce009d1d95p-8, 0x1.cf5939b1dc2e5p-8, 0x1.c1b6cab58ea83p-8, 0x1.b47339ae805eep-8, 0x1.a78c3968f63c9p-8, 0x1.9aff88b6a7acfp-8, 0x1.8ecaf2419aa82p-8, 0x1.82ec4c5f1be47p-8, 0x1.776178e2d32cfp-8, 0x1.6c2864f20431cp-8, 0x1.613f08d6f50fep-8, 0x1.56a367d48933ap-8, 0x1.4c538ffa0e9d9p-8, 0x1.424d99f746436p-8, 0x1.388fa8f0a9cd4p-8, 0x1.2f17ea53f2a1p-8, 0x1.25e495ace7db2p-8, 0x1.1cf3ec7a74572p-8, 0x1.14443a040b87bp-8, 0x1.0bd3d32f5c46bp-8, 0x1.03a1165659373p-8, 0x1.f754d63b2e00fp-9, 0x1.e7dc84960426ap-9, 0x1.d8d62b39e4548p-9, 0x1.ca3ecf43370a7p-9, 0x1.bc13871dc1f1bp-9, 0x1.ae517a350da31p-9, 0x1.a0f5e0a59a97dp-9, 0x1.93fe02eede835p-9, 0x1.876739a617985p-9, 0x1.7b2eed29eb085p-9, 0x1.6f529556e4207p-9, 0x1.63cfb93cc681ap-9, 0x1.58a3eed4be262p-9, 0x1.4dccdab86d34dp-9, 0x1.43482fd9db01dp-9, 0x1.3913af3c428dcp-9, 0x1.2f2d27adc6b3p-9, 0x1.259275820b72ep-9, 0x1.1c41824db1003p-9, 0x1.133844a2bc5aap-9, 0x1.0a74bfcde118bp-9, 0x1.01f50394b8314p-9, 0x1.f36e57e9b6a95p-10, 0x1.e372c1c7df0cfp-10, 0x1.d3f3ac2122ea8p-10, 0x1.c4ed95485ec68p-10, 0x1.b65d120b995d6p-10, 0x1.a83ecd3b54f23p-10, 0x1.9a8f8733b85d7p-10, 0x1.8d4c15678259dp-10, 0x1.807161eccdd05p-10, 0x1.73fc6b0ba061ap-10, 0x1.67ea42ce48cf1p-10, 0x1.5c380e937a1dep-10, 0x1.50e306a23d5b5p-10, 0x1.45e875bf9b9a7p-10, 0x1.3b45b8c60a4e6p-10, 0x1.30f83e3e9e817p-10, 0x1.26fd85fbf185p-10, 0x1.1d5320b6c5bd3p-10, 0x1.13f6afac5bc4ap-10, 0x1.0ae5e43e7eaabp-10, 0x1.021e7f953a92p-10, 0x1.f33ca484837b5p-11, 0x1.e2c677cbeaef2p-11, 0x1.d2d655ac2a93fp-11, 0x1.c368378c198edp-11, 0x1.b47832e1b900cp-11, 0x1.a602788936ac4p-11, 0x1.9803541f13b93p-11, 0x1.8a772b5d6b4f9p-11, 0x1.7d5a7d7c4e739p-11, 0x1.70a9e2952a543p-11, 0x1.64620b0934fefp-11, 0x1.587fbeead20e8p-11, 0x1.4cffdd69ea9aep-11, 0x1.41df5c432c7bp-11, 0x1.371b47322849ap-11, 0x1.2cb0bf6646119p-11, 0x1.229cfafa8479fp-11, 0x1.18dd446ffc958p-11, 0x1.0f6efa2b1d0dep-11, 0x1.064f8df396952p-11, 0x1.faf908eddb5cfp-12, 0x1.e9e6e99b5126fp-12, 0x1.d964100622329p-12, 0x1.c96bf13f00036p-12, 0x1.b9fa246a4c02ap-12, 0x1.ab0a61de9cdcdp-12, 0x1.9c9882481734fp-12, 0x1.8ea07dd08df8ap-12, 0x1.811e6b4c59ab6p-12, 0x1.740e7f6bc8ef9p-12, 0x1.676d0bf125589p-12, 0x1.5b367eeb2c8cdp-12, 0x1.4f6761f3f59c9p-12, 0x1.43fc5974286dbp-12, 0x1.38f223ea79474p-12, 0x1.2e45993751f7fp-12, 0x1.23f3a9ec9bfafp-12, 0x1.19f95ea192638p-12, 0x1.1053d74a8fd8fp-12, 0x1.07004a94c21edp-12, 0x1.fbf80a8b697f6p-13, 0x1.ea88d33d3a7aap-13, 0x1.d9addd86bbeb1p-13, 0x1.c962404a46bcdp-13, 0x1.b9a139e13395bp-13, 0x1.aa662eff3216ep-13, 0x1.9baca99c8cbb8p-13, 0x1.8d7057e71a48ep-13, 0x1.7fad0b39d200bp-13, 0x1.725eb71ad58b6p-13, 0x1.6581703fd3c98p-13, 0x1.59116b98a6d12p-13, 0x1.4d0afd60065d4p-13, 0x1.416a98323e785p-13, 0x1.362ccc29b7f14p-13, 0x1.2b4e460145fe8p-13, 0x1.20cbce3c0c066p-13, 0x1.16a24852eef02p-13, 0x1.0cceb1e7640e1p-13, 0x1.034e21fb89d01p-13, 0x1.f43b905edca35p-14, 0x1.e275d806c87d5p-14, 0x1.d145d83e99a81p-14, 0x1.c0a67b3d76256p-14, 0x1.b092d6c3a86e2p-14, 0x1.a1062ac5a9332p-14, 0x1.91fbe020476c8p-14, 0x1.836f8755a0e4cp-14, 0x1.755cd752d65a4p-14, 0x1.67bfac3e3919ap-14, 0x1.5a94064dc64bcp-14, 0x1.4dd608a5bef62p-14, 0x1.4181f83f2dd8ep-14, 0x1.35943ad62e4dcp-14, 0x1.2a0955dfc40fep-14, 0x1.1edded8718de2p-14, 0x1.140ec3b1f34afp-14, 0x1.0998b70c3d1cdp-14, 0x1.fef18434d7574p-15, 0x1.eb57f4a5475c5p-15, 0x1.d85f1e78dc444p-15, 0x1.c601932da9bf8p-15, 0x1.b43a150985ffap-15, 0x1.a303957efc0c8p-15, 0x1.9259339e2a19p-15, 0x1.82363a913e059p-15, 0x1.7296202446ecp-15, 0x1.63748358179ddp-15, 0x1.54cd2affedb1fp-15, 0x1.469c04699ca59p-15, 0x1.38dd220ff952cp-15, 0x1.2b8cba5740911p-15, 0x1.1ea726533aabp-15, 0x1.1228e096dacecp-15, 0x1.060e840d1c252p-15, 0x1.f4a995b5c23a3p-16, 0x1.ddf11a932bbbfp-16, 0x1.c7ed8174bcca3p-16, 0x1.b298ed432be11p-16, 0x1.9dedb714cd94bp-16, 0x1.89e66c4488d23p-16, 0x1.767dcc9822fc8p-16, 0x1.63aec8757d932p-16, 0x1.51747f265c2e5p-16, 0x1.3fca3d2a4a545p-16, 0x1.2eab7a9649401p-16, 0x1.1e13d981d8c93p-16, 0x1.0dff248107d81p-16, 0x1.fcd29a5657aep-17, 0x1.de9cd55bbe94fp-17, 0x1.c15570d80073dp-17, 0x1.a4f5295086171p-17, 0x1.8974fe7636459p-17, 0x1.6ece30a728bfp-17, 0x1.54fa3e85b947fp-17, 0x1.3bf2e2a450da9p-17, 0x1.23b2114541d8p-17, 0x1.0c31f62e3e072p-17, 0x1.ead9e51d7452ap-18, 0x1.bebb35f1805b8p-18, 0x1.93fd6ad741cfdp-18, 0x1.6a966edffcca4p-18, 0x1.427c888958e9ep-18, 0x1.1ba65637c9a3ap-18, 0x1.ec1595a150886p-19, 0x1.a34254e60d313p-19, 0x1.5cc20e9c9d859p-19, 0x1.18847d2b8f3e6p-19, 0x1.acf3d6406b964p-20, 0x1.2d265b07fc535p-20, 0x1.630679999d318p-21, 0x1.cf71799ea1a35p-23, -0x1.cda125db354bp-23, -0x1.52fc54b4e6056p-21, -0x1.15896acb11a69p-20, -0x1.7dee96048e8fap-20, -0x1.e2c58b8a4aee4p-20, -0x1.2212b1671b538p-19, -0x1.511239a0f946bp-19, -0x1.7e6c2e0ca2a83p-19, -0x1.aa2b05e03318bp-19, -0x1.d458e38456c47p-19, -0x1.fcff98070839ep-19, -0x1.12145335efcb7p-18, -0x1.24eea36d8f1dcp-18, -0x1.371334d84906cp-18, -0x1.48865d35b3f09p-18, -0x1.594c513ffb63dp-18, -0x1.6969260647de6p-18, -0x1.78e0d239263bfp-18, -0x1.87b72f696c5a2p-18, -0x1.95effb3a116fdp-18, -0x1.a38ed8856e3f1p-18, -0x1.b09750765b4fp-18, -0x1.bd0cd39591c43p-18, -0x1.c8f2bacbc54f7p-18, -0x1.d44c4858d5287p-18, -0x1.df1ca8c07c6b4p-18, -0x1.e966f3ace46c5p-18, -0x1.f32e2cc774ab2p-18, -0x1.fc754488405e1p-18, -0x1.029f8c7e31deap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fcf391b912385p-7, -0x1.13fce39beab29p-6, -0x1.296d8be1d4265p-6, -0x1.3ea25bb573334p-6, -0x1.5372013c98134p-6, -0x1.67b38fef179fbp-6, -0x1.7b3eca21f0d34p-6, -0x1.8dec62cb18a17p-6, -0x1.9f96378dd3aep-6, -0x1.b0178343fea6bp-6, -0x1.bf4d0953f95edp-6, -0x1.cd153a3644de6p-6, -0x1.d950519a81192p-6, -0x1.e3e06ea2d9d32p-6, -0x1.eca9a6afd4625p-6, -0x1.f39213362d227p-6, -0x1.f881db15c288ep-6, -0x1.fb6337e40ea62p-6, -0x1.fc2277971d82bp-6, -0x1.faadfaf7bca8dp-6, -0x1.f6f6313ada4a4p-6, -0x1.f0ed911b69d8fp-6, -0x1.e8888fc767e18p-6, -0x1.ddbd95ec198eap-6, -0x1.d084f3275a32ap-6, -0x1.c0d8d01de5e7ep-6, -0x1.aeb51f70dce66p-6, -0x1.9a178dc76c5bbp-6, -0x1.82ff711c84a0ep-6, -0x1.696db77be2f75p-6, -0x1.4d64d55527a2ap-6, -0x1.2ee8b387c3a8p-6, -0x1.0dfe9d4681dd1p-6, -0x1.d55a5bdc044f1p-7, -0x1.89f87dcc12876p-7, -0x1.39e9ab45316fdp-7, -0x1.ca84475af6f93p-8, -0x1.18306fa286517p-8, -0x1.74213b3d67effp-10, 0x1.9b0005b2e967fp-10, 0x1.32f10f25fec88p-8, 0x1.03a8284d993bep-7, 0x1.71d0316f05486p-7, 0x1.e3d0a357582d1p-7, 0x1.2cc426df8384ap-6, 0x1.696a7623ab262p-6, 0x1.a7c9a10bf40f7p-6, 0x1.e7cf9a4446db3p-6, 0x1.14b4f936048f1p-5, 0x1.3642f23c5c021p-5, 0x1.588830d0821cep-5, 0x1.7b7b0e68f7acbp-5, 0x1.9f11cad7ecc61p-5, 0x1.c3429192b4924p-5, 0x1.e8037ec14911ep-5, 0x1.06a5520b7dea3p-4, 0x1.198706babc029p-4, 0x1.2ca1e2ada66b3p-4, 0x1.3ff0ec8f8fdf4p-4, 0x1.536f2e7c5b9d6p-4, 0x1.6717b7ec7fa65p-4, 0x1.7ae59f89133bp-4, 0x1.8ed404e87627cp-4, 0x1.a2de12341772ap-4, 0x1.b6fefdb7e7fc2p-4, 0x1.cb320b5becd4p-4, 0x1.df728e08820a9p-4, 0x1.f3bbe8f5bd5acp-4, 0x1.0404c8733a21dp-3, 0x1.0e2b86a7ab142p-3, 0x1.184ffcb54baeap-3, 0x1.2270029c4dfdp-3, 0x1.2c897b3716b3p-3, 0x1.369a54a843248p-3, 0x1.40a088bfed1e4p-3, 0x1.4a9a1d58518fcp-3, 0x1.548524aa276f7p-3, 0x1.5e5fbd98d02f1p-3, 0x1.682813f6ad67bp-3, 0x1.71dc60c1ca59ep-3, 0x1.7b7aea591cfe9p-3, 0x1.850204aa96f2bp-3, 0x1.8e70115a4adb1p-3, 0x1.97c37fe2d4ddbp-3, 0x1.a0facdaf50f5fp-3, 0x1.aa14862f1af2fp-3, 0x1.b30f42e38dc89p-3, 0x1.bbe9ab6805ee4p-3, 0x1.c4a2757468c36p-3, 0x1.cd3864da623b9p-3, 0x1.d5aa4b7da478dp-3, 0x1.ddf7094757f17p-3, 0x1.e61d8c1507c79p-3, 0x1.ee1ccfa3372e4p-3, 0x1.f5f3dd73e3976p-3, 0x1.fda1ccb12e98cp-3, 0x1.0292e10631b76p-2, 0x1.063f77ccc9859p-2, 0x1.09d64a5401b0dp-2, 0x1.0d56fecbcb71bp-2, 0x1.10c141d5bf6cdp-2, 0x1.1414c66d2276ap-2, 0x1.175145cdc33c6p-2, 0x1.1a767f59b84a6p-2, 0x1.1d84387e22108p-2, 0x1.207a3c96fe16ap-2, 0x1.23585cd22b0a8p-2, 0x1.261e7011aa699p-2, 0x1.28cc52cd39b87p-2, 0x1.2b61e6f3531d7p-2, 0x1.2ddf13c9acae5p-2, 0x1.3043c5cd43a18p-2, 0x1.328fee9208f0fp-2, 0x1.34c384a23add9p-2, 0x1.36de835d82315p-2, 0x1.38e0ead7d8f8ap-2, 0x1.3acabfb85434ap-2, 0x1.3c9c0b17cec42p-2, 0x1.3e54da5f94bd5p-2, 0x1.3ff53f28090fap-2, 0x1.417d4f175c4c9p-2, 0x1.42ed23c05dd43p-2, 0x1.4444da816a78ep-2, 0x1.4584946389514p-2, 0x1.46ac75f9bd50ap-2, 0x1.47bca740915e3p-2, 0x1.48b5537de826dp-2, 0x1.4996a9211875ep-2, 0x1.4a60d9a355a3cp-2, 0x1.4b14196877748p-2, 0x1.4bb09fa013c44p-2, 0x1.4c36a62703135p-2, 0x1.4ca6696944819p-2, 0x1.4d0028444fbe1p-2, 0x1.4d4423e9d0f45p-2, 0x1.4d729fc2da27bp-2, 0x1.4d8be1538676ep-2, 0x1.4d90301f12cd7p-2, 0x1.4d7fd58c745ep-2, 0x1.4d5b1ccb64899p-2, 0x1.4d2252b9f047fp-2, 0x1.4cd5c5ca81631p-2, 0x1.4c75c5ea68ffcp-2, 0x1.4c02a468eef92p-2, 0x1.4b7cb3dedd41ep-2, 0x1.4ae44816924adp-2, 0x1.4a39b5f496ea3p-2, 0x1.497d5360b3cd7p-2, 0x1.48af772f8e615p-2, 0x1.47d0790cca1b3p-2, 0x1.46e0b165a86c4p-2, 0x1.45e0795431ed4p-2, 0x1.44d02a8adf854p-2, 0x1.43b01f40c5bf8p-2, 0x1.4280b21e424ffp-2, 0x1.41423e2a2e699p-2, 0x1.3ff51eb78ae89p-2, 0x1.3e99af53b2ap-2, 0x1.3d304bb5075c9p-2, 0x1.3bb94faa1e724p-2, 0x1.3a35170969503p-2, 0x1.38a3fda15a1b1p-2, 0x1.37065f2902fc3p-2, 0x1.355c97312d818p-2, 0x1.33a70115ecb25p-2, 0x1.31e5f7f0a17d3p-2, 0x1.3019d68a7a4b9p-2, 0x1.2e42f74f6088p-2, 0x1.2c61b4415ea71p-2, 0x1.2a7666ec73b28p-2, 0x1.2881685ad619ap-2, 0x1.26831109aa9ep-2, 0x1.247bb8de1f862p-2, 0x1.226bb71afc5cbp-2, 0x1.2053625692717p-2, 0x1.1e3310711fb3ep-2, 0x1.1c0b168b8d78dp-2, 0x1.19dbc8fe9f669p-2, 0x1.17a57b527cfa8p-2, 0x1.15688036a34bp-2, 0x1.1325297a34761p-2, 0x1.10dbc804a6108p-2, 0x1.0e8cabcecf045p-2, 0x1.0c3823dc4d656p-2, 0x1.09de7e354bb62p-2, 0x1.078007e097fa2p-2, 0x1.051d0cde18e6ap-2, 0x1.02b5d821923d8p-2, 0x1.004ab38dbfcc5p-2, 0x1.fbb7cfdf8553dp-3, 0x1.f6d379f5b9793p-3, 0x1.f1e8f288fa5afp-3, 0x1.ecf8c48130207p-3, 0x1.e803787c96046p-3, 0x1.e30994c994b5ep-3, 0x1.de0b9d61307ffp-3, 0x1.d90a13e1fee63p-3, 0x1.d405778baba23p-3, 0x1.cefe453b00b0ap-3, 0x1.c9f4f76674f31p-3, 0x1.c4ea061b36d7bp-3, 0x1.bfdde6fab9305p-3, 0x1.bad10d38b2625p-3, 0x1.b5c3e999995f5p-3, 0x1.b0b6ea7194f79p-3, 0x1.abaa7ba3d3d89p-3, 0x1.a69f06a25d0d2p-3, 0x1.a194f26e3f7d6p-3, 0x1.9c8ca39832056p-3, 0x1.97867c418fe7cp-3, 0x1.9282dc1db986ep-3, 0x1.8d822073d25b4p-3, 0x1.8884a420d8a1fp-3, 0x1.838abf9a133eep-3, 0x1.7e94c8efdbfbp-3, 0x1.79a313d0af3fbp-3, 0x1.74b5f18c94a94p-3, 0x1.6fcdb118d09b6p-3, 0x1.6aea9f13dd152p-3, 0x1.660d05c9a8029p-3, 0x1.61352d381d33p-3, 0x1.5c635b13e435cp-3, 0x1.5797d2cd68197p-3, 0x1.52d2d596114ecp-3, 0x1.4e14a265c2653p-3, 0x1.495d76007b7acp-3, 0x1.44ad8afc44ecap-3, 0x1.400519c737eeap-3, 0x1.3b6458adc3d51p-3, 0x1.36cb7be115abfp-3, 0x1.323ab57db1f1fp-3, 0x1.2db235922a78dp-3, 0x1.29322a260669p-3, 0x1.24babf40c2e6cp-3, 0x1.204c1ef0f5238p-3, 0x1.1be67153908p-3, 0x1.1789dc9b41cabp-3, 0x1.13368517e866p-3, 0x1.0eec8d3e256c8p-3, 0x1.0aac15aefff12p-3, 0x1.06753d3fa01ep-3, 0x1.0248210118667p-3, 0x1.fc49b8907ede5p-4, 0x1.f417116b3559ep-4, 0x1.ebf87c7aa0196p-4, 0x1.e3ee265e50a44p-4, 0x1.dbf8387d2670fp-4, 0x1.d416d915734cfp-4, 0x1.cc4a2b4d1fc3dp-4, 0x1.c4924f41d8531p-4, 0x1.bcef621948afep-4, 0x1.b5617e114abd4p-4, 0x1.ade8ba90200f9p-4, 0x1.a6852c349f203p-4, 0x1.9f36e4e65ebe3p-4, 0x1.97fdf3e5ced9dp-4, 0x1.90da65dc58dffp-4, 0x1.89cc44ec5a163p-4, 0x1.82d398c11c348p-4, 0x1.7bf0669eb55dap-4, 0x1.7522b171d490cp-4, 0x1.6e6a79df74f2bp-4, 0x1.67c7be5478d0dp-4, 0x1.613a7b15287d1p-4, 0x1.5ac2aa4c94516p-4, 0x1.5460441bd6ad6p-4, 0x1.4e133ea93677ap-4, 0x1.47db8e2f258d9p-4, 0x1.41b9250b1c5f2p-4, 0x1.3babf3cc4fe43p-4, 0x1.35b3e9423f76p-4, 0x1.2fd0f28b1c218p-4, 0x1.2a02fb2205675p-4, 0x1.2449eced1b68ap-4, 0x1.1ea5b04b65465p-4, 0x1.19162c228afe2p-4, 0x1.139b45ec6189fp-4, 0x1.0e34e1c4469efp-4, 0x1.08e2e2744f8fdp-4, 0x1.03a5298245852p-4, 0x1.fcf72e78e2a8dp-5, 0x1.f2cc158c6b1d3p-5, 0x1.e8c8c448ed2f2p-5, 0x1.deecf4939db13p-5, 0x1.d5385e4520906p-5, 0x1.cbaab74122b05p-5, 0x1.c243b38d8cb0bp-5, 0x1.b90305694bca6p-5, 0x1.afe85d62afb75p-5, 0x1.a6f36a6d6074bp-5, 0x1.9e23d9f7e699p-5, 0x1.95795800ccec9p-5, 0x1.8cf38f2b505d9p-5, 0x1.849228d3abadp-5, 0x1.7c54cd22f1d09p-5, 0x1.743b2322813d9p-5, 0x1.6c44d0cf09132p-5, 0x1.64717b2b24b72p-5, 0x1.5cc0c6518d30ep-5, 0x1.55325586ddcbfp-5, 0x1.4dc5cb4af258p-5, 0x1.467ac969d694p-5, 0x1.3f50f10c52ba9p-5, 0x1.3847e2c80b575p-5, 0x1.315f3eaf3a03bp-5, 0x1.2a96a45fffc21p-5, 0x1.23edb31352036p-5, 0x1.1d6409ab7fe18p-5, 0x1.16f946c252b9bp-5, 0x1.10ad08b6ce5eap-5, 0x1.0a7eedba897f7p-5, 0x1.046e93dea877ap-5, 0x1.fcf73240e7b12p-6, 0x1.f14b36eb236b4p-6, 0x1.e5d871afbc5dbp-6, 0x1.da9e1ea1d04cep-6, 0x1.cf9b7a0a1ea2ep-6, 0x1.c4cfc07c91d2ep-6, 0x1.ba3a2eed13e4bp-6, 0x1.afda02c3ac0a6p-6, 0x1.a5ae79eff623fp-6, 0x1.9bb6d2fbe34d8p-6, 0x1.91f24d1dd8949p-6, 0x1.8860284a2091bp-6, 0x1.7effa543b9c0dp-6, 0x1.75d005ac83b4ap-6, 0x1.6cd08c14cb24fp-6, 0x1.64007c0a36406p-6, 0x1.5b5f1a261ea03p-6, 0x1.52ebac1b4c334p-6, 0x1.4aa578c31baf4p-6, 0x1.428bc82a18f86p-6, 0x1.3a9de39c05c3dp-6, 0x1.32db15af515fep-6, 0x1.2b42aa500e4e7p-6, 0x1.23d3eeca59bap-6, 0x1.1c8e31d4416fep-6, 0x1.1570c39729c88p-6, 0x1.0e7af5b8b4e62p-6, 0x1.07ac1b63292c8p-6, 0x1.0103894d688a4p-6, 0x1.f5012b84c6ee8p-7, 0x1.e845315051744p-7, 0x1.dbd1d70ced094p-7, 0x1.cfa5d319c83c8p-7, 0x1.c3bfdf313cf98p-7, 0x1.b81eb8737ad71p-7, 0x1.acc11f70611b2p-7, 0x1.a1a5d830951f1p-7, 0x1.96cbaa3dd242ep-7, 0x1.8c3160aa7eb24p-7, 0x1.81d5ca18903ep-7, 0x1.77b7b8bfb1cd9p-7, 0x1.6dd60272c6f85p-7, 0x1.642f80a4ba10dp-7, 0x1.5ac3106cb66a9p-7, 0x1.518f9289b6ec3p-7, 0x1.4893eb657b3a6p-7, 0x1.3fcf0316f5eb4p-7, 0x1.373fc56412432p-7, 0x1.2ee521c303712p-7, 0x1.26be0b5aff758p-7, 0x1.1ec979047b39cp-7, 0x1.17066548e7032p-7, 0x1.0f73ce61f02b4p-7, 0x1.0810b6384c595p-7, 0x1.00dc226213939p-7, 0x1.f3aa384155fc6p-8, 0x1.e5f560bc8b897p-8, 0x1.d897df5602c4dp-8, 0x1.cb8fdc733a94fp-8, 0x1.bedb87b7acc28p-8, 0x1.b27917fccd651p-8, 0x1.a666cb495c5cap-8, 0x1.9aa2e6c81190dp-8, 0x1.8f2bb6bda8778p-8, 0x1.83ff8e7e51a3ep-8, 0x1.791cc86295a03p-8, 0x1.6e81c5bba9a2ap-8, 0x1.642ceec7403efp-8, 0x1.5a1cb2a2db6e7p-8, 0x1.504f873ea73f2p-8, 0x1.46c3e94fe11bcp-8, 0x1.3d785c42d2b56p-8, 0x1.346b6a2c6707ep-8, 0x1.2b9ba3bb5ed37p-8, 0x1.2307a02928323p-8, 0x1.1aadfd2a612cdp-8, 0x1.128d5edf08f6ep-8, 0x1.0aa46fc267233p-8, 0x1.02f1e09aa919fp-8, 0x1.f6e8d0d07ec1dp-9, 0x1.e85588a9fde06p-9, 0x1.da276f460e444p-9, 0x1.cc5c1736ea828p-9, 0x1.bef11ef9cf589p-9, 0x1.b1e430d3ab424p-9, 0x1.a53302ad7ebp-9, 0x1.98db55f0730d9p-9, 0x1.8cdaf761b61dp-9, 0x1.812fbefe19a51p-9, 0x1.75d78fd58346p-9, 0x1.6ad057e633c64p-9, 0x1.60180ff7e8a6dp-9, 0x1.55acbb76e3d31p-9, 0x1.4b8c684eda8aep-9, 0x1.41b52ec5d5aa3p-9, 0x1.3825315707ce5p-9, 0x1.2eda9c8d9cb9dp-9, 0x1.25d3a6df8ca93p-9, 0x1.1d0e908871e83p-9, 0x1.1489a36470faep-9, 0x1.0c4332cb2667bp-9, 0x1.04399b6ab2579p-9, 0x1.f8d68645b6968p-10, 0x1.e9ad31c0968bp-10, 0x1.daf428efe55a5p-10, 0x1.cca86d0522ee9p-10, 0x1.bec71070cd317p-10, 0x1.b14d369a22047p-10, 0x1.a43813973eab9p-10, 0x1.9784ebe5aa2e4p-10, 0x1.8b3114234aae3p-10, 0x1.7f39f0c7db183p-10, 0x1.739cf5decceb6p-10, 0x1.6857a6c1b6bdp-10, 0x1.5d6795d344371p-10, 0x1.52ca643aaf727p-10, 0x1.487dc19fd0108p-10, 0x1.3e7f6be7b5f07p-10, 0x1.34cd2ef1e1859p-10, 0x1.2b64e4561d2dcp-10, 0x1.22447322ea071p-10, 0x1.1969cf9c9b485p-10, 0x1.10d2fafd13baep-10, 0x1.087e03342d37bp-10, 0x1.006902a8d121dp-10, 0x1.f1243ff56cc58p-11, 0x1.e1ef1b89b8a7ep-11, 0x1.d32f14c164843p-11, 0x1.c4e0bf53ef9fbp-11, 0x1.b700c586a7416p-11, 0x1.a98be7b749d52p-11, 0x1.9c7efbe81ef46p-11, 0x1.8fd6ed4d85e7ep-11, 0x1.8390bbdd02f85p-11, 0x1.77a97bddc65f5p-11, 0x1.6c1e557ab2b38p-11, 0x1.60ec8455e4d68p-11, 0x1.5611571dbb5eep-11, 0x1.4b8a2f236069ep-11, 0x1.41547ff2d7307p-11, 0x1.376dceec8aaa7p-11, 0x1.2dd3b2e061fbep-11, 0x1.2483d3aa557cep-11, 0x1.1b7be9d087be5p-11, 0x1.12b9be22e0f73p-11, 0x1.0a3b295c29ecfp-11, 0x1.01fe13c4a9b7dp-11, 0x1.f400e9ac82de7p-12, 0x1.e480a5c40a945p-12, 0x1.d577856ea74f7p-12, 0x1.c6e1ce98c9a27p-12, 0x1.b8bbe2d0a9a0bp-12, 0x1.ab023e9d49bd4p-12, 0x1.9db178d85d285p-12, 0x1.90c6420b19519p-12, 0x1.843d63cde49abp-12, 0x1.7813c02ade9efp-12, 0x1.6c4651034042fp-12, 0x1.60d2277789a3ep-12, 0x1.55b46b527c19bp-12, 0x1.4aea5a76d6d65p-12, 0x1.4071484fd3e1dp-12, 0x1.36469d44570a5p-12, 0x1.2c67d62cd5fc1p-12, 0x1.22d283cbe53d8p-12, 0x1.19844a4967cf3p-12, 0x1.107ae0b06255cp-12, 0x1.07b4106f5b49bp-12, 0x1.fe5b69b69ec1fp-13, 0x1.edcb756a56ae2p-13, 0x1.ddb43f6388a11p-13, 0x1.ce11e4089200dp-13, 0x1.bee09fd646e7bp-13, 0x1.b01cce7e8984cp-13, 0x1.a1c2ea0b9c0ep-13, 0x1.93cf8a0830de1p-13, 0x1.863f62ac0f4ecp-13, 0x1.790f440d59ec3p-13, 0x1.6c3c19564bacp-13, 0x1.5fc2e7ff6fc1dp-13, 0x1.53a0cf0e39f2ep-13, 0x1.47d30657ef31fp-13, 0x1.3c56ddc8d74efp-13, 0x1.3129bcaf9d9b2p-13, 0x1.2649210cd04cp-13, 0x1.1bb29ee67be7ep-13, 0x1.1163df9fc169fp-13, 0x1.075aa1545f01bp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0c41e406791bp-3, -0x1.18c63bf8f564ap-3, -0x1.24e5f92990c93p-3, -0x1.309f93d6670cap-3, -0x1.3bf316ec32929p-3, -0x1.46e1f22ebbadap-3, -0x1.516ecba760aacp-3, -0x1.5b9d519b9948bp-3, -0x1.65720e0216322p-3, -0x1.6ef23c2d9d055p-3, -0x1.7823a12f8e74ep-3, -0x1.810c67482451ap-3, -0x1.89b2fc96aa6b4p-3, -0x1.921df51effdacp-3, -0x1.9a53f0231de66p-3, -0x1.a25b80bd90065p-3, -0x1.aa3b199caa37ep-3, -0x1.b1f8fbb497ac3p-3, -0x1.b99b27b7ba363p-3, -0x1.c1275220d3e32p-3, -0x1.c8a2d99817dc4p-3, -0x1.d012bf7be7b9ep-3, -0x1.d77ba25684a08p-3, -0x1.dee1ba0bbc189p-3, -0x1.e648d58bc63eep-3, -0x1.edb459db7cbe8p-3, -0x1.f5274245075bep-3, -0x1.fca42187909ffp-3, -0x1.021691efe9c41p-2, -0x1.05e208e365c58p-2, -0x1.09b529a3874d7p-2, -0x1.0d9079e641756p-2, -0x1.1174532a9ac0ap-2, -0x1.1560e4f66c785p-2, -0x1.1956372f953a6p-2, -0x1.1d542c87eff5fp-2, -0x1.215a84f482637p-2, -0x1.2568e0295984p-2, -0x1.297ec0147d789p-2, -0x1.2d9b8b532b7bp-2, -0x1.31be8f9d5a0ffp-2, -0x1.35e704242345cp-2, -0x1.3a140be04eb7cp-2, -0x1.3e44b7cebf24ap-2, -0x1.42780918f0f88p-2, -0x1.46acf3282ec7p-2, -0x1.4ae25da264e06p-2, -0x1.4f17264fe01ffp-2, -0x1.534a22e97b7d3p-2, -0x1.577a22cef3ce4p-2, -0x1.5ba5f0a55f88p-2, -0x1.5fcc53ddd81f2p-2, -0x1.63ec12249772ap-2, -0x1.6803f0b8e6edap-2, -0x1.6c12b5ae4c20fp-2, -0x1.701729178001ep-2, -0x1.7410161bc4944p-2, -0x1.77fc4bf74091p-2, -0x1.7bda9ee7097adp-2, -0x1.7fa9e901969adp-2, -0x1.83690afc58415p-2, -0x1.8716ecdf2c01ep-2, -0x1.8ab27ea67596cp-2, -0x1.8e3ab8d497563p-2, -0x1.91ae9cf39104cp-2, -0x1.950d36077e2cbp-2, -0x1.985598f2b5ee8p-2, -0x1.9b86e4cc44219p-2, -0x1.9ea04329740bep-2, -0x1.a1a0e85b1bbbdp-2, -0x1.a488139f5da73p-2, -0x1.a7550f48849c9p-2, -0x1.aa0730d9a1969p-2, -0x1.ac9dd9198cda6p-2, -0x1.af18741ce36e9p-2, -0x1.b17679479ad89p-2, -0x1.b3b76b46b76d8p-2, -0x1.b5dad802b506bp-2, -0x1.b7e0588b259a8p-2, -0x1.b9c790fc093a5p-2, -0x1.bb90305d5ccccp-2, -0x1.bd39f07d4de99p-2, -0x1.bec495c59523cp-2, -0x1.c02fef0c51cbep-2, -0x1.c17bd560decc4p-2, -0x1.c2a82bd4fa55bp-2, -0x1.c3b4df42a1201p-2, -0x1.c4a1e60ef9291p-2, -0x1.c56f3fea9dbf8p-2, -0x1.c61cf58fa37ecp-2, -0x1.c6ab187d9b0a1p-2, -0x1.c719c2b3ddbbep-2, -0x1.c769166a6bfap-2, -0x1.c7993dc9981d3p-2, -0x1.c7aa6aa0bfe4ap-2, -0x1.c79cd61c4d326p-2, -0x1.c770c07b31f48p-2, -0x1.c72670c41322dp-2, -0x1.c6be347a54111p-2, -0x1.c6385f532bdfbp-2, -0x1.c5954aeaee60cp-2, -0x1.c4d5567ab1cap-2, -0x1.c3f8e68e722f4p-2, -0x1.c30064bbd2701p-2, -0x1.c1ec3f59a06bcp-2, -0x1.c0bce9382da19p-2, -0x1.bf72d95a9f6e2p-2, -0x1.be0e8ab14c002p-2, -0x1.bc907bd533dbfp-2, -0x1.baf92ec4b5636p-2, -0x1.b94928a180fcap-2, -0x1.b780f16fe9fc1p-2, -0x1.b5a113d794c32p-2, -0x1.b3aa1ce599d37p-2, -0x1.b19c9bd022ac9p-2, -0x1.af7921bb8b736p-2, -0x1.ad404181106c4p-2, -0x1.aaf28f7711d71p-2, -0x1.a890a13aec69p-2, -0x1.a61b0d7c7397ap-2, -0x1.a3926bcb086d1p-2, -0x1.a0f754645621ep-2, -0x1.9e4a6004b0f88p-2, -0x1.9b8c27b91a6d3p-2, -0x1.98bd44b2e8f94p-2, -0x1.95de501d11a6ep-2, -0x1.92efe2f314c7p-2, -0x1.8ff295d9864f4p-2, -0x1.8ce700f832c1bp-2, -0x1.89cdbbd5d9946p-2, -0x1.86a75d357ca8p-2, -0x1.83747af539cfep-2, -0x1.8035a9eeb1ee5p-2, -0x1.7ceb7dd8edd21p-2, -0x1.7996892bc376bp-2, -0x1.76375d04afc91p-2, -0x1.72ce890d216abp-2, -0x1.6f5c9b622a56bp-2, -0x1.6be2207d95c43p-2, -0x1.685fa32054345p-2, -0x1.64d5ac3e3e1b7p-2, -0x1.6144c2eb1f132p-2, -0x1.5dad6c49036ccp-2, -0x1.5a102b77c26cbp-2, -0x1.566d8185b8de1p-2, -0x1.52c5ed61b079bp-2, -0x1.4f19ebcde9221p-2, -0x1.4b69f75439d6bp-2, -0x1.47b6883b479bdp-2, -0x1.4400147cc2f2dp-2, -0x1.40470fbca62b4p-2, -0x1.3c8beb417096ap-2, -0x1.38cf15ed4d78ap-2, -0x1.3510fc3828e7p-2, -0x1.3152082aa08fcp-2, -0x1.2d92a159d0667p-2, -0x1.29d32ce3f03a7p-2, -0x1.26140d6db6c4fp-2, -0x1.2255a32082311p-2, -0x1.1e984ba93727ap-2, -0x1.1adc6237d3bd8p-2, -0x1.17223f7fabb3dp-2, -0x1.136a39b849a67p-2, -0x1.0fb4a49ee8d69p-2, -0x1.0c01d1788a36p-2, -0x1.08520f1491585p-2, -0x1.04a5a9cfedb08p-2, -0x1.00fceb98c0458p-2, -0x1.fab037e502c55p-3, -0x1.f36efff52a388p-3, -0x1.ec36b4daa0d7ap-3, -0x1.e507d756cc2ep-3, -0x1.dde2e37f67d0ap-3, -0x1.d6c850caddcd6p-3, -0x1.cfb8921d48de8p-3, -0x1.c8b415d617963p-3, -0x1.c1bb45de4c1bcp-3, -0x1.bace87b7435ebp-3, -0x1.b3ee3c8a0825ap-3, -0x1.ad1ac13718764p-3, -0x1.a6546e669f193p-3, -0x1.9f9b98991326cp-3, -0x1.98f090383855cp-3, -0x1.9253a1a8773f8p-3, -0x1.8bc5155a7a41p-3, -0x1.85452fdd1d0ap-3, -0x1.7ed431ef90124p-3, -0x1.78725893bb63dp-3, -0x1.721fdd20c8f9dp-3, -0x1.6bdcf555e2247p-3, -0x1.65a9d36d03cbp-3, -0x1.5f86a62df8812p-3, -0x1.59739901618fap-3, -0x1.5370d403d89fp-3, -0x1.4d7e7c1911613p-3, -0x1.479cb2ff086dcp-3, -0x1.41cb97612f79dp-3, -0x1.3c0b44eb952acp-3, -0x1.365bd45dffb6bp-3, -0x1.30bd5b9f04e1fp-3, -0x1.2b2fedcefecc8p-3, -0x1.25b39b5afb796p-3, -0x1.2048720f86828p-3, -0x1.1aee7d2b594abp-3, -0x1.15a5c571ee28ap-3, -0x1.106e513de796cp-3, -0x1.0b48249354345p-3, -0x1.06334131ca4f9p-3, -0x1.012fa6a6522e4p-3, -0x1.f87aa4ba48b69p-4, -0x1.eeb87f666659fp-4, -0x1.e518d00f0613cp-4, -0x1.db9b85989685dp-4, -0x1.d2408b2fb63a8p-4, -0x1.c907c86a9cf72p-4, -0x1.bff12169f68eap-4, -0x1.b6fc76f955e96p-4, -0x1.ae29a6af1ed53p-4, -0x1.a5788b0bfd7bp-4, -0x1.9ce8fb99ca0f8p-4, -0x1.947acd09f9fc4p-4, -0x1.8c2dd15381222p-4, -0x1.8401d7d03228p-4, -0x1.7bf6ad59901d6p-4, -0x1.740c1c651b77ap-4, -0x1.6c41ed2011179p-4, -0x1.6497e58a9f089p-4, -0x1.5d0dc9928d36ep-4, -0x1.55a35b2d5800fp-4, -0x1.4e585a71bf1a7p-4, -0x1.472c85b0c5ef9p-4, -0x1.401f998e285a4p-4, -0x1.393151183ff6ep-4, -0x1.326165df5f059p-4, -0x1.2baf900c9bbe2p-4, -0x1.251b867813206p-4, -0x1.1ea4febe9c909p-4, -0x1.184bad56f658cp-4, -0x1.120f45a6648bdp-4, -0x1.0bef7a14cabc5p-4, -0x1.05ebfc203a05p-4, -0x1.00047c6ffb79fp-4, -0x1.f47155ce23782p-5, -0x1.e9106d6c727ep-5, -0x1.dde59cdac55d6p-5, -0x1.d2f040195a856p-5, -0x1.c82fb229c0f02p-5, -0x1.bda34d2ecc26fp-5, -0x1.b34a6a8b90edp-5, -0x1.a924630169843p-5, -0x1.9f308ecd03a68p-5, -0x1.956e45c282c4p-5, -0x1.8bdcdf68b1975p-5, -0x1.827bb3134bdc8p-5, -0x1.794a17fc62471p-5, -0x1.7047655cdbe1ap-5, -0x1.6772f2841a1e4p-5, -0x1.5ecc16eec159ep-5, -0x1.56522a5cab73ep-5, -0x1.4e0484e607a4bp-5, -0x1.45e27f0fa8fb9p-5, -0x1.3deb71de8f1fap-5, -0x1.361eb6eaa13dp-5, -0x1.2e7ba870ab4d4p-5, -0x1.2701a16399dc3p-5, -0x1.1faffd7cf8db8p-5, -0x1.1886194cbf60ap-5, -0x1.1183524863b84p-5, -0x1.0aa706d941aaep-5, -0x1.03f0966a572a1p-5, -0x1.fabec2eaaa964p-6, -0x1.ede5931e23bdbp-6, -0x1.e15462e6ab8fbp-6, -0x1.d509fa2021b6ep-6, -0x1.c905231fecef3p-6, -0x1.bd44aac907038p-6, -0x1.b1c7609eed361p-6, -0x1.a68c16d770258p-6, -0x1.9b91a26b78fefp-6, -0x1.90d6db26be5d2p-6, -0x1.865a9bb6779a3p-6, -0x1.7c1bc1b712ce1p-6, -0x1.72192dc0f806ep-6, -0x1.6851c37459078p-6, -0x1.5ec46984208cbp-6, -0x1.557009bff95a1p-6, -0x1.4c53911d822c3p-6, -0x1.436defc0aa56dp-6, -0x1.3abe1903419cap-6, -0x1.3243037bc684p-6, -0x1.29fba9036e3aep-6, -0x1.21e706bb76ed5p-6, -0x1.1a041d11c6abep-6, -0x1.1251efc4d9b14p-6, -0x1.0acf85e70d66dp-6, -0x1.037be9e146bf8p-6, -0x1.f8ac52e9fa1d8p-7, -0x1.eabaab7b59c09p-7, -0x1.dd210663805fap-7, -0x1.cfdd9345c5b45p-7, -0x1.c2ee887ba857ap-7, -0x1.b6522313765b9p-7, -0x1.aa06a6cdf01f7p-7, -0x1.9e0a5e1b07254p-7, -0x1.925b9a15b1df3p-7, -0x1.86f8b27eedca4p-7, -0x1.7be005b7def23p-7, -0x1.710ff8bb3f89dp-7, -0x1.6686f715f3f64p-7, -0x1.5c4372deffd17p-7, -0x1.5243e4aeb8b57p-7, -0x1.4886cb9563d8ap-7, -0x1.3f0aad1128ab3p-7, -0x1.35ce15036db5dp-7, -0x1.2ccf95a5aeed3p-7, -0x1.240dc77dc40bcp-7, -0x1.1b874951a93dbp-7, -0x1.133ac01ace7c4p-7, -0x1.0b26d6f8f411bp-7, -0x1.034a3f249abe8p-7, -0x1.f7475fc21e35dp-8, -0x1.e863ccdc29677p-8, -0x1.d9e74bf270fb7p-8, -0x1.cbcf6f1da0375p-8, -0x1.be19d41556a15p-8, -0x1.b0c42410fa7ebp-8, -0x1.a3cc13a807081p-8, -0x1.972f62b1df9bcp-8, -0x1.8aebdc253060fp-8, -0x1.7eff55f6eb8ebp-8, -0x1.7367b0f8e54eep-8, -0x1.6822d8b81e903p-8, -0x1.5d2ec35ac2291p-8, -0x1.5289717ddf442p-8, -0x1.4830ee12ea617p-8, -0x1.3e234e3d0b64ep-8, -0x1.345eb12e3dc3ap-8, -0x1.2ae14004512aep-8, -0x1.21a92da5cae81p-8, -0x1.18b4b69eb1ed3p-8, -0x1.100220fd4be97p-8, -0x1.078fbc2ed238ap-8, -0x1.feb7c1b845c3bp-9, -0x1.eec9e18cea7ccp-9, -0x1.df52ad4831865p-9, -0x1.d04f0bfa7c68ap-9, -0x1.c1bbf611b18a9p-9, -0x1.b3967513266acp-9, -0x1.a5dba355ca058p-9, -0x1.9888abbc8d275p-9, -0x1.8b9ac971198fep-9, -0x1.7f0f479eda252p-9, -0x1.72e3812e6009fp-9, -0x1.6714e0812a387p-9, -0x1.5ba0df2dd4b1bp-9, -0x1.508505bcbde5bp-9, -0x1.45beeb651951cp-9, -0x1.3b4c35ca8aea6p-9, -0x1.312a98bb394e2p-9, -0x1.2757d5ee7135dp-9, -0x1.1dd1bcc3cf704p-9, -0x1.14962a03009cap-9, -0x1.0ba3079c14635p-9, -0x1.02f64c686b7dep-9, -0x1.f51bf7d88a209p-10, -0x1.e4d04c31da05p-10, -0x1.d505ce1f1d781p-10, -0x1.c5b8cdc962a42p-10, -0x1.b6e5b2c8bed1ap-10, -0x1.a888fbadf34f1p-10, -0x1.9a9f3d8d7bc38p-10, -0x1.8d25238bfce92p-10, -0x1.80176e6c17102p-10, -0x1.7372f41dae6eap-10, -0x1.67349f4ea03afp-10, -0x1.5b596efce3704p-10, -0x1.4fde760a27418p-10, -0x1.44c0dad0e638bp-10, -0x1.39fdd6baece18p-10, -0x1.2f92b5d96183cp-10, -0x1.257cd67e41a96p-10, -0x1.1bb9a8d761d43p-10, -0x1.1246ae8ae41fbp-10, -0x1.09217a552db19p-10, -0x1.0047afa85861fp-10, -0x1.ef6e049a4d5cfp-11, -0x1.deda6c0ad3fadp-11, -0x1.ced03c5fd8254p-11, -0x1.bf4b3adb9fc94p-11, -0x1.b0474a92d897ap-11, -0x1.a1c06bbd3d43cp-11, -0x1.93b2bb0927b4dp-11, -0x1.861a70f20be33p-11, -0x1.78f3e119d8e6ep-11, -0x1.6c3b79a53b435p-11, -0x1.5fedc29aba958p-11, -0x1.54075d44b231bp-11, -0x1.48850396196d7p-11, -0x1.3d6387921bd08p-11, -0x1.329fd2b678d71p-11, -0x1.2836e568a5316p-11, -0x1.1e25d665a8c6p-11, -0x1.1469d234b361cp-11, -0x1.0b001a9c5f87cp-11, -0x1.01e6061a9edfep-11, -0x1.f231febe921eep-12, -0x1.e12d09928a337p-12, -0x1.d0b84fcc8d106p-12, -0x1.c0cf19ea31706p-12, -0x1.b16cd4d4dccbep-12, -0x1.a28d10f05ddb2p-12, -0x1.942b812e75738p-12, -0x1.8643fa273ca44p-12, -0x1.78d2713657dabp-12, -0x1.6bd2fb9ce665dp-12, -0x1.5f41cda8263c6p-12, -0x1.531b39dcacf33p-12, -0x1.475bb02638247p-12, -0x1.3bffbd0bf6a6ep-12, -0x1.310408e9403a6p-12, -0x1.2665572aab73p-12, -0x1.1c20858f72924p-12, -0x1.12328b6f130acp-12, -0x1.089879031a2b8p-12, -0x1.fe9eed6a1e5f5p-13, -0x1.eca988e0d0768p-13, -0x1.db4b71f0f505p-13, -0x1.ca7f8284b0307p-13, -0x1.ba40bfa509bep-13, -0x1.aa8a583cf169dp-13, -0x1.9b57a3e3b9ab3p-13, -0x1.8ca421aee22b8p-13, -0x1.7e6b770b1b6a3p-13, -0x1.70a96e9c5dbap-13, -0x1.6359f724f15d4p-13, -0x1.5679227355bcfp-13, -0x1.4a032456d2967p-13, -0x1.3df4519aab051p-13, -0x1.32491f07c1c3p-13, -0x1.26fe206c956a1p-13, -0x1.1c1007ab82affp-13, -0x1.117ba3cf12f94p-13, -0x1.073de024591p-13, -0x1.faa786b6484a2p-14, -0x1.e774dd57f9031p-14, -0x1.d4de3a078d8b8p-14, -0x1.c2de4469d8c74p-14, -0x1.b16fd45bf06cap-14, -0x1.a08df06b0632bp-14, -0x1.9033cc56a0dbep-14, -0x1.805cc79d1ad0dp-14, -0x1.71046c1214b03p-14, -0x1.62266c7eb291fp-14, -0x1.53bea34b6f374p-14, -0x1.45c911334c66fp-14, -0x1.3841dc00305e1p-14, -0x1.2b254d503d593p-14, -0x1.1e6fd163ede3ap-14, -0x1.121df5f4c8b63p-14, -0x1.062c6914789e8p-14, -0x1.f52ff028327bap-15, -0x1.debb1ce7127b9p-15, -0x1.c8f469b1275dep-15, -0x1.b3d6201b82be3p-15, -0x1.9f5ac0114e31dp-15, -0x1.8b7cfdef0616ep-15, -0x1.7837c0abf8441p-15, -0x1.65862011b8c7bp-15, -0x1.536363012eab2p-15, -0x1.41cafdc4ebfeep-15, -0x1.30b890707b6e6p-15, -0x1.2027e54c55894p-15, -0x1.1014ef4e2dc6ep-15, -0x1.007bc89d49143p-15, -0x1.e2b16245225e8p-16, -0x1.c5501a483af36p-16, -0x1.a8ccc7d7c11b4p-16, -0x1.8d20bcf277c9p-16, -0x1.72458c7a526fbp-16, -0x1.583507c178b82p-16, -0x1.3ee93c2b63d87p-16, -0x1.265c70e19c7f1p-16, -0x1.0e89249b8d86ap-16, -0x1.eed416f1e357p-17, -0x1.c1f419dcab079p-17, -0x1.9668838677bf8p-17, -0x1.6c27e442ca107p-17, -0x1.4329276987cedp-17, -0x1.1b638fb75b5a2p-17, -0x1.e99d679b4d7e1p-18, -0x1.9ec4f5a24a8c8p-18, -0x1.562e324ccc488p-18, -0x1.0fca1a969899dp-18, -0x1.97147332f87e8p-19, -0x1.12c1455ef26bbp-19, -0x1.24ffaf28caafdp-20, -0x1.6364ffc1a9abap-23, 0x1.88d0ee03b7c89p-21, 0x1.adaf9eba8880fp-20, 0x1.47cb943c21ed9p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d6832c16b32f8p-1, 0x1.d3c19535e0206p-1, 0x1.d0ed3dacc6feep-1, 0x1.ce06a4d8684d8p-1, 0x1.cb0e7ff7b0e0cp-1, 0x1.c805b606d9df9p-1, 0x1.c4ed5a66c0ab7p-1, 0x1.c1c6a6c198b2bp-1, 0x1.be92f488b0c83p-1, 0x1.bb53b6541259ap-1, 0x1.b80a715c63b8bp-1, 0x1.b4b8b7398d21fp-1, 0x1.b1602004f656fp-1, 0x1.ae0244f483734p-1, 0x1.aaa0bb7b92f55p-1, 0x1.a73d10f8e109ep-1, 0x1.a3d8c6f32ed38p-1, 0x1.a0754fe2a6b69p-1, 0x1.9d140c820516fp-1, 0x1.99b649a06ce91p-1, 0x1.965d3e6b51827p-1, 0x1.930a0b26f07bap-1, 0x1.8fbdb84b50fadp-1, 0x1.8c7935fb985cdp-1, 0x1.893d5bcd935e6p-1, 0x1.860ae8d7ab4d7p-1, 0x1.82e283fbe4d4p-1, 0x1.7fc4bc67190aep-1, 0x1.7cb20a3c348b5p-1, 0x1.79aacf63eeac9p-1, 0x1.76af587a138dbp-1, 0x1.73bfddd22ace6p-1, 0x1.70dc848de4f07p-1, 0x1.6e055fc058c93p-1, 0x1.6b3a7199b5e39p-1, 0x1.687bac9797ef5p-1, 0x1.65c8f4b6abf6p-1, 0x1.632220a2cfac7p-1, 0x1.6086fae34397bp-1, 0x1.5df74300e3ff6p-1, 0x1.5b72aea4c00ap-1, 0x1.58f8eaadab37ap-1, 0x1.56899c3bb3b59p-1, 0x1.542461b0a3d79p-1, 0x1.51c8d3a4e8776p-1, 0x1.4f7685d06ba34p-1, 0x1.4d2d07e715535p-1, 0x1.4aebe668ce4c6p-1, 0x1.48b2ab64fa32cp-1, 0x1.4680df317a64p-1, 0x1.445609155ec11p-1, 0x1.4231afe7811bbp-1, 0x1.40135aa14beb9p-1, 0x1.3dfa90e6063e9p-1, 0x1.3be6db7efdb8ap-1, 0x1.39d7c4ccf4ae2p-1, 0x1.37ccd92f3de53p-1, 0x1.35c5a760f462fp-1, 0x1.33c1c0ccbf69dp-1, 0x1.31c0b9d7953c1p-1, 0x1.2fc22a22ef33ap-1, 0x1.2dc5acc6e036p-1, 0x1.2bcae0848169bp-1, 0x1.29d167f12205p-1, 0x1.27d8e99aa8636p-1, 0x1.25e11025905a1p-1, 0x1.23e98a64ed0c6p-1, 0x1.21f20b6cd562bp-1, 0x1.1ffa4a9f990a5p-1, 0x1.1e0203b621d33p-1, 0x1.1c08f6c3d615fp-1, 0x1.1a0ee836580d3p-1, 0x1.1813a0d171f53p-1, 0x1.1616eda781d9p-1, 0x1.1418a00eaeb85p-1, 0x1.12188d9330e89p-1, 0x1.10168fe6f4102p-1, 0x1.0e1284cecf349p-1, 0x1.0c0c4e0d99aabp-1, 0x1.0a03d14d4d829p-1, 0x1.07f8f8067885p-1, 0x1.05ebaf6629f2ap-1, 0x1.03dbe8328fcedp-1, 0x1.01c996ae75323p-1, 0x1.ff6964f78fce6p-2, 0x1.fb3a6cfaa8c05p-2, 0x1.f706416fae81dp-2, 0x1.f2cce4651f9b5p-2, 0x1.ee8e5daedad5ap-2, 0x1.ea4abaa5f728fp-2, 0x1.e6020de85006cp-2, 0x1.e1b46f17f821ep-2, 0x1.dd61fa9ac5b82p-2, 0x1.d90ad15a29a06p-2, 0x1.d4af18836fe6bp-2, 0x1.d04ef9489c898p-2, 0x1.cbeaa0a1fc887p-2, 0x1.c7823f1090375p-2, 0x1.c31608616c4bbp-2, 0x1.bea6337224ff1p-2, 0x1.ba32f9f660be5p-2, 0x1.b5bc983ea3fc6p-2, 0x1.b1434d0066e02p-2, 0x1.acc7591f89079p-2, 0x1.a848ff7929f92p-2, 0x1.a3c884affbd16p-2, 0x1.9f462efa0ed92p-2, 0x1.9ac245f0272d4p-2, 0x1.963d125ea06b8p-2, 0x1.91b6de17e0475p-2, 0x1.8d2ff3c861b2p-2, 0x1.88a89ecc5978dp-2, 0x1.84212b06f0d3p-2, 0x1.7f99e4bb1cea5p-2, 0x1.7b1318660e86fp-2, 0x1.768d129b35e93p-2, 0x1.72081fe1dec7ap-2, 0x1.6d848c9459005p-2, 0x1.6902a4c0b1131p-2, 0x1.6482b40aea50ep-2, 0x1.60050590c31cp-2, 0x1.5b89e3ceea97cp-2, 0x1.57119887b488bp-2, 0x1.529c6cab35d9p-2, 0x1.4e2aa840c7fdfp-2, 0x1.49bc9251ee686p-2, 0x1.455270d68f0c9p-2, 0x1.40ec88a27cae3p-2, 0x1.3c8b1d5445503p-2, 0x1.382e71453e9e4p-2, 0x1.33d6c57ac7861p-2, 0x1.2f845998b5c1dp-2, 0x1.2b376bd4e4575p-2, 0x1.26f038ebde33ap-2, 0x1.22aefc169823p-2, 0x1.1e73ef01331b2p-2, 0x1.1a3f49c2baf89p-2, 0x1.161142d5dcd7cp-2, 0x1.11ea0f12892a8p-2, 0x1.0dc9e1a878be2p-2, 0x1.09b0ec1a8b754p-2, 0x1.059f5e3afafe1p-2, 0x1.0195662854c44p-2, 0x1.fb2660966acbbp-3, 0x1.f331cea9755b4p-3, 0x1.eb4d687b4e768p-3, 0x1.e3797c8c58d5dp-3, 0x1.dbb655eca7c58p-3, 0x1.d4043c3e053cdp-3, 0x1.cc6373b712502p-3, 0x1.c4d43d27803aap-3, 0x1.bd56d5fd40947p-3, 0x1.b5eb784ab9045p-3, 0x1.ae925acdcd918p-3, 0x1.a74bb0f7d0896p-3, 0x1.a017aaf63307fp-3, 0x1.98f675bbfd2b4p-3, 0x1.91e83b0bf390bp-3, 0x1.8aed2183614d5p-3, 0x1.84054ca57f5adp-3, 0x1.7d30dce76c451p-3, 0x1.766fefbca1a0ep-3, 0x1.6fc29fa3e82c8p-3, 0x1.69290434b9026p-3, 0x1.62a3322d0312bp-3, 0x1.5c313b7f4ebacp-3, 0x1.55d32f6132497p-3, 0x1.4f891a5a0b1f4p-3, 0x1.4953065203553p-3, 0x1.4330faa1427d8p-3, 0x1.3d22fc1f5db96p-3, 0x1.37290d32e150cp-3, 0x1.31432de10e2fdp-3, 0x1.2b715bdda0305p-3, 0x1.25b3929abdba4p-3, 0x1.2009cb58e2fefp-3, 0x1.1a73fd36e08d8p-3, 0x1.14f21d41dd6ccp-3, 0x1.0f841e85522afp-3, 0x1.0a29f21afdc5ep-3, 0x1.04e3873ad0e59p-3, 0x1.ff6196958d3cfp-4, 0x1.f52353dd4924dp-4, 0x1.eb0c1a2f52f41p-4, 0x1.e11bba282bb71p-4, 0x1.d752013d3a02ep-4, 0x1.cdaeb9db50687p-4, 0x1.c431ab84f4922p-4, 0x1.bada9af04ae78p-4, 0x1.b1a94a24a877ep-4, 0x1.a89d7897c7a84p-4, 0x1.9fb6e34a95162p-4, 0x1.96f544e599147p-4, 0x1.8e5855d4f2276p-4, 0x1.85dfcc63dd807p-4, 0x1.7d8b5cd7ce5c9p-4, 0x1.755ab98b0ed01p-4, 0x1.6d4d9306e6213p-4, 0x1.6563981d4349bp-4, 0x1.5d9c7601ea63bp-4, 0x1.55f7d86321d71p-4, 0x1.4e756981dcd18p-4, 0x1.4714d2496443cp-4, 0x1.3fd5ba667a85cp-4, 0x1.38b7c85dfaafap-4, 0x1.31baa1a2f0a9cp-4, 0x1.2addeaac2cf28p-4, 0x1.242147094e49cp-4, 0x1.1d84597748205p-4, 0x1.1706c3f45e668p-4, 0x1.10a827d39d974p-4, 0x1.0a6825cfc9305p-4, 0x1.04465e1dc6c18p-4, 0x1.fc84e0fd05276p-5, 0x1.f0b7f8a09b773p-5, 0x1.e525413f77daap-5, 0x1.d9cbf86ff62a8p-5, 0x1.ceab5b6555be4p-5, 0x1.c3c2a70e66385p-5, 0x1.b911183335f13p-5, 0x1.ae95eb91c4768p-5, 0x1.a4505df9bb3b2p-5, 0x1.9a3fac6732196p-5, 0x1.9063141c7e98cp-5, 0x1.86b9d2bb1669bp-5, 0x1.7d43265b84083p-5, 0x1.73fe4da4748fap-5, 0x1.6aea87e0df19p-5, 0x1.620715154c53ap-5, 0x1.595336144128bp-5, 0x1.50ce2c91cfee3p-5, 0x1.48773b365353ep-5, 0x1.404da5b05a6e4p-5, 0x1.3850b0c5c52aep-5, 0x1.307fa26418eb8p-5, 0x1.28d9c1b011dbep-5, 0x1.215e57146f98cp-5, 0x1.1a0cac5009798p-5, 0x1.12e40c8328b96p-5, 0x1.0be3c43c2e222p-5, 0x1.050b218388246p-5, 0x1.fcb2e7cdfeb3bp-6, 0x1.ef9c1908b00f5p-6, 0x1.e2d07c26a5adap-6, 0x1.d64eb9de1e6eep-6, 0x1.ca157e3da0487p-6, 0x1.be2378bc576e7p-6, 0x1.b2775c4952299p-6, 0x1.a70fdf599d924p-6, 0x1.9bebbbf54aefp-6, 0x1.9109afc36bc7fp-6, 0x1.86687c150780ep-6, 0x1.7c06e5ef1453dp-6, 0x1.71e3b6137a00dp-6, 0x1.67fdb90925f13p-6, 0x1.5e53bf233b5c4p-6, 0x1.54e49c8760d5p-6, 0x1.4baf29333d8e1p-6, 0x1.42b241011c788p-6, 0x1.39ecc3abcddfp-6, 0x1.315d94d1c4ad3p-6, 0x1.29039bf7793c6p-6, 0x1.20ddc48913c31p-6, 0x1.18eafddb6e959p-6, 0x1.112a3b2c6e1c5p-6, 0x1.099a73a2b7a46p-6, 0x1.023aa24cd032p-6, 0x1.f6138c3f453d7p-7, 0x1.e80dc3e8fbd16p-7, 0x1.da61f90d0246bp-7, 0x1.cd0e40df23c8dp-7, 0x1.c010b84991894p-7, 0x1.b36783e4dbfacp-7, 0x1.a710cfef06a64p-7, 0x1.9b0ad041bad16p-7, 0x1.8f53c047b51c9p-7, 0x1.83e9e2f162d6bp-7, 0x1.78cb82a8cdfc8p-7, 0x1.6df6f144cca17p-7, 0x1.636a87fb941ffp-7, 0x1.5924a754a2001p-7, 0x1.4f23b71a0fae6p-7, 0x1.456626495fa7fp-7, 0x1.3bea6b03b9f8bp-7, 0x1.32af027db13d5p-7, 0x1.29b270ee904c8p-7, 0x1.20f3417f38457p-7, 0x1.187006389901ep-7, 0x1.102757f1c88fdp-7, 0x1.0817d63dc1b97p-7, 0x1.00402758d10ffp-7, 0x1.f13df02b6ace6p-8, 0x1.e265f794f6b59p-8, 0x1.d3f5d87a32fdp-8, 0x1.c5eb131fa5fdbp-8, 0x1.b843345acd36p-8, 0x1.aafbd56a1dcaap-8, 0x1.9e129bccb637p-8, 0x1.91853919c3fefp-8, 0x1.85516ad7aed36p-8, 0x1.7974fa530fa5p-8, 0x1.6dedbc757945bp-8, 0x1.62b9919c2332cp-8, 0x1.57d6656e76d26p-8, 0x1.4d422eb48dc54p-8, 0x1.42faef2da3d5bp-8, 0x1.38feb366880fp-8, 0x1.2f4b929012e5ap-8, 0x1.25dfae55a6812p-8, 0x1.1cb932b3c22aap-8, 0x1.13d655ceadefdp-8, 0x1.0b3557c9453c2p-8, 0x1.02d4829be411ap-8, 0x1.f56453d70175p-9, 0x1.e59955c1e2371p-9, 0x1.d644d800cc236p-9, 0x1.c763ba023bf64p-9, 0x1.b8f2ed4aac99dp-9, 0x1.aaef7524f59afp-9, 0x1.9d5666533adb8p-9, 0x1.9024e6c06a224p-9, 0x1.83582d325409fp-9, 0x1.76ed80fc63b16p-9, 0x1.6ae239b2facc8p-9, 0x1.5f33bedf7f0aap-9, 0x1.53df87b5117eap-9, 0x1.48e31ac604deap-9, 0x1.3e3c0dba0a28ep-9, 0x1.33e805051dd03p-9, 0x1.29e4b39f3d51p-9, 0x1.202fdabcdefeap-9, 0x1.16c749883aab1p-9, 0x1.0da8dcdb5f387p-9, 0x1.04d27efb1ab61p-9, 0x1.f8844ea56a109p-10, 0x1.e7ebb46109f9bp-10, 0x1.d7d75106bc37fp-10, 0x1.c8435f31a9ea6p-10, 0x1.b92c31b8d115cp-10, 0x1.aa8e332f0594p-10, 0x1.9c65e564b8e0cp-10, 0x1.8eafe0eb7c605p-10, 0x1.8168d49b52652p-10, 0x1.748d8519b52f3p-10, 0x1.681acc626caa2p-10, 0x1.5c0d99522566bp-10, 0x1.5062ef32cd51fp-10, 0x1.4517e549b868fp-10, 0x1.3a29a6678588bp-10, 0x1.2f957079ce9bap-10, 0x1.2558941e94622p-10, 0x1.1b70743971185p-10, 0x1.11da858a87d64p-10, 0x1.08944e4739ad9p-10, 0x1.ff36cb6913fddp-11, 0x1.eddae78698876p-11, 0x1.dd10615bfaeb2p-11, 0x1.ccd2c930b0545p-11, 0x1.bd1dce6134153p-11, 0x1.aded3ea4ee8c7p-11, 0x1.9f3d05577513fp-11, 0x1.91092ac51a695p-11, 0x1.834dd37ac9436p-11, 0x1.76073f99204b6p-11, 0x1.6931ca2aca863p-11, 0x1.5cc9e87e08eb4p-11, 0x1.50cc29816a01ep-11, 0x1.453535239fc23p-11, 0x1.3a01cbb674d91p-11, 0x1.2f2ec554cf867p-11, 0x1.24b9114bbeb3ap-11, 0x1.1a9db58688b46p-11, 0x1.10d9cdfdad48fp-11, 0x1.076a8c28d8d9dp-11, 0x1.fc9a6ce772c9p-12, 0x1.eafe4f6b5fd56p-12, 0x1.d9fb9d58a31cap-12, 0x1.c98d5af164ff9p-12, 0x1.b9aeb23edb5d6p-12, 0x1.aa5af216c0e9fp-12, 0x1.9b8d8d262528cp-12, 0x1.8d4219017a07bp-12, 0x1.7f744d39d362fp-12, 0x1.722002773d6d3p-12, 0x1.654131981b933p-12, 0x1.58d3f2d579c83p-12, 0x1.4cd47cec3d521p-12, 0x1.413f244b1fe9ap-12, 0x1.36105a45632c1p-12, 0x1.2b44ac4a2a599p-12, 0x1.20d8c3205e749p-12, 0x1.16c96227175bp-12, 0x1.0d13669a696bdp-12, 0x1.03b3c6dc89c2fp-12, 0x1.f54f23866fdd9p-13, 0x1.e3d7dbd2aa807p-13, 0x1.d2fc320935b23p-13, 0x1.c2b6ce7eb29c7p-13, 0x1.b302852c5b30fp-13, 0x1.a3da5473410dp-13, 0x1.953963e722503p-13, 0x1.871b0320cc4bap-13, 0x1.797aa897cfb1p-13, 0x1.6c53f083760a1p-13, 0x1.5fa29bc2c43adp-13, 0x1.53628ecb738adp-13, 0x1.478fd09fb8abbp-13, 0x1.3c2689cab4b6cp-13, 0x1.3123036374355p-13, 0x1.2681a61651dd9p-13, 0x1.1c3ef934a766fp-13, 0x1.1257a1caa1396p-13, 0x1.08c861bb148aap-13, 0x1.ff1c2dc28bcb9p-14, 0x1.ed4b7470d424p-14, 0x1.dc18be11b7e24p-14, 0x1.cb7e64359993dp-14, 0x1.bb76f1dcd32d2p-14, 0x1.abfd21f296046p-14, 0x1.9d0bddd21e68dp-14, 0x1.8e9e3bd619b1ep-14, 0x1.80af7df1ec161p-14, 0x1.733b1054b046bp-14, 0x1.663c8815af3e6p-14, 0x1.59afa1ea1d757p-14, 0x1.4d9040e3e7cc5p-14, 0x1.41da6d395a7f2p-14, 0x1.368a53156d57dp-14, 0x1.2b9c417085ee1p-14, 0x1.210ca8f177ee3p-14, 0x1.16d81ad697436p-14, 0x1.0cfb47e6a8cf9p-14, 0x1.0372ff6982ab5p-14, 0x1.f4785c505a8b9p-15, 0x1.e2a7bae8aeeap-15, 0x1.d16e646de136bp-15, 0x1.c0c6d80b769d3p-15, 0x1.b0abc87f5d0fp-15, 0x1.a1181a5ff43aep-15, 0x1.9206e26f08cebp-15, 0x1.837363f97039fp-15, 0x1.75590f42f5adbp-15, 0x1.67b37ffe45d8ep-15, 0x1.5a7e7bd09209ep-15, 0x1.4db5f0e0960b5p-15, 0x1.4155f470c099bp-15, 0x1.355ac1842c4d1p-15, 0x1.29c0b78e281cdp-15, 0x1.1e84592c05fd2p-15, 0x1.13a24ae8ec936p-15, 0x1.0917520b678cep-15, 0x1.fdc0a6d8ef15fp-16, 0x1.e9f4a4afbf6afp-16, 0x1.d6c4deeae0343p-16, 0x1.c42bcf7624f44p-16, 0x1.b22426cebce17p-16, 0x1.a0a8ca08ea583p-16, 0x1.8fb4d0e5da7b5p-16, 0x1.7f4383f93315bp-16, 0x1.6f505adddfd7ep-16, 0x1.5fd6fa79b72eap-16, 0x1.50d3334f8c0d5p-16, 0x1.4240ffdf47c9fp-16, 0x1.341c8313a671ep-16, 0x1.266206bd32269p-16, 0x1.190dfa1a236efp-16, 0x1.0c1cf06abd4a5p-16, 0x1.ff173f23b145fp-17, 0x1.e6adbd82719b9p-17, 0x1.cef74a62b235ap-17, 0x1.b7ee11c8b9ff4p-17, 0x1.a18c7ae7a16a6p-17, 0x1.8bcd25d1c6327p-17, 0x1.76aae93dae808p-17, 0x1.6220d05ea188dp-17, 0x1.4e2a18d07684ep-17, 0x1.3ac23095ff67fp-17, 0x1.27e4b4297d75bp-17, 0x1.158d6c9e9a6c4p-17, 0x1.03b84dd55b798p-17, 0x1.e4c2e97b1280fp-18, 0x1.c30a4b541ac8dp-18, 0x1.a23f95678eb4ep-18, 0x1.825be456bd76bp-18, 0x1.63589a3334e9cp-18, 0x1.452f5b9b96e07p-18, 0x1.27da0cf3ad099p-18, 0x1.0b52cfb6e4b4bp-18, 0x1.df27ffc8b3fa7p-19, 0x1.a930630743621p-19, 0x1.74b45c8310eddp-19, 0x1.41a9e647fef11p-19, 0x1.10075ca8f66a9p-19, 0x1.bf86f4000eaaap-20, 0x1.61aaa5311365ap-20, 0x1.0668a183b5df2p-20, 0x1.5b60c42584a37p-21, 0x1.5dc7f4d41a9e9p-22, 0x1.cf0fc35647798p-27, -0x1.3767eb19f8322p-22, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      119, 0x1.8cccccccccccdp+2, 0x1.31e00294b9b26p+0, 0x1.d434f0b614fedp+1, -0x1.b7c0bffe6e09ep+0, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.e1bce8533b107p+2, -0x1.61797bb388c9fp+3, 0x1.a6570a3d70aa1p+2, 0x1.2d70150f527c9p-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.c6235b4edb2f6p+2, -0x1.507d923915bdcp+3, 0x1.aadc8fad07a95p+2, -0x1.78cc1a532756p+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.abe3c968943e1p+2, -0x1.3fde42c7900e1p+3, 0x1.9440f47f14a95p+2, -0x1.f05737ee72bc6p+0}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.92f06f6944674p+2, -0x1.2ffef0ca4058dp+3, 0x1.855d0efa7cbd3p+2, -0x1.0e8575cffa8cdp+1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.7b3bddfc9ff93p+2, -0x1.20bef65fb6a4p+3, 0x1.7521d9d46896p+2, -0x1.fb7d1991c566p+0}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.64b91b3f20a74p+2, -0x1.122009e321bb1p+3, 0x1.65e85680ace77p+2, -0x1.f100ae18bc6bbp+0}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.4f5b9628cbd12p+2, -0x1.041b679b5651dp+3, 0x1.56ff5b850da6dp+2, -0x1.e0802e0b5d65fp+0}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.3b171e29b6b2bp+2, -0x1.ed59d4a5149e8p+2, 0x1.48951cb2cad98p+2, -0x1.d0fe99b9e46adp+0}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.27dfe32a0663cp+2, -0x1.d39f4ed8d7ea9p+2, 0x1.3aa1f43f22b79p+2, -0x1.bf856b0cee4b3p+0}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.15aa79bbadc0ap+2, -0x1.bafd1c342a9f2p+2, 0x1.2d34fdd5c9a5fp+2, -0x1.b4ebba128e328p+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.046bdb1a6d699p+2, -0x1.a36a9ce84ee25p+2, 0x1.20197092abc84p+2, -0x1.a4cbaca8d0fa4p+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e832a0663c75p+1, -0x1.8cdf9b2ca6279p+2, 0x1.1379bac0ce792p+2, -0x1.93e5934a09abdp+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.c95104d551d69p+1, -0x1.7751f1e3a9838p+2, 0x1.075bcd5fdd8bp+2, -0x1.8b9e062f1c9c9p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.ac1ef73c0c1fdp+1, -0x1.62b9e4f2c8428p+2, 0x1.f6faec4c439bfp+1, -0x1.79a253f98bed7p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.908919ef954ebp+1, -0x1.4f0f62f85357bp+2, 0x1.e052769e9240ep+1, -0x1.6dd8a9eaa9c54p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.767cd03537197p+1, -0x1.3c4946ac1eccp+2, 0x1.ca5f1043b106ep+1, -0x1.62fb045bd3085p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.5de81cb46bacfp+1, -0x1.2a609a81caa83p+2, 0x1.b5129000bdf71p+1, -0x1.523b44a614adfp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.46b9991361dc9p+1, -0x1.194ce2c17301bp+2, 0x1.a0c7539060908p+1, -0x1.4c17e90bbb75cp+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.30e08f2170931p+1, -0x1.09071780319f3p+2, 0x1.8cda5f2e64ad5p+1, -0x1.3965172b0d8e9p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.1c4cc6822ff09p+1, -0x1.f30f2f052d245p+1, 0x1.7a0ca059e3dd1p+1, -0x1.3253ba4814fe7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.08eebf65dbfcfp+1, -0x1.d58cf0df7028fp+1, 0x1.67ab715590af1p+1, -0x1.254bffb49c027p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.ed6eefa1e3eafp+0, -0x1.b97b1b6a3ac53p+1, 0x1.5612671ca60b2p+1, -0x1.1c7c46e571d6ap+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.cb30f8c64fdb1p+0, -0x1.9ecc43426542ep+1, 0x1.4500b4c733b16p+1, -0x1.0cc2e4b5a6739p+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.ab07bfe7e1fc1p+0, -0x1.8571554b78aadp+1, 0x1.34e08855e7255p+1, -0x1.08782643f2708p+0}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.8cd8a979e16d7p+0, -0x1.6d5e0541e51e9p+1, 0x1.25024899818f4p+1, -0x1.f2b90475186dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.7089e34330d74p+0, -0x1.568667cce5bd7p+1, 0x1.160c17d36ee81p+1, -0x1.e42ba1a3c6058p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.5602c9081c2e3p+0, -0x1.40dcbc34e8ad4p+1, 0x1.0785aa0447af8p+1, -0x1.cc9874fbe34c4p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.3d2ba16e7a312p+0, -0x1.2c554c0838ec8p+1, 0x1.f36894b1c44b9p+0, -0x1.c1728a6c6db38p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.25edaec4a4096p+0, -0x1.18e56c8c4d0e8p+1, 0x1.d87111824d12cp+0, -0x1.a59d61528bc4bp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1032fcac8e68ep+0, -0x1.0681242e9cad1p+1, 0x1.bf2510ca25f76p+0, -0x1.9817f0495c59bp-1}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f7cd67fd3f5b6p-1, -0x1.ea377d75c7546p+0, 0x1.a6a8bfcffc95cp+0, -0x1.8a02dd8807eb7p-1}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.d1e98dcdb37cap-1, -0x1.c95982b79749dp+0, 0x1.8f04bcc2b46e2p+0, -0x1.77dc99968555cp-1}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.ae93c03bc4d23p-1, -0x1.aa548a834e9ap+0, 0x1.7877805864cp+0, -0x1.5e8abc1de1e3dp-1}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.8da72a7bd48cbp-1, -0x1.8d0ddfb956717p+0, 0x1.636f2d60d7324p+0, -0x1.5df875f1eee63p-1}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.6f00ef1348b22p-1, -0x1.71759a0586502p+0, 0x1.4e6fa12e7c0ffp+0, -0x1.41936c1a6675dp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.527f1b6912125p-1, -0x1.5779ed700d38fp+0, 0x1.3b24396a5732p+0, -0x1.3bb9d9a474319p-1}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.3801b43526528p-1, -0x1.3f05cfc44dcbbp+0, 0x1.2832ac5b5a76ap+0, -0x1.27852d53cc329p-1}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.1f69ec2ce464ap-1, -0x1.28093ecf6c871p+0, 0x1.16777b8ea5403p+0, -0x1.1e31710c5a3dp-1}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.089a88ace24bcp-1, -0x1.12721573f7139p+0, 0x1.054b8e5fd3099p+0, -0x1.07b50e7ada24dp-1}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.e6ef3d3a1d324p-2, -0x1.fc598fe51104dp-1, 0x1.eaf20687f24c4p-1, -0x1.0afa55081c834p-1}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.bfcdab191dde3p-2, -0x1.d65b0ffc39fbap-1, 0x1.cae877350d98ap-1, -0x1.d8c33ac986235p-2}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.9b9cf9a06a6e3p-2, -0x1.b2c7172db6c26p-1, 0x1.ae8ad4f5c2fcep-1, -0x1.d6fe6ac9b1292p-2}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.7a2db61bb05fbp-2, -0x1.9176f66c74fffp-1, 0x1.92485de9a8ff8p-1, -0x1.bb431a0fb7fbep-2}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.5b52007dd4413p-2, -0x1.72588db174d2ep-1, 0x1.77afdc595b662p-1, -0x1.9bf52cf76adep-2}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.3ede54b48d3aep-2, -0x1.554797695d96dp-1, 0x1.5ef830b0e9778p-1, -0x1.94e832129ba89p-2}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.24a9cdc443915p-2, -0x1.3a2c82d7c6932p-1, 0x1.46acd186d5e32p-1, -0x1.706a0abe29519p-2}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.0c8d1958969a1p-2, -0x1.20ec8f3028a92p-1, 0x1.3091f9d795f7dp-1, -0x1.696fa2f4c1091p-2}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.ecc70867ad8e4p-3, -0x1.096d070f8664cp-1, 0x1.1ae2515842b4bp-1, -0x1.49d7696ece763p-2}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.c413db7f17375p-3, -0x1.e72c6ef9b40d5p-2, 0x1.0717f3fa927a6p-1, -0x1.3f32b75005d4fp-2}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.9ebf22c01e68ap-3, -0x1.be9c5a059b014p-2, 0x1.e7e223e14d374p-2, -0x1.295db9511ad59p-2}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.7c8a7a41e57dap-3, -0x1.9901e766a89ep-2, 0x1.c4330da45e79dp-2, -0x1.1b56636b8ee06p-2}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.5d3b29a1b9f99p-3, -0x1.7631065378c9p-2, 0x1.a232ed3b4d54ap-2, -0x1.0948b900b582fp-2}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.40999dcb5781cp-3, -0x1.56024aa940ae5p-2, 0x1.825d66642d4f8p-2, -0x1.df0d71230215cp-3}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.2671ef30a4e38p-3, -0x1.383fde981b44dp-2, 0x1.659f274879fc4p-2, -0x1.f138c972ab9e8p-3}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.0e93e1c9b413ap-3, -0x1.1cd54533c2de8p-2, 0x1.47c9d3842802p-2, -0x1.9c0f69124ea92p-3}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.f1a08bfc2224fp-4, -0x1.03995581805e8p-2, 0x1.2f1094e4567cfp-2, -0x1.9e899244174b2p-3}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.c9fa54c554328p-4, -0x1.d8b284bc63a6cp-3, 0x1.1631498e55173p-2, -0x1.89ca4ddd531f4p-3}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.a5e4606748e47p-4, -0x1.ae13a45943981p-3, 0x1.fd215691773f1p-3, -0x1.5a4d36469cec1p-3}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.8512231832fcbp-4, -0x1.870230baeb586p-3, 0x1.d392f3e526f9dp-3, -0x1.4d00d9083a79dp-3}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.673e681a9b8ccp-4, -0x1.633377f6735cbp-3, 0x1.ab9d174a90994p-3, -0x1.31af65987a0eep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.4c282c6ef3d3ap-4, -0x1.4275913607b6fp-3, 0x1.86ee717ff2975p-3, -0x1.2c419095d9ce6p-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.33929ed3953dfp-4, -0x1.24a03f18da519p-3, 0x1.62e693597c4b7p-3, -0x1.fa94b02044e13p-4}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.1d441355475a3p-4, -0x1.09731fa952cb1p-3, 0x1.44817e8abfd77p-3, -0x1.fd2a1e5333194p-4}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.0909289dadfb5p-4, -0x1.e16c264e75864p-4, 0x1.25f4ba2998ef9p-3, -0x1.d0c2d692fd441p-4}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.ed612c6ac215cp-5, -0x1.b49ecfcbfd9b3p-4, 0x1.0a11ff35420fap-3, -0x1.7fca8760befadp-4}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.cc1a8ac5c13fdp-5, -0x1.8be42cbbbde2dp-4, 0x1.e615ee2bb4e26p-4, -0x1.b0130bea12381p-4}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.adeebb341e14cp-5, -0x1.671412c610fccp-4, 0x1.b23c9ad22d93cp-4, -0x1.3fe948f6f8f98p-4}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.928e0c9d9d346p-5, -0x1.45e0030d45d5p-4, 0x1.8bd8ee39a94cep-4, -0x1.5047d03a0b07ep-4}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.79b56323bbc6fp-5, -0x1.27d2476b3e135p-4, 0x1.637e6499189ddp-4, -0x1.3ef77620d9cabp-4}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.6323bbc6eb0b8p-5, -0x1.0ce9b6b8dad8fp-4, 0x1.3d37bcd29814dp-4, -0x1.e7b4ae851c3f5p-5}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.4e9c4545846e9p-5, -0x1.e9697b7ce3f2dp-5, 0x1.1ff493a1a5bf1p-4, -0x1.e33e59a9d9a82p-5}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.3becaab8a5ce6p-5, -0x1.bda8a3c903687p-5, 0x1.02f5f4a6d101cp-4, -0x1.05a8f569c0e98p-4}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.2ae4b018611fdp-5, -0x1.96bca998667b2p-5, 0x1.c71f8571b1279p-5, -0x1.6f79fb0818bep-5}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.1b54195cc857fp-5, -0x1.74174bbf445b6p-5, 0x1.9b06a4c2a3f21p-5, -0x1.36c6290c1d4e9p-5}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.0d1526d8b1dd6p-5, -0x1.54b35d12e08bep-5, 0x1.75bbaa131b4efp-5, -0x1.b56d60c773541p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.00064a9cdc444p-5, -0x1.38e6d22f63376p-5, 0x1.413de62421f2ep-5, -0x1.e708a7ac2ef73p-6}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.e80389f83be66p-6, -0x1.205f05cee830dp-5, 0x1.24050f47e1b0dp-5, -0x1.f9029fc0552abp-6}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.d1d8a54823854p-6, -0x1.0a38bc784ffdap-5, 0x1.05b81a2cfb4cfp-5, -0x1.1a766ca93ecfdp-5}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.bd5992428d435p-6, -0x1.ed47a2d9d9739p-6, 0x1.c7a5b3df6ca56p-6, -0x1.3349faf5ba57dp-6}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.aa53fc0096febp-6, -0x1.ca4d939e259f6p-6, 0x1.a2c5c8f52315ap-6, -0x1.fdeb3ad68f82p-6}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.98a222d5171e3p-6, -0x1.ab3fb3bf2cecdp-6, 0x1.659513d12658p-6, -0x1.aa1233602580ap-7}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.881a1554fbdadp-6, -0x1.8faa31ab9a2d9p-6, 0x1.4c04a0182e555p-6, -0x1.adf05e6919f26p-6}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.789e774eebf66p-6, -0x1.772ac5e10f04bp-6, 0x1.186ce6af68a8dp-6, -0x1.ccd5b2ae8daep-8}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.6a0dbad3a604ep-6, -0x1.61493ab44f856p-6, 0x1.0a99b0af4acf7p-6, -0x1.8539eee826fcep-6}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.5c52e72da123p-6, -0x1.4dd3890e9eebap-6, 0x1.b7c950fde86c7p-7, -0x1.df8b5ecf6b485p-8}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.4f50a02b84125p-6, -0x1.3ccf705326da7p-6, 0x1.9b03839f8af25p-7, -0x1.36756490dc99bp-7}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.42f61ed5ae1cep-6, -0x1.2d1d6768f8746p-6, 0x1.75c23a1d84f42p-7, -0x1.1b325f2a68bcbp-6}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.37329c347e8cdp-6, -0x1.1f861b67956e7p-6, 0x1.31ca9e27d2378p-7, 0x1.0085de41ed56cp-11}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.2bf11f926c7ebp-6, -0x1.1340f3aceb281p-6, 0x1.33b7244d6f846p-7, -0x1.04de5c9dd3296p-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.21294573a7979p-6, -0x1.08328063b7c94p-6, 0x1.ea36bffd31feep-8, 0x1.6ea870a71aed5p-11}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.16ca46e08f217p-6, -0x1.fcad0dc02005dp-7, 0x1.efb6b7705785p-8, -0x1.28f6b1770ac4fp-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.0ccbc05d52c17p-6, -0x1.ebb2c34dc5ca3p-7, 0x1.612bd2e5481c3p-8, 0x1.30cb04addbb07p-7}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.031ceaf251c19p-6, -0x1.dc1bc2a0befbbp-7, 0x1.aa524ee60c321p-8, -0x1.389f57e4a8df6p-6}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.f37b8d3f1843cp-7, -0x1.ce0e87619fc22p-7, 0x1.1443436e0d0e6p-8, 0x1.285f74eeccf38p-8}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.e13b18dac258dp-7, -0x1.c24b81bdb95e5p-7, 0x1.37d3d694f2735p-8, -0x1.df803a1446899p-7}, 
        {0x1.4p+2, 0x1.428f5c28f5c29p+2, 0x1.cf70153bd1676p-7, -0x1.b81f9a9d3d524p-7, 0x1.897e9b868fd7ap-9, 0x1.d3a25bb3696fp-8}, 
        {0x1.428f5c28f5c29p+2, 0x1.451eb851eb852p+2, 0x1.be0157eed45e9p-7, -0x1.af2198ec09a76p-7, 0x1.f9ba0db19ee81p-9, -0x1.c7c47d529024cp-7}, 
        {0x1.451eb851eb852p+2, 0x1.47ae147ae147bp+2, 0x1.aceee0f3cb3e5p-7, -0x1.a73452cc6a15ep-7, 0x1.1ef556a8b5e08p-9, 0x1.aa063b8485ae7p-10}, 
        {0x1.47ae147ae147bp+2, 0x1.4a3d70a3d70a4p+2, 0x1.9c1f85d744f5dp-7, -0x1.a135a8c951aedp-7, 0x1.3885128cd260dp-9, -0x1.0d3ea06fb50bfp-7}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.8b8ae31d712a1p-7, -0x1.9c4067dab31b4p-7, 0x1.6e9095523ea18p-10, -0x1.1916c6f3c8d7cp-17}, 
        {0x1.4cccccccccccdp+2, 0x1.4f5c28f5c28f6p+2, 0x1.7b2031ceaf252p-7, -0x1.9896564fc606p-7, 0x1.6e4d1f36f9e1dp-10, -0x1.e3509192b2bacp-8}, 
        {0x1.4f5c28f5c28f6p+2, 0x1.51eb851eb851fp+2, 0x1.6ad70e6f2e8cp-7, -0x1.96158df3b9196p-7, 0x1.0c9ed1663df15p-11, -0x1.c8c4b946b454ep-10}, 
        {0x1.51eb851eb851fp+2, 0x1.547ae147ae148p+2, 0x1.5a9eb2074ea8ep-7, -0x1.9503e14a99f93p-7, 0x1.3dfdedb4c92a7p-12, -0x1.4faad49ab25b3p-10}, 
        {0x1.547ae147ae148p+2, 0x1.570a3d70a3d71p+2, 0x1.4a6eb91b3f20ap-7, -0x1.946bec7903756p-7, 0x1.39be4283248c4p-13, -0x1.1f11fe89c7082p-7}, 
        {0x1.570a3d70a3d71p+2, 0x1.599999999999ap+2, 0x1.3a3ec02f2f987p-7, -0x1.9568472272001p-7, -0x1.d8bd395d81ce7p-11, 0x1.4c7aa974dc1p-8}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x1.29fe004b7f5a5p-7, -0x1.96f91bda63a1dp-7, -0x1.331e4c181569p-12, -0x1.79e3545ff117bp-7}, 
        {0x1.5c28f5c28f5c3p+2, 0x1.5eb851eb851ecp+2, 0x1.19ac79702e664p-7, -0x1.998e0369592b2p-7, -0x1.b78d54a9ce155p-10, 0x1.414ffcc559947p-7}, 
        {0x1.5eb851eb851ecp+2, 0x1.6147ae147ae14p+2, 0x1.093964a59c066p-7, -0x1.9c687019d146ap-7, -0x1.062f2a680ee41p-11, -0x1.8b5c9eb59357bp-7}, 
        {0x1.6147ae147ae14p+2, 0x1.63d70a3d70a3dp+2, 0x1.f15a4acf312b2p-8, -0x1.9f9ddab345f99p-7, -0x1.fea3b2af24381p-10, 0x1.d844fc2250412p-8}, 
        {0x1.63d70a3d70a3dp+2, 0x1.6666666666666p+2, 0x1.cfede97d06bbep-8, -0x1.a396edcd5048p-7, -0x1.1bf339a8e9375p-10, -0x1.296acc793b6c9p-10}, 
        {0x1.6666666666666p+2, 0x1.68f5c28f5c28fp+2, 0x1.ae3e6c4c5974ep-8, -0x1.a69b86421216p-7, -0x1.3fa3e18e7fb54p-10, -0x1.5db45f521a67ap-9}, 
        {0x1.68f5c28f5c28fp+2, 0x1.6b851eb851eb8p+2, 0x1.8c4bd33d29564p-8, -0x1.aa393b8555c02p-7, -0x1.9391bafe5d15ap-10, 0x1.82e1b8e13e049p-7}, 
        {0x1.6b851eb851eb8p+2, 0x1.6e147ae147ae1p+2, 0x1.6a161e4f765fep-8, -0x1.ac66f833da7abp-7, -0x1.014d6acaa5f94p-13, 0x1.2f98d13e3d473p-9}, 
        {0x1.6e147ae147ae1p+2, 0x1.70a3d70a3d70ap+2, 0x1.47cfa26a22b39p-8, -0x1.ac5c0a94b927ap-7, 0x1.459a8d5aee66fp-13, -0x1.64f5143ef5dcap-8}, 
        {0x1.70a3d70a3d70ap+2, 0x1.7333333333333p+2, 0x1.25892684cf074p-8, -0x1.accf29a8c460cp-7, -0x1.054732a844e89p-11, 0x1.1f80fd0b96b25p-5}, 
        {0x1.7333333333333p+2, 0x1.75c28f5c28f5cp+2, 0x1.035371971c10dp-8, -0x1.a89875b1ae2adp-7, 0x1.e6b0192ebe312p-9, -0x1.516551a67ae54p-5}, 
        {0x1.75c28f5c28f5cp+2, 0x1.7851eb851eb85p+2, 0x1.c3265add9c27fp-9, -0x1.a556fc49a6943p-7, -0x1.423959178ebd4p-10, 0x1.4985126394e51p-3}, 
        {0x1.7851eb851eb85p+2, 0x1.7ae147ae147aep+2, 0x1.80d3cff64cf8dp-9, -0x1.8f41418030beap-7, 0x1.28333467b9dbep-6, -0x1.0c6ebd492d295p-1}, 
        {0x1.7ae147ae147aep+2, 0x1.8cccccccccccdp+2, 0x1.4057082491afcp-9, -0x1.b2534cc31abcap-7, -0x1.6f4a60961361dp-5, 0x1.8692c2c8327cfp-2}, 
      }}, 
      -0x1.29d4e0ebaf3bcp-1, -0x1.1f37b93dd9ccfp-7
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_c_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0e53f7e6a7e6ap-1, -0x1.05068e78f8422p-1, -0x1.f52671eebe4b8p-2, -0x1.de3d4fce78702p-2, -0x1.c596bb5851f97p-2, -0x1.ab73df3251e89p-2, -0x1.9012877a89c28p-2, -0x1.73ac890f10c63p-2, -0x1.567743db6cb04p-2, -0x1.38a3d7d64828ap-2, -0x1.1a5fb78505eep-2, -0x1.f7aa2fb952e7ap-3, -0x1.ba55cc80f4587p-3, -0x1.7d08df3cc9bc1p-3, -0x1.40027779cda6cp-3, -0x1.037ab387d7f84p-3, -0x1.8f479c316320bp-4, -0x1.1955fe891401dp-4, -0x1.4ae3bd131d417p-5, -0x1.9f1d04055f691p-7, 0x1.d8aaf9c105c09p-7, 0x1.4e788aa0e5774p-5, 0x1.107429c609986p-4, 0x1.768f97e6876e4p-4, 0x1.d96f0c8afa5adp-4, 0x1.1c7caf290dcecp-3, 0x1.4a8d97d83f1ecp-3, 0x1.76e3249f3fb16p-3, 0x1.a1787c32beac3p-3, 0x1.ca4ac5941aa11p-3, 0x1.f158f6bc48b45p-3, 0x1.0b51d6bd20493p-2, 0x1.1d168565da55ep-2, 0x1.2dfc46ce0da33p-2, 0x1.3e05771ab75b8p-2, 0x1.4d34fe1ae160dp-2, 0x1.5b8e3f6786be2p-2, 0x1.69150ad653df8p-2, 0x1.75cd8cc88cf25p-2, 0x1.81bc3ec47a8f6p-2, 0x1.8ce5d95070807p-2, 0x1.974f47da3e74bp-2, 0x1.a0fd9ee46c8cfp-2, 0x1.a9f614381d7b5p-2, 0x1.b23df8ace445cp-2, 0x1.b9dab31bb1d3cp-2, 0x1.c0d1bc1330f83p-2, 0x1.c72899cfba277p-2, 0x1.cce4dbe74719cp-2, 0x1.d20c162f42e0ap-2, 0x1.d6a3daad78abfp-2, 0x1.dab1b2d1a401ap-2, 0x1.de3b1898554cep-2, 0x1.e145706aee66ap-2, 0x1.e3d6047f7c31cp-2, 0x1.e5f2022a19d63p-2, 0x1.e79e79187e69bp-2, 0x1.e8e05bf5beaccp-2, 0x1.e9bc81a0de4a1p-2, 0x1.ea37a61103f7dp-2, 0x1.ea566a3a85cffp-2, 0x1.ea1d52b1c04bcp-2, 0x1.e990c53d13085p-2, 0x1.e8b58e0e1d233p-2, 0x1.e78ebe0de6425p-2, 0x1.e620bd593b9adp-2, 0x1.e46f5789002f8p-2, 0x1.e27e36666b127p-2, 0x1.e050e3e4217abp-2, 0x1.ddeacbee25d0ap-2, 0x1.db4f3dd0dd9d5p-2, 0x1.d8816d118f86ap-2, 0x1.d58471b1cb7b9p-2, 0x1.d25b47f44197dp-2, 0x1.cf08cfcef3c85p-2, 0x1.cb8fcc41106c4p-2, 0x1.c7f2e2c17f96dp-2, 0x1.c4349af0ba965p-2, 0x1.c0575ea880358p-2, 0x1.bc5d7a725e5f7p-2, 0x1.b8491e5e75392p-2, 0x1.b41c5f285826p-2, 0x1.afd937916f32p-2, 0x1.ab8189d6ca5c3p-2, 0x1.a717212abab1ep-2, 0x1.a29bb31fa1218p-2, 0x1.9e10e0f79e8d1p-2, 0x1.997838d2f40b7p-2, 0x1.94d336bbd5604p-2, 0x1.90234591db549p-2, 0x1.8b69bfd8ca9a6p-2, 0x1.86a7f06ea96p-2, 0x1.81df132c559cap-2, 0x1.7d105572b90c7p-2, 0x1.783cd6a5f339ap-2, 0x1.7365a8976862bp-2, 0x1.6e8bcfe017499p-2, 0x1.69b0442d5ddf5p-2, 0x1.64d3f083955efp-2, 0x1.5ff7b37af5dc6p-2, 0x1.5b1c5f7bf48fbp-2, 0x1.5642bb007c93bp-2, 0x1.516b80ded5f0fp-2, 0x1.4c9760a20216cp-2, 0x1.47c6fef1c3c96p-2, 0x1.42faf60ac54fcp-2, 0x1.3e33d64593765p-2, 0x1.397226a99e52fp-2, 0x1.34b665884928p-2, 0x1.3001091b6b35dp-2, 0x1.2b52802267775p-2, 0x1.26ab3279417e5p-2, 0x1.220b81a5ae404p-2, 0x1.1d73c956faa9ep-2, 0x1.18e45fd6af6a2p-2, 0x1.145d9668d7284p-2, 0x1.0fdfb99be2c06p-2, 0x1.0b6b118907dd7p-2, 0x1.06ffe206a947bp-2, 0x1.029e6acee9d43p-2, 0x1.fc8dcf39a7c15p-3, 0x1.f3f320853d07p-3, 0x1.eb6d317718ca6p-3, 0x1.e2fc627737366p-3, 0x1.daa10c7e025a2p-3, 0x1.d25b8135d881ep-3, 0x1.ca2c0b216bb17p-3, 0x1.c212edc84419p-3, 0x1.ba1065e9fbf09p-3, 0x1.b224a9b818917p-3, 0x1.aa4fe915c1f05p-3, 0x1.a2924ddc4524cp-3, 0x1.9aebfc230cb4ep-3, 0x1.935d128992a81p-3, 0x1.8be5aa81d3057p-3, 0x1.8485d899fcceep-3, 0x1.7d3dacc42d9b9p-3, 0x1.760d329b5e8e9p-3, 0x1.6ef471a4dd4bp-3, 0x1.67f36d8de9fd1p-3, 0x1.610a26655e508p-3, 0x1.5a3898d15b93fp-3, 0x1.537ebe4136907p-3, 0x1.4cdc8d1be06bbp-3, 0x1.4651f8eb2f182p-3, 0x1.3fdef2844c932p-3, 0x1.3983682daf74ep-3, 0x1.333f32fbf160dp-3, 0x1.2d1218d6e1aabp-3, 0x1.26fc3b33adfe2p-3, 0x1.20fd80b714f1bp-3, 0x1.1b15cdf3202c9p-3, 0x1.1545057d82a89p-3, 0x1.0f8b08054a8c5p-3, 0x1.09e7b4680e338p-3, 0x1.045ae7c6b7945p-3, 0x1.fdc8fb33e690ep-4, 0x1.f3089f8cccd42p-4, 0x1.e8746d61416afp-4, 0x1.de0c12a1bad18p-4, 0x1.d3cf3a8d0ee48p-4, 0x1.c9bd8dd6f2054p-4, 0x1.bfd6b2cdf24d8p-4, 0x1.b61a4d80bbcd5p-4, 0x1.ac87ffe29d081p-4, 0x1.a31f69ef2339bp-4, 0x1.99e029ccc75b1p-4, 0x1.90c9dbee755c3p-4, 0x1.87dc1b33ee75dp-4, 0x1.7f168108eaf2ap-4, 0x1.7678a582e709ep-4, 0x1.6e021f7d9d129p-4, 0x1.65b284b620936p-4, 0x1.5d8969e4a327ep-4, 0x1.558662d4e6647p-4, 0x1.4da9027d69dbbp-4, 0x1.45f0db1563577p-4, 0x1.3e5d7e2997155p-4, 0x1.36ee7cb0219f6p-4, 0x1.2fa3671b4c68ap-4, 0x1.287bcd6b81952p-4, 0x1.21773f4076818p-4, 0x1.1a954be99c83dp-4, 0x1.13d58275f439ap-4, 0x1.0d3771c346608p-4, 0x1.06baa88cdf126p-4, 0x1.005eb579cab2bp-4, 0x1.f4464e55518c6p-5, 0x1.e80f188e2ad54p-5, 0x1.dc16e71569ba3p-5, 0x1.d05cd7a3c2d22p-5, 0x1.c4e0084c080a6p-5, 0x1.b99f979329401p-5, 0x1.ae9aa4878f21p-5, 0x1.a3d04ed7cffb9p-5, 0x1.993fb6e8bed5fp-5, 0x1.8ee7fdead2573p-5, 0x1.84c845eee9233p-5, 0x1.7adfb1fa6607ep-5, 0x1.712d661aa50a7p-5, 0x1.67b08777c6dep-5, 0x1.5e683c66d6fc3p-5, 0x1.5553ac7b45566p-5, 0x1.4c720097b77ecp-5, 0x1.43c262fe2f865p-5, 0x1.3b43ff5f89f88p-5, 0x1.32f602ea4f151p-5, 0x1.2ad79c58e28b6p-5, 0x1.22e7fbff023b5p-5, 0x1.1b2653d6a5939p-5, 0x1.1391d78c33b32p-5, 0x1.0c29bc8a1a289p-5, 0x1.04ed3a03c06f6p-5, 0x1.fbb711ffbae72p-6, 0x1.ede7c8c4648a7p-6, 0x1.e06b11e958e5ap-6, 0x1.d33f6adfe7d2fp-6, 0x1.c6635506c698cp-6, 0x1.b9d555b8eedc8p-6, 0x1.ad93f65b614b8p-6, 0x1.a19dc469d9584p-6, 0x1.95f1518280d39p-6, 0x1.8a8d3370a1447p-6, 0x1.7f70043661125p-6, 0x1.749862158f51dp-6, 0x1.6a04ef978b92ep-6, 0x1.5fb453944f512p-6, 0x1.55a539389b23fp-6, 0x1.4bd6500b5aac1p-6, 0x1.42464bf23d252p-6, 0x1.38f3e535861cep-6, 0x1.2fddd88331c41p-6, 0x1.2702e6f15436ap-6, 0x1.1e61d5ffd9bb7p-6, 0x1.15f96f9993934p-6, 0x1.0dc88214af995p-6, 0x1.05cde03284308p-6, 0x1.fc10c23dafcb7p-7, 0x1.ecedc0dd0d09dp-7, 0x1.de307c3b49674p-7, 0x1.cfd6bd1a360efp-7, 0x1.c1de54ff6cf8fp-7, 0x1.b4451e2d8c6f7p-7, 0x1.a708fb9c6b66cp-7, 0x1.9a27d8f069d5dp-7, 0x1.8d9faa70dfe19p-7, 0x1.816e6cfdaa714p-7, 0x1.75922603ed19bp-7, 0x1.6a08e371ff84ep-7, 0x1.5ed0bbaa9fab2p-7, 0x1.53e7cd775d9bfp-7, 0x1.494c3ffa5b939p-7, 0x1.3efc429f5c2c3p-7, 0x1.34f60d0c2c2d7p-7, 0x1.2b37df1069aabp-7, 0x1.21c00094b80f2p-7, 0x1.188cc1896478bp-7, 0x1.0f9c79d47d31dp-7, 0x1.06ed893f6b35bp-7, 0x1.fcfcaec81744bp-8, 0x1.ec9aa732bfc98p-8, 0x1.dcb1e9bf84f09p-8, 0x1.cd3f739985f72p-8, 0x1.be4050ed2af6cp-8, 0x1.afb19cbe67428p-8, 0x1.a19080be52e24p-8, 0x1.93da352026b57p-8, 0x1.868c006d98fcfp-8, 0x1.79a3375adc729p-8, 0x1.6d1d3c9a14535p-8, 0x1.60f780ae5b7bap-8, 0x1.552f81be7e643p-8, 0x1.49c2cb674366dp-8, 0x1.3eaef68d85229p-8, 0x1.33f1a92ffb86dp-8, 0x1.29889638cf63bp-8, 0x1.1f717d4f091a9p-8, 0x1.15aa2aa7c8fbap-8, 0x1.0c3076d776ea2p-8, 0x1.030246a2cf609p-8, 0x1.f43b159fe20bdp-9, 0x1.e3007feeae3cep-9, 0x1.d250dca9cc008p-9, 0x1.c2285331eccf9p-9, 0x1.b28321730ac74p-9, 0x1.a35d9b86c6408p-9, 0x1.94b42b5728bbbp-9, 0x1.86835041af4bcp-9, 0x1.78c79eba95bd9p-9, 0x1.6b7dbff09b595p-9, 0x1.5ea2717137197p-9, 0x1.523284cd2d46cp-9, 0x1.462adf3dc855p-9, 0x1.3a88794a85275p-9, 0x1.2f485e6f66877p-9, 0x1.2467acc3e48bep-9, 0x1.19e394a286919p-9, 0x1.0fb958511fe71p-9, 0x1.05e64ba9df01ep-9, 0x1.f8cfa78a2e166p-10, 0x1.e676cd47745eep-10, 0x1.d4bd15b567f9ap-10, 0x1.c39dae7e6ba56p-10, 0x1.b313e52738e13p-10, 0x1.a31b266ad19afp-10, 0x1.93aefd9824769p-10, 0x1.84cb13f17371fp-10, 0x1.766b300dad4e5p-10, 0x1.688b353b9a39cp-10, 0x1.5b2722e724e6bp-10, 0x1.4e3b14003a173p-10, 0x1.41c33e640282ep-10, 0x1.35bbf247da98fp-10, 0x1.2a2199a67e546p-10, 0x1.1ef0b7af26b72p-10, 0x1.14169bd984868p-10, 0x1.09af66628674p-10, 0x1.ff4f8b94e40a3p-11, 0x1.ebf937be374a8p-11, 0x1.d955c1dbad824p-11, 0x1.c75f467f353e1p-11, 0x1.b6100d2f1a907p-11, 0x1.a56287668eb24p-11, 0x1.95514f9acaaddp-11, 0x1.85d7284439976p-11, 0x1.76eefaeba9ddfp-11, 0x1.6893d73c00e3p-11, 0x1.5ac0f2176fe8ep-11, 0x1.4d71a4b1393d9p-11, 0x1.40a16bab51b62p-11, 0x1.344be6382482p-11, 0x1.286cd540309c4p-11, 0x1.1d001a8be9ae5p-11, 0x1.1201b7f116ea7p-11, 0x1.076dce848f77p-11, 0x1.fa813b9f2fe4p-12, 0x1.e6ed061267d39p-12, 0x1.d417f0a63d03dp-12, 0x1.c1fb27f576a98p-12, 0x1.b0900f7b6029dp-12, 0x1.9fd040242ba21p-12, 0x1.8fb586e49a394p-12, 0x1.8039e35945347p-12, 0x1.7157866c84d89p-12, 0x1.6308d103e67f3p-12, 0x1.554852b3d62f9p-12, 0x1.4810c87b24e0ap-12, 0x1.3b5d1b8472fc3p-12, 0x1.2f285feeba647p-12, 0x1.236dd39c8ff22p-12, 0x1.1828dd09132ap-12, 0x1.0d550a250fb88p-12, 0x1.02ee0f3863805p-12, 0x1.f1df8b96090a2p-13, 0x1.deac5727e0feap-13, 0x1.cc3ac2db6cc47p-13, 0x1.ba8354a4395f3p-13, 0x1.a97ed4b432dcdp-13, 0x1.99264b8a64499p-13, 0x1.8973000b7a3dcp-13, 0x1.7a5e75a63028p-13, 0x1.6be26a82eb2ddp-13, 0x1.5df8d5be4e64ep-13, 0x1.509be5ae96da8p-13, 0x1.43c5fe343d832p-13, 0x1.3771b714bd09cp-13, 0x1.2b99da5f54c45p-13, 0x1.203962dcfea5dp-13, 0x1.154b7a89da533p-13, 0x1.0acb7918938f8p-13, 0x1.00b4e27fa0df9p-13, 0x1.ee06cb2189594p-14, 0x1.db65b530a9fe6p-14, 0x1.c97e840eec86fp-14, 0x1.b849864d494fcp-14, 0x1.a7bf55a28d0f8p-14, 0x1.97d8d47499517p-14, 0x1.888f2b716885fp-14, 0x1.79dbc73bc0b3bp-14, 0x1.6bb856248f7dep-14, 0x1.5e1ec5f7e1276p-14, 0x1.510941d80a5aep-14, 0x1.44723028e555dp-14, 0x1.38543089ec14p-14, 0x1.2caa19dffc7cap-14, 0x1.216ef86aad962p-14, 0x1.169e0bed26adp-14, 0x1.0c32c5e138fb9p-14, 0x1.0228c7b6f8ac2p-14, 0x1.f0f7c2499be59p-15, 0x1.de501d0439eaep-15, 0x1.cc52ee5f03e1dp-15, 0x1.baf8d8174734dp-15, 0x1.aa3acbe1ad6a8p-15, 0x1.9a12088888b8ep-15, 0x1.8a781718bc063p-15, 0x1.7b66c821ce66p-15, 0x1.6cd8311518961p-15, 0x1.5ec6a9b217373p-15, 0x1.512cc989827aap-15, 0x1.4405659934f82p-15, 0x1.374b8df0924b6p-15, 0x1.2afa8b706db7ep-15, 0x1.1f0ddd9e4447p-15, 0x1.13813881927bcp-15, 0x1.08508298a2e97p-15, 0x1.faefa5baddd4ep-16, 0x1.e5e6ddb132dabp-16, 0x1.d17f918e08161p-16, 0x1.bdb2fb9885e5p-16, 0x1.aa7aa8718be24p-16, 0x1.97d073b095b6dp-16, 0x1.85ae84a6780f6p-16, 0x1.740f4b3b29965p-16, 0x1.62ed7ce19a5bcp-16, 0x1.524411add775cp-16, 0x1.420e417b7728cp-16, 0x1.324781337ba8dp-16, 0x1.22eb8029dfbcap-16, 0x1.13f6258e521a9p-16, 0x1.05638df8c1806p-16, 0x1.ee601210f930bp-17, 0x1.d2b02e3c626a5p-17, 0x1.b7b0ce443d0eap-17, 0x1.9d5ba8cde4c7dp-17, 0x1.83aac93652392p-17, 0x1.6a988bab7d109p-17, 0x1.521f9952502fap-17, 0x1.3a3ae49608f62p-17, 0x1.22e5a5bab15dbp-17, 0x1.0c1b577407fc3p-17, 0x1.ebaf67160fb19p-18, 0x1.c02d5fb7c8204p-18, 0x1.95a8f6837f99dp-18, 0x1.6c1af56f3aeb2p-18, 0x1.437c8d2099e98p-18, 0x1.1bc74f9dba2f9p-18, 0x1.e9ea5646310c2p-19, 0x1.9e00ca99e3827p-19, 0x1.53c72cc50170bp-19, 0x1.0b33497461bc1p-19, 0x1.88770237a1f16p-20, 0x1.fb5afddc9d926p-21, 0x1.d7e39f0d30ad5p-22, -0x1.d6dda3246c168p-25, -0x1.20e280194c964p-21, -0x1.0f4476051c699p-20, -0x1.8b3e25ad161a3p-20, -0x1.02359213b13aap-19, -0x1.3d6bc8816ecf3p-19, -0x1.774770df6e584p-19, -0x1.afcdf6686f2a8p-19, -0x1.e7047a1a0e441p-19, -0x1.0e77ebd1b4d6dp-18, -0x1.28ca551903159p-18, -0x1.427ba87ad8042p-18, -0x1.5b8df9b18c745p-18, -0x1.740342b4fbfb4p-18, -0x1.8bdd65aa91321p-18, -0x1.a31e2ea72961p-18, -0x1.b9c7559c6e7p-18, -0x1.cfda7fdd9fbbdp-18, -0x1.e55941d0c0fdcp-18, -0x1.fa45205153df5p-18, -0x1.074fc91a7ed24p-17, -0x1.113500c9d9d93p-17, -0x1.1ad2e6872133dp-17, -0x1.242a247f7fdf2p-17, -0x1.2d3b604c38a77p-17, -0x1.36073b7b577cfp-17, -0x1.3e8e5407c256ap-17, -0x1.46d144db2112bp-17, -0x1.4ed0a62a3c073p-17, -0x1.568d0dfcabf26p-17, -0x1.5e07106732a77p-17, -0x1.653f400487bap-17, -0x1.6c362e3489223p-17, -0x1.72ec6b74533f2p-17, -0x1.796287a36963fp-17, -0x1.7f991243fa086p-17, -0x1.85909ab70e238p-17, -0x1.8b49b07d5a982p-17, -0x1.90c4e35c22a21p-17, -0x1.9602c38a4f767p-17, -0x1.9b03e1ec51cc1p-17, -0x1.9fc8d02d1db0ap-17, -0x1.a45220dd7a384p-17, -0x1.a8a06796e16d3p-17, -0x1.acb439162f5f2p-17, -0x1.b08e2b4a3265ep-17, -0x1.b42ed579390dbp-17, -0x1.b796d04015e3fp-17, -0x1.bac6b5a80cc05p-17, -0x1.bdbf2133e3aebp-17, -0x1.c080afe2ebb71p-17, -0x1.c30c00415b696p-17, -0x1.c561b2615c7cp-17, -0x1.c78267e4b640ap-17, -0x1.c96ec3fb6278fp-17, -0x1.cb276b6352403p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.523cb82d4f118p-4, -0x1.6d36bba0a7827p-4, -0x1.89081e4d30986p-4, -0x1.a5a2eac7498e8p-4, -0x1.c2f85fb71446p-4, -0x1.e0f916987d8efp-4, -0x1.ff952776808f9p-4, -0x1.0f5e24ddeef8p-3, -0x1.1f2ef91c69aedp-3, -0x1.2f34b7403d913p-3, -0x1.3f66fee158224p-3, -0x1.4fbd73a3ca5bap-3, -0x1.602fc759097bbp-3, -0x1.70b5c316e53a8p-3, -0x1.81474f55ef0e7p-3, -0x1.91dc7b28467f5p-3, -0x1.a26d82990a339p-3, -0x1.b2f2d443da491p-3, -0x1.c3651632fae03p-3, -0x1.d3bd2a11d7edcp-3, -0x1.e3f430c0e9016p-3, -0x1.f4038d571525bp-3, -0x1.01f273ce0b731p-2, -0x1.09c917034a3cp-2, -0x1.1182cba406fe3p-2, -0x1.191cd1b8066fap-2, -0x1.20948e57bbef6p-2, -0x1.27e78be233083p-2, -0x1.2f137a0b1a67p-2, -0x1.36162dc497bcbp-2, -0x1.3ceda108588c3p-2, -0x1.4397f2830bc75p-2, -0x1.4a13652549d6dp-2, -0x1.505e5f9cb860dp-2, -0x1.56776bb804fbfp-2, -0x1.5c5d35b82deeep-2, -0x1.620e8b91591fcp-2, -0x1.678a5c1d5ef62p-2, -0x1.6ccfb641f7861p-2, -0x1.71ddc80c67a52p-2, -0x1.76b3ddc454908p-2, -0x1.7b5160f754f5ap-2, -0x1.7fb5d77eaa344p-2, -0x1.83e0e28079c7bp-2, -0x1.87d23d6db72ecp-2, -0x1.8b89bcfde2cafp-2, -0x1.8f074e2999497p-2, -0x1.924af524e4973p-2, -0x1.9554cc5a2420bp-2, -0x1.982503664cffp-2, -0x1.9abbde172fcbp-2, -0x1.9d19b36c626bcp-2, -0x1.9f3eec9b57172p-2, -0x1.a12c04171c8cdp-2, -0x1.a2e1849c3891p-2, -0x1.a4600840f49ecp-2, -0x1.a5a8378a7a0e2p-2, -0x1.a6bac886fa5fbp-2, -0x1.a7987ded2c3ebp-2, -0x1.a842264147022p-2, -0x1.a8b89affac9cep-2, -0x1.a8fcbfcd63da7p-2, -0x1.a90f81ae7b186p-2, -0x1.a8f1d6426b3d2p-2, -0x1.a8a4bb0685792p-2, -0x1.a829349e77b38p-2, -0x1.a7804e22e7a12p-2, -0x1.a6ab187625685p-2, -0x1.a5aaa99ef0f9dp-2, -0x1.a4801c2947209p-2, -0x1.a32c8e8d2d0c6p-2, -0x1.a1b1229b692f7p-2, -0x1.a00efcf018b99p-2, -0x1.9e47446b0d046p-2, -0x1.9c5b21ade03a3p-2, -0x1.9a4bbe9f9e79dp-2, -0x1.981a45f5fb1aap-2, -0x1.95c7e2c3e5a71p-2, -0x1.9355c00d738cdp-2, -0x1.90c50860f7d0fp-2, -0x1.8e16e5752ed2fp-2, -0x1.8b4c7fcc650fp-2, -0x1.8866fe5c70d89p-2, -0x1.8567863b6d762p-2, -0x1.824f3a510e468p-2, -0x1.7f1f3b0c6ffd1p-2, -0x1.7bd8a61e492b9p-2, -0x1.787c96375adf7p-2, -0x1.750c22caff04ap-2, -0x1.71885fd5bccebp-2, -0x1.6df25da7bdc4cp-2, -0x1.6a4b28b306db6p-2, -0x1.6693c95d5ac76p-2, -0x1.62cd43d5a2cb5p-2, -0x1.5ef897ecc39c6p-2, -0x1.5b16c0f1bdd2bp-2, -0x1.5728b59103e7ep-2, -0x1.532f67b6ddbe1p-2, -0x1.4f2bc474c8175p-2, -0x1.4b1eb3e9b0543p-2, -0x1.4709192ceccd3p-2, -0x1.42ebd23be2643p-2, -0x1.3ec7b7ea2b519p-2, -0x1.3a9d9dd43905bp-2, -0x1.366e525446042p-2, -0x1.323a9e798c4a2p-2, -0x1.2e0346019c2edp-2, -0x1.29c90753c7debp-2, -0x1.258c9b7e7cbdp-2, -0x1.214eb63684f44p-2, -0x1.1d1005d80a821p-2, -0x1.18d13369519fbp-2, -0x1.1492e29f0d10ep-2, -0x1.1055b1e23ba25p-2, -0x1.0c1a3a577a9bep-2, -0x1.07e10fe7b334dp-2, -0x1.03aac14a18ebdp-2, -0x1.feefb01eba1b4p-3, -0x1.f691b15c12af2p-3, -0x1.ee3c851fe11e9p-3, -0x1.e5f120413d41cp-3, -0x1.ddb06db979a95p-3, -0x1.d57b4ec4af47p-3, -0x1.cd529b03e5a01p-3, -0x1.c53720a0c50fdp-3, -0x1.bd29a472ac679p-3, -0x1.b52ae225087d9p-3, -0x1.ad3b8c5ee3ffap-3, -0x1.a55c4ceb7e464p-3, -0x1.9d8dc4e3ddb8fp-3, -0x1.95d08cd93c57ep-3, -0x1.8e2535003db2dp-3, -0x1.868c455cd0672p-3, -0x1.7f063deea606ep-3, -0x1.779396de2c4d9p-3, -0x1.7034c0a9f7cd4p-3, -0x1.68ea245480693p-3, -0x1.61b4239226d29p-3, -0x1.5a9318f7716f7p-3, -0x1.5387582761e2fp-3, -0x1.4c912e01e5d99p-3, -0x1.45b0e0d23feb9p-3, -0x1.3ee6b07d6c18fp-3, -0x1.3832d6b062d89p-3, -0x1.3195870e2d88fp-3, -0x1.2b0eef5dd34c2p-3, -0x1.249f37b7efaf5p-3, -0x1.1e4682b40d82ep-3, -0x1.1804ed9597433p-3, -0x1.11da907873106p-3, -0x1.0bc77e7d26247p-3, -0x1.05cbc5f487b22p-3, -0x1.ffcee115ea342p-4, -0x1.f43506e5f80d3p-4, -0x1.e8c9ff1ef4dcap-4, -0x1.dd8dc33a5059ep-4, -0x1.d28044b710dffp-4, -0x1.c7a16d6a69c86p-4, -0x1.bcf11fcf135bbp-4, -0x1.b26f375349f3p-4, -0x1.a81b88a56b7efp-4, -0x1.9df5e1ff2c6b4p-4, -0x1.93fe0b6f75a35p-4, -0x1.8a33c722b3c54p-4, -0x1.8096d1a9c3268p-4, -0x1.7726e23f5794fp-4, -0x1.6de3ab0be70cdp-4, -0x1.64ccd9680fa48p-4, -0x1.5be2161d79bd4p-4, -0x1.532305a631e5dp-4, -0x1.4a8f486a7af58p-4, -0x1.42267afd169ddp-4, -0x1.39e8365604fa3p-4, -0x1.31d4100bba3b4p-4, -0x1.29e99a8ace211p-4, -0x1.2228654c22cc5p-4, -0x1.1a8ffd09874dep-4, -0x1.131febf0d8699p-4, -0x1.0bd7b9d59f064p-4, -0x1.04b6ec6133aeep-4, -0x1.fb7a0e82cac14p-5, -0x1.edd318ab5a4fcp-5, -0x1.e077f7b5d774ep-5, -0x1.d367a92b7794ap-5, -0x1.c6a127f6b0062p-5, -0x1.ba236cb23b55p-5, -0x1.aded6df55a995p-5, -0x1.a1fe209d6316ep-5, -0x1.965478149e775p-5, -0x1.8aef669689f18p-5, -0x1.7fcddd717ff8bp-5, -0x1.74eecd45d8112p-5, -0x1.6a5126428866p-5, -0x1.5ff3d85f52a0dp-5, -0x1.55d5d3948e4ddp-5, -0x1.4bf6081095603p-5, -0x1.4253666ae4c88p-5, -0x1.38ecdfd4fcb8ap-5, -0x1.2fc166490c328p-5, -0x1.26cfecb67431dp-5, -0x1.1e17672c30294p-5, -0x1.1596cb0132f4fp-5, -0x1.0d4d0efabf4afp-5, -0x1.05392b70ceaa1p-5, -0x1.fab434e11dbdp-6, -0x1.eb5dafba0eb3fp-6, -0x1.dc6cc31bdda15p-6, -0x1.cddf6ed97da91p-6, -0x1.bfb3b7202ca35p-6, -0x1.b1e7a4aae11a6p-6, -0x1.a47944f282607p-6, -0x1.9766aa5b06e35p-6, -0x1.8aadec5d81e2dp-6, -0x1.7e4d27af4e48ap-6, -0x1.72427e6658bd3p-6, -0x1.668c181ab27e4p-6, -0x1.5b2822057400ep-6, -0x1.5014cf1d16c62p-6, -0x1.4550582f4e218p-6, -0x1.3ad8fbf87b14dp-6, -0x1.30acff38d81dbp-6, -0x1.26caacc7612b8p-6, -0x1.1d3055a29fdbap-6, -0x1.13dc50ff6303ep-6, -0x1.0accfc557979ep-6, -0x1.0200bb6a8a1e9p-6, -0x1.f2ebf0b621da7p-7, -0x1.e25647433d368p-7, -0x1.d23d6838cee68p-7, -0x1.c29e4e226d0fbp-7, -0x1.b376005fa80aep-7, -0x1.a4c19325e77e4p-7, -0x1.967e277f6fd9ap-7, -0x1.88a8eb47c010ap-7, -0x1.7b3f192558747p-7, -0x1.6e3df8810ddd7p-7, -0x1.61a2dd7b135cfp-7, -0x1.556b28ddc721bp-7, -0x1.4994480e688f8p-7, -0x1.3e1bb4fbd89afp-7, -0x1.32fef60b70f29p-7, -0x1.283b9e041a9efp-7, -0x1.1dcf4bf7b6d38p-7, -0x1.13b7ab2af3d4bp-7, -0x1.09f272fba7006p-7, -0x1.007d66c5c3c1bp-7, -0x1.eeacab8e07b0ap-8, -0x1.dcf63602b2e12p-8, -0x1.cbd33a387ee7bp-8, -0x1.bb3f9c89f5dbep-8, -0x1.ab37581bc97edp-8, -0x1.9bb67e9995e91p-8, -0x1.8cb937f0fdba6p-8, -0x1.7e3bc20b4070fp-8, -0x1.703a70856fc92p-8, -0x1.62b1ac6761b2bp-8, -0x1.559df3d9817aep-8, -0x1.48fbd9d99d29ap-8, -0x1.3cc805eecd2f7p-8, -0x1.30ff33dc916ap-8, -0x1.259e33553f5d1p-8, -0x1.1aa1e7abdc14bp-8, -0x1.10074785799e7p-8, -0x1.05cb5c8a2d354p-8, -0x1.f7d6862b790cp-9, -0x1.e4c853d01aa0bp-9, -0x1.d266a3aaeb009p-9, -0x1.c0ac1aedf288bp-9, -0x1.af9381b517e8fp-9, -0x1.9f17c266d0abp-9, -0x1.8f33e91515473p-9, -0x1.7fe322dec9c15p-9, -0x1.7120bd51aa907p-9, -0x1.62e825cce3899p-9, -0x1.5534e8e46b424p-9, -0x1.4802b1c53a90cp-9, -0x1.3b4d499a785d9p-9, -0x1.2f1096f3b67d5p-9, -0x1.23489d2c49b46p-9, -0x1.17f17bd3e32c3p-9, -0x1.0d076e1869aa4p-9, -0x1.0286ca31356f6p-9, -0x1.f0d801976c228p-10, -0x1.dd6738f32c043p-10, -0x1.cab48240cbd07p-10, -0x1.b8b956d5cb753p-10, -0x1.a76f6077d3e2ep-10, -0x1.96d07845efa1fp-10, -0x1.86d6a5a5307b1p-10, -0x1.777c1d30daf88p-10, -0x1.68bb3fae31a51p-10, -0x1.5a8e9903d8275p-10, -0x1.4cf0df3502036p-10, -0x1.3fdcf1604d7dap-10, -0x1.334dd6c278c69p-10, -0x1.273ebdbce50e6p-10, -0x1.1baafadffe048p-10, -0x1.108e07f97de0cp-10, -0x1.05e38326a1386p-10, -0x1.f74e5bd48ce5ep-11, -0x1.e3a9d88dfa4f2p-11, -0x1.d0d187ba1471fp-11, -0x1.bebdb618bc6dcp-11, -0x1.ad66f0350136ep-11, -0x1.9cc600b8db81fp-11, -0x1.8cd3eec8c9b9p-11, -0x1.7d89fc674a66p-11, -0x1.6ee1a4e02cbeap-11, -0x1.60d49b3babd48p-11, -0x1.535cc8b94e904p-11, -0x1.46744b52804cfp-11, -0x1.3a157444d372ap-11, -0x1.2e3ac6a3e33f8p-11, -0x1.22def5f2c2f6bp-11, -0x1.17fce4c4eef7fp-11, -0x1.0d8fa366a855ap-11, -0x1.03926e8cb2207p-11, -0x1.f4015c16a886bp-12, -0x1.e1abe7292f1a3p-12, -0x1.d01bf2fb4a1efp-12, -0x1.bf49431663b93p-12, -0x1.af2be789c9ca1p-12, -0x1.9fbc3a9f3d49ap-12, -0x1.90f2de9d1c425p-12, -0x1.82c8bb95f726p-12, -0x1.7536fd455e96fp-12, -0x1.683710f9c4b73p-12, -0x1.5bc2a38b36192p-12, -0x1.4fd39f5ec2aeap-12, -0x1.44642a765fc5dp-12, -0x1.396ea48d13c94p-12, -0x1.2eeda53f3ceddp-12, -0x1.24dbfa3eb927dp-12, -0x1.1b34a592c5867p-12, -0x1.11f2dbe3589b9p-12, -0x1.091202cfd0c1bp-12, -0x1.008daf50b7a65p-12, -0x1.f0c34848e43bp-13, -0x1.e113a08d427e3p-13, -0x1.d2049ae4123c3p-13, -0x1.c38ebd5988b78p-13, -0x1.b5aaddbd2e336p-13, -0x1.a8521ee2584cep-13, -0x1.9b7dedf414cebp-13, -0x1.8f27ffdc2584dp-13, -0x1.834a4ebca57b9p-13, -0x1.77df177bf9165p-13, -0x1.6ce0d762a41cep-13, -0x1.624a49caaac5bp-13, -0x1.581665e017f58p-13, -0x1.4e405c72493abp-13, -0x1.44c395d5ae8c9p-13, -0x1.3b9bafd58f04cp-13, -0x1.32c47bb5809c1p-13, -0x1.2a39fc423e3fap-13, -0x1.21f863f171f52p-13, -0x1.19fc131029322p-13, -0x1.124195ff94d43p-13, -0x1.0ac5a37fbe402p-13, -0x1.03851b07e099p-13, -0x1.f8fa0658145dep-14, -0x1.eb55101f83617p-14, -0x1.de15f3ca981a7p-14, -0x1.d13796f295e9p-14, -0x1.c4b52194d9a2cp-14, -0x1.b889fb59a8517p-14, -0x1.acb1c8f1ce359p-14, -0x1.a128698aa7bcp-14, -0x1.95e9f457bcc38p-14, -0x1.8af2b63195632p-14, -0x1.803f2f491ae4cp-14, -0x1.75cc10ef01a11p-14, -0x1.6b963b6eb3e84p-14, -0x1.619abbfc32b77p-14, -0x1.57d6cab46c544p-14, -0x1.4e47c8af82c64p-14, -0x1.44eb3e2485b55p-14, -0x1.3bbed89e221c3p-14, -0x1.32c0693fcdac2p-14, -0x1.29ede31af4778p-14, -0x1.21455993b7936p-14, -0x1.18c4fed4c5125p-14, -0x1.106b2251dcb89p-14, -0x1.08362f589242dp-14, -0x1.0024abaee0154p-14, -0x1.f06a6c7e49152p-15, -0x1.e0cd0ba24048cp-15, -0x1.d16ecf9f21a0fp-15, -0x1.c24d7e3413c4ap-15, -0x1.b36705c54afc3p-15, -0x1.a4b97b2e6a0e6p-15, -0x1.964317ab2796fp-15, -0x1.880236d5812cbp-15, -0x1.79f554b8d7b02p-15, -0x1.6c1b0bf93f891p-15, -0x1.5e72140e6761dp-15, -0x1.50f93f916eeap-15, -0x1.43af7a9d136fcp-15, -0x1.3693c93f92b15p-15, -0x1.29a545fdb597ep-15, -0x1.1ce320666a18ap-15, -0x1.104c9bb662f6ap-15, -0x1.03e10d8b3085cp-15, -0x1.ef3fb94a930e4p-16, -0x1.d710ff710c07dp-16, -0x1.bf34f8950e699p-16, -0x1.a7aacb3d2b228p-16, -0x1.9071b75ce6a3fp-16, -0x1.7989145f75d65p-16, -0x1.62f04f4a8edb6p-16, -0x1.4ca6e8f88d3bp-16, -0x1.36ac7468fd1ffp-16, -0x1.21009526c1b8bp-16, -0x1.0ba2fdc30fdb6p-16, -0x1.ed26dcc8daccap-17, -0x1.c3a366d1fb3abp-17, -0x1.9abb4836b8936p-17, -0x1.726e42f2a2996p-17, -0x1.4abc2a17577f7p-17, -0x1.23a4df9d42b16p-17, -0x1.fa50a4a81363p-18, -0x1.ae8cf7e2d6004p-18, -0x1.63febe7ab9e5ap-18, -0x1.1aa60cb470ba7p-18, -0x1.a506049f3f4a9p-19, -0x1.172b8f015dce9p-19, -0x1.177a28704dd6fp-20, -0x1.5d7af105cdd2ap-26, 0x1.07b4d2b97b79bp-20, 0x1.0802aa730a1a2p-19, 0x1.89bd762859768p-19, 0x1.048540897492ep-18, 0x1.42f4c7a0db1d8p-18, 0x1.802d3bceef2b9p-18, 0x1.bc2e93834f405p-18, 0x1.f6f8d1958d494p-18, 0x1.18460349420d3p-17, 0x1.347428f5c83dfp-17, 0x1.5006f18491f3cp-17, 0x1.6afe7d21031dap-17, 0x1.855af4dc59593p-17, 0x1.9f1c8b0ff62c3p-17, 0x1.b8437bb3fab4dp-17, 0x1.d0d00caac12fbp-17, 0x1.e8c28e01c6e3fp-17, 0x1.000dad144cba7p-16, 0x1.0b6d6b0f23ee4p-16, 0x1.1680b8caf0b3ep-16, 0x1.2147d38942359p-16, 0x1.2bc2fdfdb460bp-16, 0x1.35f28054304c9p-16, 0x1.3fd6a833a7e8p-16, 0x1.496fc8bd7490ap-16, 0x1.52be3a89996dep-16, 0x1.5bc25ba00fbf9p-16, 0x1.647c8f6f5a618p-16, 0x1.6ced3ec0825fep-16, 0x1.7514d7a8ad9e5p-16, 0x1.7cf3cd787acc5p-16, 0x1.848a98a94990bp-16, 0x1.8bd9b6c894646p-16, 0x1.92e1aa6185e7fp-16, 0x1.99a2fae4e514ep-16, 0x1.a01e348f83878p-16, 0x1.a653e84f488a3p-16, 0x1.ac44aba6f7261p-16, 0x1.b1f11890d1cecp-16, 0x1.b759cd60342a7p-16, 0x1.bc7f6ca23c2d2p-16, 0x1.c1629cfda4662p-16, 0x1.c6040911dde87p-16, 0x1.ca645f5584781p-16, 0x1.ce8451f44b3edp-16, 0x1.d26496ac67cdbp-16, 0x1.d605e6ab9bd69p-16, 0x1.d968fe6befa2dp-16, 0x1.dc8e9d9025337p-16, 0x1.df7786c003071p-16, 0x1.e2247f847968p-16, 0x1.e4965023bda3p-16, 0x1.e6cdc37d625cep-16, 0x1.e8cba6e6788d6p-16, 0x1.ea90ca05cd4cdp-16, 0x1.ec1dfeb04dd26p-16, 0x1.ed7418c598d81p-16, 0x1.ee93ee0ccb14fp-16, 0x1.ef7e56119536fp-16, 0x1.f0342a019aa3dp-16, 0x1.f0b6448a2e9fcp-16, 0x1.f10581b668a3dp-16, 0x1.f122becda4cb7p-16, 0x1.f10eda3274a9fp-16, 0x1.f0cab341fcef1p-16, 0x1.f0572a33d5785p-16, 0x1.efb51ffa6499dp-16, 0x1.eee57623c1df2p-16, 0x1.ede90ebb20444p-16, 0x1.ecc0cc2acab52p-16, 0x1.eb6d911ead10cp-16, 0x1.e9f0406776a7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.0afc468d02319p-2, -0x1.47ae147ae147bp-1, -0x1.c779a6b50b0f2p-4, 0x1.9f1bef49cf56fp-2, 0x1.d35fc3b4f6167p-2, 0x1.b93dd97f62b6bp-2, 0, 3, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.48c3ceda36ep+0, -0x1.35b46a24c78fep+0, -0x1.22cf17a52d462p+0, -0x1.102281f3a4c3cp+0, -0x1.fb77381e71662p-1, -0x1.d74ba7bc6fcabp-1, -0x1.b3d6b279cf4f5p-1, -0x1.912a1ca549bd2p-1, -0x1.6f54bdf154febp-1, -0x1.4e62c63522ba8p-1, -0x1.2e5e61ac43699p-1, -0x1.0f5029981c43bp-1, -0x1.e27e56fc13143p-2, -0x1.a8615bc8d573fp-2, -0x1.7050098af0518p-2, -0x1.3a4d6f0d1bf2dp-2, -0x1.0659ea0796cb1p-2, -0x1.a8e8597957877p-3, -0x1.4933c035eecep-3, -0x1.db1ed5f6fd61cp-4, -0x1.2be442f87322bp-4, -0x1.095bf4d091971p-5, 0x1.acd443df938abp-8, 0x1.6544cf09082fcp-5, 0x1.42fa8de10b5acp-4, 0x1.cc0188e78cec7p-4, 0x1.26f294ce2d3aap-3, 0x1.646a5da92f507p-3, 0x1.9e8062682173ep-3, 0x1.d54d81de2ed94p-3, 0x1.04759c5e3b9e2p-2, 0x1.1cb9c7383886fp-2, 0x1.338071c4ca3cep-2, 0x1.48d6d74976ecbp-2, 0x1.5cca1f1eb8cadp-2, 0x1.6f6748f858fe5p-2, 0x1.80bb2624f435dp-2, 0x1.90d25bddfc425p-2, 0x1.9fb968a9b4c31p-2, 0x1.ad7ca7efa8f04p-2, 0x1.ba28517952349p-2, 0x1.c5c874f68d245p-2, 0x1.d068f2d143936p-2, 0x1.da1573a0519f6p-2, 0x1.e2d95ef4ccadp-2, 0x1.eabfd1bf2ffedp-2, 0x1.f1d39489589b6p-2, 0x1.f81f1236e5cccp-2, 0x1.fdac508bd74b3p-2, 0x1.014275f8be093p-1, 0x1.03590bca193d4p-1, 0x1.051e5109f41dcp-1, 0x1.06967ef94b984p-1, 0x1.07c5a6095941ep-1, 0x1.08afb31a6ee3p-1, 0x1.095873c2c6cc6p-1, 0x1.09c398eae60ebp-1, 0x1.09f4b77085d64p-1, 0x1.09ef46eb06bc9p-1, 0x1.09b69f07fd353p-1, 0x1.094df432e0394p-1, 0x1.08b8544e5544p-1, 0x1.07f8a42f4a03fp-1, 0x1.071485d089e6ep-1, 0x1.0608abf454a02p-1, 0x1.04da26e68b723p-1, 0x1.038b3fb2870f9p-1, 0x1.021e239f38d43p-1, 0x1.0094e5fa7e7bap-1, 0x1.fde302f06cd12p-2, 0x1.fa6bb24c03f92p-2, 0x1.f6c7720a76412p-2, 0x1.f2f9acce2fbeap-2, 0x1.ef05a055c67b8p-2, 0x1.eaee5df8c8f2cp-2, 0x1.e6b6cb555690cp-2, 0x1.e261a34eb9df1p-2, 0x1.ddf1776bd7de1p-2, 0x1.d968b19473b65p-2, 0x1.d4c9961f9a57p-2, 0x1.d016461cec6e5p-2, 0x1.cb50c1be38398p-2, 0x1.c67aeac6512d5p-2, 0x1.c19686e4ca5a3p-2, 0x1.bca541eae2f24p-2, 0x1.b7a8afcbc2008p-2, 0x1.b2a24e5ff2a18p-2, 0x1.ad9386e957619p-2, 0x1.a87daf592ce31p-2, 0x1.a3620b5cf8e39p-2, 0x1.9e41cd39a4b85p-2, 0x1.991e167d90d0fp-2, 0x1.93f7f8934ab74p-2, 0x1.8ed0753edd4a1p-2, 0x1.89a87f0f57787p-2, 0x1.8480f9cd43b22p-2, 0x1.7f5abaed52aa8p-2, 0x1.7a368a0c96f06p-2, 0x1.75152179956dp-2, 0x1.6ff72ecb43d2p-2, 0x1.6add53852b189p-2, 0x1.65c825c657ef3p-2, 0x1.60b830ffc6809p-2, 0x1.5badf6ae7fceep-2, 0x1.56a9ef15871f3p-2, 0x1.51ac89f416b15p-2, 0x1.4cb62f3521c04p-2, 0x1.47c73f95ad79fp-2, 0x1.42e01540265f1p-2, 0x1.3e01045b5da53p-2, 0x1.392a5b8c4823bp-2, 0x1.345c6469f7573p-2, 0x1.2f9763e3adb1ap-2, 0x1.2adb9a99290b1p-2, 0x1.26294525ae9e3p-2, 0x1.21809c5ea7461p-2, 0x1.1ce1d586f074fp-2, 0x1.184d22784a18p-2, 0x1.13c2b1c480242p-2, 0x1.0f42aed00484fp-2, 0x1.0acd41e7b9988p-2, 0x1.066290538e96cp-2, 0x1.0202bc6769012p-2, 0x1.fb5bcb272dc54p-3, 0x1.f2c850eb8136p-3, 0x1.ea4b3dd617c67p-3, 0x1.e1e4c047afad6p-3, 0x1.d995017293b8p-3, 0x1.d15c25894705fp-3, 0x1.c93a4bf09876p-3, 0x1.c12f8f7491e92p-3, 0x1.b93c067fc2ee9p-3, 0x1.b15fc35446c2fp-3, 0x1.a99ad445dcbf4p-3, 0x1.a1ed43f475c4fp-3, 0x1.9a571986a11e7p-3, 0x1.92d858e334574p-3, 0x1.8b7102e9ad9f2p-3, 0x1.842115a8c23a5p-3, 0x1.7ce88c929dd7dp-3, 0x1.75c760ae6319fp-3, 0x1.6ebd88c68664ep-3, 0x1.67caf993b58d8p-3, 0x1.60efa5e41096dp-3, 0x1.5a2b7ebe831d8p-3, 0x1.537e7382392a8p-3, 0x1.4ce8720232f1fp-3, 0x1.46685fdc5537ap-3, 0x1.3ffff032bb56ep-3, 0x1.39ae53b5e3e32p-3, 0x1.337373ac314p-3, 0x1.2d4f37e8c3272p-3, 0x1.274186d51f3cep-3, 0x1.214a457a674bcp-3, 0x1.1b69578a58f71p-3, 0x1.159e9f684ac99p-3, 0x1.0fe9fe3243a7dp-3, 0x1.0a4b53ca543abp-3, 0x1.04c27ee03171bp-3, 0x1.fe9eb9f65f8d1p-4, 0x1.f3e3950907fcfp-4, 0x1.e95345a3bd097p-4, 0x1.deed806071d0cp-4, 0x1.d4b1f7ddbad03p-4, 0x1.caa05cd513853p-4, 0x1.c0b85e3133e2bp-4, 0x1.b6f9a92455f22p-4, 0x1.ad63e93e43288p-4, 0x1.a3f6c8820802ep-4, 0x1.9ab1ef7b354a4p-4, 0x1.9195055283b62p-4, 0x1.889fafe1e045p-4, 0x1.7fd193c7c036cp-4, 0x1.772a5479b708p-4, 0x1.6ea994564c7fcp-4, 0x1.664ef4b60d86ep-4, 0x1.5e1a15fbde4d8p-4, 0x1.560a97a490e72p-4, 0x1.4e201855c957ep-4, 0x1.465a35ec3bbc9p-4, 0x1.3eb88d894f48cp-4, 0x1.373abba033a77p-4, 0x1.2fe05c0278655p-4, 0x1.28a909ec33c49p-4, 0x1.2194600fc8fb6p-4, 0x1.1aa1f8a15a2e7p-4, 0x1.13d16d61f575cp-4, 0x1.0d2257aa86c47p-4, 0x1.069450769d7c4p-4, 0x1.0026f06f0ba6fp-4, 0x1.f3b39fe8d0515p-5, 0x1.e7590e52fb313p-5, 0x1.db3d5bfb4d40dp-5, 0x1.cf5fb86e3a552p-5, 0x1.c3bf52fa8296dp-5, 0x1.b85b5ac5a80e5p-5, 0x1.ad32fee05784dp-5, 0x1.a2456e5ab4e57p-5, 0x1.9791d8589444cp-5, 0x1.8d176c2592e31p-5, 0x1.82d5594908c7cp-5, 0x1.78cacf99d23f1p-5, 0x1.6ef6ff51e1c1ep-5, 0x1.6559192199eadp-5, 0x1.5bf04e42dfa57p-5, 0x1.52bbd08be2d43p-5, 0x1.49bad281922b1p-5, 0x1.40ec8769b49d4p-5, 0x1.3850235ca0a1bp-5, 0x1.2fe4db56898fp-5, 0x1.27a9e5486202p-5, 0x1.1f9e7828491a3p-5, 0x1.17c1cc017f61ap-5, 0x1.10131a03e1f7cp-5, 0x1.08919c92e7c68p-5, 0x1.013c8f541ac6cp-5, 0x1.f4265e7a25347p-6, 0x1.e6297541cd43bp-6, 0x1.d880e27a3de7bp-6, 0x1.cb2b288c3c6b7p-6, 0x1.be26cce60ceefp-6, 0x1.b17258123386dp-6, 0x1.a50c55cd2f96dp-6, 0x1.98f3551a3166ap-6, 0x1.8d25e856caa51p-6, 0x1.81a2a54da7edp-6, 0x1.766825484a25dp-6, 0x1.6b75051fc614cp-6, 0x1.60c7e54c9d1ecp-6, 0x1.565f69f598b7p-6, 0x1.4c3a3afdc8239p-6, 0x1.425704119556ap-6, 0x1.38b474b2f5153p-6, 0x1.2f514044c1e59p-6, 0x1.262c1e153955p-6, 0x1.1d43c967ab0eep-6, 0x1.1497017d558cdp-6, 0x1.0c24899d7ba26p-6, 0x1.03eb291caf5eep-6, 0x1.f7d356c6c3825p-7, 0x1.e83dbfe755248p-7, 0x1.d91334dcc7b23p-7, 0x1.ca51652f01f3ap-7, 0x1.bbf608b380ee3p-7, 0x1.adfedf934d7d1p-7, 0x1.a069b24fa72d5p-7, 0x1.933451c5645edp-7, 0x1.865c972f02086p-7, 0x1.79e0642584e58p-7, 0x1.6dbda2a01dfc1p-7, 0x1.61f244f29c529p-7, 0x1.567c45cac6955p-7, 0x1.4b59a82c8d2f5p-7, 0x1.4088776d2625fp-7, 0x1.3606c72d1d8ep-7, 0x1.2bd2b3515ed3p-7, 0x1.21ea5ffb42a3p-7, 0x1.184bf97fa082cp-7, 0x1.0ef5b45cf70ap-7, 0x1.05e5cd30a96p-7, 0x1.fa351156cb0fap-8, 0x1.e92467095a96dp-8, 0x1.d89644db2b82ep-8, 0x1.c887640578e39p-8, 0x1.b8f48d7b0cb91p-8, 0x1.a9da99c943256p-8, 0x1.9b3670f7bab75p-8, 0x1.8d050a66b4113p-8, 0x1.7f436cac3e78ep-8, 0x1.71eead703270ap-8, 0x1.6503f1470d7dbp-8, 0x1.58806b8bcea2ap-8, 0x1.4c615e38c69a7p-8, 0x1.40a419bf845d9p-8, 0x1.3545fcdfe228cp-8, 0x1.2a44747e3c505p-8, 0x1.1f9cfb78f11ddp-8, 0x1.154d1a7d21d6fp-8, 0x1.0b5267dadaa4ap-8, 0x1.01aa87589b724p-8, 0x1.f0a6540cb361p-9, 0x1.de941c200bee8p-9, 0x1.cd19fd1f49726p-9, 0x1.bc33a6bdf4a1fp-9, 0x1.abdce1d1e1607p-9, 0x1.9c118ff549e87p-9, 0x1.8ccdab2875fep-9, 0x1.7e0d4572f96b1p-9, 0x1.6fcc8884a5ecbp-9, 0x1.6207b556311ffp-9, 0x1.54bb23c9cb3c6p-9, 0x1.47e3424b8cb5cp-9, 0x1.3b7c9571e97f1p-9, 0x1.2f83b79e38017p-9, 0x1.23f5589d594a1p-9, 0x1.18ce3d48893p-9, 0x1.0e0b3f268fde3p-9, 0x1.03a94c0d27b81p-9, 0x1.f34acb85a8ca6p-10, 0x1.dff9434252a7ep-10, 0x1.cd58506f194b3p-10, 0x1.bb6269dcfdeabp-10, 0x1.aa122b5715c4p-10, 0x1.996254eb8a8ap-10, 0x1.894dca36079e1p-10, 0x1.79cf91ab90b2bp-10, 0x1.6ae2d3e7e39f2p-10, 0x1.5c82dafc56c17p-10, 0x1.4eab11c08bbf6p-10, 0x1.41570324ab38bp-10, 0x1.3482598579596p-10, 0x1.2828de02434d4p-10, 0x1.1c4677d48cceep-10, 0x1.10d72ba9e7a81p-10, 0x1.05d71aff7c1abp-10, 0x1.f680190cb42dbp-11, 0x1.e2287fdf46673p-11, 0x1.ce996079f1c36p-11, 0x1.bbcbd72f225b5p-11, 0x1.a9b933d927c4p-11, 0x1.985af8aa2e866p-11, 0x1.87aad900b2a08p-11, 0x1.77a2b83ff2999p-11, 0x1.683ca8acd5c47p-11, 0x1.5972ea4f3c035p-11, 0x1.4b3fe9d771047p-11, 0x1.3d9e3f8853c16p-11, 0x1.3088ae25a1b14p-11, 0x1.23fa21e6d2e3cp-11, 0x1.17edaf6e52532p-11, 0x1.0c5e92c5226b7p-11, 0x1.01482e5b1e2fep-11, 0x1.ed4c1416d55cap-12, 0x1.d8e7a44af8201p-12, 0x1.c55aacf507e1fp-12, 0x1.b29d12de6d825p-12, 0x1.a0a6fe24424fep-12, 0x1.8f70d86c48f54p-12, 0x1.7ef34b2329fe6p-12, 0x1.6f273dc2e2982p-12, 0x1.6005d42238c25p-12, 0x1.51886ccc9585fp-12, 0x1.43a89f6274edap-12, 0x1.36603b0245045p-12, 0x1.29a944b9e2b11p-12, 0x1.1d7df6002c6d6p-12, 0x1.11d8bb36fe279p-12, 0x1.06b432356f95ap-12, 0x1.f81651b419d3fp-13, 0x1.e3b1374a8c869p-13, 0x1.d02f68b772226p-13, 0x1.bd8791609cf36p-13, 0x1.abb0b1ecb4dcfp-13, 0x1.9aa21db65ec4bp-13, 0x1.8a53784ed9c1p-13, 0x1.7abcb30fa4277p-13, 0x1.6bd60aba848dp-13, 0x1.5d98052907a3ap-13, 0x1.4ffb6f098c901p-13, 0x1.42f959aaf9a7p-13, 0x1.368b18d62e793p-13, 0x1.2aaa40b59ac4cp-13, 0x1.1f50a3c9dbdd8p-13, 0x1.147850ec00e03p-13, 0x1.0a1b915d35bdcp-13, 0x1.0034e6e2ae94cp-13, 0x1.ed7e13dd4fd69p-14, 0x1.db69cfab89e1bp-14, 0x1.ca2342213f4a8p-14, 0x1.b9a10f12e18bfp-14, 0x1.a9da39ea48bcep-14, 0x1.9ac62270f8f71p-14, 0x1.8c5c81b0829b2p-14, 0x1.7e9566e8d6599p-14, 0x1.7169349cc44fep-14, 0x1.64d09db32bbd4p-14, 0x1.58c4a2ae1b109p-14, 0x1.4d3e8ef4d0ddap-14, 0x1.4237f6333a6b3p-14, 0x1.37aab1cbd2891p-14, 0x1.2d90de5d1c4a3p-14, 0x1.23e4d959ab3dap-14, 0x1.1aa13eb26844fp-14, 0x1.11c0e692ab148p-14, 0x1.093ee32d8a355p-14, 0x1.01167e9cb7189p-14, 0x1.f286719dad8dp-15, 0x1.e3818b0f0e1a9p-15, 0x1.d51614dbc6052p-15, 0x1.c73c3a561d53p-15, 0x1.b9ec832f3dbfep-15, 0x1.ad1fcfef748a3p-15, 0x1.a0cf568ad62d7p-15, 0x1.94f49f11fa2ddp-15, 0x1.8989807ccc1bep-15, 0x1.7e881d91f6019p-15, 0x1.73eae1e590e3ap-15, 0x1.69ac7ef23f267p-15, 0x1.5fc7e94abc64p-15, 0x1.563855e1d95dcp-15, 0x1.4cf9376bc6a12p-15, 0x1.44063bd3741f6p-15, 0x1.3b5b49c72479cp-15, 0x1.32f47e5a81dep-15, 0x1.2ace2abd2b45fp-15, 0x1.22e4d202bab08p-15, 0x1.1b352703d4e1p-15, 0x1.13bc0a4d62b22p-15, 0x1.0c768823c1186p-15, 0x1.0561d6989a336p-15, 0x1.fcf6a7625ae7fp-16, 0x1.ef81073c4b44bp-16, 0x1.e25e1e05aa515p-16, 0x1.d589829c7bb2ap-16, 0x1.c8ff0e43cefc3p-16, 0x1.bcbad98f0c263p-16, 0x1.b0b9396e80e52p-16, 0x1.a4f6bc53aaa06p-16, 0x1.9970277329d57p-16, 0x1.8e227420c8e69p-16, 0x1.830acd459c17p-16, 0x1.78268ced6b92fp-16, 0x1.6d7339ef9d7e4p-16, 0x1.62ee85ac30478p-16, 0x1.589649e118c4dp-16, 0x1.4e6886953c2dep-16, 0x1.44636018b313fp-16, 0x1.3a851d199e52fp-16, 0x1.30cc24cd31053p-16, 0x1.2736fd2abee03p-16, 0x1.1dc4493b5a5f8p-16, 0x1.1472c77abee01p-16, 0x1.0b4150488a78ap-16, 0x1.022ed46baeaafp-16, 0x1.f274b74b38c1fp-17, 0x1.e0c606aa6a9bfp-17, 0x1.cf4ffa51e97bcp-17, 0x1.be111bbf7b1a8p-17, 0x1.ad08182f818bbp-17, 0x1.9c33be568c396p-17, 0x1.8b92fc3481cbcp-17, 0x1.7b24dd01e05bfp-17, 0x1.6ae88735e54fbp-17, 0x1.5add3aa0e3bbfp-17, 0x1.4b024ea469647p-17, 0x1.3b57307b07ae6p-17, 0x1.2bdb6194ef1cp-17, 0x1.1c8e760f6c47ep-17, 0x1.0d70133a8f645p-17, 0x1.fcffdc636a69dp-18, 0x1.df7b950c3b0a1p-18, 0x1.c252f200fdfc9p-18, 0x1.a585acd7ca14cp-18, 0x1.891394ea55422p-18, 0x1.6cfc8d2d35085p-18, 0x1.51408a2d757e6p-18, 0x1.35df902800db3p-18, 0x1.1ad9b132ade11p-18, 0x1.002f0b8d5607fp-18, 0x1.cbbf900a5a0b7p-19, 0x1.97d830df2bf38p-19, 0x1.64a86c80cfcf6p-19, 0x1.3230c264cd307p-19, 0x1.0071bc0a608f7p-19, 0x1.9ed7d54db7557p-20, 0x1.3e3fc9ddca8a4p-20, 0x1.be39142bafca7p-21, 0x1.02de9ab5c0402p-21, 0x1.29ca54cadfc46p-23, -0x1.ac2258e4b77p-23, -0x1.1d908ed605204p-21, -0x1.cd230f8728136p-21, -0x1.3cdef5dadb0cp-20, -0x1.91af8a18eb1fp-20, -0x1.e5024dd433a88p-20, -0x1.1b6b2e9d43879p-19, -0x1.439574a714736p-19, -0x1.6aff9cb937debp-19, -0x1.91a9567fd38d3p-19, -0x1.b7925e3c433fbp-19, -0x1.dcba7d727fa3ep-19, -0x1.0090c5b329599p-18, -0x1.1263b6c690214p-18, -0x1.23d60c00d4a3fp-18, -0x1.34e7c6e48957p-18, -0x1.4598f096e8413p-18, -0x1.55e999f81dd67p-18, -0x1.65d9dbbbee9eap-18, -0x1.7569d67b0ed22p-18, -0x1.8499b2be42a51p-18, -0x1.9369a106ed1dep-18, -0x1.a1d9d9cb93255p-18, -0x1.afea9d7d9c183p-18, -0x1.bd9c3476f2b92p-18, -0x1.caeeeef544482p-18, -0x1.d7e32508d7971p-18, -0x1.e479367e91eabp-18, -0x1.f0b18ad60305bp-18, -0x1.fc8c91159b041p-18, -0x1.04055fdd88e4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.eee8a510eap+0, -0x1.e6803145840acp+0, -0x1.ddfea5f2ad6aap+0, -0x1.d56983d3e4601p+0, -0x1.ccc5e25f5c6cp+0, -0x1.c41893f4e9244p+0, -0x1.bb66144141aeap+0, -0x1.b2b28010e927cp+0, -0x1.aa01ab25ca408p+0, -0x1.a1572104d42a1p+0, -0x1.98b6205982e9dp+0, -0x1.9021a2bf4bae3p+0, -0x1.879c612a98a25p+0, -0x1.7f28d232ac252p+0, -0x1.76c92d2e667d2p+0, -0x1.6e7f7266f3e85p+0, -0x1.664d7146d4682p+0, -0x1.5e34ca90e8fa8p+0, -0x1.5636f12daa43ep+0, -0x1.4e552b5249807p+0, -0x1.469094844530cp+0, -0x1.3eea1bfc59c4bp+0, -0x1.3762958f221bcp+0, -0x1.2ffab83b720cfp+0, -0x1.28b31a12f54c2p+0, -0x1.218c363306ac6p+0, -0x1.1a866e9b80968p+0, -0x1.13a20d504d02fp+0, -0x1.0cdf459db9feep+0, -0x1.063e3619ac1e6p+0, -0x1.ff7dd620ad4f8p-1, -0x1.f2c2c10e8462dp-1, -0x1.e64b06cc174d3p-1, -0x1.da1664350ab0ep-1, -0x1.ce247acf6518p-1, -0x1.c274d37f8859ep-1, -0x1.b706e1efbeaf4p-1, -0x1.abda07ab26bap-1, -0x1.a0ed962e2c7cfp-1, -0x1.9640cfed25759p-1, -0x1.8bd2e8ecff25cp-1, -0x1.81a307a70a89p-1, -0x1.77b0469ca6fffp-1, -0x1.6df9b68408d8p-1, -0x1.647e609e8a4d5p-1, -0x1.5b3d48b645eap-1, -0x1.52356e6d68b2ap-1, -0x1.4965cdd535db1p-1, -0x1.40cd5f87b3379p-1, -0x1.386b18a2a25e7p-1, -0x1.303deafc39619p-1, -0x1.2844c5c34ee4ep-1, -0x1.207e9689675dap-1, -0x1.18ea4a8ab5e53p-1, -0x1.1186cff45a07p-1, -0x1.0a5316ee9e09ap-1, -0x1.034e1248a6cf5p-1, -0x1.f8ed6f829478ap-2, -0x1.eb9800058533dp-2, -0x1.de99ccebf62edp-2, -0x1.d1f0d229441acp-2, -0x1.c59b10b271d86p-2, -0x1.b9968ebcadd6ep-2, -0x1.ade1547588c5p-2, -0x1.a279717c190b7p-2, -0x1.975d0a181831bp-2, -0x1.8c8a443091337p-2, -0x1.81ff4e48d42a7p-2, -0x1.77ba5fbe88023p-2, -0x1.6db9b8f057ca3p-2, -0x1.63fba34d648e3p-2, -0x1.5a7e71521ac6ap-2, -0x1.51407e799f0b8p-2, -0x1.48402f2b6c9b8p-2, -0x1.3f7bf0ab23c36p-2, -0x1.36f2390dd7a42p-2, -0x1.2ea187351335p-2, -0x1.268862cd7abd1p-2, -0x1.1ea55c4d5bb57p-2, -0x1.16f70cef5ab61p-2, -0x1.0f7c16a60cf34p-2, -0x1.08332406c9e38p-2, -0x1.011ae82b9563ep-2, -0x1.f4643d1ae2f6ap-3, -0x1.e6ef15b2d91e3p-3, -0x1.d9d3f18613b2cp-3, -0x1.cd1077ad01112p-3, -0x1.c0a25e99228p-3, -0x1.b4876bc1c7bcp-3, -0x1.a8bd7355e0566p-3, -0x1.9d4257f1b9976p-3, -0x1.92140a5681605p-3, -0x1.873089216cb11p-3, -0x1.7c95e080b78c2p-3, -0x1.724229e569232p-3, -0x1.68338bb1bd846p-3, -0x1.5e6838e4e210ep-3, -0x1.54de70c533516p-3, -0x1.4b947e8a9d19p-3, -0x1.4288b90a8f471p-3, -0x1.39b98266d2c44p-3, -0x1.312547c010f5bp-3, -0x1.28ca80ec675ep-3, -0x1.20a7b031d9ae9p-3, -0x1.18bb6204399ddp-3, -0x1.11042cc5a7b91p-3, -0x1.0980b088e5867p-3, -0x1.022f96d4a1768p-3, -0x1.f61f24cdf47f3p-4, -0x1.e83ebdf18e94fp-4, -0x1.dabb8200a701bp-4, -0x1.cd930ae70c307p-4, -0x1.c0c30313455ffp-4, -0x1.b44924f9e19d6p-4, -0x1.a8233a9996554p-4, -0x1.9c4f1d011af98p-4, -0x1.90cab3d7c6fb1p-4, -0x1.8593f4e9f728p-4, -0x1.7aa8e3b9d64d7p-4, -0x1.700791152a131p-4, -0x1.65ae1ab064a2bp-4, -0x1.5b9aaac700bb3p-4, -0x1.51cb77c0fe7e6p-4, -0x1.483ec3dd1c85ep-4, -0x1.3ef2dcdf4a897p-4, -0x1.35e61bc2bed25p-4, -0x1.2d16e46f0f1ap-4, -0x1.2483a56faf602p-4, -0x1.1c2ad7ad5402ap-4, -0x1.140afe28be0ecp-4, -0x1.0c22a5b6aa318p-4, -0x1.047064bca0d69p-4, -0x1.f9e5b5dd3b8fcp-5, -0x1.eb51621b13008p-5, -0x1.dd21314d4ca3fp-5, -0x1.cf5297a825f62p-5, -0x1.c1e319fd2c661p-5, -0x1.b4d04d41cbb7dp-5, -0x1.a817d61932546p-5, -0x1.9bb76861da557p-5, -0x1.8facc6c6f26acp-5, -0x1.83f5c255cda61p-5, -0x1.78903a1762f9ep-5, -0x1.6d7a1aadd2912p-5, -0x1.62b15df5d4d98p-5, -0x1.58340aabe2591p-5, -0x1.4e003414de795p-5, -0x1.4413ea6b9b399p-5, -0x1.3a6d7775a378p-5, -0x1.310b02e4dc4b4p-5, -0x1.27eacf0a62b13p-5, -0x1.1f0b29372a9b8p-5, -0x1.166a6972e72fp-5, -0x1.0e06f23534bdp-5, -0x1.05df3020ec306p-5, -0x1.fbe3338315a1fp-6, -0x1.ec795e95311b7p-6, -0x1.dd7df4b1ec91bp-6, -0x1.ceee1b6c06843p-6, -0x1.c0c70a390ea78p-6, -0x1.b30609fe9c9cep-6, -0x1.a5a874a2cedd3p-6, -0x1.98abb49ff7cfp-6, -0x1.8c0d449b50ea9p-6, -0x1.7fcaaefeace35p-6, -0x1.73e18d9502219p-6, -0x1.684f8929bf7b6p-6, -0x1.5d12592acb804p-6, -0x1.5227c34d2da48p-6, -0x1.478d9b342dee5p-6, -0x1.3d41c21af4488p-6, -0x1.33422680839a1p-6, -0x1.298cc3d5ffbccp-6, -0x1.201fa22f2b549p-6, -0x1.16f8d5f5091eep-6, -0x1.0e167f9a92a6fp-6, -0x1.0576cb536ff73p-6, -0x1.fa2fe1992de4ap-7, -0x1.e9f065cda06fap-7, -0x1.da2bbee60973ep-7, -0x1.cade9de092eddp-7, -0x1.bc05c89739559p-7, -0x1.ad9e1942872d7p-7, -0x1.9fa47dff742c6p-7, -0x1.9215f8585b5adp-7, -0x1.84ef9cd0e3897p-7, -0x1.782e9274cd782p-7, -0x1.6bd012698a1dep-7, -0x1.5fd1678289985p-7, -0x1.542fedd82da48p-7, -0x1.48e9126147b59p-7, -0x1.3dfa528f1a5acp-7, -0x1.33613bebbd72dp-7, -0x1.291b6bbadae5bp-7, -0x1.1f268e9cb51e6p-7, -0x1.158060335d3bap-7, -0x1.0c26aaca0a9b7p-7, -0x1.031746fe8bbd7p-7, -0x1.f4a036d966f8dp-8, -0x1.e39e38b772ad3p-8, -0x1.d32496db04232p-8, -0x1.c32f6e9f707ap-8, -0x1.b3baf6dd5fdf8p-8, -0x1.a4c37f54084dbp-8, -0x1.96457015c2814p-8, -0x1.883d48f7e572fp-8, -0x1.7aa7a105cd4f6p-8, -0x1.6d8125f6fc30fp-8, -0x1.60c69ba83a26dp-8, -0x1.5474db97a8b6fp-8, -0x1.4888d463b2c5p-8, -0x1.3cff894cc13b6p-8, -0x1.31d611b9b1ebfp-8, -0x1.270998bef0db3p-8, -0x1.1c975ca830045p-8, -0x1.127cae849f78ap-8, -0x1.08b6f1b5a8aa3p-8, -0x1.fe873700388dep-9, -0x1.ec40653f5948ap-9, -0x1.da949db983eb2p-9, -0x1.c97f314936b61p-9, -0x1.b8fb91473846p-9, -0x1.a9054ec388c88p-9, -0x1.999819c293efdp-9, -0x1.8aafc07e9a13dp-9, -0x1.7c482ead0ab0cp-9, -0x1.6e5d6cc7ebdb2p-9, -0x1.60eb9f5b26ae8p-9, -0x1.53ef065596623p-9, -0x1.4763fc5ddb22ep-9, -0x1.3b46f62ad63b8p-9, -0x1.2f9481dfb0986p-9, -0x1.2449466b6c338p-9, -0x1.196202ebdcf3p-9, -0x1.0edb8e140aaacp-9, -0x1.04b2d595ce168p-9, -0x1.f5c9bb1d77e4p-10, -0x1.e2dd7ff067e94p-10, -0x1.d09b58350a1ecp-10, -0x1.befdcc06591ap-10, -0x1.adff8bfc0a987p-10, -0x1.9d9b7022ec8d9p-10, -0x1.8dcc76fad5d5bp-10, -0x1.7e8dc47a56754p-10, -0x1.6fdaa11812011p-10, -0x1.61ae78d942b53p-10, -0x1.5404da65cf0edp-10, -0x1.46d976217852p-10, -0x1.3a281d4a43c1p-10, -0x1.2decc11bbdb17p-10, -0x1.222371f789579p-10, -0x1.16c85e9262da1p-10, -0x1.0bd7d326284d5p-10, -0x1.014e38a8776b8p-10, -0x1.ee50280bac7b8p-11, -0x1.dac40ac3062b8p-11, -0x1.c7f18eb2e8ff8p-11, -0x1.b5d25c9db4b3dp-11, -0x1.a4604f658dcafp-11, -0x1.939572ae289edp-11, -0x1.836c01868ded3p-11, -0x1.73de651b100b1p-11, -0x1.64e7336f0a832p-11, -0x1.56812e1e5c225p-11, -0x1.48a74126652edp-11, -0x1.3b5481b683ed6p-11, -0x1.2e842d07c2ac9p-11, -0x1.2231a73bb7c87p-11, -0x1.16587a4264509p-11, -0x1.0af454c6d15b8p-11, -0x1.000109228e092p-11, -0x1.eaf518af41146p-12, -0x1.d6b9ea223854p-12, -0x1.c348f5538f78fp-12, -0x1.b09ae8725402cp-12, -0x1.9ea8af4d1573p-12, -0x1.8d6b718444987p-12, -0x1.7cdc90c7f7622p-12, -0x1.6cf5a7204b85bp-12, -0x1.5db08542b74a2p-12, -0x1.4f0730f0d05c8p-12, -0x1.40f3e362779fcp-12, -0x1.337107ba6a295p-12, -0x1.26793985127dcp-12, -0x1.1a07434184e1dp-12, -0x1.0e161cf43a366p-12, -0x1.02a0eac3822b7p-12, -0x1.ef45f73ab93ecp-13, -0x1.da2f8fcd1a43p-13, -0x1.c5f5e065ac424p-13, -0x1.b290780b7b6aap-13, -0x1.9ff7313885585p-13, -0x1.8e222f7daf49bp-13, -0x1.7d09dd375338fp-13, -0x1.6ca6e951cba19p-13, -0x1.5cf2451e4b686p-13, -0x1.4de5223608987p-13, -0x1.3f78f06d7feadp-13, -0x1.31a75bd5e1b48p-13, -0x1.246a4acce3ac7p-13, -0x1.17bbdc1ac17fp-13, -0x1.0b96651db388fp-13, -0x1.ffe8e0058c38p-14, -0x1.e9a174177cde3p-14, -0x1.d44c63c3d265cp-14, -0x1.bfdfebe9cbce5p-14, -0x1.ac52a5cb976e5p-14, -0x1.999b83fcfb6aap-14, -0x1.87b1cf66db16cp-14, -0x1.768d246396a85p-14, -0x1.66256fefa7515p-14, -0x1.5672ecef74ac9p-14, -0x1.476e218d5c991p-14, -0x1.390fdca62c2d1p-14, -0x1.2b51334e6eaa3p-14, -0x1.1e2c4ce363613p-14, -0x1.119980c7156f5p-14, -0x1.05931744ee065p-14, -0x1.f4264ddc8ad71p-15, -0x1.de28027091d46p-15, -0x1.c92060d3ce7d1p-15, -0x1.b504eb38e94eep-15, -0x1.a1cb8d960ecc7p-15, -0x1.8f6a99e2624c7p-15, -0x1.7dd8c4762d68bp-15, -0x1.6d0d20826729fp-15, -0x1.5cff1ca7b95e2p-15, -0x1.4da67fa9966e3p-15, -0x1.3efb653b2e61bp-15, -0x1.30f63aeab5ec6p-15, -0x1.238fbd1c51ba7p-15, -0x1.16c0f42b7b495p-15, -0x1.0a83319a1532p-15, -0x1.fda01ab6a3f61p-16, -0x1.e742c6694fd1ep-16, -0x1.d1e2a06a301cp-16, -0x1.bd746082668cfp-16, -0x1.a9ed376d9fde8p-16, -0x1.9742ca3fef879p-16, -0x1.856b2dfd96e27p-16, -0x1.745ce351c6fb4p-16, -0x1.640ed270191c5p-16, -0x1.547847150373dp-16, -0x1.4590ecae64e32p-16, -0x1.3750ca9fcca44p-16, -0x1.29b040ad4c0fp-16, -0x1.1ca803846adabp-16, -0x1.103119622083ap-16, -0x1.0444d6da2cd5dp-16, -0x1.f1b9b770bb637p-17, -0x1.dbe61ffe2733ap-17, -0x1.c703420c10197p-17, -0x1.b305fd4fde251p-17, -0x1.9fe3b12b09b23p-17, -0x1.8d9237772f316p-17, -0x1.7c07df83bfd13p-17, -0x1.6b3b694676762p-17, -0x1.5b2400b0785bbp-17, -0x1.4bb9393799f33p-17, -0x1.3cf30987360b4p-17, -0x1.2ec9c752a0caap-17, -0x1.21362362bd887p-17, -0x1.143125a5ab74ap-17, -0x1.07b4299ddf376p-17, -0x1.f771b55e9287ep-18, -0x1.e0726185d1781p-18, -0x1.ca5ed9ed8c184p-18, -0x1.b52c2ce390296p-18, -0x1.a0cfeead7f036p-18, -0x1.8d4033aa5d2aep-18, -0x1.7a738ab7e3083p-18, -0x1.6860f7ad4470bp-18, -0x1.56ffee49dd79p-18, -0x1.46484d1e972fbp-18, -0x1.363258c06ae47p-18, -0x1.26b6b7414abf8p-18, -0x1.17ce6ba1c7434p-18, -0x1.0972d1a892bc8p-18, -0x1.f73b338ca4615p-19, -0x1.dc918a5b8f23cp-19, -0x1.c2dd44250de0ap-19, -0x1.aa13901f05fafp-19, -0x1.922a2967df08dp-19, -0x1.7b175065337fbp-19, -0x1.64d1c4735d819p-19, -0x1.4f50bdc4bd2c8p-19, -0x1.3a8be7b00f1dp-19, -0x1.267b5af0a238fp-19, -0x1.1317986e3a64ap-19, -0x1.00598419f2b6bp-19, -0x1.dc74c01613df2p-20, -0x1.b9678fa3079dep-20, -0x1.977f57fa875c3p-20, -0x1.76b09ba601fccp-20, -0x1.56f0768bfc04ep-20, -0x1.383495ed722b6p-20, -0x1.1a73311030b32p-20, -0x1.fb46040416cb1p-21, -0x1.c3767e1d18bdbp-21, -0x1.8d6727beb1e1cp-21, -0x1.590836f318dap-21, -0x1.264ab4c8408bp-21, -0x1.ea40e2fe02235p-22, -0x1.8af7f4db9b376p-22, -0x1.2ea11ef5cf92bp-22, -0x1.aa48636da7b23p-23, -0x1.f9a8f5185a041p-24, -0x1.52ebf4f565159p-25, 0x1.38b5881eccb8p-25, 0x1.d817b0d617968p-24, 0x1.8505a13e9ed7p-23, 0x1.0c9f0d95eea93p-22, 0x1.546b72042906fp-22, 0x1.99f7f862738c4p-22, 0x1.dd53d4f3b040cp-22, 0x1.0f46c098525bbp-21, 0x1.2ed962dc411f6p-21, 0x1.4d686308dad59p-21, 0x1.6afa053a7100ap-21, 0x1.879444ac77f2dp-21, 0x1.a33cd844222edp-21, 0x1.bdf936c19e5cdp-21, 0x1.d7ce9aed81b9cp-21, 0x1.f0c20755b6775p-21, 0x1.046c24f85a9dfp-20, 0x1.100affc3c00a4p-20, 0x1.1b3fcb773dbe8p-20, 0x1.260caa07abb6dp-20, 0x1.3073a9776b79dp-20, 0x1.3a76c4df4ae73p-20, 0x1.4417e62db952cp-20, 0x1.4d58e6fe4dba8p-20, 0x1.563b91ddf8fbfp-20, 0x1.5ec1a34caa293p-20, 0x1.66eccabd6c076p-20, 0x1.6ebeab839283dp-20, 0x1.7638ddb0d0b8bp-20, 0x1.7d5ceee4f11fep-20, 0x1.842c630fd847ap-20, 0x1.8aa8b5275d7cap-20, 0x1.90d357cf69592p-20, 0x1.96adb5f7d7bd5p-20, 0x1.9c39337aec333p-20, 0x1.a1772d73fde7dp-20, 0x1.a668fb07cac56p-20, 0x1.ab0fed9c6ff57p-20, 0x1.af6d517dba383p-20, 0x1.b3826dfd8765dp-20, 0x1.b75085fee7a2dp-20, 0x1.bad8d83bb32a5p-20, 0x1.be1c9f912fe03p-20, 0x1.c11d1349e9c53p-20, 0x1.c3db675c16633p-20, 0x1.c658ccaa2c002p-20, 0x1.c8967120536bp-20, 0x1.ca958006e3bep-20, 0x1.cc572218d2393p-20, 0x1.cddc7dab20168p-20, 0x1.cf26b6d251b11p-20, 0x1.d036ef81d2621p-20, 0x1.d10e479e4d81ap-20, 0x1.d1addd20fe753p-20, 0x1.d216cc24c276cp-20, 0x1.d24a2ee5edeccp-20, 0x1.d2491e0dfa1aep-20, 0x1.d214b0692f037p-20, 0x1.d1adfb270ff19p-20, 0x1.d11611d39c65ep-20, 0x1.d04e065e8bae2p-20, 0x1.cf56e92cbbda8p-20, 0x1.ce31c8c81b56bp-20, 0x1.ccdfb265c1269p-20, 0x1.cb61b1867e7ep-20, 0x1.c9b8d00c12b58p-20, 0x1.c7e61634d5069p-20, 0x1.c5ea8a9797edbp-20, 0x1.c3c7321c298d1p-20, 0x1.c17d0ff6f8ccap-20, 0x1.bf0d259af8188p-20, 0x1.bc7872bb47f5ap-20, 0x1.b9bff53b72a12p-20, 0x1.b6e4a92832c7p-20, 0x1.b3e788ade7506p-20, 0x1.b0c98c16d5359p-20, 0x1.ad8ba99ffde46p-20, 0x1.aa2ed59fda6p-20, 0x1.a6b4025b881ffp-20, 0x1.a31c2004346fep-20, 0x1.9f681cac7f002p-20, 0x1.9b98e44ef7421p-20, 0x1.97af607f3afc2p-20, 0x1.93ac78bd1b86fp-20, 0x1.8f91124b5abbap-20, 0x1.8b5e0ffd7e418p-20, 0x1.871452546c107p-20, 0x1.82b4b76b04cfp-20, 0x1.7e401adb8e203p-20, 0x1.79b755fbb3032p-20, 0x1.751b3f6b21df3p-20, 0x1.706cab512d186p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6c6b506ebcda1p-2, -0x1.4bda3a39330d4p-2, -0x1.295aa0c32c759p-2, -0x1.0547e0b88feb8p-2, -0x1.bfee333bdc61p-3, -0x1.736dff372e45bp-3, -0x1.25a01c6565362p-3, -0x1.ae1289f86fdd9p-4, -0x1.1043e6922dc8bp-4, -0x1.cab8b65918642p-6, 0x1.4f513994dc9dfp-7, 0x1.89aa74d4771abp-5, 0x1.5d7724cbfcc44p-4, 0x1.f346e30f11276p-4, 0x1.42e68a38a11c8p-3, 0x1.8a515213d1e1p-3, 0x1.cfb7aa2b753e8p-3, 0x1.097a17350d1b8p-2, 0x1.29f3d5dc89ce5p-2, 0x1.493c5c15b9793p-2, 0x1.6749aa3a9a346p-2, 0x1.841441dee60eep-2, 0x1.9f97560e01691p-2, 0x1.b9cf4a1f34feep-2, 0x1.d2ba8b5bc1e9bp-2, 0x1.ea5918fecaf28p-2, 0x1.00562b70af562p-1, 0x1.0adb711a96799p-1, 0x1.14be35849ee31p-1, 0x1.1e00ca475f6a5p-1, 0x1.26a5ece275a47p-1, 0x1.2eb0b8e949b0dp-1, 0x1.362498fba2c92p-1, 0x1.3d0537e32e415p-1, 0x1.4356743285cf3p-1, 0x1.491c579a6c3b2p-1, 0x1.4e5b11199d36cp-1, 0x1.5316efeda6888p-1, 0x1.57545d75cf96ap-1, 0x1.5b17d58803cd5p-1, 0x1.5e65de078844p-1, 0x1.6142ff21ac3bfp-1, 0x1.63b3bd4c13d08p-1, 0x1.65bc95530550fp-1, 0x1.6761f9f47de81p-1, 0x1.68a8520fcb601p-1, 0x1.6993f67b594fdp-1, 0x1.6a292f028789fp-1, 0x1.6a6c2ea5e85d4p-1, 0x1.6a610fb3c1eecp-1, 0x1.6a0bd07cc29cep-1, 0x1.6970514064f2cp-1, 0x1.6892538a021f3p-1, 0x1.67757aca45167p-1, 0x1.661d4daa421d3p-1, 0x1.648d377ac53ccp-1, 0x1.62c8893941fdep-1, 0x1.60d279db6dac1p-1, 0x1.5eae25d506c0ap-1, 0x1.5c5e8e05c14f2p-1, 0x1.59e69662f0b07p-1, 0x1.574904bc17db4p-1, 0x1.54887fec6c9c9p-1, 0x1.51a82c5d580c8p-1, 0x1.4ea936553bd47p-1, 0x1.4b8e78ea08c69p-1, 0x1.485a25168d018p-1, 0x1.450e52d5596b5p-1, 0x1.41ad025d8588ap-1, 0x1.3e381d2d24f7fp-1, 0x1.3ab176d940a7fp-1, 0x1.371acda754876p-1, 0x1.3375cafd56f5ep-1, 0x1.2fc403ba08ec7p-1, 0x1.2c06f887cd974p-1, 0x1.2840163987f98p-1, 0x1.2470b63c40aa3p-1, 0x1.209a1f22eb748p-1, 0x1.1cbd854cb0b2p-1, 0x1.18dc0ba237302p-1, 0x1.14f6c4640d9ep-1, 0x1.110eb203427adp-1, 0x1.0d24c7fd6a874p-1, 0x1.0939ebb634edbp-1, 0x1.054ef549ee48bp-1, 0x1.0164b05594816p-1, 0x1.faf7b96451d1ep-2, 0x1.f32a5e43794a6p-2, 0x1.eb62a3da81689p-2, 0x1.e3a1cae544b15p-2, 0x1.dbe9014656b1ap-2, 0x1.d43962e5628d3p-2, 0x1.cc93fa717804bp-2, 0x1.c4f9c20ade972p-2, 0x1.bd6ba3d939cb9p-2, 0x1.b5ea7a93907cp-2, 0x1.ae7712001661ep-2, 0x1.a71227714e93ep-2, 0x1.9fbc6a45589bep-2, 0x1.98767c6af0616p-2, 0x1.9140f2ee4477cp-2, 0x1.8a1c568e3ef1ep-2, 0x1.83092459905d3p-2, 0x1.7c07ce51b0dd2p-2, 0x1.7518bc1150008p-2, 0x1.6e3c4b73410e4p-2, 0x1.6772d136ea7cp-2, 0x1.60bc999f545ccp-2, 0x1.5a19e90a69a95p-2, 0x1.538afc7e6b204p-2, 0x1.4d100a2c2e2f1p-2, 0x1.46a941e555391p-2, 0x1.4056cd8639fcfp-2, 0x1.3a18d153cf258p-2, 0x1.33ef6c4e21772p-2, 0x1.2ddab87891a3fp-2, 0x1.27dacb190925cp-2, 0x1.21efb4efa5ac6p-2, 0x1.1c1982685f07dp-2, 0x1.16583bc81e44ep-2, 0x1.10abe5569d79ep-2, 0x1.0b147f86417bep-2, 0x1.0592071ad4631p-2, 0x1.0024754fd59fep-2, 0x1.f5977ffda5b8dp-3, 0x1.eb0fb38c03083p-3, 0x1.e0b1645e47e2bp-3, 0x1.d67c6bad3df74p-3, 0x1.cc709d252452fp-3, 0x1.c28dc7335e76cp-3, 0x1.b8d3b3532376cp-3, 0x1.af422658bc8a7p-3, 0x1.a5d8e0badc4f5p-3, 0x1.9c979ed9d9f72p-3, 0x1.937e194484bc3p-3, 0x1.8a8c04fa850d5p-3, 0x1.81c113ac3b9c7p-3, 0x1.791cf3f813c21p-3, 0x1.709f51a56397ep-3, 0x1.6847d5dcd0ffdp-3, 0x1.6016275e4ef17p-3, 0x1.5809eab4a95f9p-3, 0x1.5022c266af8d2p-3, 0x1.48604f25e18abp-3, 0x1.40c22ffab2762p-3, 0x1.3948026e40b1ep-3, 0x1.31f162b191461p-3, 0x1.2abd8e30783dbp-3, 0x1.23acb384c0d7fp-3, 0x1.1cbe383b9785fp-3, 0x1.15f1b50dc9e8ap-3, 0x1.0f46c1dcac73p-3, 0x1.08bcf5c9d6c1ep-3, 0x1.0253e74ddffb3p-3, 0x1.f816589c34abep-4, 0x1.ebc4b4632306ep-4, 0x1.dfb20bea7bd17p-4, 0x1.d3dd887f368afp-4, 0x1.c84652e735bdp-4, 0x1.bceb9386171ddp-4, 0x1.b1cc7280ebfb1p-4, 0x1.a6e817e0d82bbp-4, 0x1.9c3dabb4b56fap-4, 0x1.91cc56319a58dp-4, 0x1.87933fd25a8d5p-4, 0x1.7d919175e9b0ap-4, 0x1.73c6747ca7a4dp-4, 0x1.6a3112e489d17p-4, 0x1.60d097641e735p-4, 0x1.57a42d8465e9fp-4, 0x1.4eab01b980c6p-4, 0x1.45e4417a2dd9dp-4, 0x1.3d4f1b561bfdep-4, 0x1.34eabf0b0f881p-4, 0x1.2cb65d98dcb28p-4, 0x1.24b1295440f7bp-4, 0x1.1cda55f89a568p-4, 0x1.153118b889828p-4, 0x1.0db4a84d83edbp-4, 0x1.06643d0661477p-4, 0x1.fe7e21a9d9134p-5, 0x1.f088beb50c95dp-5, 0x1.e2e6cbe7c2a1dp-5, 0x1.d596c787cd25p-5, 0x1.c897337b9c6d6p-5, 0x1.bbe6955cea9b8p-5, 0x1.af83768a03b77p-5, 0x1.a36c6435b49d7p-5, 0x1.979fef7602e2fp-5, 0x1.8c1cad51b78dfp-5, 0x1.80e136ccd48b7p-5, 0x1.75ec28f407e59p-5, 0x1.6b3c24e724cfap-5, 0x1.60cfcfe2b7a66p-5, 0x1.56a5d348bb91dp-5, 0x1.4cbcdca880eb5p-5, 0x1.43139dc5c574fp-5, 0x1.39a8cc9f0ffadp-5, 0x1.307b23734bd88p-5, 0x1.278960c6b10e6p-5, 0x1.1ed24766fa4dep-5, 0x1.16549e6eebce7p-5, 0x1.0e0f314933021p-5, 0x1.0600cfb29b4abp-5, 0x1.fc509b77474e9p-6, 0x1.ed090792e022bp-6, 0x1.de289d2c3eacap-6, 0x1.cfad1e610c42fp-6, 0x1.c19455f6a088fp-6, 0x1.b3dc175724308p-6, 0x1.a6823e8d8c2f9p-6, 0x1.9984b0407ce44p-6, 0x1.8ce159ac1e4dfp-6, 0x1.8096309ae15a3p-6, 0x1.74a1335d4459ap-6, 0x1.690068c0a292dp-6, 0x1.5db1e0050d8a4p-6, 0x1.52b3b0d23f7b8p-6, 0x1.4803fb2bb2f97p-6, 0x1.3da0e763df01ap-6, 0x1.3388a60ea6fdfp-6, 0x1.29b96ff30cc7p-6, 0x1.203185fc2123bp-6, 0x1.16ef312945c43p-6, 0x1.0df0c27dc5a6dp-6, 0x1.053492efd1f9p-6, 0x1.f97206adbe768p-7, 0x1.e8f8f8b2fc351p-7, 0x1.d8fadcb54f18cp-7, 0x1.c974a2cd1cf48p-7, 0x1.ba634a3df6695p-7, 0x1.abc3e14e723f7p-7, 0x1.9d93851f451fap-7, 0x1.8fcf61818bd22p-7, 0x1.8274b0cc79463p-7, 0x1.7580bbb25a4e4p-7, 0x1.68f0d9150f7p-7, 0x1.5cc26dd9f2ee7p-7, 0x1.50f2ecbd5c4fap-7, 0x1.457fd625a0275p-7, 0x1.3a66b7f5c4967p-7, 0x1.2fa52d5fd1ba1p-7, 0x1.2538deb6e018cp-7, 0x1.1b1f8140e47e4p-7, 0x1.1156d70848e5p-7, 0x1.07dcaead5585ap-7, 0x1.fd5dc66ef820dp-8, 0x1.eb96b7cd0ca9dp-8, 0x1.da601807692c7p-8, 0x1.c9b5e565a6031p-8, 0x1.b99435869ce08p-8, 0x1.a9f73502a067ep-8, 0x1.9adb270dcb20dp-8, 0x1.8c3c651a7cdd2p-8, 0x1.7e175e7c09a9p-8, 0x1.70689809afa92p-8, 0x1.632cabc1d9d11p-8, 0x1.5660486dbf7c9p-8, 0x1.4a00314566d49p-8, 0x1.3e093d941b74bp-8, 0x1.3278585d5dd12p-8, 0x1.274a80025897bp-8, 0x1.1c7cc5e7e1aep-8, 0x1.120c4e1d16d71p-8, 0x1.07f64f0294e06p-8, 0x1.fc7021e4b7466p-9, 0x1.e99ddbd0bc8fcp-9, 0x1.d770a2579b30ap-9, 0x1.c5e36df240a13p-9, 0x1.b4f15859bf405p-9, 0x1.a4959bde863a9p-9, 0x1.94cb92c13855fp-9, 0x1.858eb68d3556bp-9, 0x1.76da9f74e5301p-9, 0x1.68ab03afbc8fbp-9, 0x1.5afbb6da1f5a4p-9, 0x1.4dc8a95718188p-9, 0x1.410de7b3f1d6cp-9, 0x1.34c79a0db4774p-9, 0x1.28f20378a5ce4p-9, 0x1.1d898169b0918p-9, 0x1.128a8b21d5b26p-9, 0x1.07f1b11b9b30cp-9, 0x1.fb7738f512928p-10, 0x1.e7ca1cf9677d4p-10, 0x1.d4d5bfdcaaep-10, 0x1.c294013efb563p-10, 0x1.b0feedb7b07a4p-10, 0x1.a010bdc921a37p-10, 0x1.8fc3d4d897fe4p-10, 0x1.8012c02a8283fp-10, 0x1.70f835e2e62fcp-10, 0x1.626f1409fcef6p-10, 0x1.54725f951c139p-10, 0x1.46fd4373ccdc5p-10, 0x1.3a0b0fa11ba1dp-10, 0x1.2d9738391d9a9p-10, 0x1.219d54929d7a1p-10, 0x1.16191e5d020dep-10, 0x1.0b0670c24f50dp-10, 0x1.0061478d49f41p-10, 0x1.ec4b7ca771f23p-11, 0x1.d8a01f496880ep-11, 0x1.c5b92876050c2p-11, 0x1.b38f8466f667p-11, 0x1.a21c588ebf84p-11, 0x1.915902154da28p-11, 0x1.813f145c78a89p-11, 0x1.71c8578c0e2d4p-11, 0x1.62eec725ba862p-11, 0x1.54ac90a0663afp-11, 0x1.46fc120b12aecp-11, 0x1.39d7d8b75872cp-11, 0x1.2d3a9fead3906p-11, 0x1.211f4f9826ae2p-11, 0x1.157e7e940134cp-11, 0x1.0a593cc484a24p-11, 0x1.ff4f23d1703b1p-12, 0x1.eaca186e9c4ep-12, 0x1.d71ac146615bbp-12, 0x1.c438d37b423c8p-12, 0x1.b21c4d3de5b9ep-12, 0x1.a0bd73ab69002p-12, 0x1.9014d0b84dcbdp-12, 0x1.801b31282ea6ap-12, 0x1.70c9a29174da3p-12, 0x1.6219716d2c763p-12, 0x1.54042732f1042p-12, 0x1.468388806c3edp-12, 0x1.3991934c84fbep-12, 0x1.2d287d2594ef6p-12, 0x1.2142b17b16c9p-12, 0x1.15dacff21236ep-12, 0x1.0aebaac456eb7p-12, 0x1.0070452a3e973p-12, 0x1.ecc7a39de2acfp-13, 0x1.d983629d14e11p-13, 0x1.c70ae17d3e3afp-13, 0x1.b555908061f2ep-13, 0x1.a45b33373d067p-13, 0x1.9413ddcb5f232p-13, 0x1.8477f25c1a05ep-13, 0x1.75801e6db649dp-13, 0x1.6725586a1d977p-13, 0x1.5960dd3309828p-13, 0x1.4c2c2dc59876ep-13, 0x1.3f810cee16771p-13, 0x1.33597d0ca1333p-13, 0x1.27afbde97c7p-13, 0x1.1c7e4a9959642p-13, 0x1.11bfd770afde3p-13, 0x1.076f5006ce081p-13, 0x1.fb0faa8cd2425p-14, 0x1.e809771b75003p-14, 0x1.d5c311b821dedp-14, 0x1.c433e61a72f0ep-14, 0x1.b353bc450855p-14, 0x1.a31ab530f69eep-14, 0x1.93814793b37ebp-14, 0x1.84803cbdaef95p-14, 0x1.7610ad90d75d1p-14, 0x1.682bff90659a9p-14, 0x1.5acbe205393edp-14, 0x1.4dea4b3d6b21bp-14, 0x1.418175dc503f2p-14, 0x1.358bde447e24ap-14, 0x1.2a044014f6e3fp-14, 0x1.1ee593bb2805dp-14, 0x1.142b0c18e16f1p-14, 0x1.09d0143da12fbp-14, 0x1.ffa09a670251dp-15, 0x1.ec4f17b9d422fp-15, 0x1.d9a3adccd9ce3p-15, 0x1.c796c990e3f1bp-15, 0x1.b62133b4c3a45p-15, 0x1.a53c0cee5f0bfp-15, 0x1.94e0ca5fcff85p-15, 0x1.850932210009ap-15, 0x1.75af57e3187c6p-15, 0x1.66cd99b481f0ap-15, 0x1.585e9ce04d856p-15, 0x1.4a5d4ae9c46f1p-15, 0x1.3cc4cea2caa46p-15, 0x1.2f90915da9cb1p-15, 0x1.22bc38370eeeep-15, 0x1.1643a17882b5dp-15, 0x1.0a22e215bb274p-15, 0x1.fcac867ab954ep-16, 0x1.e5b48006ff10bp-16, 0x1.cf570640f0444p-16, 0x1.b98dc98d1653dp-16, 0x1.a452d1133e1ecp-16, 0x1.8fa076bb39cfp-16, 0x1.7b71634d5c352p-16, 0x1.67c08aba7625ep-16, 0x1.54892886f83b4p-16, 0x1.41c6bc582c336p-16, 0x1.2f7506a56a273p-16, 0x1.1d90058e14ccep-16, 0x1.0c13f1c4855ecp-16, 0x1.f5fa77488f764p-17, 0x1.d49110bda6666p-17, 0x1.b3e55e8bf660ap-17, 0x1.93f16e6d5bcd5p-17, 0x1.74afa83721963p-17, 0x1.561ac90c646edp-17, 0x1.382dded48004ap-17, 0x1.1ae443d55ff61p-17, 0x1.fc7334fcb88aap-18, 0x1.c45392cccfd29p-18, 0x1.8d61eee1fff0fp-18, 0x1.5797103ec906dp-18, 0x1.22ec30186a0a1p-18, 0x1.deb5e64ba88aep-19, 0x1.79bac6338cdb1p-19, 0x1.16dbd119c1054p-19, 0x1.6c1d148505af6p-20, 0x1.5d246f28e2147p-21, -0x1.5f6d015e1acc9p-25, -0x1.813a338d61272p-21, -0x1.72631c7a07477p-20, -0x1.102e586417191p-19, -0x1.654c156ef7588p-19, -0x1.b8918185e19a5p-19, -0x1.0502796ca48fbp-18, -0x1.2cd6309757de9p-18, -0x1.53c6b685ceb1fp-18, -0x1.79d6b34142ffcp-18, -0x1.9f08a9d67a60bp-18, -0x1.c35efb55ee1e5p-18, -0x1.e6dbe9cb0d5f2p-18, -0x1.04c0cd729b552p-17, -0x1.15a90d4fe1867p-17, -0x1.2627aed2a1067p-17, -0x1.363da1d01763ap-17, -0x1.45ebccb2eb91fp-17, -0x1.55330d805416ep-17, -0x1.64143acd9ad75p-17, -0x1.729024a7c02afp-17, -0x1.80a7956755023p-17, -0x1.8e5b528182e3p-17, -0x1.9bac1d4106b82p-17, -0x1.a89ab379621f1p-17, -0x1.b527d0266717ep-17, -0x1.c1542c0d7e239p-17, -0x1.cd207e458d1cdp-17, -0x1.d88d7cc0af8f5p-17, -0x1.e39bdcc07680dp-17, -0x1.ee4c5346a2113p-17, -0x1.f89f95833fd9cp-17, -0x1.014b2c949a5a2p-16, -0x1.0618aa674bbe6p-16, -0x1.0ab8a01ad279ep-16, -0x1.0f2b6a4b19f2ep-16, -0x1.1371666d7567ap-16, -0x1.178af2f031e98p-16, -0x1.1b786f509e4f7p-16, -0x1.1f3a3c3510373p-16, -0x1.22d0bb7e9c0b8p-16, -0x1.263c505acae1cp-16, -0x1.297d5f517aeap-16, -0x1.2c944e51f1117p-16, -0x1.2f8184bc2db83p-16, -0x1.32456b68c20ddp-16, -0x1.34e06cad5a5b8p-16, -0x1.3752f462e8cc6p-16, -0x1.399d6fe5f33f9p-16, -0x1.3bc04e176b74dp-16, -0x1.3dbbff5bd064p-16, -0x1.3f90f5995360dp-16, -0x1.413fa42e04935p-16, -0x1.42c87ff4e4b95p-16, -0x1.442bff3828bdep-16, -0x1.456a99abb0593p-16, -0x1.4684c864e5c3bp-16, -0x1.477b05d024054p-16, -0x1.484dcda85d027p-16, -0x1.48fd9ceb4205fp-16, -0x1.498af1ccaec73p-16, -0x1.49f64bab9e989p-16, -0x1.4a402b0536df4p-16, -0x1.4a691166fdb1bp-16, -0x1.4a718160a2ef2p-16, -0x1.4a59fe781f6afp-16, -0x1.4a230d14a087ep-16, -0x1.49cd32789b685p-16, -0x1.4958f4acc410dp-16, -0x1.48c6da722ace8p-16, -0x1.48176b33183c9p-16, -0x1.474b2ef2c34bp-16, -0x1.4662ae3beccebp-16, -0x1.455e72150f3f3p-16, -0x1.443f03eef8d5dp-16, -0x1.4304ed92a3d64p-16, -0x1.41b0b913abde1p-16, -0x1.4042f0bffcb6bp-16, -0x1.3ebc1f0f52517p-16, -0x1.3d1cce9706861p-16, -0x1.3b6589f5864f4p-16, -0x1.3996dbc688052p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.83cd8c0939a97p+0, -0x1.74c13f37ba82fp+0, -0x1.673034080d00ep+0, -0x1.5b01515f57bd9p+0, -0x1.501b21ed4c0e5p+0, -0x1.4664595d0d522p+0, -0x1.3dc4334f7a50ep+0, -0x1.3622a0d6c1767p+0, -0x1.2f686dd538658p+0, -0x1.297f60b4a5a3bp+0, -0x1.24525d1e78efep+0, -0x1.1fcd875face0dp+0, -0x1.1bde5041f5cc1p+0, -0x1.1873659d0e99cp+0, -0x1.157c9e40434e5p+0, -0x1.12eaf27c81042p+0, -0x1.10b07fffda085p+0, -0x1.0ec08f379f8d5p+0, -0x1.0d0f919097af9p+0, -0x1.0b93143665393p+0, -0x1.0a41a8bf3b551p+0, -0x1.09132eb37ef54p+0, -0x1.07ff0b3e6b2b6p+0, -0x1.06fead0496ea3p+0, -0x1.060be8dfc8a6bp+0, -0x1.0521483275a0ap+0, -0x1.0439fc8c44e66p+0, -0x1.0351d274620dfp+0, -0x1.026523ce41fabp+0, -0x1.0170caf2bbbafp+0, -0x1.0072170c4f4p+0, -0x1.fecd82f9aa5acp-1, -0x1.fc99c7f68f24ep-1, -0x1.fa45df1dd89e8p-1, -0x1.f7cf4994ba8abp-1, -0x1.f5341a935b595p-1, -0x1.f272ebaea6edcp-1, -0x1.ef8ad0afe507p-1, -0x1.ec7b49e8f4adfp-1, -0x1.e94435523c8b3p-1, -0x1.e5e5bfde6005fp-1, -0x1.e26058b27a458p-1, -0x1.deb4a757f023fp-1, -0x1.dae384f796c79p-1, -0x1.d6edf7c418c35p-1, -0x1.d2d52f44f4dc4p-1, -0x1.ce9a804aa5c7bp-1, -0x1.ca3f5fd6066efp-1, -0x1.c5c55ce8676b3p-1, -0x1.c12e19c27b365p-1, -0x1.bc7b455df8ae1p-1, -0x1.b7ae95dc2ebep-1, -0x1.b2c9c451ff81p-1, -0x1.adce89f3207cp-1, -0x1.a8be9e4c61fd8p-1, -0x1.a39bb6166cf32p-1, -0x1.9e678230fd67cp-1, -0x1.9923ae7baf51ep-1, -0x1.93d1e0714c22cp-1, -0x1.8e73b59456645p-1, -0x1.890ac1d5bb5d2p-1, -0x1.83988e2627c71p-1, -0x1.7e1e975a1b7e9p-1, -0x1.789e16b1cc327p-1, -0x1.7318e079fadep-1, -0x1.6d901505548f4p-1, -0x1.6804fc4d02511p-1, -0x1.6278d112a63c5p-1, -0x1.5cecc12df3af2p-1, -0x1.5761edcefce6fp-1, -0x1.51d96baa547bcp-1, -0x1.4c54430d31dd6p-1, -0x1.46d36fdf05115p-1, -0x1.4157e19a27541p-1, -0x1.3be27b467af34p-1, -0x1.3674137f639fcp-1, -0x1.310d748b94244p-1, -0x1.2baf5c89af6bfp-1, -0x1.265a7db199a95p-1, -0x1.210f7ea7fb3dfp-1, -0x1.1bcefae037edcp-1, -0x1.16998308bb46cp-1, -0x1.116f9d7ddace3p-1, -0x1.0c51c6c03d8f5p-1, -0x1.074071ec6a8d5p-1, -0x1.023c0931ab3e7p-1, -0x1.fa89dc8d6e3e7p-2, -0x1.f0b6f5b5568a8p-2, -0x1.e7000201980a5p-2, -0x1.dd65972b1ad67p-2, -0x1.d3e83d372c831p-2, -0x1.ca886f1f8d601p-2, -0x1.c1469b67e3f5dp-2, -0x1.b82324a14406p-2, -0x1.af1e61ddf257cp-2, -0x1.a6389f18ba165p-2, -0x1.9d721d93f1179p-2, -0x1.94cb143487441p-2, -0x1.8c43afdd3e048p-2, -0x1.83dc13cd5c0c5p-2, -0x1.7b945a05387a8p-2, -0x1.736c93b1b8fc8p-2, -0x1.6b64c99ec2f3ep-2, -0x1.637cfcaf8f617p-2, -0x1.5bb5265b1ad34p-2, -0x1.540d392a63ffbp-2, -0x1.4c85213605e35p-2, -0x1.451cc4a0c5387p-2, -0x1.3dd4040cecd6ap-2, -0x1.36aabb0ac7c6cp-2, -0x1.2fa0c07efe24bp-2, -0x1.28b5e70020ecap-2, -0x1.21e9fd2b33e34p-2, -0x1.1b3ccdef72bb2p-2, -0x1.14ae20d1ed974p-2, -0x1.0e3dba29d54efp-2, -0x1.07eb5b56873e2p-2, -0x1.01b6c2f0744f9p-2, -0x1.f73f59ebe8bd9p-3, -0x1.eb4ba5ea3286ep-3, -0x1.df91d866acc71p-3, -0x1.d4115ba77f437p-3, -0x1.c8c995f8c1099p-3, -0x1.bdb9e9f60fe7fp-3, -0x1.b2e1b6d36f2f8p-3, -0x1.a84058a577693p-3, -0x1.9dd528a8b12f4p-3, -0x1.939f7d87d3072p-3, -0x1.899eaba0744a5p-3, -0x1.7fd20545d53c5p-3, -0x1.7638db0160d3bp-3, -0x1.6cd27bd09acdfp-3, -0x1.639e356042a44p-3, -0x1.5a9b5444a6fafp-3, -0x1.51c9242f09e12p-3, -0x1.4926f02050cffp-3, -0x1.40b40298fce4p-3, -0x1.386fa5c6ad4a7p-3, -0x1.305923af57dcp-3, -0x1.286fc65a4fa5cp-3, -0x1.20b2d7f750ca9p-3, -0x1.1921a303a97c9p-3, -0x1.11bb726d7e4c7p-3, -0x1.0a7f91b556aaep-3, -0x1.036d4d0dcf4dbp-3, -0x1.f907e2f317f74p-4, -0x1.eb8599ce99305p-4, -0x1.de522783fde4ap-4, -0x1.d16c6d4dfb5cp-4, -0x1.c4d304d8f92a4p-4, -0x1.b88493fd3e077p-4, -0x1.ac7fc32e4cp-4, -0x1.a0c33d9a91f93p-4, -0x1.954db148dc5c1p-4, -0x1.8a1dcf33bcacp-4, -0x1.7f324b630f43cp-4, -0x1.7489dd03bbb84p-4, -0x1.6a233e7dd1a95p-4, -0x1.5ffd2d8919648p-4, -0x1.56166b402f673p-4, -0x1.4c6dbc323d91fp-4, -0x1.4301e8735f6cp-4, -0x1.39d1bbabc369p-4, -0x1.30dc05258fb2ap-4, -0x1.281f97d998026p-4, -0x1.1f9b4a7ae8f17p-4, -0x1.174df7813676ep-4, -0x1.0f367d322cb3ap-4, -0x1.0753bda9b22d6p-4, -0x1.ff493dc22dc9p-5, -0x1.f050156a884eep-5, -0x1.e1b9ddd7cac98p-5, -0x1.d3847a6f361a4p-5, -0x1.c5add6766cedap-5, -0x1.b833e51819aaap-5, -0x1.ab14a166c44d4p-5, -0x1.9e4e0e5def651p-5, -0x1.91de36e18d746p-5, -0x1.85c32dbbd9f4p-5, -0x1.79fb0d99ae9acp-5, -0x1.6e83f9056519bp-5, -0x1.635c1a6059b3ep-5, -0x1.5881a3db23cf2p-5, -0x1.4df2cf6c95ba7p-5, -0x1.43addec79bf16p-5, -0x1.39b11b5012617p-5, -0x1.2ffad60e9822p-5, -0x1.268967a382591p-5, -0x1.1d5b3038fe7aap-5, -0x1.146e9774681cap-5, -0x1.0bc20c66f7aadp-5, -0x1.0354057dc50ccp-5, -0x1.f64600e27bd39p-6, -0x1.e65b04682130cp-6, -0x1.d6e42dc32d416p-6, -0x1.c7dea357ae351p-6, -0x1.b947999230334p-6, -0x1.ab1c52c22d78p-6, -0x1.9d5a1ef3c9972p-6, -0x1.8ffe5bc8efd3dp-6, -0x1.83067451d75c3p-6, -0x1.766fe0e5098f9p-6, -0x1.6a3826f6e1dcap-6, -0x1.5e5cd8f0a57b2p-6, -0x1.52db960728712p-6, -0x1.47b20a1120f86p-6, -0x1.3cdded5d1a7b9p-6, -0x1.325d048727d64p-6, -0x1.282d204e48e17p-6, -0x1.1e4c1d6999d0ap-6, -0x1.14b7e45d5b276p-6, -0x1.0b6e694fb7889p-6, -0x1.026dabdd827d1p-6, -0x1.f3676ddd9b6a7p-7, -0x1.e27d4116f4238p-7, -0x1.d219135f5204dp-7, -0x1.c2373c408600bp-7, -0x1.b2d4287ef6713p-7, -0x1.a3ec59c2a66c1p-7, -0x1.957c66408375ap-7, -0x1.8780f863d0c16p-7, -0x1.79f6ce77dfdadp-7, -0x1.6cdaba5205d22p-7, -0x1.6029a0fbf455ep-7, -0x1.53e07a5e727ffp-7, -0x1.47fc50ec7c5f5p-7, -0x1.3c7a414eedd71p-7, -0x1.31577a109fe7fp-7, -0x1.26913b4b148b8p-7, -0x1.1c24d653c7814p-7, -0x1.120fad6a0fa4ep-7, -0x1.084f3365adcc3p-7, -0x1.fdc1d6cc21446p-8, -0x1.eb84d10484c1bp-8, -0x1.d9e29af35a553p-8, -0x1.c8d698cb0ce4bp-8, -0x1.b85c4cd63ba39p-8, -0x1.a86f56ddf89ccp-8, -0x1.990b739186e36p-8, -0x1.8a2c7bf0047fdp-8, -0x1.7bce64b3b4f27p-8, -0x1.6ded3dbf32f11p-8, -0x1.6085318c36108p-8, -0x1.5392849c6950ep-8, -0x1.471194ebfd45ap-8, -0x1.3afed96630ac1p-8, -0x1.2f56e15b8eb38p-8, -0x1.241653fa43828p-8, -0x1.1939efc84323dp-8, -0x1.0ebe8a1f5e286p-8, -0x1.04a10eab53c14p-8, -0x1.f5bcfdd34f3c3p-9, -0x1.e2e7e3572cf63p-9, -0x1.d0bd2533bb4b9p-9, -0x1.bf37437502359p-9, -0x1.ae50e5f0ea6cbp-9, -0x1.9e04db5a5a305p-9, -0x1.8e4e1858517f7p-9, -0x1.7f27b6a0e09b4p-9, -0x1.708cf417c2c9p-9, -0x1.627931f0dbce8p-9, -0x1.54e7f3d69289fp-9, -0x1.47d4df13f18eap-9, -0x1.3b3bb9c262fefp-9, -0x1.2f1869fb4e91fp-9, -0x1.2366f50d65693p-9, -0x1.18237eb58e34fp-9, -0x1.0d4a485b95ad6p-9, -0x1.02d7b052897cp-9, -0x1.f1906238f0adcp-10, -0x1.de30c1642e2fap-10, -0x1.cb89df9b7443fp-10, -0x1.b99552743dde6p-10, -0x1.a84ce2489fdfbp-10, -0x1.97aa88e2bb471p-10, -0x1.87a8702ec83dp-10, -0x1.7840f0f3f4836p-10, -0x1.696e9194665c9p-10, -0x1.5b2c04d2f5fcap-10, -0x1.4d7428a0a5b12p-10, -0x1.404204eff7fbep-10, -0x1.3390ca8eef6aap-10, -0x1.275bd2074e565p-10, -0x1.1b9e9a85b309bp-10, -0x1.1054c8c5cdf32p-10, -0x1.057a2605d7fedp-10, -0x1.f6153dff1e99p-11, -0x1.e20485ce797aep-11, -0x1.ceba84e103ea2p-11, -0x1.bc2fddb32365dp-11, -0x1.aa5d71f5a8fc1p-11, -0x1.993c60bae980fp-11, -0x1.88c604ad92f65p-11, -0x1.78f3f252a27b4p-11, -0x1.69bff655ceb7fp-11, -0x1.5b2413e197e5cp-11, -0x1.4d1a82ff572d6p-11, -0x1.3f9daf03c98c2p-11, -0x1.32a8350461589p-11, -0x1.2634e2567f4d7p-11, -0x1.1a3eb318c0255p-11, -0x1.0ec0d0c4de29ep-11, -0x1.03b690cb9516ap-11, -0x1.f236e6721ce7cp-12, -0x1.ddd642c5a77c6p-12, -0x1.ca42d93b5d1a1p-12, -0x1.b77499f93028bp-12, -0x1.a563c030fae8dp-12, -0x1.9408cfbd8ca47p-12, -0x1.835c92d2f4764p-12, -0x1.735817bcdbcacp-12, -0x1.63f4aeac6340fp-12, -0x1.552be7973a5eep-12, -0x1.46f7902164816p-12, -0x1.3951b19983306p-12, -0x1.2c322dc15ab02p-12, -0x1.1f9900d3dc23p-12, -0x1.137db32fd6671p-12, -0x1.07db29850153p-12, -0x1.f958f5d582276p-13, -0x1.e3d9de52108bdp-13, -0x1.cf2ffa23d1a69p-13, -0x1.bb5291cab2b26p-13, -0x1.a839458225923p-13, -0x1.95dc0a38dafafp-13, -0x1.8433269e1aa31p-13, -0x1.7337304580873p-13, -0x1.62e108e0b97c2p-13, -0x1.5329db8d430bdp-13, -0x1.440b1a3a8c697p-13, -0x1.357e7b1cf553fp-13, -0x1.277df63b2e91fp-13, -0x1.1a03c30bcc70dp-13, -0x1.0d0a5625d025bp-13, -0x1.008c5f0380868p-13, -0x1.e9098bad944dp-14, -0x1.d1dd52ddad574p-14, -0x1.bb8aba61510fep-14, -0x1.a608ce3658b0ap-14, -0x1.914efbbf38048p-14, -0x1.7d550e14ed1afp-14, -0x1.6a132a6b3b8b2p-14, -0x1.5781cc9dcb29dp-14, -0x1.4599c3d84bbbap-14, -0x1.34542f54b43d6p-14, -0x1.23aa7b3a7030dp-14, -0x1.13965d979f9afp-14, -0x1.0411d3705c139p-14, -0x1.ea2e3bd860b2cp-15, -0x1.cd417f2ed5af3p-15, -0x1.b152f37a6ad5fp-15, -0x1.965893c4b613bp-15, -0x1.7c48ce80eabb8p-15, -0x1.631a80dae0ab7p-15, -0x1.4ac4f219d1febp-15, -0x1.333fcf303b2f7p-15, -0x1.1c832676b3888p-15, -0x1.06876387885fap-15, -0x1.e28a968c6db19p-16, -0x1.b96bf01187fcfp-16, -0x1.91a5abc634e6ep-16, -0x1.6b2b3e33a4bc9p-16, -0x1.45f0b1559731cp-16, -0x1.21ea9e26fd007p-16, -0x1.fe1c4c17bf94dp-17, -0x1.baa1d9a709c57p-17, -0x1.795225932fef8p-17, -0x1.3a1a5e128802dp-17, -0x1.f9d1281f31ffdp-18, -0x1.835761544497dp-18, -0x1.10a6d638be053p-18, -0x1.4340fc55d642ep-19, -0x1.b13635775f68p-21, 0x1.8f13f2f4373c6p-21, 0x1.2d2c5821fe50fp-19, 0x1.f01bb517d89dep-19, 0x1.5661ef5bedbd9p-18, 0x1.b1a9ac4dd85ep-18, 0x1.04fd9f00aa3b1p-17, 0x1.2fb5e4f17b4fbp-17, 0x1.5907bdc1e8e91p-17, 0x1.80fcc8b18e91dp-17, 0x1.a79e34a11ce64p-17, 0x1.ccf4c5bfca108p-17, 0x1.f108db70a425dp-17, 0x1.09f13aba099ddp-16, 0x1.1ac49c8036f84p-16, 0x1.2b023ae637c6ap-16, 0x1.3aad95508ae55p-16, 0x1.49ca04ea34367p-16, 0x1.585abeca73ac2p-16, 0x1.6662d5f5914p-16, 0x1.73e53d512bb82p-16, 0x1.80e4c97cc7fc7p-16, 0x1.8d64328c6cc5fp-16, 0x1.996615c2b1121p-16, 0x1.a4ecf71ad05fp-16, 0x1.affb42da35df3p-16, 0x1.ba934ee09648fp-16, 0x1.c4b75c323512ap-16, 0x1.ce69982b8c1ep-16, 0x1.d7ac1db9c9575p-16, 0x1.e080f68fb4df6p-16, 0x1.e8ea1c3855151p-16, 0x1.f0e97929ce6cdp-16, 0x1.f880e9beadf85p-16, 0x1.ffb23d25a64b3p-16, 0x1.033f9b23fc316p-15, 0x1.0674c64d2b841p-15, 0x1.0979767574e1bp-15, 0x1.0c4e7d0e71763p-15, 0x1.0ef4a6ee1ac78p-15, 0x1.116cbca69c513p-15, 0x1.13b782c70aa4p-15, 0x1.15d5ba3c76facp-15, 0x1.17c82084f51c1p-15, 0x1.198f6ffa3522ep-15, 0x1.1b2c600abb009p-15, 0x1.1c9fa573b7c38p-15, 0x1.1de9f2761cc56p-15, 0x1.1f0bf707b1cadp-15, 0x1.2006610239f0ap-15, 0x1.20d9dc4c2f7c1p-15, 0x1.2187130160afap-15, 0x1.220ead9708194p-15, 0x1.227152fd4e4e9p-15, 0x1.22afa8be1506bp-15, 0x1.22ca53192b462p-15, 0x1.22c1f52045bbdp-15, 0x1.229730c4c42bcp-15, 0x1.224aa700160f3p-15, 0x1.21dcf7cdb1aa9p-15, 0x1.214ec25368d3p-15, 0x1.20a0a4e3b7153p-15, 0x1.1fd33d0e558a9p-15, 0x1.1ee727ac0a627p-15, 0x1.1ddd00e8e5421p-15, 0x1.1cb5644cfe18bp-15, 0x1.1b70ecc303b4dp-15, 0x1.1a1034a1826c6p-15, 0x1.1893d5aad4fb2p-15, 0x1.16fc69140ef6ep-15, 0x1.154a8787ba4adp-15, 0x1.137ec92378da1p-15, 0x1.1199c57ea79ddp-15, 0x1.0f9c13a5af9b9p-15, 0x1.0d864a1b94038p-15, 0x1.0b58fed4db06fp-15, 0x1.0914c73a3d466p-15, 0x1.06ba3823401d2p-15, 0x1.0449e5c8184d7p-15, 0x1.01c463d1902c9p-15, 0x1.fe548a8c6768ep-16, 0x1.f8f83911d7a8p-16, 0x1.f374f6a4cf221p-16, 0x1.edcbe557c82bp-16, 0x1.e7fe25d69776ep-16, 0x1.e20cd74f88608p-16, 0x1.dbf9176ccd402p-16, 0x1.d5c40244d7933p-16, 0x1.cf6eb24bdbe75p-16, 0x1.c8fa40458a5e6p-16, 0x1.c267c335f91e1p-16, 0x1.bbb85053c5501p-16, 0x1.b4ecfaf5368dap-16, 0x1.ae06d48665946p-16, 0x1.a706ec76989e6p-16, 0x1.9fee5029e7ba4p-16, 0x1.98be0ae9c02f1p-16, 0x1.917725dc0258ep-16, 0x1.8a1aa7decf0ep-16, 0x1.82a9959854363p-16, 0x1.7b24f154440bfp-16, 0x1.738dbafa862aap-16, 0x1.6be4f000208c5p-16, 0x1.642b8b5d9c36cp-16, 0x1.5c62857b4fc21p-16, 0x1.548ad4277f911p-16, 0x1.4ca56a8b9f612p-16, 0x1.44b3391d2ab55p-16, 0x1.3cb52d90e6ca6p-16, 0x1.34ac32d0e31a6p-16, 0x1.2c9930f26218fp-16, 0x1.247d0d2e39e16p-16, 0x1.1c58a9c0116e3p-16, 0x1.142ce600a72cap-16, 0x1.0bfa9e43c14c2p-16, 0x1.03c2abd554855p-16, 0x1.f70bc9deae707p-17, 0x1.e68a397616e4bp-17, 0x1.d6024667a0006p-17, 0x1.c5758a6f77a68p-17, 0x1.b4e598ec02ba4p-17, 0x1.a453feced6b03p-17, 0x1.93c2429728413p-17, 0x1.8331e445b3d2ap-17, 0x1.72a45d51f889dp-17, 0x1.621b20a62d8cep-17, 0x1.51979a9025f57p-17, 0x1.411b30bf7ee3fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.92b28ead3308dp-1, 0x1.88d07b16ab53p-1, 0x1.7eabe5801bdbap-1, 0x1.744a9e2f8daefp-1, 0x1.69b26137d0142p-1, 0x1.5ee8d2c16755ep-1, 0x1.53f37bc1baafep-1, 0x1.48d7c7183162fp-1, 0x1.3d9aff09703d6p-1, 0x1.32424b1168e39p-1, 0x1.26d2ae056b043p-1, 0x1.1b51047fe8829p-1, 0x1.0fc203900846fp-1, 0x1.042a37a799443p-1, 0x1.f11c0784a5071p-2, 0x1.d9e341835f182p-2, 0x1.c2b239f20a74p-2, 0x1.ab90b7cb7c72ep-2, 0x1.94862c1fdd1ep-2, 0x1.7d99b21f6001bp-2, 0x1.66d20f67eae85p-2, 0x1.5035b48f699a8p-2, 0x1.39cabde4fd773p-2, 0x1.2396f4638de8ep-2, 0x1.0d9fced098e75p-2, 0x1.efd4e604fa9c5p-3, 0x1.c4f76e936a238p-3, 0x1.9ab047f1b3428p-3, 0x1.7107ea0efa4f8p-3, 0x1.480637986dd8ap-3, 0x1.1fb28194f8029p-3, 0x1.f0271644715a5p-4, 0x1.a25f1a99e212p-4, 0x1.561875ff0dc61p-4, 0x1.0b5d8a0335c8dp-4, 0x1.846f7810c0536p-5, 0x1.eabdf5b1aefdcp-6, 0x1.a6629ddaa0c11p-7, -0x1.ed63e387fd006p-9, -0x1.47c45261791b5p-6, -0x1.258132f96e289p-5, -0x1.a3ab0b7437393p-5, -0x1.0f2c74690c886p-4, -0x1.4ac2bbdb4f05ep-4, -0x1.849665c808322p-4, -0x1.bca6279570ef2p-4, -0x1.f2f15ac2c41cbp-4, -0x1.13bbfaba5f04cp-3, -0x1.2d1d419343428p-3, -0x1.459d0ec061806p-3, -0x1.5d3c32ac0bcf3p-3, -0x1.73fbbdea172d5p-3, -0x1.89dcfde019cacp-3, -0x1.9ee17982a6d5ep-3, -0x1.b30aee27d7dc2p-3, -0x1.c65b4c6f37f96p-3, -0x1.d8d4b53f2a591p-3, -0x1.ea7976d7d7777p-3, -0x1.fb4c09fb85df2p-3, -0x1.05a7879628987p-2, -0x1.0d42a5ff8b0efp-2, -0x1.1478d441b5e06p-2, -0x1.1b4b9660342d4p-2, -0x1.21bc7f2304f02p-2, -0x1.27cd2ee9721dbp-2, -0x1.2d7f5286f5811p-2, -0x1.32d4a229faf3ep-2, -0x1.37cee04c5d33ap-2, -0x1.3c6fd8ad738c2p-2, -0x1.40b95f5589323p-2, -0x1.44ad4fa28e5f1p-2, -0x1.484d8b5ddffc6p-2, -0x1.4b9bf9daf1fbep-2, -0x1.4e9a871eb8baep-2, -0x1.514b230f9e6c8p-2, -0x1.53afc0ade0ebcp-2, -0x1.55ca5554240fp-2, -0x1.579cd800123a7p-2, -0x1.592940a2dfa62p-2, -0x1.5a71877981b9dp-2, -0x1.5b77a46c74ab4p-2, -0x1.5c3d8e76e131ep-2, -0x1.5cc53b14f734dp-2, -0x1.5d109db95ab6p-2, -0x1.5d21a7496dc1bp-2, -0x1.5cfa45a0597b2p-2, -0x1.5c9c6318a3b28p-2, -0x1.5c09e61c31c98p-2, -0x1.5b44b0ba8734fp-2, -0x1.5a4ea0451d4c5p-2, -0x1.59298cf1aa2fcp-2, -0x1.57d74982307ffp-2, -0x1.5659a2f2af01dp-2, -0x1.54b2602c4a5bbp-2, -0x1.52e341bdca363p-2, -0x1.50ee0199406c2p-2, -0x1.4ed452d6b8693p-2, -0x1.4c97e17bc6b3dp-2, -0x1.4a3a5247d02bp-2, -0x1.47bd4284e86c4p-2, -0x1.452247dd1f5cbp-2, -0x1.426af0341872cp-2, -0x1.3f98c184ca533p-2, -0x1.3cad39c3400ebp-2, -0x1.39a9cec2354adp-2, -0x1.368fee1c73d4dp-2, -0x1.3360fd21c31ebp-2, -0x1.301e58c74fb33p-2, -0x1.2cc9559b65af5p-2, -0x1.29633fbc59c1p-2, -0x1.25ed5ad285654p-2, -0x1.2268e20d2df0bp-2, -0x1.1ed708223d4fcp-2, -0x1.1b38f750a4ea2p-2, -0x1.178fd165543bap-2, -0x1.13dcafc29a3a5p-2, -0x1.1020a369da3c5p-2, -0x1.0c5cb50775927p-2, -0x1.0891e500c9be2p-2, -0x1.04c12b84286d1p-2, -0x1.00eb789aaca55p-2, -0x1.fa236877a57c9p-3, -0x1.f2697cc56ee26p-3, -0x1.eaaade49c6598p-3, -0x1.e2e92d9512182p-3, -0x1.db25fbd03fdabp-3, -0x1.d362caf27cb36p-3, -0x1.cba10df940596p-3, -0x1.c3e229227e389p-3, -0x1.bc277228d58f9p-3, -0x1.b47230818af2cp-3, -0x1.acc39d9c2e2eap-3, -0x1.a51ce523b198fp-3, -0x1.9d7f2540e2fdp-3, -0x1.95eb6ede0f988p-3, -0x1.8e62c5ebad576p-3, -0x1.86e621a5f5f38p-3, -0x1.7f766cdb3f32bp-3, -0x1.78148632feaaap-3, -0x1.70c1407550945p-3, -0x1.697d62d2e66b2p-3, -0x1.6249a92d3f6ebp-3, -0x1.5b26c45f1970cp-3, -0x1.54155a84e7ca8p-3, -0x1.4d16074555c24p-3, -0x1.46295c19a6a22p-3, -0x1.3f4fe095e0277p-3, -0x1.388a12b0b8406p-3, -0x1.31d8670b185afp-3, -0x1.2b3b49373ff23p-3, -0x1.24b31bff5a5e4p-3, -0x1.1e4039ab88c9bp-3, -0x1.17e2f44746c7bp-3, -0x1.119b95e61a99bp-3, -0x1.0b6a60e78d9d6p-3, -0x1.054f903a4c58fp-3, -0x1.fe96af3cede15p-4, -0x1.f2bbc7ce0f459p-4, -0x1.e70eb67492422p-4, -0x1.db8fbaa2b60bdp-4, -0x1.d03f076d54033p-4, -0x1.c51cc406d1e2dp-4, -0x1.ba290c37e0f9fp-4, -0x1.af63f0d61a49bp-4, -0x1.a4cd7838599bcp-4, -0x1.9a659ea8d40eap-4, -0x1.902c56d4e1781p-4, -0x1.86218a3a74bf5p-4, -0x1.7c4519932e6cep-4, -0x1.7296dd3d15ecbp-4, -0x1.6916a5a0e954fp-4, -0x1.5fc43b960490ap-4, -0x1.569f60c3ddd33p-4, -0x1.4da7d0011483fp-4, -0x1.44dd3db014ea8p-4, -0x1.3c3f58194d45p-4, -0x1.33cdc7c2f9bc1p-4, -0x1.2b882fc687077p-4, -0x1.236e2e238d2b6p-4, -0x1.1b7f5c106a943p-4, -0x1.13bb4e487e26bp-4, -0x1.0c2195580912p-4, -0x1.04b1bde5bb604p-4, -0x1.fad6a1f3e7158p-5, -0x1.ec9ba88767c3cp-5, -0x1.deb194b6b1636p-5, -0x1.d117660625a8fp-5, -0x1.c3cc16ca62dcdp-5, -0x1.b6ce9ca07f24fp-5, -0x1.aa1de8e202261p-5, -0x1.9db8e914acd0bp-5, -0x1.919e87561dc7cp-5, -0x1.85cdaac3677c8p-5, -0x1.7a4537dcae84ap-5, -0x1.6f0410e4d8f69p-5, -0x1.6409163d6f2ap-5, -0x1.595326beb5f4fp-5, -0x1.4ee1200c1f3ebp-5, -0x1.44b1dee520644p-5, -0x1.3ac43f72838a8p-5, -0x1.31171d904abc4p-5, -0x1.27a9551436c6cp-5, -0x1.1e79c211063cp-5, -0x1.15874116864acp-5, -0x1.0cd0af6e8432cp-5, -0x1.0454eb56b68ep-5, -0x1.f825a86f6664p-6, -0x1.e81295b211c18p-6, -0x1.d86e632514513p-6, -0x1.c936d8f5c9c9fp-6, -0x1.ba69c32730a2p-6, -0x1.ac04f1e4b958ep-6, -0x1.9e0639d01f995p-6, -0x1.906b744a78d39p-6, -0x1.83327fb89fb9ep-6, -0x1.76593fc31adf9p-6, -0x1.69dd9d91af094p-6, -0x1.5dbd8802b8a06p-6, -0x1.51f6f3de77ea2p-6, -0x1.4687dc0673e5cp-6, -0x1.3b6e41a11213cp-6, -0x1.30a82c4188728p-6, -0x1.2633aa0c527fep-6, -0x1.1c0ecfd84079p-6, -0x1.1237b94c49a81p-6, -0x1.08ac88fa3bca8p-6, -0x1.fed6d0ece0bd7p-7, -0x1.ece510d9371bfp-7, -0x1.db804163bdd65p-7, -0x1.caa4e0a85d9a9p-7, -0x1.ba4f7b4e7877dp-7, -0x1.aa7cac9dcf4cap-7, -0x1.9b291e8ed2de1p-7, -0x1.8c5189d691d86p-7, -0x1.7df2b5ee5fdfep-7, -0x1.700979178b8b6p-7, -0x1.6292b85b3593ap-7, -0x1.558b678696a08p-7, -0x1.48f08923c1c54p-7, -0x1.3cbf2e6f32c5cp-7, -0x1.30f4774a3aff7p-7, -0x1.258d922a848d5p-7, -0x1.1a87bc06d1cbfp-7, -0x1.0fe0404121a04p-7, -0x1.0594788e60322p-7, -0x1.f74399b78edc1p-8, -0x1.e40b666431131p-8, -0x1.d17b5f2d98c3p-8, -0x1.bf8ea7d6c0d23p-8, -0x1.ae407f95c111cp-8, -0x1.9d8c40cb973e8p-8, -0x1.8d6d60b8e8d3ap-8, -0x1.7ddf6f2ff299dp-8, -0x1.6ede1643e19e5p-8, -0x1.606519f5cd4e4p-8, -0x1.527057df84cfap-8, -0x1.44fbc6dc61b32p-8, -0x1.380376b053c85p-8, -0x1.2b838fad50dep-8, -0x1.1f78525757278p-8, -0x1.13de17072a3f9p-8, -0x1.08b14d8bf9ca2p-8, -0x1.fbdcf9981e86ap-9, -0x1.e72484c96249bp-9, -0x1.d332a492b300ap-9, -0x1.c000ecc4ca6b4p-9, -0x1.ad891c56b0f6fp-9, -0x1.9bc51ca1ba13cp-9, -0x1.8aaf009d1f245p-9, -0x1.7a410419847a7p-9, -0x1.6a758afc85a44p-9, -0x1.5b47207c92ca9p-9, -0x1.4cb0765d3ab54p-9, -0x1.3eac642c1d22p-9, -0x1.3135e67ea463ep-9, -0x1.24481e30b745ep-9, -0x1.17de4fa48106p-9, -0x1.0bf3e2037a326p-9, -0x1.00845e80cb2cdp-9, -0x1.eb16df3a5f7afp-10, -0x1.d609c0d8e470dp-10, -0x1.c1d937b93b7b3p-10, -0x1.ae7d57fdf7acdp-10, -0x1.9bee72a5f20e4p-10, -0x1.8a2514260b705p-10, -0x1.791a030709d62p-10, -0x1.68c63e87b57d6p-10, -0x1.5922fd435e0dep-10, -0x1.4a29abdce0b45p-10, -0x1.3bd3ebae4c6fbp-10, -0x1.2e1b917d39f47p-10, -0x1.20faa433f7ccep-10, -0x1.146b5b9f90576p-10, -0x1.08681f32c8094p-10, -0x1.f9d7099c2f203p-11, -0x1.e3e09f1977a8p-11, -0x1.cee2dd2db07fep-11, -0x1.bad3f7f17fd7ap-11, -0x1.a7aa76fecf5b4p-11, -0x1.955d33340c0edp-11, -0x1.83e35481cd23dp-11, -0x1.73344fc2e23cfp-11, -0x1.6347e49ecc467p-11, -0x1.54161b769ea2dp-11, -0x1.4597435c413d7p-11, -0x1.37c3f014117cdp-11, -0x1.2a94f820d2fd5p-11, -0x1.1e0372d9e7c06p-11, -0x1.1208b68bc07f6p-11, -0x1.069e56a27358ap-11, -0x1.f77c43bcd4dbap-12, -0x1.e2c44126259ap-12, -0x1.cf0925def2d2dp-12, -0x1.bc3fdea179d37p-12, -0x1.aa5dc13c78dc3p-12, -0x1.9958895ed585bp-12, -0x1.8926557652587p-12, -0x1.79bda3a11d19fp-12, -0x1.6b154eb1fdf5fp-12, -0x1.5d248b46e8044p-12, -0x1.4fe2e4f1ac1e3p-12, -0x1.43483b7295b77p-12, -0x1.374cc004a939cp-12, -0x1.2be8f2bb43078p-12, -0x1.21159ff0dbb46p-12, -0x1.16cbddc6a1bc2p-12, -0x1.0d0509b4adb8dp-12, -0x1.03bac62a82485p-12, -0x1.f5cdf07f3a2a1p-13, -0x1.e5078ae78993cp-13, -0x1.d51722fdb018dp-13, -0x1.c5f1f85f9e3f6p-13, -0x1.b78dbeb556903p-13, -0x1.a9e099aa1a77ep-13, -0x1.9ce119024c207p-13, -0x1.908634cd8390bp-13, -0x1.84c749b43d0abp-13, -0x1.799c1560998dap-13, -0x1.6efcb301968f1p-13, -0x1.64e197e84438fp-13, -0x1.5b43903e5c8bep-13, -0x1.521bbbd5aee38p-13, -0x1.49638b0fe80fcp-13, -0x1.4114bbde1315ep-13, -0x1.392956d762e8ap-13, -0x1.319bac66a68fdp-13, -0x1.2a66520df9dd8p-13, -0x1.23841fc01b5cep-13, -0x1.1cf02d4eec16bp-13, -0x1.16a5cfee968e9p-13, -0x1.10a097cce3621p-13, -0x1.0adc4dbc2febbp-13, -0x1.0554f0f19ca1bp-13, -0x1.0006b4d5e22bap-13, -0x1.f5dbfdd0dd397p-14, -0x1.ec0ec9687568cp-14, -0x1.e29f53abe9eecp-14, -0x1.d9877c260743ep-14, -0x1.d0c17701e484bp-14, -0x1.c847c979b1314p-14, -0x1.c0154664a0e37p-14, -0x1.b8250ae30e67bp-14, -0x1.b0727b2819109p-14, -0x1.a8f93f5fd94b1p-14, -0x1.a1b540b1756b7p-14, -0x1.9aa2a65c2b40fp-14, -0x1.93bdd2eebcb3cp-14, -0x1.8d03619853419p-14, -0x1.86702392377fp-14, -0x1.80011da19c3a4p-14, -0x1.79b385b0c9465p-14, -0x1.7384c07ef7bddp-14, -0x1.6d725f6631e4dp-14, -0x1.677a1e368d558p-14, -0x1.6199e1261bb5bp-14, -0x1.5bcfb2d4f146dp-14, -0x1.5619c264a0faep-14, -0x1.507661a297755p-14, -0x1.4ae40344bb7c2p-14, -0x1.45613937c4fefp-14, -0x1.3fecb2feb757bp-14, -0x1.3a853c22f4f5ep-14, -0x1.3529bab4666ep-14, -0x1.2fd92dd92a926p-14, -0x1.2a92ac6c531b8p-14, -0x1.255563ab2dca1p-14, -0x1.202095f09e414p-14, -0x1.1af3997e11294p-14, -0x1.15cdd75194c48p-14, -0x1.10aeca08a40a3p-14, -0x1.0b95fccf37767p-14, -0x1.06830a5aadad4p-14, -0x1.01759bf024896p-14, -0x1.f8dad0ebbb0dep-15, -0x1.eed4671e91ae2p-15, -0x1.e4d79986b1122p-15, -0x1.dae41d5979565p-15, -0x1.d0f9bc675cfd7p-15, -0x1.c71853a1e6c25p-15, -0x1.bd3fd1b37f5dbp-15, -0x1.b37035a84f515p-15, -0x1.a9a98da79af2ep-15, -0x1.9febf5bcfc5adp-15, -0x1.963796b0e2723p-15, -0x1.8c8ca4efc1692p-15, -0x1.82eb5f7f66a0ep-15, -0x1.79540f01e4f7dp-15, -0x1.6fc704c592b7cp-15, -0x1.664499e197725p-15, -0x1.5ccd2e5e8af96p-15, -0x1.5361286aacc0dp-15, -0x1.4a00f3993cc57p-15, -0x1.40ad002c813bdp-15, -0x1.3765c26a0f783p-15, -0x1.2e2bb1f8e51f4p-15, -0x1.24ff4948f3f51p-15, -0x1.1be10503b1abdp-15, -0x1.12d16385525b1p-15, -0x1.09d0e45e4d0ecp-15, -0x1.00e007dccd1ebp-15, -0x1.effe9d3b7fecp-16, -0x1.de5e724a46d53p-16, -0x1.cce08efa8cedbp-16, -0x1.bb85f1b95d03ap-16, -0x1.aa4f96a4a610ep-16, -0x1.993e76efcd06dp-16, -0x1.88538853cf72dp-16, -0x1.778fbc8a6b313p-16, -0x1.66f400d3c5df4p-16, -0x1.56813d861a46p-16, -0x1.463855a6f13e3p-16, -0x1.361a268d66828p-16, -0x1.2627878d16b8p-16, -0x1.166149a942a9dp-16, -0x1.06c8374fb5256p-16, -0x1.eeba28363cbafp-17, -0x1.d0413938d056cp-17, -0x1.b2270c5570794p-17, -0x1.946cfd738674bp-17, -0x1.7714596c1f442p-17, -0x1.5a1e5dcdd05dbp-17, -0x1.3d8c38ab34c46p-17, -0x1.215f087385b05p-17, -0x1.0597dbd4b303bp-17, -0x1.d46f634ccff35p-18, -0x1.9e7ef1bafe825p-18, -0x1.6960210ebeab4p-18, -0x1.35148f9986de4p-18, -0x1.019dbbf6f8e5fp-18, -0x1.9dfa0a5ad5cabp-19, -0x1.3a6755b53fb61p-19, -0x1.b10b35af7ac18p-20, -0x1.e15b73050383p-21, -0x1.9dce12e2f6748p-23, 0x1.0b9b3af13bfc1p-21, 0x1.3be5cb682b45ep-20, 0x1.ee8ca2fc5e3f8p-20, 0x1.4ee03a14a01e5p-19, 0x1.a4c000bf07a4ep-19, 0x1.f8e53f1f2b61fp-19, 0x1.25a7e31943d23p-18, 0x1.4dffcea4f68cfp-18, 0x1.757a807c0d338p-18, 0x1.9c1830fc24294p-18, 0x1.c1d93206c25d5p-18, 0x1.e6bdee6dda3edp-18, 0x1.056374aec13d2p-17, 0x1.16fa5ee1a2f36p-17, 0x1.28240ed9b5987p-17, 0x1.38e0e8e640c22p-17, 0x1.49315c4cc6a31p-17, 0x1.5915e2f98d9b8p-17, 0x1.688f012fc4548p-17, 0x1.779d453960406p-17, 0x1.86414716d67d1p-17, 0x1.947ba82ed3b53p-17, 0x1.a24d12fe08083p-17, 0x1.afb63ac723f35p-17, 0x1.bcb7db4325ee6p-17, 0x1.c952b85208973p-17, 0x1.d5879dabe599p-17, 0x1.e1575e92b1568p-17, 0x1.ecc2d58490c8ap-17, 0x1.f7cae3eee2108p-17, 0x1.013838f10a485p-16, 0x1.065a36e321c9dp-16, 0x1.0b4be60860179p-16, 0x1.100dc37d45307p-16, 0x1.14a04f1bde24bp-16, 0x1.19040b58050d1p-16, 0x1.1d397d1c2144dp-16, 0x1.21412ba67b5c2p-16, 0x1.251ba0671e458p-16, 0x1.28c966de51ff2p-16, 0x1.2c4b0c7ba883p-16, 0x1.2fa1207da8857p-16, 0x1.32cc33d21a54cp-16, 0x1.35ccd8f6ecc39p-16, 0x1.38a3a3dbc2b08p-16, 0x1.3b5129c4213e2p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d9d6cc4e9e387p-1, 0x1.d637958a128a4p-1, 0x1.d278200d8cd03p-1, 0x1.ce99dcb5897bcp-1, 0x1.ca9e3c7f1fd3cp-1, 0x1.c686af9f3c9a1p-1, 0x1.c254a4ad24d6fp-1, 0x1.be0987df2ecb6p-1, 0x1.b9a6c258a569ap-1, 0x1.b52db987cbd03p-1, 0x1.b09fce9309622p-1, 0x1.abfe5dd44a2d9p-1, 0x1.a74abe61add3ep-1, 0x1.a28641a2ac21p-1, 0x1.9db232f0e063fp-1, 0x1.98cfd743b80a1p-1, 0x1.93e06ce64ea2p-1, 0x1.8ee52b36c8026p-1, 0x1.89df426e85d9dp-1, 0x1.84cfdb729fd42p-1, 0x1.7fb817ac0afeap-1, 0x1.7a9910e6e92d4p-1, 0x1.7573d9387e33cp-1, 0x1.70497aeb51feap-1, 0x1.6b1af8710a582p-1, 0x1.65e94c5991b18p-1, 0x1.60b5694f220bfp-1, 0x1.5b803a16d420ap-1, 0x1.564aa195574d3p-1, 0x1.51157ad77a16p-1, 0x1.4be1991e31e1dp-1, 0x1.46afc7edd680ep-1, 0x1.4180cb2045314p-1, 0x1.3c555ef9a960cp-1, 0x1.372e383fab2ep-1, 0x1.320c0452c220bp-1, 0x1.2cef694979f66p-1, 0x1.27d9060d6e238p-1, 0x1.22c97279cda2fp-1, 0x1.1dc13f7b35993p-1, 0x1.18c0f730ba8dcp-1, 0x1.13c91d0df1633p-1, 0x1.0eda2dfddacf9p-1, 0x1.09f4a0868478p-1, 0x1.0518e4ed45bd9p-1, 0x1.0047655b7857ep-1, 0x1.f7010c071a97bp-2, 0x1.ed894a8cd405fp-2, 0x1.e42837b1e089p-2, 0x1.dade79d33d9e4p-2, 0x1.d1acac8c6b607p-2, 0x1.c893610293c88p-2, 0x1.bf931e2f761e9p-2, 0x1.b6ac612bf0576p-2, 0x1.addf9d7a13748p-2, 0x1.a52d3d4ea17b2p-2, 0x1.9c95a1d9e1364p-2, 0x1.9419238fb8601p-2, 0x1.8bb8126ef1ceep-2, 0x1.8372b647a5882p-2, 0x1.7b494f00b121bp-2, 0x1.733c14dc35735p-2, 0x1.6b4b38bb0bf4fp-2, 0x1.6376e45f2f65p-2, 0x1.5bbf3aad061e3p-2, 0x1.542457eb91a25p-2, 0x1.4ca6520373843p-2, 0x1.454538bcc9e43p-2, 0x1.3e0115fbd9613p-2, 0x1.36d9edfc87224p-2, 0x1.2fcfbf8c98dacp-2, 0x1.28e28444c1621p-2, 0x1.221230c072d5ep-2, 0x1.1b5eb4d47483ap-2, 0x1.14c7fbc44251fp-2, 0x1.0e4dec7630623p-2, 0x1.07f069a658a23p-2, 0x1.01af52184b448p-2, 0x1.f715018f1ea21p-3, 0x1.eb039a2dd4234p-3, 0x1.df2a15fcea8a2p-3, 0x1.d38816710c978p-3, 0x1.c81d36dacad92p-3, 0x1.bce90cbbbbfbcp-3, 0x1.b1eb281944573p-3, 0x1.a72313cd19d1p-3, 0x1.9c9055d385d77p-3, 0x1.92326f976575ep-3, 0x1.8808de3bf918bp-3, 0x1.7e131ae486a5ep-3, 0x1.74509af9d24efp-3, 0x1.6ac0d06d7b4e7p-3, 0x1.616329fb42b96p-3, 0x1.583713683f078p-3, 0x1.4f3bf5c00ecc6p-3, 0x1.4671379009be8p-3, 0x1.3dd63d207b7d5p-3, 0x1.356a68abf1c24p-3, 0x1.2d2d1a94a5e73p-3, 0x1.251db19804672p-3, 0x1.1d3b8b006af85p-3, 0x1.158602d50f2ebp-3, 0x1.0dfc74082808cp-3, 0x1.069e38a35faebp-3, 0x1.fed553e51ac7p-4, 0x1.f0c2415997c61p-4, 0x1.e301ea37d85b2p-4, 0x1.d592fe84aaed4p-4, 0x1.c8742dfe9d65ap-4, 0x1.bba42863968d1p-4, 0x1.af219db365d6fp-4, 0x1.a2eb3e6f75938p-4, 0x1.96ffbbd79ce6dp-4, 0x1.8b5dc8242c6e3p-4, 0x1.800416bd4a848p-4, 0x1.74f15c6fa5791p-4, 0x1.6a244f9e942ebp-4, 0x1.5f9ba873b3078p-4, 0x1.5556210c0ff15p-4, 0x1.4b5275a2f3d1ap-4, 0x1.418f64ba5b70fp-4, 0x1.380baf412e7e3p-4, 0x1.2ec618b747d85p-4, 0x1.25bd674f5ae6ep-4, 0x1.1cf0640ec92e7p-4, 0x1.145ddaeb77153p-4, 0x1.0c049ae7ad908p-4, 0x1.03e3762c19f8ap-4, 0x1.f7f2843ff5eebp-5, 0x1.e889aeff0e761p-5, 0x1.d98a24e13fc24p-5, 0x1.caf1a52bb51a4p-5, 0x1.bcbdf63fe38ebp-5, 0x1.aeece5bb563bp-5, 0x1.a17c48947f071p-5, 0x1.9469fb34a4897p-5, 0x1.87b3e18f10397p-5, 0x1.7b57e7358c6cap-5, 0x1.6f53ff6a527e2p-5, 0x1.63a6252f8328ap-5, 0x1.584c5b543aabep-5, 0x1.4d44ac7f62293p-5, 0x1.428d2b384db2cp-5, 0x1.3823f1ed4441bp-5, 0x1.2e0722f80439p-5, 0x1.2434e8a05e23ap-5, 0x1.1aab751cf6ec7p-5, 0x1.116902924c4cbp-5, 0x1.086bd3100a383p-5, 0x1.ff64611992696p-6, 0x1.ee74d9c094bb3p-6, 0x1.de05c3787c332p-6, 0x1.ce13e14761e73p-6, 0x1.be9c05c24ec54p-6, 0x1.af9b12f702f75p-6, 0x1.a10dfa536941bp-6, 0x1.92f1bc8ad6056p-6, 0x1.854369793732fp-6, 0x1.780020044e82ap-6, 0x1.6b250dfb1a891p-6, 0x1.5eaf6ff387fe8p-6, 0x1.529c912688116p-6, 0x1.46e9cb4aa89f2p-6, 0x1.3b94866d4b2c7p-6, 0x1.309a38ca8d9d5p-6, 0x1.25f866a405bf6p-6, 0x1.1baca216608a2p-6, 0x1.11b48aee01eecp-6, 0x1.080dce7ab9a01p-6, 0x1.fd6c4ec5410c4p-7, 0x1.eb56bae8695dp-7, 0x1.d9d68aef95e34p-7, 0x1.c8e78200c8c03p-7, 0x1.b8857c77f7c07p-7, 0x1.a8ac6f86c398ap-7, 0x1.995868d359363p-7, 0x1.8a858e16b6d7fp-7, 0x1.7c301cba5d60bp-7, 0x1.6e54697599847p-7, 0x1.60eedfea825e5p-7, 0x1.53fc0242b3107p-7, 0x1.477868cc002adp-7, 0x1.3b60c1951645bp-7, 0x1.2fb1d00a3bef2p-7, 0x1.24686c92380cp-7, 0x1.1981842b7ba29p-7, 0x1.0efa18099fceep-7, 0x1.04cf3d334bb7ap-7, 0x1.f5fc384128c94p-8, 0x1.e307e0b3cf431p-8, 0x1.d0bc102f236p-8, 0x1.bf1387c3d8019p-8, 0x1.ae092c648b652p-8, 0x1.9d9806291f622p-8, 0x1.8dbb3f93b7963p-8, 0x1.7e6e24d77133cp-8, 0x1.6fac2320ec181p-8, 0x1.6170c7e0b69bdp-8, 0x1.53b7c017b2eafp-8, 0x1.467cd7a582472p-8, 0x1.39bbf89909e77p-8, 0x1.2d712a831eb14p-8, 0x1.219891cb6233fp-8, 0x1.162e6f0763c2fp-8, 0x1.0b2f1e5406cf4p-8, 0x1.009716b14353bp-8, 0x1.ecc5d2c07dd8dp-9, 0x1.d91e828799577p-9, 0x1.c631c486acfbbp-9, 0x1.b3f951607599bp-9, 0x1.a26f115b3609p-9, 0x1.918d1b354fd18p-9, 0x1.814db2fed14bep-9, 0x1.71ab48f801178p-9, 0x1.62a07874ead6ap-9, 0x1.542806c5f2d1ap-9, 0x1.463ce225653fap-9, 0x1.38da20aa0f467p-9, 0x1.2bfaff3ed16p-9, 0x1.1f9ae09f3424fp-9, 0x1.13b54c58ef2b9p-9, 0x1.0845edd26a6a7p-9, 0x1.fa9126ac4a98cp-10, 0x1.e5725a460b69cp-10, 0x1.d12799030ac79p-10, 0x1.bda945bb606a7p-10, 0x1.aaf001cbe0da6p-10, 0x1.98f4ab5d32972p-10, 0x1.87b05bb4470c4p-10, 0x1.771c658c35107p-10, 0x1.673253793ee52p-10, 0x1.57ebe65501763p-10, 0x1.494313b3a450ep-10, 0x1.3b320461f96f4p-10, 0x1.2db312ec6b108p-10, 0x1.20c0ca2e93977p-10, 0x1.1455e3eb78ad1p-10, 0x1.086d476e297adp-10, 0x1.fa04106590681p-11, 0x1.e41ec92f76fbbp-11, 0x1.cf21892e01ae9p-11, 0x1.bb03710eeb921p-11, 0x1.a7bbefcbf193p-11, 0x1.9542c04c85843p-11, 0x1.838fe716ac9d7p-11, 0x1.729bb00ecd159p-11, 0x1.625eac4623758p-11, 0x1.52d1afd7a024bp-11, 0x1.43edcfd2eafa5p-11, 0x1.35ac603548995p-11, 0x1.2806f1f021692p-11, 0x1.1af750fce5b7cp-11, 0x1.0e77827e0f4a4p-11, 0x1.0281c2ecfc5bbp-11, 0x1.ee2108a8c89f4p-12, 0x1.d83cd92e47ca2p-12, 0x1.c34ca78640915p-12, 0x1.af4684e002271p-12, 0x1.9c20e05302f82p-12, 0x1.89d283ca2fbe6p-12, 0x1.785291056f77ep-12, 0x1.67987eb0da8ecp-12, 0x1.579c15912c7fap-12, 0x1.48556dc4f8326p-12, 0x1.39bcec1a2078bp-12, 0x1.2bcb3f7727425p-12, 0x1.1e795e57d412cp-12, 0x1.11c0845cc52ffp-12, 0x1.059a2fed75178p-12, 0x1.f4003fd88e7b2p-13, 0x1.ddd8a2f84c2efp-13, 0x1.c8b1fbae9dd43p-13, 0x1.b481306da8074p-13, 0x1.a13b9794ee81ap-13, 0x1.8ed6f380d0715p-13, 0x1.7d496eb9162c5p-13, 0x1.6c89983daff78p-13, 0x1.5c8e5ff0f2a3p-13, 0x1.4d4f131e81ebep-13, 0x1.3ec3591e2e2ebp-13, 0x1.30e33012092c1p-13, 0x1.23a6e9bef9394p-13, 0x1.1707287f15d06p-13, 0x1.0afcdc4d195cdp-13, 0x1.ff027fd07fa6ap-14, 0x1.e91bac1fbdb11p-14, 0x1.d438cdac4045bp-14, 0x1.c04dfa1241e3p-14, 0x1.ad4fc763eb96ep-14, 0x1.9b334751af6c1p-14, 0x1.89ee027bec9d2p-14, 0x1.7975f3eca1c0cp-14, 0x1.69c184b8046b7p-14, 0x1.5ac787c2e4887p-14, 0x1.4c7f35adc2be6p-14, 0x1.3ee028e384758p-14, 0x1.31e259cabd388p-14, 0x1.257e1b1884167p-14, 0x1.19ac1643da719p-14, 0x1.0e654818a553p-14, 0x1.03a2fd694ac0fp-14, 0x1.f2bd9fbc04d66p-15, 0x1.df2545c1e96eep-15, 0x1.cc71414c87deap-15, 0x1.ba966e9e4a18fp-15, 0x1.a98a2c4e62ce4p-15, 0x1.994255f63f8b8p-15, 0x1.89b53f103050ap-15, 0x1.7ad9ae05be6eap-15, 0x1.6ca6d76c265b7p-15, 0x1.5f14596d84fcap-15, 0x1.521a375d46667p-15, 0x1.45b0d5766f90ap-15, 0x1.39d0f4c26d193p-15, 0x1.2e73af271129ep-15, 0x1.2392739a7c3eep-15, 0x1.1927027bada05p-15, 0x1.0f2b6a0e8950fp-15, 0x1.059a031a22ff6p-15, 0x1.f8dadb5057e55p-16, 0x1.e7411bc8c8255p-16, 0x1.d65d1235f4dcap-16, 0x1.c62585a9ab07ap-16, 0x1.b691b42167465p-16, 0x1.a7994d306a884p-16, 0x1.99346cdf977c7p-16, 0x1.8b5b96c157da3p-16, 0x1.7e07b137a548p-16, 0x1.713200ea84d06p-16, 0x1.64d4246d36dadp-16, 0x1.58e810107b2aap-16, 0x1.4d6809e0510bcp-16, 0x1.424ea5cb9dfd6p-16, 0x1.3796c1f447c25p-16, 0x1.2d3b83264336fp-16, 0x1.233851742d796p-16, 0x1.1988d4f82334p-16, 0x1.1028f2b767453p-16, 0x1.0714c9a7ae72ap-16, 0x1.fc915fa976a41p-17, 0x1.eb825f4a4e984p-17, 0x1.daf60a7a4fd54p-17, 0x1.cae637fc5aaadp-17, 0x1.bb4d1844a5f72p-17, 0x1.ac2530e5017a3p-17, 0x1.9d69582c965fcp-17, 0x1.8f14b0f913a92p-17, 0x1.8122a6b76c52ap-17, 0x1.738ee9925ceb7p-17, 0x1.66556accd183cp-17, 0x1.5972594694193p-17, 0x1.4ce21e29944f8p-17, 0x1.40a159be2438ap-17, 0x1.34ace064a65b3p-17, 0x1.2901b7b33440dp-17, 0x1.1d9d13b5c41aep-17, 0x1.127c544f6f4c1p-17, 0x1.079d02bb81af7p-17, 0x1.f9f99e5a0bbb5p-18, 0x1.e5331d172108ap-18, 0x1.d0e270982cdp-18, 0x1.bd03c8c946ef1p-18, 0x1.a99392b3ad7d7p-18, 0x1.968e74ca1b4f2p-18, 0x1.83f14b646b4fbp-18, 0x1.71b9256888872p-18, 0x1.5fe3411ebc2c8p-18, 0x1.4e6d092f82d04p-18, 0x1.3d5411c9196d4p-18, 0x1.2c9615eb0d228p-18, 0x1.1c30f4d6279c8p-18, 0x1.0c22af9f1c4ddp-18, 0x1.f8d2cdc4e21f2p-19, 0x1.da06b1304a407p-19, 0x1.bbddbc0b6357ep-19, 0x1.9e54d399ff3cp-19, 0x1.81690c2e0f1c5p-19, 0x1.6517a5b1b0359p-19, 0x1.495e08639ad58p-19, 0x1.2e39c1c398b37p-19, 0x1.13a881acd4069p-19, 0x1.f3502f379a9a2p-20, 0x1.c06ce03bdd4b6p-20, 0x1.8ea324d181bdep-20, 0x1.5def3c2db63f1p-20, 0x1.2e4d92117ed3fp-20, 0x1.ff75759f8023fp-21, 0x1.a466df287eb87p-21, 0x1.4b6915d0e66a8p-21, 0x1.e8ec15cbf101ep-22, 0x1.3f0fcbbb7a80bp-22, 0x1.3263fabd26298p-23, -0x1.1709dc24b8426p-27, -0x1.4d738bcd90102p-23, -0x1.40dcd0f5cd198p-22, -0x1.d72b9e1ab1691p-22, -0x1.34d813f8d36d1p-21, -0x1.7c3a1e6a06262p-21, -0x1.c1c0c2ba7a354p-21, -0x1.02b862bd2dcdap-20, -0x1.23a76f1cc71dp-20, -0x1.43afdd09dae72p-20, -0x1.62d3ff01525e4p-20, -0x1.8116247d3b5b8p-20, -0x1.9e789ae95016cp-20, -0x1.bafdae7f62964p-20, -0x1.d6a7ab0d34866p-20, -0x1.f178dca5040d9p-20, -0x1.05b9c81d1579bp-19, -0x1.124d0a1587ba9p-19, -0x1.1e775c5cc1c7ep-19, -0x1.2a39e8396596dp-19, -0x1.3595d84427785p-19, -0x1.408c588cfe591p-19, -0x1.4b1e96b9b0059p-19, -0x1.554dc21e24ab7p-19, -0x1.5f1b0bcefa136p-19, -0x1.6887a6aebc077p-19, -0x1.7194c7762d1fbp-19, -0x1.7a43a4b7f545cp-19, -0x1.829576e01d1ebp-19, -0x1.8a8b782fa39a7p-19, -0x1.9226e4b4838d6p-19, -0x1.9968fa3e756bbp-19, -0x1.a052f850b534fp-19, -0x1.a6e620111377ep-19, -0x1.ad23b43490d7fp-19, -0x1.b30cf8e9c40fdp-19, -0x1.b8a333c141369p-19, -0x1.bde7ab943ac35p-19, -0x1.c2dba869915a9p-19, -0x1.c78073597fed7p-19, -0x1.cbd75670152c5p-19, -0x1.cfe19c8e9f309p-19, -0x1.d3a0914c3af0cp-19, -0x1.d71580d5a2981p-19, -0x1.da41b7cc668fcp-19, -0x1.dd268325aea17p-19, -0x1.dfc53008a097fp-19, -0x1.e21f0bac8aecep-19, -0x1.e4356336f054dp-19, -0x1.e60983998730dp-19, -0x1.e79cb9704b71cp-19, -0x1.e8f050dfb27f7p-19, -0x1.ea0595731675ap-19, -0x1.eaddd1fb6bbf2p-19, -0x1.eb7a506e52ec4p-19, -0x1.ebdc59c594072p-19, -0x1.ec0535df12f73p-19, -0x1.ebf62b5d462b8p-19, -0x1.ebb07f8845758p-19, -0x1.eb35762f6be26p-19, -0x1.ea86518ba5f19p-19, -0x1.e9a452226c277p-19, -0x1.e890b6a96fc0cp-19, -0x1.e74cbbeb0916ap-19, -0x1.e5d99cab65653p-19, -0x1.e438918e7c06fp-19, -0x1.e26ad0fed17bcp-19, -0x1.e0718f150b1ddp-19, -0x1.de4dfd80500efp-19, -0x1.dc014b6f893cep-19, -0x1.d98ca57b6e0a6p-19, -0x1.d6f1359172f14p-19, -0x1.d43022df8cdb8p-19, -0x1.d14a91c0cef69p-19, -0x1.ce41a3aae5e2fp-19, -0x1.cb16771c6674p-19, -0x1.c7ca278bfdd4cp-19, -0x1.c45dcd5871332p-19, -0x1.c0d27db97879cp-19, -0x1.bd294ab16d2cep-19, -0x1.b96342ffca883p-19, -0x1.b58172147edebp-19, -0x1.b184e004090bp-19, -0x1.ad6e917c643fep-19, -0x1.a93f87bab743cp-19, -0x1.a4f8c081cc48p-19, -0x1.a09b36114a71cp-19, -0x1.9c27df1da86cep-19, -0x1.979faec8e1d7ep-19, -0x1.9303949bdc818p-19, -0x1.8e547c8084f69p-19, -0x1.89934ebc976dp-19, -0x1.84c0efed1914p-19, -0x1.7fde41027360cp-19, -0x1.7aec1f3d35604p-19, -0x1.75eb642b7423fp-19, -0x1.70dce5a6c6d2bp-19, -0x1.6bc175d2d92fp-19, -0x1.6699e31c9089p-19, -0x1.6166f839bf132p-19, -0x1.5c297c2964724p-19, -0x1.56e2323471bcfp-19, -0x1.5191d9ef0f2eap-19, -0x1.4c392f3a638f4p-19, -0x1.46d8ea46d1c71p-19, -0x1.4171bf96ac9fap-19, -0x1.3c0460015dcf2p-19, -0x1.369178b6fa8b3p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.33355ebee6f5ap-3, -0x1.46a20c6173a16p-3, -0x1.5a4b8df3ab083p-3, -0x1.6e28060889dd1p-3, -0x1.822d5f1cc58e4p-3, -0x1.96516222e3effp-3, -0x1.aa89cad18f956p-3, -0x1.becc59d2e16ecp-3, -0x1.d30ee4f57a7ebp-3, -0x1.e747658127e5fp-3, -0x1.fb6c04d0b2e32p-3, -0x1.07b993a8fe1afp-2, -0x1.11a9bb061eep-2, -0x1.1b81f3658061ap-2, -0x1.253de1855f7a9p-2, -0x1.2ed956e130428p-2, -0x1.385054119dccbp-2, -0x1.419f0ab3ad34ap-2, -0x1.4ac1dee22505dp-2, -0x1.53b5684b83dep-2, -0x1.5c7672ee19c24p-2, -0x1.6501ff83168bcp-2, -0x1.6d5543a0c17f4p-2, -0x1.756da99b661ccp-2, -0x1.7d48d02bf57cap-2, -0x1.84e489e2c7c54p-2, -0x1.8c3edc6c76edbp-2, -0x1.9355ffae464cep-2, -0x1.9a285cbf2a94ep-2, -0x1.a0b48cc214619p-2, -0x1.a6f957a5c4779p-2, -0x1.acf5b2ce1a9d1p-2, -0x1.b2a8bfaa778f3p-2, -0x1.b811ca3c81247p-2, -0x1.bd30479253f1cp-2, -0x1.c203d436e0cfep-2, -0x1.c68c329afbe3bp-2, -0x1.cac949796c425p-2, -0x1.cebb22380e27cp-2, -0x1.d261e747e6422p-2, -0x1.d5bde285dcfe6p-2, -0x1.d8cf7b9da4dd8p-2, -0x1.db9736702581dp-2, -0x1.de15b17ea73cbp-2, -0x1.e04ba45bccb54p-2, -0x1.e239de234ddf7p-2, -0x1.e3e143f943d91p-2, -0x1.e542cf91c1e9dp-2, -0x1.e65f8dc1504d8p-2, -0x1.e7389d16d2e1dp-2, -0x1.e7cf2c7f4382cp-2, -0x1.e82479f3a2299p-2, -0x1.e839d131577f3p-2, -0x1.e8108a7d48566p-2, -0x1.e7aa0971bf6f7p-2, -0x1.e707bbd742a1bp-2, -0x1.e62b188863b17p-2, -0x1.e5159e608e22ap-2, -0x1.e3c8d335c93dep-2, -0x1.e24642dd5a0c2p-2, -0x1.e08f7e3b302c3p-2, -0x1.dea61a5bf9e37p-2, -0x1.dc8baf99ba76ep-2, -0x1.da41d8cab580cp-2, -0x1.d7ca327a81852p-2, -0x1.d5265a2d09794p-2, -0x1.d257edab49596p-2, -0x1.cf608a598adc8p-2, -0x1.cc41cc96e0bf6p-2, -0x1.c8fd4f25ac4fcp-2, -0x1.c594aa9ce3552p-2, -0x1.c20974e1d935p-2, -0x1.be5d40aa4ea0fp-2, -0x1.ba919d067debap-2, -0x1.b6a814f2e9862p-2, -0x1.b2a22ef1a2523p-2, -0x1.ae816caad172dp-2, -0x1.aa474a94335cdp-2, -0x1.a5f53f9f55892p-2, -0x1.a18cbcee49d1fp-2, -0x1.9d0f2d8e979e5p-2, -0x1.987df63a2aa7fp-2, -0x1.93da751e05bc7p-2, -0x1.8f2601a67863ap-2, -0x1.8a61ec50a465ep-2, -0x1.858f7e8114bedp-2, -0x1.80affa5f2f73cp-2, -0x1.7bc49ab54ed81p-2, -0x1.76ce92d54750bp-2, -0x1.71cf0e812d9c5p-2, -0x1.6cc731d823919p-2, -0x1.67b81946fee7fp-2, -0x1.62a2d97c9a8bdp-2, -0x1.5d887f61a05aap-2, -0x1.586a1013a10d7p-2, -0x1.534888e3508b5p-2, -0x1.4e24df55b5d0dp-2, -0x1.490001282e526p-2, -0x1.43dad4571164p-2, -0x1.3eb63726db75dp-2, -0x1.3993002fabeeep-2, -0x1.3471fe6b0088bp-2, -0x1.2f53f9437e3c4p-2, -0x1.2a39b0a6b1518p-2, -0x1.2523dd1899083p-2, -0x1.20132fc8e8da9p-2, -0x1.1b0852a9dbbcbp-2, -0x1.1603e8887a8c6p-2, -0x1.11068d2641791p-2, -0x1.0c10d553fbeb6p-2, -0x1.07234f0dcd40ep-2, -0x1.023e81983c92cp-2, -0x1.fac5db3c6d8fp-3, -0x1.f1221a9fd753ap-3, -0x1.e792a904df2f5p-3, -0x1.de1861a015d46p-3, -0x1.d4b413724da1dp-3, -0x1.cb66818b7edf4p-3, -0x1.c230634e95119p-3, -0x1.b91264b5ff952p-3, -0x1.b00d2698e7969p-3, -0x1.a7213ef0e3d39p-3, -0x1.9e4f39200dff1p-3, -0x1.959796375da2ap-3, -0x1.8cfacd3d2b75dp-3, -0x1.84794b73bbbf6p-3, -0x1.7c13749fc1accp-3, -0x1.73c9a34eba338p-3, -0x1.6b9c291d0b221p-3, -0x1.638b4efbd225ep-3, -0x1.5b97557646be4p-3, -0x1.53c074f6ad5b8p-3, -0x1.4c06de0ab6b71p-3, -0x1.446ab9a741b8ep-3, -0x1.3cec296b771dbp-3, -0x1.358b47e328e08p-3, -0x1.2e4828c85e895p-3, -0x1.2722d9441c733p-3, -0x1.201b602e3af05p-3, -0x1.1931be4c5617ep-3, -0x1.1265ee8fcc902p-3, -0x1.0bb7e652b3d3ap-3, -0x1.05279593cd5fbp-3, -0x1.fd69ce62d1239p-4, -0x1.f0bf82465b5dap-4, -0x1.e4500965a0a41p-4, -0x1.d81b1d6736612p-4, -0x1.cc206f71b32f3p-4, -0x1.c05fa8962d753p-4, -0x1.b4d86a38540b5p-4, -0x1.a98a4e7437c6ap-4, -0x1.9e74e881a0fa8p-4, -0x1.9397c515003d7p-4, -0x1.88f26abdfe7d6p-4, -0x1.7e845a439097fp-4, -0x1.744d0efdaac8ep-4, -0x1.6a4bff2c83661p-4, -0x1.60809c4d6c1fp-4, -0x1.56ea536d42a0fp-4, -0x1.4d888d787b44p-4, -0x1.445aaf88c9718p-4, -0x1.3b601b306c47bp-4, -0x1.32982ec31f4c2p-4, -0x1.2a02459cb9351p-4, -0x1.219db8657e103p-4, -0x1.1969dd54281e8p-4, -0x1.1166086db220dp-4, -0x1.09918bc2e7d4bp-4, -0x1.01ebb7abc75cap-4, -0x1.f4e7b6016d7e1p-5, -0x1.e65286a33829dp-5, -0x1.d8167a35b7dbcp-5, -0x1.ca3227f095275p-5, -0x1.bca425ac2f20cp-5, -0x1.af6b083f7a4abp-5, -0x1.a28563d9fd338p-5, -0x1.95f1cc59fcb51p-5, -0x1.89aed59eeb8b5p-5, -0x1.7dbb13d8325c5p-5, -0x1.72151bd06712dp-5, -0x1.66bb833502a9fp-5, -0x1.5bace0daafcfep-5, -0x1.50e7ccfe46c51p-5, -0x1.466ae18284e7dp-5, -0x1.3c34ba2aa047fp-5, -0x1.3243f4d1c2e17p-5, -0x1.2897319f84b4fp-5, -0x1.1f2d13397e14cp-5, -0x1.16043ef201fa2p-5, -0x1.0d1b5cf41742fp-5, -0x1.0471186cc48aap-5, -0x1.f8083f638bb02p-6, -0x1.e7a648cb789dfp-6, -0x1.d7b9b733de3bfp-6, -0x1.c83ffbdb5f35cp-6, -0x1.b9368f56ee23cp-6, -0x1.aa9af1c79b858p-6, -0x1.9c6aab0c21b9p-6, -0x1.8ea34aee52d26p-6, -0x1.8142694c8fbbcp-6, -0x1.7445a63f6a64bp-6, -0x1.67aaaa3b957cp-6, -0x1.5b6f26304bebep-6, -0x1.4f90d3a24b8bap-6, -0x1.440d74c38850bp-6, -0x1.38e2d487bb2ffp-6, -0x1.2e0ec6b5e49a5p-6, -0x1.238f27f6f3d8fp-6, -0x1.1961dde19bb89p-6, -0x1.0f84d70387e3ep-6, -0x1.05f60ae805387p-6, -0x1.f966f43875473p-7, -0x1.e7765c622cd74p-7, -0x1.d6167376018fbp-7, -0x1.c543709ef226fp-7, -0x1.b4f99d016840ap-7, -0x1.a53553ae97b01p-7, -0x1.95f301946173dp-7, -0x1.872f2569adc1p-7, -0x1.78e64f97a109p-7, -0x1.6b15221fba0ddp-7, -0x1.5db8507f12b87p-7, -0x1.50cc9f8ee577ap-7, -0x1.444ee5628d572p-7, -0x1.383c09231eecep-7, -0x1.2c9102e8bfd4p-7, -0x1.214adb91ebdb3p-7, -0x1.1666ac98c454bp-7, -0x1.0be19fe68e8bp-7, -0x1.01b8efa58561ep-7, -0x1.efd3cc2237629p-8, -0x1.dce3ba89a1247p-8, -0x1.ca9c7e13684c3p-8, -0x1.b8f9094572477p-8, -0x1.a7f46d2fdee61p-8, -0x1.9789d9018693p-8, -0x1.87b4999ab5104p-8, -0x1.7870191e4f706p-8, -0x1.69b7de819ba05p-8, -0x1.5b878d1acea91p-8, -0x1.4ddae42e95bb7p-8, -0x1.40adbe7cbca67p-8, -0x1.33fc11cc1e779p-8, -0x1.27c1ee7603bd5p-8, -0x1.1bfb7ef1158c4p-8, -0x1.10a5075c043bfp-8, -0x1.05bae508050b8p-8, -0x1.f6731c068ea9ap-9, -0x1.e23b2146f6f61p-9, -0x1.cec7262117e6ap-9, -0x1.bc10a59f3e699p-9, -0x1.aa11489cff19fp-9, -0x1.98c2e4defebbfp-9, -0x1.881f7c2bdaf4p-9, -0x1.78213b666b845p-9, -0x1.68c279a975f67p-9, -0x1.59fdb7650269cp-9, -0x1.4bcd9d7d710e3p-9, -0x1.3e2cfc6c73c2p-9, -0x1.3116cb640767dp-9, -0x1.248627738c7c4p-9, -0x1.187652af1b107p-9, -0x1.0ce2b35924bcep-9, -0x1.01c6d30e8383ep-9, -0x1.ee3cbbea0acbap-10, -0x1.d9ca43d90f97bp-10, -0x1.c62e1b85729adp-10, -0x1.b36060d319053p-10, -0x1.a1597060d86dcp-10, -0x1.9011e40084dfep-10, -0x1.7f829134ab518p-10, -0x1.6fa487b416e94p-10, -0x1.60710ff33c194p-10, -0x1.51e1a9b3808d4p-10, -0x1.43f00a9886334p-10, -0x1.36961cc3771efp-10, -0x1.29cdfd745d89dp-10, -0x1.1d91fbb18eb18p-10, -0x1.11dc96f52f558p-10, -0x1.06a87de0d2f4ap-10, -0x1.f7e119ee6b5b4p-11, -0x1.e35f9ab826ecep-11, -0x1.cfc2e734362cap-11, -0x1.bd01bcdde956fp-11, -0x1.ab132b3ab703bp-11, -0x1.99ee918a85cd3p-11, -0x1.898b9c83fe6d3p-11, -0x1.79e2441cd4c02p-11, -0x1.6aeac95df369cp-11, -0x1.5c9db443759e1p-11, -0x1.4ef3d1a858163p-11, -0x1.41e6313dc57edp-11, -0x1.356e238de60e9p-11, -0x1.2985380a15717p-11, -0x1.1e253b245def8p-11, -0x1.134834741e75dp-11, -0x1.08e864e5b708p-11, -0x1.fe0089ea35e41p-12, -0x1.eb1505e64ed16p-12, -0x1.d90402ab31f77p-12, -0x1.c7c3aa22f975ap-12, -0x1.b74a87ffead42p-12, -0x1.a78f869a675a8p-12, -0x1.9889ebe2e7cc3p-12, -0x1.8a315667bffe5p-12, -0x1.7c7dba6e56822p-12, -0x1.6f675f1f7fc6bp-12, -0x1.62e6dbc6ae54dp-12, -0x1.56f51523a37afp-12, -0x1.4b8b3ace527eap-12, -0x1.40a2c4aca21dp-12, -0x1.36357079b820fp-12, -0x1.2c3d3f5e82817p-12, -0x1.22b4739b230d6p-12, -0x1.19958e40f3c99p-12, -0x1.10db4cfcca61fp-12, -0x1.0880a7f130d17p-12, -0x1.0080cfa0367b9p-12, -0x1.f1ae55c9251bdp-13, -0x1.e2fea9f385193p-13, -0x1.d4ea3725a1a35p-13, -0x1.c768f9fef7aep-13, -0x1.ba734cbec9583p-13, -0x1.ae01e3c5ff5eep-13, -0x1.a20dca33e30eep-13, -0x1.96905e9d1cfbfp-13, -0x1.8b834fdc6694cp-13, -0x1.80e099fc46228p-13, -0x1.76a283394e19dp-13, -0x1.6cc3991c4ceb1p-13, -0x1.633eadabca4a5p-13, -0x1.5a0ed4b454bc8p-13, -0x1.512f61270ac9ep-13, -0x1.489be28dcd067p-13, -0x1.4050229499ee1p-13, -0x1.384822a782919p-13, -0x1.308019a4b492fp-13, -0x1.28f471a21e0abp-13, -0x1.21a1c5c6131d8p-13, -0x1.1a84e03296aefp-13, -0x1.139ab802a4101p-13, -0x1.0ce06f592164dp-13, -0x1.06535180e286ep-13, -0x1.ffe1a23ab9d9ap-14, -0x1.f36d0cd71b296p-14, -0x1.e7445b25307f5p-14, -0x1.db634a0784a4ap-14, -0x1.cfc5d7d29117ep-14, -0x1.c46841475398fp-14, -0x1.b946feaa0075dp-14, -0x1.ae5ec0f409a22p-14, -0x1.a3ac6f208b022p-14, -0x1.992d239287a6fp-14, -0x1.8ede299407ac2p-14, -0x1.84bcfaed7d693p-14, -0x1.7ac73d949d933p-14, -0x1.70fac17201b12p-14, -0x1.67557e3cdf7b8p-14, -0x1.5dd5916c28649p-14, -0x1.54793c3c6626ep-14, -0x1.4b3ee1c9b0c7bp-14, -0x1.4225053d19662p-14, -0x1.392a480cef19ap-14, -0x1.304d684f420b2p-14, -0x1.278d3f1e0d1c6p-14, -0x1.1ee8bf0c78279p-14, -0x1.165ef2ac9dde4p-14, -0x1.0deefb254f3edp-14, -0x1.05980ed749621p-14, -0x1.fab2f022b77a5p-15, -0x1.ea6527a5f70b5p-15, -0x1.da45a1399483ep-15, -0x1.ca535a9d2220bp-15, -0x1.ba8d70247df24p-15, -0x1.aaf31aa6e1653p-15, -0x1.9b83ad862f77fp-15, -0x1.8c3e94cd9b666p-15, -0x1.7d235366dbdd8p-15, -0x1.6e31816516263p-15, -0x1.5f68ca64bc328p-15, -0x1.50c8ebff95f5p-15, -0x1.4251b45440c76p-15, -0x1.340300a05f716p-15, -0x1.25dcbbecd851dp-15, -0x1.17deddcb64df6p-15, -0x1.0a096924d39efp-15, -0x1.f8b8d62eb1f7ep-16, -0x1.ddaff3c894013p-16, -0x1.c2f867d95e075p-16, -0x1.a8927d7826bcp-16, -0x1.8e7e8c420e2e3p-16, -0x1.74bcf6a5858c9p-16, -0x1.5b4e2846cdd3bp-16, -0x1.4232947cac286p-16, -0x1.296ab4e44e4cep-16, -0x1.10f7080b6f3dbp-16, -0x1.f1b0205f9972cp-17, -0x1.c21ca42605995p-17, -0x1.9334a7c3f310dp-17, -0x1.64f9385dfb274p-17, -0x1.376b61fb8ae14p-17, -0x1.0a8c2dc1148dap-17, -0x1.bcb94095fbddcp-18, -0x1.65bb704f7d545p-18, -0x1.1020d8dfa3004p-18, -0x1.77d6ade851659p-19, -0x1.a472cd5a3f812p-20, -0x1.7b6a0beceb6b4p-22, 0x1.c22a3146248c7p-21, 0x1.0dab012155aa9p-19, 0x1.a7f15249bc783p-19, 0x1.1fad778313954p-18, 0x1.69f2c188b88eap-18, 0x1.b2c77c7abd06ap-18, 0x1.fa2abe0919e0ap-18, 0x1.200dde97ffb13p-17, 0x1.424ce97c3cb5bp-17, 0x1.63d23d8d26e18p-17, 0x1.849daa4060afep-17, 0x1.a4af10d9f0d8ap-17, 0x1.c4066493f69cap-17, 0x1.e2a3aaba1fdb3p-17, 0x1.00437d5cd4698p-16, 0x1.0ed83f1346702p-16, 0x1.1d10385b45888p-16, 0x1.2aeb90195c3c8p-16, 0x1.386a76300ed36p-16, 0x1.458d237004a33p-16, 0x1.5253d98453504p-16, 0x1.5ebee2db2710ep-16, 0x1.6ace928b17383p-16, 0x1.768344355a31ep-16, 0x1.81dd5be519c87p-16, 0x1.8cdd45ec22148p-16, 0x1.978376bd1fae6p-16, 0x1.a1d06ac3a1043p-16, 0x1.abc4a63a0dfd9p-16, 0x1.b560b4fdc6347p-16, 0x1.bea52a619327dp-16, 0x1.c792a0fe9328cp-16, 0x1.d029ba83d0e3ap-16, 0x1.d86b1f84a962cp-16, 0x1.e0577f46203f8p-16, 0x1.e7ef8f8b5249p-16, 0x1.ef340c6117ec3p-16, 0x1.f625b7e906eafp-16, 0x1.fcc55a23e901ap-16, 0x1.0189e05de0593p-15, 0x1.0488df66c2a4cp-15, 0x1.076016594d366p-15, 0x1.0a0ff3e519633p-15, 0x1.0c98e92150b1cp-15, 0x1.0efb69715d1aap-15, 0x1.1137ea69a8c6dp-15, 0x1.134ee3b477bfp-15, 0x1.1540cef6e31cdp-15, 0x1.170e27b5ffd3cp-15, 0x1.18b76b3c37334p-15, 0x1.1a3d187ed9696p-15, 0x1.1b9fb003f13cap-15, 0x1.1cdfb3c85d4eap-15, 0x1.1dfda72637e95p-15, 0x1.1efa0ebb8f25p-15, 0x1.1fd57051743e8p-15, 0x1.209052c36a67p-15, 0x1.212b3de72eeedp-15, 0x1.21a6ba74ebb7fp-15, 0x1.220351efce2e8p-15, 0x1.22418e8f08e66p-15, 0x1.2261fb274207p-15, 0x1.2265231475bb1p-15, 0x1.224b9224456dfp-15, 0x1.2215d480bfbc3p-15, 0x1.21c4769b9d7bcp-15, 0x1.21580519f4f08p-15, 0x1.20d10cc068394p-15, 0x1.20301a5fcd272p-15, 0x1.1f75bac24f387p-15, 0x1.1ea27a990d83ap-15, 0x1.1db6e66a3603ep-15, 0x1.1cb38a7f9aacap-15, 0x1.1b98f2d5c607cp-15, 0x1.1a67ab0b899abp-15, 0x1.19203e520950cp-15, 0x1.17c3375d44471p-15, 0x1.1651205515edcp-15, 0x1.14ca82c6b658cp-15, 0x1.132fe796aeeeep-15, 0x1.1181d6f34e48bp-15, 0x1.0fc0d8478fb52p-15, 0x1.0ded722e7d9afp-15, 0x1.0c082a67060f5p-15, 0x1.0a1185c849906p-15, 0x1.080a0836585b1p-15, 0x1.05f2349765357p-15, 0x1.03ca8cc968455p-15, 0x1.0193919830df9p-15, 0x1.fe9b8567cc9d2p-16, 0x1.f9f33d4fe7edbp-16, 0x1.f52f45a4c041cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ceaa8d17b3d53p-1, 0x1.cb46b5f10ffb6p-1, 0x1.c7e702780ef2ep-1, 0x1.c48c9fed62cfap-1, 0x1.c1386ed612b5ep-1, 0x1.bdeb0b4985e6ep-1, 0x1.baa4d4db58c83p-1, 0x1.b765f6141a744p-1, 0x1.b42e6b70fc8f6p-1, 0x1.b0fe09e64408p-1, 0x1.add484e351e54p-1, 0x1.aab173d95eee3p-1, 0x1.a7945747c0b8ap-1, 0x1.a47c9d51e03b8p-1, 0x1.a169a5e3ecfp-1, 0x1.9e5ac66c00709p-1, 0x1.9b4f4d2dd0112p-1, 0x1.984684373d2a4p-1, 0x1.953fb3fc2c8efp-1, 0x1.923a25a009087p-1, 0x1.8f3524f32bcafp-1, 0x1.8c30022a469d5p-1, 0x1.892a1355a0e15p-1, 0x1.8622b59dc107ap-1, 0x1.83194e4acd08cp-1, 0x1.800d4b9ba227dp-1, 0x1.7cfe257156de1p-1, 0x1.79eb5dd38754bp-1, 0x1.76d4815187c7ep-1, 0x1.73b927444384bp-1, 0x1.7098f1f44c1f2p-1, 0x1.6d738ea75540bp-1, 0x1.6a48b598157b7p-1, 0x1.671829db441e5p-1, 0x1.63e1b93435102p-1, 0x1.60a53bdb52d4ep-1, 0x1.5d6294388ce2p-1, 0x1.5a19ae9393b5ep-1, 0x1.56ca80bb98846p-1, 0x1.537509a8150a7p-1, 0x1.50195113fb998p-1, 0x1.4cb767148ae8fp-1, 0x1.494f63ace0b1fp-1, 0x1.45e1665f435afp-1, 0x1.426d95bd072c7p-1, 0x1.3ef41ef5ce98ep-1, 0x1.3b753566da59cp-1, 0x1.37f1122afb9ep-1, 0x1.3467f3abb3ed2p-1, 0x1.30da1d33f23cdp-1, 0x1.2d47d684d3416p-1, 0x1.29b16b6cb932dp-1, 0x1.26172b6105919p-1, 0x1.2279691aaf6a5p-1, 0x1.1ed87a35e7926p-1, 0x1.1b34b6d4f82a2p-1, 0x1.178e7946791fep-1, 0x1.13e61daef7625p-1, 0x1.103c01b61e285p-1, 0x1.0c9084376e655p-1, 0x1.08e404f68b3bep-1, 0x1.0536e4571c885p-1, 0x1.0189831846d94p-1, 0x1.fbb884275f363p-2, 0x1.f45f04000db9cp-2, 0x1.ed07466e14bbep-2, 0x1.e5b20afde1ebep-2, 0x1.de600fae62bb7p-2, 0x1.d71210911e792p-2, 0x1.cfc8c770b6b13p-2, 0x1.c884eb7da6aeep-2, 0x1.c14731010f8b7p-2, 0x1.ba1049156bd95p-2, 0x1.b2e0e164effb1p-2, 0x1.abb9a3ed74da3p-2, 0x1.a49b36c9aef89p-2, 0x1.9d863bff8815fp-2, 0x1.967b51536a264p-2, 0x1.8f7b10204511p-2, 0x1.88860d342029p-2, 0x1.819cd8b1092fap-2, 0x1.7abffdf22a5ap-2, 0x1.73f00374dd1fbp-2, 0x1.6d2d6ac581f7ap-2, 0x1.6678b06ffab56p-2, 0x1.5fd24bf38ad5fp-2, 0x1.593aafb9fd9fep-2, 0x1.52b24911de32p-2, 0x1.4c39802b9747cp-2, 0x1.45d0b81954e08p-2, 0x1.3f784ed1784a3p-2, 0x1.39309d337fc58p-2, 0x1.32f9f70f2fa1p-2, 0x1.2cd4ab2ddfc44p-2, 0x1.26c1035dca7a9p-2, 0x1.20bf447f2de0dp-2, 0x1.1acfae932d7bcp-2, 0x1.14f27ccc45c9ap-2, 0x1.0f27e5a03b615p-2, 0x1.09701adb61fe7p-2, 0x1.03cb49b51e742p-2, 0x1.fc7335cb186ep-3, 0x1.f1766578477f1p-3, 0x1.e6a0626e9bf4cp-3, 0x1.dbf1643995a88p-3, 0x1.d1699a25a39ddp-3, 0x1.c7092b73a7fe1p-3, 0x1.bcd0378d9e591p-3, 0x1.b2bed63c366e4p-3, 0x1.a8d517dd37826p-3, 0x1.9f13059a89f48p-3, 0x1.9578a1a1c848dp-3, 0x1.8c05e75c34797p-3, 0x1.82bacba6e9185p-3, 0x1.79973d0b34a9p-3, 0x1.709b23f6ff88cp-3, 0x1.67c662f51bd99p-3, 0x1.5f18d6e56dd79p-3, 0x1.56925734d154fp-3, 0x1.4e32b614aac4cp-3, 0x1.45f9c0b20a51fp-3, 0x1.3de73f6c4da93p-3, 0x1.35faf60b388a5p-3, 0x1.2e34a3f4671b3p-3, 0x1.2694046012f19p-3, 0x1.1f18ce8d1a1e9p-3, 0x1.17c2b5f43f6f5p-3, 0x1.10916a7a9088bp-3, 0x1.098498a2f0fdap-3, 0x1.029be9beb6247p-3, 0x1.f7ae083ab0215p-4, 0x1.ea6b167646ee6p-4, 0x1.dd6e3fdde0017p-4, 0x1.d0b6c12d9bb21p-4, 0x1.c443d2874faf4p-4, 0x1.b814a7c7b483p-4, 0x1.ac2870d9656ap-4, 0x1.a07e5a05becfcp-4, 0x1.95158c438192ap-4, 0x1.89ed2d834bc6cp-4, 0x1.7f0460f9dd4ap-4, 0x1.745a476823971p-4, 0x1.69edff6110e2bp-4, 0x1.5fbea58d40cd2p-4, 0x1.55cb54ec68e49p-4, 0x1.4c1327149b4f5p-4, 0x1.4295346f5c5p-4, 0x1.395094749182p-4, 0x1.30445de34d9d4p-4, 0x1.276fa6f880ad1p-4, 0x1.1ed185a390981p-4, 0x1.16690fb8e2c58p-4, 0x1.0e355b225c53cp-4, 0x1.06357e0de3145p-4, 0x1.fcd11e33c9825p-5, 0x1.ed9b4affdb7d7p-5, 0x1.dec7b27ab44a9p-5, 0x1.d05486744e1abp-5, 0x1.c23ffadbe02a7p-5, 0x1.b488460642153p-5, 0x1.a72ba0f0ce4e4p-5, 0x1.9a284780d33c9p-5, 0x1.8d7c78bfad5a8p-5, 0x1.8126771398141p-5, 0x1.7524887550209p-5, 0x1.6974f6a297e07p-5, 0x1.5e160f4db49efp-5, 0x1.53062449f9d3ap-5, 0x1.48438bb577254p-5, 0x1.3dcca01fdc2f1p-5, 0x1.339fc0aeabb6fp-5, 0x1.29bb513ecd1cp-5, 0x1.201dba8395abcp-5, 0x1.16c56a235dee1p-5, 0x1.0db0d2d1b09e1p-5, 0x1.04de6c6734bf3p-5, 0x1.f89967eeae0b6p-6, 0x1.e7f457c7aad0fp-6, 0x1.d7cab7dc65aebp-6, 0x1.c819a28e657fap-6, 0x1.b8de3d38c8f1bp-6, 0x1.aa15b847b3584p-6, 0x1.9bbd4f4c281c9p-6, 0x1.8dd2490c81201p-6, 0x1.8051f791a1237p-6, 0x1.7339b830fe59p-6, 0x1.6686f393b446ap-6, 0x1.5a371dbab214ep-6, 0x1.4e47b6002cb2fp-6, 0x1.42b6471670f47p-6, 0x1.37806704398dfp-6, 0x1.2ca3b71e9ebf3p-6, 0x1.221de400cc008p-6, 0x1.17eca58183721p-6, 0x1.0e0dbea6a1015p-6, 0x1.047efd96ac0d5p-6, 0x1.f67c771120539p-7, 0x1.e492b9634603bp-7, 0x1.d33ca0640536ap-7, 0x1.c2761ffedcedcp-7, 0x1.b23b419d5d18cp-7, 0x1.a28823f74020bp-7, 0x1.9358fadff76d1p-7, 0x1.84aa0f11e5ffap-7, 0x1.7677bdf758a2p-7, 0x1.68be7971836b2p-7, 0x1.5b7ac79d8606p-7, 0x1.4ea94297c5887p-7, 0x1.4246983d9c232p-7, 0x1.364f89ed958d9p-7, 0x1.2ac0ec4656947p-7, 0x1.1f97a6e4498bp-7, 0x1.14d0b41e36549p-7, 0x1.0a6920c0de15cp-7, 0x1.005e0bc9bb356p-7, 0x1.ed594c41fd29dp-8, 0x1.daa464a5ca0e3p-8, 0x1.c8980890fdd24p-8, 0x1.b72f0200019fcp-8, 0x1.a6643c8969927p-8, 0x1.9632c4cd471e2p-8, 0x1.8695c7e40e3d4p-8, 0x1.778892cd3eac5p-8, 0x1.690691ddf026cp-8, 0x1.5b0b502f699ep-8, 0x1.4d92770de411ep-8, 0x1.4097cd679a408p-8, 0x1.3417373c46ac7p-8, 0x1.280cb50d29977p-8, 0x1.1c74634db3a62p-8, 0x1.114a79d4f19b8p-8, 0x1.068b4b4fd040fp-8, 0x1.f8668968a15d4p-9, 0x1.e47dd96b7fa4p-9, 0x1.d155c674159b6p-9, 0x1.bee7c1a07feebp-9, 0x1.ad2d6c509c5d3p-9, 0x1.9c2097182da23p-9, 0x1.8bbb40b3b84c3p-9, 0x1.7bf79500419acp-9, 0x1.6ccfebf603878p-9, 0x1.5e3ec8a6306f4p-9, 0x1.503ed83bdce04p-9, 0x1.42caf10023d16p-9, 0x1.35de11619bc73p-9, 0x1.29735eff2798ep-9, 0x1.1d8625b634487p-9, 0x1.1211d6b477a2ap-9, 0x1.0712078d3306fp-9, 0x1.f904e2a40e94bp-10, 0x1.e4bddf5ecd4fep-10, 0x1.d1470019581fcp-10, 0x1.be98815fa6aa3p-10, 0x1.acaadfc9da7c1p-10, 0x1.9b76d65271e97p-10, 0x1.8af55cb3fcd69p-10, 0x1.7b1fa5ce2e42cp-10, 0x1.6bef1e126e9c5p-10, 0x1.5d5d69f7cf56ap-10, 0x1.4f64647676482p-10, 0x1.41fe1d8a6c8a9p-10, 0x1.3524d8bdd7a05p-10, 0x1.28d30bba8658fp-10, 0x1.1d035ce2db982p-10, 0x1.11b0a1f1f897dp-10, 0x1.06d5dea32d67fp-10, 0x1.f8dc86c1300b5p-11, 0x1.e4ea57f1cd1f1p-11, 0x1.d1cc3cb85d3efp-11, 0x1.bf7992bf96164p-11, 0x1.adea07125800bp-11, 0x1.9d1593bf15079p-11, 0x1.8cf47d88d7af7p-11, 0x1.7d7f51a5c1f44p-11, 0x1.6eaee38adf853p-11, 0x1.607c4ac51e387p-11, 0x1.52e0e0df46a79p-11, 0x1.45d63f54c61e9p-11, 0x1.39563d911f88p-11, 0x1.2d5aeefbd5da2p-11, 0x1.21dea110a0f3fp-11, 0x1.16dbd983c0c9p-11, 0x1.0c4d54723d8a2p-11, 0x1.022e029de5487p-11, 0x1.f0f20f69b2b98p-12, 0x1.de537148ec689p-12, 0x1.cc7733eed5e92p-12, 0x1.bb54bc7d96bc7p-12, 0x1.aae3c90bd77d2p-12, 0x1.9b1c6da1ad7f2p-12, 0x1.8bf7114a578bfp-12, 0x1.7d6c6b3a633f1p-12, 0x1.6f758009e3308p-12, 0x1.620b9f02463d4p-12, 0x1.55285f7f7b42cp-12, 0x1.48c59e63f536dp-12, 0x1.3cdd7b9f317c9p-12, 0x1.316a57c66509cp-12, 0x1.2666d1bee52cdp-12, 0x1.1bcdc479f748cp-12, 0x1.119a44c1a232cp-12, 0x1.07c79f1626377p-12, 0x1.fca2ab3775e9ep-13, 0x1.ea663c30766dep-13, 0x1.d8d1c000bf9e1p-13, 0x1.c7dd652864138p-13, 0x1.b781b614b2dbfp-13, 0x1.a7b79593d64f1p-13, 0x1.98783b64d6cbbp-13, 0x1.89bd30e3409d7p-13, 0x1.7b804dcdd05p-13, 0x1.6dbbb52778806p-13, 0x1.6069d2321ff13p-13, 0x1.538555826a0bdp-13, 0x1.4709322bf8c95p-13, 0x1.3af09b057b146p-13, 0x1.2f370003f5b81p-13, 0x1.23d80baca855dp-13, 0x1.18cfa09cfaa9ep-13, 0x1.0e19d727d732ap-13, 0x1.03b2fb07f185cp-13, 0x1.f32f124ca8cb1p-14, 0x1.df885ae974c54p-14, 0x1.cc6b81b63e40bp-14, 0x1.b9d28e7016411p-14, 0x1.a7b7dae609264p-14, 0x1.96160f41716d2p-14, 0x1.84e81e70933b6p-14, 0x1.742942b2a54d5p-14, 0x1.63d4fa443e747p-14, 0x1.53e7042b41f8bp-14, 0x1.445b5d215b45p-14, 0x1.352e3c9c2586bp-14, 0x1.265c11f21bbb7p-14, 0x1.17e1819b74dbfp-14, 0x1.09bb628e181c3p-14, 0x1.f7cd7767a39a7p-15, 0x1.dcc182f3fddfcp-15, 0x1.c24da6f3c99d2p-15, 0x1.a86cf471dceb8p-15, 0x1.8f1aca0029074p-15, 0x1.7652cf935d1b4p-15, 0x1.5e10f289f7e4dp-15, 0x1.465161dd5d612p-15, 0x1.2f108a7b96a3ep-15, 0x1.184b13c866497p-15, 0x1.01fddc446c2d6p-15, 0x1.d84becb216fb4p-16, 0x1.ad814a8fc6e29p-16, 0x1.8396b47940edep-16, 0x1.5a8762fffcd62p-16, 0x1.324edf95b5c66p-16, 0x1.0ae8ff706d344p-16, 0x1.c8a3bd54664dp-17, 0x1.7d0bb73527c1ap-17, 0x1.330324cf3c2d4p-17, 0x1.d50763324f0d3p-18, 0x1.470ee8511fab3p-18, 0x1.78239a2aaf2f9p-19, 0x1.a02defcb4e2c7p-21, -0x1.447bb7f93a36cp-20, -0x1.a6ca84cf2c4b6p-19, -0x1.52d5b9eae379ep-18, -0x1.cf784a170523dp-18, -0x1.24aa374b0bdd6p-17, -0x1.603899e4f8957p-17, -0x1.9a6aa06af0dc1p-17, -0x1.d343708dd1952p-17, -0x1.0563034c33f38p-16, -0x1.207a9cd4a5398p-16, -0x1.3ae9dfd727341p-16, -0x1.54b2189216e5ap-16, -0x1.6dd4864e68ec4p-16, -0x1.86525d0755e07p-16, -0x1.9e2cc6f7a7a05p-16, -0x1.b564e60dd8554p-16, -0x1.cbfbd54800d83p-16, -0x1.e1f2a9f8b6afbp-16, -0x1.f74a74f5cbc51p-16, -0x1.060221d8fab0ep-15, -0x1.101090a11f70ep-15, -0x1.19d10ba820b61p-15, -0x1.2344177cf9e98p-15, -0x1.2c6a38cff95a7p-15, -0x1.3543f4d18b14p-15, -0x1.3dd1d1890b07ap-15, -0x1.46145624053ap-15, -0x1.4e0c0b3e408b1p-15, -0x1.55b97b22ecba2p-15, -0x1.5d1d3207509bp-15, -0x1.6437be3f48777p-15, -0x1.6b09b06be71eep-15, -0x1.71939ba48b10dp-15, -0x1.77d6159aad4b6p-15, -0x1.7dd1b6b8bb2afp-15, -0x1.83871a3c36141p-15, -0x1.88f6de4b682c8p-15, -0x1.8e21a406e4895p-15, -0x1.93080f97185cp-15, -0x1.97aac836243e1p-15, -0x1.9c0a78363969ep-15, -0x1.a027cd04b08fbp-15, -0x1.a403772a1052p-15, -0x1.a79e2a47340c4p-15, -0x1.aaf89d0fc7228p-15, -0x1.ae1389423dec7p-15, -0x1.b0efab9d7e4fcp-15, -0x1.b38dc3d4611d6p-15, -0x1.b5ee947f2f237p-15, -0x1.b812e30b4d7ap-15, -0x1.b9fb77a92fbcdp-15, -0x1.bba91d38c0d5fp-15, -0x1.bd1ca1345b918p-15, -0x1.be56d39a76499p-15, -0x1.bf5886d62387dp-15, -0x1.c0228fa67f089p-15, -0x1.c0b5c5052a11dp-15, -0x1.c113000bec5f8p-15, -0x1.c13b1bd996d5p-15, -0x1.c12ef5763c7bep-15, -0x1.c0ef6bb6dd8f1p-15, -0x1.c07d5f2095dcdp-15, -0x1.bfd9b1cb675c3p-15, -0x1.bf054744ae4a5p-15, -0x1.be0104715a315p-15, -0x1.bccdcf6ff536ep-15, -0x1.bb6c8f7a8ef4cp-15, -0x1.b9de2cc8999fcp-15, -0x1.b8239070c4a9dp-15, -0x1.b63da44aeb909p-15, -0x1.b42d52d219358p-15, -0x1.b1f38706b89b9p-15, -0x1.af912c50f6485p-15, -0x1.ad072e635d73cp-15, -0x1.aa56791dc199dp-15, -0x1.a77ff87075de5p-15, -0x1.a484983fde274p-15, -0x1.a165444864036p-15, -0x1.9e22e802d40d5p-15, -0x1.9abe6e89298d2p-15, -0x1.9738c27bd43e6p-15, -0x1.9392cde77723bp-15, -0x1.8fcd7a2b2a7fcp-15, -0x1.8be9afdf43d5ap-15, -0x1.87e856bca89e3p-15, -0x1.83ca5584afab2p-15, -0x1.7f9091e9952c4p-15, -0x1.7b3bf07782c94p-15, -0x1.76cd547e3136fp-15, -0x1.72459ffb23a47p-15, -0x1.6da5b3847e70bp-15, -0x1.68ee6e347d7c1p-15, -0x1.6420ad95895c7p-15, -0x1.5f3d4d8eece6p-15, -0x1.5a4528522cd46p-15, -0x1.553916490024bp-15, -0x1.5019ee03ec018p-15, -0x1.4ae8842980bb2p-15, -0x1.45a5ab66393d6p-15, -0x1.4052345cfe178p-15, -0x1.3aeeed984652ap-15, -0x1.357ca37bda68fp-15, -0x1.2ffc20373849dp-15, -0x1.2a6e2bb892a66p-15, -0x1.24d38ba06fd9bp-15, -0x1.1f2d0335e2a8ep-15, -0x1.197b535b5fbcap-15, -0x1.13bf3a84278b3p-15, -0x1.0df974aa4c43ap-15, -0x1.082abb45477ap-15, -0x1.0253c541266ddp-15, -0x1.f8ea8dec89f8cp-16, -0x1.ed1fe443321aap-16, -0x1.e148ebbb0ff8dp-16, -0x1.d566fd368ee43p-16, -0x1.c97b6c398e48bp-16, -0x1.bd8786de3b7a7p-16, -0x1.b18c95caf33cap-16, -0x1.a58bdc292317bp-16, -0x1.9986979d26296p-16, -0x1.8d7e003f1b477p-16, -0x1.81734894a4993p-16, -0x1.75679d8b9abfap-16, -0x1.695c26759f5dfp-16, -0x1.5d52050498613p-16, -0x1.514a5547fdb09p-16, -0x1.45462dab01334p-16, -0x1.39469ef38aafbp-16, -0x1.2d4cb441f5807p-16, -0x1.215973119d176p-16, -0x1.156ddb3a23699p-16, -0x1.098ae6f1764ebp-16, -0x1.fb63159d06844p-17, -0x1.e3c56b9945c4cp-17, -0x1.cc3ea29f55caep-17, -0x1.b4d08251445b6p-17, -0x1.9d7cc73635351p-17, -0x1.864522c641748p-17, -0x1.6f2b3b77859bdp-17, -0x1.5830accc4cf41p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.b309e8126d184p+0, 0x1.b8f4de73286c6p+1, -0x1.948c61c7247c4p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.a4e924f227d03p+1, -0x1.bb937fffd2f09p+2, 0x1.78e66666666ap+2, 0x1.84dbfc8fec42ap-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.82a30db6a1e82p+1, -0x1.9d30dbf4e21b1p+2, 0x1.7ebb9eab1e702p+2, -0x1.e612fbb3e7203p+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.62c679cc74b84p+1, -0x1.7fbd223260a28p+2, 0x1.6191855386549p+2, -0x1.34eb105463818p+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4530164840e17p+1, -0x1.6431d9ecd1d39p+2, 0x1.4f0889776be14p+2, -0x1.5040c2fa86643p+1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.29be2b4959e62p+1, -0x1.4a32f64ec5d51p+2, 0x1.3adbb0f7bff9fp+2, -0x1.3811e3c18a07ep+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.105082cf52b91p+1, -0x1.31c2670ef9c67p+2, 0x1.28224c432d747p+2, -0x1.2977adff469eap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.f1908e581cf78p+0, -0x1.1ac857bfdf2a7p+2, 0x1.164932766bc7p+2, -0x1.1e0f64415d788p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.c61059ea57215p+0, -0x1.0534cd6645f97p+2, 0x1.051f50498a026p+2, -0x1.0e4ac0fb46cf2p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.9de84f09528f2p+0, -0x1.e1ee2b58b827p+1, 0x1.e9cf41bc9ae19p+1, -0x1.02c597d188db9p+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.78e325d4a5df2p+0, -0x1.bbfcd8fe0aa07p+1, 0x1.cac1c91e57421p+1, -0x1.ed3dbf7d25bb1p+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.56ce032db1e9fp+0, -0x1.98788d5b25873p+1, 0x1.ad2999ca0831dp+1, -0x1.d17dd2686364bp+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.377878b7a1c26p+0, -0x1.77414d55797d5p+1, 0x1.913ba6c3c4caap+1, -0x1.bccaf6e137b4cp+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.1ab4a66559f6fp+0, -0x1.583954a7d6a1p+1, 0x1.768ba23122baap+1, -0x1.a7565212c9669p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.0056d5cfaacdap+0, -0x1.3b46bd05d8d6ep+1, 0x1.5d252ca0a6013p+1, -0x1.8ddbc0d3a1691p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d06af46aa087dp-1, -0x1.204cb04a31bb6p+1, 0x1.454611b2abaep+1, -0x1.7d3aaa9eb2e4bp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.a452a411c2a02p-1, -0x1.07314f6fe41e9p+1, 0x1.2e66639ee8a06p+1, -0x1.653994b1909c6p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.7c1a048e043a2p-1, -0x1.dfb746bd60f2ap+0, 0x1.18f76a0f22827p+1, -0x1.55df029b11c86p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.577a919695d92p-1, -0x1.b466fb35c3244p+0, 0x1.0474461012154p+1, -0x1.3f4a60e21b268p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.363150dae3e6dp-1, -0x1.8c431f28ceb6ep+0, 0x1.e297f123ba821p+0, -0x1.30f779dc89fedp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.17ff36ac64778p-1, -0x1.671e59753dcb1p+0, 0x1.bdff5d656c82p+0, -0x1.1cd7b7abbbfb1p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.f950fc71d6063p-2, -0x1.44ce55bc2f763p+0, 0x1.9bd0ffacf9ca8p+0, -0x1.0fa9a77484725p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.c7e9d94d0dcfdp-2, -0x1.252a2775f8e36p+0, 0x1.7b37852e5a897p+0, -0x1.f9035504688ep-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.9b5e95b78cc9ap-2, -0x1.080a1290ca2a1p+0, 0x1.5cea8533358bp+0, -0x1.dc9f5d055129fp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.734b945308bb9p-2, -0x1.da8a372d7b5bep-1, 0x1.405199380297fp+0, -0x1.c47f36e65539dp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.4f52fc2656abep-2, -0x1.a975fcedeb954p-1, 0x1.252b3ee282999p+0, -0x1.a163c7615a4f5p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.2f1c3265add9cp-2, -0x1.7c8ead5fa660cp-1, 0x1.0c20238fde75fp+0, -0x1.8df1ab943fc8ap-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.1254a3c64345dp-2, -0x1.53913fa65259p-1, 0x1.e87f6ff977d4p-1, -0x1.6ed58a4db03a4p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.f15ce9e5e2479p-3, -0x1.2e3f9455b4ec9p-1, 0x1.bc7a4ae5e7cd8p-1, -0x1.56b82b34ed1b5p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.c3c297bfa4c62p-3, -0x1.0c55cf446335fp-1, 0x1.9359f3cb1307ap-1, -0x1.4649c8dea4e97p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.9b530ced4e4c9p-3, -0x1.db443b9b29b8ap-2, 0x1.6c3260cf13b86p-1, -0x1.2820b1507dec6p-1}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.778ee28672757p-3, -0x1.a3d67eeb7180bp-2, 0x1.48a955c56b026p-1, -0x1.193371df655b2p-1}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.5800a7c5ac472p-3, -0x1.71f39a054c0e1p-2, 0x1.26ead77769162p-1, -0x1.03118731ec4d9p-1}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3c3a42f1ed17cp-3, -0x1.45407940e77e6p-2, 0x1.07d4421f7fee1p-1, -0x1.d50ce2b1cec6cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.23d5fdcdf6988p-3, -0x1.1d4a66c0330b5p-2, 0x1.d75f4a529f5dep-2, -0x1.c5a966d4f106dp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.0e7685985ad54p-3, -0x1.f38450ba7220fp-3, 0x1.a0eecd57ca1f7p-2, -0x1.944d81fa6c22ep-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.f7878b7a1c25dp-4, -0x1.b4b05c89f085fp-3, 0x1.706a9f0689f24p-2, -0x1.792091415c917p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.d6db0dd82fd76p-4, -0x1.7d5cd9956631dp-3, 0x1.432945ea37288p-2, -0x1.5730390022a4p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.ba53b8e4b87bep-4, -0x1.4cf3960290151p-3, 0x1.19fa86c13d3dcp-2, -0x1.3a1e8abe192d7p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.a16a487336588p-4, -0x1.22d9b8aae58d6p-3, 0x1.e891900d2cc26p-3, -0x1.20559c077be79p-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.8ba30121682f9p-4, -0x1.fd10e4dc39d52p-4, 0x1.a35e4be26b2f8p-3, -0x1.048b0523ef01bp-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.788ca3e7d1351p-4, -0x1.bef8300fef034p-4, 0x1.64d688173c105p-3, -0x1.dafc9ed19aa1bp-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.67c06e19b90eap-4, -0x1.8a6f6e2458c17p-4, 0x1.2bd6efe99a25dp-3, -0x1.8af77a71b4597p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.58e219652bd3cp-4, -0x1.5e40aba52177p-4, 0x1.f8e31e9931f87p-4, -0x1.f9257767956a2p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.4b9dc2f405f6cp-4, -0x1.3ab60752995f3p-4, 0x1.7fa6ed761859fp-4, 0x1.9f1ab020107cep-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.3fab10ba6267p-4, -0x1.1a06c1197be6bp-4, 0x1.b176ee1dc868fp-4, -0x1.28a1fd1b111f2p+0}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.34c6e6d9be4cep-4, -0x1.0e216ffa75c8fp-4, -0x1.1024042c5f031p-5, 0x1.22bb82f376283p-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.47ae147ae147bp-5, -0x1.2c47eff00bf6cp-4, 0x1.2507335a2fddfp-6, -0x1.30d59e7e8c101p-2}, 
      }}, 
      0x1.879a62636c7c9p-1, -0x1.e12b6fc60963cp-2
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_c_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.b93ad5d5e17a5p-6, -0x1.330a110f74256p-5, -0x1.be0ec911cd15ep-5, -0x1.3bce2b0ea6f63p-4, -0x1.ac689c5c88014p-4, -0x1.16a141536af6fp-3, -0x1.5d697cd1f18aap-3, -0x1.a8de5a737c369p-3, -0x1.f77019faf4fe3p-3, -0x1.23da10303ffa6p-2, -0x1.4c33c4fb8ff9cp-2, -0x1.7437b2ccb9502p-2, -0x1.9b6c1f4288d2ap-2, -0x1.c16a390bca2f4p-2, -0x1.e5db36ca68919p-2, -0x1.043c910f657b9p-1, -0x1.1485dc60fe178p-1, -0x1.23b381a43f58p-1, -0x1.31b528928a57ep-1, -0x1.3e7f70aa43c5ap-1, -0x1.4a0b3844517f5p-1, -0x1.5454cdd9c9c8bp-1, -0x1.5d5baa8acc26p-1, -0x1.65222c453f524p-1, -0x1.6bacc56fa3a35p-1, -0x1.71026739743c9p-1, -0x1.752b6967dfb37p-1, -0x1.78308eeae56fcp-1, -0x1.7a1c37ae17cf7p-1, -0x1.7afa6465e2b8dp-1, -0x1.7ad6f68e7d307p-1, -0x1.79becdd37b038p-1, -0x1.77bea6ffc199ap-1, -0x1.74e3a7ef99107p-1, -0x1.713b38fee39f6p-1, -0x1.6cd2c9ba5e87fp-1, -0x1.67b79f5b79aa8p-1, -0x1.61f6cd6e85c89p-1, -0x1.5b9d3c04df2d5p-1, -0x1.54b79bac12dbcp-1, -0x1.4d524d1ce0b4dp-1, -0x1.457951c9c4de7p-1, -0x1.3d38496ef57a4p-1, -0x1.349a7122b9e5fp-1, -0x1.2baa9bc514e37p-1, -0x1.227326a1461fcp-1, -0x1.18fdf133a2fc2p-1, -0x1.0f545b6ab9685p-1, -0x1.057f48f18e8e4p-1, -0x1.f70e4c1625a7fp-2, -0x1.e2e7d61ce93b3p-2, -0x1.ce9a3aa70d7b1p-2, -0x1.ba339c794ff4cp-2, -0x1.a5c1343d83e01p-2, -0x1.914f516eb5455p-2, -0x1.7ce9602603454p-2, -0x1.6899f39e1e40ep-2, -0x1.546ad3a72bc58p-2, -0x1.40650a5d1f6f5p-2, -0x1.2c90ef94ea603p-2, -0x1.18f6309a476bbp-2, -0x1.059bd4708d9aap-2, -0x1.e5433e463518dp-3, -0x1.bfb94bbf25699p-3, -0x1.9ad22f423804ap-3, -0x1.7696b75d131c6p-3, -0x1.530e8ac2792aep-3, -0x1.304053a773d9fp-3, -0x1.0e31e6830239fp-3, -0x1.d9d0b9767356ep-4, -0x1.98d0429f74579p-4, -0x1.5969e4fb2761ap-4, -0x1.1ba3bc4e57703p-4, -0x1.bf04fc38ab8ebp-5, -0x1.4a12fcc20f71dp-5, -0x1.b0eb077820105p-6, -0x1.a8b8e219c76c7p-7, 0x1.86ab1a5cd52d9p-14, 0x1.a1858d75b892ep-7, 0x1.995f6d027ddf7p-6, 0x1.2db3684af07e8p-5, 0x1.8b72c0afa4702p-5, 0x1.e5f51eabae0ebp-5, 0x1.1ea174cbb0306p-4, 0x1.48b2c34246cf6p-4, 0x1.7133a6dc920eap-4, 0x1.9829befa3bd88p-4, 0x1.bd9b165b86835p-4, 0x1.e18e19ecb2c07p-4, 0x1.0204c7517fb77p-3, 0x1.128a4370bbbbep-3, 0x1.225b2be42134bp-3, 0x1.317b475924122p-3, 0x1.3fee7383d5ec3p-3, 0x1.4db8a03c34395p-3, 0x1.5addcad51753bp-3, 0x1.6761f9b4d8062p-3, 0x1.7349383de4535p-3, 0x1.7e97931c4e333p-3, 0x1.895115110a6b5p-3, 0x1.9379c4508a546p-3, 0x1.9d15a080e40a3p-3, 0x1.a628a154ed674p-3, 0x1.aeb6b5b163f12p-3, 0x1.b6c3c33b5a3d9p-3, 0x1.be53a6260b031p-3, 0x1.c56a3113c7ab8p-3, 0x1.cc0b2ce16810fp-3, 0x1.d23a583c7e709p-3, 0x1.d7fb66f025275p-3, 0x1.dd5200e0d6326p-3, 0x1.e241c0bb4d327p-3, 0x1.e6ce3263bc839p-3, 0x1.eafad1397467dp-3, 0x1.eecb06476eaf9p-3, 0x1.f242267c619b9p-3, 0x1.f563710596a2p-3, 0x1.f8320de668f16p-3, 0x1.fab10ce32ffcbp-3, 0x1.fce364d0f47d1p-3, 0x1.fecbf353e2608p-3, 0x1.0036be86b05fdp-2, 0x1.00e55718b2673p-2, 0x1.01730db9002d7p-2, 0x1.01e12194fb0bbp-2, 0x1.0230c755ebd43p-2, 0x1.0260fbc7a48e8p-2, 0x1.02766fedca859p-2, 0x1.0270f6b7e8a1cp-2, 0x1.0251a7f8f460cp-2, 0x1.021992175204cp-2, 0x1.01c9ba6795b3bp-2, 0x1.01631d8914941p-2, 0x1.00e6afbd73723p-2, 0x1.00555d35e934ap-2, 0x1.ff6014a5dcd5cp-3, 0x1.fdef27aab9467p-3, 0x1.fc599e0481912p-3, 0x1.faa11378eb161p-3, 0x1.f8c71530b281dp-3, 0x1.f6cd21dd1694dp-3, 0x1.f4b4a9e4eadap-3, 0x1.f27f0fa162944p-3, 0x1.f02da7b05a822p-3, 0x1.edc1b95f0fc53p-3, 0x1.eb3c7f2d60f5cp-3, 0x1.e89f2766f4f6p-3, 0x1.e5ead4cd8c4c6p-3, 0x1.e3209f4e27e6ep-3, 0x1.e04194b9f850cp-3, 0x1.dd4eb97bc2e9cp-3, 0x1.da490942fd8f8p-3, 0x1.d731779ed3121p-3, 0x1.d408f0848bc2p-3, 0x1.d0d058be7abf2p-3, 0x1.cd888e42270ddp-3, 0x1.ca32686e1d84fp-3, 0x1.c6ceb8314f5e3p-3, 0x1.c35e481f17b22p-3, 0x1.bfe1dc7408482p-3, 0x1.bc5a331033adap-3, 0x1.b8c8036bc86d3p-3, 0x1.b52bfe8ade717p-3, 0x1.b186cef4bdb14p-3, 0x1.add918b24368cp-3, 0x1.aa23795640d39p-3, 0x1.a66688119b0c1p-3, 0x1.a2a2d5d427a0cp-3, 0x1.9ed8ed7a3285bp-3, 0x1.9b09540601dc6p-3, 0x1.973488e3cbbe9p-3, 0x1.935b0636582b4p-3, 0x1.8f7d4129ee65ap-3, 0x1.8b9baa4b3dcb9p-3, 0x1.87b6addfca947p-3, 0x1.83ceb43d830ecp-3, 0x1.7fe4221f61484p-3, 0x1.7bf758f53fe5dp-3, 0x1.7808b72d56577p-3, 0x1.741898764836cp-3, 0x1.702755f8f838fp-3, 0x1.6c354689cf89dp-3, 0x1.6842bed15ba8ap-3, 0x1.6450116cad349p-3, 0x1.605d8f05df749p-3, 0x1.5c6b8665a7252p-3, 0x1.587a447ebe4aap-3, 0x1.548a1474394fdp-3, 0x1.509b3f9bbd7dfp-3, 0x1.4cae0d7cbbf43p-3, 0x1.48c2c3cd908b4p-3, 0x1.44d9a66f7f53cp-3, 0x1.40f2f76a55b9dp-3, 0x1.3d0ef6e859f0fp-3, 0x1.392de33318094p-3, 0x1.354ff8b1690a8p-3, 0x1.317571e70a479p-3, 0x1.2d9e8775dd8bdp-3, 0x1.29cb7020dd92p-3, 0x1.25fc60d0c33fbp-3, 0x1.22318c9a340fdp-3, 0x1.1e6b24c54f747p-3, 0x1.1aa958d65bda5p-3, 0x1.16ec5697612a9p-3, 0x1.13344a226d10dp-3, 0x1.0f815dec3c68ap-3, 0x1.0bd3bacf26a35p-3, 0x1.082b8815fbfc5p-3, 0x1.0488eb86ca2b4p-3, 0x1.00ec096d51ebdp-3, 0x1.faaa094a394a1p-4, 0x1.f387fd464839ep-4, 0x1.ec722efe06da2p-4, 0x1.e568dbf7545c4p-4, 0x1.de6c3f1f43609p-4, 0x1.d77c90d9c87fbp-4, 0x1.d09a0710a912cp-4, 0x1.c9c4d541cba71p-4, 0x1.c2fd2c8cf66e3p-4, 0x1.bc433bc125e2ap-4, 0x1.b5972f6980e84p-4, 0x1.aef931da0a133p-4, 0x1.a8696b3c1199dp-4, 0x1.a1e8019a6d38ap-4, 0x1.9b7518ed906bdp-4, 0x1.9510d327576e2p-4, 0x1.8ebb503eac64ap-4, 0x1.8874ae3ae9572p-4, 0x1.823d093eeda1bp-4, 0x1.7c147b93e40fp-4, 0x1.75fb1db3ada5p-4, 0x1.6ff10652e8854p-4, 0x1.69f64a6a8df36p-4, 0x1.640afd411fc53p-4, 0x1.5e2f307366767p-4, 0x1.5862f3fcbd976p-4, 0x1.52a6563ef2a25p-4, 0x1.4cf96409b8adbp-4, 0x1.475c28a1bb02cp-4, 0x1.41ceadc754934p-4, 0x1.3c50fbbcf7eb1p-4, 0x1.36e3194d5339dp-4, 0x1.31850bd13b5cfp-4, 0x1.2c36d7356aeeap-4, 0x1.26f87e00233fap-4, 0x1.21ca0156b8bcp-4, 0x1.1cab610319818p-4, 0x1.179c9b7956126p-4, 0x1.129daddd362cp-4, 0x1.0dae9407e5b6dp-4, 0x1.08cf488db91c9p-4, 0x1.03ffc4c417cb4p-4, 0x1.fe80018f10499p-5, 0x1.f51fe703cc5d1p-5, 0x1.ebdaf5e5847fep-5, 0x1.e2b9b2f9f38f9p-5, 0x1.d9b798ce39a9bp-5, 0x1.d0d48b63f29c3p-5, 0x1.c8106ca44744dp-5, 0x1.bf6b1c6f1775fp-5, 0x1.b6e478aa4f211p-5, 0x1.ae7c5d51563ffp-5, 0x1.a632a48494711p-5, 0x1.9e072698fc51cp-5, 0x1.95f9ba27967eap-5, 0x1.8e0a341cfdcc8p-5, 0x1.863867c8c8279p-5, 0x1.7e8426ecce5fep-5, 0x1.76ed41cc4f047p-5, 0x1.6f73873adfa15p-5, 0x1.6816c4ab2dcb2p-5, 0x1.60d6c63d82f0fp-5, 0x1.59b356ce0af61p-5, 0x1.52ac4002db774p-5, 0x1.4bc14a59b5befp-5, 0x1.44f23d3584d21p-5, 0x1.3e3edeeb951eap-5, 0x1.37a6f4d089aa5p-5, 0x1.312a434508c66p-5, 0x1.2ac88dc228604p-5, 0x1.248196e597d32p-5, 0x1.1e55207d89557p-5, 0x1.1842eb945dd46p-5, 0x1.124ab87c1396ep-5, 0x1.0c6c46d97e573p-5, 0x1.06a755af46b6cp-5, 0x1.00fba368b1673p-5, 0x1.f6d1dbc8712a4p-6, 0x1.ebdde4fbde49p-6, 0x1.e11adc33698e1p-6, 0x1.d6883a5a7ac6fp-6, 0x1.cc257793d1467p-6, 0x1.c1f20b4cd6d0cp-6, 0x1.b7ed6c50a24f7p-6, 0x1.ae1710da974c9p-6, 0x1.a46e6ea8b5ea8p-6, 0x1.9af2fb0d8d436p-6, 0x1.91a42b01da0c7p-6, 0x1.88817335c368fp-6, 0x1.7f8a4821c6d05p-6, 0x1.76be1e173e9ffp-6, 0x1.6e1c6950916b1p-6, 0x1.65a49e0100e29p-6, 0x1.5d56306414d0cp-6, 0x1.553094cca87dcp-6, 0x1.4d333fb39373ap-6, 0x1.455da5c5eb84bp-6, 0x1.3daf3bf2e44eep-6, 0x1.3627777945e45p-6, 0x1.2ec5cdf47cb82p-6, 0x1.2789b5693ffcap-6, 0x1.2072a451d415ap-6, 0x1.198011a9dd27ep-6, 0x1.12b174f9d2a8bp-6, 0x1.0c0646620256ep-6, 0x1.057dfea52ffb2p-6, 0x1.fe302e659e3f6p-7, 0x1.f1a81461a945ap-7, 0x1.e562a50a48b8fp-7, 0x1.d95ed7bd3e213p-7, 0x1.cd9ba57b8f104p-7, 0x1.c21808fa1b2e5p-7, 0x1.b6d2feb17177bp-7, 0x1.abcb84ece8e35p-7, 0x1.a1009bd90d565p-7, 0x1.967145914a605p-7, 0x1.8c1c862cf8567p-7, 0x1.820163cbb983ap-7, 0x1.781ee6a12fdd7p-7, 0x1.6e7419001681fp-7, 0x1.65000764b95bbp-7, 0x1.5bc1c07ed8ffcp-7, 0x1.52b8553af68d1p-7, 0x1.49e2d8cb0e953p-7, 0x1.414060aeca19dp-7, 0x1.38d004bb26e1bp-7, 0x1.3090df21998a4p-7, 0x1.28820c76ad6acp-7, 0x1.20a2abb82cd69p-7, 0x1.18f1de52cbb23p-7, 0x1.116ec8275bcffp-7, 0x1.0a188f8f918d6p-7, 0x1.02ee5d62598abp-7, 0x1.f7deb9ef7c254p-8, 0x1.ea357858d4d51p-8, 0x1.dcdf56c989b9bp-8, 0x1.cfdabb1f4b5e9p-8, 0x1.c326105164ac9p-8, 0x1.b6bfc674b1e99p-8, 0x1.aaa652bee34b6p-8, 0x1.9ed82f8916effp-8, 0x1.9353dc51c88acp-8, 0x1.8817ddbe17576p-8, 0x1.7d22bd9a73c57p-8, 0x1.72730adaaf3b6p-8, 0x1.68075999797bep-8, 0x1.5dde431749b5p-8, 0x1.53f665b8bf0afp-8, 0x1.4a4e6504702d4p-8, 0x1.40e4e9a046accp-8, 0x1.37b8a14e45b26p-8, 0x1.2ec83ee8e8492p-8, 0x1.26127a5ef91c1p-8, 0x1.1d9610aefc6e5p-8, 0x1.1551c3e21ec99p-8, 0x1.0d445b06c831cp-8, 0x1.056ca22ab1cf6p-8, 0x1.fb92d4a9358bdp-9, 0x1.ecb312fb3a1c4p-9, 0x1.de37b5142d965p-9, 0x1.d01e7a847a6abp-9, 0x1.c2652c94a273fp-9, 0x1.b5099e34ea7f3p-9, 0x1.a809abec6cb52p-9, 0x1.9b633bc76d4d1p-9, 0x1.8f143d451a103p-9, 0x1.831aa944a84cep-9, 0x1.777481f1d2e8cp-9, 0x1.6c1fd2b0cdf69p-9, 0x1.611ab009a48d3p-9, 0x1.566337930cb2dp-9, 0x1.4bf78fdcb1ebcp-9, 0x1.41d5e8590ab12p-9, 0x1.37fc7946a09b6p-9, 0x1.2e698398ed059p-9, 0x1.251b50e0c24a6p-9, 0x1.1c10333443d9p-9, 0x1.134685167ce66p-9, 0x1.0abca95e8ef97p-9, 0x1.02710b1e81e3bp-9, 0x1.f4c43b1391b48p-10, 0x1.e51cb7b6c7d66p-10, 0x1.d5e89277924d2p-10, 0x1.c724e14ce52aep-10, 0x1.b8cec99e8990ep-10, 0x1.aae3800f4c0c6p-10, 0x1.9d604846e1c4bp-10, 0x1.904274bb6072ap-10, 0x1.8387667a72ca4p-10, 0x1.772c8cf24ef8p-10, 0x1.6b2f65ba6e10ep-10, 0x1.5f8d7c5c317efp-10, 0x1.54446a1b5022p-10, 0x1.4951d5be5574dp-10, 0x1.3eb37357090c6p-10, 0x1.3467040af11d8p-10, 0x1.2a6a55dbe3a53p-10, 0x1.20bb4370c5ba5p-10, 0x1.1757b3de6945cp-10, 0x1.0e3d9a70be0b4p-10, 0x1.056af6743be4cp-10, 0x1.f9bba5ff3400ap-11, 0x1.e9288d7bd0d22p-11, 0x1.d918e772189aap-11, 0x1.c9890e4953dd6p-11, 0x1.ba757252fec6p-11, 0x1.abda99628045p-11, 0x1.9db51e6604c7ep-11, 0x1.9001b1004e9d9p-11, 0x1.82bd15239f607p-11, 0x1.75e422ae1c5bbp-11, 0x1.6973c506dfa64p-11, 0x1.5d68fabcfc3ddp-11, 0x1.51c0d52739348p-11, 0x1.4678780563174p-11, 0x1.3b8d1922d7aecp-11, 0x1.30fbfffa82d23p-11, 0x1.26c2855bef4bdp-11, 0x1.1cde13123a86ep-11, 0x1.134c238be3911p-11, 0x1.0a0a41842fa7fp-11, 0x1.011607adf9513p-11, 0x1.f0da40bf7c276p-12, 0x1.e01a8a823a11dp-12, 0x1.cfe87df3559bap-12, 0x1.c03fc9c22c315p-12, 0x1.b11c396110052p-12, 0x1.a279b46b2de07p-12, 0x1.94543e0c7aac7p-12, 0x1.86a7f46c5c638p-12, 0x1.7971101aff1b4p-12, 0x1.6cabe380f22cbp-12, 0x1.6054da51143b8p-12, 0x1.546878fd673bfp-12, 0x1.48e35c2db77efp-12, 0x1.3dc23838c4815p-12, 0x1.3301d89fc2828p-12, 0x1.289f1f8c0be82p-12, 0x1.1e97054ec613cp-12, 0x1.14e697e342885p-12, 0x1.0b8afa72dfc4dp-12, 0x1.028164db68472p-12, 0x1.f38e466e86777p-13, 0x1.e2b32acf3b284p-13, 0x1.d26c5d42133dp-13, 0x1.c2b4e9f2ef2e4p-13, 0x1.b38801f088b49p-13, 0x1.a4e0fa50f35eap-13, 0x1.96bb4b593cfedp-13, 0x1.89128fa85a11cp-13, 0x1.7be2836716923p-13, 0x1.6f27037a0a037p-13, 0x1.62dc0cb833226p-13, 0x1.56fdbb240be4bp-13, 0x1.4b884929379cfp-13, 0x1.40780edc81ca5p-13, 0x1.35c981401fae6p-13, 0x1.2b79318a87ea7p-13, 0x1.2183cc7110957p-13, 0x1.17e61975467a7p-13, 0x1.0e9cfa365e943p-13, 0x1.05a569c51ef0ap-13, 0x1.f9f8f7f604e05p-14, 0x1.e93eb9a97a6d2p-14, 0x1.d9169f9f7f3d2p-14, 0x1.c97b5e958c34dp-14, 0x1.ba67d7d28c87ap-14, 0x1.abd717f4d6e68p-14, 0x1.9dc455c50dbf1p-14, 0x1.902af10f417f4p-14, 0x1.8306718223b13p-14, 0x1.76528593c90b3p-14, 0x1.6a0b016c467b3p-14, 0x1.5e2bddd63174ep-14, 0x1.52b1373472dc9p-14, 0x1.47974c7e09195p-14, 0x1.3cda7e3eba66fp-14, 0x1.32774d9e684b1p-14, 0x1.286a5b6c6a5dcp-14, 0x1.1eb06731c9cb2p-14, 0x1.15464e46a6398p-14, 0x1.0c290aefc459ep-14, 0x1.0355b37f1c10fp-14, 0x1.f592f2f268efep-15, 0x1.e5035183df9cep-15, 0x1.d4f74d98d1b31p-15, 0x1.c569e39fedd59p-15, 0x1.b656400606a9fp-15, 0x1.a7b7bdb13012cp-15, 0x1.9989e48c502e5p-15, 0x1.8bc868148ecb6p-15, 0x1.7e6f25f51951ep-15, 0x1.717a24a95f468p-15, 0x1.64e5922938acp-15, 0x1.58adc29d907f8p-15, 0x1.4ccf2f1deed1bp-15, 0x1.414674755b385p-15, 0x1.361051f22eaf8p-15, 0x1.2b29a839ec9fcp-15, 0x1.208f782a4fc1p-15, 0x1.1638619119055p-15, 0x1.0c2e7ce331974p-15, 0x1.0268cece172d1p-15, 0x1.f1c99d3d6e71bp-16, 0x1.df401d3c9d6fcp-16, 0x1.cd30763980fc9p-16, 0x1.bb963305da5f2p-16, 0x1.aa6d0ed6400afp-16, 0x1.99b0f383ac83fp-16, 0x1.895df7d2d60b6p-16, 0x1.79705dd2292bdp-16, 0x1.69e4913c091a4p-16, 0x1.5ab725ea63f5bp-16, 0x1.4be4d65251b52p-16, 0x1.3d6a820d84653p-16, 0x1.2f452c71e6a8p-16, 0x1.2171fb2e4e20dp-16, 0x1.13ee34f71dc5fp-16, 0x1.06b740390f60ap-16, 0x1.f39543b60134ep-17, 0x1.da4bf80e965e2p-17, 0x1.c18e19fc43b05p-17, 0x1.a9575be82f19fp-17, 0x1.91a3a3e97cf49p-17, 0x1.7a6f09af1fac6p-17, 0x1.63b5d468b54bap-17, 0x1.4d7478ca8099ep-17, 0x1.37a7971f794a1p-17, 0x1.224bf96c7310ep-17, 0x1.0d5e91a27dbf2p-17, 0x1.f1b8efc1d1307p-18, 0x1.c985d18f7fd0bp-18, 0x1.a21e87ac0a7e1p-18, 0x1.7b7e13b3cdc26p-18, 0x1.559fb6d1f7713p-18, 0x1.307eeeddd82e6p-18, 0x1.0c17738844904p-18, 0x1.d0ca671a252b6p-19, 0x1.8ac8a4668b9b6p-19, 0x1.4622496a64209p-19, 0x1.02d05f871430cp-19, 0x1.819894fb4eb4p-20, 0x1.001f87b954043p-20, 0x1.02535a8379ab4p-21, 0x1.2aed7e9bd2677p-26, -0x1.d5946cf52cf67p-22, -0x1.da25f1ff73d98p-21, -0x1.626792b790dbap-20, -0x1.d56c1bc3e63a8p-20, -0x1.2314a94d22598p-19, -0x1.5a53c38c1a499p-19, -0x1.90775085f3fa7p-19, -0x1.c58313252b7f6p-19, -0x1.f97aa0410dc8bp-19, -0x1.1630b0b0cf03bp-18, -0x1.2f1d4bc7eb0dbp-18, -0x1.4784aedfec9d8p-18, -0x1.5f6855b17528ep-18, -0x1.76c9ab5743d58p-18, -0x1.8daa0b8141ee6p-18, -0x1.a40ac36c83afp-18, -0x1.b9ed12ff26ebfp-18, -0x1.cf522dbcb57f2p-18, -0x1.e43b3bb5b612dp-18, -0x1.f8a95a6c2da3ep-18, -0x1.064eced3b849ap-17, -0x1.100c882d57121p-17, -0x1.198e5aa137f0ap-17, -0x1.22d4c3df3ffeap-17, -0x1.2be03e3bdc377p-17, -0x1.34b141051c3aep-17, -0x1.3d4840d265b2p-17, -0x1.45a5afd143f6cp-17, -0x1.4dc9fe08b04a9p-17, -0x1.55b5999f1fad3p-17, -0x1.5d68ef1c67b03p-17, -0x1.64e469a2583dp-17, -0x1.6c2873244b2ccp-17, -0x1.733574a361e76p-17, -0x1.7a0bd652887p-17, -0x1.80abffd7c432bp-17, -0x1.8716586482e94p-17, -0x1.8d4b46ea61678p-17, -0x1.934b323c2ba3ep-17, -0x1.9916813286f01p-17, -0x1.9ead9acd2ff99p-17, -0x1.a410e64de7d15p-17, -0x1.a940cb5b06089p-17, -0x1.ae3db20f62d43p-17, -0x1.b30803185b44ep-17, -0x1.b7a027c76d342p-17, -0x1.bc068a2a8064cp-17, -0x1.c03b95163b06cp-17, -0x1.c43fb43955309p-17, -0x1.c813542ab2f5p-17, -0x1.cbb6e27441cfap-17, -0x1.cf2acd9dadb6dp-17, -0x1.d26f85360d01fp-17, -0x1.d58579d9d9793p-17, -0x1.d86d1d3a4798dp-17, -0x1.db26e22325b02p-17, -0x1.ddb33c7bcb1c9p-17, -0x1.e012a14c65da9p-17, -0x1.e24586be4f8c9p-17, -0x1.e44c641b19ed1p-17, -0x1.e627b1cecf44ap-17, -0x1.e7d7e961ab877p-17, -0x1.e95d857eb55cep-17, -0x1.eab901e5942fap-17, }}, 
      {{-0x1.92211007b507ep-6, -0x1.cc6c2bc2247b4p-6, -0x1.15b8aaa026122p-5, -0x1.5640cd5566d82p-5, -0x1.a63a4814749ccp-5, -0x1.01f7b66b7bd23p-4, -0x1.36cf6b4be47e4p-4, -0x1.70c4fd0b25c8dp-4, -0x1.aefff81d4bf16p-4, -0x1.f0b23a69544ap-4, -0x1.1a8d277bc911fp-3, -0x1.3dc24df976863p-3, -0x1.61a6462682c2cp-3, -0x1.85ee307c94301p-3, -0x1.aa567a5ef385ap-3, -0x1.cea2d75021dc8p-3, -0x1.f29da620ba025p-3, -0x1.0b0bd354fb3a7p-2, -0x1.1c73ca1a84597p-2, -0x1.2d74d233bf849p-2, -0x1.3dff8babcb688p-2, -0x1.4e06e1112ce48p-2, -0x1.5d7fe11009903p-2, -0x1.6c6185d35bd3dp-2, -0x1.7aa46a04f3bdcp-2, -0x1.8842ea740e574p-2, -0x1.95389fed73942p-2, -0x1.a1823c4a40582p-2, -0x1.ad1df6651104ap-2, -0x1.b80af7e976f0bp-2, -0x1.c248d4de5fe1fp-2, -0x1.cbd87665cae23p-2, -0x1.d4bb30fe56d6dp-2, -0x1.dcf30851736b1p-2, -0x1.e4828a7c0a70fp-2, -0x1.eb6cb83732b75p-2, -0x1.f1b4f553b02eap-2, -0x1.f75efed0da1e8p-2, -0x1.fc6edd23dd9d5p-2, -0x1.00746aab6e923p-1, -0x1.0268af33ec81bp-1, -0x1.04168bd7df371p-1, -0x1.05805f4dc8f9ep-1, -0x1.06a893461f6a9p-1, -0x1.0791994b7dc58p-1, -0x1.083de75d3768dp-1, -0x1.08aff488336c8p-1, -0x1.08ea36584d409p-1, -0x1.08ef1ee2507a3p-1, -0x1.08c11aba019edp-1, -0x1.08628ee00c271p-1, -0x1.07d5d711f6e26p-1, -0x1.071d447c0ce96p-1, -0x1.063b1c7e7929ep-1, -0x1.05319776b2847p-1, -0x1.0402dfd0968a8p-1, -0x1.02b1118c7667p-1, -0x1.013e3a0df4ac8p-1, -0x1.ff58afaf7a98fp-2, -0x1.fbfab3f990d6bp-2, -0x1.f8663ebdf8553p-2, -0x1.f49eec18aa3abp-2, -0x1.f0a6ede5a7c7fp-2, -0x1.ec8407fe3ac5bp-2, -0x1.e83859da0a275p-2, -0x1.e3c6ff0962389p-2, -0x1.df32f4425e09dp-2, -0x1.da7f17cfed5f8p-2, -0x1.d5ae29d35753bp-2, -0x1.d0c2cc9361045p-2, -0x1.cbbf84f683f4ep-2, -0x1.c6a6bb2328708p-2, -0x1.c17abb31ce28bp-2, -0x1.bc3db5e2f800ep-2, -0x1.b6f1c1589de39p-2, -0x1.b198d9db0a6a6p-2, -0x1.ac34e2ae4284ep-2, -0x1.a6c7a6f3797a5p-2, -0x1.a152da8982bfdp-2, -0x1.9bd81adddf293p-2, -0x1.9658efa65ab9p-2, -0x1.90d6cb852f90ap-2, -0x1.8b530ca211ef2p-2, -0x1.85cefd45aaf47p-2, -0x1.804bd48266f45p-2, -0x1.7acab6ef13afp-2, -0x1.754cb77079315p-2, -0x1.6fd2d8097d7c2p-2, -0x1.6a5e0aa71f66ep-2, -0x1.64ef31dee84ap-2, -0x1.5f87219a6718cp-2, -0x1.5a269faf7fb36p-2, -0x1.54ce6469f062dp-2, -0x1.4f7f1b0d29d79p-2, -0x1.4a396255b7021p-2, -0x1.44fdccff85f6bp-2, -0x1.3fcce25312ad8p-2, -0x1.3aa71eb84659p-2, -0x1.358cf44b5478cp-2, -0x1.307ecb6ee0977p-2, -0x1.2b7d0356dd058p-2, -0x1.2687f288f016bp-2, -0x1.219fe750dc6abp-2, -0x1.1cc5282968472p-2, -0x1.17f7f41bc0dd8p-2, -0x1.13388318483cap-2, -0x1.0e87064bf95d4p-2, -0x1.09e3a87514c94p-2, -0x1.054e8e38c4de5p-2, -0x1.00c7d67a489d3p-2, -0x1.f89f35661ef76p-3, -0x1.efcbde94bf936p-3, -0x1.e715c7d5a6bdbp-3, -0x1.de7d07a7b98ccp-3, -0x1.d601ac4c10d4ap-3, -0x1.cda3bc524014fp-3, -0x1.c563371810f2cp-3, -0x1.bd40153d7846bp-3, -0x1.b53a490e7d6dfp-3, -0x1.ad51bee56ae2fp-3, -0x1.a5865d87d92e1p-3, -0x1.9dd80680f944ep-3, -0x1.9646967b1d668p-3, -0x1.8ed1e599ba78ep-3, -0x1.8779c7d436598p-3, -0x1.803e0d5101d38p-3, -0x1.791e599851744p-3, -0x1.721ac729af7dcp-3, -0x1.6b32f7764f2a1p-3, -0x1.6466aede1db8ap-3, -0x1.5db5af5654ae3p-3, -0x1.571fb8a6e5ba9p-3, -0x1.50a488a3d6eabp-3, -0x1.4a43db62849aep-3, -0x1.43fd6b6ad112p-3, -0x1.3dd0f1e48c8adp-3, -0x1.37be26c16e82ep-3, -0x1.31c4c0e409dbdp-3, -0x1.2be47644263e8p-3, -0x1.261cfc10f57ebp-3, -0x1.206e06d168bbp-3, -0x1.1ad74a82eb966p-3, -0x1.15587ab69fef7p-3, -0x1.0ff14aad211edp-3, -0x1.0aa16d70b2969p-3, -0x1.056895edcf549p-3, -0x1.00467709e39f3p-3, -0x1.f675877063d8fp-4, -0x1.ec8a5e1992e51p-4, -0x1.e2cad89b550d2p-4, -0x1.d9365e0444eebp-4, -0x1.cfcc5601220cfp-4, -0x1.c68c28f58fc33p-4, -0x1.bd7540124406fp-4, -0x1.b487056929ea2p-4, -0x1.abc0e3ff8cfb4p-4, -0x1.a32247dec19ddp-4, -0x1.9aaa9e234c1dfp-4, -0x1.9259550acbcfap-4, -0x1.8a2ddc00be473p-4, -0x1.8227a3aa2ff47p-4, -0x1.7a461df081b63p-4, -0x1.7288be0b45dbbp-4, -0x1.6aeef8894dbdp-4, -0x1.63784358f21dcp-4, -0x1.5c2415cf9e726p-4, -0x1.54f1e8b0a82d6p-4, -0x1.4de136336fcb8p-4, -0x1.46f17a08d5d26p-4, -0x1.4022315ff9e87p-4, -0x1.3972daea4db1fp-4, -0x1.32e2f6def0e67p-4, -0x1.2c7206fd5d1f2p-4, -0x1.261f8e8f5c461p-4, -0x1.1feb126a46d42p-4, -0x1.19d418ef94f3ep-4, -0x1.13da2a0cb9e9bp-4, -0x1.0dfccf3a5b5a2p-4, -0x1.083b937ae412fp-4, -0x1.0296035889ea9p-4, -0x1.fa1759c59d9adp-5, -0x1.ef383f572b341p-5, -0x1.e48dd987b271dp-5, -0x1.da174d70420fcp-5, -0x1.cfd3c3197ee0ep-5, -0x1.c5c26573e14cbp-5, -0x1.bbe2624fd052p-5, -0x1.b232ea55adc25p-5, -0x1.a8b330fde9e0bp-5, -0x1.9f626c892ffbep-5, -0x1.963fd5f8adc5fp-5, -0x1.8d4aa9067bbe6p-5, -0x1.8482241e2a341p-5, -0x1.7be5885575af3p-5, -0x1.737419651780bp-5, -0x1.6b2d1da1b6568p-5, -0x1.630fddf4ee62ap-5, -0x1.5b1ba5d67114dp-5, -0x1.534fc34530cbp-5, -0x1.4bab86c0970f9p-5, -0x1.442e4341c457ep-5, -0x1.3cd74e34c9c75p-5, -0x1.35a5ff71e18a2p-5, -0x1.2e99b136a405cp-5, -0x1.27b1c01f2ef6p-5, -0x1.20ed8b1f45db3p-5, -0x1.1a4c737b69421p-5, -0x1.13cddcc1e4e63p-5, -0x1.0d712cc3d9f55p-5, -0x1.0735cb8e4628p-5, -0x1.011b236311e41p-5, -0x1.f64141643cbd7p-6, -0x1.ea8b6424d1021p-6, -0x1.df13907660bebp-6, -0x1.d3d8abfa89dc1p-6, -0x1.c8d9a078aaaf2p-6, -0x1.be155bd0db329p-6, -0x1.b38acfef03ceap-6, -0x1.a938f2be3c9b8p-6, -0x1.9f1ebe1c616a9p-6, -0x1.953b2fcde0382p-6, -0x1.8b8d4971b775dp-6, -0x1.82141075af728p-6, -0x1.78ce8e0aba74ap-6, -0x1.6fbbcf197a21ap-6, -0x1.66dae436f6263p-6, -0x1.5e2ae19965df4p-6, -0x1.55aadf0d1de5dp-6, -0x1.4d59f7e9941fcp-6, -0x1.45374b0677847p-6, -0x1.3d41fab0e8401p-6, -0x1.35792ca0b7945p-6, -0x1.2ddc09edc32b1p-6, -0x1.2669bf0562b4ap-6, -0x1.1f217b9fec0a7p-6, -0x1.180272b64d227p-6, -0x1.110bda77c0bffp-6, -0x1.0a3cec3f93538p-6, -0x1.0394e48b0f436p-6, -0x1.fa2605def9ceap-7, -0x1.ed6d1420872fcp-7, -0x1.e0fd7f2a4dc5ep-7, -0x1.d4d5d841483e1p-7, -0x1.c8f4b68ce38b7p-7, -0x1.bd58b7043a1fcp-7, -0x1.b2007c5b8e795p-7, -0x1.a6eaaef210483p-7, -0x1.9c15fcbfcd34p-7, -0x1.91811943f8e41p-7, -0x1.872abd735b06ep-7, -0x1.7d11a7a70688bp-7, -0x1.73349b8b2fc09p-7, -0x1.6992620e5876fp-7, -0x1.6029c9508fap-7, -0x1.56f9621882e12p-7, -0x1.4e008213cf251p-7, -0x1.453dcb05e07ebp-7, -0x1.3cb01f38d40e6p-7, -0x1.345665d81a95fp-7, -0x1.2c2f8ae072419p-7, -0x1.243a7f1012664p-7, -0x1.1c7637d6fb6c8p-7, -0x1.14e1af475cf6cp-7, -0x1.0d7be40623046p-7, -0x1.0643d93ba252dp-7, -0x1.fe712d08c331p-8, -0x1.f0b24fc3fb435p-8, -0x1.e3493b5869a98p-8, -0x1.d63419040d66ap-8, -0x1.c9711a75ef9c3p-8, -0x1.bcfe79b0d953cp-8, -0x1.b0da78ee54b87p-8, -0x1.a5036281db10fp-8, -0x1.997788bc3c25dp-8, -0x1.8e3545cf45449p-8, -0x1.833afbb1ac60ap-8, -0x1.7887140313216p-8, -0x1.6e17fff07335ap-8, -0x1.63ec38189480ep-8, -0x1.5a023c70e5cd8p-8, -0x1.5058942a6ed31p-8, -0x1.46edcd9716669p-8, -0x1.3dc07e0f08794p-8, -0x1.34cf41d673588p-8, -0x1.2c18bc0361a4cp-8, -0x1.239b9663e7985p-8, -0x1.1b56816478d76p-8, -0x1.134833f67ddc8p-8, -0x1.0b6f6b772a226p-8, -0x1.03caeb967a465p-8, -0x1.f8b2fc7d08258p-9, -0x1.ea33e6f5e3c5fp-9, -0x1.dc1642c17125fp-9, -0x1.ce57c7ec1c588p-9, -0x1.c0f63a351bc85p-9, -0x1.b3ef68df61a67p-9, -0x1.a7412e82a46eap-9, -0x1.9ae970dd56abbp-9, -0x1.8ee620a6b2706p-9, -0x1.8335396142ea4p-9, -0x1.77d4c12e24e95p-9, -0x1.6cc2c8a073e18p-9, -0x1.61fd6a9148b95p-9, -0x1.5782cbf43111dp-9, -0x1.4d511bac1063ap-9, -0x1.4366926085f78p-9, -0x1.39c17253b7133p-9, -0x1.3060073881dc1p-9, -0x1.2740a6095acc1p-9, -0x1.1e61acdf6814p-9, -0x1.15c182ca29ba3p-9, -0x1.0d5e97a799116p-9, -0x1.053763fcbb98p-9, -0x1.fa94d19d2b147p-10, -0x1.eb2c5ef793afcp-10, -0x1.dc32932ce82c7p-10, -0x1.cda4a17d299f2p-10, -0x1.bf7fccf9eff7fp-10, -0x1.b1c1683d019d1p-10, -0x1.a466d51ffffebp-10, -0x1.976d8474ad492p-10, -0x1.8ad2f5be8f1fdp-10, -0x1.7e94b6ed433b3p-10, -0x1.72b064179d90fp-10, -0x1.6723a737e4767p-10, -0x1.5bec37e8c4486p-10, -0x1.5107db237d331p-10, -0x1.467462fe88532p-10, -0x1.3c2fae6d81186p-10, -0x1.3237a901ddd34p-10, -0x1.288a4aac4942fp-10, -0x1.1f25977f5269ep-10, -0x1.16079f72a5be1p-10, -0x1.0d2e7e27500ffp-10, -0x1.04985aacbd947p-10, -0x1.f886ce8db7821p-11, -0x1.e85bc2699edf4p-11, -0x1.d8ac20f181c38p-11, -0x1.c9748f407e659p-11, -0x1.bab1c71bb4d9ep-11, -0x1.ac6096864eadep-11, -0x1.9e7ddf581e92p-11, -0x1.910696d520be5p-11, -0x1.83f7c5471a796p-11, -0x1.774e85989719ep-11, -0x1.6b0804f1b1c05p-11, -0x1.5f2182566a7aep-11, -0x1.53984e468d222p-11, -0x1.4869ca5f393e5p-11, -0x1.3d9368fdd67d3p-11, -0x1.3312ace4a743bp-11, -0x1.28e528e1400fp-11, -0x1.1f087f73dfca4p-11, -0x1.157a6278c0c56p-11, -0x1.0c3892d26ca04p-11, -0x1.0340e0164f8c7p-11, -0x1.f5225073f5f09p-12, -0x1.e44eae84784f1p-12, -0x1.d402cde6decafp-12, -0x1.c43abd070f3b5p-12, -0x1.b4f2a499f252ep-12, -0x1.a626c7071e906p-12, -0x1.97d37fd48e80cp-12, -0x1.89f543153a0b7p-12, -0x1.7c889cd9df17ep-12, -0x1.6f8a30a57b811p-12, -0x1.62f6b8e33beedp-12, -0x1.56cb065f899fap-12, -0x1.4b03ffc3662b2p-12, -0x1.3f9ea1128def7p-12, -0x1.3497fb2b8d0b2p-12, -0x1.29ed334ad9285p-12, -0x1.1f9b828f572cp-12, -0x1.15a03582bc15dp-12, -0x1.0bf8aba2dac2fp-12, -0x1.02a256edd8c9ep-12, -0x1.f33576e10ed8bp-13, -0x1.e1beddae3823ep-13, -0x1.d0dc2fffa3b5bp-13, -0x1.c088dd1fd829ap-13, -0x1.b0c07515ef998p-13, -0x1.a17ea7d6a090ep-13, -0x1.92bf447ce1755p-13, -0x1.847e38829df2cp-13, -0x1.76b78effd01c3p-13, -0x1.69676fee9244cp-13, -0x1.5c8a1f6ea7ef7p-13, -0x1.501bfd1296e73p-13, -0x1.4419832c560e2p-13, -0x1.387f461f90b74p-13, -0x1.2d49f3b72ec4fp-13, -0x1.2276527e123ccp-13, -0x1.1801411ca7bdbp-13, -0x1.0de7b5b84989ap-13, -0x1.0426bd579c2cdp-13, -0x1.f576f692bde4dp-14, -0x1.e346511e38153p-14, -0x1.d1b626940543cp-14, -0x1.c0c13c5c13507p-14, -0x1.b0627fe6a2443p-14, -0x1.a095059fff206p-14, -0x1.915407e2bd591p-14, -0x1.829ae5f3832c5p-14, -0x1.74652301d86a7p-14, -0x1.66ae652f10e51p-14, -0x1.5972749b1a502p-14, -0x1.4cad3a768e557p-14, -0x1.405ac01b62e8cp-14, -0x1.34772e27c8b3p-14, -0x1.28fecba522b38p-14, -0x1.1dedfd2cb3dfcp-14, -0x1.13414415ed21dp-14, -0x1.08f53da9ab0c1p-14, -0x1.fe0d44b06ab6cp-15, -0x1.eae489eba8e0dp-15, -0x1.d86a23fab25ddp-15, -0x1.c6981da561816p-15, -0x1.b568b22293b9fp-15, -0x1.a4d64bb08faa9p-15, -0x1.94db823e656cp-15, -0x1.85731a1bbe0a4p-15, -0x1.769802aaac6b3p-15, -0x1.68455528b751ap-15, -0x1.5a76537427e52p-15, -0x1.4d2666db0e35bp-15, -0x1.40511ef4b7cedp-15, -0x1.33f230813eb26p-15, -0x1.280574523af4cp-15, -0x1.1c86e637acd9cp-15, -0x1.1172a3f7b3cb6p-15, -0x1.06c4ec491d187p-15, -0x1.f8f43bb3f371p-16, -0x1.e51d6cb10a31bp-16, -0x1.d1fea3083dc42p-16, -0x1.bf91508953c76p-16, -0x1.adcf1f9264d13p-16, -0x1.9cb1f14f46f6bp-16, -0x1.8c33dc17d6e32p-16, -0x1.7c4f29c93b6ccp-16, -0x1.6cfe562b565ffp-16, -0x1.5e3c0d6e2458fp-16, -0x1.50032aa32df8cp-16, -0x1.424eb64de2969p-16, -0x1.3519e4f163f0bp-16, -0x1.286015b2ac598p-16, -0x1.1c1cd100e6e0fp-16, -0x1.104bc746b0d62p-16, -0x1.04e8cfa79859cp-16, -0x1.f3dfcd77daf1fp-17, -0x1.deba5ad4b8d7ap-17, -0x1.ca59cf6aea8bdp-17, -0x1.b6b6f7370bc49p-17, -0x1.a3cadfff0c72fp-17, -0x1.918ed71e9c2a2p-17, -0x1.7ffc678a3f1c8p-17, -0x1.6f0d57b845975p-17, -0x1.5ebba7beead9ep-17, -0x1.4f018f553e82p-17, -0x1.3fd97c0ebf21dp-17, -0x1.313e0f794987cp-17, -0x1.232a1d7bfeebap-17, -0x1.1598aa935182ep-17, -0x1.0884ea34dd734p-17, -0x1.f7d47a5b41d01p-18, -0x1.df8860460c83p-18, -0x1.c81cf416a85f4p-18, -0x1.b189f5800db0cp-18, -0x1.9bc7731dea09cp-18, -0x1.86cdc7c16cc03p-18, -0x1.729597bde066ap-18, -0x1.5f17ce661718p-18, -0x1.4c4d9b84ea548p-18, -0x1.3a3070f5e2badp-18, -0x1.28ba004dc2af7p-18, -0x1.17e4389057d41p-18, -0x1.07a9441c6b276p-18, -0x1.f0070c95882ecp-19, -0x1.d1db33494e7d9p-19, -0x1.b4c49b762b6aep-19, -0x1.98b94a95222efp-19, -0x1.7dafa8a0e7355p-19, -0x1.639e7c85fe4cp-19, -0x1.4a7ce89e8cb03p-19, -0x1.3242674a29aa4p-19, -0x1.1ae6c7b8d69f5p-19, -0x1.04622aad366fp-19, -0x1.dd59feb887cp-20, -0x1.b3800144beacep-20, -0x1.8b286414708fap-20, -0x1.6445ba2c65608p-20, -0x1.3ecb1cbe3a47bp-20, -0x1.1aac26a994bbfp-20, -0x1.efb9de47e85f4p-21, -0x1.aca409059540ap-21, -0x1.6c00d0fac0c18p-21, -0x1.2dbb15a8a337fp-21, -0x1.e37d15cd27abfp-22, -0x1.6fef6097c12c9p-22, -0x1.00a790d48e8c4p-22, -0x1.2b0349120bc94p-23, -0x1.72d80fbd3eaf9p-25, 0x1.a76cb542695d4p-25, 0x1.28f032009e8d7p-23, 0x1.e0c67439e60c2p-23, 0x1.48cc7d69cdfc6p-22, 0x1.9dd041568cbbep-22, 0x1.ef89cadb69047p-22, 0x1.1f09a8bffdf95p-21, 0x1.44c305c4ac36bp-21, 0x1.68fd1b0a4c879p-21, 0x1.8bc3031e8d996p-21, 0x1.ad20f2a553b5dp-21, 0x1.cd214177e1ba5p-21, 0x1.ebce517bef0cbp-21, 0x1.0499106be161dp-20, 0x1.12ab27193be04p-20, 0x1.20220e651241bp-20, 0x1.2d023c2eb0c53p-20, 0x1.394ffc7719f67p-20, 0x1.450f735b5ecc6p-20, 0x1.50449e8eb9563p-20, 0x1.5af357222245ep-20, 0x1.651f53200da2p-20, 0x1.6ecc275632effp-20, 0x1.77fd48516244cp-20, 0x1.80b60c23a31cp-20, 0x1.88f9aba61f2bdp-20, 0x1.90cb43c0277c4p-20, 0x1.982dd6c3dc202p-20, 0x1.9f244d8b9eaddp-20, 0x1.a5b17859fb32ep-20, 0x1.abd8107e3f8aap-20, 0x1.b19ab8e679a02p-20, 0x1.b6fbff980a1d1p-20, 0x1.bbfe5e15e7cdap-20, 0x1.c0a43aadb8019p-20, 0x1.c4efe931bbc25p-20, 0x1.c8e3abe46e5f5p-20, 0x1.cc81b436c0d57p-20, 0x1.cfcc238eddff9p-20, 0x1.d2c50c020681ep-20, 0x1.d56e7107e1828p-20, 0x1.d7ca4821a230fp-20, 0x1.d9da79842ad7ep-20, 0x1.dba0e096ecf7bp-20, 0x1.dd1f4caa44385p-20, 0x1.de57815b64963p-20, 0x1.df4b3770d71d7p-20, 0x1.dffc1cd868b8ep-20, 0x1.e06bd55b4de7p-20, 0x1.e09bfb46132bbp-20, 0x1.e08e1f9a6d86ep-20, 0x1.e043ca6ad97d8p-20, 0x1.dfbe7b501bf9dp-20, 0x1.deffa9ddb43b6p-20, 0x1.de08c5d4b453p-20, 0x1.dcdb375c38771p-20, 0x1.db785fbe8edecp-20, 0x1.d9e1994a29364p-20, 0x1.d81837de5bb8dp-20, 0x1.d61d88eb94881p-20, 0x1.d3f2d3e135bb9p-20, 0x1.d1995a5787b07p-20, 0x1.cf125850dce4ep-20, 0x1.cc5f0460589f3p-20, 0x1.c980900414f5cp-20, 0x1.c67827995063cp-20, 0x1.c346f2a9c60fp-20, 0x1.bfee140651504p-20, 0x1.bc6eaa29fd5c2p-20, 0x1.b8c9cefcd7fa2p-20, 0x1.b5009836dc495p-20, 0x1.b11417710b3dap-20, 0x1.ad055a43d4268p-20, 0x1.a8d56a6344d1cp-20, 0x1.a4854da19e2b4p-20, 0x1.a0160666d878p-20, 0x1.9b88933be79cap-20, 0x1.96ddef3a66f47p-20, 0x1.92171212a7ffbp-20, 0x1.8d34f006a71dfp-20, 0x1.88387a2345ba4p-20, 0x1.83229e191744p-20, 0x1.7df446a4ef689p-20, 0x1.78ae5b08690b5p-20, 0x1.7351bfc1f18fbp-20, 0x1.6ddf562f4ecf7p-20, 0x1.6857fc9efcc5p-20, 0x1.62bc8ea7687afp-20, 0x1.5d0de4aa1a37bp-20, 0x1.574cd47613c48p-20, 0x1.517a30c847ff6p-20, 0x1.4b96c99ff8888p-20, 0x1.45a36c325b4bep-20, 0x1.3fa0e2f21d93bp-20, 0x1.398ff59198f7p-20, 0x1.337168f93ba0bp-20, 0x1.2d45ff9239836p-20, 0x1.270e78e2f9414p-20, 0x1.20cb91cdf8b8bp-20, 0x1.1a7e048c57acdp-20, 0x1.142688ccc857ap-20, 0x1.0dc5d37eb82ffp-20, 0x1.075c96f73273cp-20, 0x1.00eb82f9768cbp-20, 0x1.f4e68946845eap-21, 0x1.e7e90d0e6f911p-21, 0x1.dadfe1090f8b2p-21, 0x1.cdcc5009314cbp-21, 0x1.c0af9fa7a08b7p-21, 0x1.b38b10561c58bp-21, 0x1.a65fdd6fd2d23p-21, 0x1.992f3d324cbep-21, 0x1.8bfa60c1a7362p-21, 0x1.7ec274348d0bfp-21, 0x1.71889eb56b0a3p-21, 0x1.644e01c01cc7cp-21, 0x1.5713ba9e9e42ap-21, 0x1.49dae11546dd9p-21, }}, 
      std::vector<double>(619, 0.0), 
      {{-0x1.06d06b27f2819p-7, -0x1.254b71d14e07dp-6, -0x1.f6cac6fc1ad07p-6, -0x1.7f4f338ce4e25p-5, -0x1.0f212a28668d8p-4, -0x1.6af16494a15e9p-4, -0x1.d13f0f541b495p-4, -0x1.1feb0365dff3bp-3, -0x1.5a307cc980149p-3, -0x1.9647b9237c408p-3, -0x1.d317efd8ba157p-3, -0x1.07cfdca8d9fe5p-2, -0x1.257cd341d5897p-2, -0x1.422e87710979ap-2, -0x1.5d904f605e08p-2, -0x1.775b76d441e58p-2, -0x1.8f56d51709e08p-2, -0x1.a556031b027d1p-2, -0x1.b937d159a09d1p-2, -0x1.cae501de65a38p-2, -0x1.da4f2bcc8328p-2, -0x1.e76fc36fd6c47p-2, -0x1.f24720aba5af6p-2, -0x1.fadb43e771497p-2, -0x1.009b27397d5dap-1, -0x1.02b397a505b65p-1, -0x1.03c0063f65d0dp-1, -0x1.03ca62caeb128p-1, -0x1.02de30373a275p-1, -0x1.01083e7389706p-1, -0x1.fcaaf136a1c54p-2, -0x1.f5a46c3189036p-2, -0x1.ed190a5e7ad36p-2, -0x1.e32430986b07ap-2, -0x1.d7e111208f26dp-2, -0x1.cb6aadaad9814p-2, -0x1.bddbcd865c9bep-2, -0x1.af4ec38727a52p-2, -0x1.9fdd2f4c9afb1p-2, -0x1.8f9fdf3b326f2p-2, -0x1.7eaec9fb96ab8p-2, -0x1.6d2105cfc92d9p-2, -0x1.5b0cb6b807c3ep-2, -0x1.4886fdb96d1a2p-2, -0x1.35a3f0b876569p-2, -0x1.22769813c4318p-2, -0x1.0f10ed5d8b92p-2, -0x1.f707b756ffe49p-3, -0x1.cfbe87efdd64dp-3, -0x1.a86409378d77p-3, -0x1.8113ffbbeaed3p-3, -0x1.59e83e256f428p-3, -0x1.32f8a735a1d8bp-3, -0x1.0c5b322fc511cp-3, -0x1.cc47ed0235509p-4, -0x1.80ca7ea8a5a88p-4, -0x1.365f49b4523dcp-4, -0x1.da48a11bb3c64p-5, -0x1.4a693fb48d28p-5, -0x1.7aa20c70e6e1bp-6, -0x1.995b2e6dd7297p-8, 0x1.4f842eb37877dp-7, 0x1.ae49725d465f5p-6, 0x1.578db4e92867ap-5, 0x1.d4893f54d651dp-5, 0x1.270174228e097p-4, 0x1.61f4d567334cap-4, 0x1.9b17fbcda5a1fp-4, 0x1.d265d9e2a927cp-4, 0x1.03ed868549217p-3, 0x1.1dbadef57834ep-3, 0x1.369abaca617abp-3, 0x1.4e8d77ca420cp-3, 0x1.6593f850bb33p-3, 0x1.7baf934f6619bp-3, 0x1.90e2095a11b7bp-3, 0x1.a52d7d84c0228p-3, 0x1.b894700db4e9p-3, 0x1.cb19b8e1bfa63p-3, 0x1.dcc080bdb0725p-3, 0x1.ed8c38a2678cdp-3, 0x1.fd809023c1298p-3, 0x1.0650b5c899acep-2, 0x1.0d796d8013d45p-2, 0x1.143c89789b837p-2, 0x1.1a9c336762bf5p-2, 0x1.209aa285c4dcfp-2, 0x1.263a1a2ae9e47p-2, 0x1.2b7ce89bd6874p-2, 0x1.306565c888997p-2, 0x1.34f5f1c7f44f5p-2, 0x1.3930f30593848p-2, 0x1.3d18d42f83774p-2, 0x1.40b0020577947p-2, 0x1.43f8e92d3f6ddp-2, 0x1.46f5f42c06d51p-2, 0x1.49a98998e79b7p-2, 0x1.4c160a92a5eb8p-2, 0x1.4e3dd17a8fb24p-2, 0x1.502330f20635ap-2, 0x1.51c8731605246p-2, 0x1.532fd8f2afaccp-2, 0x1.545b9a274c1c4p-2, 0x1.554de4b135d39p-2, 0x1.5608dcd27c7bp-2, 0x1.568e9d07d08e6p-2, 0x1.56e136019b595p-2, 0x1.5702ae95b8303p-2, 0x1.56f503a21123ep-2, 0x1.56ba27dbd9d53p-2, 0x1.5654038a9d374p-2, 0x1.55c474316c78cp-2, 0x1.550d4c2abacdep-2, 0x1.5430523cea4b7p-2, 0x1.532f412e5bdb2p-2, 0x1.520bc7601f833p-2, 0x1.50c786765c853p-2, 0x1.4f64131512888p-2, 0x1.4de2f4b707a2p-2, 0x1.4c45a5a33a9bfp-2, 0x1.4a8d93033719cp-2, 0x1.48bc1d1a2e91dp-2, 0x1.46d2979a0da0dp-2, 0x1.44d24a114e8ccp-2, 0x1.42bc706a69fa8p-2, 0x1.40923b74c27aep-2, 0x1.3e5410ab4eb7dp-2, 0x1.3c040865f9418p-2, 0x1.39a307c47cc97p-2, 0x1.37321d78e701bp-2, 0x1.34b24e127c7fbp-2, 0x1.3224944a12887p-2, 0x1.2f89e158544bbp-2, 0x1.2ce31d4ffddeap-2, 0x1.2a312776b218p-2, 0x1.2774d6984920fp-2, 0x1.24aef951f18e5p-2, 0x1.21e056543fbe9p-2, 0x1.1f09ac9cb7599p-2, 0x1.1c2bb3a893f05p-2, 0x1.19471ba3526bp-2, 0x1.165c8d93bb646p-2, 0x1.136cab8a08514p-2, 0x1.107810d1364bp-2, 0x1.0d7f5224d1a9dp-2, 0x1.0a82fdebc79c9p-2, 0x1.07839c77f52b9p-2, 0x1.0481b04983157p-2, 0x1.017db654a8841p-2, 0x1.fcf04c9030cd1p-3, 0x1.f6e2e5a483efdp-3, 0x1.f0d413c742697p-3, 0x1.eac4a9d9048b7p-3, 0x1.e4b57229e698dp-3, 0x1.dea72edbf8b36p-3, 0x1.d89a9a375ad03p-3, 0x1.d29066eff3fdep-3, 0x1.cc89405db35acp-3, 0x1.c685caa8e229fp-3, 0x1.c086a2ecc3a58p-3, 0x1.ba8c5f5321b4p-3, 0x1.b4978f2b81c9ep-3, 0x1.aea8bb00c0c63p-3, 0x1.a8c064afa1958p-3, 0x1.a2df0780680b1p-3, 0x1.9d0518452626cp-3, 0x1.9733057de5f8dp-3, 0x1.91693783308e1p-3, 0x1.8ba810b71b3dcp-3, 0x1.85efedbc521f5p-3, 0x1.804125b28236p-3, 0x1.7a9c0a76ee943p-3, 0x1.7500e8e800fe2p-3, 0x1.6f70092a6c886p-3, 0x1.69e9aeee7df3fp-3, 0x1.646e19b439eeep-3, 0x1.5efd850d0bb13p-3, 0x1.599828d9fa506p-3, 0x1.543e3985766a1p-3, 0x1.4eefe8382d412p-3, 0x1.49ad630870b5ep-3, 0x1.4476d52416318p-3, 0x1.3f4c66f4d0e9ep-3, 0x1.3a2e3e3f4f9ffp-3, 0x1.351c7e3d8845cp-3, 0x1.301747b4b821fp-3, 0x1.2b1eb907b09c8p-3, 0x1.2632ee46288afp-3, 0x1.21540139b050fp-3, 0x1.1c820970fc45ap-3, 0x1.17bd1c4a13dd3p-3, 0x1.13054cfc02286p-3, 0x1.0e5aaca06b0f6p-3, 0x1.09bd4a3d77a1ep-3, 0x1.052d32d04e41fp-3, 0x1.00aa71585b47bp-3, 0x1.f86a1dc6f3e1bp-4, 0x1.ef9a2535f9791p-4, 0x1.e6e503a343064p-4, 0x1.de4ac024871a4p-4, 0x1.d5cb5e5e628abp-4, 0x1.cd66dea3fda57p-4, 0x1.c51d3e1741a5fp-4, 0x1.bcee76c95b91dp-4, 0x1.b4da7fdb088d3p-4, 0x1.ace14d9c8bfa6p-4, 0x1.a502d1ace5d95p-4, 0x1.9d3efb181822ap-4, 0x1.9595b67454c6cp-4, 0x1.8e06edfdfb53bp-4, 0x1.869289b23edaep-4, 0x1.7f386f688c8bp-4, 0x1.77f882eaa86ecp-4, 0x1.70d2a60b97034p-4, 0x1.69c6b8bd6b0aep-4, 0x1.62d499260f5d9p-4, 0x1.5bfc23b32f304p-4, 0x1.553d332d57921p-4, 0x1.4e97a0ca6ef8dp-4, 0x1.480b443fa11e9p-4, 0x1.4197f3d2ceacp-4, 0x1.3b3d846b9a5eap-4, 0x1.34fbc9a41b3b5p-4, 0x1.2ed295d940d2p-4, 0x1.28c1ba3aeb27ap-4, 0x1.22c906dbbb8d7p-4, 0x1.1ce84ac097b6cp-4, 0x1.171f53efdf0cbp-4, 0x1.116def8049cdbp-4, 0x1.0bd3e9a76bd22p-4, 0x1.06510dc7d471ep-4, 0x1.00e5267ec5bdep-4, 0x1.f71ffb62f3ce8p-5, 0x1.eca2b933eb8cp-5, 0x1.e25217a6c507dp-5, 0x1.d82da6cbd9accp-5, 0x1.ce34f5a4565f2p-5, 0x1.c467923810e07p-5, 0x1.bac509aa74477p-5, 0x1.b14ce84e826ffp-5, 0x1.a7feb9ba008d4p-5, 0x1.9eda08d7cf392p-5, 0x1.95de5ff986a02p-5, 0x1.8d0b48e85cc6bp-5, 0x1.84604cf56b03dp-5, 0x1.7bdcf5095f5abp-5, 0x1.7380c9b3a87bdp-5, 0x1.6b4b53392b33p-5, 0x1.633c19a28ce06p-5, 0x1.5b52a4ca1c7abp-5, 0x1.538e7c6968895p-5, 0x1.4bef282682147p-5, 0x1.44742fa0f937dp-5, 0x1.3d1d1a7e94be9p-5, 0x1.35e7cb337fedbp-5, 0x1.2ed722166c05dp-5, 0x1.27e8f3b96c233p-5, 0x1.211cc825beb35p-5, 0x1.1a7227a8c091bp-5, 0x1.13e89adf3b4c4p-5, 0x1.0d7faac0746c9p-5, 0x1.0736e0a90097p-5, 0x1.010dc6654e88ep-5, 0x1.f607cc77d98d2p-6, 0x1.ea3195ef0747fp-6, 0x1.de97ffe0ff923p-6, 0x1.d33a222cd2a63p-6, 0x1.c81715f1ce70fp-6, 0x1.bd2df5a0d1358p-6, 0x1.b27ddd0ce6a37p-6, 0x1.a805e97b32e44p-6, 0x1.9dc539b21ef69p-6, 0x1.93baee07c9da5p-6, 0x1.89e6286fc5989p-6, 0x1.80460c88137bcp-6, 0x1.76d9bfa5732c4p-6, 0x1.6da068def3ce6p-6, 0x1.64993118e1deep-6, 0x1.5bc3430efecep-6, 0x1.531dcb5e1baeep-6, 0x1.4aa7f88d0c6bfp-6, 0x1.4260fb15089e3p-6, 0x1.3a480569702bbp-6, 0x1.325c4bff05fa9p-6, 0x1.2a9d05529de6ep-6, 0x1.230969ef4ededp-6, 0x1.1ba0b4741d3p-6, 0x1.1462219939ddcp-6, 0x1.0d4cf034c34e8p-6, 0x1.0660613f22c06p-6, 0x1.ff376fadf685dp-7, 0x1.f1fc72896af26p-7, 0x1.e50e59fb5316ap-7, 0x1.d86bb94de67d7p-7, 0x1.cc13282fc00acp-7, 0x1.c00342b82a8ccp-7, 0x1.b43aa96aac7dcp-7, 0x1.a8b8013a05a09p-7, 0x1.9d79f38a8252cp-7, 0x1.927f2e33bb17dp-7, 0x1.87c66381bef66p-7, 0x1.7d4e4a35acdfap-7, 0x1.73159d85bab8bp-7, 0x1.691b1d1cb9815p-7, 0x1.5f5d8d190cbdcp-7, 0x1.55dbb60b195c9p-7, 0x1.4c9464f34405cp-7, 0x1.43866b3f593eap-7, 0x1.3ab09ec792e6p-7, 0x1.3211d9cb15083p-7, 0x1.29a8faebff991p-7, 0x1.2174e52b0b161p-7, 0x1.19747fe2ba56bp-7, 0x1.11a6b6c2211eep-7, 0x1.0a0a79c745a46p-7, 0x1.029ebd391eb86p-7, 0x1.f6c4f34268b2fp-8, 0x1.e8a95789c9069p-8, 0x1.dae8a93ca4486p-8, 0x1.cd80f2aa00f4p-8, 0x1.c070466c40159p-8, 0x1.b3b4bf591e639p-8, 0x1.a74c80712b251p-8, 0x1.9b35b4ceb452dp-8, 0x1.8f6e8f94376fap-8, 0x1.83f54bda57ef9p-8, 0x1.78c82c9d68b09p-8, 0x1.6de57caa89a5dp-8, 0x1.634b8e8c68e71p-8, 0x1.58f8bc77a40d1p-8, 0x1.4eeb6836d9e5ep-8, 0x1.4521fb166e308p-8, 0x1.3b9ae5d0054a5p-8, 0x1.3254a075c3101p-8, 0x1.294daa5d4bd1ep-8, 0x1.20848a0a932d4p-8, 0x1.17f7cd1a7b9d5p-8, 0x1.0fa6082d4c1a8p-8, 0x1.078dd6d10122cp-8, 0x1.ff5bb6d700675p-9, 0x1.f0097e495e3d7p-9, 0x1.e12263a0ead2fp-9, 0x1.d2a3d3b158734p-9, 0x1.c48b484e032dap-9, 0x1.b6d6481da434cp-9, 0x1.a982666df57b3p-9, 0x1.9c8d430758b01p-9, 0x1.8ff48a007adbcp-9, 0x1.83b5f392045e5p-9, 0x1.77cf43ea58b2p-9, 0x1.6c3e4b016b013p-9, 0x1.6100e46caee2cp-9, 0x1.5614f7332adcfp-9, 0x1.4b7875a1af7fdp-9, 0x1.41295d1f39d8dp-9, 0x1.3725b60185bfbp-9, 0x1.2d6b9361d35e3p-9, 0x1.23f912f1e743ep-9, 0x1.1acc5cd141a4bp-9, 0x1.11e3a3629925dp-9, 0x1.093d23219667dp-9, 0x1.00d72278d70f1p-9, 0x1.f15fe3306d352p-10, 0x1.e18bd496d0971p-10, 0x1.d22edfa1aed69p-10, 0x1.c345dd61c226cp-10, 0x1.b4cdb92aaf69bp-10, 0x1.a6c37042c2841p-10, 0x1.992411935032dp-10, 0x1.8becbd59cf662p-10, 0x1.7f1aa4d996fdep-10, 0x1.72ab0a0e651p-10, 0x1.669b3f5f860ebp-10, 0x1.5ae8a753cd5a4p-10, 0x1.4f90b4463594bp-10, 0x1.4490e81b483e4p-10, 0x1.39e6d3f7493a6p-10, 0x1.2f9017f50fb79p-10, 0x1.258a62ddbaa49p-10, 0x1.1bd371e11168ep-10, 0x1.1269104eb2a6ep-10, 0x1.094917500a474p-10, 0x1.00716da3063ebp-10, 0x1.efc00eab2eac9p-11, 0x1.df25cb03ea997p-11, 0x1.cf102c176034fp-11, 0x1.bf7b66bb145e7p-11, 0x1.b063c8502d69p-11, 0x1.a1c5b64254b5fp-11, 0x1.939dad8826348p-11, 0x1.85e842254076fp-11, 0x1.78a21eade9e03p-11, 0x1.6bc803cc586e7p-11, 0x1.5f56c7c793cc4p-11, 0x1.534b560bfd25p-11, 0x1.47a2aeb57587ap-11, 0x1.3c59e61b2cfa5p-11, 0x1.316e245d16dd2p-11, 0x1.26dca4f3015cfp-11, 0x1.1ca2b63d6799ep-11, 0x1.12bdb917dbd4cp-11, 0x1.092b206d2f047p-11, 0x1.ffd0e19a81503p-12, 0x1.ede68009075a2p-12, 0x1.dc92696a68401p-12, 0x1.cbd00be485af8p-12, 0x1.bb9af5b7e4beap-12, 0x1.abeed47c5b5bp-12, 0x1.9cc774612bec6p-12, 0x1.8e20bf70798d9p-12, 0x1.7ff6bcd64d25ap-12, 0x1.7245902ae67b4p-12, 0x1.650978c08396fp-12, 0x1.583ed0f49a666p-12, 0x1.4be20d846841bp-12, 0x1.3fefbce4eebep-12, 0x1.3464869e47bbcp-12, 0x1.293d2aaa60009p-12, 0x1.1e7680d6f622cp-12, 0x1.140d782ae908cp-12, 0x1.09ff164ee057fp-12, 0x1.004876f90ad1ep-12, 0x1.edcd96b890638p-13, 0x1.dbaeb3349be4ap-13, 0x1.ca2ef87217c99p-13, 0x1.b949433641b66p-13, 0x1.a8f896f6c51afp-13, 0x1.99381cd6a061bp-13, 0x1.8a0322a95668ap-13, 0x1.7b5519fb97b2p-13, 0x1.6d299721d2fddp-13, 0x1.5f7c504c5fd4ep-13, 0x1.52491ca13837ep-13, 0x1.458bf35b18022p-13, 0x1.3940eaedf397cp-13, 0x1.2d643830a0f07p-13, 0x1.21f22d8bae7e8p-13, 0x1.16e73a2d1e165p-13, 0x1.0c3fe9412a90dp-13, 0x1.01f8e12facf99p-13, 0x1.f01dc5bcd9e48p-14, 0x1.dcfd91efa890ap-14, 0x1.ca8b0e6c4352ep-14, 0x1.b8c0536665917p-14, 0x1.a797a878a2ab6p-14, 0x1.970b8354afc7cp-14, 0x1.8716867bc7197p-14, 0x1.77b37ffeffaa6p-14, 0x1.68dd684791644p-14, 0x1.5a8f60e676d8bp-14, 0x1.4cc4b36bbfd47p-14, 0x1.3f78d04511f53p-14, 0x1.32a74da32eb9p-14, 0x1.264be6667ab53p-14, 0x1.1a6279125a2e3p-14, 0x1.0ee706c714b2fp-14, 0x1.03d5b241f5b2cp-14, 0x1.f2557dc8bffe2p-15, 0x1.ddc51f80c6eefp-15, 0x1.c9f34d573fcep-15, 0x1.b6d946b0451fbp-15, 0x1.a47084e5974b8p-15, 0x1.92b2b98f46f47p-15, 0x1.8199ccd6740fcp-15, 0x1.711fdbd423db2p-15, 0x1.613f36f951f3cp-15, 0x1.51f260820b2acp-15, 0x1.43340af26d2cap-15, 0x1.34ff179d84db7p-15, 0x1.274e9535c238ep-15, 0x1.1a1dbe66e569dp-15, 0x1.0d67f8795668fp-15, 0x1.0128d1fe33451p-15, 0x1.eab80308e80f2p-16, 0x1.d3fac8ad7b2adp-16, 0x1.be11fa8265fe5p-16, 0x1.a8f5e6c17dabbp-16, 0x1.949f21f214213p-16, 0x1.810684a6a5203p-16, 0x1.6e252949e3c59p-16, 0x1.5bf469fa9704cp-16, 0x1.4a6dde76a37c4p-16, 0x1.398b5a14b1cbcp-16, 0x1.2946e9cc37c7dp-16, 0x1.199ad24b3ecefp-16, 0x1.0a818e1a5e256p-16, 0x1.f7eb979a7ef6dp-17, 0x1.dbe4d8838a03p-17, 0x1.c0e501d4bb398p-17, 0x1.a6e2944be46c1p-17, 0x1.8dd46b487257dp-17, 0x1.75b1b9a982003p-17, 0x1.5e7206c75c205p-17, 0x1.480d2b8052a3ap-17, 0x1.327b4f5e2ebbp-17, 0x1.1db4e5d1e54b9p-17, 0x1.09b2ab8281b9fp-17, 0x1.ecdb476637d82p-18, 0x1.c7be2b7851148p-18, 0x1.a40115320c625p-18, 0x1.819795119ba84p-18, 0x1.6075b5857cbc6p-18, 0x1.408ff678c300fp-18, 0x1.21db4904252b5p-18, 0x1.044d0b423275ap-18, 0x1.cfb6088c7ff23p-19, 0x1.98f6c06407784p-19, 0x1.644958e4499fap-19, 0x1.319ba8201134ap-19, 0x1.00dc385d2cdabp-19, 0x1.a40fa7aa555c3p-20, 0x1.49e4b065a8064p-20, 0x1.e66ac0b194b62p-21, 0x1.3fc7d8dc26699p-21, 0x1.3f4ec769b2b3fp-22, 0x1.749546b89f7cfp-27, -0x1.1bd877afd440fp-22, -0x1.1bc72a5e6933cp-21, -0x1.a3ef58c4f9947p-21, -0x1.1349e23cea006p-20, -0x1.51f0ccb2659e4p-20, -0x1.8e0222464da2ap-20, -0x1.c792c306aa1acp-20, -0x1.feb6c14a52b01p-20, -0x1.19c0b4fc69bf1p-19, -0x1.3302a65117bdap-19, -0x1.4b2a21a32a917p-19, -0x1.623fbce7a3c48p-19, -0x1.784bbaa2d0bf1p-19, -0x1.8d560d609f653p-19, -0x1.a1665b129e253p-19, -0x1.b484003dac0ffp-19, -0x1.c6b613191c6cdp-19, -0x1.d80366863771dp-19, -0x1.e8728cf25a102p-19, -0x1.f809db1588037p-19, -0x1.0367b54ca959ep-18, -0x1.0a648e5394dbap-18, -0x1.10fe4e2c692b8p-18, -0x1.1737b08a48471p-18, -0x1.1d135867aafddp-18, -0x1.2293d11cb12f9p-18, -0x1.27bb8f6965f9ep-18, -0x1.2c8cf275b851bp-18, -0x1.310a44c9532a5p-18, -0x1.3535bd347b487p-18, -0x1.39117fb3006ap-18, -0x1.3c9f9e48111ap-18, -0x1.3fe219c985478p-18, -0x1.42dae2a9df1fbp-18, -0x1.458bd9b6fb7aep-18, -0x1.47f6d0cdf4243p-18, -0x1.4a1d8b9007d75p-18, -0x1.4c01c0037ca4cp-18, -0x1.4da51736e280ap-18, -0x1.4f092dda17c93p-18, -0x1.502f94d1726d6p-18, -0x1.5119d1be60aedp-18, -0x1.51c95f88a6f8ep-18, -0x1.523faedb7645fp-18, -0x1.527e26a0955b1p-18, -0x1.52862473ccb77p-18, -0x1.5258fd121195ap-18, -0x1.51f7fcc2a0ccep-18, -0x1.516467bb9f1ebp-18, -0x1.509f7a81e9e81p-18, -0x1.4faa6a444cf65p-18, -0x1.4e8665324deb6p-18, -0x1.4d3492ccd30c2p-18, -0x1.4bb614398df3dp-18, -0x1.4a0c0485bc77ep-18, -0x1.483778f2f3b2bp-18, -0x1.46398136cd2bcp-18, -0x1.441327bb93f2ap-18, -0x1.41c571dc14dc2p-18, -0x1.3f51601cdd4b5p-18, -0x1.3cb7ee60a49b3p-18, -0x1.39fa141d1bda5p-18, -0x1.3718c48a0302ep-18, -0x1.3414eece7680fp-18, -0x1.30ef7e2bb4c86p-18, -0x1.2da95a25af8ecp-18, -0x1.2a4366a974c6ap-18, -0x1.26be842ed5d3fp-18, -0x1.231b8fde28c6bp-18, -0x1.1f5b63aa7240fp-18, -0x1.1b7ed67290273p-18, -0x1.1786bc1b5567p-18, -0x1.1373e5abdb3ecp-18, -0x1.0f4721621de05p-18, -0x1.0b013acc4131dp-18, -0x1.06a2fadc98b5cp-18, -0x1.022d27fda513p-18, -0x1.fb410c477f22bp-19, -0x1.f1fbadbeaa40cp-19, -0x1.e88bb2d635e35p-19, -0x1.def29577958f3p-19, -0x1.d531cb16f6e99p-19, -0x1.cb4ac4d2e0614p-19, -0x1.c13eef8505a6bp-19, -0x1.b70fb3d975c21p-19, -0x1.acbe7660ac051p-19, -0x1.a24c97a1b933p-19, -0x1.97bb742974e2p-19, -0x1.8d0c649c775e3p-19, -0x1.8240bdbcdcd34p-19, -0x1.7759d07a50012p-19, -0x1.6c58e9fefe9d5p-19, -0x1.613f53b28ecabp-19, -0x1.560e5346c9b15p-19, -0x1.4ac72abd95ffp-19, -0x1.3f6b186fe9b59p-19, -0x1.33fb5711d9868p-19, -0x1.28791db86f967p-19, -0x1.1ce59fdc079e8p-19, -0x1.11420d5dcce93p-19, -0x1.058f9287f1a99p-19, -0x1.f39eb02c24984p-20, -0x1.dc050655d4ecap-20, }}, 
      {{-0x1.04944dea2cc8fp-1, -0x1.228ae43909b28p-1, -0x1.4a2911d7af5bep-1, -0x1.75cedaf6cbe0bp-1, -0x1.a1a34d037e4ddp-1, -0x1.cb1a9e5f8772bp-1, -0x1.f09b5426cb9d8p-1, -0x1.089d78e8a1be7p+0, -0x1.164644bca8e8p+0, -0x1.213dc5a95f6cap+0, -0x1.2997e06b6d218p+0, -0x1.2f7c4bd151aep+0, -0x1.331ee6b64a61ap+0, -0x1.34ba2eed7695ep+0, -0x1.348b3690180f4p+0, -0x1.32cedadb051dbp+0, -0x1.2fbfe01d9ba12p+0, -0x1.2b95a51986ba2p+0, -0x1.26836aaf1ffffp+0, -0x1.20b7ede294764p+0, -0x1.1a5d495617d76p+0, -0x1.1398f1ab32a75p+0, -0x1.0c8be5fb9e838p+0, -0x1.0552f75a882edp+0, -0x1.fc0deee73d30cp-1, -0x1.ed7a891be7926p-1, -0x1.df0fdcd802a19p-1, -0x1.d0ebaae6afc28p-1, -0x1.c326a7d4051d2p-1, -0x1.b5d512ff952bp-1, -0x1.a9067a332c6b8p-1, -0x1.9cc72db4381c3p-1, -0x1.911feb63e2d62p-1, -0x1.8616ba99ec677p-1, -0x1.7baf42fbdbb32p-1, -0x1.71eb125a76e92p-1, -0x1.68c9e0b14d635p-1, -0x1.6049de33a350cp-1, -0x1.5867faf2a9b68p-1, -0x1.51201db196475p-1, -0x1.4a6d509c1a6a7p-1, -0x1.4449eb831d236p-1, -0x1.3eafbca51f6efp-1, -0x1.39982d5dac38ep-1, -0x1.34fc5fe92306cp-1, -0x1.30d5466407227p-1, -0x1.2d1bb656aa90bp-1, -0x1.29c87b821fe55p-1, -0x1.26d469b35cc23p-1, -0x1.24386c2f50bbp-1, -0x1.21ed923c38f7bp-1, -0x1.1fed191837c8p-1, -0x1.1e30738d8415ap-1, -0x1.1cb14f445fc92p-1, -0x1.1b69986d548bp-1, -0x1.1a537cbe44df1p-1, -0x1.19696e69a88cap-1, -0x1.18a626efdf6bap-1, -0x1.1804a91e6a486p-1, -0x1.178041a0a86e3p-1, -0x1.1714860cad438p-1, -0x1.16bd52ed5df5p-1, -0x1.167419e13bf67p-1, -0x1.163a35a772713p-1, -0x1.160a14f71a11fp-1, -0x1.15e09ede85d5ep-1, -0x1.15baf64b668afp-1, -0x1.15967a2a59cd9p-1, -0x1.1570c4d6d3d6cp-1, -0x1.1547aa6a2903bp-1, -0x1.151935e7977f4p-1, -0x1.14e3a5994532fp-1, -0x1.14a5671f76e2bp-1, -0x1.145d13b2d3a2fp-1, -0x1.14096cf38c076p-1, -0x1.13a95a638c7d3p-1, -0x1.133be76fbd4cfp-1, -0x1.12c041c675ac1p-1, -0x1.1235b7b0e702p-1, -0x1.119bb63838209p-1, -0x1.10f1c7025e854p-1, -0x1.10378df74c64fp-1, -0x1.0f6cc6d82c299p-1, -0x1.0e9142f93b8a7p-1, -0x1.0da4e744801e5p-1, -0x1.0ca7aa965626cp-1, -0x1.0b99946d9a3abp-1, -0x1.0a7abbd75ecbp-1, -0x1.094b467625578p-1, -0x1.080b6786d77f8p-1, -0x1.06bb5ecfd29f7p-1, -0x1.055b7773cdaccp-1, -0x1.03ec06aeddef9p-1, -0x1.026d6a8c07a49p-1, -0x1.00e008a443bf7p-1, -0x1.fe8899eae1b4dp-2, -0x1.fb3551b43e644p-2, -0x1.f7c72449ee477p-2, -0x1.f43f04bad62acp-2, -0x1.f09dec309b321p-2, -0x1.ece4d8cbd4b59p-2, -0x1.e914cc9f697dbp-2, -0x1.e52eccc204024p-2, -0x1.e133e06fa78b9p-2, -0x1.dd2510384716cp-2, -0x1.d903653a48084p-2, -0x1.d4cfe868f7b4dp-2, -0x1.d08ba1df587a5p-2, -0x1.cc37983f5559dp-2, -0x1.c7d4d01cdc195p-2, -0x1.c3644b7393307p-2, -0x1.bee709254ddfbp-2, -0x1.ba5e047f0a9d6p-2, -0x1.b5ca34c27fe01p-2, -0x1.b12c8cb2f2b11p-2, -0x1.ac85fa2548f6ap-2, -0x1.a7d76594daeb1p-2, -0x1.a321b1bfee8cap-2, -0x1.9e65bb4fe68f8p-2, -0x1.99a4589169bc7p-2, -0x1.94de594050e69p-2, -0x1.90148669b6e27p-2, -0x1.8b47a264a5321p-2, -0x1.867868dfac31cp-2, -0x1.81a78effcc0fp-2, -0x1.7cd5c38bc5239p-2, -0x1.780391e9ab483p-2, -0x1.73319b332a426p-2, -0x1.6e609f9d3dde8p-2, -0x1.699138ae1e745p-2, -0x1.64c3f9d37a0b1p-2, -0x1.5ff9708564a83p-2, -0x1.5b32246e7daa7p-2, -0x1.566e979557f57p-2, -0x1.51af4683f2752p-2, -0x1.4cf4a86b02249p-2, -0x1.483f2f40006fbp-2, -0x1.438f47d604895p-2, -0x1.3ee559f26dd3ap-2, -0x1.3a41c85efefa9p-2, -0x1.35a4f0fb6152p-2, -0x1.310f2ccfffb0cp-2, -0x1.2c80d023e365p-2, -0x1.27fa2a96bacep-2, -0x1.237b873fa9418p-2, -0x1.1f052cd0dd28ep-2, -0x1.1a975dbf7add9p-2, -0x1.1632586eede51p-2, -0x1.11d6575e8712fp-2, -0x1.0d839158163c6p-2, -0x1.093a399e3e6e7p-2, -0x1.04fa8019463bfp-2, -0x1.00c491815ee49p-2, -0x1.f9312f0b0b19cp-3, -0x1.f0ed71dcd9e88p-3, -0x1.e8be337a33ca5p-3, -0x1.e0a3b68a55cccp-3, -0x1.d89e3885f3968p-3, -0x1.d0adf1dc1a025p-3, -0x1.c8d31610e18dp-3, -0x1.c10dd3d7747ebp-3, -0x1.b95e5528fd6e2p-3, -0x1.b1c4bf5a22919p-3, -0x1.aa41333090047p-3, -0x1.a2d3ccf9de5fcp-3, -0x1.9b7ca4a4e653cp-3, -0x1.943bcdde43a75p-3, -0x1.8d1158306a21cp-3, -0x1.85fd4f27706e4p-3, -0x1.7effba7869656p-3, -0x1.78189e2bd41acp-3, -0x1.7147faca9c1b7p-3, -0x1.6a8dcd8cdc085p-3, -0x1.63ea1089983d2p-3, -0x1.5d5cbae699221p-3, -0x1.56e5c1079834fp-3, -0x1.508514bbf57a9p-3, -0x1.4a3aa56a5703ap-3, -0x1.44066039a94d8p-3, -0x1.3de8303727a78p-3, -0x1.37dffe791e539p-3, -0x1.31edb23e69e7p-3, -0x1.2c11310aac012p-3, -0x1.264a5ebf60711p-3, -0x1.20991db22032dp-3, -0x1.1afd4ec04d32cp-3, -0x1.1576d1609af2ep-3, -0x1.100583b2c25b9p-3, -0x1.0aa9428dcc06fp-3, -0x1.0561e98d52aa7p-3, -0x1.002f531dfeb5dp-3, -0x1.f622b113409d9p-4, -0x1.ec0fa40622039p-4, -0x1.e2252d642055bp-4, -0x1.d862f97e916d4p-4, -0x1.cec8b2c102376p-4, -0x1.c55601ca2364cp-4, -0x1.bc0a8d8528726p-4, -0x1.b2e5fb4393c51p-4, -0x1.a9e7eed742199p-4, -0x1.a1100aac8e962p-4, -0x1.985defe471943p-4, -0x1.8fd13e6e4fe6fp-4, -0x1.8769952158219p-4, -0x1.7f2691d546d08p-4, -0x1.7707d17a668cp-4, -0x1.6f0cf030af35ep-4, -0x1.6735895df3ad7p-4, -0x1.5f8137c30d6f7p-4, -0x1.57ef959002706p-4, -0x1.50803c77293d4p-4, -0x1.4932c5bf545b2p-4, -0x1.4206ca550fce6p-4, -0x1.3afbe2db066c7p-4, -0x1.3411a7b9a0ea2p-4, -0x1.2d47b12df1d32p-4, -0x1.269d975805a3ep-4, -0x1.2012f248a815fp-4, -0x1.19a75a0eaecdfp-4, -0x1.135a66c3d9144p-4, -0x1.0d2bb0994f259p-4, -0x1.071acfe3c6e9cp-4, -0x1.01275d2755a23p-4, -0x1.f6a1e245dcc3ap-5, -0x1.eb2e49b718dbcp-5, -0x1.dff3234e14d1cp-5, -0x1.d4efa26d3af72p-5, -0x1.ca22fb41e9ac5p-5, -0x1.bf8c62d7ea8a7p-5, -0x1.b52b0f2c1b049p-5, -0x1.aafe373e402b9p-5, -0x1.a1051321f835bp-5, -0x1.973edc0ecda8ap-5, -0x1.8daacc6f613d8p-5, -0x1.84481fefb2f18p-5, -0x1.7b16138a82debp-5, -0x1.7213e595d8fdfp-5, -0x1.6940d5ceaff48p-5, -0x1.609c2563d1b2dp-5, -0x1.582516fff235ap-5, -0x1.4fdaeed3080ffp-5, -0x1.47bcf29af7d8cp-5, -0x1.3fca69aba144fp-5, -0x1.38029cf64b762p-5, -0x1.3064d7108ae1fp-5, -0x1.28f0643aa6191p-5, -0x1.21a4926582936p-5, -0x1.1a80b138235bep-5, -0x1.13841214c7afp-5, -0x1.0cae081da9e5p-5, -0x1.05fde839660c8p-5, -0x1.fee6122e27a3p-6, -0x1.f21986641d868p-6, -0x1.e594e1aaefc42p-6, -0x1.d9550db525e8fp-6, -0x1.cd5c6b11cfb21p-6, -0x1.c1a7e3606f283p-6, -0x1.b63639c436099p-6, -0x1.ab06351c24fb2p-6, -0x1.a016a006f866p-6, -0x1.956648e69d00bp-6, -0x1.8af401e329e6cp-6, -0x1.80bea0ed61a82p-6, -0x1.76c4ffc0bbb7ep-6, -0x1.6d05fbe4f098fp-6, -0x1.638076af0b9aap-6, -0x1.5a33554204f3dp-6, -0x1.511d808edbcc3p-6, -0x1.483de5543a0ddp-6, -0x1.3f93741d9a401p-6, -0x1.371d2141fb63ep-6, -0x1.2ed9e4e218424p-6, -0x1.26c8bae62f8cp-6, -0x1.1ee8a2fb5675cp-6, -0x1.1738a09061118p-6, -0x1.0fb7bad25b7a7p-6, -0x1.0864fca8a1e3fp-6, -0x1.013f74b08fcfap-6, -0x1.f48c6a71a8f96p-7, -0x1.e6f0a878d6514p-7, -0x1.d9a9d6ba808cep-7, -0x1.ccb62fbd05f28p-7, -0x1.c013f53d524d5p-7, -0x1.b3c1702262c7fp-7, -0x1.a7bcf070332f3p-7, -0x1.9c04cd3a3ed75p-7, -0x1.9097649574c46p-7, -0x1.85731b89d760dp-7, -0x1.7a965e03a5fcap-7, -0x1.6fff9ec42c397p-7, -0x1.65ad575238ccdp-7, -0x1.5b9e07ea4b136p-7, -0x1.51d0376e67fa2p-7, -0x1.48427355b803fp-7, -0x1.3ef34f9bda287p-7, -0x1.35e166b00918bp-7, -0x1.2d0b5963fa265p-7, -0x1.246fceda9a1b2p-7, -0x1.1c0d74769501fp-7, -0x1.13e2fdc8b206cp-7, -0x1.0bef247e127c9p-7, -0x1.0430a84e44d67p-7, -0x1.f94c9dd27d26fp-8, -0x1.ea9dc7ca6c6ffp-8, -0x1.dc527158ce151p-8, -0x1.ce6848d578a72p-8, -0x1.c0dd07f6d69b5p-8, -0x1.b3ae73acecda8p-8, -0x1.a6da5bfc5b1fp-8, -0x1.9a5e9bd93021ap-8, -0x1.8e391901b47c9p-8, -0x1.8267c3d92a043p-8, -0x1.76e8974280b59p-8, -0x1.6bb9987b0b14dp-8, -0x1.60d8d6f531234p-8, -0x1.56446c332e078p-8, -0x1.4bfa7ba1d27f4p-8, -0x1.41f9327365263p-8, -0x1.383ec77a8786ap-8, -0x1.2ec97b053f313p-8, -0x1.259796b812407p-8, -0x1.1ca76d6953266p-8, -0x1.13f75afc865f3p-8, -0x1.0b85c43df7fdap-8, -0x1.035116be777f5p-8, -0x1.f6af915ea31b9p-9, -0x1.e730b17ce8806p-9, -0x1.d8229be58edf4p-9, -0x1.c9826f11a726fp-9, -0x1.bb4d599f209cp-9, -0x1.ad809a0b0ae39p-9, -0x1.a0197e6c4f668p-9, -0x1.9315642efe32ep-9, -0x1.8671b7d02e5b8p-9, -0x1.7a2bf49a75367p-9, -0x1.6e41a462fc5bfp-9, -0x1.62b05f4737862p-9, -0x1.5775cb6b3ed22p-9, -0x1.4c8f9cb8c8524p-9, -0x1.41fb949eec49p-9, -0x1.37b781d271107p-9, -0x1.2dc1400ee2cafp-9, -0x1.2416b7d856371p-9, -0x1.1ab5de3de5d94p-9, -0x1.119cb49ce6abcp-9, -0x1.08c94864d8d46p-9, -0x1.0039b2dc12b08p-9, -0x1.efd831ca66545p-10, -0x1.dfbd558a779e7p-10, -0x1.d01f47d52910ap-10, -0x1.c0fa9569423b7p-10, -0x1.b24be0788418ep-10, -0x1.a40fe039fb5aep-10, -0x1.9643607deb6e7p-10, -0x1.88e34143414dap-10, -0x1.7bec764e86415p-10, -0x1.6f5c06c265b49p-10, -0x1.632f0cb99370bp-10, -0x1.5762b4e275555p-10, -0x1.4bf43e1c1ed5bp-10, -0x1.40e0f914b8206p-10, -0x1.362647e9c2a8ep-10, -0x1.2bc19dc97ccb8p-10, -0x1.21b07e95ecc85p-10, -0x1.17f07e8958886p-10, -0x1.0e7f41dc44136p-10, -0x1.055a7c6cd0a67p-10, -0x1.f8ffe2cf303f2p-11, -0x1.e7dae5e3dfd22p-11, -0x1.d741c3ab3979bp-11, -0x1.c7305a5bd668cp-11, -0x1.b7a2a42c546e7p-11, -0x1.a894b6b326e27p-11, -0x1.9a02c248afafap-11, -0x1.8be9116ce892ap-11, -0x1.7e44082edeeb5p-11, -0x1.7110239738337p-11, -0x1.6449f91543b49p-11, -0x1.57ee35ee9a2a4p-11, -0x1.4bf99eb15c6d7p-11, -0x1.40690ea8de453p-11, -0x1.35397754d65bbp-11, -0x1.2a67dfe318847p-11, -0x1.1ff164abb446dp-11, -0x1.15d336af48628p-11, -0x1.0c0a9b18330fcp-11, -0x1.0294eabd78ad2p-11, -0x1.f2df23514711cp-12, -0x1.e1301d3ad74e8p-12, -0x1.d017e547c3c02p-12, -0x1.bf91c1299bdeap-12, -0x1.af99195084595p-12, -0x1.a029780cbb6a6p-12, -0x1.913e88b47da99p-12, -0x1.82d416ce21ee7p-12, -0x1.74e60d3e7dd34p-12, -0x1.6770757ba9d06p-12, -0x1.5a6f76c2dbb8cp-12, -0x1.4ddf55546893p-12, -0x1.41bc71b1d1c39p-12, -0x1.360347e0c42d6p-12, -0x1.2ab06eb1d8638p-12, -0x1.1fc0970b47446p-12, -0x1.15308b3773766p-12, -0x1.0afd2e374bd5p-12, -0x1.01237b1851a95p-12, -0x1.ef41089d36cc5p-13, -0x1.dce2e6247e953p-13, -0x1.cb270d8137cf4p-13, -0x1.ba082881f278ep-13, -0x1.a9810ad9da47dp-13, -0x1.998cb0f85cd2ep-13, -0x1.8a263ee77617fp-13, -0x1.7b48ff3185728p-13, -0x1.6cf061cc085fep-13, -0x1.5f17fb0c14423p-13, -0x1.51bb829df47a4p-13, -0x1.44d6d2855aaap-13, -0x1.3865e6230de2ap-13, -0x1.2c64d940e3695p-13, -0x1.20cfe7240e94ap-13, -0x1.15a369a48802p-13, -0x1.0adbd84bf8ba4p-13, -0x1.0075c778d619p-13, -0x1.ecdbcf0fc66bcp-14, -0x1.d98208063e6d1p-14, -0x1.c6d805ac34783p-14, -0x1.b4d7c70f489dbp-14, -0x1.a37b7cf1b3c68p-14, -0x1.92bd8850e61afp-14, -0x1.829878f97532p-14, -0x1.73070c2193f8fp-14, -0x1.64042b0e878d3p-14, -0x1.558ae9c336ca9p-14, -0x1.479685b7daad3p-14, -0x1.3a22649aa531bp-14, -0x1.2d2a1318d4e4ep-14, -0x1.20a943b08d675p-14, -0x1.149bcd8b1db51p-14, -0x1.08fdab5d0943bp-14, -0x1.fb95f4a666ab6p-15, -0x1.e5fff2042f913p-15, -0x1.d1320cbf3f7a5p-15, -0x1.bd2541855d464p-15, -0x1.a9d2c9d6fec9ap-15, -0x1.97341a22a2f56p-15, -0x1.8542dfef1b5e9p-15, -0x1.73f90012babb4p-15, -0x1.635094f75483cp-15, -0x1.5343ecea79a4ep-15, -0x1.43cd887a1c691p-15, -0x1.34e818dc9946cp-15, -0x1.268e7e65991bbp-15, -0x1.18bbc7029efa8p-15, -0x1.0b6b2cc7b11b2p-15, -0x1.fd302904f077bp-16, -0x1.e47c18b1aa64ep-16, -0x1.ccb194e587335p-16, -0x1.b5c8575ad0fbfp-16, -0x1.9fb864a74388ap-16, -0x1.8a7a09d269ca4p-16, -0x1.7605d9ecfd46ep-16, -0x1.6254abc116d89p-16, -0x1.4f5f978cd515ap-16, -0x1.3d1ff4dd55d11p-16, -0x1.2b8f5869800cp-16, -0x1.1aa792047c1b7p-16, -0x1.0a62aa9e636fap-16, -0x1.f575c4a891deap-17, -0x1.d7555d1c69006p-17, -0x1.ba59705aae797p-17, -0x1.9e77b389f5006p-17, -0x1.83a63bc82a4efp-17, -0x1.69db7ad5a3017p-17, -0x1.510e3bdaa8d8cp-17, -0x1.3935a044285f1p-17, -0x1.22491cbde25d9p-17, -0x1.0c40763edb5f7p-17, -0x1.ee277e6717ad9p-18, -0x1.c576a9619c274p-18, -0x1.9e5fb7a8b254cp-18, -0x1.78d47e4ad9fe6p-18, -0x1.54c75828d1f57p-18, -0x1.322b211b368adp-18, -0x1.10f331399bfd6p-18, -0x1.e226b0c2da417p-19, -0x1.a4ffb33cff7fcp-19, -0x1.6a5ace4b7ca28p-19, -0x1.32223c28a161p-19, -0x1.f88209d86908fp-20, -0x1.9145edc1dfd2fp-20, -0x1.2e693e2ac3a0ep-20, -0x1.9f8d08992e096p-21, -0x1.d4e6a9fd86765p-22, -0x1.e9feef9ffc2a7p-24, 0x1.a14149eca55e6p-23, 0x1.067dbdb9b27dap-21, 0x1.9d8688baaf6fbp-21, 0x1.16d349b0babeap-20, 0x1.5b8bc7800c941p-20, 0x1.9d0889f6d7a63p-20, 0x1.db645b58a23bp-20, 0x1.0b5c8704488fp-19, 0x1.278fc32396459p-19, 0x1.4257e1cad16b4p-19, 0x1.5bc074de834b3p-19, 0x1.73d4a4c963cb4p-19, 0x1.8a9f349426685p-19, 0x1.a02a8633fce4cp-19, 0x1.b4809e047ffe3p-19, 0x1.c7a5a88b46ff3p-19, 0x1.d9ae46b60a314p-19, 0x1.ea9daec0f7b84p-19, 0x1.fa7c9314d4201p-19, 0x1.04a9ad0fdeb7ap-18, 0x1.0b9510b1c57d8p-18, 0x1.1204603dba96ep-18, 0x1.17fb65f2676cbp-18, 0x1.1d7dcbe58586bp-18, 0x1.228f1d50181f7p-18, 0x1.2732c7d2aabe7p-18, 0x1.2b6c1cad52c18p-18, 0x1.2f3e51e0182afp-18, 0x1.32ac83644009bp-18, 0x1.35b9b418b9f8ep-18, 0x1.3868cee0ec2ecp-18, 0x1.3abca79bf7c7p-18, 0x1.3cb7fc150736p-18, 0x1.3e5d74edb8234p-18, 0x1.3fafa673e6095p-18, 0x1.40b1118bebff9p-18, 0x1.4164245c8a031p-18, 0x1.41cb3b29d9fd4p-18, 0x1.41e8a106730cep-18, 0x1.41be90894434bp-18, 0x1.414f347730d25p-18, 0x1.409ca86591c61p-18, 0x1.3fa8f9571043ap-18, 0x1.3e76265278957p-18, 0x1.3d0620efbef8p-18, 0x1.3b5acde1665eap-18, 0x1.39760574bf0b8p-18, 0x1.3759941147813p-18, 0x1.35073aaefeed9p-18, 0x1.3280af4244844p-18, 0x1.2fc79d2f799e6p-18, 0x1.2cdda5abcfc6cp-18, 0x1.29c4602a6fcbcp-18, 0x1.267d5aaa7042ep-18, 0x1.230a1a19829e7p-18, 0x1.1f6c1aa8aac92p-18, 0x1.1ba4d012ee8a3p-18, 0x1.17b5a60b68a69p-18, 0x1.13a00056abe64p-18, 0x1.0f653b2f4a4d6p-18, 0x1.0b06ab8261471p-18, 0x1.06859f2eb33a4p-18, 0x1.01e35d3d81716p-18, 0x1.fa424c33a995ap-19, 0x1.f080679c8943fp-19, 0x1.e68374652c637p-19, 0x1.dc4dce3b324cap-19, 0x1.d1e1c52572e6ep-19, 0x1.c7419dde2792p-19, 0x1.bc6f92236b0b8p-19, 0x1.b16dd1071ed5cp-19, 0x1.a63e7f3c15f43p-19, 0x1.9ae3b7528646fp-19, 0x1.8f5f89fa21655p-19, 0x1.83b3fe7481783p-19, 0x1.77e3127aba271p-19, 0x1.6beebaa95028fp-19, 0x1.5fd8e2b543cc2p-19, 0x1.53a36d94b332dp-19, 0x1.475035b16b535p-19, 0x1.3ae10d1590ea8p-19, 0x1.2e57bd99ec841p-19, 0x1.21b60907aba05p-19, 0x1.14fda9458f637p-19, 0x1.08305079c27bap-19, 0x1.f69f5257c5d1fp-20, 0x1.dcbaacbe22bdep-20, 0x1.c2b5e783c5629p-20, 0x1.a8942b59989c8p-20, 0x1.8e5892e92d8eep-20, 0x1.74062a852f95bp-20, 0x1.599ff0ab32ee4p-20, 0x1.3f28d6144e621p-20, 0x1.24a3be0dbf14p-20, 0x1.0a137e60f4b04p-20, 0x1.def5bf53c93e4p-21, 0x1.a9b93add103dcp-21, 0x1.7476cc8c0b725p-21, 0x1.3f33b7fa73c0dp-21, 0x1.09f52756d90fep-21, 0x1.a980579b4d97cp-22, 0x1.3f337b51971dp-22, 0x1.aa1af27c5b4d4p-23, 0x1.ac5f7ef4714afp-24, 0x1.5c0cebca6a7b9p-30, -0x1.a073440419bbep-24, -0x1.a29376fdf6c54p-23, -0x1.3a21e329a2761p-22, -0x1.a29ca7faba4e1p-22, -0x1.0558cb815c307p-21, -0x1.392c365ef1d6ap-21, -0x1.6cc489857da75p-21, -0x1.a01dd08bf6d69p-21, -0x1.d3342da77ce07p-21, -0x1.0301ecb245cdcp-20, -0x1.1c449148a542dp-20, -0x1.35603705fc968p-20, -0x1.4e531b4992a71p-20, -0x1.671b8653e47bap-20, -0x1.7fb7cb2af72ddp-20, -0x1.982647a47438fp-20, -0x1.b06564392ceadp-20, -0x1.c87393ac5400ap-20, -0x1.e04f538ed0d76p-20, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.8a46c4646e278p-1, 0x1.8a400b1fbfed9p-1, 0x1.8a33e7257fb14p-1, 0x1.8a20ff19ba7ebp-1, 0x1.8a0586d730ed7p-1, 0x1.89df5188cf716p-1, 0x1.89abe4a9becafp-1, 0x1.89688ae1d8316p-1, 0x1.89126608e41b9p-1, 0x1.88a67fdad0c05p-1, 0x1.8821d916bdfp-1, 0x1.878176e5d4774p-1, 0x1.86c26e804e89p-1, 0x1.85e1ef18fec1fp-1, 0x1.84dd4a23d89bp-1, 0x1.83b1fa13cc3f3p-1, 0x1.825da7b0e73eep-1, 0x1.80de2e29ccf57p-1, 0x1.7f319e041d2e7p-1, 0x1.7d563f0e8a4a9p-1, 0x1.7b4a9175d1ac8p-1, 0x1.790d4e1ba5a93p-1, 0x1.769d664c26cdbp-1, 0x1.73fa02ebf77b9p-1, 0x1.712283365afd6p-1, 0x1.6e167b203c9fbp-1, 0x1.6ad5b17294f32p-1, 0x1.67601dac519e2p-1, 0x1.63b5e5b9c617ep-1, 0x1.5fd75b8dbbfbp-1, 0x1.5bc4faa6793e1p-1, 0x1.577f65877bcfp-1, 0x1.5307632f440c5p-1, 0x1.4e5ddc8f4965dp-1, 0x1.4983da0b218d1p-1, 0x1.447a8102e69bfp-1, 0x1.3f43116c24p-1, 0x1.39dee37bcf5bep-1, 0x1.344f6563452aap-1, 0x1.2e961921b353p-1, 0x1.28b4926af8abbp-1, 0x1.22ac74a49b812p-1, 0x1.1c7f70f935749p-1, 0x1.162f44826f873p-1, 0x1.0fbdb6897b308p-1, 0x1.092c96ddcb965p-1, 0x1.027dbc41b2895p-1, 0x1.f76605d8dac88p-2, 0x1.e99c964239845p-2, 0x1.dba2efb42377cp-2, 0x1.cd7cdb0faad8ep-2, 0x1.bf2e21c69317bp-2, 0x1.b0ba8ba4720c3p-2, 0x1.a225dcbb69735p-2, 0x1.9373d373292abp-2, 0x1.84a826b8f2119p-2, 0x1.75c6844f50966p-2, 0x1.66d28f3c563d1p-2, 0x1.57cfde5517a8bp-2, 0x1.48c1fae54092p-2, 0x1.39ac5f7195ae3p-2, 0x1.2a92769445c56p-2, 0x1.1b7799f1f7f82p-2, 0x1.0c5f11467e2dp-2, 0x1.fa98231063a9ap-3, 0x1.dc837841e5691p-3, 0x1.be863c77a81b4p-3, 0x1.a0a6604d154b5p-3, 0x1.82e9a98b5d403p-3, 0x1.6555b235e53dbp-3, 0x1.47efe7b8e420bp-3, 0x1.2abd8a3889c2bp-3, 0x1.0dc3abff1116ap-3, 0x1.e20e621050c17p-4, 0x1.a9199d5068d86p-4, 0x1.70b2169bd148p-4, 0x1.38e07cb9aa2e6p-4, 0x1.01ad203ef1f3fp-4, 0x1.963fe73e36b07p-5, 0x1.2a8116cce258cp-5, 0x1.80587a6f23d6fp-6, 0x1.5d3c3a389e2c2p-7, -0x1.00979cb10a1ep-9, -0x1.d7445e228dfd7p-7, -0x1.b3f877522139ep-6, -0x1.3c800a6ded1cbp-5, -0x1.9d5259211b87dp-5, -0x1.fc69aba9fe13dp-5, -0x1.2cde98fb3176ep-4, -0x1.5aa2629d6071ep-4, -0x1.877c7286997dcp-4, -0x1.b3695a2f4308dp-4, -0x1.de65fb2a42cefp-4, -0x1.0437c2c21a885p-3, -0x1.18c1bb0b2488bp-3, -0x1.2ccfca66fda61p-3, -0x1.4060f9758d079p-3, -0x1.5374749aa5d8dp-3, -0x1.66098b151d36ep-3, -0x1.781fae12d2238p-3, -0x1.89b66fc220e2fp-3, -0x1.9acd82614f60ep-3, -0x1.ab64b74c6a3e2p-3, -0x1.bb7bfe09ff98cp-3, -0x1.cb1363573c60dp-3, -0x1.da2b1033b37a1p-3, -0x1.e8c348ed545c8p-3, -0x1.f6dc6c2ccd058p-3, -0x1.023b790163776p-2, -0x1.08c9b57b2395ap-2, -0x1.0f193f8a3b23fp-2, -0x1.152a768115435p-2, -0x1.1afdc487b18b1p-2, -0x1.20939e268297cp-2, -0x1.25ec81d280e7dp-2, -0x1.2b08f77a9848dp-2, -0x1.2fe990167d082p-2, -0x1.348ee5370cf58p-2, -0x1.38f9989841f12p-2, -0x1.3d2a53b4daf5bp-2, -0x1.4121c75bbe421p-2, -0x1.44e0ab472fe74p-2, -0x1.4867bdb5e5165p-2, -0x1.4bb7c30605547p-2, -0x1.4ed1855222d23p-2, -0x1.51b5d4103869p-2, -0x1.546583b2b1349p-2, -0x1.56e16d4b884b4p-2, -0x1.592a6e31841abp-2, -0x1.5b4167a7931fap-2, -0x1.5d273e8650929p-2, -0x1.5edcdae7b730ap-2, -0x1.606327d4ff0dbp-2, -0x1.61bb12f6aec99p-2, -0x1.62e58c46e10a9p-2, -0x1.63e385c5b9d71p-2, -0x1.64b5f3301033ep-2, -0x1.655dc9b84e3acp-2, -0x1.65dbffc17ae77p-2, -0x1.66318c9c79ec6p-2, -0x1.665f6847745c9p-2, -0x1.66668b2f68d9cp-2, -0x1.6647edf3e5087p-2, -0x1.6604892cdb896p-2, -0x1.659d5532998bdp-2, -0x1.651349e7cfa8dp-2, -0x1.64675e85b03a4p-2, -0x1.639a896a1357ep-2, -0x1.62adbfe7a31ebp-2, -0x1.61a1f6180624bp-2, -0x1.60781eaffdfb1p-2, -0x1.5f312ad576ab9p-2, -0x1.5dce09f77d834p-2, -0x1.5c4fa9a818923p-2, -0x1.5ab6f577f370fp-2, -0x1.5904d6d3df17fp-2, -0x1.573a34e413a32p-2, -0x1.5557f46d3633fp-2, -0x1.535ef7b30cf3ep-2, -0x1.51501e5ce59e9p-2, -0x1.4f2c455b9b386p-2, -0x1.4cf446d137de1p-2, -0x1.4aa8f9fa25ec1p-2, -0x1.484b3317e892cp-2, -0x1.45dbc35d5149ep-2, -0x1.435b78dc2dbccp-2, -0x1.40cb1e7459843p-2, -0x1.3e2b7bc43812fp-2, -0x1.3b7d551a822a6p-2, -0x1.38c16b69611e6p-2, -0x1.35f87c3ad3838p-2, -0x1.332341a6469bp-2, -0x1.3042724766b05p-2, -0x1.2d56c13615408p-2, -0x1.2a60ddff7e52dp-2, -0x1.276174a04355bp-2, -0x1.24592d7fb4e75p-2, -0x1.2148ad6c0b438p-2, -0x1.1e3095979dc8p-2, -0x1.1b11839707f73p-2, -0x1.17ec116039561p-2, -0x1.14c0d54a63d49p-2, -0x1.1190620ec308ep-2, -0x1.0e5b46ca2e2aap-2, -0x1.0b220eff737c7p-2, -0x1.07e5429a7143ap-2, -0x1.04a565f3e2a14p-2, -0x1.0162f9d5dbe6bp-2, -0x1.fc3cf701d6ccep-3, -0x1.f5b0c963b2f6bp-3, -0x1.ef22574ffc2ecp-3, -0x1.e89286584b672p-3, -0x1.e202352ffc4bbp-3, -0x1.db723bbc08a7dp-3, -0x1.d4e36b23d4cf3p-3, -0x1.ce568de2e600bp-3, -0x1.c7cc67db6a22p-3, -0x1.c145b66991b55p-3, -0x1.bac33077a4491p-3, -0x1.b4458692c939cp-3, -0x1.adcd6300732ddp-3, -0x1.a75b69d46ba88p-3, -0x1.a0f03907636ebp-3, -0x1.9a8c688e140eap-3, -0x1.94308a70cf5b1p-3, -0x1.8ddd2ae3805e7p-3, -0x1.8792d05e14faep-3, -0x1.8151fbb538767p-3, -0x1.7b1b28336981fp-3, -0x1.74eecbb2531a3p-3, -0x1.6ecd56b45db39p-3, -0x1.68b7347e8421bp-3, -0x1.62accb3246666p-3, -0x1.5cae7be7d30ap-3, -0x1.56bca2c83be35p-3, -0x1.50d79727d2741p-3, -0x1.4affaba086e9dp-3, -0x1.45352e2c55309p-3, -0x1.3f78683fb4a9fp-3, -0x1.39c99ee3fc749p-3, -0x1.342912d1c7b37p-3, -0x1.2e97008b3dafap-3, -0x1.2913a0764cc82p-3, -0x1.239f26f6c4d67p-3, -0x1.1e39c4885107p-3, -0x1.18e3a5d852079p-3, -0x1.139cf3df8611fp-3, -0x1.0e65d3fb8880ap-3, -0x1.093e68081d7e1p-3, -0x1.0426ce7843a58p-3, -0x1.fe3e44de2702p-4, -0x1.f44ef7b0b3147p-4, -0x1.ea7fdf01e6f2fp-4, -0x1.e0d11e5dd3b47p-4, -0x1.d742d37282fd4p-4, -0x1.cdd5163f06206p-4, -0x1.c487f941edf54p-4, -0x1.bb5b89a72ee7fp-4, -0x1.b24fcf75551cap-4, -0x1.a964cdba1a3f3p-4, -0x1.a09a82b65b3bfp-4, -0x1.97f0e80957e41p-4, -0x1.8f67f2db413d9p-4, -0x1.86ff94072384p-4, -0x1.7eb7b8440fe08p-4, -0x1.7690484d96904p-4, -0x1.6e89290b86ea5p-4, -0x1.66a23bb8f573p-4, -0x1.5edb5e0a87fcp-4, -0x1.57346a54055abp-4, -0x1.4fad37ad2779fp-4, -0x1.48459a15afc7p-4, -0x1.40fd6298bedaep-4, -0x1.39d45f6f6acd1p-4, -0x1.32ca5c2299498p-4, -0x1.2bdf21ac1ac72p-4, -0x1.2512769705fc7p-4, -0x1.1e641f1f57183p-4, -0x1.17d3dd50d127cp-4, -0x1.11617125236e4p-4, -0x1.0b0c98a152252p-4, -0x1.04d50ff265fdap-4, -0x1.fd752312c4131p-5, -0x1.f179ac6d017dbp-5, -0x1.e5b72a877628cp-5, -0x1.da2d091d363edp-5, -0x1.cedab142b3b0bp-5, -0x1.c3bf899698d85p-5, -0x1.b8daf67141819p-5, -0x1.ae2c5a12daca5p-5, -0x1.a3b314d026af3p-5, -0x1.996e853def959p-5, -0x1.8f5e085b2c874p-5, -0x1.8580f9b9d61efp-5, -0x1.7bd6b3a679859p-5, -0x1.725e8f4e87bcap-5, -0x1.6917e4e5667e1p-5, -0x1.60020bc84b7c5p-5, -0x1.571c5aa0e1a92p-5, -0x1.4e662786c1a8ep-5, -0x1.45dec81fbf348p-5, -0x1.3d8591bf159e6p-5, -0x1.3559d9837103fp-5, -0x1.2d5af473df6d5p-5, -0x1.2588379baec96p-5, -0x1.1de0f82539e16p-5, -0x1.16648b73aa403p-5, -0x1.0f12473bb724bp-5, -0x1.07e9819b655dbp-5, -0x1.00e99130ca861p-5, -0x1.f4239a5fbbabdp-6, -0x1.e6c31aeeb0938p-6, -0x1.d9b0554955a07p-6, -0x1.cce9fc4e1e218p-6, -0x1.c06ec4a3767a1p-6, -0x1.b43d64da6da1cp-6, -0x1.a854958fbbf25p-6, -0x1.9cb3118b27f82p-6, -0x1.915795dd53d35p-6, -0x1.8640e1fc0358ap-6, -0x1.7b6db7dcda3e8p-6, -0x1.70dcdc0eaa428p-6, -0x1.668d15d151476p-6, -0x1.5c7d2f2c2fddfp-6, -0x1.52abf5034ebc9p-6, -0x1.4918372b2c1cbp-6, -0x1.3fc0c87b48361p-6, -0x1.36a47edf72417p-6, -0x1.2dc23367de72ap-6, -0x1.2518c2581c24ep-6, -0x1.1ca70b34dc07dp-6, -0x1.146bf0d0a815dp-6, -0x1.0c665957891a4p-6, -0x1.04952e59a2ed2p-6, -0x1.f9eeb9a9a6b6p-7, -0x1.eb17aa7ab2b4cp-7, -0x1.dca3170b23d9bp-7, -0x1.ce8eee4995593p-7, -0x1.c0d9263a6927ep-7, -0x1.b37fbc021295ep-7, -0x1.a680b3edab381p-7, -0x1.99da197a0bd3ep-7, -0x1.8d89ff5959d26p-7, -0x1.818e7f772f39ep-7, -0x1.75e5bafb4c4afp-7, -0x1.6a8dda4b06d37p-7, -0x1.5f850d096654cp-7, -0x1.54c98a160650ep-7, -0x1.4a598f8aca023p-7, -0x1.403362b8759d6p-7, -0x1.3655502225a7dp-7, -0x1.2cbdab77c7fe2p-7, -0x1.236acf8f910d7p-7, -0x1.1a5b1e5e825bep-7, -0x1.118d00f007715p-7, -0x1.08fee75cb9076p-7, -0x1.00af48c04cd65p-7, -0x1.f139465d7fdb7p-8, -0x1.e18af75185432p-8, -0x1.d250bc1ee4977p-8, -0x1.c387ba2ed183dp-8, -0x1.b52d2476566e1p-8, -0x1.a73e3b5a047bbp-8, -0x1.99b84c908553cp-8, -0x1.8c98b3041fcacp-8, -0x1.7fdcd6b3432a7p-8, -0x1.73822c9023396p-8, -0x1.6786365f7af5ep-8, -0x1.5be682967f4e3p-8, -0x1.50a0ac38146ap-8, -0x1.45b25ab153084p-8, -0x1.3b1941b568125p-8, -0x1.30d32118e2627p-8, -0x1.26ddc4ac73cc1p-8, -0x1.1d3704173694p-8, -0x1.13dcc2b084497p-8, -0x1.0accef5963a16p-8, -0x1.020584559ec88p-8, -0x1.f3090e491538fp-9, -0x1.e29010b30badfp-9, -0x1.d29c46e880699p-9, -0x1.c329fd719cc57p-9, -0x1.b435960f2d049p-9, -0x1.a5bb876a365f6p-9, -0x1.97b85cc36366dp-9, -0x1.8a28b5a252016p-9, -0x1.7d094584cf64bp-9, -0x1.7056d38e1a3ffp-9, -0x1.640e3a3630b91p-9, -0x1.582c66f93c3fep-9, -0x1.4cae5a072829fp-9, -0x1.419125f36f79cp-9, -0x1.36d1ef652d13bp-9, -0x1.2c6decc778825p-9, -0x1.226265fa1dedbp-9, -0x1.18acb402bbf71p-9, -0x1.0f4a40be46e9cp-9, -0x1.063886930df69p-9, -0x1.faea204669edap-10, -0x1.e9faefff7eda3p-10, -0x1.d99ed0b84ae55p-10, -0x1.c9d1358509286p-10, -0x1.ba8daf90d4bcbp-10, -0x1.abcfed88965afp-10, -0x1.9d93bb07387d5p-10, -0x1.8fd500034ccd8p-10, -0x1.828fc03e1afbep-10, -0x1.75c01ab41fc34p-10, -0x1.6962490f1b9d3p-10, -0x1.5d729f19a285dp-10, -0x1.51ed8a343ed21p-10, -0x1.46cf90cc313a1p-10, -0x1.3c1551d3d1793p-10, -0x1.31bb843c9884fp-10, -0x1.27bef672cd99dp-10, -0x1.1e1c8ddaf5a3ep-10, -0x1.14d14650ed5fp-10, -0x1.0bda31a8c1525p-10, -0x1.0334773148613p-10, -0x1.f5baa670f6dc4p-11, -0x1.e5a42d232947cp-11, -0x1.d6204c39e6445p-11, -0x1.c729f4a392ef9p-11, -0x1.b8bc3d9327c1ap-11, -0x1.aad2639ab6783p-11, -0x1.9d67c7c9840b2p-11, -0x1.9077eecdbcbc7p-11, -0x1.83fe8019bcde5p-11, -0x1.77f7450cf3b5ap-11, -0x1.6c5e28205776fp-11, -0x1.612f34166f53p-11, -0x1.5666932eed0a6p-11, -0x1.4c008e5dd2e12p-11, -0x1.41f98c8623ec7p-11, -0x1.384e11b81a385p-11, -0x1.2efabe72dc04bp-11, -0x1.25fc4ee9ae4c5p-11, -0x1.1d4f9a4c9b94p-11, -0x1.14f192148c87bp-11, -0x1.0cdf4152c92a8p-11, -0x1.0515cc03dcf73p-11, -0x1.fb24dccbb1179p-12, -0x1.eca4f8a3cc1e4p-12, -0x1.dea6c1325814ap-12, -0x1.d12538c9ebdb5p-12, -0x1.c41b8d342f57p-12, -0x1.b785167f0fd0ap-12, -0x1.ab5d55d04a877p-12, -0x1.9f9ff43f3f7fdp-12, -0x1.9448c1b4f523p-12, -0x1.8953b3d241e07p-12, -0x1.7ebce4dc02267p-12, -0x1.748092ad4bd3dp-12, -0x1.6a9b1daf8a6c3p-12, -0x1.610907d870b1p-12, -0x1.57c6f3adab5b5p-12, -0x1.4ed1a34e40b1dp-12, -0x1.4625f7818d382p-12, -0x1.3dc0eecbbfbe7p-12, -0x1.359fa487cbcebp-12, -0x1.2dbf5006b5326p-12, -0x1.261d43b422ffdp-12, -0x1.1eb6ec4029f8fp-12, -0x1.1789cfce2d5a6p-12, -0x1.10938d28d2f55p-12, -0x1.09d1dafae27d4p-12, -0x1.0342870d0e3e2p-12, -0x1.f9c6eb10fc16bp-13, -0x1.ed65407c3282ap-13, -0x1.e15c2be4da56bp-13, -0x1.d5a7f35c4664dp-13, -0x1.ca450425e09f6p-13, -0x1.bf2ff169ccafcp-13, -0x1.b46572f0341fbp-13, -0x1.a9e263e5043cbp-13, -0x1.9fa3c1a3f9aebp-13, -0x1.95a6aa8cdb214p-13, -0x1.8be85cdfacf59p-13, -0x1.826635a0c4c37p-13, -0x1.791daf8485b8bp-13, -0x1.700c61e2b2ecp-13, -0x1.672fffb118972p-13, -0x1.5e86568583358p-13, -0x1.560d4d9ec0fa6p-13, -0x1.4dc2e4f4a01b6p-13, -0x1.45a5344eb94bdp-13, -0x1.3db26a61dec73p-13, -0x1.35e8cbf41c1a4p-13, -0x1.2e46b3070c1dcp-13, -0x1.26ca8e087320ap-13, -0x1.1f72df08f76b9p-13, -0x1.183e3af8ceb07p-13, -0x1.112b48ea42ab3p-13, -0x1.0a38c159ef3b8p-13, -0x1.03656d7c9255ap-13, -0x1.f9604d249c86ap-14, -0x1.ec2faa7e8d953p-14, -0x1.df36e1d2d12b6p-14, -0x1.d273fe3698e7bp-14, -0x1.c5e525d81da12p-14, -0x1.b98898d7f9838p-14, -0x1.ad5cb02c00504p-14, -0x1.a15fdc8b3dac9p-14, -0x1.9590a56306642p-14, -0x1.89eda7d4c5708p-14, -0x1.7e7595bc57316p-14, -0x1.732734bebf21cp-14, -0x1.68015d60fb553p-14, -0x1.5d02fa26c742dp-14, -0x1.522b06b912c77p-14, -0x1.47788f1400845p-14, -0x1.3ceaaebc34d69p-14, -0x1.32808ffb4690ap-14, -0x1.28396b231f06p-14, -0x1.1e1485d81aeddp-14, -0x1.14113261bf144p-14, -0x1.0a2ecf01ce3b4p-14, -0x1.006cc5519912ep-14, -0x1.ed95134ab11b5p-15, -0x1.da8f34ead0cfep-15, -0x1.c7c6ff9a6ebf9p-15, -0x1.b53b957f8c0b9p-15, -0x1.a2ec29c30d822p-15, -0x1.90d7ff8ef93cfp-15, -0x1.7efe6916de3f8p-15, -0x1.6d5ec6aa19b3ap-15, -0x1.5bf885cfb2ca9p-15, -0x1.4acb206b81f56p-15, -0x1.39d61bec5c7b2p-15, -0x1.29190882fff76p-15, -0x1.1893806176c89p-15, -0x1.08452702b82d3p-15, -0x1.f05b50f47b9cdp-16, -0x1.d0997196a181bp-16, -0x1.b144268fa50f7p-16, -0x1.925af3ec7ee7bp-16, -0x1.73dd69fd7093dp-16, -0x1.55cb243d9ee7fp-16, -0x1.3823c847d17cap-16, -0x1.1ae704d7dfa27p-16, -0x1.fc2921b0d19d6p-17, -0x1.c35854f8ca6f5p-17, -0x1.8b5b2cc864c76p-17, -0x1.54313d9b5dba1p-17, -0x1.1dda259e16cc9p-17, -0x1.d0ab166fbec1bp-18, -0x1.674637525e3e1p-18, -0x1.ff0a26f463964p-19, -0x1.32ce323538d7ep-19, -0x1.a75de5803d0a3p-21, 0x1.6f6c498ebda8cp-21, 0x1.1e4a7be10a4dep-19, 0x1.dd77cdb6880d7p-19, 0x1.4cb20afcd10b1p-18, 0x1.a90834cf7c0cap-18, 0x1.01df79ea5e3e2p-17, 0x1.2e6b6f08afedp-17, 0x1.5a2848b7b013bp-17, 0x1.85165a8332babp-17, 0x1.af35fd2606821p-17, 0x1.d8878f1660942p-17, 0x1.0085ba8393496p-16, 0x1.14610d2f3c769p-16, 0x1.27d5f8d0fad54p-16, 0x1.3ae4ba6c9150bp-16, 0x1.4d8d92f33933dp-16, 0x1.5fd0c76b9c7ffp-16, 0x1.71aea11589b5dp-16, 0x1.83276d8980c57p-16, 0x1.943b7ed459457p-16, 0x1.a4eb2b8f225ffp-16, 0x1.b536cef373385p-16, 0x1.c51ec8ec54235p-16, 0x1.d4a37e23e348dp-16, 0x1.e3c5580deab9fp-16, 0x1.f284c4ef82a4bp-16, 0x1.00711bf1f8529p-15, 0x1.076f146f6d454p-15, 0x1.0e3c8a5600f14p-15, 0x1.14d9be764ccb9p-15, 0x1.1b46f40932f25p-15, 0x1.218470ac5b9e1p-15, 0x1.27927c5db54a5p-15, 0x1.2d71617606b82p-15, 0x1.33216ca299a23p-15, 0x1.38a2ecde175b6p-15, 0x1.3df6336899814p-15, 0x1.431b93bf05747p-15, 0x1.48136391b4c18p-15, 0x1.4cddfaba82f93p-15, 0x1.517bb3323e729p-15, 0x1.55ece905924e5p-15, 0x1.5a31fa496ec58p-15, 0x1.5e4b470efc041p-15, 0x1.623931571ec44p-15, 0x1.65fc1d059b46p-15, 0x1.69946fd3de34cp-15, 0x1.6d029143747bfp-15, 0x1.7046ea9038876p-15, 0x1.7361e6a2412f7p-15, 0x1.7653f1ff941dap-15, 0x1.791d7abda9b71p-15, 0x1.7bbef072c1784p-15, 0x1.7e38c427169c5p-15, 0x1.808b6845f3421p-15, 0x1.82b7508ead3b6p-15, 0x1.84bcf205907bdp-15, 0x1.869cc2e4bbd6dp-15, 0x1.88573a8cf96bp-15, 0x1.89ecd17690354p-15, 0x1.8b5e01221d33fp-15, 0x1.8cab44096f11p-15, 0x1.8dd5159070907p-15, 0x1.8edbf1f61f9b8p-15, 0x1.8fc0564599ea4p-15, 0x1.9082c0473f4a7p-15, 0x1.9123ae71ef487p-15, 0x1.91a39fdc6296ap-15, 0x1.9203142ea7667p-15, 0x1.92428b93c058fp-15, 0x1.926286ab69fbbp-15, 0x1.9263867c08fc6p-15, 0x1.92460c64c2df9p-15, 0x1.920a9a0fc6a34p-15, 0x1.91b1b164c1b1ap-15, 0x1.913bd47b8911dp-15, 0x1.90a9858ef4ad3p-15, 0x1.8ffb46efee1a1p-15, 0x1.8f319af8b9c46p-15, 0x1.8e4d0400733f5p-15, 0x1.8d4e044ec61e5p-15, 0x1.8c351e0fdea69p-15, 0x1.8b02d34898d46p-15, 0x1.89b7a5cae7957p-15, 0x1.8854172a7c24bp-15, 0x1.86d8a8b1ab01dp-15, 0x1.8545db568d708p-15, 0x1.839c2fb06374dp-15, 0x1.81dc25ed34814p-15, }}, 
      {{0x1.8a48337b8b785p-1, 0x1.8a4601dff9174p-1, 0x1.8a4229a66714fp-1, 0x1.8a3c647dc2fd5p-1, 0x1.8a34537f689c1p-1, 0x1.8a298206d7fafp-1, 0x1.8a1b68c3d413p-1, 0x1.8a0970defd212p-1, 0x1.89f2f713cbe2dp-1, 0x1.89d74eab4be63p-1, 0x1.89b5c449835d1p-1, 0x1.898da0848c0dep-1, 0x1.895e2a403a95ep-1, 0x1.8926a8cc23e69p-1, 0x1.88e665c3f3926p-1, 0x1.889caeb39cc3p-1, 0x1.8848d68202911p-1, 0x1.87ea36a573c79p-1, 0x1.87803025ca705p-1, 0x1.870a2c703995ap-1, 0x1.86879e00ea4afp-1, 0x1.85f800e6800a5p-1, 0x1.855adb2377f4p-1, 0x1.84afbcf12ee7ap-1, 0x1.83f640e819905p-1, 0x1.832e0c1086071p-1, 0x1.8256cddeeedc8p-1, 0x1.8170401eb4ffp-1, 0x1.807a26cdc96bep-1, 0x1.7f744feb9401cp-1, 0x1.7e5e933d2dd22p-1, 0x1.7d38d208c4debp-1, 0x1.7c02f6c9d0941p-1, 0x1.7abcf4df8b142p-1, 0x1.7966c836f881ap-1, 0x1.780074f19ad59p-1, 0x1.768a0709cd274p-1, 0x1.750391f59fa9ap-1, 0x1.736d3048eff2dp-1, 0x1.71c703575f2d1p-1, 0x1.701132d6ac8efp-1, 0x1.6e4bec81ea686p-1, 0x1.6c7763bdefa02p-1, 0x1.6a93d13f52613p-1, 0x1.68a172b234503p-1, 0x1.66a08a64118b6p-1, 0x1.64915eefc14cap-1, 0x1.62743aebc72dbp-1, 0x1.60496c9b1135ap-1, 0x1.5e1145a0340e7p-1, 0x1.5bcc1ab333753p-1, 0x1.597a4359dc65p-1, 0x1.571c19a2b8e6ap-1, 0x1.54b1f9e298762p-1, 0x1.523c4274acff5p-1, 0x1.4fbb537d36f01p-1, 0x1.4d2f8eaeb75e4p-1, 0x1.4a9957119e221p-1, 0x1.47f910ce6ca42p-1, 0x1.454f20fa3dfa6p-1, 0x1.429bed65a7cabp-1, 0x1.3fdfdc6de9d5cp-1, 0x1.3d1b54d059092p-1, 0x1.3a4ebd7ffc6a7p-1, 0x1.377a7d7d49d46p-1, 0x1.349efbaff58c1p-1, 0x1.31bc9ec2c4681p-1, 0x1.2ed3cd015390fp-1, 0x1.2be4ec37c40a5p-1, 0x1.28f061943cd3ap-1, 0x1.25f6918a3635cp-1, 0x1.22f7dfb77b8d5p-1, 0x1.1ff4aecad9e3ap-1, 0x1.1ced606c69174p-1, 0x1.19e25527637a3p-1, 0x1.16d3ec557f26p-1, 0x1.13c2840bb6fd3p-1, 0x1.10ae79087c887p-1, 0x1.0d9826a33e74dp-1, 0x1.0a7fe6bd3d8aep-1, 0x1.076611b39da58p-1, 0x1.044afe52aa85cp-1, 0x1.012f01ca4270ep-1, 0x1.fc24df46b7336p-2, 0x1.f5eb336d2eb79p-2, 0x1.efb1a047b64bfp-2, 0x1.e978c295beed8p-2, 0x1.e34133895ed6dp-2, 0x1.dd0b88bc136b7p-2, 0x1.d6d854253a0f5p-2, 0x1.d0a8241224a76p-2, 0x1.ca7b831fb9ec9p-2, 0x1.c452f83594601p-2, 0x1.be2f06828036ep-2, 0x1.b8102d7a55274p-2, 0x1.b1f6e8d510d56p-2, 0x1.abe3b08f282ffp-2, 0x1.a5d6f8eafaa24p-2, 0x1.9fd1327358273p-2, 0x1.99d2c9ff108f5p-2, 0x1.93dc28b577c02p-2, 0x1.8dedb413cf873p-2, 0x1.8807cdf3922a8p-2, 0x1.822ad49186d7ep-2, 0x1.7c5722959808cp-2, 0x1.768d0f1b61bbep-2, 0x1.70ccedbb649d3p-2, 0x1.6b170e94da955p-2, 0x1.656bbe581f202p-2, 0x1.5fcb46519b23p-2, 0x1.5a35ec753676fp-2, 0x1.54abf36a37d66p-2, 0x1.4f2d9a9794f2p-2, 0x1.49bb1e30a1843p-2, 0x1.4454b7421b31ep-2, 0x1.3efa9bbf8575fp-2, 0x1.39acfe90cfe0ep-2, 0x1.346c0fa03c8e5p-2, 0x1.2f37fbe886d0fp-2, 0x1.2a10ed83372abp-2, 0x1.24f70bb72968fp-2, 0x1.1fea7b0738223p-2, 0x1.1aeb5d4108bf9p-2, 0x1.15f9d18bf3ac8p-2, 0x1.1115f4780212ap-2, 0x1.0c3fe00cfa8a5p-2, 0x1.0777abd97b6d5p-2, 0x1.02bd6d021a704p-2, 0x1.fc226ca10dcp-3, 0x1.f2e6308551958p-3, 0x1.e9c6423377865p-3, 0x1.e0c2b9d2bc689p-3, 0x1.d7dbab4d2463dp-3, 0x1.cf11266d5ea9dp-3, 0x1.c66336fc7c531p-3, 0x1.bdd1e4df7b4p-3, 0x1.b55d343496ecep-3, 0x1.ad052570655fap-3, 0x1.a4c9b57aaf79ep-3, 0x1.9caaddcb08338p-3, 0x1.94a89485174eap-3, 0x1.8cc2cc949b099p-3, 0x1.84f975c9147e8p-3, 0x1.7d4c7cf124d9p-3, 0x1.75bbcbf58b8b8p-3, 0x1.6e4749f3cf334p-3, 0x1.66eedb5885b9bp-3, 0x1.5fb261f939f23p-3, 0x1.5891bd2df4db6p-3, 0x1.518cc9ea5487bp-3, 0x1.4aa362d64bf09p-3, 0x1.43d560666c0abp-3, 0x1.3d2298f3c8937p-3, 0x1.368ae0d3718eap-3, 0x1.300e0a6d76e5ep-3, 0x1.29abe6538a657p-3, 0x1.2364435724d0fp-3, 0x1.1d36ee9f4792fp-3, 0x1.1723b3bdc0a42p-3, 0x1.112a5cc408692p-3, 0x1.0b4ab257a54cbp-3, 0x1.05847bc622471p-3, 0x1.ffaefe31299ep-4, 0x1.f487024d52cedp-4, 0x1.e9908b528f01ap-4, 0x1.decb1e99762d2p-4, 0x1.d4363f84eec4ep-4, 0x1.c9d16fa4bb12bp-4, 0x1.bf9c2ed73537fp-4, 0x1.b595fb6a283e3p-4, 0x1.abbe523acd40ap-4, 0x1.a214aed4e3e34p-4, 0x1.98988b90fcc81p-4, 0x1.8f4961b1e3b86p-4, 0x1.8626a98134ef9p-4, 0x1.7d2fda6b1e6a5p-4, 0x1.74646b194e741p-4, 0x1.6bc3d18d13acap-4, 0x1.634d8338add14p-4, 0x1.5b00f517d4ea5p-4, 0x1.52dd9bc778a06p-4, 0x1.4ae2eb9cb8126p-4, 0x1.431058bb1881fp-4, 0x1.3b655729fbe4bp-4, 0x1.33e15ae959a4p-4, 0x1.2c83d805bd962p-4, 0x1.254c42ab905c3p-4, 0x1.1e3a0f39aa607p-4, 0x1.174cb25336e7ep-4, 0x1.1083a0f0e8cddp-4, 0x1.09de507185211p-4, 0x1.035c36a9c42aep-4, 0x1.f9f993e721936p-5, 0x1.ed7f027948ba3p-5, 0x1.e147a8290c9adp-5, 0x1.d5527573dda73p-5, 0x1.c99e5c4f2a8e7p-5, 0x1.be2a5040cd8e4p-5, 0x1.b2f546765c11fp-5, 0x1.a7fe35db5a077p-5, 0x1.9d44172e55d6fp-5, 0x1.92c5e514f94dfp-5, 0x1.88829c2f0e6fbp-5, 0x1.7e793b288420ep-5, 0x1.74a8c2ca78aa1p-5, 0x1.6b10360b4bd3fp-5, 0x1.61ae9a1dc3de3p-5, 0x1.5882f67f49e58p-5, 0x1.4f8c550541f05p-5, 0x1.46c9c1e9898b6p-5, 0x1.3e3a4bd61b337p-5, 0x1.35dd03efe6614p-5, 0x1.2db0fde0d7ff2p-5, 0x1.25b54fe1231dp-5, 0x1.1de912bfc65f5p-5, 0x1.164b61ea5ad17p-5, 0x1.0edb5b742de01p-5, 0x1.0798201cad294p-5, 0x1.0080d3552b2cep-5, 0x1.f329368bfbd51p-6, 0x1.e5a541a606c8cp-6, 0x1.d8741f3f13d36p-6, 0x1.cb942c234d6f9p-6, 0x1.bf03caa9fc375p-6, 0x1.b2c162ba0132cp-6, 0x1.a6cb61cd4bc95p-6, 0x1.9b203af34aa19p-6, 0x1.8fbe66d26b23bp-6, 0x1.84a463a8a852cp-6, 0x1.79d0b54b343efp-6, 0x1.6f41e5254e5ccp-6, 0x1.64f682363d9aep-6, 0x1.5aed210e8407cp-6, 0x1.51245bcc56948p-6, 0x1.479ad2174fcf8p-6, 0x1.3e4f291b7a70ep-6, 0x1.35400b83aecafp-6, 0x1.2c6c29734dae4p-6, 0x1.23d2387f607d1p-6, 0x1.1b70f3a725794p-6, 0x1.13471b4c10bd6p-6, 0x1.0b537529461a2p-6, 0x1.0394cc4a95b25p-6, 0x1.f813e205f8126p-7, 0x1.e96371c56e35fp-7, 0x1.db15fd59ceb31p-7, 0x1.cd294499a082fp-7, 0x1.bf9b1195710ecp-7, 0x1.b2693880d95c2p-7, 0x1.a591979adff7bp-7, 0x1.99121715ba6f6p-7, 0x1.8ce8a8fdf6cd4p-7, 0x1.8113492123981p-7, 0x1.758ffcf3e9aeap-7, 0x1.6a5cd377bb2d2p-7, 0x1.5f77e52010537p-7, 0x1.54df53b73dae5p-7, 0x1.4a914a42eec59p-7, 0x1.408bfce853ab1p-7, 0x1.36cda8cff40a8p-7, 0x1.2d5494094d06ep-7, 0x1.241f0d6e2a8d9p-7, 0x1.1b2b6c85cd03p-7, 0x1.12781167e1e65p-7, 0x1.0a03649f5313ep-7, 0x1.01cbd70cf6822p-7, 0x1.f39fc39445a92p-8, 0x1.e41c0c165e7c7p-8, 0x1.d5099a03c81adp-8, 0x1.c6658f7fc6635p-8, 0x1.b82d1e321568ep-8, 0x1.aa5d870bb56dp-8, 0x1.9cf41a0bbf045p-8, 0x1.8fee36044fb83p-8, 0x1.8349485f92ce2p-8, 0x1.7702cce4f36f2p-8, 0x1.6b184d7e7cb15p-8, 0x1.5f8761fe72343p-8, 0x1.544dafe5258a4p-8, 0x1.4968ea2714d0cp-8, 0x1.3ed6d0f35277p-8, 0x1.3495317a4296fp-8, 0x1.2aa1e5b4b0affp-8, 0x1.20fad42b45a4ep-8, 0x1.179defbe5faf1p-8, 0x1.0e89376e585ecp-8, 0x1.05bab62434ba1p-8, 0x1.fa6104f599f84p-9, 0x1.e9d17d10d007bp-9, 0x1.d9c32f51ae39fp-9, 0x1.ca328c901904ap-9, 0x1.bb1c1b5a73177p-9, 0x1.ac7c778ce00dcp-9, 0x1.9e5051e9a0099p-9, 0x1.90946fb27e973p-9, 0x1.8345aa43640b9p-9, 0x1.7660eeae09ef4p-9, 0x1.69e33d56d4b47p-9, 0x1.5dc9a992db2b2p-9, 0x1.521159471cd36p-9, 0x1.46b78488e9ddep-9, 0x1.3bb9753f839cap-9, 0x1.311486c6f2028p-9, 0x1.26c6259414f41p-9, 0x1.1ccbced9f4c91p-9, 0x1.132310304cee9p-9, 0x1.09c9873b576aap-9, 0x1.00bce154dca25p-9, 0x1.eff5b66cfba06p-10, 0x1.df02814a919c2p-10, 0x1.ce9bd83d119f7p-10, 0x1.bebd8d0bbc60ep-10, 0x1.af638da927833p-10, 0x1.a089e39470b73p-10, 0x1.922cb33cfba28p-10, 0x1.84483b689f867p-10, 0x1.76d8d49c666cep-10, 0x1.69daf087baf4ep-10, 0x1.5d4b19721902fp-10, 0x1.5125f1ab3612p-10, 0x1.456832fd97042p-10, 0x1.3a0eae239c741p-10, 0x1.2f164a3efa454p-10, 0x1.247c045298326p-10, 0x1.1a3ceebed3787p-10, 0x1.105630c024ff2p-10, 0x1.06c505f020bc6p-10, 0x1.fb0d7b919249bp-11, 0x1.e931765468d24p-11, 0x1.d7f0e7c4fbf72p-11, 0x1.c746e06ff9a63p-11, 0x1.b72e94eb727bp-11, 0x1.a7a35cf43bf36p-11, 0x1.98a0b28fb88acp-11, 0x1.8a223131fd2ccp-11, 0x1.7c2394e845238p-11, 0x1.6ea0b987a9783p-11, 0x1.619599e00dd03p-11, 0x1.54fe4ef334d06p-11, 0x1.48d70f2ff1ab9p-11, 0x1.3d1c2db166de5p-11, 0x1.31ca198245097p-11, 0x1.26dd5ce3fca18p-11, 0x1.1c529c99d5d78p-11, 0x1.12269737debdbp-11, 0x1.08562475a25f8p-11, 0x1.fdbc690939ba5p-12, 0x1.eb779ed4b8367p-12, 0x1.d9d828bc7f786p-12, 0x1.c8d872559551dp-12, 0x1.b8731324f1ba7p-12, 0x1.a8a2cd7013e18p-12, 0x1.99628d1464c92p-12, 0x1.8aad66655074fp-12, 0x1.7c7e9510f130dp-12, 0x1.6ed17b0b3a056p-12, 0x1.61a19f7f7e93ep-12, 0x1.54eaadc83f201p-12, 0x1.48a8746d1b838p-12, 0x1.3cd6e426d610ep-12, 0x1.31720ee944a1bp-12, 0x1.267626f31aa3p-12, 0x1.1bdf7de36df42p-12, 0x1.11aa83d4de47p-12, 0x1.07d3c67e3fed8p-12, 0x1.fcafe0b170215p-13, 0x1.ea678f964d7c8p-13, 0x1.d8c85cb598a98p-13, 0x1.c7cc3fc21af7p-13, 0x1.b76d638c79c45p-13, 0x1.a7a62482a5d15p-13, 0x1.98710f38ecba1p-13, 0x1.89c8defc897dbp-13, 0x1.7ba87c6f7503p-13, 0x1.6e0afc2d52948p-13, 0x1.60eb9d79432e1p-13, 0x1.5445c8f468ab5p-13, 0x1.48150f5d042p-13, 0x1.3c552855e1e1fp-13, 0x1.3101f135fbdc1p-13, 0x1.26176be02184cp-13, 0x1.1b91bda274d56p-13, 0x1.116d2e1d8f38fp-13, 0x1.07a6263334534p-13, 0x1.fc725df8a55afp-14, 0x1.ea45e18c674e7p-14, 0x1.d8c0642d764dbp-14, 0x1.c7dbad6eec5c3p-14, 0x1.b791bd8edcd64p-14, 0x1.a7dccba70771p-14, 0x1.98b743ea647bp-14, 0x1.8a1bc5ef3dfa7p-14, 0x1.7c0523057b0cdp-14, 0x1.6e6e5c98ea311p-14, 0x1.6152a29f33791p-14, 0x1.54ad521134aa9p-14, 0x1.4879f36f7c5f4p-14, 0x1.3cb43951a73ffp-14, 0x1.3157ff00546acp-14, 0x1.2661471977ba7p-14, 0x1.1bcc3a3ec352p-14, 0x1.119525cdec6ecp-14, 0x1.07b87aa28e41fp-14, 0x1.fc6597c2d5027p-15, 0x1.ea019b99a28f5p-15, 0x1.d83ea943dfee6p-15, 0x1.c716a6fda6cdp-15, 0x1.b683b6a1c14dbp-15, 0x1.a680339720a2ap-15, 0x1.9706b0ce69638p-15, 0x1.8811f6cf2d22ep-15, 0x1.799d01d4697f7p-15, 0x1.6ba2fff7e7179p-15, 0x1.5e1f4f6c137dcp-15, 0x1.510d7cc3f8ddp-15, 0x1.44694148edb3cp-15, 0x1.382e815da62cep-15, 0x1.2c594aee45739p-15, 0x1.20e5d3ed1bc82p-15, 0x1.15d078dbb3a8fp-15, 0x1.0b15bb5fdd5b5p-15, 0x1.00b240e4625b7p-15, 0x1.ed45a28a24539p-16, 0x1.d9c8ab0ba56a8p-16, 0x1.c6e7ad28dc416p-16, 0x1.b49cf82991ba6p-16, 0x1.a2e3166e7a29ap-16, 0x1.91b4cb3199b73p-16, 0x1.810d1059d1b6cp-16, 0x1.70e71460fe31dp-16, 0x1.613e384c2d787p-16, 0x1.520e0db55a65cp-16, 0x1.435254e639a78p-16, 0x1.3506fb0387c35p-16, 0x1.2728184873ae2p-16, 0x1.19b1ee519693ap-16, 0x1.0ca0e677155adp-16, 0x1.ffe3206ad8bd2p-17, 0x1.e7413f48f9ba5p-17, 0x1.cf55d7f8dd31cp-17, 0x1.b81adc4ff044p-17, 0x1.a18a7ec750601p-17, 0x1.8b9f2fd392003p-17, 0x1.76539b550187p-17, 0x1.61a2a61f9027ep-17, 0x1.4d876b99b744dp-17, 0x1.39fd3b71a3e0ap-17, 0x1.26ff9767ea2eep-17, 0x1.148a312f214adp-17, 0x1.0298e85fb7422p-17, 0x1.e24f90febaaeap-18, 0x1.c0660e36d4ff8p-18, 0x1.9f6e03eb36b3cp-18, 0x1.7f607a852c89ap-18, 0x1.6036c3f346f89p-18, 0x1.41ea786a0d061p-18, 0x1.24757344e3a4fp-18, 0x1.07d1d00614a25p-18, 0x1.d7f3cee9e5bd4p-19, 0x1.a1d099b23041cp-19, 0x1.6d2f96a39031bp-19, 0x1.3a06c69109704p-19, 0x1.084c8ffbccc4p-19, 0x1.afef74bf7266fp-20, 0x1.51fed361b5ba4p-20, 0x1.ed6c6821413b4p-21, 0x1.3c0a6dfb924e3p-21, 0x1.1f70719e6e4e3p-22, -0x1.7a88607e33aedp-25, -0x1.7469f5c9ced67p-22, -0x1.58093dd1a49b4p-21, -0x1.f1405fe517fd2p-21, -0x1.42fa3c073706dp-20, -0x1.8b1f57a8e4e3cp-20, -0x1.d11ba63df306ep-20, -0x1.0a7d6fd46a398p-19, -0x1.2b642ad017d7fp-19, -0x1.4b477c64d9e4fp-19, -0x1.6a2caeccef874p-19, -0x1.8818e07d7ee09p-19, -0x1.a511065eb17cdp-19, -0x1.c119ede987bb5p-19, -0x1.dc383f2c55e17p-19, -0x1.f6707eb6e87bdp-19, -0x1.07e387b7a115ap-18, -0x1.14201a27e9d71p-18, -0x1.1ff009080b865p-18, -0x1.2b55585c322adp-18, -0x1.3651fe90e727cp-18, -0x1.40e7e5316f0fap-18, -0x1.4b18e994f2521p-18, -0x1.54e6dd82d47e2p-18, -0x1.5e5387ce9731fp-18, -0x1.6760a4eb9d75ap-18, -0x1.700fe77927fd8p-18, -0x1.7862f8c6dec7cp-18, -0x1.805b7952359d8p-18, -0x1.87fb013cfabbbp-18, -0x1.8f4320bd596c3p-18, -0x1.963560879a0fcp-18, -0x1.9cd34231e5587p-18, -0x1.a31e40924bd91p-18, -0x1.a917d01755a52p-18, -0x1.aec15f1b563eep-18, -0x1.b41c5632c563fp-18, -0x1.b92a1875cf72ep-18, -0x1.bdec03c55df98p-18, -0x1.c263710bc845bp-18, -0x1.c691b4796475fp-18, -0x1.ca781dbd26944p-18, -0x1.ce17f83983a2p-18, -0x1.d1728b35c1cb9p-18, -0x1.d4891a0be4bf6p-18, -0x1.d75ce4536490ap-18, -0x1.d9ef2608d093ap-18, -0x1.dc4117b28e577p-18, -0x1.de53ee82d6756p-18, -0x1.e028dc771464fp-18, -0x1.e1c11074cdeeep-18, -0x1.e31db66432d21p-18, -0x1.e43ff748772f5p-18, -0x1.e528f95614b34p-18, -0x1.e5d9e0071513p-18, -0x1.e653cc2d7dc8cp-18, -0x1.e697dc03fc319p-18, -0x1.e6a72b3cea41bp-18, -0x1.e682d30fc77b8p-18, -0x1.e62bea453c5aap-18, -0x1.e5a38541bef85p-18, -0x1.e4eab60ef28fcp-18, -0x1.e4028c63d2e49p-18, -0x1.e2ec15abc25p-18, -0x1.e1a85d0c8e0e8p-18, -0x1.e0386b6b7a18bp-18, -0x1.de9d47716667ap-18, -0x1.dcd7f58e20149p-18, -0x1.dae977faeb4fp-18, -0x1.d8d2cebc59c0dp-18, -0x1.d694f7a378557p-18, -0x1.d430ee4e63166p-18, -0x1.d1a7ac284fd56p-18, -0x1.cefa2869151dfp-18, -0x1.cc295814422eep-18, -0x1.c9362df7ca93ap-18, -0x1.c6219aaa57d0bp-18, -0x1.c2ec8c8946e57p-18, -0x1.bf97efb65ade2p-18, -0x1.bc24ae15308fcp-18, -0x1.b893af487c244p-18, -0x1.b4e5d8af1435dp-18, -0x1.b11c0d60d7287p-18, -0x1.ad372e2b703aap-18, -0x1.a938198f0339dp-18, -0x1.a51fabbac32b9p-18, -0x1.a0eebe897f74p-18, -0x1.9ca6297e272fcp-18, -0x1.9846c1c04b667p-18, -0x1.93d15a18a4b27p-18, -0x1.8f46c2eda068p-18, -0x1.8aa7ca3ffa69bp-18, -0x1.85f53ba765fafp-18, -0x1.812fe04f4c798p-18, -0x1.7c587ef3a1222p-18, -0x1.776fdbddd1f11p-18, -0x1.7276b8e1d42e7p-18, -0x1.6d6dd55b53477p-18, -0x1.6855ee2b0038fp-18, -0x1.632fbdb408778p-18, -0x1.5dfbfbd9b298fp-18, -0x1.58bb5dfd23ec3p-18, -0x1.536e96fb53075p-18, -0x1.4e16572b2343ep-18, -0x1.48b34c5bb0a73p-18, -0x1.434621d2c8c12p-18, -0x1.3dcf804b951efp-18, -0x1.38500df574254p-18, -0x1.32c86e7304ee4p-18, -0x1.2d3942d964bbfp-18, -0x1.27a329af9eda3p-18, -0x1.2206beee4e14fp-18, -0x1.1c649bff7336cp-18, -0x1.16bd57be7cd0fp-18, -0x1.1111867883c31p-18, -0x1.0b61b9ecb8c1ep-18, -0x1.05ae814d06e71p-18, -0x1.fff0d27dcf15cp-19, -0x1.f47ff7b8d2437p-19, -0x1.e90b816ace337p-19, -0x1.dd9479a1eaa02p-19, -0x1.d21be55df2b5p-19, -0x1.c6a2c493ee3dfp-19, -0x1.bb2a123217a5cp-19, -0x1.afb2c4242feb5p-19, -0x1.a43dcb582ff9ap-19, -0x1.98cc13c353ed9p-19, -0x1.8d5e846783be7p-19, -0x1.81f5ff590d2ebp-19, -0x1.769361c4b83d4p-19, -0x1.6b3783f630e8ap-19, -0x1.5fe3395ebd9c5p-19, -0x1.5497509c4c176p-19, -0x1.49549380c787fp-19, -0x1.3e1bc719bec83p-19, -0x1.32edabb853d0fp-19, -0x1.27cafcf970ec7p-19, -0x1.1cb471ce468c4p-19, -0x1.11aabc850d23cp-19, -0x1.06ae8ad207006p-19, -0x1.f7810bb185634p-20, -0x1.e1c2a46b363edp-20, -0x1.cc23200ee4da7p-20, -0x1.b6a3b5f34868cp-20, -0x1.a145949c688a7p-20, -0x1.8c09e1d051498p-20, -0x1.76f1baac40226p-20, -0x1.61fe33ba25379p-20, -0x1.4d30590681e7cp-20, -0x1.38892e36a5edcp-20, -0x1.2409ae9f364b1p-20, }}, 
      std::vector<double>(619, 0.0), 
      {{0x1.bebd3452f5001p-10, 0x1.be0a2575f74a4p-9, 0x1.4d9746f0797e6p-8, 0x1.bae174e3f042ap-8, 0x1.132064bb47dd4p-7, 0x1.477a1e6a864e9p-7, 0x1.7a0fb87267742p-7, 0x1.aa679c86873bp-7, 0x1.d7ff83c72eba6p-7, 0x1.0127acea5b23ap-6, 0x1.14660d7849fp-6, 0x1.257545e164c8ep-6, 0x1.3410daab5676ep-6, 0x1.3ff68c65cdceep-6, 0x1.48e74a5faaed8p-6, 0x1.4ea7fd95e2932p-6, 0x1.51022cdef1df7p-6, 0x1.4fc47c727fe0dp-6, 0x1.4ac30ba1b7d2cp-6, 0x1.41d7b3fbf6f7dp-6, 0x1.34e22d49562eep-6, 0x1.23c819c893be5p-6, 0x1.0e74fe04eaea6p-6, 0x1.e9b44ed640fb2p-7, 0x1.addd0916e1df8p-7, 0x1.695ce369969edp-7, 0x1.1c36f8a32d6bbp-7, 0x1.8cf07ca6af59fp-8, 0x1.a0dbcb540ea11p-9, 0x1.92042e6c19821p-15, -0x1.b53e35c7ba4c8p-9, -0x1.c87e9e754a835p-8, -0x1.6307fb40bb23dp-7, -0x1.e96e1666815ccp-7, -0x1.3b9845a3ea369p-6, -0x1.8604a08bf023fp-6, -0x1.d3d6d6cc37d8ap-6, -0x1.1273d861799d9p-5, -0x1.3c8723bfceb06p-5, -0x1.681022658e36bp-5, -0x1.94f90ff4e547ap-5, -0x1.c32bab850fa2bp-5, -0x1.f29152aea83d9p-5, -0x1.11898d77f627fp-4, -0x1.2a4cf4b7b1267p-4, -0x1.4387449301a45p-4, -0x1.5d2cdfbe0ff7dp-4, -0x1.77322fb2e6308p-4, -0x1.918bad865b535p-4, -0x1.ac2dea0b09ddbp-4, -0x1.c70d9549e571fp-4, -0x1.e21f85581fe5dp-4, -0x1.fd58bc92070bcp-4, -0x1.0c5737a14b9cp-3, -0x1.1a0b045f9b468p-3, -0x1.27c297ff82127p-3, -0x1.3578e5da70553p-3, -0x1.432902f99dccap-3, -0x1.50ce27b02606fp-3, -0x1.5e63b1009d538p-3, -0x1.6be521d13f8ecp-3, -0x1.794e23f1b9915p-3, -0x1.869a88f5620d5p-3, -0x1.93c64ae4b4047p-3, -0x1.a0cd8cc89a241p-3, -0x1.adac9b1215f1cp-3, -0x1.ba5febe0b0aa5p-3, -0x1.c6e41f29e7e4ap-3, -0x1.d335fec3e18d8p-3, -0x1.df527e5566494p-3, -0x1.eb36bb2d1ce33p-3, -0x1.f6dffc01f7c5fp-3, -0x1.0125d84f44626p-2, -0x1.06bbb8bc801b7p-2, -0x1.0c307f9cb6017p-2, -0x1.11832117dcd0ap-2, -0x1.16b2a4dd7dbd6p-2, -0x1.1bbe25d1a293fp-2, -0x1.20a4d1b3b90e2p-2, -0x1.2565e8c00a221p-2, -0x1.2a00bd4c551c9p-2, -0x1.2e74b36020fa6p-2, -0x1.32c1404945bf5p-2, -0x1.36e5ea2d287f1p-2, -0x1.3ae2479727703p-2, -0x1.3eb5ff04996f1p-2, -0x1.4260c66ed1f78p-2, -0x1.45e262d389765p-2, -0x1.493aa7bbfd82ep-2, -0x1.4c6976c328e0dp-2, -0x1.4f6ebf1b5d2dcp-2, -0x1.524a7d13881d7p-2, -0x1.54fcb99c69516p-2, -0x1.578589cdfeb9bp-2, -0x1.59e50e6d58503p-2, -0x1.5c1b737315276p-2, -0x1.5e28ef92b6a7fp-2, -0x1.600dc3c2f89cbp-2, -0x1.61ca3ac75bc98p-2, -0x1.635ea8bb0a31fp-2, -0x1.64cb6a9d375dcp-2, -0x1.6610e5df1e07ep-2, -0x1.672f87f3bbc3ep-2, -0x1.6827c5e161075p-2, -0x1.68fa1bd5314d1p-2, -0x1.69a70cb8a7fdap-2, -0x1.6a2f21c935e77p-2, -0x1.6a92ea32071bdp-2, -0x1.6ad2faa800961p-2, -0x1.6aefed0803be9p-2, -0x1.6aea5ff781e8fp-2, -0x1.6ac2f6876896ep-2, -0x1.6a7a57d96f4dbp-2, -0x1.6a112ec7ccb4fp-2, -0x1.6988298f55a1ep-2, -0x1.68dff97c0dfa9p-2, -0x1.6819529829ae3p-2, -0x1.6734eb5d7dc28p-2, -0x1.66337c69664d3p-2, -0x1.6515c0331b304p-2, -0x1.63dc72c472486p-2, -0x1.628851750f0cdp-2, -0x1.611a1aa7f897ap-2, -0x1.5f928d8b90ceep-2, -0x1.5df269dbec3e7p-2, -0x1.5c3a6fa77de16p-2, -0x1.5a6b5f16174afp-2, -0x1.5885f8322cea9p-2, -0x1.568afab463bp-2, -0x1.547b25d151335p-2, -0x1.5257380974868p-2, -0x1.501feefb4f122p-2, -0x1.4dd60737a5d5dp-2, -0x1.4b7a3c17d11bfp-2, -0x1.490d47961a9f1p-2, -0x1.468fe2281f934p-2, -0x1.4402c29b25ddbp-2, -0x1.41669df261d58p-2, -0x1.3ebc27471cba6p-2, -0x1.3c040faab3139p-2, -0x1.393f060a5ea77p-2, -0x1.366db714c2cffp-2, -0x1.3390cd21310c9p-2, -0x1.30a8f01894acap-2, -0x1.2db6c560020c4p-2, -0x1.2abaefc4d83dp-2, -0x1.27b60f6a70441p-2, -0x1.24a8c1b94460cp-2, -0x1.2193a14f8fcc1p-2, -0x1.1e7745f355ca9p-2, -0x1.1b544485c1fc9p-2, -0x1.182b2ef7de69dp-2, -0x1.14fc94408f71dp-2, -0x1.11c90053caa23p-2, -0x1.0e90fc1afde63p-2, -0x1.0b550d6ea0e59p-2, -0x1.0815b710de8b7p-2, -0x1.04d378a9508d1p-2, -0x1.018ecec1c3b2ep-2, -0x1.fc906587eda64p-3, -0x1.f60035f09ca67p-3, -0x1.ef6df50adee22p-3, -0x1.e8da82e1734b5p-3, -0x1.e246b93f30d49p-3, -0x1.dbb36bb33db9p-3, -0x1.d5216796caacp-3, -0x1.ce91741448459p-3, -0x1.c804522ff45a8p-3, -0x1.c17abcd1c1e6ep-3, -0x1.baf568d076971p-3, -0x1.b47504fdfc2dep-3, -0x1.adfa3a34cee94p-3, -0x1.a785ab6674aap-3, -0x1.a117f5aafdbfbp-3, -0x1.9ab1b05167c43p-3, -0x1.94536cf0e7cd3p-3, -0x1.8dfdb77b06d8p-3, -0x1.87b1164e7c341p-3, -0x1.816e0a4ac7ae9p-3, -0x1.7b350ee4676f7p-3, -0x1.75069a39b7998p-3, -0x1.6ee31d2854199p-3, -0x1.68cb036308134p-3, -0x1.62beb38830891p-3, -0x1.5cbe8f3887afcp-3, -0x1.56caf32e564b9p-3, -0x1.50e43754fc21fp-3, -0x1.4b0aaee0bde85p-3, -0x1.453ea866db53dp-3, -0x1.3f806df5de559p-3, -0x1.39d0452e1571p-3, -0x1.342e6f5a34c5fp-3, -0x1.2e9b29881eafcp-3, -0x1.2916aca1b28ccp-3, -0x1.23a12d85ba4f1p-3, -0x1.1e3add20d1e55p-3, -0x1.18e3e88654caep-3, -0x1.139c79094570fp-3, -0x1.0e64b455214cbp-3, -0x1.093cbc86a510bp-3, -0x1.0424b04477643p-3, -0x1.fe3955af60d53p-4, -0x1.f449888886c76p-4, -0x1.ea7a22c268cacp-4, -0x1.e0cb47e14ec48p-4, -0x1.d73d156f7693ep-4, -0x1.cdcfa32c5475cp-4, -0x1.c483033b5d892p-4, -0x1.bb5742525ab42p-4, -0x1.b24c67e72d091p-4, -0x1.a962765d11bf8p-4, -0x1.a0996b314616ap-4, -0x1.97f13f271ea7fp-4, -0x1.8f69e6737988ep-4, -0x1.870350e795c9dp-4, -0x1.7ebd6a1b3f426p-4, -0x1.7698199651d48p-4, -0x1.6e9342f98eb3dp-4, -0x1.66aec626bfa3bp-4, -0x1.5eea7f68266b3p-4, -0x1.5746479734cc1p-4, -0x1.4fc1f4428ab4p-4, -0x1.485d57d33a4d9p-4, -0x1.411841b14e125p-4, -0x1.39f27e678fd01p-4, -0x1.32ebd7c69154ep-4, -0x1.2c041506f3c4ap-4, -0x1.253afaeaed981p-4, -0x1.1e904bdf0f9f5p-4, -0x1.1803c81a4853ap-4, -0x1.11952dbd23e3ap-4, -0x1.0b4438f04d8bep-4, -0x1.0510a4024d7d2p-4, -0x1.fdf44f091077ap-5, -0x1.f200f4cefabc3p-5, -0x1.e646a42c90ee3p-5, -0x1.dac4c522c9ca6p-5, -0x1.cf7abd1169b84p-5, -0x1.c467eee99dad3p-5, -0x1.b98bbb5f23eb5p-5, -0x1.aee5811804b94p-5, -0x1.a4749cdae3de3p-5, -0x1.9a3869bbe7b86p-5, -0x1.9030414840209p-5, -0x1.865b7bb04e84ap-5, -0x1.7cb96ff073cafp-5, -0x1.734973f888ebbp-5, -0x1.6a0adcd2094a4p-5, -0x1.60fcfec4ee19bp-5, -0x1.581f2d7b46693p-5, -0x1.4f70bc238d9b1p-5, -0x1.46f0fd91c5322p-5, -0x1.3e9f445f57f24p-5, -0x1.367ae309cd5c9p-5, -0x1.2e832c1052746p-5, -0x1.26b7721018817p-5, -0x1.1f1707df99a41p-5, -0x1.17a140a8be4ecp-5, -0x1.10557001eff5bp-5, -0x1.0932ea061cd28p-5, -0x1.0239036bb25e1p-5, -0x1.f6ce233528f6p-6, -0x1.e978d5822c7c4p-6, -0x1.dc70cbcff98dap-6, -0x1.cfb4b60b1c868p-6, -0x1.c343461f6d41bp-6, -0x1.b71b301a86a1ap-6, -0x1.ab3b2a4c82135p-6, -0x1.9fa1ed66fa8e9p-6, -0x1.944e349a6527p-6, -0x1.893ebdb1c9bcap-6, -0x1.7e72492ce874ep-6, -0x1.73e79a58d7408p-6, -0x1.699d77671ba52p-6, -0x1.5f92a9835ad5bp-6, -0x1.55c5fce797a69p-6, -0x1.4c3640ef17b36p-6, -0x1.42e24827f5574p-6, -0x1.39c8e86364cd3p-6, -0x1.30e8fac4be0fcp-6, -0x1.28415bcf50656p-6, -0x1.1fd0eb730b8f6p-6, -0x1.17968d180659ep-6, -0x1.0f9127a8ef369p-6, -0x1.07bfa59c6d381p-6, -0x1.0020f4fd7f806p-6, -0x1.f1680ee5b3752p-7, -0x1.e2efa48aaf515p-7, -0x1.d4d69ccafd402p-7, -0x1.c71af0e04150fp-7, -0x1.b9baa16451f5ap-7, -0x1.acb3b65722589p-7, -0x1.a0043f232de3dp-7, -0x1.93aa52a05146cp-7, -0x1.87a40f153f6ap-7, -0x1.7bef9a3785a89p-7, -0x1.708b212a4f26dp-7, -0x1.6574d87bd0c38p-7, -0x1.5aaafc218672ep-7, -0x1.502bcf734a758p-7, -0x1.45f59d254a379p-7, -0x1.3c06b740ed413p-7, -0x1.325d771cbff32p-7, -0x1.28f83d536407dp-7, -0x1.1fd571b998299p-7, -0x1.16f38353641fp-7, -0x1.0e50e8487200fp-7, -0x1.05ec1dd7a0276p-7, -0x1.fb875093af87cp-8, -0x1.ebac25c86527ep-8, -0x1.dc43dfb2f15a5p-8, -0x1.cd4bb07602ba1p-8, -0x1.bec0d7d201159p-8, -0x1.b0a0a30493815p-8, -0x1.a2e86ca7244dfp-8, -0x1.95959c8c73c53p-8, -0x1.88a5a79d4b686p-8, -0x1.7c160fb461754p-8, -0x1.6fe463797c2adp-8, -0x1.640e3e3be642cp-8, -0x1.589147cc3f996p-8, -0x1.4d6b3455bcdfap-8, -0x1.4299c436e0799p-8, -0x1.381ac3d9bb2cap-8, -0x1.2dec0b8bc21f9p-8, -0x1.240b7f554406bp-8, -0x1.1a770ed08e181p-8, -0x1.112cb500c5d7fp-8, -0x1.082a782888e95p-8, -0x1.fedcd340af57bp-9, -0x1.eded4b59b5f43p-9, -0x1.dd82a6aa0e914p-9, -0x1.cd9948705e53ap-9, -0x1.be2da8c80afcap-9, -0x1.af3c54553b5a1p-9, -0x1.a0c1ebf0e1483p-9, -0x1.92bb2454d767fp-9, -0x1.8524c5c82cfe2p-9, -0x1.77fbabcb9edc7p-9, -0x1.6b3cc4c65858bp-9, -0x1.5ee511b30434bp-9, -0x1.52f1a5cd33178p-9, -0x1.475fa63f30ed7p-9, -0x1.3c2c49d0489ecp-9, -0x1.3154d893827f2p-9, -0x1.26d6ab96ee5a2p-9, -0x1.1caf2c9377fbap-9, -0x1.12dbd59d58c8ap-9, -0x1.095a30d526f84p-9, -0x1.0027d8198ecf6p-9, -0x1.ee84e97373a04p-10, -0x1.dd4f7e50e07edp-10, -0x1.ccaafd5fe7c01p-10, -0x1.bc93124d3c0ccp-10, -0x1.ad038548952aep-10, -0x1.9df83a7111296p-10, -0x1.8f6d314348244p-10, -0x1.815e8409063f9p-10, -0x1.73c8674abcbbep-10, -0x1.66a72942a9046p-10, -0x1.59f73151cddcbp-10, -0x1.4db4ff76a1678p-10, -0x1.41dd2bc5988fap-10, -0x1.366c65e37caep-10, -0x1.2b5f74819c51cp-10, -0x1.20b334dbd4e81p-10, -0x1.16649a3877863p-10, -0x1.0c70ad6a0d551p-10, -0x1.02d48c53071b2p-10, -0x1.f31ad2d681d8ap-11, -0x1.e131168eec4c3p-11, -0x1.cfe698452b01bp-11, -0x1.bf3632d1f77cep-11, -0x1.af1ae68b2618p-11, -0x1.9f8fd861b06ep-11, -0x1.909051038470dp-11, -0x1.8217bc011c727p-11, -0x1.7421a6f6d7cc5p-11, -0x1.66a9c0ba11aa9p-11, -0x1.59abd889f4a1ap-11, -0x1.4d23dd440366p-11, -0x1.410ddc9c501ebp-11, -0x1.3566025962fe4p-11, -0x1.2a289793c10e4p-11, -0x1.1f5201f914114p-11, -0x1.14dec312e83adp-11, -0x1.0acb7790fa1bcp-11, -0x1.0114d6970b138p-11, -0x1.ef6f621c6dbf6p-12, -0x1.dd61e1f380c2fp-12, -0x1.cbfb319e9604ep-12, -0x1.bb3585a4f78c5p-12, -0x1.ab0b40e7e97bdp-12, -0x1.9b76f3674a7d7p-12, -0x1.8c73590cbf84ap-12, -0x1.7dfb587d657fdp-12, -0x1.700a01f1e6bf5p-12, -0x1.629a8e14e8ceap-12, -0x1.55a85ce7b82e5p-12, -0x1.492ef4ad23f8cp-12, -0x1.3d2a00da6ad11p-12, -0x1.3195510e2c0d6p-12, -0x1.266cd80d40bd1p-12, -0x1.1bacaac56c53cp-12, -0x1.1150ff55cca83p-12, -0x1.07562c1cef275p-12, -0x1.fb714d98fd4p-13, -0x1.e8ea0704d0a67p-13, -0x1.d70fe7ced58c6p-13, -0x1.c5dc8ca5ea3cap-13, -0x1.b549c9e879cfp-13, -0x1.a551aa00f5eabp-13, -0x1.95ee6bcc68b31p-13, -0x1.871a810af3a24p-13, -0x1.78d08cda13b15p-13, -0x1.6b0b62387cdcp-13, -0x1.5dc602935610ap-13, -0x1.50fb9c5cc46dbp-13, -0x1.44a789ab78573p-13, -0x1.38c54ee3327b4p-13, -0x1.2d509965fa851p-13, -0x1.22453e4deb90fp-13, -0x1.179f392f71748p-13, -0x1.0d5aaae3b6e6cp-13, -0x1.0373d85b336bbp-13, -0x1.f3ce52f045ef9p-14, -0x1.e1624fe179ec2p-14, -0x1.cf9cfc721bbccp-14, -0x1.be77ece87538cp-14, -0x1.adecf2da30543p-14, -0x1.9df61b2bc80b9p-14, -0x1.8e8dac1df3b1bp-14, -0x1.7fae2368c62ebp-14, -0x1.715234642fc4p-14, -0x1.6374c63d9bb75p-14, -0x1.5610f23a5c9c3p-14, -0x1.49220206a352dp-14, -0x1.3ca36e10b626fp-14, -0x1.3090dbf023109p-14, -0x1.24e61cd8a61c4p-14, -0x1.199f2c188320bp-14, -0x1.0eb82da20a297p-14, -0x1.042d6ca00a0dfp-14, -0x1.f3f6b429d4d52p-15, -0x1.e03d170862577p-15, -0x1.cd27734c631d1p-15, -0x1.baaf7e4b50203p-15, -0x1.a8cf2ece087bap-15, -0x1.9780bab24e98ep-15, -0x1.86be949eb1891p-15, -0x1.768369c873916p-15, -0x1.66ca1fcafa447p-15, -0x1.578dd2905876bp-15, -0x1.48c9d24a7fd96p-15, -0x1.3a79a17cb7df6p-15, -0x1.2c98f314e41b6p-15, -0x1.1f23a8943bb2dp-15, -0x1.1215d04705cecp-15, -0x1.056ba38afad8fp-15, -0x1.f2430a47c9d4dp-16, -0x1.da67ff3c44f07p-16, -0x1.c33f877d5787p-16, -0x1.acc34e007897fp-16, -0x1.96ed443a94516p-16, -0x1.81b79f4ce1b1ap-16, -0x1.6d1cd549e8c8ep-16, -0x1.59179a922303cp-16, -0x1.45a2df477969ep-16, -0x1.32b9ccd70f44ep-16, -0x1.2057c398af1efp-16, -0x1.0e7858834439cp-16, -0x1.fa2ea5eb855c8p-17, -0x1.d8615527e6469p-17, -0x1.b7810a6d0446fp-17, -0x1.978669db9fda9p-17, -0x1.786a6c2de8738p-17, -0x1.5a265b04ca493p-17, -0x1.3cb3cd579883cp-17, -0x1.200ca404e9bbep-17, -0x1.042b0683cc78dp-17, -0x1.d212bf688b7fcp-18, -0x1.9d44b59c64828p-18, -0x1.69e1c0db3415dp-18, -0x1.37e0277727d48p-18, -0x1.07369f65ad081p-18, -0x1.afb891fc6e96bp-19, -0x1.539153da061edp-19, -0x1.f3cea160cbc54p-20, -0x1.455618d6c5e34p-20, -0x1.3736e6826c3b6p-21, 0x1.2fb3c2ba656b4p-25, 0x1.54205c923dca2p-21, 0x1.463624b0bc1adp-20, 0x1.de084c14b5c2dp-20, 0x1.38cf309fbfdc9p-19, 0x1.8087907aad8eep-19, 0x1.c6382aaaf3115p-19, 0x1.04f5b8ab32285p-18, 0x1.25d5b4ed98885p-18, 0x1.45c0d9574efcp-18, 0x1.64bbc47d32a65p-18, 0x1.82cae6fd8486bp-18, 0x1.9ff286109bdffp-18, 0x1.bc36bdfc36f6ap-18, 0x1.d79b846a6c1d3p-18, 0x1.f224aaa5407b7p-18, 0x1.05eaefdbed123p-17, 0x1.1259593b1fefcp-17, 0x1.1e5f49b64a141p-17, 0x1.29fe6b5b5585dp-17, 0x1.35385ae06db81p-17, 0x1.400ea879721c2p-17, 0x1.4a82d8a2d8619p-17, 0x1.549664e26601fp-17, 0x1.5e4abc7e2541bp-17, 0x1.67a14529ea3eep-17, 0x1.709b5babd8075p-17, 0x1.793a547828ba7p-17, 0x1.817f7c44a5f33p-17, 0x1.896c18940a42dp-17, 0x1.91016839c1e8fp-17, 0x1.9840a3d63604dp-17, 0x1.9f2afe4c02ce5p-17, 0x1.a5c1a52e5f74fp-17, 0x1.ac05c128fb607p-17, 0x1.b1f87661a0167p-17, 0x1.b79ae4d3cd17bp-17, 0x1.bcee28a692e1dp-17, 0x1.c1f35a7cff3b9p-17, 0x1.c6ab8fc133498p-17, 0x1.cb17daea811aap-17, 0x1.cf394bbeb1cfep-17, 0x1.d310ef8ebafe4p-17, 0x1.d69fd16f0d151p-17, 0x1.d9e6fa6bb46f5p-17, 0x1.dce771b87e0ecp-17, 0x1.dfa23cdd4e1ecp-17, 0x1.e2185fded7ce9p-17, 0x1.e44add63dbfa5p-17, 0x1.e63ab6d729b9fp-17, 0x1.e7e8ec867c36dp-17, 0x1.e9567dbe61054p-17, 0x1.ea8468e349979p-17, 0x1.eb73ab88016ffp-17, 0x1.ec2542818a83p-17, 0x1.ec9a29f8a0a44p-17, 0x1.ecd35d78f3d6bp-17, 0x1.ecd1d7fe434d4p-17, 0x1.ec9693ff7029ep-17, 0x1.ec228b77a9208p-17, 0x1.eb76b7edc77d7p-17, 0x1.ea94127a075bdp-17, 0x1.e97b93ca1b09ep-17, 0x1.e82e3423c92c2p-17, 0x1.e6aceb662e1d8p-17, 0x1.e4f8b1099dac1p-17, 0x1.e3127c1e5bf47p-17, 0x1.e0fb434a31affp-17, 0x1.deb3fcc4eeb11p-17, 0x1.dc3d9e53f760dp-17, 0x1.d9991d44e471fp-17, 0x1.d6c76e67547e5p-17, 0x1.d3c98605f552cp-17, 0x1.d0a057dedbf74p-17, 0x1.cd4cd71b2e56bp-17, 0x1.c9cff6464ca2ep-17, 0x1.c62aa7445ac11p-17, 0x1.c25ddb4864d53p-17, 0x1.be6a82ca07dc2p-17, 0x1.ba518d7ac53f7p-17, 0x1.b613ea3afd0eap-17, 0x1.b1b2870e9a669p-17, 0x1.ad2e51118ed84p-17, 0x1.a888346c0a145p-17, 0x1.a3c11c468c1e2p-17, 0x1.9ed9f2bddefebp-17, 0x1.99d3a0d6e53bdp-17, 0x1.94af0e7263fc4p-17, 0x1.8f6d2240c1a49p-17, 0x1.8a0ec1b5c302dp-17, 0x1.8494d0fc4145fp-17, 0x1.7f0032ea028b3p-17, 0x1.7951c8f38b37p-17, 0x1.738a732013555p-17, 0x1.6dab0ffd98cccp-17, 0x1.67b47c950b822p-17, 0x1.61a7945ea6299p-17, 0x1.5b8531366c8f3p-17, 0x1.554e2b50dc516p-17, 0x1.4f03592fcc70bp-17, 0x1.48a58f97827cap-17, 0x1.4235a184046c2p-17, 0x1.3bb4601ea2863p-17, 0x1.35229ab3c0b31p-17, 0x1.2e811ea8e116bp-17, 0x1.27d0b772f2fap-17, 0x1.21122e8ce5711p-17, 0x1.1a464b6e82a2cp-17, 0x1.136dd38392fa9p-17, 0x1.0c898a234bb9ep-17, 0x1.059a3088082fap-17, 0x1.fd410b8ea13c9p-18, 0x1.ef3a8d945e308p-18, 0x1.e1225c8ba2ee3p-18, 0x1.d2f9e968f9349p-18, 0x1.c4c2a09d9c622p-18, 0x1.b67dea0a9d49fp-18, 0x1.a82d28f4a8e27p-18, 0x1.99d1bbf86e0ebp-18, 0x1.8b6cfcffa51a2p-18, 0x1.7d004136ba57ap-18, 0x1.6e8cd903158ccp-18, 0x1.60140ffa05a7ap-18, 0x1.51972cd8498aap-18, 0x1.4317717a36cb4p-18, 0x1.34961ad480fcdp-18, 0x1.261460ed98ep-18, 0x1.179376d7aaf7ap-18, 0x1.09148aab33fdcp-18, }}, 
      {{0x1.be02847bc4cecp-1, 0x1.bdfeceb7f074cp-1, 0x1.bdf4a10f1ff9bp-1, 0x1.bddf6884593ccp-1, 0x1.bdba4204af263p-1, 0x1.bd807720ae7b9p-1, 0x1.bd2dcc2611785p-1, 0x1.bcbeacdd7543bp-1, 0x1.bc3041c41aeb8p-1, 0x1.bb8075072d3ddp-1, 0x1.baadec9812deep-1, 0x1.b9b7fd3fbdab8p-1, 0x1.b89e9982f6d48p-1, 0x1.b7623e5c34a4fp-1, 0x1.b603df36dbdf6p-1, 0x1.b484d226cb9c5p-1, 0x1.b2e6bd03c51c3p-1, 0x1.b12b83d32248bp-1, 0x1.af5538bdd7ee7p-1, 0x1.ad660db0be0cep-1, 0x1.ab6047ae5aeaep-1, 0x1.a94633c9a78bcp-1, 0x1.a71a1db69b23fp-1, 0x1.a4de47d67fc01p-1, 0x1.a294e4a211c96p-1, 0x1.a0401151739fp-1, 0x1.9de1d1a18bb03p-1, 0x1.9b7c0c96f194ap-1, 0x1.99108a1fd83ep-1, 0x1.96a0f17825f7ep-1, 0x1.942ec834f91fap-1, 0x1.91bb71df03facp-1, 0x1.8f4830056e2b2p-1, 0x1.8cd622b5243c5p-1, 0x1.8a664942a0042p-1, 0x1.87f9835642c7dp-1, 0x1.8590922d45cd2p-1, 0x1.832c1a0309ab4p-1, 0x1.80cca3982b343p-1, 0x1.7e729dce464b7p-1, 0x1.7c1e5f5097f97p-1, 0x1.79d02842f08efp-1, 0x1.778823f16a986p-1, 0x1.75466a7c51e4p-1, 0x1.730b027c78c07p-1, 0x1.70d5e29cf057p-1, 0x1.6ea6f327bbbdbp-1, 0x1.6c7e0f839deedp-1, 0x1.6a5b07a19d4d5p-1, 0x1.683da1593ac54p-1, 0x1.662599b2b1008p-1, 0x1.6412a61edc7a3p-1, 0x1.6204759ca2df2p-1, 0x1.5ffab1cbedf76p-1, 0x1.5df4ffee6a79cp-1, 0x1.5bf301d667253p-1, 0x1.59f456c447922p-1, 0x1.57f89c3310386p-1, 0x1.55ff6e94a4eddp-1, 0x1.540869fe608dcp-1, 0x1.52132ac6abd09p-1, 0x1.501f4e144af08p-1, 0x1.4e2c726011281p-1, 0x1.4c3a37e9b136p-1, 0x1.4a4841205de88p-1, 0x1.485632ffeb7c1p-1, 0x1.4663b5631fbf7p-1, 0x1.4470734bd9dfp-1, 0x1.427c1b21b7dfp-1, 0x1.40865ee7d5e57p-1, 0x1.3e8ef46a42233p-1, 0x1.3c959563b87a8p-1, 0x1.3a99ff9c31bdcp-1, 0x1.389bf500cc019p-1, 0x1.369b3bb58dc0fp-1, 0x1.34979e217e16ap-1, 0x1.3290eaf58151ap-1, 0x1.3086f52e6dc8p-1, 0x1.2e799412bba45p-1, 0x1.2c68a32c3384p-1, 0x1.2a54023df87aep-1, 0x1.283b9537441efp-1, 0x1.261f44232785bp-1, 0x1.23fefb159cd66p-1, 0x1.21daaa1632e53p-1, 0x1.1fb2450896c99p-1, 0x1.1d85c3933afdap-1, 0x1.1b55210455dbap-1, 0x1.19205c3573123p-1, 0x1.16e7776dc71d7p-1, 0x1.14aa7843798ccp-1, 0x1.1269677c0f6bfp-1, 0x1.102450ec22e4fp-1, 0x1.0ddb43568cd28p-1, 0x1.0b8e504b256ecp-1, 0x1.093d8c053ce01p-1, 0x1.06e90d49eb50dp-1, 0x1.0490ed46539c4p-1, 0x1.0235476df40e8p-1, 0x1.ffac72b2382cep-2, 0x1.fae7c5473dc15p-2, 0x1.f61cc997a807dp-2, 0x1.f14bc623f39fbp-2, 0x1.ec7504b01850ep-2, 0x1.e798d20435d92p-2, 0x1.e2b77dae5e985p-2, 0x1.ddd159c5992dep-2, 0x1.d8e6baae2f75dp-2, 0x1.d3f7f6df56c46p-2, 0x1.cf0566aa4ca5ep-2, 0x1.ca0f6402ee4a5p-2, 0x1.c5164a49da016p-2, 0x1.c01a761827182p-2, 0x1.bb1c450cb8ee1p-2, 0x1.b61c159b375f1p-2, 0x1.b11a46dcb31cp-2, 0x1.ac173861f34d8p-2, 0x1.a7134a0779b2fp-2, 0x1.a20edbcb35532p-2, 0x1.9d0a4da3e7b3ep-2, 0x1.9805ff5a401d5p-2, 0x1.93025063a0277p-2, 0x1.8dff9fbe96538p-2, 0x1.88fe4bd0fa76p-2, 0x1.83feb247b67fp-2, 0x1.7f012ff82bcc2p-2, 0x1.7a0620c33817fp-2, 0x1.750ddf79cb838p-2, 0x1.7018c5c30fba2p-2, 0x1.6b272c0415a09p-2, 0x1.66396949052abp-2, 0x1.614fd32fc0d39p-2, 0x1.5c6abdd3fd994p-2, 0x1.578a7bbcbe553p-2, 0x1.52af5dcb303e8p-2, 0x1.4dd9b32adc458p-2, 0x1.4909c943232adp-2, 0x1.443feba9fc67dp-2, 0x1.3f7c6417f2a07p-2, 0x1.3abf7a5d4ab64p-2, 0x1.360974585348ep-2, 0x1.315a95ecd215ep-2, 0x1.2cb320fc82772p-2, 0x1.281355609df61p-2, 0x1.237b70e463f52p-2, 0x1.1eebaf4099d6cp-2, 0x1.1a644a17f35b6p-2, 0x1.15e578f463379p-2, 0x1.116f714541688p-2, 0x1.0d02665e43c29p-2, 0x1.089e89773f7d9p-2, 0x1.044409aca459dp-2, 0x1.ffe6280169c6dp-3, 0x1.f757a6bac5816p-3, 0x1.eedce12daed19p-3, 0x1.e67624dd24c4cp-3, 0x1.de23bb2e3e7c3p-3, 0x1.d5e5e970adf7cp-3, 0x1.cdbcf0e84034ap-3, 0x1.c5a90ed7652dfp-3, 0x1.bdaa7c8a9586fp-3, 0x1.b5c16f64941b9p-3, 0x1.adee18eb80098p-3, 0x1.a630a6d6a2142p-3, 0x1.9e89431ce9f42p-3, 0x1.96f8140411e6fp-3, 0x1.8f7d3c3057c63p-3, 0x1.8818dab4c0385p-3, 0x1.80cb0b23dc108p-3, 0x1.7993e5a0fc826p-3, 0x1.72737ef1d2a69p-3, 0x1.6b69e8906c3b8p-3, 0x1.647730bd83f71p-3, 0x1.5d9b629319174p-3, 0x1.56d6861748eb8p-3, 0x1.5028a04f5e066p-3, 0x1.4991b3530d2bep-3, 0x1.4311be5fd8133p-3, 0x1.3ca8bdec8b6c9p-3, 0x1.3656abbcd669bp-3, 0x1.301b7ef4ebf2cp-3, 0x1.29f72c2d2ca7bp-3, 0x1.23e9a585d0e0fp-3, 0x1.1df2daba8c888p-3, 0x1.1812b93627835p-3, 0x1.12492c2603a1bp-3, 0x1.0c961c8d866a7p-3, 0x1.06f97159706dp-3, 0x1.01730f7309797p-3, 0x1.f805b3a651917p-4, 0x1.ed51632a2ce13p-4, 0x1.e2c8ec1275685p-4, 0x1.d86c098f32de7p-4, 0x1.ce3a73843a40dp-4, 0x1.c433dead437a6p-4, 0x1.ba57fcc19037ap-4, 0x1.b0a67c97108bp-4, 0x1.a71f0a4505635p-4, 0x1.9dc14f4610fe4p-4, 0x1.948cf299c7fc5p-4, 0x1.8b8198e5ac65ap-4, 0x1.829ee4958b955p-4, 0x1.79e475fb4ee0fp-4, 0x1.7151eb6e2a0cep-4, 0x1.68e6e1692f782p-4, 0x1.60a2f2a9429bfp-4, 0x1.5885b84a67a43p-4, 0x1.508ec9e4715bap-4, 0x1.48bdbda70825p-4, 0x1.411228750b3c5p-4, 0x1.398b9dff4aaa9p-4, 0x1.3229b0de99ecep-4, 0x1.2aebf2ad395e2p-4, 0x1.23d1f41f98273p-4, 0x1.1cdb451c6e003p-4, 0x1.160774d42c966p-4, 0x1.0f5611d7c94b2p-4, 0x1.08c6aa2ee0e04p-4, 0x1.0258cb6d3431cp-4, 0x1.f818058f013f3p-5, 0x1.ebbfba4f679c6p-5, 0x1.dfa7ce80fbce6p-5, 0x1.d3cf5b40834fap-5, 0x1.c8357986c9bep-5, 0x1.bcd9424c07ff5p-5, 0x1.b1b9ceaa0f171p-5, 0x1.a6d637fd43583p-5, 0x1.9c2d980461f73p-5, 0x1.91bf08ff1e5b9p-5, 0x1.8789a5cb929e6p-5, 0x1.7d8c8a0291473p-5, 0x1.73c6d212d35c2p-5, 0x1.6a379b5b0ebap-5, 0x1.60de0442f4b61p-5, 0x1.57b92c5321793p-5, 0x1.4ec8344bfdd91p-5, 0x1.460a3e3b9d2d2p-5, 0x1.3d7e6d9295047p-5, 0x1.3523e737dccefp-5, 0x1.2cf9d19bb3b7p-5, 0x1.24ff54c9951e3p-5, 0x1.1d339a79404f4p-5, 0x1.1595ce1ed9bafp-5, 0x1.0e251cfa28ea8p-5, 0x1.06e0b624fb994p-5, 0x1.ff8f95415d536p-6, 0x1.f1b31ac5d06fap-6, 0x1.e42a66c307b03p-6, 0x1.d6f3e73b6eadbp-6, 0x1.ca0e0e5ceb34dp-6, 0x1.bd7752942b45ap-6, 0x1.b12e2e9e82571p-6, 0x1.a531219a633e2p-6, 0x1.997eaf167f2ap-6, 0x1.8e155f1f95ab7p-6, 0x1.82f3be4cfeedcp-6, 0x1.78185dcbf72a4p-6, 0x1.6d81d369bda2ap-6, 0x1.632eb99c8889ep-6, 0x1.591daf8b57b5fp-6, 0x1.4f4d5914b7b1fp-6, 0x1.45bc5ed476993p-6, 0x1.3c696e2856b15p-6, 0x1.33533933c7e91p-6, 0x1.2a7876e2b0ae8p-6, 0x1.21d7e2eb5211ep-6, 0x1.19703dcf49525p-6, 0x1.11404cdbbc33p-6, 0x1.0946da28bb5adp-6, 0x1.0182b497d956bp-6, 0x1.f3e55fa40cd9fp-7, 0x1.e52b4889709ap-7, 0x1.d6d4de3cbe021p-7, 0x1.c8dfe49472e01p-7, 0x1.bb4a28d70bd37p-7, 0x1.ae1181b033fe7p-7, 0x1.a133cf24df773p-7, 0x1.94aefa8640fc9p-7, 0x1.8880f663c527bp-7, 0x1.7ca7be7c0aa9p-7, 0x1.712157acfabecp-7, 0x1.65ebcfe2ef9aap-7, 0x1.5b053e0712ee2p-7, 0x1.506bc1eceefd2p-7, 0x1.461d843f4511ep-7, 0x1.3c18b66c2db04p-7, 0x1.325b929095f33p-7, 0x1.28e45b631ce5ap-7, 0x1.1fb15c1e602ep-7, 0x1.16c0e86abeccep-7, 0x1.0e115c479e52dp-7, 0x1.05a11bf439052p-7, 0x1.fadd27afff91ap-8, 0x1.eaf070d5311a2p-8, 0x1.db790c3701e61p-8, 0x1.cc740272b9e0cp-8, 0x1.bdde6bb1f7659p-8, 0x1.afb56f782db22p-8, 0x1.a1f6446fad20cp-8, 0x1.949e303640247p-8, 0x1.87aa87296b628p-8, 0x1.7b18ac325d935p-8, 0x1.6ee610919cf58p-8, 0x1.631033aa7efe1p-8, 0x1.5794a2ce72b7fp-8, 0x1.4c70f9082e245p-8, 0x1.41a2dee6c487ap-8, 0x1.37280a48b48bep-8, 0x1.2cfe3e26f3dacp-8, 0x1.23234a60056a6p-8, 0x1.19950b832184bp-8, 0x1.10516a9b791d7p-8, 0x1.07565cfb9c56fp-8, 0x1.fd43c812182ebp-9, 0x1.ec641a0ffe42p-9, 0x1.dc09e1cec51d4p-9, 0x1.cc31681a30789p-9, 0x1.bcd70c45001f3p-9, 0x1.adf743c29b0f3p-9, 0x1.9f8e99c1637bep-9, 0x1.9199aec5bc244p-9, 0x1.84153845cad03p-9, 0x1.76fe004604574p-9, 0x1.6a50e4f686b0fp-9, 0x1.5e0ad8514c522p-9, 0x1.5228dfb942f8ap-9, 0x1.46a8139a49d63p-9, 0x1.3b859f0a20acdp-9, 0x1.30bebf6a4f2dcp-9, 0x1.2650c40b076c4p-9, 0x1.1c390dcf0e153p-9, 0x1.12750ed0aaad9p-9, 0x1.09024a07a2a6fp-9, 0x1.ffbca5e093f97p-10, 0x1.ee0d9a6750752p-10, 0x1.dcf2d8a16bb6fp-10, 0x1.cc67e68d72a81p-10, 0x1.bc686881878f2p-10, 0x1.acf020849ad05p-10, 0x1.9dfaeda9f5064p-10, 0x1.8f84cb6f0a939p-10, 0x1.8189d11ba1ad4p-10, 0x1.740631244bff8p-10, 0x1.66f6388f386d3p-10, 0x1.5a564e5b59891p-10, 0x1.4e22f2e9e30a3p-10, 0x1.4258bf6a2a9ccp-10, 0x1.36f46547d6ac5p-10, 0x1.2bf2ad9b68a8dp-10, 0x1.2150789d2aa93p-10, 0x1.170abd1a65659p-10, 0x1.0d1e87ecf2cc9p-10, 0x1.0388fb752a0e2p-10, 0x1.f48e9e2c22cc8p-11, 0x1.e2ad9d67d0ecbp-11, 0x1.d169b469f3e4ap-11, 0x1.c0bdca096f58ap-11, 0x1.b0a4eb3236f4bp-11, 0x1.a11a49f492447p-11, 0x1.92193c98db61dp-11, 0x1.839d3cb7b026ap-11, 0x1.75a1e6568b4bbp-11, 0x1.6822f708bdcc3p-11, 0x1.5b1c4d14bb466p-11, 0x1.4e89e69db51p-11, 0x1.4267e0d171162p-11, 0x1.36b2771a5a0cfp-11, 0x1.2b660255b6ec5p-11, 0x1.207ef80e01d7ep-11, 0x1.15f9e9b95128dp-11, 0x1.0bd383fbc7577p-11, 0x1.02088dedfc7b8p-11, 0x1.f12bd0ceab5a8p-12, 0x1.def11a98798a9p-12, 0x1.cd5b1dc05a6f7p-12, 0x1.bc642e370deadp-12, 0x1.ac06ce0a373a4p-12, 0x1.9c3dac1ed080dp-12, 0x1.8d03a2f2dd58fp-12, 0x1.7e53b76640833p-12, 0x1.7029178a9beb5p-12, 0x1.627f197a1c653p-12, 0x1.55513a3519b5ep-12, 0x1.489b1c866d2f5p-12, 0x1.3c5887ee644c8p-12, 0x1.308567943616ap-12, 0x1.251dc93ddb57cp-12, 0x1.1a1ddc4e32a4dp-12, 0x1.0f81f0c95451cp-12, 0x1.0546765ef9f0fp-12, 0x1.f6cff6f5bcb01p-13, 0x1.e3c658b5f9e4p-13, 0x1.d169a4572717cp-13, 0x1.bfb3a4519e61p-13, 0x1.ae9e598c0666fp-13, 0x1.9e23f9b4b29bdp-13, 0x1.8e3eeda5ae72p-13, 0x1.7ee9cfd34db84p-13, 0x1.701f6ac50790ep-13, 0x1.61dab79869938p-13, 0x1.5416dc8df5291p-13, 0x1.46cf2b9faac9ap-13, 0x1.39ff21211d46bp-13, 0x1.2da26268d630fp-13, 0x1.21b4bc82d54e1p-13, 0x1.163222ec08e4cp-13, 0x1.0b16ae56819eap-13, 0x1.005e9b7636c46p-13, 0x1.ec0c93ac62cb7p-14, 0x1.d814756bd45bfp-14, 0x1.c4ce1fdd66573p-14, 0x1.b23315c1e7c8ap-14, 0x1.a03d16d23ec8bp-14, 0x1.8ee61db84510bp-14, 0x1.7e285e1665a26p-14, 0x1.6dfe429d8c8bep-14, 0x1.5e626b312171fp-14, 0x1.4f4fab18b7d83p-14, 0x1.40c1073f224b5p-14, 0x1.32b1b47e9c94ap-14, 0x1.251d15f9ba195p-14, 0x1.17febb80cc8f9p-14, 0x1.0b5260037959bp-14, 0x1.fe27d01c5e58ep-15, 0x1.e67ec0a667279p-15, 0x1.cfa1f87e0373bp-15, 0x1.b98a292f61de1p-15, 0x1.a4304c4e3c47ap-15, 0x1.8f8da0df292e8p-15, 0x1.7b9ba8d562314p-15, 0x1.685426a47a683p-15, 0x1.55b11ae588a62p-15, 0x1.43acc20f3dca5p-15, 0x1.3241924073db5p-15, 0x1.216a391caf28ap-15, 0x1.112199ba27e55p-15, 0x1.0162caa0d85bep-15, 0x1.e45227b44a2ebp-16, 0x1.c6dfda215826p-16, 0x1.aa65f77f91743p-16, 0x1.8edc22e4c7c04p-16, 0x1.743a542147364p-16, 0x1.5a78d47827325p-16, 0x1.41903b73b8c1p-16, 0x1.29796bd55b353p-16, 0x1.122d909fdf613p-16, 0x1.f74c34779790fp-17, 0x1.cbb9776972f3ep-17, 0x1.a196d01e3f067p-17, 0x1.78d89f6b94ddfp-17, 0x1.5173bbfcc571bp-17, 0x1.2b5d6d8892a03p-17, 0x1.068b683253aa8p-17, 0x1.c5e7902a78d6bp-18, 0x1.811a19f1139acp-18, 0x1.3e9c2c56b6209p-18, 0x1.fcb87a1c1c38bp-19, 0x1.8092e25b20eep-19, 0x1.08a72b8e6c755p-19, 0x1.29ac6319b17e1p-20, 0x1.28102120e1b51p-22, -0x1.1bc8987d78175p-21, -0x1.5e43f955a9699p-20, -0x1.13a82121c052bp-19, -0x1.749e3322815ddp-19, -0x1.d21cdb96ec456p-19, -0x1.161debca3884fp-18, -0x1.41890167bbd75p-18, -0x1.6b5ab0d2b582dp-18, -0x1.939d956073a42p-18, -0x1.ba5be82dafab9p-18, -0x1.df9f848fb9596p-18, -0x1.01b8f62bc7ab7p-17, -0x1.12ee25f437244p-17, -0x1.2373bf11aafd7p-17, -0x1.334e08147baa1p-17, -0x1.42812279bb8a8p-17, -0x1.51110c64b182bp-17, -0x1.5f01a24596fb9p-17, -0x1.6c56a06e4789cp-17, -0x1.7913a49574f0ep-17, -0x1.853c2f490f792p-17, -0x1.90d3a5506708fp-17, -0x1.9bdd50feaa2a9p-17, -0x1.a65c63765038fp-17, -0x1.b053f5ddeaa48p-17, -0x1.b9c70a87019a7p-17, -0x1.c2b88e0762609p-17, -0x1.cb2b584573d6cp-17, -0x1.d3222d7805d88p-17, -0x1.da9fbf1a0ecadp-17, -0x1.e1a6acd2dd5c3p-17, -0x1.e839855316605p-17, -0x1.ee5ac72701ec7p-17, -0x1.f40ce17e8c95fp-17, -0x1.f95234eb590e8p-17, -0x1.fe2d141553f8ap-17, -0x1.014fe2331540fp-16, -0x1.03563f55f813p-16, -0x1.052ab7d9b200dp-16, -0x1.06ce5c6d110c9p-16, -0x1.0842384c88a26p-16, -0x1.09875183b89a4p-16, -0x1.0a9ea92b61d16p-16, -0x1.0b893ba3f5062p-16, -0x1.0c4800cce0006p-16, -0x1.0cdbec38ba29cp-16, -0x1.0d45ed5e7b1a6p-16, -0x1.0d86efc7cf472p-16, -0x1.0d9fdb3cbb18p-16, -0x1.0d9193ec9db32p-16, -0x1.0d5cfa94ba643p-16, -0x1.0d02eca4634acp-16, -0x1.0c84445edff81p-16, -0x1.0be1d8fb2d87ep-16, -0x1.0b1c7ec1add1dp-16, -0x1.0a350727ea741p-16, -0x1.092c40ea7009p-16, -0x1.0802f824f05f5p-16, -0x1.06b9f668ac6bfp-16, -0x1.055202d14fc22p-16, -0x1.03cbe2183d904p-16, -0x1.022856a679a69p-16, -0x1.006820a52c157p-16, -0x1.fd17fc19c113p-17, -0x1.f929556719da1p-17, -0x1.f505c0b2dfc1dp-17, -0x1.f0aead69b9578p-17, -0x1.ec2586f9fd6afp-17, -0x1.e76bb4e74a43ap-17, -0x1.e2829adc556f1p-17, -0x1.dd6b98baf879dp-17, -0x1.d8280aaab88c7p-17, -0x1.d2b94925b1dd5p-17, -0x1.cd20a9043d6eap-17, -0x1.c75f7b8728bf5p-17, -0x1.c1770e60c49b4p-17, -0x1.bb68abbccdecbp-17, -0x1.b5359a47462d4p-17, -0x1.aedf1d325113fp-17, -0x1.a866743b25ea1p-17, -0x1.a1ccdbae2fe86p-17, -0x1.9b138c6a66426p-17, -0x1.943bbbe3f2eeep-17, -0x1.8d469c262c7fep-17, -0x1.86355bd4ffdd7p-17, -0x1.7f09262dccc49p-17, -0x1.77c32307d06c6p-17, -0x1.706476d40e774p-17, -0x1.68ee429cf1d53p-17, -0x1.6161a4057bcbfp-17, -0x1.59bfb548408f3p-17, -0x1.52098d36079bep-17, -0x1.4a403f344ccedp-17, -0x1.4264db3b835d1p-17, -0x1.3a786dd5365bbp-17, -0x1.327c001a0c743p-17, -0x1.2a7097afb4d41p-17, -0x1.225736c6c4d5ap-17, -0x1.1a30dc188d281p-17, -0x1.11fe82e4edd05p-17, -0x1.09c122f02d7a9p-17, -0x1.0179b080db51p-17, -0x1.f25238bb7e77cp-18, -0x1.e1a0a797bbbf8p-18, -0x1.d0e0811929ee6p-18, -0x1.c01391b7a9913p-18, -0x1.af3b9edcf0e6ap-18, -0x1.9e5a66e187b44p-18, -0x1.8d71a10a0ee8ep-18, -0x1.7c82fd84ddd9fp-18, -0x1.6b902567f7fddp-18, -0x1.5a9abaaf64117p-18, -0x1.49a4583be2a62p-18, -0x1.38ae91d20fe7ap-18, -0x1.27baf419ec92p-18, -0x1.16cb049ed79a9p-18, -0x1.05e041cff7adcp-18, -0x1.e9f846022ff02p-19, -0x1.c84030d7f22dbp-19, -0x1.a69b16643508dp-19, -0x1.850bbabdf6af5p-19, -0x1.6394d3d5ab06cp-19, -0x1.4239097ba0d26p-19, -0x1.20faf56763568p-19, -0x1.ffba468017959p-20, -0x1.bdc4214b17a8ap-20, -0x1.7c185a75d7afp-20, -0x1.3abbb562f91c6p-20, -0x1.f365b353fa5ecp-21, -0x1.7204a662e15e6p-21, -0x1.e2ba492bdbbb3p-22, -0x1.c5df5e8985e77p-23, 0x1.b459ae22b6cf6p-26, 0x1.17d51c129d6f5p-22, 0x1.095763b008c54p-21, 0x1.85e17dc9cd003p-21, 0x1.00c0a0a430811p-20, 0x1.3e17a42ceb6e2p-20, 0x1.7af2310a25146p-20, 0x1.b74cc90f33e2cp-20, 0x1.f324082a5e9bap-20, 0x1.173a521afcebep-19, 0x1.349db66401f0fp-19, 0x1.51baa580245c3p-19, 0x1.6e8fa0aa86869p-19, 0x1.8b1b35af3294ep-19, 0x1.a75bfed0120e3p-19, 0x1.c350a2a940945p-19, 0x1.def7d414bdc7bp-19, 0x1.fa50520d7f7c3p-19, 0x1.0aac73c8f6bd2p-18, 0x1.180835c2e76e4p-18, 0x1.253ae049d3a82p-18, 0x1.3243ea86c7dfdp-18, 0x1.3f22d166c7379p-18, 0x1.4bd7178ab901ep-18, 0x1.586045371ce87p-18, 0x1.64bde843864bcp-18, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      112, 0x1.4cccccccccccdp+2, 0x1.68f6b8acac653p+0, 0x1.a96f0067175a5p+1, -0x1.5667675f2b074p-1, 
      {{
        {0x1.6b6ae7d566cf4p+0, 0x1.6e8a71de69ad4p+0, 0x1.8a897635e742ap+1, -0x1.5280326fb60c1p+2, 0x1.dd4a824e05b01p+1, 0x1.e1ee3d62cae8fp-1}, 
        {0x1.6e8a71de69ad4p+0, 0x1.71a9fbe76c8b4p+0, 0x1.82594af4f0d84p+1, -0x1.4ca6a2ae6d53ep+2, 0x1.e1b3621fc2176p+1, -0x1.2d34e65dbec91p+2}, 
        {0x1.71a9fbe76c8b4p+0, 0x1.74c985f06f694p+0, 0x1.7a4d7f0ed3d86p+1, -0x1.46e89e53a498fp+2, 0x1.cba7030714131p+1, 0x1.5ce97b190d92p+0}, 
        {0x1.74c985f06f694p+0, 0x1.77e90ff972474p+0, 0x1.726516db0dd83p+1, -0x1.41430fa85a175p+2, 0x1.d209984d1793p+1, -0x1.7da4a5d84f4bbp-1}, 
        {0x1.77e90ff972474p+0, 0x1.7b089a0275254p+0, 0x1.6aa012599ed7cp+1, -0x1.3b98fc6ed4dabp+2, 0x1.ce8ba24dbca26p+1, -0x1.f1b7b9b640e09p+1}, 
        {0x1.7b089a0275254p+0, 0x1.7e28240b78034p+0, 0x1.62fe1da7b0b39p+1, -0x1.3610cf9b7ba15p+2, 0x1.bc5437ec2fb67p+1, -0x1.c6ed5b91ba528p-3}, 
        {0x1.7e28240b78034p+0, 0x1.8147ae147ae14p+0, 0x1.5b7e3d1cc100ep+1, -0x1.30a6b530aa96p+2, 0x1.bb49d026cb382p+1, -0x1.75d2459b40b58p-1}, 
        {0x1.8147ae147ae14p+0, 0x1.8467381d7dbf5p+0, 0x1.54201cd5f99c4p+1, -0x1.2b4392308a477p+2, 0x1.b7de2c84f9f97p+1, -0x1.2ea686ae0bad7p+1}, 
        {0x1.8467381d7dbf5p+0, 0x1.8786c226809d5p+0, 0x1.4ce368f08462p+1, -0x1.25f712d69d85fp+2, 0x1.acca75b8aacdp+1, -0x1.a7025fa0195c8p-1}, 
        {0x1.8786c226809d5p+0, 0x1.8aa64c2f837b5p+0, 0x1.45c779a6b50b1p+1, -0x1.20c1eb0f700cdp+2, 0x1.a8eb9a59b2c2bp+1, 0x1.4c1444d595682p-3}, 
        {0x1.8aa64c2f837b5p+0, 0x1.8dc5d63886595p+0, 0x1.3ecbfb15b573fp+1, -0x1.1b919eed50077p+2, 0x1.a9ae1188f889fp+1, -0x1.55160da83ab79p+2}, 
        {0x1.8dc5d63886595p+0, 0x1.90e5604189375p+0, 0x1.37f0995aaf79p+1, -0x1.1687205db998bp+2, 0x1.90b66311da6fcp+1, 0x1.289c2176ab36p+2}, 
        {0x1.90e5604189375p+0, 0x1.9404ea4a8c155p+0, 0x1.313458cd20afap+1, -0x1.1181b751ecdbdp+2, 0x1.a66c9e7423cb6p+1, -0x1.ece6a7312a2a1p+2}, 
        {0x1.9404ea4a8c155p+0, 0x1.972474538ef35p+0, 0x1.2a978d4fdf3b6p+1, -0x1.0c92be5dee795p+2, 0x1.82580c7b16922p+1, 0x1.092f374922816p+2}, 
        {0x1.972474538ef35p+0, 0x1.9a43fe5c91d15p+0, 0x1.2418e757928e1p+1, -0x1.07bdcd1d2b139p+2, 0x1.95c164991eba6p+1, -0x1.aec4c9e4b64b2p+1}, 
        {0x1.9a43fe5c91d15p+0, 0x1.9d63886594af5p+0, 0x1.1db8bac710cb3p+1, -0x1.02e32a8deb802p+2, 0x1.85fd433300812p+1, -0x1.b235160910ccp+0}, 
        {0x1.9d63886594af5p+0, 0x1.a083126e978d5p+0, 0x1.17765fd8adabap+1, -0x1.fc5b1ec4421d6p+1, 0x1.7e0b167b7d269p+1, -0x1.ba813836f224p-1}, 
        {0x1.a083126e978d5p+0, 0x1.a3a29c779a6b5p+0, 0x1.11512ec6bce85p+1, -0x1.f3155ed3f7764p+1, 0x1.79fe908db9ae4p+1, -0x1.6a5ef638b8004p-2}, 
        {0x1.a3a29c779a6b5p+0, 0x1.a6c226809d495p+0, 0x1.0b48d3ae685dbp+1, -0x1.e9e171ac15cc7p+1, 0x1.785627e350bfep+1, -0x1.9d17d8d7eda16p+1}, 
        {0x1.a6c226809d495p+0, 0x1.a9e1b089a0275p+0, 0x1.055cfaacd9e84p+1, -0x1.e0e1ea6e43622p+1, 0x1.6937a361c2e18p+1, 0x1.1fdbfe2128d22p+1}, 
        {0x1.a9e1b089a0275p+0, 0x1.ad013a92a3055p+0, 0x1.ff19f7f8ca81ap+0, -0x1.d7f0b3ec473c7p+1, 0x1.73c0c3e06a364p+1, -0x1.712c0fd65ad2ep+2}, 
        {0x1.ad013a92a3055p+0, 0x1.b020c49ba5e35p+0, 0x1.f3b1af3a14cecp+0, -0x1.cf32fc03e053dp+1, 0x1.58bac6675ac1dp+1, 0x1.1366cd4566598p+2}, 
        {0x1.b020c49ba5e35p+0, 0x1.b3404ea4a8c15p+0, 0x1.e87f23cc8de2bp+0, -0x1.c68ab425ca5b4p+1, 0x1.6ce394820a7ep+1, -0x1.7bfb543e3aaa1p+2}, 
        {0x1.b3404ea4a8c15p+0, 0x1.b65fd8adab9f5p+0, 0x1.dd82fd75e2047p+0, -0x1.bdfa54f7d8ddfp+1, 0x1.511306a950218p+1, 0x1.7656215fa0fd6p+1}, 
        {0x1.b65fd8adab9f5p+0, 0x1.b97f62b6ae7d5p+0, 0x1.d2bb44e50c5ebp+0, -0x1.b5960a72020afp+1, 0x1.5ec668a69e29ep+1, -0x1.70b0ee80e5ae8p+2}, 
        {0x1.b97f62b6ae7d5p+0, 0x1.bc9eecbfb15b5p+0, 0x1.c827fa1a0cf18p+0, -0x1.ad5b3fc818439p+1, 0x1.43c96e8a22dbp+1, 0x1.cc7a6c9fdffbfp+1}, 
        {0x1.bc9eecbfb15b5p+0, 0x1.bfbe76c8b4396p+0, 0x1.bdc725c3dee78p+0, -0x1.a5401c32dbdbfp+1, 0x1.54a3edb3d3dcp+1, -0x1.8fa0337a4ca55p+1}, 
        {0x1.bfbe76c8b4396p+0, 0x1.c2de00d1b7176p+0, 0x1.b3996fa82e87dp+0, -0x1.9d1e03e1fa51p+1, 0x1.460398428d298p+1, -0x1.0fc8e2bd3c817p+1}, 
        {0x1.c2de00d1b7176p+0, 0x1.c5fd8adab9f56p+0, 0x1.a99d883ba3444p+0, -0x1.9548ab247ec43p+1, 0x1.3c1114abf54a4p+1, 0x1.33d1e9abf9c79p-1}, 
        {0x1.c5fd8adab9f56p+0, 0x1.c91d14e3bcd36p+0, 0x1.9fd21ff2e48e9p+0, -0x1.8d8997bb0b737p+1, 0x1.3ee21e45af728p+1, -0x1.20483775ea078p-2}, 
        {0x1.c91d14e3bcd36p+0, 0x1.cc3c9eecbfb16p+0, 0x1.963736cdf266cp+0, -0x1.85c5d6e10e9b5p+1, 0x1.3d907b755eb0bp+1, -0x1.3edc00594bdaap+2}, 
        {0x1.cc3c9eecbfb16p+0, 0x1.cf5c28f5c28f6p+0, 0x1.8ccc25072085bp+0, -0x1.7e4f1a2eae64dp+1, 0x1.26395003ed83fp+1, 0x1.d83223b1f6131p+1}, 
        {0x1.cf5c28f5c28f6p+0, 0x1.d27bb2fec56d6p+0, 0x1.838ef34d6a162p+0, -0x1.76eb4934601fap+1, 0x1.3781994f19b23p+1, -0x1.1114760979f74p+2}, 
        {0x1.d27bb2fec56d6p+0, 0x1.d59b3d07c84b6p+0, 0x1.7a8049667b5f2p+0, -0x1.6f8feca52aebcp+1, 0x1.23844cacd1cadp+1, 0x1.2ea24894bb748p+1}, 
        {0x1.d59b3d07c84b6p+0, 0x1.d8bac710cb296p+0, 0x1.719ed7c6fbd27p+0, -0x1.6850666afe48cp+1, 0x1.2e97dbb8d1134p+1, -0x1.4c301b1fda7a3p+2}, 
        {0x1.d8bac710cb296p+0, 0x1.dbda5119ce076p+0, 0x1.68ea9e6eeb702p+0, -0x1.613a39e493c91p+1, 0x1.1646ec2b1e5e9p+1, 0x1.e04f54c55e4cep+0}, 
        {0x1.dbda5119ce076p+0, 0x1.def9db22d0e56p+0, 0x1.6061a60d4562ep+0, -0x1.5a548b66945bep+1, 0x1.1f11140afe2cep+1, -0x1.283e734b4ae95p+1}, 
        {0x1.def9db22d0e56p+0, 0x1.e219652bd3c36p+0, 0x1.5803eea209aaap+0, -0x1.5375463fa2c18p+1, 0x1.143964192f324p+1, 0x1.dfd501905fa54p+0}, 
        {0x1.e219652bd3c36p+0, 0x1.e538ef34d6a16p+0, 0x1.4fd0d0678c005p+0, -0x1.4c9c716d8d898p+1, 0x1.1d014ee793a91p+1, -0x1.4bb5c7eab95f4p+2}, 
        {0x1.e538ef34d6a16p+0, 0x1.e858793dd97f6p+0, 0x1.47c84b5dcc63fp+0, -0x1.45f405aa77ad5p+1, 0x1.04b9539fd0d7ep+1, 0x1.2b0cd88633912p+1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb780346dc5d6p+0, 0x1.3fe86833c6003p+0, -0x1.3f75408304373p+1, 0x1.0fab4ea58bf8dp+1, -0x1.0a63e921d033ap+2}, 
        {0x1.eb780346dc5d6p+0, 0x1.ee978d4fdf3b6p+0, 0x1.383126e978d5p+0, -0x1.3911330a840d9p+1, 0x1.f856bbacbf817p+0, 0x1.a6432c8376627p+1}, 
        {0x1.ee978d4fdf3b6p+0, 0x1.f1b71758e2196p+0, 0x1.30a137f38c543p+0, -0x1.32b9c7ad91cb4p+1, 0x1.0b9fcbdb63eeap+1, -0x1.c35d3dc7693ebp+1}, 
        {0x1.f1b71758e2196p+0, 0x1.f4d6a161e4f76p+0, 0x1.29394317acc4fp+0, -0x1.2c65afecf3502p+1, 0x1.f635635ef7c36p+0, -0x1.a9d796b3133c1p-3}, 
        {0x1.f4d6a161e4f76p+0, 0x1.f7f62b6ae7d56p+0, 0x1.21f7f8ca8198fp+0, -0x1.26483b58f690fp+1, 0x1.f442a45042b3cp+0, -0x1.2628fd1c39fbdp+0}, 
        {0x1.f7f62b6ae7d56p+0, 0x1.fb15b573eab36p+0, 0x1.1adcb1465e892p+0, -0x1.203ea1a29b5abp+1, 0x1.e97e7ab0f7e05p+0, -0x1.67e0b97ba46dep-1}, 
        {0x1.fb15b573eab36p+0, 0x1.fe353f7ced917p+0, 0x1.13e6c4c5974e6p+0, -0x1.1a5020bc15bcbp+1, 0x1.e2e8860ae4268p+0, -0x1.8be4d3eff2402p+0}, 
        {0x1.fe353f7ced917p+0, 0x1.00aa64c2f837bp+1, 0x1.0d158b827fa1ap+0, -0x1.1482892b959c7p+1, 0x1.d46b281099495p+0, 0x1.61b46875193a3p+0}, 
        {0x1.00aa64c2f837bp+1, 0x1.023a29c779a6bp+1, 0x1.06685db76b3bcp+0, -0x1.0eb75ae62785dp+1, 0x1.e15d3a6dc48d2p+0, -0x1.fd7666f0c9ee2p+1}, 
        {0x1.023a29c779a6bp+1, 0x1.03c9eecbfb15bp+1, 0x1.ffbe76c8b4396p-1, -0x1.091231d7ea93cp+1, 0x1.bc124ef37d3e9p+0, 0x1.df6ee5d1c13f3p+0}, 
        {0x1.03c9eecbfb15bp+1, 0x1.0559b3d07c84bp+1, 0x1.f2f1455219a84p-1, -0x1.038bde6614028p+1, 0x1.cd9e67d952b46p+0, -0x1.346c444ba0b63p+1}, 
        {0x1.0559b3d07c84bp+1, 0x1.06e978d4fdf3bp+1, 0x1.e6696a26e5471p-1, -0x1.fc1acb086056fp+0, 0x1.b70ace9311fffp+0, 0x1.c6eedd51e0eecp-5}, 
        {0x1.06e978d4fdf3bp+1, 0x1.08793dd97f62bp+1, 0x1.da250f840181ep-1, -0x1.f162bc163308bp+0, 0x1.b79002e6b6e07p+0, -0x1.1de8157c7e55cp+0}, 
        {0x1.08793dd97f62bp+1, 0x1.104816f0068dcp+1, 0x1.ce236c15d2d02p-1, -0x1.e6c9bba3b1c63p+0, 0x1.ad192e5a04608p+0, -0x1.80b7c885edcbcp-1}, 
        {0x1.104816f0068dcp+1, 0x1.1816f0068db8cp+1, 0x1.95db3397dd00fp-1, -0x1.b495d7aa1e058p+0, 0x1.89e58c8408db9p+0, -0x1.697ba52dcc4e4p-1}, 
        {0x1.1816f0068db8cp+1, 0x1.1fe5c91d14e3cp+1, 0x1.6371327243138p-1, -0x1.868c2be7bdcccp+0, 0x1.68d22bddab074p+0, -0x1.5595b6c738594p-1}, 
        {0x1.1fe5c91d14e3cp+1, 0x1.27b4a2339c0ecp+1, 0x1.36672fba01eefp-1, -0x1.5c6f16bf0abfp+0, 0x1.4990e37631023p+0, -0x1.3bd678390558p-1}, 
        {0x1.27b4a2339c0ecp+1, 0x1.2f837b4a2339cp+1, 0x1.0e466b1e5c0bap-1, -0x1.35fd5fa92aee8p+0, 0x1.2caab45d849dbp+0, -0x1.289d85d0f161ep-1}, 
        {0x1.2f837b4a2339cp+1, 0x1.37525460aa64cp+1, 0x1.d540cc78e9f6bp-2, -0x1.12f6c54b12821p+0, 0x1.1186c98774ac8p+0, -0x1.1571d2423184dp-1}, 
        {0x1.37525460aa64cp+1, 0x1.3f212d77318fcp+1, 0x1.961b6d43d0397p-2, -0x1.e648d7af07c7dp-1, 0x1.f047d96184a31p-1, -0x1.000dc1aa49e72p-1}, 
        {0x1.3f212d77318fcp+1, 0x1.46f0068db8bacp+1, 0x1.5e5b8561d4307p-2, -0x1.ac98bca2406c5p-1, 0x1.c16c3e636118dp-1, -0x1.ddf5f7b6cd0d6p-2}, 
        {0x1.46f0068db8bacp+1, 0x1.4ebedfa43fe5dp+1, 0x1.2d4e09784ec63p-2, -0x1.786f4dda7eeb7p-1, 0x1.95b07d5ab78dp-1, -0x1.bd4b39730ffb2p-2}, 
        {0x1.4ebedfa43fe5dp+1, 0x1.568db8bac710dp+1, 0x1.024c404a72eaep-2, -0x1.496d13a3fe6dp-1, 0x1.6cf1ed37bda3bp-1, -0x1.97188539c9a94p-2}, 
        {0x1.568db8bac710dp+1, 0x1.5e5c91d14e3bdp+1, 0x1.b9767903211cbp-3, -0x1.1f2ccc559217cp-1, 0x1.47b21d718ea4cp-1, -0x1.7c850677e8a2ep-2}, 
        {0x1.5e5c91d14e3bdp+1, 0x1.662b6ae7d566dp+1, 0x1.7818c5c9a34cap-3, -0x1.f2a3d47443a84p-2, 0x1.24e0d2bd5e9bp-1, -0x1.5891115dfcdfep-2}, 
        {0x1.662b6ae7d566dp+1, 0x1.6dfa43fe5c91dp+1, 0x1.3f77292c49342p-3, -0x1.af0629b153dcfp-2, 0x1.0559b188dd9c9p-1, -0x1.4579eb2842c0ep-2}, 
        {0x1.6dfa43fe5c91dp+1, 0x1.75c91d14e3bcdp+1, 0x1.0e9f6a93f290bp-3, -0x1.72e34bd580007p-2, 0x1.cf2379d3d5eb5p-2, -0x1.20ea3e4e3b269p-2}, 
        {0x1.75c91d14e3bcdp+1, 0x1.7d97f62b6ae7dp+1, 0x1.c9613d31b9b67p-4, -0x1.3d9c315431cb3p-2, 0x1.9a4462a6498f2p-2, -0x1.0d48890f0e215p-2}, 
        {0x1.7d97f62b6ae7dp+1, 0x1.8566cf41f212dp+1, 0x1.81beb18116ebdp-4, -0x1.0e9044aa3faaap-2, 0x1.68fcffd6fcfd5p-2, -0x1.e9094a3eec35ep-3}, 
        {0x1.8566cf41f212dp+1, 0x1.8d35a858793dep+1, 0x1.44e0daa0cae64p-4, -0x1.ca814c1b82f5fp-3, 0x1.3c3dd036dce16p-2, -0x1.beb708ad5b9c7p-3}, 
        {0x1.8d35a858793dep+1, 0x1.9504816f0068ep+1, 0x1.1171e29b6b2afp-4, -0x1.82542e44b54a1p-3, 0x1.135df63450045p-2, -0x1.8ad8e04ab9043p-3}, 
        {0x1.9504816f0068ep+1, 0x1.9cd35a858793ep+1, 0x1.cc76d117b5287p-5, -0x1.438c0517b0c74p-3, 0x1.de7a1f85f578dp-3, -0x1.6ceef7da21714p-3}, 
        {0x1.9cd35a858793ep+1, 0x1.a4a2339c0ebeep+1, 0x1.844f1a1986b9cp-5, -0x1.0d3f1affaa275p-3, 0x1.9bb1b84f72efbp-3, -0x1.48ee9e96c9ad2p-3}, 
        {0x1.a4a2339c0ebeep+1, 0x1.ac710cb295e9ep+1, 0x1.48711d798d8a9p-5, -0x1.bd6223e6f9d68p-4, 0x1.5f7fe899be287p-3, -0x1.1e4df3a7db193p-3}, 
        {0x1.ac710cb295e9ep+1, 0x1.b43fe5c91d14ep+1, 0x1.1713ad5bee3d6p-5, -0x1.6e026d6465cf1p-4, 0x1.2b1b1d8c2d5bdp-3, -0x1.02395630f52a2p-3}, 
        {0x1.b43fe5c91d14ep+1, 0x1.bc0ebedfa43fep+1, 0x1.dd4845132f87bp-6, -0x1.2acaf161bae04p-4, 0x1.f7b3ad7819904p-4, -0x1.d16fa5417800cp-4}, 
        {0x1.bc0ebedfa43fep+1, 0x1.c3dd97f62b6aep+1, 0x1.9b738e6d15ad1p-6, -0x1.e512d50432d9dp-5, 0x1.a286ed2de93c7p-4, -0x1.90d3080db4ffp-4}, 
        {0x1.c3dd97f62b6aep+1, 0x1.cbac710cb295fp+1, 0x1.66234a87e38ebp-6, -0x1.87e6da179154ep-5, 0x1.592d1b93d9c71p-4, -0x1.5d5f3b47b41f7p-4}, 
        {0x1.cbac710cb295fp+1, 0x1.d37b4a2339c0fp+1, 0x1.3b256ffc115dfp-6, -0x1.3b7a95feed90ap-5, 0x1.193dba75109f1p-4, -0x1.3904c0f93962ep-4}, 
        {0x1.d37b4a2339c0fp+1, 0x1.db4a2339c0ebfp+1, 0x1.188f42fe82518p-6, -0x1.fbb05e3dd3789p-6, 0x1.bfeade6a0cc07p-5, -0x1.013f2a7a15db2p-4}, 
        {0x1.db4a2339c0ebfp+1, 0x1.e318fc504816fp+1, 0x1.f961804d98394p-7, -0x1.99e2378e0bceep-6, 0x1.61c3e0c9a791ap-5, -0x1.c7eabc67db755p-5}, 
        {0x1.e318fc504816fp+1, 0x1.eae7d566cf41fp+1, 0x1.cc39ffd60e94fp-7, -0x1.4dbe67699fd65p-6, 0x1.0e5514d664875p-5, -0x1.70ac5abd9a202p-5}, 
        {0x1.eae7d566cf41fp+1, 0x1.f2b6ae7d566cfp+1, 0x1.a732df505d0fap-7, -0x1.14037ff8ae299p-6, 0x1.95baf3fbdefbap-6, -0x1.5721891923f0ap-5}, 
        {0x1.f2b6ae7d566cfp+1, 0x1.fa858793dd97fp+1, 0x1.883ba3443d46bp-7, -0x1.d459c3730f409p-7, 0x1.1824f3784d38cp-6, -0x1.e7a12188199f3p-6}, 
        {0x1.fa858793dd97fp+1, 0x1.012a305532618p+2, 0x1.6d86ec17ebaf1p-7, -0x1.9ae1da16156c7p-7, 0x1.7dd0f9e636f46p-7, -0x1.42b1557d8e935p-6}, 
        {0x1.012a305532618p+2, 0x1.028f5c28f5c29p+2, 0x1.55bccaf709b74p-7, -0x1.73814d0100ae4p-7, 0x1.07b5f5beeab47p-7, -0x1.0851540dbe7b5p-4}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.4dbdf8f47304p-7, -0x1.6b05a41b15b09p-7, 0x1.f5add73419bdcp-9, 0x1.28e4a34a95297p-12}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.3f6c2699c7bccp-7, -0x1.60f1a4be5ee7ep-7, 0x1.fa21e9034c9e7p-9, -0x1.56b05dc773f8bp-6}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.31769a91105e2p-7, -0x1.5a1c70095545bp-7, 0x1.624d5b68edc4ep-10, -0x1.53c436deba467p-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.23aafff36ac64p-7, -0x1.5832edd988378p-7, 0x1.c2059ef452ee8p-14, -0x1.01c7347b136d8p-6}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.15df6555c52e7p-7, -0x1.5a6470ef90d35p-7, -0x1.d2cec325fed7p-10, -0x1.3c044a915b4c4p-8}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.07e9d94d0dcfdp-7, -0x1.5fd1a12570accp-7, -0x1.353f7378717dfp-9, -0x1.846901e7252b8p-7}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.f36262cba732ep-8, -0x1.67de41c6731f9p-7, -0x1.efaf4b6c83557p-9, 0x1.5f4c59ca8a18p-8}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.d63886594af4fp-8, -0x1.70f0533f53d4bp-7, -0x1.9b5f87cb43788p-9, -0x1.3a2fb1adeedd4p-7}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.b8561d4306e5dp-8, -0x1.7aaca0bfb8d5bp-7, -0x1.19175f2e1880dp-8, 0x1.c8c4ce93aeaecp-10}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.999999999999ap-8, -0x1.85a4d7d643b1dp-7, -0x1.0b63633906767p-8, 0x1.573529905627cp-9}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.7a02fb5d03105p-8, -0x1.8fed7718c826bp-7, -0x1.ed976f89b0aabp-9, 0x1.bec8f274e0274p-9}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.59a30984e3fffp-8, -0x1.994366cf35b4dp-7, -0x1.b7fa33b91ae34p-9, 0x1.eb69c326ee7c7p-7}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.389b52007dd44p-8, -0x1.9fb43cb7e56e8p-7, -0x1.9832b657136ecp-10, -0x1.d594938bf7675p-11}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.172ef0ae5365p-8, -0x1.a3ed49bf635f1p-7, -0x1.b45f7783505b6p-10, 0x1.44fdb0ddfbb82p-6}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.eafee6fb4c3c2p-9, -0x1.a52bb47526439p-7, 0x1.773833061ba6dp-11, 0x1.f56bc248dfc69p-7}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.a7e308787485ep-9, -0x1.a0e34722b20e5p-7, 0x1.4e7ca773ddd8bp-9, 0x1.a05595208b08ap-7}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.65d3996fa82e8p-9, -0x1.98331cfa55806p-7, 0x1.0b29e82824c58p-8, 0x1.c49ef49a79fe8p-6}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.2599ed7c6fbd2p-9, -0x1.892afee951a17p-7, 0x1.e46bf72a9cc5p-8, 0x1.1d596305d28acp-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.d0c804102ff8fp-10, -0x1.730d3e3633a18p-7, 0x1.36b1d5e89fa28p-7, 0x1.c5fb7f4e3b644p-6}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.5e7c8d195896ap-10, -0x1.55d6824d706d3p-7, 0x1.a3a683d27072fp-7, 0x1.cab89fc13ff4cp-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.ede1198aeb80fp-11, -0x1.2fdcb6f09c796p-7, 0x1.08df2c1f212e1p-6, 0x1.079100d6627b3p-5}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.3a0c6b484d76bp-11, -0x1.006c15dad1137p-7, 0x1.4820b1714d4bbp-6, 0x1.7c5facc5d6051p-5}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.5097c80841edep-12, -0x1.893cb917e93cap-8, 0x1.a36adae8766bap-6, 0x1.bc1304915c3e4p-11}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.ffb480a5accd5p-14, -0x1.02c1d6ee689c7p-8, 0x1.a5152a9aed7c9p-6, 0x1.19f7c8bc450cep-3}, 
        {0x1.4p+2, 0x1.4147ae147ae14p+2, 0x1.d5c31593e5fb7p-17, -0x1.42cd44affcab3p-10, 0x1.59e2ccb212c48p-5, -0x1.90b676492af89p-1}, 
        {0x1.4147ae147ae14p+2, 0x1.4cccccccccccdp+2, 0x0p+0, -0x1.f9101e3a0bbccp-12, -0x1.3662e96e243c6p-8, 0x1.5855f05ce0e38p-3}, 
      }}, 
      -0x1.19687cc910b25p+0, 0x1.1823d8879e6ccp+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.179930d912f44p-1, -0x1.02ad4da283ea2p-1, -0x1.d928bb211b2cep-2, -0x1.ab1b5204fa995p-2, -0x1.7ba6dde883862p-2, -0x1.4b358786662f5p-2, -0x1.1a2782ef0bacbp-2, -0x1.d1a7cc369fd7p-3, -0x1.6f126121ce66ap-3, -0x1.0d1ab43d05541p-3, -0x1.5877d5ed8a1a1p-4, -0x1.3385d0927356dp-5, 0x1.097606c3f8076p-7, 0x1.af773d7f07257p-5, 0x1.8958e0b06a793p-4, 0x1.1ac87a8325d94p-3, 0x1.6e014e006c058p-3, 0x1.be2ff5470bc88p-3, 0x1.059b35176a788p-2, 0x1.2a7f4bc3a0735p-2, 0x1.4dbc9b120f913p-2, 0x1.6f5043143d8fp-2, 0x1.8f3341f04cb03p-2, 0x1.ad677da071c22p-2, 0x1.c9eefdbff4b09p-2, 0x1.e4cda107dc85dp-2, 0x1.fe08dc6f1e2dfp-2, 0x1.0ad3bfcb4c214p-1, 0x1.15d8c12d6819ep-1, 0x1.2017edab32eb5p-1, 0x1.29962dc6173f2p-1, 0x1.3258c5ccc70adp-1, 0x1.3a6544db29ed2p-1, 0x1.41c1751ec25fp-1, 0x1.48734e47ad008p-1, 0x1.4e80ea2781391p-1, 0x1.53f07a941b7d8p-1, 0x1.58c83f723e6fcp-1, 0x1.5d0e7c66a64c5p-1, 0x1.60c96e96db266p-1, 0x1.63ff438060e94p-1, 0x1.66b611e709383p-1, 0x1.68f3d5475373ep-1, 0x1.6abe6b75674c3p-1, 0x1.6c1b9380850ccp-1, 0x1.6d10eccd8ea9bp-1, 0x1.6da3f59d520eep-1, 0x1.6dda08aec6016p-1, 0x1.6db85a2a2c9f2p-1, 0x1.6d43f456b57ap-1, 0x1.6c81b4b74db3ep-1, 0x1.6b764a112640bp-1, 0x1.6a2633a0e36bep-1, 0x1.6895c179da133p-1, 0x1.66c915cbecb2fp-1, 0x1.64c426a87f6f1p-1, 0x1.628abfdbb2e75p-1, 0x1.60208487d4d04p-1, 0x1.5d88f0597fcaep-1, 0x1.5ac7585494b5p-1, 0x1.57deeb596abc5p-1, 0x1.54d2b2907fa51p-1, 0x1.51a591e9eb5b2p-1, 0x1.4e5a0e281eebcp-1, 0x1.4af35f899e495p-1, 0x1.47739fc70f2bp-1, 0x1.43dd24453da3dp-1, 0x1.40322343f1f3ep-1, 0x1.3c74b5720e761p-1, 0x1.38a6d763f0c11p-1, 0x1.34ca6ae39b8dp-1, 0x1.30e1381909f75p-1, 0x1.2cecee8edb824p-1, 0x1.28ef261b5dd35p-1, 0x1.24e95fb78a4adp-1, 0x1.20dd064d2404fp-1, 0x1.1ccb6f835738ep-1, 0x1.18b5dc8ebe16fp-1, 0x1.149d7b072888cp-1, 0x1.108365c354594p-1, 0x1.0c68a5b9381f5p-1, 0x1.084e32e0a24ffp-1, 0x1.0434f515a237dp-1, 0x1.001dc4f857183p-1, 0x1.f812d99023585p-2, 0x1.eff1527042e33p-2, 0x1.e7d85479d9f51p-2, 0x1.dfc927a053fd6p-2, 0x1.d7c4fd562cd86p-2, 0x1.cfccf1eb51a5cp-2, 0x1.c7e20dd37a83fp-2, 0x1.c00546d2fe1dfp-2, 0x1.b8378111544b7p-2, 0x1.b07990116378cp-2, 0x1.a8cc3790df9cep-2, 0x1.a1302c510a473p-2, 0x1.99a614cc10cc7p-2, 0x1.922e89dae3802p-2, 0x1.8aca174f9145bp-2, 0x1.83793c880f27bp-2, 0x1.7c3c6cfcc3d07p-2, 0x1.751410cd72f4bp-2, 0x1.6e00854e334c2p-2, 0x1.67021d95317d6p-2, 0x1.601923092e64bp-2, 0x1.5945d5effb286p-2, 0x1.52886dfbb19a1p-2, 0x1.4be11ad539aa5p-2, 0x1.455004a28de63p-2, 0x1.3ed54c8755ecap-2, 0x1.38710d1ea52fbp-2, 0x1.32235aed03dedp-2, 0x1.2bec44ca3cb5bp-2, 0x1.25cbd442c4971p-2, 0x1.1fc20df0e5bafp-2, 0x1.19cef1ce1b82fp-2, 0x1.13f27b7d37206p-2, 0x1.0e2ca28e19ff8p-2, 0x1.087d5abbcf65ep-2, 0x1.02e49425da21bp-2, 0x1.fac4770afbea4p-3, 0x1.efec74bf7222p-3, 0x1.e540ee68fadc6p-3, 0x1.dac1ab5748959p-3, 0x1.d06e6d7fe5befp-3, 0x1.c646f1d0d5976p-3, 0x1.bc4af0800d88p-3, 0x1.b27a1d57f5a48p-3, 0x1.a8d42800e15adp-3, 0x1.9f58bc478d83bp-3, 0x1.960782608b32bp-3, 0x1.8ce01f289665ep-3, 0x1.83e23461d5efcp-3, 0x1.7b0d60ee11cecp-3, 0x1.7261410609489p-3, 0x1.69dd6e6df6dd5p-3, 0x1.618180a78b137p-3, 0x1.594d0d217dc72p-3, 0x1.513fa764fc5c5p-3, 0x1.4958e14120cd7p-3, 0x1.41984af49cb0ep-3, 0x1.39fd7355c7b55p-3, 0x1.3287e7f92a359p-3, 0x1.2b3735568e724p-3, 0x1.240ae6ecbba04p-3, 0x1.1d028763c22b8p-3, 0x1.161da0ade65f4p-3, 0x1.0f5c0b98ed9aap-3, 0x1.08bca104d7dacp-3, 0x1.023f494987315p-3, 0x1.f7c71a551d75cp-4, 0x1.eb51ea7cf81dbp-4, 0x1.df1e14078f2c4p-4, 0x1.d32aa7e96a2a8p-4, 0x1.c776b734b4243p-4, 0x1.bc01533d76413p-4, 0x1.b0c98dbc52dcep-4, 0x1.a5ce78efadc0fp-4, 0x1.9b0f27bb69fa3p-4, 0x1.908aadc74c67fp-4, 0x1.86401f9c03baap-4, 0x1.7c2e92beecedcp-4, 0x1.72551dcc924c7p-4, 0x1.68b2d891f39bap-4, 0x1.5f46dc24976a4p-4, 0x1.561042f96f05dp-4, 0x1.4d0e28fa8fe58p-4, 0x1.443fab9bc60fdp-4, 0x1.3ba3e9ee0a63p-4, 0x1.333a04b1dad0ep-4, 0x1.2b011e687e0e6p-4, 0x1.22f85b6438b12p-4, 0x1.1b1ee1d778a9bp-4, 0x1.1373d9e2fe218p-4, 0x1.0bf66da30ae55p-4, 0x1.04a5c93b9a488p-4, 0x1.fb0235c7630c5p-5, 0x1.ed0f25df91f0dp-5, 0x1.df70c7b6b9265p-5, 0x1.d22584a3506bbp-5, 0x1.c52bca6b3a64ep-5, 0x1.b8820b52291c4p-5, 0x1.ac26be269e1a3p-5, 0x1.a0185e4d88873p-5, 0x1.94556bcca15ecp-5, 0x1.88dc6b538f321p-5, 0x1.7dabe643e9c1ep-5, 0x1.72c26ab827a34p-5, 0x1.681e8b898c1a6p-5, 0x1.5dbee055233d7p-5, 0x1.53a2057fd6948p-5, 0x1.49c69c39abcd7p-5, 0x1.402b4a80364ffp-5, 0x1.36cebb204a78bp-5, 0x1.2daf9db6f43dap-5, 0x1.24cca6b1c2d38p-5, 0x1.1c248f4e67ec2p-5, 0x1.13b61599bbcaep-5, 0x1.0b7ffc6e1e719p-5, 0x1.03810b7148324p-5, 0x1.f7701e231079bp-6, 0x1.e847b104ea0eep-6, 0x1.d9867b7224e1ep-6, 0x1.cb2a32cef109fp-6, 0x1.bd3095efebea9p-6, 0x1.af976d0f6aa22p-6, 0x1.a25c89c1d8bcdp-6, 0x1.957dc6e92bdf7p-6, 0x1.88f908a770a2dp-6, 0x1.7ccc3c5085bc6p-6, 0x1.70f5585b013aep-6, 0x1.65725c504f52cp-6, 0x1.5a4150bc11c31p-6, 0x1.4f60471ac0877p-6, 0x1.44cd59c7a694bp-6, 0x1.3a86abea2df51p-6, 0x1.308a6962954dap-6, 0x1.26d6c6b609e05p-6, 0x1.1d6a00fa35849p-6, 0x1.14425dc04a71fp-6, 0x1.0b5e2aff8fac7p-6, 0x1.02bbbeff751c3p-6, 0x1.f4b2f0828338bp-7, 0x1.e46b7ad2a9575p-7, 0x1.d49dfa501aad3p-7, 0x1.c5475c44b527ap-7, 0x1.b6649db3ecf61p-7, 0x1.a7f2cb2ac5b67p-7, 0x1.99ef008f2f695p-7, 0x1.8c5668eeff7a3p-7, 0x1.7f263e4e765f4p-7, 0x1.725bc97668571p-7, 0x1.65f461c2131c9p-7, 0x1.59ed6cecb2de5p-7, 0x1.4e445eded50fcp-7, 0x1.42f6b97b7f99dp-7, 0x1.38020c6d2ade9p-7, 0x1.2d63f4f2ad191p-7, 0x1.231a1dac05173p-7, 0x1.19223e6726c7dp-7, 0x1.0f7a1becbbae2p-7, 0x1.061f87ccfbf66p-7, 0x1.fa20c05917866p-8, 0x1.e8951f22d7ce2p-8, 0x1.d79819603e38ep-8, 0x1.c725b471cbcd7p-8, 0x1.b73a0d4a4d479p-8, 0x1.a7d1580a1f7cp-8, 0x1.98e7df9aec7c5p-8, 0x1.8a7a054be3bc7p-8, 0x1.7c84406e7051bp-8, 0x1.6f031df39ae4fp-8, 0x1.61f34009f5d99p-8, 0x1.55515dbc43398p-8, 0x1.491a4290c45cfp-8, 0x1.3d4ace2942374p-8, 0x1.31dff3e3d793bp-8, 0x1.26d6ba7c88843p-8, 0x1.1c2c3bafab833p-8, 0x1.11dda3dd200efp-8, 0x1.07e831ac6c5cep-8, 0x1.fc926b637484p-9, 0x1.e9fc24277936ap-9, 0x1.d8087465036cdp-9, 0x1.c6b2649e7feacp-9, 0x1.b5f51e6a15e4cp-9, 0x1.a5cbebc536b6ap-9, 0x1.96323669fd7ap-9, 0x1.872387269e189p-9, 0x1.789b85371d46p-9, 0x1.6a95f5a0c414bp-9, 0x1.5d0eba8ff5c77p-9, 0x1.5001d2b7faa94p-9, 0x1.436b58b4eea5bp-9, 0x1.3747827012ae2p-9, 0x1.2b92a085fe51p-9, 0x1.20491daf365e8p-9, 0x1.15677e2ada5b3p-9, 0x1.0aea5f2b8725bp-9, 0x1.00ce764696c88p-9, 0x1.ee2121cacfcbfp-10, 0x1.db5b2771e51a4p-10, 0x1.c944f45f596e8p-10, 0x1.b7d8abdace59dp-10, 0x1.a7109c8b75a25p-10, 0x1.96e73f70d5e69p-10, 0x1.875736e033145p-10, 0x1.785b4d865062dp-10, 0x1.69ee756db339p-10, 0x1.5c0bc7091a707p-10, 0x1.4eae80427e651p-10, 0x1.41d2038e38feep-10, 0x1.3571d702a4861p-10, 0x1.2989a373f3535p-10, 0x1.1e153394375bep-10, 0x1.13107317c4624p-10, 0x1.08776ddd8bf6p-10, 0x1.fc8c9e37725fdp-11, 0x1.e8f2c1210dbccp-11, 0x1.d61a136e08f2fp-11, 0x1.c3fb9dff86adbp-11, 0x1.b290a21bc8b95p-11, 0x1.a1d297ef37ccep-11, 0x1.91bb2d16102cp-11, 0x1.8244432d0d977p-11, 0x1.7367ee6a65d6fp-11, 0x1.6520743e25329p-11, 0x1.576849f95b2aep-11, 0x1.4a3a137d5a914p-11, 0x1.3d90a1f22d66cp-11, 0x1.3166f283e79bep-11, 0x1.25b82d27037b6p-11, 0x1.1a7fa3647c1d1p-11, 0x1.0fb8cf2b788fbp-11, 0x1.055f51ab12f21p-11, 0x1.f68dddaba862ep-12, 0x1.e3786b8beaa49p-12, 0x1.d125402842614p-12, 0x1.bf8cc0bf543d1p-12, 0x1.aea7964967a72p-12, 0x1.9e6eab797d4edp-12, 0x1.8edb2aca2601bp-12, 0x1.7fe67c9863675p-12, 0x1.718a45484d97dp-12, 0x1.63c063760a1cfp-12, 0x1.5682ee32a26eap-12, 0x1.49cc334b22566p-12, 0x1.3d96b59b78fb3p-12, 0x1.31dd2b6b7624ap-12, 0x1.269a7cd742feep-12, 0x1.1bc9c24164448p-12, 0x1.116642cf1bbb8p-12, 0x1.076b72eecd982p-12, 0x1.fba9e5d148a3ep-13, 0x1.e93d1af010c22p-13, 0x1.d7886cde1e8aep-13, 0x1.c68412c515567p-13, 0x1.b62890c07e13bp-13, 0x1.a66eb557eb876p-13, 0x1.974f970ec3c6p-13, 0x1.88c49202434a2p-13, 0x1.7ac745988dd52p-13, 0x1.6d51924075bacp-13, 0x1.605d974159447p-13, 0x1.53e5b098763c6p-13, 0x1.47e474e88db75p-13, 0x1.3c54b375e4199p-13, 0x1.31317232190cbp-13, 0x1.2675ebd585d3cp-13, 0x1.1c1d8e06d36ddp-13, 0x1.1223f78f0aadap-13, 0x1.0884f69e379acp-13, 0x1.fe790e2fd5ac1p-14, 0x1.ec8da1e152828p-14, 0x1.db404d2c07ddcp-14, 0x1.ca8a06c495496p-14, 0x1.ba64143a0629bp-14, 0x1.aac8070df1bap-14, 0x1.9bafb9dff7e1bp-14, 0x1.8d154db3087fp-14, 0x1.7ef3274541041p-14, 0x1.7143ec7e15c31p-14, 0x1.640281f0886d9p-14, 0x1.572a0873e4cf3p-14, 0x1.4ab5dac7d8dfdp-14, 0x1.3ea18b54b82e2p-14, 0x1.32e8e1f9345cap-14, 0x1.2787d9ebc49bdp-14, 0x1.1c7a9fab652e6p-14, 0x1.11bd8f04d5faep-14, 0x1.074d3124f8716p-14, 0x1.fa4c757cc88a2p-15, 0x1.e68b14785e38dp-15, 0x1.d3504c0a8615ap-15, 0x1.c096759e093a2p-15, 0x1.ae5833ff78f6cp-15, 0x1.9c907032f61f2p-15, 0x1.8b3a5674dcd4ap-15, 0x1.7a51534a46478p-15, 0x1.69d110b0e6c38p-15, 0x1.59b57365e0c13p-15, 0x1.49fa9846d0d9ep-15, 0x1.3a9cd1c92c9eap-15, 0x1.2b98a589f0b0bp-15, 0x1.1ceac9f30e619p-15, 0x1.0e9023f76bfb1p-15, 0x1.0085c4e7b8834p-15, 0x1.e591d0a3816p-16, 0x1.caade3fda0561p-16, 0x1.b05ad801bff81p-16, 0x1.9694099fc3c4ep-16, 0x1.7d551b0289243p-16, 0x1.6499f00ddaeccp-16, 0x1.4c5eab11eefe9p-16, 0x1.349fa99550b06p-16, 0x1.1d59813f4a4a6p-16, 0x1.0688fce419bc8p-16, 0x1.e05633623b452p-17, 0x1.b47a08ef966fep-17, 0x1.89782e1507e89p-17, 0x1.5f4bab7b6f67ep-17, 0x1.35efda0ed7749p-17, 0x1.0d605e58b304cp-17, 0x1.cb3248362b3bp-18, 0x1.7d2cb443825f1p-18, 0x1.30a8dc6de63d6p-18, 0x1.cb402517b15e3p-19, 0x1.38182e957da7bp-19, 0x1.4f9c4cddb054ap-20, 0x1.a571fe4ebe87dp-23, -0x1.c15c71ae334d9p-21, -0x1.f08c39b4b2b87p-20, -0x1.7d7ed24935a23p-19, -0x1.0004cdc4d8b93p-18, -0x1.3ff727c8f2ac9p-18, -0x1.7e9a2419b009p-18, -0x1.bbf13591fefd6p-18, -0x1.f7ff99c02612fp-18, -0x1.19642e9752905p-17, -0x1.36272fc3cfd52p-17, -0x1.524a2bc1189eap-17, -0x1.6dce6b4973e84p-17, -0x1.88b52636c2941p-17, -0x1.a2ff853649009p-17, -0x1.bcaea35009e4ep-17, -0x1.d5c38f6ab2a6dp-17, -0x1.ee3f4daf9c5bcp-17, -0x1.03116c6f15cfep-16, -0x1.0eb791c823686p-16, -0x1.1a128ca8ddeeap-16, -0x1.2522cfe9d781dp-16, -0x1.2fe8cbf47b633p-16, -0x1.3a64ef3d530f9p-16, -0x1.4497a6be1bc94p-16, -0x1.4e815e582ea6ap-16, -0x1.58228140debe6p-16, -0x1.617b7a579ac73p-16, -0x1.6a8cb48860ad8p-16, -0x1.73569b10892c3p-16, -0x1.7bd999cdde8abp-16, -0x1.84161d83eef54p-16, -0x1.8c0c9418e0daap-16, -0x1.93bd6cce69f03p-16, -0x1.9b291873c6dcp-16, -0x1.a250099cd5338p-16, -0x1.a932b4c668acfp-16, -0x1.afd1907b7d88ep-16, -0x1.b62d1579b9p-16, -0x1.bc45bed4f84bfp-16, -0x1.c21c0a05d4aa5p-16, -0x1.c7b077038a19dp-16, -0x1.cd03885e64d7p-16, -0x1.d215c349eb5c8p-16, -0x1.d6e7afabdce4cp-16, -0x1.db79d81e10991p-16, -0x1.dfccca024ce88p-16, -0x1.e3e1158069119p-16, -0x1.e7b74d86ef434p-16, -0x1.eb5007cce79f1p-16, -0x1.eeabdcd0b51bcp-16, -0x1.f1cb67d01c219p-16, -0x1.f4af46c5ae7d9p-16, -0x1.f7581a5e0ac87p-16, -0x1.f9c685f11f572p-16, -0x1.fbfb2f746af02p-16, -0x1.fdf6bf6ea0062p-16, -0x1.ffb9e0e8b1054p-16, -0x1.00a2a0b0cf651p-15, -0x1.014cc85e0d13ap-15, -0x1.01dbc09723721p-15, -0x1.024fe39402479p-15, -0x1.02a98ca6927e2p-15, -0x1.02e9182bbadeap-15, -0x1.030ee382489adp-15, -0x1.031b4cfff9617p-15, -0x1.030eb3e828d1cp-15, -0x1.02e9785c2c3e4p-15, -0x1.02abfb55eec52p-15, -0x1.02569e971061bp-15, -0x1.01e9c4a0960fcp-15, -0x1.0165d0a4d126bp-15, -0x1.00cb267bc1e4cp-15, -0x1.001a2a99575b9p-15, -0x1.fea683f86de91p-16, -0x1.fceda44cb293fp-16, -0x1.fb0a821ebca16p-16, -0x1.f8fdea2db8ed1p-16, -0x1.f6c8a9f4cc624p-16, -0x1.f46b8f8c7c0b4p-16, -0x1.f1e7699b36395p-16, -0x1.ef3d07395a27ep-16, -0x1.ec6d37d191d44p-16, -0x1.e978cb1825e5cp-16, -0x1.e66090e97d622p-16, -0x1.e32559341a0dbp-16, -0x1.dfc7f3e8088dp-16, -0x1.dc4930d6f39efp-16, -0x1.d8a9dfa5f8034p-16, -0x1.d4eacfb1088bbp-16, -0x1.d10ccffb5112bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fdfa71ae52016p-4, -0x1.11a3db9da55cap-3, -0x1.24a9c98137119p-3, -0x1.3802659df558dp-3, -0x1.4ba0d8ece7a9dp-3, -0x1.5f782ff88346fp-3, -0x1.737b75598929p-3, -0x1.879dc92f4373cp-3, -0x1.9bd275c773618p-3, -0x1.b00d01aa1d64cp-3, -0x1.c4413f3c46e4fp-3, -0x1.d8635a2b180a7p-3, -0x1.ec67e2ce95ad6p-3, -0x1.0021ebd864b61p-2, -0x1.09f656b1d2646p-2, -0x1.13ac2a66acabep-2, -0x1.1d3ea00822365p-2, -0x1.26a933188d32ap-2, -0x1.2fe7a2cdc4d7ap-2, -0x1.38f5f2d1a9608p-2, -0x1.41d06b8ebafafp-2, -0x1.4a739a15a1b58p-2, -0x1.52dc4fa776151p-2, -0x1.5b07a0efbc518p-2, -0x1.62f2e4f8245b7p-2, -0x1.6a9bb3df4f03fp-2, -0x1.71ffe55b155a6p-2, -0x1.791d8f0e19aep-2, -0x1.7ff302b7bb7bcp-2, -0x1.867ecc44e8c64p-2, -0x1.8cbfafc7b162p-2, -0x1.92b4a75af1cc7p-2, -0x1.985ce0f6ea494p-2, -0x1.9db7bc3b1d9ep-2, -0x1.a2c4c83159d2ap-2, -0x1.a783c10d70ffep-2, -0x1.abf48decb41afp-2, -0x1.b0173e97fbbe5p-2, -0x1.b3ec094aa162cp-2, -0x1.b77348808e598p-2, -0x1.baad78cd371f1p-2, -0x1.bd9b36bd18152p-2, -0x1.c03d3cc3130cbp-2, -0x1.c2946132ca9cbp-2, -0x1.c4a19448f5f73p-2, -0x1.c665de426aca4p-2, -0x1.c7e25d8282fb5p-2, -0x1.c91844c94e64p-2, -0x1.ca08d979ed5bap-2, -0x1.cab571f14c5a6p-2, -0x1.cb1f73ed6221ep-2, -0x1.cb485304f8564p-2, -0x1.cb318f2ff2a7fp-2, -0x1.cadcb35ffdaf1p-2, -0x1.ca4b54296e7edp-2, -0x1.c97f0e7c2452cp-2, -0x1.c879866c22721p-2, -0x1.c73c6609923e3p-2, -0x1.c5c95c47dabd5p-2, -0x1.c4221bf36f128p-2, -0x1.c2485ab5ef2b8p-2, -0x1.c03dd0283a53dp-2, -0x1.be0434f20234ap-2, -0x1.bb9d41f677c79p-2, -0x1.b90aaf8da216ap-2, -0x1.b64e34c9f297ep-2, -0x1.b36986c9a76e8p-2, -0x1.b05e58138bdc5p-2, -0x1.ad2e57fead557p-2, -0x1.a9db322495f0ep-2, -0x1.a6668ddda38a7p-2, -0x1.a2d20dc711259p-2, -0x1.9f1f4f524c199p-2, -0x1.9b4fea5d32f23p-2, -0x1.976570d2d71b1p-2, -0x1.93616e546418fp-2, -0x1.8f4567e9d2988p-2, -0x1.8b12dbba01493p-2, -0x1.86cb40c9ecb61p-2, -0x1.827006c29d6f7p-2, -0x1.7e0295bd8a1c9p-2, -0x1.79844e1712dc1p-2, -0x1.74f68846ce42p-2, -0x1.705a94bd593b9p-2, -0x1.6bb1bbc763e8ap-2, -0x1.66fd3d75b57f5p-2, -0x1.623e5189e30c9p-2, -0x1.5d76276777fb4p-2, -0x1.58a5e60953bp-2, -0x1.53ceabfafc74cp-2, -0x1.4ef18f55b2ec6p-2, -0x1.4a0f9dc1095dcp-2, -0x1.4529dc76caf02p-2, -0x1.4041484a00b5ep-2, -0x1.3b56d5b0e181p-2, -0x1.366b70d17c209p-2, -0x1.317ffd90ee49bp-2, -0x1.2c9557a500264p-2, -0x1.27ac52a7f428ap-2, -0x1.22c5ba2e6784cp-2, -0x1.1de251df19f6fp-2, -0x1.1902d58c77e63p-2, -0x1.1427f94fc5e77p-2, -0x1.0f5269a5c6ebbp-2, -0x1.0a82cb8cbfa3dp-2, -0x1.05b9bca3b92f6p-2, -0x1.00f7d34adf79p-2, -0x1.f87b3d89c8c09p-3, -0x1.ef174eb297f83p-3, -0x1.e5c4dcef05788p-3, -0x1.dc84ddb555e18p-3, -0x1.d358395c0ce55p-3, -0x1.ca3fcb63cf857p-3, -0x1.c13c62c223f91p-3, -0x1.b84ec22cf073dp-3, -0x1.af77a0668a2dcp-3, -0x1.a6b7a88a325ecp-3, -0x1.9e0f7a58dfc11p-3, -0x1.957faa86332d1p-3, -0x1.8d08c30574202p-3, -0x1.84ab435680117p-3, -0x1.7c67a0d28884ep-3, -0x1.743e46f88c82p-3, -0x1.6c2f97b96f86bp-3, -0x1.643bebc399ba6p-3, -0x1.5c6392ce0e086p-3, -0x1.54a6d3e2d919cp-3, -0x1.4d05eda8d68b9p-3, -0x1.458116aca5ad2p-3, -0x1.3e187da8d4d0ep-3, -0x1.36cc49cd1d5b4p-3, -0x1.2f9c9b04b87bfp-3, -0x1.28898a3bab23cp-3, -0x1.219329a30cbcp-3, -0x1.1ab984f43d302p-3, -0x1.13fca1b2f1a87p-3, -0x1.0d5c7f6e2609p-3, -0x1.06d917ffd389fp-3, -0x1.00725fcb7d201p-3, -0x1.f4508bf6f2277p-4, -0x1.e7f56979ef8f4p-4, -0x1.dbd322f59d6e4p-4, -0x1.cfe97a2dd70f6p-4, -0x1.c438284514e28p-4, -0x1.b8bede2a20a73p-4, -0x1.ad7d450337a45p-4, -0x1.a272fe96840ebp-4, -0x1.979fa5aff2e53p-4, -0x1.8d02ce8461dd1p-4, -0x1.829c0712293cbp-4, -0x1.786ad77f03eebp-4, -0x1.6e6ec27354ebap-4, -0x1.64a74572d1315p-4, -0x1.5b13d9328e751p-4, -0x1.51b3f1ec7f012p-4, -0x1.4886ffb05e16fp-4, -0x1.3f8c6eb213b14p-4, -0x1.36c3a7959628dp-4, -0x1.2e2c0fb852006p-4, -0x1.25c509781e2dcp-4, -0x1.1d8df477c5d76p-4, -0x1.15862de131087p-4, -0x1.0dad10a53362bp-4, -0x1.0601f5b90da78p-4, -0x1.fd0868a34dadcp-5, -0x1.ee6644391a295p-5, -0x1.e01c26ed85718p-5, -0x1.d228b742cd595p-5, -0x1.c48a99e87ffffp-5, -0x1.b740721c71afdp-5, -0x1.aa48e207a5db7p-5, -0x1.9da28b1746a96p-5, -0x1.914c0e51b814dp-5, -0x1.85440ca7e7009p-5, -0x1.79892742e5d46p-5, -0x1.6e19ffcdef46p-5, -0x1.62f538bce3011p-5, -0x1.5819758f59bd1p-5, -0x1.4d855b106149ap-5, -0x1.43378f92f98d2p-5, -0x1.392ebb2b6a07ep-5, -0x1.2f6987e586609p-5, -0x1.25e6a1f7f662fp-5, -0x1.1ca4b7f49901dp-5, -0x1.13a27af61aa55p-5, -0x1.0ade9ecad05bap-5, -0x1.0257da1cf0e82p-5, -0x1.f419cd307b438p-6, -0x1.e3f9021a6bbe1p-6, -0x1.d44ad323c6b85p-6, -0x1.c50cc740ada7cp-6, -0x1.b63c6c65d9704p-6, -0x1.a7d757bcc932p-6, -0x1.99db25d3d18e5p-6, -0x1.8c457aca27d73p-6, -0x1.7f1402780e738p-6, -0x1.724470934b48cp-6, -0x1.65d480d00cc28p-6, -0x1.59c1f6fe5bb87p-6, -0x1.4e0a9f24419c5p-6, -0x1.42ac4d94c61e2p-6, -0x1.37a4df03dc33ep-6, -0x1.2cf238976f12bp-6, -0x1.229247f599a7ap-6, -0x1.188303503e0abp-6, -0x1.0ec2696e09974p-6, -0x1.054e81b10af4fp-6, -0x1.f84ab835e99dap-7, -0x1.e68a229e54259p-7, -0x1.d55785255e54cp-7, -0x1.c4af339427c33p-7, -0x1.b48d92eafeff9p-7, -0x1.a4ef1955c0f67p-7, -0x1.95d04e1ce211fp-7, -0x1.872dc993254c8p-7, -0x1.790435004a63cp-7, -0x1.6b504a88d38b8p-7, -0x1.5e0ed5130e418p-7, -0x1.513cb02986a92p-7, -0x1.44d6c7db14724p-7, -0x1.38da18989fd3fp-7, -0x1.2d43af10c7fc8p-7, -0x1.2210a8098d056p-7, -0x1.173e303821065p-7, -0x1.0cc9841701a26p-7, -0x1.02afefba7929dp-7, -0x1.f1dd9d474fed9p-8, -0x1.df071724637d6p-8, -0x1.ccd740a95b9e3p-8, -0x1.bb492b2fe75d1p-8, -0x1.aa58056abfff2p-8, -0x1.99ff1b0053b5bp-8, -0x1.8a39d423c62afp-8, -0x1.7b03b52c6f7p-8, -0x1.6c585e2c0c3e3p-8, -0x1.5e338a83c58bdp-8, -0x1.509110783b155p-8, -0x1.436ce0c4b91a6p-8, -0x1.36c3062db9f6bp-8, -0x1.2a8fa512dc1dep-8, -0x1.1ecefb006c497p-8, -0x1.137d5e40a47f5p-8, -0x1.08973d6cbe573p-8, -0x1.fc323dfbef7a7p-9, -0x1.e7ff41bd43ad8p-9, -0x1.d48eeff6b3afp-9, -0x1.c1dadfa900177p-9, -0x1.afdcd4200df82p-9, -0x1.9e8ebc1764113p-9, -0x1.8deab0dfac1c2p-9, -0x1.7deaf5855f947p-9, -0x1.6e89f5f8ceb66p-9, -0x1.5fc2463798397p-9, -0x1.518ea177bd1f4p-9, -0x1.43e9e95465fbp-9, -0x1.36cf24fc8089bp-9, -0x1.2a3980634a6eep-9, -0x1.1e244b72df9bbp-9, -0x1.128af940ec751p-9, -0x1.07691f45901d4p-9, -0x1.f974e92912a97p-10, -0x1.e4f5a231714c6p-10, -0x1.d14c59a426e31p-10, -0x1.be713e2c18bp-10, -0x1.ac5cbba50619ep-10, -0x1.9b0779a697bc1p-10, -0x1.8a6a5a14a4a8bp-10, -0x1.7a7e77b4c8e0ap-10, -0x1.6b3d24c969285p-10, -0x1.5c9fe9b21fb7dp-10, -0x1.4ea08391a72a1p-10, -0x1.4138e2f959115p-10, -0x1.34632a9a372cap-10, -0x1.2819adfb8de3cp-10, -0x1.1c56f037420afp-10, -0x1.1115a2bbadcafp-10, -0x1.0650a4133ad4cp-10, -0x1.f805fd630d8a3p-11, -0x1.e44fcf8c8e9bfp-11, -0x1.d1757c2b75da1p-11, -0x1.bf6e11ad86e7ep-11, -0x1.ae30ed2d2e7ep-11, -0x1.9db5b8440b003p-11, -0x1.8df466e88f4b3p-11, -0x1.7ee53556af123p-11, -0x1.7080a6038013ap-11, -0x1.62bf7f9bc0282p-11, -0x1.559acb0d272e3p-11, -0x1.490bd19a70538p-11, -0x1.3d0c1af9ff439p-11, -0x1.31956b7f0b2a7p-11, -0x1.26a1c24d30b21p-11, -0x1.1c2b5796502ep-11, -0x1.122c9ae29aafdp-11, -0x1.08a03162b04afp-11, -0x1.ff01e8975b81bp-12, -0x1.ed93de7a17453p-12, -0x1.dcecbd605b29p-12, -0x1.cd035ce30133p-12, -0x1.bdcef04607648p-12, -0x1.af47039038d2fp-12, -0x1.a16378b51e718p-12, -0x1.941c84d0fc8c2p-12, -0x1.876aad76867bdp-12, -0x1.7b46c60e0bc7ep-12, -0x1.6fa9ed45d3f1dp-12, -0x1.648d8a9357dafp-12, -0x1.59eb4bc518d01p-12, -0x1.4fbd22a4c5f8bp-12, -0x1.45fd42a969006p-12, -0x1.3ca61eb94b2b6p-12, -0x1.33b266fb4f479p-12, -0x1.2b1d06b773eaep-12, -0x1.22e1224630152p-12, -0x1.1afa150e695bep-12, -0x1.13636f91b28e6p-12, -0x1.0c18f5868ed27p-12, -0x1.05169c006e75bp-12, -0x1.fcb10f4a3bb2fp-13, -0x1.efb615dec23a8p-13, -0x1.e33548fce471bp-13, -0x1.d727fae43f8b5p-13, -0x1.cb87cfa67e01bp-13, -0x1.c04eba106ec19p-13, -0x1.b576f8aaaf27ep-13, -0x1.aafb12d173a12p-13, -0x1.a0d5d5e2decc9p-13, -0x1.9702528364886p-13, -0x1.8d7bd9f7b64dp-13, -0x1.843dfb93c0243p-13, -0x1.7b44823e28d25p-13, -0x1.728b7207e1018p-13, -0x1.6a0f05d747d46p-13, -0x1.61cbad265f92dp-13, -0x1.59be09d3abc1ap-13, -0x1.51e2ee052defbp-13, -0x1.4a375a1d1ff1p-13, -0x1.42b87abfe8062p-13, -0x1.3b63a6eae85dbp-13, -0x1.34365e1ba9212p-13, -0x1.2d2e4686f82c3p-13, -0x1.26492b5f9a73ap-13, -0x1.1f84fb2c191d5p-13, -0x1.18dfc62b47349p-13, -0x1.1257bcc72502cp-13, -0x1.0beb2e15a68b8p-13, -0x1.059886671b6d1p-13, -0x1.febc9bc36b124p-14, -0x1.f2764e53dd067p-14, -0x1.e65b9c2eb8c7ep-14, -0x1.da6a2ceb4e08cp-14, -0x1.ce9fd5a278277p-14, -0x1.c2fa969eec1cep-14, -0x1.b7789923b0f3bp-14, -0x1.ac182d4822746p-14, -0x1.a0d7c7e8e9c4cp-14, -0x1.95b600ad2f015p-14, -0x1.8ab1901f8a946p-14, -0x1.7fc94dda06a77p-14, -0x1.74fc2ec4a7968p-14, -0x1.6a494365e724cp-14, -0x1.5fafb644964a9p-14, -0x1.552eca5a9a8b4p-14, -0x1.4ac5d997ff2c3p-14, -0x1.40745375d951ap-14, -0x1.3639bb987b523p-14, -0x1.2c15a8807af44p-14, -0x1.2207c24a123e7p-14, -0x1.180fc17a5ebdep-14, -0x1.0e2d6dda1077bp-14, -0x1.04609d5d1258dp-14, -0x1.f552662d82476p-15, -0x1.e20e3c7484d9cp-15, -0x1.cef4b24d28814p-15, -0x1.bc05d0fbde3d5p-15, -0x1.a941b4902b8d2p-15, -0x1.96a88a3e66b73p-15, -0x1.843a8ecdd06e4p-15, -0x1.71f80d1a55f76p-15, -0x1.5fe15ca9463a2p-15, -0x1.4df6e0504f51cp-15, -0x1.3c3904ee19d79p-15, -0x1.2aa84033dd9bbp-15, -0x1.19450f7f51a35p-15, -0x1.080ff6c45b68ap-15, -0x1.ee12ff0bd06c7p-16, -0x1.cc646fbab34ccp-16, -0x1.ab15632001617p-16, -0x1.8a2702642382fp-16, -0x1.699a7aad2d446p-16, -0x1.4970fb97a642fp-16, -0x1.29abb5c74f7d2p-16, -0x1.0a4bd98ee08ffp-16, -0x1.d6a52b5bac88dp-17, -0x1.99822c46e4aadp-17, -0x1.5d31062c05e9p-17, -0x1.21b3ff9b4279p-17, -0x1.ce1aa70659924p-18, -0x1.5a7e5ede61481p-18, -0x1.d12ec7a0f4aadp-19, -0x1.e1a747b0f486ap-20, -0x1.3f343006beecep-23, 0x1.8ad56da48e431p-20, 0x1.9b3ef6a6c6efep-19, 0x1.36c13f63a8d1dp-18, 0x1.9e17554028b4ep-18, 0x1.01cf4c5f16902p-17, 0x1.33aa0ab0733ddp-17, 0x1.649a83d5a499dp-17, 0x1.949f6f2399134p-17, 0x1.c3b79d81ededdp-17, 0x1.f1e1f9d6e5aacp-17, 0x1.0f8ec4b082819p-16, 0x1.25b4b5ffa89a7p-16, 0x1.3b626e348da25p-16, 0x1.5097982b1a593p-16, 0x1.6553ec4c35108p-16, 0x1.7997309386d95p-16, 0x1.8d61388eb4a35p-16, 0x1.a0b1e556665fp-16, 0x1.b389258179173p-16, 0x1.c5e6f512bc90ep-16, 0x1.d7cb5d618dddcp-16, 0x1.e93674fd9cb45p-16, 0x1.fa285f8e393ap-16, 0x1.0550a6d6b3bfbp-15, 0x1.0d50be5f8569bp-15, 0x1.15149b62387e5p-15, 0x1.1c9c69163bdb3p-15, 0x1.23e858d049e3dp-15, 0x1.2af8a1e77f148p-15, 0x1.31cd819918256p-15, 0x1.38673aeafdefbp-15, 0x1.3ec6168d34b12p-15, 0x1.44ea62ba4b266p-15, 0x1.4ad47316df74ap-15, 0x1.5084a09055a1ep-15, 0x1.55fb493ad4807p-15, 0x1.5b38d02e9d3b8p-15, 0x1.603d9d64d3dabp-15, 0x1.650a1d93cdfe9p-15, 0x1.699ec20af6f84p-15, 0x1.6dfc008e5cb02p-15, 0x1.72225331f874cp-15, 0x1.76123834bf94dp-15, 0x1.79cc31db8eddbp-15, 0x1.7d50c64bfdf57p-15, 0x1.80a07f67289f5p-15, 0x1.83bbeaa4785b8p-15, 0x1.86a398ec80c3fp-15, 0x1.89581e73f468p-15, 0x1.8bda1296be691p-15, 0x1.8e2a0fb34e872p-15, 0x1.9048b3061d05dp-15, 0x1.92369c857194fp-15, 0x1.93f46ebd76f6cp-15, 0x1.9582ceac9fb6cp-15, 0x1.96e263a069a25p-15, 0x1.9813d7127d205p-15, 0x1.9917d4863c399p-15, 0x1.99ef0966bad5ap-15, 0x1.9a9a24e52ddc7p-15, 0x1.9b19d7d7d0e12p-15, 0x1.9b6ed4994e39p-15, 0x1.9b99cee8a69dep-15, 0x1.9b9b7bc99e1e6p-15, 0x1.9b749165b8172p-15, 0x1.9b25c6edbb006p-15, 0x1.9aafd47bc84f5p-15, 0x1.9a1372f606faap-15, 0x1.99515bf1e26f5p-15, 0x1.986a4997e248bp-15, 0x1.975ef6881a131p-15, 0x1.96301dbf34b32p-15, 0x1.94de7a7c1c876p-15, 0x1.936ac8264042bp-15, 0x1.91d5c2347595fp-15, 0x1.902024147a03bp-15, 0x1.8e4aa91314643p-15, 0x1.8c560c44d4f08p-15, 0x1.8a43086f7378p-15, 0x1.881257f3ce462p-15, 0x1.85c4b4b8878fp-15, 0x1.835ad8153ff1dp-15, 0x1.80d57abe70974p-15, 0x1.7e3554b1e0f41p-15, 0x1.7b7b1d23b8318p-15, 0x1.78a78a6c2baaep-15, 0x1.75bb51f5c5762p-15, 0x1.72b7282c440bfp-15, 0x1.6f9bc06c11418p-15, 0x1.6c69ccf24ec79p-15, 0x1.6921fecd788abp-15, 0x1.65c505ce97312p-15, 0x1.6253907b06502p-15, 0x1.5ece4bfec6c8ap-15, 0x1.5b35e41f619d4p-15, 0x1.578b032f55227p-15, 0x1.53ce52020a5eap-15, 0x1.500077e0529aep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_n_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.e7d4fdc8c4902p-6, 0x1.e603bf2bfc791p-5, 0x1.6a47a7403a745p-4, 0x1.def9fba78e258p-4, 0x1.283103af9c652p-3, 0x1.5ef053fd00957p-3, 0x1.937770fe68a25p-3, 0x1.c58e9462a14bp-3, 0x1.f509187842f1dp-3, 0x1.10e24ea80009bp-2, 0x1.25d402ceaefc2p-2, 0x1.39514efd3d03bp-2, 0x1.4b55708662427p-2, 0x1.5bdef66c7ee27p-2, 0x1.6aef30f5135b9p-2, 0x1.7889c813c8a94p-2, 0x1.84b478457c18p-2, 0x1.8f76b29c9a3bdp-2, 0x1.98d94e338e7a2p-2, 0x1.a0e661cf57038p-2, 0x1.a7a8fed1b322ap-2, 0x1.ad2ce90dd9811p-2, 0x1.b17e9bbaa6c79p-2, 0x1.b4aae875caf8dp-2, 0x1.b6bf02e794191p-2, 0x1.b7c8d30de79ddp-2, 0x1.b7d5f5bfc9482p-2, 0x1.b6f37c785c1eep-2, 0x1.b52f2828400abp-2, 0x1.b29769a660ba9p-2, 0x1.af39a4345108fp-2, 0x1.ab222a9b7f97bp-2, 0x1.a65e769fc17afp-2, 0x1.a0fb562d72002p-2, 0x1.9b0513ae91e91p-2, 0x1.94878cddb4ac7p-2, 0x1.8d8e5913134e1p-2, 0x1.8624c0ccd4fa3p-2, 0x1.7e5597486b71cp-2, 0x1.762b277575d8cp-2, 0x1.6daf4094c6a3cp-2, 0x1.64eb4a548b721p-2, 0x1.5be84c3b99cf4p-2, 0x1.52aee8e239d8ep-2, 0x1.494755513e182p-2, 0x1.3fb951278fd55p-2, 0x1.360c21dde2f08p-2, 0x1.2c46945b624e9p-2, 0x1.226f063ae0519p-2, 0x1.188b731c161b2p-2, 0x1.0ea17f6e8f76fp-2, 0x1.04b67c3d3e043p-2, 0x1.f59ec85278597p-3, 0x1.e1e1aa47a863ep-3, 0x1.ce3e165663123p-3, 0x1.babbbe44b1984p-3, 0x1.a7619617f4e11p-3, 0x1.9435e6661d512p-3, 0x1.813e64ee7b185p-3, 0x1.6e804e668b2dap-3, 0x1.5c007c3bd4b08p-3, 0x1.49c372245de76p-3, 0x1.37f5d30fad42ep-3, 0x1.2648e0dd79b6cp-3, 0x1.14e9082c11139p-3, 0x1.03d93d2f2931cp-3, 0x1.e638817be90cp-4, 0x1.c56926d16cff1p-4, 0x1.a548cac93ad1dp-4, 0x1.85db148489e46p-4, 0x1.6722e8b743f2fp-4, 0x1.492270bf2eabdp-4, 0x1.2bdb2d5fbe606p-4, 0x1.0f4e0e31f7eap-4, 0x1.e6f70eefacae2p-5, 0x1.b0c74507bc9bdp-5, 0x1.7c0c0fb412b77p-5, 0x1.48c408ec5e1e4p-5, 0x1.16ed197122444p-5, 0x1.cd08fda397a9dp-6, 0x1.6f0da9bf48aap-6, 0x1.13e047470b659p-6, 0x1.76efc405db90bp-7, 0x1.972a9feed1a86p-8, 0x1.2ce0e5fce0b01p-10, -0x1.ec487c6b79b79p-9, -0x1.168cb472b64f2p-7, -0x1.acebe1d9f86edp-7, -0x1.1f2464ff7b2a6p-6, -0x1.655eba19b547p-6, -0x1.a93267cdd79d9p-6, -0x1.eaad58f3b9c64p-6, -0x1.14eef31b03027p-5, -0x1.33696552beb3bp-5, -0x1.50cd89460d39ap-5, -0x1.6d2302e0c38edp-5, -0x1.887187a425535p-5, -0x1.a2c0d205fbb46p-5, -0x1.bc18952ee9565p-5, -0x1.d48071ba75de5p-5, -0x1.ebffebf0f3108p-5, -0x1.014f31e926949p-4, -0x1.0c318797ced3p-4, -0x1.16aa7afd1e9c2p-4, -0x1.20bd78692f3p-4, -0x1.2a6dd4dc494efp-4, -0x1.33becf4b01027p-4, -0x1.3cb3928eb14a2p-4, -0x1.454f37af241aep-4, -0x1.4d94c8286080dp-4, -0x1.55873fd3e571p-4, -0x1.5d298e2f629a7p-4, -0x1.647e96d89c4b9p-4, -0x1.6b89313831f85p-4, -0x1.724c27745d941p-4, -0x1.78ca34db663a5p-4, -0x1.7f06040053ebdp-4, -0x1.85022cc333612p-4, -0x1.8ac13273c1226p-4, -0x1.9045822da4b72p-4, -0x1.9591717d0895ap-4, -0x1.9aa73d4ce8545p-4, -0x1.9f8909180c342p-4, -0x1.a438de52bbd93p-4, -0x1.a8b8ac052d91ep-4, -0x1.ad0a46933b85fp-4, -0x1.b13cfc7526766p-4, -0x1.b5374dd812232p-4, -0x1.b907c95a9a282p-4, -0x1.bcafd61af580dp-4, -0x1.c030c8314a0b8p-4, -0x1.c38be29bbd624p-4, -0x1.c6c258fbbb2f3p-4, -0x1.c9d5510ba2343p-4, -0x1.ccc5e3be234bbp-4, -0x1.cf951e03349d4p-4, -0x1.d2440137ccc04p-4, -0x1.d4d3834d6d471p-4, -0x1.d7448ebb58e88p-4, -0x1.d998024e2d527p-4, -0x1.dbceb0ea2d619p-4, -0x1.dde96152fae36p-4, -0x1.dfe8ce07c90fp-4, -0x1.e1cda53eef955p-4, -0x1.e3988907658a9p-4, -0x1.e54a0f924747ep-4, -0x1.e6e2c3a2f24f5p-4, -0x1.e86325213c314p-4, -0x1.e9cba9c71bc28p-4, -0x1.eb1cbde1dbc8cp-4, -0x1.ec56c51e51ad6p-4, -0x1.ed7a1b57c9521p-4, -0x1.ee8715622c006p-4, -0x1.ef7e01c8f593ep-4, -0x1.f05f297e42dp-4, -0x1.f12ad076cc1eap-4, -0x1.f1e1363173e89p-4, -0x1.f282962a94835p-4, -0x1.f30f283c9ece4p-4, -0x1.f38720f0c5aa4p-4, -0x1.f3eab1c307ff8p-4, -0x1.f43a095d67edap-4, -0x1.f47553ce0fad7p-4, -0x1.f49cbabbdc8d7p-4, -0x1.f4b0659c1f8d9p-4, -0x1.f4b079ebe7f9ep-4, -0x1.f49d1b6df3411p-4, -0x1.f4766c6e00053p-4, -0x1.f43c8e091753dp-4, -0x1.f3efa079f5669p-4, -0x1.f38fc3681eb9ap-4, -0x1.f31d1637cbc22p-4, -0x1.f297b858d912dp-4, -0x1.f1ffc992873a4p-4, -0x1.f1556a4a4d445p-4, -0x1.f098bbc407d45p-4, -0x1.efc9e05a0c5e9p-4, -0x1.eee8fbac2a36p-4, -0x1.edf632c4f08d2p-4, -0x1.ecf1ac34ec009p-4, -0x1.ebdb9023fd196p-4, -0x1.eab4085949f54p-4, -0x1.e97b403a8209fp-4, -0x1.e83164c38bbb1p-4, -0x1.e6d6a477cdde1p-4, -0x1.e56b2f4e7f902p-4, -0x1.e3ef369b5ab44p-4, -0x1.e262ecf522866p-4, -0x1.e0c6861b6a6e2p-4, -0x1.df1a36dcb84b9p-4, -0x1.dd5e34fe45f18p-4, -0x1.db92b7260c716p-4, -0x1.d9b7f4c80332bp-4, -0x1.d7ce2616d0696p-4, -0x1.d5d583f852b53p-4, -0x1.d3ce47fdf95c9p-4, -0x1.d1b8ac60cefd9p-4, -0x1.cf94ec00debe1p-4, -0x1.cd634267b121fp-4, -0x1.cb23ebcd260d6p-4, -0x1.c8d7251e4b311p-4, -0x1.c67d2c058ec98p-4, -0x1.c4163ef39b41p-4, -0x1.c1a29d287cb4cp-4, -0x1.bf2286bc4ed9cp-4, -0x1.bc963ca73932ap-4, -0x1.b9fe00c8143a1p-4, -0x1.b75a15e994518p-4, -0x1.b4aabfc5a602dp-4, -0x1.b1f04306bc411p-4, -0x1.af2ae5471972fp-4, -0x1.ac5aed0de74c7p-4, -0x1.a980a1ca30d1dp-4, -0x1.a69c4bcbcad4p-4, -0x1.a3ae343a519aep-4, -0x1.a0b6a50a480d4p-4, -0x1.9db5e8f094276p-4, -0x1.9aac4b548bc48p-4, -0x1.979a1840b2462p-4, -0x1.947f9c525a4c1p-4, -0x1.915d24a86f097p-4, -0x1.8e32fed17c70ap-4, -0x1.8b0178b93314p-4, -0x1.87c8e0958c261p-4, -0x1.848984d3b52ddp-4, -0x1.8143b404ea514p-4, -0x1.7df7bccb5ad3p-4, -0x1.7aa5edc73c2f4p-4, -0x1.774e958421207p-4, -0x1.73f20266adb36p-4, -0x1.7090829abf1ep-4, -0x1.6d2a640218eecp-4, -0x1.69bff423a35eep-4, -0x1.6651801b503dcp-4, -0x1.62df548aa7837p-4, -0x1.5f69bd8a0e30cp-4, -0x1.5bf1069ac4ab6p-4, -0x1.58757a99a8ba2p-4, -0x1.54f763b2b8ab3p-4, -0x1.51770b555afacp-4, -0x1.4df4ba2966c9dp-4, -0x1.4a70b804eee69p-4, -0x1.46eb4be2c66d8p-4, -0x1.4364bbd9bd148p-4, -0x1.3fdd4d148b07ap-4, -0x1.3c5543ca68791p-4, -0x1.38cce33843585p-4, -0x1.35446d9a919bdp-4, -0x1.31bc2427b1af3p-4, -0x1.2e34470ad5821p-4, -0x1.2aad155f6ad8ap-4, -0x1.2726cd2cfb967p-4, -0x1.23a1ab637b49p-4, -0x1.201debd7fcd72p-4, -0x1.1ca2eef695b5bp-4, -0x1.1922affe6ee46p-4, -0x1.15a47986448cdp-4, -0x1.1228834cb2b88p-4, -0x1.0eaf03ebf8308p-4, -0x1.0b3830d70ceedp-4, -0x1.07c43e571b9b4p-4, -0x1.04535f895b9cbp-4, -0x1.00e5c65d4488fp-4, -0x1.faf747262e281p-5, -0x1.f42a4d756bbb8p-5, -0x1.ed64fc658f369p-5, -0x1.e6a7ae503d221p-5, -0x1.dff2bb2ac4099p-5, -0x1.d9467885e5f2ap-5, -0x1.d2a3398e0ff3ep-5, -0x1.cc094f0bfdd09p-5, -0x1.c5790765bc397p-5, -0x1.bef2aea008a4bp-5, -0x1.b8768e60053d4p-5, -0x1.b204eded3f80cp-5, -0x1.ab9e123403378p-5, -0x1.a5423dc7f96b6p-5, -0x1.9ef1b0e7092b1p-5, -0x1.98aca97c83f1ep-5, -0x1.927363248de09p-5, -0x1.8c46172fcc53ep-5, -0x1.8624fca74f97cp-5, -0x1.80104850bebfap-5, -0x1.7a082cb2bfa96p-5, -0x1.740cda199bdebp-5, -0x1.6e1e7e9c22547p-5, -0x1.683d4620c3eccp-5, -0x1.62695a62ed311p-5, -0x1.5ca2e2f897a3fp-5, -0x1.56ea0558162eap-5, -0x1.513ee4de19264p-5, -0x1.4ba1a2d3e9e87p-5, -0x1.46125e75de69p-5, -0x1.409134f9ff104p-5, -0x1.3b1e4196e1062p-5, -0x1.35b99d8ab3274p-5, -0x1.30636022796bep-5, -0x1.2b1b9ec176c06p-5, -0x1.25e26ce8c4407p-5, -0x1.20b7dc3f0f813p-5, -0x1.1b9bfc9881aabp-5, -0x1.168edbfecacfbp-5, -0x1.119086b95182p-5, -0x1.0ca107557f9bdp-5, -0x1.07c066af2da42p-5, -0x1.02eeabf928979p-5, -0x1.fc57b98b9fef4p-6, -0x1.f2effa1f8dp-6, -0x1.e9a61e8574dcep-6, -0x1.e07a28886de1ap-6, -0x1.d76c16f911258p-6, -0x1.ce7be5bf50b5fp-6, -0x1.c5a98dec5eb41p-6, -0x1.bcf505cca3edcp-6, -0x1.b45e40f9b3a5fp-6, -0x1.abe5306c49371p-6, -0x1.a389c28e3c8f9p-6, -0x1.9b4be34c6e3c9p-6, -0x1.932b7c28aa4efp-6, -0x1.8b28744b78405p-6, -0x1.8342b095d66fbp-6, -0x1.7b7a13b2ddb1bp-6, -0x1.73ce7e2948babp-6, -0x1.6c3fce6cdc928p-6, -0x1.64cde0efae8d4p-6, -0x1.5d7890334444ap-6, -0x1.563fb4d98b746p-6, -0x1.4f2325b5a9bb2p-6, -0x1.4822b7dc9794p-6, -0x1.413e3eb596b94p-6, -0x1.3a758c0a6f86bp-6, -0x1.33c870177afdep-6, -0x1.2d36b99b7ad41p-6, -0x1.26c035e73a9cfp-6, -0x1.2064b0ecf7417p-6, -0x1.1a23f54f8d771p-6, -0x1.13fdcc71709fap-6, -0x1.0df1fe8360ec1p-6, -0x1.08005292ec03ep-6, -0x1.02288e98ab874p-6, -0x1.f8d4ef0c93bb4p-7, -0x1.ed8ba2a88b24ep-7, -0x1.e274be1ef05b6p-7, -0x1.d78fc5ccc278ap-7, -0x1.ccdc3c6c58c49p-7, -0x1.c259a32efcdabp-7, -0x1.b80779d5fc4a9p-7, -0x1.ade53ecb4569cp-7, -0x1.a3f26f3982aap-7, -0x1.9a2e8723b1a55p-7, -0x1.9099017c4afaap-7, -0x1.8731583bdd6e1p-7, -0x1.7df7047739da5p-7, -0x1.74e97e75196eap-7, -0x1.6c083dc351edap-7, -0x1.6352b94b84385p-7, -0x1.5ac867675e7bbp-7, -0x1.5268bdf45ce32p-7, -0x1.4a33326712aacp-7, -0x1.422739ddffeddp-7, -0x1.3a444933f3c6p-7, -0x1.3289d511f2909p-7, -0x1.2af75200ae921p-7, -0x1.238c34798ce93p-7, -0x1.1c47f0f7356bp-7, -0x1.1529fc05bcbd2p-7, -0x1.0e31ca52534b7p-7, -0x1.075ed0ba8f9d2p-7, -0x1.00b0845b48eaap-7, -0x1.f44cb53e0bcbp-8, -0x1.e77f92980dc09p-8, -0x1.daf88d23c21d5p-8, -0x1.ceb6922d71e5bp-8, -0x1.c2b8900823a89p-8, -0x1.b6fd76267cff1p-8, -0x1.ab843532d5293p-8, -0x1.a04bbf2688d3ep-8, -0x1.9553076089aebp-8, -0x1.8a9902bb367c2p-8, -0x1.801ca7a1717a2p-8, -0x1.75dcee22fa345p-8, -0x1.6bd8d0081d9aep-8, -0x1.620f48e49d21p-8, -0x1.587f5629fb0b5p-8, -0x1.4f27f738fbccep-8, -0x1.46082d72939dap-8, -0x1.3d1efc480b187p-8, -0x1.346b694a8d418p-8, -0x1.2bec7c3a03f0fp-8, -0x1.23a13f134649bp-8, -0x1.1b88be1dac187p-8, -0x1.13a207f7ee2e6p-8, -0x1.0bec2da469f36p-8, -0x1.04664294bb85bp-8, -0x1.fa1eb9696ed27p-9, -0x1.ebcd28e983093p-9, -0x1.ddd609a6ee07cp-9, -0x1.d03796cdafc02p-9, -0x1.c2f010c93cd8ep-9, -0x1.b5fdbd5443968p-9, -0x1.a95ee786ff7a5p-9, -0x1.9d11dfe472d6ep-9, -0x1.9114fc66378b4p-9, -0x1.8566988750b96p-9, -0x1.7a05154d94336p-9, -0x1.6eeed951f28dp-9, -0x1.642250c78e9f8p-9, -0x1.599ded81a62eep-9, -0x1.4f6026f8391dcp-9, -0x1.45677a4bbc4fp-9, -0x1.3bb26a477370fp-9, -0x1.323f7f62c7437p-9, -0x1.290d47c197c89p-9, -0x1.201a57334fd47p-9, -0x1.176547310c2c3p-9, -0x1.0eecb6dad093fp-9, -0x1.06af4af3a1b28p-9, -0x1.fd575bb975ec7p-10, -0x1.edc11f1fd41bcp-10, -0x1.de994b31e55c3p-10, -0x1.cfdd561c7c64ap-10, -0x1.c18ac1114f9e4p-10, -0x1.b39f18351f1dbp-10, -0x1.a617f28ca19b6p-10, -0x1.98f2f1e7e99cdp-10, -0x1.8c2dc2cc985e3p-10, -0x1.7fc61c5f28cdp-10, -0x1.73b9c04b0062ap-10, -0x1.68067aa97d094p-10, -0x1.5caa21e84dbc5p-10, -0x1.51a296af06206p-10, -0x1.46edc3c3dd4f8p-10, -0x1.3c899deff78d8p-10, -0x1.327423e316dd3p-10, -0x1.28ab5e16bed89p-10, -0x1.1f2d5eb13902bp-10, -0x1.15f8416807dbap-10, -0x1.0d0a2b62304c4p-10, -0x1.04614b1a61f7bp-10, -0x1.f7f7b081ac829p-11, -0x1.e7b0273a7936ap-11, -0x1.d7e88de10f127p-11, -0x1.c89d89ad72d04p-11, -0x1.b9cbd15181482p-11, -0x1.ab702cbcb4766p-11, -0x1.9d8774e026358p-11, -0x1.900e9372b56b6p-11, -0x1.830282b58c0b1p-11, -0x1.76604d38dcb43p-11, -0x1.6a250da0e694fp-11, -0x1.5e4dee6b8f7cfp-11, -0x1.52d829b5d76fdp-11, -0x1.47c1090260489p-11, -0x1.3d05e4ffbbb8cp-11, -0x1.32a4254f5e555p-11, -0x1.2899404cca091p-11, -0x1.1ee2bad5b0392p-11, -0x1.157e28115c648p-11, -0x1.0c6929395a3d6p-11, -0x1.03a16d6269727p-11, -0x1.f649628af5676p-12, -0x1.e5e17e1268193p-12, -0x1.d606dc177e342p-12, -0x1.c6b5455a022c3p-12, -0x1.b7e89c3243da8p-12, -0x1.a99cdc267cacfp-12, -0x1.9bce1981a67b5p-12, -0x1.8e7880e9fb711p-12, -0x1.819856f8e41b8p-12, -0x1.7529f7d3239e8p-12, -0x1.6929d6c1b6b3dp-12, -0x1.5d947dcb43af1p-12, -0x1.52668d4e8de92p-12, -0x1.479cbb9d1ab6dp-12, -0x1.3d33d496a83c8p-12, -0x1.3328b945eb38bp-12, -0x1.29785f7c9174bp-12, -0x1.201fd17144b8p-12, -0x1.171c2d5e0f75ap-12, -0x1.0e6aa51f7277bp-12, -0x1.06087dd3d1764p-12, -0x1.fbe61ef8c9951p-13, -0x1.ec4f893cb223fp-13, -0x1.dd4833ca17cap-13, -0x1.cecb3b8ab1259p-13, -0x1.c0d3e041f4f4cp-13, -0x1.b35d83d71ff33p-13, -0x1.a663a9a0d571cp-13, -0x1.99e1f5b1157fcp-13, -0x1.8dd42c25de55cp-13, -0x1.82363078fe95ep-13, -0x1.770404d3608ecp-13, -0x1.6c39c961acab3p-13, -0x1.61d3bbab5ec85p-13, -0x1.57ce35ec40099p-13, -0x1.4e25ae6e6994ap-13, -0x1.44d6b6e830e81p-13, -0x1.3bddfbdb54d93p-13, -0x1.333843f6af7cdp-13, -0x1.2ae26f7918812p-13, -0x1.22d9779873c8fp-13, -0x1.1b1a6de931841p-13, -0x1.13a27bc8c84a8p-13, -0x1.0c6ee1ca5cc2fp-13, -0x1.057cf725b9f5fp-13, -0x1.fd94525043366p-14, -0x1.f0a7f5526613ap-14, -0x1.e43006fd1d999p-14, -0x1.d827dfeb09816p-14, -0x1.cc8b0099eb119p-14, -0x1.c14a22a39f089p-14, -0x1.b6773ab3246f8p-14, -0x1.ac0304105c34fp-14, -0x1.a1e994506009dp-14, -0x1.982723f88b4adp-14, -0x1.8eb80d8cdbae4p-14, -0x1.8598cca64e94bp-14, -0x1.7cc5fd0ba55c9p-14, -0x1.743c59cf84109p-14, -0x1.6bf8bc7289e68p-14, -0x1.63f81c0a2c6a4p-14, -0x1.5c378c6b59daep-14, -0x1.54b43d5a2d1acp-14, -0x1.4d6b79bd37197p-14, -0x1.465aa6d654505p-14, -0x1.3f7f437bfb1fdp-14, -0x1.38d6e75c3bd6bp-14, -0x1.325f423f803b5p-14, -0x1.2c161b50f39e5p-14, -0x1.25f9506a8d5f7p-14, -0x1.2006d5675c063p-14, -0x1.1a3cb373a8c0dp-14, -0x1.14990867f5f86p-14, -0x1.0f1a06241016p-14, -0x1.09bdf1ee3d06fp-14, -0x1.048323d66199fp-14, -0x1.fed00c3b9dc08p-15, -0x1.f4d6293f9d602p-15, -0x1.eb15b883d330bp-15, -0x1.e18bf4c791568p-15, -0x1.d83638a98db1cp-15, -0x1.cf11fd9819385p-15, -0x1.c61cdac89c8dep-15, -0x1.bd548434daep-15, -0x1.b4b6c9a0740b5p-15, -0x1.ac4195a20ad17p-15, -0x1.a3f2ecb4fc7dap-15, -0x1.9bc8ec5091b2bp-15, -0x1.93c1ca0325cbp-15, -0x1.8bdbd2974f255p-15, -0x1.8415693bcbc5dp-15, -0x1.7c6d06b17ad74p-15, -0x1.74e1387fe51ddp-15, -0x1.6d70a02d4b92cp-15, -0x1.6619f2812192ap-15, -0x1.5edbf6c2c90a5p-15, -0x1.57b5860969944p-15, -0x1.50a58a8410d91p-15, -0x1.49aafed13429fp-15, -0x1.42c4ed563fcc1p-15, -0x1.3bf26f9a8ba43p-15, -0x1.3532adace148bp-15, -0x1.2e84dd8741291p-15, -0x1.27e8427a8f156p-15, -0x1.215c2c9e32d2cp-15, -0x1.1adff843231adp-15, -0x1.14730d6c37534p-15, -0x1.0e14df4a0d7c4p-15, -0x1.07c4ebbb180c4p-15, -0x1.0182bacf93995p-15, -0x1.f69bbca32a9b7p-16, -0x1.ea4be2a0cf5d6p-16, -0x1.de152f60f614ap-16, -0x1.d1f6fb7918eebp-16, -0x1.c5f0af7e660fbp-16, -0x1.ba01c331ee11bp-16, -0x1.ae29bcc151c0cp-16, -0x1.a2683006ca1a8p-16, -0x1.96bcbdcc39168p-16, -0x1.8b27131d0db41p-16, -0x1.7fa6e897cd3d5p-16, -0x1.743c01c74dep-16, -0x1.68e62c8462479p-16, -0x1.5da540554b3e4p-16, -0x1.52791de166f6fp-16, -0x1.4761ae53d6b2p-16, -0x1.3c5ee2d98b304p-16, -0x1.3170b41786988p-16, -0x1.269721a8329c6p-16, -0x1.1bd231a1636dcp-16, -0x1.1121f01a0d9acp-16, -0x1.06866eb7767aep-16, -0x1.f7ff8877feae6p-17, -0x1.e31c1843876c1p-17, -0x1.ce62cc58c387p-17, -0x1.b9d3ec1a5ae85p-17, -0x1.a56fc60439274p-17, -0x1.9136aefbfdc5ep-17, -0x1.7d2901a3f6639p-17, -0x1.69471db795466p-17, -0x1.559167736b0d1p-17, -0x1.4208470736eb8p-17, -0x1.2eac28054ef84p-17, -0x1.1b7d78e4e5581p-17, -0x1.087caa8dfb9d9p-17, -0x1.eb545fc3c3bd8p-18, -0x1.c60cfa9f2eaf8p-18, -0x1.a1241103f3725p-18, -0x1.7c9a8fcd877bcp-18, -0x1.587164d7e0e68p-18, -0x1.34a97e46e9bdap-18, -0x1.1143c9e88afe5p-18, -0x1.dc82692a7894cp-19, -0x1.9745532b96869p-19, -0x1.52d224007e0e9p-19, -0x1.0f2aa838bd7f8p-19, -0x1.98a14b4a9f2b2p-20, -0x1.148bb396ce7d9p-20, -0x1.242fe2f7dc902p-21, }}, 
      {{0x1.a6bd29fb01848p-6, 0x1.a5f263a0f70f3p-5, 0x1.3b7b74749c229p-4, 0x1.a2d9434784027p-4, 0x1.045e5e3e59bcfp-3, 0x1.366be363386bdp-3, 0x1.677238df6cffcp-3, 0x1.975282730b5bbp-3, 0x1.c5f1eb9675ab2p-3, 0x1.f3397eecdc85bp-3, 0x1.0f8af85547c2cp-2, 0x1.24bbaefa90fb8p-2, 0x1.392883950cd46p-2, 0x1.4ccc8ba71a117p-2, 0x1.5fa425aa9b1f9p-2, 0x1.71ace54c55657p-2, 0x1.82e56a3cc8a9fp-2, 0x1.934d494660822p-2, 0x1.a2e4eed0c24e2p-2, 0x1.b1ad884a0b3fap-2, 0x1.bfa8eaf0d723bp-2, 0x1.ccd97f3f43501p-2, 0x1.d942341148605p-2, 0x1.e4e66179fa70ap-2, 0x1.efc9c6a01ce21p-2, 0x1.f9f082ac99d4cp-2, 0x1.01af6e8b11ad8p-1, 0x1.060cad38c68efp-1, 0x1.0a1270145a6e9p-1, 0x1.0dc336b304f55p-1, 0x1.112168e4cd7ep-1, 0x1.142fac124628dp-1, 0x1.16f09a1cd5939p-1, 0x1.1966d2b9856dep-1, 0x1.1b94f68a55a8bp-1, 0x1.1d7da7ae744dep-1, 0x1.1f23879bb375dp-1, 0x1.208932e0c1a98p-1, 0x1.21b13e0c728ffp-1, 0x1.229e34ff30945p-1, 0x1.23529ada42bd5p-1, 0x1.23d0e8d2ba031p-1, 0x1.241b8c60467b2p-1, 0x1.2434e5e2554a5p-1, 0x1.241f47ce2a68cp-1, 0x1.23dcf601aade8p-1, 0x1.237025453fcdbp-1, 0x1.22dafb37fd9a8p-1, 0x1.221f8e897d057p-1, 0x1.213fe715fcf8ap-1, 0x1.203dfd9131469p-1, 0x1.1f1bbacf3694bp-1, 0x1.1ddaf716bfccep-1, 0x1.1c7d79f522273p-1, 0x1.1b04fac01ea57p-1, 0x1.1973218107e58p-1, 0x1.17c987c1e8f68p-1, 0x1.1609b8cfb50a7p-1, 0x1.143531693d376p-1, 0x1.124d5f3a22098p-1, 0x1.1053a0a3a41b2p-1, 0x1.0e49451fa168p-1, 0x1.0c2f920b2ade3p-1, 0x1.0a07b3008a42dp-1, 0x1.07d2d52cc494cp-1, 0x1.059214d361c3p-1, 0x1.03468191ad4a1p-1, 0x1.00f11eaf78c2ep-1, 0x1.fd25c736e9737p-2, 0x1.f85978e253ef8p-2, 0x1.f37f14e17663p-2, 0x1.ee9848c4661c9p-2, 0x1.e9a6add4b6f08p-2, 0x1.e4abc9b2f2d6p-2, 0x1.dfa90eefae421p-2, 0x1.da9fdd9d3cdd6p-2, 0x1.d59183d2bf935p-2, 0x1.d07f3e1d7d8fdp-2, 0x1.cb6a37e6159fp-2, 0x1.c6538bd661abbp-2, 0x1.c13c444e9126fp-2, 0x1.bc255bf334f5bp-2, 0x1.b70fbe5511c1fp-2, 0x1.b1fc48aa75aa9p-2, 0x1.acebca8c1e8acp-2, 0x1.a7df06a71450ap-2, 0x1.a2d6b358c6097p-2, 0x1.9dd37b3152e84p-2, 0x1.98d5fd5eb072cp-2, 0x1.93dece086eac3p-2, 0x1.8eee76a61f9dbp-2, 0x1.8a057659bac81p-2, 0x1.8524425458342p-2, 0x1.804b46477f538p-2, 0x1.7b7ae4e123b3ep-2, 0x1.76b3784d47561p-2, 0x1.71f552b6d4075p-2, 0x1.6d40bec1780bp-2, 0x1.6895fff8202edp-2, 0x1.63f5532e26a91p-2, 0x1.5f5eeed3f927p-2, 0x1.5ad303421d4efp-2, 0x1.5651bafeb2cf1p-2, 0x1.51db3b01ca5abp-2, 0x1.4d6fa2fc214cfp-2, 0x1.490f0da265f14p-2, 0x1.44b990fd6bcafp-2, 0x1.406f3ebe020cbp-2, 0x1.3c302491deb34p-2, 0x1.37fc4c765cd54p-2, 0x1.33d3bd05ebf3ap-2, 0x1.2fb679bda481p-2, 0x1.2ba48339b8a64p-2, 0x1.279dd7689ef5fp-2, 0x1.23a271b61b171p-2, 0x1.1fb24b3015619p-2, 0x1.1bcd5aa79c651p-2, 0x1.17f394d061a65p-2, 0x1.1424ec60a13bdp-2, 0x1.10615232d492ap-2, 0x1.0ca8b569c886ep-2, 0x1.08fb039728d91p-2, 0x1.055828e3ec57ep-2, 0x1.01c01039be5dbp-2, 0x1.fc6546d8887cbp-3, 0x1.f55f96c228061p-3, 0x1.ee6ee09dfb005p-3, 0x1.e792ebcd3583ap-3, 0x1.e0cb8e08bdad1p-3, 0x1.da18949933002p-3, 0x1.d379cbffc3336p-3, 0x1.ccef001944469p-3, 0x1.c677fc3d12ec2p-3, 0x1.c0148b58c0aacp-3, 0x1.b9c4780971242p-3, 0x1.b3878cb39d75bp-3, 0x1.ad5d9399c7ccdp-3, 0x1.a74656f269f28p-3, 0x1.a141a0fd3af4ep-3, 0x1.9b4f3c17c5c54p-3, 0x1.956ef2d124d12p-3, 0x1.8fa08ffcbcc23p-3, 0x1.89e3dec3bd38fp-3, 0x1.8438aab54e005p-3, 0x1.7e9ebfd53afbfp-3, 0x1.7915eaa92a417p-3, 0x1.739df8444ba55p-3, 0x1.6e36b651a4eb8p-3, 0x1.68dff31cf9b9cp-3, 0x1.63997d9a86b6cp-3, 0x1.5e63256d89ad1p-3, 0x1.593cbaedc6327p-3, 0x1.54260f2c0a575p-3, 0x1.4f1ef3f5bc2acp-3, 0x1.4a273bd78610fp-3, 0x1.453eba1f1e65ep-3, 0x1.406542dc341b5p-3, 0x1.3b9aaae0980fbp-3, 0x1.36dec7bf9a545p-3, 0x1.32316fccd027cp-3, 0x1.2d927a1a3e3fep-3, 0x1.2901be76119bap-3, 0x1.247f1567fcd9ap-3, 0x1.200a582e50f3ap-3, 0x1.1ba360bae6793p-3, 0x1.174a09afe801ep-3, 0x1.12fe2e5c89451p-3, 0x1.0ebfaab9abb93p-3, 0x1.0a8e5b667d0abp-3, 0x1.066a1da500765p-3, 0x1.0252cf568af25p-3, 0x1.fc909df052b36p-4, 0x1.f494f73dddaf5p-4, 0x1.ecb269e83cc38p-4, 0x1.e4e8b662755edp-4, 0x1.dd379e37dd398p-4, 0x1.d59ee403ad879p-4, 0x1.ce1e4b684701ap-4, 0x1.c6b599064d76cp-4, 0x1.bf64927380854p-4, 0x1.b82afe31782d6p-4, 0x1.b108a3a45a5a8p-4, 0x1.a9fd4b0976095p-4, 0x1.a308bd6e08a64p-4, 0x1.9c2ac4a61c0d1p-4, 0x1.95632b4390295p-4, 0x1.8eb1bc8d803efp-4, 0x1.88164477e104ep-4, 0x1.81908f9b873f8p-4, 0x1.7b206b2e8c1fp-4, 0x1.74c5a4fd1801p-4, 0x1.6e800b62930dbp-4, 0x1.684f6d433b83fp-4, 0x1.62339a061a7dap-4, 0x1.5c2c618f56788p-4, 0x1.5639943ad184p-4, 0x1.505b02d7182efp-4, 0x1.4a907ea089cecp-4, 0x1.44d9d93cb7504p-4, 0x1.3f36e4b5f268bp-4, 0x1.39a77376fcccp-4, 0x1.342b5846d51d8p-4, 0x1.2ec266449deaap-4, 0x1.296c70e3952e4p-4, 0x1.24294be7201p-4, 0x1.1ef8cb5ee7b34p-4, 0x1.19dac3a30636p-4, 0x1.14cf09504db8fp-4, 0x1.0fd57144a4dd8p-4, 0x1.0aedd09b823b2p-4, 0x1.0617fcaa8b89ep-4, 0x1.0153cafe5baeap-4, 0x1.f94222aee983dp-5, 0x1.efff4b4ec929p-5, 0x1.e6debc1c37bbcp-5, 0x1.dde021aef7342p-5, 0x1.d50328f23bbb5p-5, 0x1.cc477f20a9578p-5, 0x1.c3acd1c0c17abp-5, 0x1.bb32cea1c507ap-5, 0x1.b2d923d8faf71p-5, 0x1.aa9f7fbf5818ap-5, 0x1.a28590ef8d378p-5, 0x1.9a8b064460898p-5, 0x1.92af8ed75b902p-5, 0x1.8af2d9ffbc2cfp-5, 0x1.83549751a7dbep-5, 0x1.7bd4769d924bcp-5, 0x1.747227efd9cbfp-5, 0x1.6d2d5b908d3e6p-5, 0x1.6605c2035c425p-5, 0x1.5efb0c07a4ed7p-5, 0x1.580cea98ac711p-5, 0x1.513b0eede9578p-5, 0x1.4a852a7b74cf4p-5, 0x1.43eaeef28f503p-5, 0x1.3d6c0e4245f94p-5, 0x1.37083a982bfc7p-5, 0x1.30bf2661308acp-5, 0x1.2a90844a8fd72p-5, 0x1.247c0742d9369p-5, 0x1.1e81627b0eee8p-5, 0x1.18a04967e3925p-5, 0x1.12d86fc309515p-5, 0x1.0d29898c9b4f4p-5, 0x1.07934b0c9ccc3p-5, 0x1.021568d4903a5p-5, 0x1.f95f2f8241f15p-6, 0x1.eec319f7bb2f7p-6, 0x1.e455fbfa0987dp-6, 0x1.da17411ac8f6bp-6, 0x1.d0065590863c4p-6, 0x1.c622a63aa8e99p-6, 0x1.bc6ba0a573f23p-6, 0x1.b2e356361c43ep-6, 0x1.a983f8baed81p-6, 0x1.a04f91543c564p-6, 0x1.9745906a83f9ep-6, 0x1.8e65672747618p-6, 0x1.85ae8779133bbp-6, 0x1.7d2064177994dp-6, 0x1.74ba70871755dp-6, 0x1.6c7c211d7f051p-6, 0x1.6464eb052a913p-6, 0x1.5c744441552edp-6, 0x1.54a9a3b1d265bp-6, 0x1.4d048116cde4fp-6, 0x1.4584551485b68p-6, 0x1.3e289936eb1d1p-6, 0x1.36f0c7f536138p-6, 0x1.2fdc5cb562476p-6, 0x1.28ead3cf9d4dp-6, 0x1.221baa919e4ep-6, 0x1.1b6e5f41e2fb9p-6, 0x1.14e27122df20bp-6, 0x1.0e77607610c3fp-6, 0x1.082cae7efaf34p-6, 0x1.0201dd860cdc2p-6, 0x1.f7ece1b6df1c7p-7, 0x1.ec13d9b368287p-7, 0x1.e077add0ec92ep-7, 0x1.d5176afda986dp-7, 0x1.c9f2204bb9893p-7, 0x1.bf06def5aba17p-7, 0x1.b454ba62dc952p-7, 0x1.a9dac82ba5eb3p-7, 0x1.9f98201d57742p-7, 0x1.958bdc3debdbfp-7, 0x1.8bb518cf919bap-7, 0x1.8212f453f1c48p-7, 0x1.78a48f8f50cc3p-7, 0x1.6f690d8b5c4f8p-7, 0x1.665f9399d43dbp-7, 0x1.5d874956fa503p-7, 0x1.54df58abb5828p-7, 0x1.4c66edcf99649p-7, 0x1.441d374a9bf04p-7, 0x1.3c0165f6a55f3p-7, 0x1.3412ad00deb35p-7, 0x1.2c5041eac913ep-7, 0x1.24b95c8b225c5p-7, 0x1.1d4d370e939ffp-7, 0x1.160b0df81cafep-7, 0x1.0ef2202166b84p-7, 0x1.0801aebac613fp-7, 0x1.0138fd4b18867p-7, 0x1.f52ea35ecd97fp-8, 0x1.e837e834c5ae2p-8, 0x1.db8c5e2744b8cp-8, 0x1.cf2a9eed731fp-8, 0x1.c31148e43ae14p-8, 0x1.b73eff0ba92p-8, 0x1.abb2690416c6cp-8, 0x1.a06a330ad31dcp-8, 0x1.95650df68c357p-8, 0x1.8aa1af3359075p-8, 0x1.801ed0be7a1f4p-8, 0x1.75db3121ca0ccp-8, 0x1.6bd5936ece205p-8, 0x1.620cbf398fb5bp-8, 0x1.587f80932e8f8p-8, 0x1.4f2ca804165p-8, 0x1.46130a85fcc65p-8, 0x1.3d31817d9bd5cp-8, 0x1.3486eab429c7fp-8, 0x1.2c1228508d38dp-8, 0x1.23d220d063b0ep-8, 0x1.1bc5bf00c34a5p-8, 0x1.13ebf1f6af356p-8, 0x1.0c43ad07941f2p-8, 0x1.04cbe7c14afeap-8, 0x1.fb073bc426e1bp-9, 0x1.ecd39ea0a8c1ap-9, 0x1.defb0024657dap-9, 0x1.d17b7089f02c2p-9, 0x1.c45308289c22cp-9, 0x1.b77fe762c8a7p-9, 0x1.ab003693be488p-9, 0x1.9ed225fd31981p-9, 0x1.92f3edb4e9e7p-9, 0x1.8763cd91b861cp-9, 0x1.7c200d1873abep-9, 0x1.7126fb68a5ccp-9, 0x1.6676ef291a014p-9, 0x1.5c0e4674282aep-9, 0x1.51eb66c3e7fb4p-9, 0x1.480cbcde2abfp-9, 0x1.3e70bcc071c34p-9, 0x1.3515e18b63d1ep-9, 0x1.2bfaad6ecffa2p-9, 0x1.231da994f062ap-9, 0x1.1a7d660de325fp-9, 0x1.121879bb01f86p-9, 0x1.09ed823a2cdb7p-9, 0x1.01fb23d0f5dadp-9, 0x1.f48012afa835p-10, 0x1.e575c84a625bep-10, 0x1.d6d4d7f12be9ap-10, 0x1.c89abdcb69229p-10, 0x1.bac5027ef7dffp-10, 0x1.ad513b060b304p-10, 0x1.a03d0885cd207p-10, 0x1.938618242858dp-10, 0x1.872a22de2ad9p-10, 0x1.7b26ed5e58f14p-10, 0x1.6f7a47d2e4156p-10, 0x1.64220dc456c7fp-10, 0x1.591c25ec04d92p-10, 0x1.4e66820ad9193p-10, 0x1.43ff1ec03e0f8p-10, 0x1.39e40360f6ef5p-10, 0x1.301341ce8e4abp-10, 0x1.268af64e458b5p-10, 0x1.1d4947613fac4p-10, 0x1.144c659bc7645p-10, 0x1.0b928b7d779f9p-10, 0x1.0319fd496d89cp-10, 0x1.f5c211bd6c8bdp-11, 0x1.e5cc0b21e96e7p-11, 0x1.d64ea802b3dc9p-11, 0x1.c746bbefad909p-11, 0x1.b8b12c7941855p-11, 0x1.aa8af0e3869b8p-11, 0x1.9cd111da9eda2p-11, 0x1.8f80a927853e9p-11, 0x1.8296e1650e70ep-11, 0x1.7610f5b5ca6ccp-11, 0x1.69ec317a9ba8fp-11, 0x1.5e25f009ca51ap-11, 0x1.52bb9c66f6e41p-11, 0x1.47aab0fb51b15p-11, 0x1.3cf0b74ee46cfp-11, 0x1.328b47c256747p-11, 0x1.2878094952176p-11, 0x1.1eb4b125db7e7p-11, 0x1.153f02a441d16p-11, 0x1.0c14ced713bep-11, 0x1.0333f4557e91p-11, 0x1.f534bdf13b7a3p-12, 0x1.e48c0f34a6339p-12, 0x1.d469e7aa15c95p-12, 0x1.c4ca6b87558b7p-12, 0x1.b5a9d785ab0bdp-12, 0x1.a7048064e99b8p-12, 0x1.98d6d270a5d09p-12, 0x1.8b1d5106cb7b2p-12, 0x1.7dd4961f3f1dbp-12, 0x1.70f951d5fca86p-12, 0x1.648849f5d6875p-12, 0x1.587e59857527dp-12, 0x1.4cd8705550706p-12, 0x1.4193928ec4f27p-12, 0x1.36acd846f489dp-12, 0x1.2c216d108a5b1p-12, 0x1.21ee8f90920d1p-12, 0x1.18119114646dcp-12, 0x1.0e87d5294d72p-12, 0x1.054ed135f9856p-12, 0x1.f8c81829aa4a4p-13, 0x1.e78a3b6247accp-13, 0x1.d6df5d46a74efp-13, 0x1.c6c2efa546104p-13, 0x1.b7308429cb4aap-13, 0x1.a823cba2eb712p-13, 0x1.9998954b08575p-13, 0x1.8b8ace1379839p-13, 0x1.7df67ff3a148dp-13, 0x1.70d7d13ad440dp-13, 0x1.642b03e4c3e37p-13, 0x1.57ec74f1e207cp-13, 0x1.4c189bc256d25p-13, 0x1.40ac097415939p-13, 0x1.35a36843df0c5p-13, 0x1.2afb7af18c11ep-13, 0x1.20b11c2759686p-13, 0x1.16c13de34f25dp-13, 0x1.0d28e8e52c9afp-13, 0x1.03e53c1b1f49ep-13, 0x1.f5e6d8333eaf5p-14, 0x1.e4a18519eb976p-14, 0x1.d3f53b659bb57p-14, 0x1.c3dcdfa9d5db9p-14, 0x1.b4537d8f8783bp-14, 0x1.a55446d34946bp-14, 0x1.96da924dc16f6p-14, 0x1.88e1dafc9c405p-14, 0x1.7b65bf166993bp-14, 0x1.6e61ff1d790dcp-14, 0x1.61d27cfb50c04p-14, 0x1.55b33b20e422ap-14, 0x1.4a005ba960598p-14, 0x1.3eb61f84dbb9fp-14, 0x1.33d0e5a522457p-14, 0x1.294d2a303ae67p-14, 0x1.1f2785b867ffp-14, 0x1.155cac73c0624p-14, 0x1.0be96d819e1d9p-14, 0x1.02cab22a6346fp-14, 0x1.f3fafa525b6a6p-15, 0x1.e2fdd3f0c1099p-15, 0x1.d298584241313p-15, 0x1.c2c51d23fb57ap-15, 0x1.b37ee5e2ba9b7p-15, 0x1.a4c0a204ae835p-15, 0x1.96856bfdccb36p-15, 0x1.88c887fa48a14p-15, 0x1.7b8562ac6a2c9p-15, 0x1.6eb7902549eccp-15, 0x1.625acaad8873ap-15, 0x1.566af1ac57222p-15, 0x1.4ae408908f5e2p-15, 0x1.3fc235c28b7efp-15, 0x1.3501c19b6db6ap-15, 0x1.2a9f1564a5319p-15, 0x1.2096ba59b5d4p-15, 0x1.16e558b675f5cp-15, 0x1.0d87b6c348e7bp-15, 0x1.047ab7f057fabp-15, 0x1.f776b7df15067p-16, 0x1.e68d7bab2c249p-16, 0x1.d6342687574a4p-16, 0x1.c6655728057a3p-16, 0x1.b71bde1efabc6p-16, 0x1.a852bc33265d9p-16, 0x1.9a0520fcfc014p-16, 0x1.8c2e6955f2525p-16, 0x1.7eca1dea2eef4p-16, 0x1.71d3f1d0f7532p-16, 0x1.6547c12e85958p-16, 0x1.59218fde1b031p-16, 0x1.4d5d882671507p-16, 0x1.41f7f975a7cffp-16, 0x1.36ed572a142b7p-16, 0x1.2c3a375b458f8p-16, 0x1.21db51b5a21f3p-16, 0x1.17cd7e55e906bp-16, 0x1.0e0db4b1b2bb2p-16, 0x1.04990a86088e7p-16, 0x1.f6d96599a7f65p-17, 0x1.e50bf97ae2842p-17, 0x1.d3c4a5a2c91d1p-17, 0x1.c2fe739adae07p-17, 0x1.b2b49fb19f992p-17, 0x1.a2e2972e3c403p-17, 0x1.9383f697650ffp-17, 0x1.849487ef147d7p-17, 0x1.7610412a78c21p-17, 0x1.67f3428f01555p-17, 0x1.5a39d52dd8633p-17, 0x1.4ce0693999bbcp-17, 0x1.3fe37d9f9c0f5p-17, 0x1.33400205887eep-17, 0x1.26f2b5e0869b3p-17, 0x1.1af898857aa62p-17, 0x1.0f4ec9b5a346ap-17, 0x1.03f2886d57373p-17, 0x1.f1c2635958b44p-18, 0x1.dc307e987c5afp-18, 0x1.c72a8dd07eb4ep-18, 0x1.b2abf17290a1cp-18, 0x1.9eb03d239e324p-18, 0x1.8b3335adca9aap-18, 0x1.7830cf0796901p-18, 0x1.65a52a6ad3186p-18, 0x1.538c947ec53d6p-18, 0x1.41e38398a0872p-18, 0x1.30a696045e701p-18, 0x1.1fd29017a3942p-18, 0x1.0f645b1e5dff7p-18, 0x1.feb206978af5p-19, 0x1.df5b6d0474979p-19, 0x1.c0bf85c5fab39p-19, 0x1.a2d92a7d607eep-19, 0x1.85a36fb9e419ep-19, 0x1.6919a249fa19fp-19, 0x1.4d3744e31fb8ep-19, 0x1.31f80d75461e1p-19, 0x1.1757e31acd3d5p-19, 0x1.faa5b75448db3p-20, 0x1.c7ca73715f1aap-20, 0x1.9616d4cc75119p-20, 0x1.658406deb22b3p-20, 0x1.360b82799f9dep-20, 0x1.07a70a2ef87fep-20, 0x1.b4a14d3b4d6c8p-21, 0x1.5c0546392b682p-21, 0x1.056f14dbe34b4p-21, 0x1.61a88f108e3bdp-22, 0x1.78ab7898b8096p-23, 0x1.ad28d1554e5d7p-26, -0x1.05e6ac015f084p-23, -0x1.1d0d808b4e98bp-22, -0x1.b38ccd5a74766p-22, -0x1.2340b28088294p-21, -0x1.6afd67ba5c6e5p-21, -0x1.b103f98aa29fep-21, -0x1.f55b919b97abp-21, -0x1.1c0589c1f1bf3p-20, -0x1.3c8c9062a0b0bp-20, -0x1.5c460e55079fcp-20, -0x1.7b35179f57be4p-20, -0x1.995ca4e5071ap-20, -0x1.b6bf94b506ea8p-20, -0x1.d360ad2c60c5fp-20, -0x1.ef429d7f16e4p-20, -0x1.0533ffaccf4f3p-19, -0x1.1269ac21fab14p-19, -0x1.1f438d7564223p-19, -0x1.2bc2d4322d074p-19, -0x1.37e8a89dfff08p-19, -0x1.43b62b53b3e2bp-19, -0x1.4f2c75d19651dp-19, -0x1.5a4c9af7445e4p-19, -0x1.6517a754104fap-19, -0x1.6f8ea1c6f8c75p-19, -0x1.79b28c2929348p-19, -0x1.83846312b1591p-19, -0x1.8d051ed1e0ec7p-19, -0x1.9635b3592f2b9p-19, -0x1.9f1710ec5f7d9p-19, -0x1.a7aa2443146e3p-19, -0x1.afefd6e04fca8p-19, -0x1.b7e90f55a437bp-19, -0x1.bf96b187e4fb2p-19, -0x1.c6f99f01f1dd6p-19, -0x1.ce12b708a973ep-19, -0x1.d4e2d6eec923dp-19, -0x1.db6ada43d314dp-19, -0x1.e1ab9af336ad6p-19, -0x1.e7a5f18a2cb1dp-19, -0x1.ed5ab54f2a86cp-19, -0x1.f2cabc776f01bp-19, -0x1.f7f6dc1b5045cp-19, -0x1.fcdfe8856de3ap-19, -0x1.00c35abe8cb5ap-18, -0x1.02f60af09d60fp-18, -0x1.05086e0f09a65p-18, -0x1.06faed1576abap-18, -0x1.08cdf0d0f0e2cp-18, -0x1.0a81e1e18509ap-18, -0x1.0c1728cbe87b3p-18, -0x1.0d8e2dfc03252p-18, -0x1.0ee759c4ebc88p-18, -0x1.1023146d57c4dp-18, -0x1.1141c6336b9e6p-18, -0x1.1243d74e84fd8p-18, -0x1.1329afe7232bep-18, -0x1.13f3b8297ce5cp-18, -0x1.14a25858ed7afp-18, -0x1.1535f89422d69p-18, -0x1.15af01096dd56p-18, -0x1.160dd9e19867bp-18, -0x1.1652eb4c473d1p-18, -0x1.167e9d643ca27p-18, -0x1.1691584d888a8p-18, -0x1.168b8426d31cap-18, -0x1.166d88ffd3655p-18, -0x1.1637cedecd092p-18, -0x1.15eabdb8ee111p-18, }}, 
      {{0x1.d2bc989df61b7p-3, 0x1.af7127012fe54p-3, 0x1.76c336a301fa9p-3, 0x1.2b4444af6fdep-3, 0x1.9fb41f5e12c8p-4, 0x1.9e0d2dc739908p-5, -0x1.5a007d14dc03cp-8, -0x1.08b0b5ca3933fp-4, -0x1.02866e30e6edep-3, -0x1.830c76760e759p-3, -0x1.01f0c3a4ab5ap-2, -0x1.41a114566e2dbp-2, -0x1.7fd619778dae9p-2, -0x1.bbef776c57fcfp-2, -0x1.f56794e943b9bp-2, -0x1.15ea3cf04fc08p-1, -0x1.2f71867034035p-1, -0x1.472a3d686ffe2p-1, -0x1.5cfe3695a5859p-1, -0x1.70df40dcc669ap-1, -0x1.82c5c9dc6b40cp-1, -0x1.92afde9852c11p-1, -0x1.a0a09f1cddafcp-1, -0x1.ac9f73f88562cp-1, -0x1.b6b74f71468c2p-1, -0x1.bef62c0bf97fbp-1, -0x1.c56bf65a8d8d1p-1, -0x1.ca2a088051bp-1, -0x1.cd43a43ae8192p-1, -0x1.cecdb99254ea5p-1, -0x1.ceddd369c8af7p-1, -0x1.cd8968062d13ap-1, -0x1.cae67ea167305p-1, -0x1.c70b2c684061ep-1, -0x1.c20d8e0ade3c9p-1, -0x1.bc0385140ec85p-1, -0x1.b5027ec16b718p-1, -0x1.ad1f62528aefbp-1, -0x1.a46e8b73b16fap-1, -0x1.9b03b586c6cb3p-1, -0x1.90f1e0ec6737cp-1, -0x1.864b467ad2453p-1, -0x1.7b215967a47b9p-1, -0x1.6f84c8827c41dp-1, -0x1.638575f268452p-1, -0x1.57326aabe61d9p-1, -0x1.4a99cf59d3978p-1, -0x1.3dc8eeb5315d6p-1, -0x1.30cc3e779b804p-1, -0x1.23af69e0141e2p-1, -0x1.167d5a3c553bbp-1, -0x1.09403c41cf807p-1, -0x1.f803059793f3bp-2, -0x1.dd93d128811d4p-2, -0x1.c342e58af95c7p-2, -0x1.a91eebdd77e16p-2, -0x1.8f353c2c4910cp-2, -0x1.7591f310410dfp-2, -0x1.5c4009fd482d3p-2, -0x1.43496e7eb37f2p-2, -0x1.2ab7154441e73p-2, -0x1.129107d7904b9p-2, -0x1.f5d16f6883eb8p-3, -0x1.c75f56180b144p-3, -0x1.99eb1a04d3cb5p-3, -0x1.6d7e1630718bap-3, -0x1.42202d51e5b0fp-3, -0x1.17d7f2f0e320fp-3, -0x1.dd55a535de9fcp-4, -0x1.8d3a5d78395d9p-4, -0x1.3f64e950fdf8cp-4, -0x1.e7b49db4c6e27p-5, -0x1.553b96884eeebp-5, -0x1.8ec3789d5ff3ep-6, -0x1.f135be7be2192p-8, 0x1.19e3ae026cca5p-7, 0x1.8d06e8d1b2c5cp-6, 0x1.4201a6f1ee3dep-5, 0x1.b8fe6f7c923adp-5, 0x1.15c34b1d3dcc8p-4, 0x1.4cd43fd179f68p-4, 0x1.81b9fd2dd7353p-4, 0x1.b47d0bf38669fp-4, 0x1.e52685fd72eafp-4, 0x1.09e003acfb1f7p-3, 0x1.2029cfd51051ap-3, 0x1.3575e1c03f412p-3, 0x1.49c99f0fc6324p-3, 0x1.5d2a9217a3505p-3, 0x1.6f9e63e97803ap-3, 0x1.812ad711edbe9p-3, 0x1.91d5c2db4a34cp-3, 0x1.a1a50ecebdb7fp-3, 0x1.b09eae3192ee3p-3, 0x1.bec89b5477d4cp-3, 0x1.cc28d2ad3d917p-3, 0x1.d8c54dd20e4c8p-3, 0x1.e4a3fe80e116cp-3, 0x1.efcac9e515f1ap-3, 0x1.fa3f84495c7c5p-3, 0x1.0203f6acf045ep-2, 0x1.0694d686fe0e2p-2, 0x1.0ad528a23cd6ap-2, 0x1.0ec7a6099a6e5p-2, 0x1.126ef96113cb9p-2, 0x1.15cdbeb0cc628p-2, 0x1.18e68371483cp-2, 0x1.1bbbc6c8021bfp-2, 0x1.1e4ff9e0058d4p-2, 0x1.20a5804891f5cp-2, 0x1.22beb0451c4a6p-2, 0x1.249dd2fe6e647p-2, 0x1.2645248bc42bbp-2, 0x1.27b6d3d2f8a56p-2, 0x1.28f502466d598p-2, 0x1.2a01c38ceafbcp-2, 0x1.2adf1d222432cp-2, 0x1.2b8f05fde5e47p-2, 0x1.2c13664cf97f5p-2, 0x1.2c6e174232e0ap-2, 0x1.2ca0e3019a609p-2, 0x1.2cad84a3b0032p-2, 0x1.2c95a84c6a40bp-2, 0x1.2c5aeb50a63f6p-2, 0x1.2bfedc65562ddp-2, 0x1.2b82fbd54959p-2, 0x1.2aeb437c5b9a7p-2, 0x1.2a3431363ec89p-2, 0x1.296162923e891p-2, 0x1.28741d4601377p-2, 0x1.276d9b5b7ef2cp-2, 0x1.264f0beb65c7cp-2, 0x1.251993c306e7bp-2, 0x1.23ce4df02665ep-2, 0x1.226e4c301b1abp-2, 0x1.20fa97427f506p-2, 0x1.1f742f2249abep-2, 0x1.1ddc0b29f2a9dp-2, 0x1.1c331a289a9dcp-2, 0x1.1a7a426e8ccaap-2, 0x1.18b261d7588efp-2, 0x1.16dc4dd6ec396p-2, 0x1.14f8d38e11437p-2, 0x1.1308b7e93e6a4p-2, 0x1.110cb7cb5adbdp-2, 0x1.0f058844c0c29p-2, 0x1.0cf3d6d5a65c2p-2, 0x1.0ad849ba41adp-2, 0x1.08b3803e4fcddp-2, 0x1.068613155cb9p-2, 0x1.045094b506a06p-2, 0x1.021391ae9c566p-2, 0x1.ff9f220b5fe18p-3, 0x1.fb0a29034fa82p-3, 0x1.f66931f1a6f85p-3, 0x1.f1bd2d2825fc1p-3, 0x1.ed0702153f959p-3, 0x1.e8478fac2a196p-3, 0x1.e37facbe70f67p-3, 0x1.deb02848d0b0bp-3, 0x1.d9d9c9b59022ep-3, 0x1.d4fd5116dd897p-3, 0x1.d01b775bb4186p-3, 0x1.cb34ee81b0138p-3, 0x1.c64a61c5dbe59p-3, 0x1.c15c75d62d239p-3, 0x1.bc6bc904c851fp-3, 0x1.b778f37dcc0ebp-3, 0x1.b284877fd4e16p-3, 0x1.ad8f119705cc9p-3, 0x1.a89918da13713p-3, 0x1.a3a31f288d9dap-3, 0x1.9eada16975629p-3, 0x1.99b917c9233cdp-3, 0x1.94c5f5f575705p-3, 0x1.8fd4ab576101dp-3, 0x1.8ae5a34905e28p-3, 0x1.85f94547a5561p-3, 0x1.810ff52103d3ep-3, 0x1.7c2a131be3b49p-3, 0x1.7747fc1b97ca2p-3, 0x1.726a09bebcd74p-3, 0x1.6d9092796e576p-3, 0x1.68bbe9ab61055p-3, 0x1.63ec5fb277c86p-3, 0x1.5f2241fa5fc58p-3, 0x1.5a5ddb09f5167p-3, 0x1.559f728f022c3p-3, 0x1.50e74d690aa98p-3, 0x1.4c35adb3abce3p-3, 0x1.478ad2d119088p-3, 0x1.42e6f97517308p-3, 0x1.3e4a5bb0c83aap-3, 0x1.39b530ff7985dp-3, 0x1.3527ae54954fap-3, 0x1.30a2062ab045ep-3, 0x1.2c246893b091bp-3, 0x1.27af0349dfbdbp-3, 0x1.234201c1c1a44p-3, 0x1.1edd8d3c781b1p-3, 0x1.1a81ccda74e74p-3, 0x1.162ee5ae38023p-3, 0x1.11e4faceec716p-3, 0x1.0da42d6a980c5p-3, 0x1.096c9cd7c3cc2p-3, 0x1.053e66a65d511p-3, 0x1.0119a6afc0e69p-3, 0x1.f9fcee4ba345bp-4, 0x1.f1d9e1421186ep-4, 0x1.e9ca545b0a24bp-4, 0x1.e1ce72ae214d8p-4, 0x1.d9e664685b6fap-4, 0x1.d2124ee06da43p-4, 0x1.ca5254a942c77p-4, 0x1.c2a695a304928p-4, 0x1.bb0f2f0ac4de9p-4, 0x1.b38c3b8910f19p-4, 0x1.ac1dd33f7b27dp-4, 0x1.a4c40bd579f82p-4, 0x1.9d7ef884970bdp-4, 0x1.964eaa2442827p-4, 0x1.8f332f354843ap-4, 0x1.882c93ed19b0dp-4, 0x1.813ae240fe00dp-4, 0x1.7a5e21f137b43p-4, 0x1.73965894335b9p-4, 0x1.6ce389a1c2824p-4, 0x1.6645b67e6fc06p-4, 0x1.5fbcde86e8caep-4, 0x1.5948ff1b82e7p-4, 0x1.52ea13abd7fe2p-4, 0x1.4ca015c278a2p-4, 0x1.466afd10b0e2bp-4, 0x1.404abf7a5c46ap-4, 0x1.3a3f5121c3419p-4, 0x1.3448a47380f16p-4, 0x1.2e66aa326a6f1p-4, 0x1.2899518375999p-4, 0x1.22e087f99c883p-4, 0x1.1d3c39a1b9131p-4, 0x1.17ac510e57e92p-4, 0x1.1230b7637deep-4, 0x1.0cc9546262283p-4, 0x1.07760e751617ap-4, 0x1.0236caba1ca1dp-4, 0x1.fa16da1fde184p-5, 0x1.efe7b040d73dcp-5, 0x1.e5dfdad85e574p-5, 0x1.dbff1aabaa22fp-5, 0x1.d2452e5a3c8cdp-5, 0x1.c8b1d273fa377p-5, 0x1.bf44c18f01485p-5, 0x1.b5fdb45d489c1p-5, 0x1.acdc61c1f5726p-5, 0x1.a3e5af24d45e8p-5, 0x1.9b0ef6bac4b13p-5, 0x1.925d0fcf6752fp-5, 0x1.89cfab26be866p-5, 0x1.816678196fc2cp-5, 0x1.792124a7708e1p-5, 0x1.70ff5d8a7e907p-5, 0x1.6900ce48660bbp-5, 0x1.612521450b19ap-5, 0x1.596bffd432882p-5, 0x1.51d5124b07809p-5, 0x1.4a60001154223p-5, 0x1.430c6fb26d0e3p-5, 0x1.3bda06edc8dcfp-5, 0x1.34c86ac742137p-5, 0x1.2dd73f97017d4p-5, 0x1.270629190a94bp-5, 0x1.2054ca7c6b085p-5, 0x1.19c2c6720ec5fp-5, 0x1.134fbf3b3234dp-5, 0x1.0cfb56b774093p-5, 0x1.06c52e728caa6p-5, 0x1.00ace7b1a152dp-5, 0x1.f5644700781f7p-6, 0x1.e9a90579cd057p-6, 0x1.de274c4ad3bc3p-6, 0x1.d2de5cc565628p-6, 0x1.c7cd7828bae79p-6, 0x1.bcf3dfb7da6dcp-6, 0x1.b250d4cf53591p-6, 0x1.a7e398fa5e258p-6, 0x1.9dab6e074d061p-6, 0x1.93a7961b63cffp-6, 0x1.89d753c61191ap-6, 0x1.8039ea138f5a2p-6, 0x1.76ce9c9ee4e5p-6, 0x1.6d94afa35f211p-6, 0x1.648b680d6e03bp-6, 0x1.5bb20b8af9d89p-6, 0x1.5307e09b2362cp-6, 0x1.4a8c2e9d7efe3p-6, 0x1.423e3de0c19cdp-6, 0x1.3a1d57b0eb948p-6, 0x1.3228c664e6b05p-6, 0x1.2a5fd56ba37b8p-6, 0x1.22c1d158b5121p-6, 0x1.1b4e07f0673dbp-6, 0x1.1403c833596dap-6, 0x1.0ce2626993fb9p-6, 0x1.05e9282d289fdp-6, 0x1.fe2ed8e8a878cp-7, 0x1.f0d907363fc29p-7, 0x1.e3cf86d928149p-7, 0x1.d7110656de9f4p-7, 0x1.ca9c3734c983p-7, 0x1.be6fce07dd345p-7, 0x1.b28a82834fcd7p-7, 0x1.a6eb0f8673a4p-7, 0x1.9b903329b4e9fp-7, 0x1.9078aecabe91p-7, 0x1.85a34717cd7c8p-7, 0x1.7b0ec41a2f2ecp-7, 0x1.70b9f13ffe3f3p-7, 0x1.66a39d6508e48p-7, 0x1.5cca9adb0793p-7, 0x1.532dbf710a597p-7, 0x1.49cbe47a283f7p-7, 0x1.40a3e6d38f52fp-7, 0x1.37b4a6e9c813dp-7, 0x1.2efd08bd66a5dp-7, 0x1.267bf3e708fdcp-7, 0x1.1e30539ab37d4p-7, 0x1.161916aa9818cp-7, 0x1.0e352f893e07fp-7, 0x1.0683944b1a31bp-7, 0x1.fe067d4f2a2afp-8, 0x1.ef6657f31ba41p-8, 0x1.e124ba7e9e9eep-8, 0x1.d33fae3414873p-8, 0x1.c5b54399a2c9dp-8, 0x1.b883927635385p-8, 0x1.aba8b9cda7f8p-8, 0x1.9f22dfdc02bfdp-8, 0x1.92f0320fecce4p-8, 0x1.870ee5044238fp-8, 0x1.7b7d3478fbd8fp-8, 0x1.7039634b441c6p-8, 0x1.6541bb6ce3ccdp-8, 0x1.5a948ddaf9915p-8, 0x1.5030329417305p-8, 0x1.4613088db67fap-8, 0x1.3c3b75a91b1ep-8, 0x1.32a7e6a7a8d81p-8, 0x1.2956cf1eab103p-8, 0x1.2046a96aa0054p-8, 0x1.1775f6a20b0fcp-8, 0x1.0ee33e87cbdefp-8, 0x1.068d0f7d0fdp-8, 0x1.fce3fce5b370ap-9, 0x1.ed214db646752p-9, 0x1.ddcf55335d77p-9, 0x1.ceeb63e8f346bp-9, 0x1.c072d707c4aecp-9, 0x1.b263184510ca9p-9, 0x1.a4b99db9bc4d1p-9, 0x1.9773e9c11002cp-9, 0x1.8a8f8ad6e976ap-9, 0x1.7e0a1b759064ap-9, 0x1.71e141f323765p-9, 0x1.6612b05eaffe9p-9, 0x1.5a9c245cebb1dp-9, 0x1.4f7b6704c7862p-9, 0x1.44ae4cbb9b8fp-9, 0x1.3a32b5113bc33p-9, 0x1.30068a9bca563p-9, 0x1.2627c2d364e95p-9, 0x1.1c945dedbb384p-9, 0x1.134a66b9812ecp-9, 0x1.0a47f279d25a6p-9, 0x1.018b20c17ff8cp-9, 0x1.f224369cd12ep-10, 0x1.e1b62bc97a3c3p-10, 0x1.d1c89c54a3625p-10, 0x1.c2581703e97a2p-10, 0x1.b3613dcdbd9acp-10, 0x1.a4e0c5904942dp-10, 0x1.96d375c897316p-10, 0x1.89362849f6c9ep-10, 0x1.7c05c8f57cbf4p-10, 0x1.6f3f557206587p-10, 0x1.62dfdce44d99bp-10, 0x1.56e47fa77705bp-10, 0x1.4b4a6f05e76dep-10, 0x1.400eecf284b8fp-10, 0x1.352f4bc252fb5p-10, 0x1.2aa8ede66de3dp-10, 0x1.207945a69b464p-10, 0x1.169dd4dc1ef48p-10, 0x1.0d142cad1b53fp-10, 0x1.03d9ed48614c9p-10, 0x1.f5d98b438f1c1p-11, 0x1.e494e65dec44cp-11, 0x1.d3e18349468ap-11, 0x1.c3bb1568f8864p-11, 0x1.b41d6b96c7a1fp-11, 0x1.a5046fa0b9446p-11, 0x1.966c25c7bb762p-11, 0x1.8850ac3f8b782p-11, 0x1.7aae3aaf91cc3p-11, 0x1.6d8121b509b58p-11, 0x1.60c5ca660f142p-11, 0x1.5478b5d5ece97p-11, 0x1.48967c9a76b24p-11, 0x1.3d1bce52bd6f3p-11, 0x1.3205712eb0702p-11, 0x1.27504178130bfp-11, 0x1.1cf9311cb0bfap-11, 0x1.12fd47399a1dap-11, 0x1.09599fa7da031p-11, 0x1.000b6a8a4687dp-11, 0x1.ee1fd7b93648ep-12, 0x1.dcc8f60802e0dp-12, 0x1.cc0d04c19a7e2p-12, 0x1.bbe6fdc315765p-12, 0x1.ac51ff2f489fap-12, 0x1.9d494a9a51983p-12, 0x1.8ec84438467edp-12, 0x1.80ca720ee83c7p-12, 0x1.734b7b29ec2f1p-12, 0x1.664726d2939b1p-12, 0x1.59b95bca2ce8dp-12, 0x1.4d9e1f87641b5p-12, 0x1.41f195776bc3cp-12, 0x1.36affe416b5f5p-12, 0x1.2bd5b70dc6315p-12, 0x1.215f38d03972ap-12, 0x1.17491795658d1p-12, 0x1.0d9001d38597dp-12, 0x1.0430bfbe81361p-12, 0x1.f650653e626dbp-13, 0x1.e4e6a85bcba64p-13, 0x1.d41e6be0d22a2p-13, 0x1.c3f201368dd5bp-13, 0x1.b45be6ebfe0b3p-13, 0x1.a556c785f2467p-13, 0x1.96dd7854e401fp-13, 0x1.88eaf851568afp-13, 0x1.7b7a6efec3134p-13, 0x1.6e872b544e71cp-13, 0x1.620ca2acdc185p-13, 0x1.56066fbc497e2p-13, 0x1.4a70518ab4f99p-13, 0x1.3f462a76c422cp-13, 0x1.3483ff3cf9723p-13, 0x1.2a25f605017dcp-13, 0x1.20285574adf9fp-13, 0x1.168783c8e03dap-13, 0x1.0d4005f35345dp-13, 0x1.044e7ebe5d583p-13, 0x1.f75f5beb4650cp-14, 0x1.e6c0df27ee195p-14, 0x1.d6bb75ec7cd8cp-14, 0x1.c7494426b56b4p-14, 0x1.b864a171c3363p-14, 0x1.aa081798c94f7p-14, 0x1.9c2e6122b7097p-14, 0x1.8ed267e7a17c9p-14, 0x1.81ef43ae5c5ap-14, 0x1.758038d1e98c9p-14, 0x1.6980b6f1655aap-14, 0x1.5dec57a605b77p-14, 0x1.52bedd422bfe7p-14, 0x1.47f4319818e2bp-14, 0x1.3d8864c7cda7ep-14, 0x1.3377ac15879e3p-14, 0x1.29be60c637ecp-14, 0x1.2058ff040d98p-14, 0x1.174424c9f41eap-14, 0x1.0e7c90d4d4532p-14, 0x1.05ff219d3a039p-14, 0x1.fb91a8ad8a8dp-15, 0x1.ebad87e97562dp-15, 0x1.dc4c50708e0bfp-15, 0x1.cd68a98190dabp-15, 0x1.befd704a6d738p-15, 0x1.b105b624ff628p-15, 0x1.a37cbedec76aep-15, 0x1.965dff0c7b397p-15, 0x1.89a51a69638a9p-15, 0x1.7d4de240c5555p-15, 0x1.715453e30ef71p-15, 0x1.65b497247406cp-15, 0x1.5a6afce691738p-15, 0x1.4f73fdad6c711p-15, 0x1.44cc383855f2fp-15, 0x1.3a7070301c316p-15, 0x1.305d8cd33e036p-15, 0x1.269097b18e94cp-15, 0x1.1d06bb6f03b25p-15, 0x1.13bd429103d55p-15, 0x1.0ab19652993c5p-15, 0x1.01e13d82faf83p-15, 0x1.f293b6d6dd5a9p-16, 0x1.e1d25d7b82559p-16, 0x1.d17a211604852p-16, 0x1.c186e6836743ep-16, 0x1.b1f4c367dff3cp-16, 0x1.a2bffc4b79cf7p-16, 0x1.93e502c384077p-16, 0x1.856073ab2df06p-16, 0x1.772f156a9811fp-16, 0x1.694dd64bbb8fap-16, 0x1.5bb9cadc8f288p-16, 0x1.4e702c5d2b4f6p-16, 0x1.416e573ea451ap-16, 0x1.34b1c9a710e9bp-16, 0x1.2842bf572c9c3p-16, 0x1.1c09dc72d6e81p-16, 0x1.100f7099de73ep-16, 0x1.045172d8022f4p-16, 0x1.f19beaacbc9d2p-17, 0x1.db06484f865c3p-17, 0x1.c4de884074ac4p-17, 0x1.af2163709c1fcp-17, 0x1.99cbbff0b5e2ep-17, 0x1.84daaedeb0a36p-17, 0x1.704b6a624394ep-17, 0x1.5c1b53c0485bp-17, 0x1.4847f1796b946p-17, 0x1.34ceed81c1972p-17, 0x1.21ae138218cddp-17, 0x1.0ee34f2de3f52p-17, 0x1.f8d95559343f2p-18, 0x1.d4909a04d220ap-18, 0x1.b0e8f13c9b2fp-18, 0x1.8ddf13d1598a4p-18, 0x1.6b6febcb0576dp-18, 0x1.499891a729f2ep-18, 0x1.285649f798cedp-18, 0x1.07a682d825c85p-18, 0x1.cf0da33c8ea21p-19, 0x1.8fe9e1221ac74p-19, 0x1.51dd799ec5e21p-19, 0x1.14e46865d11d3p-19, 0x1.b1f5cd688af7fp-20, 0x1.3c3acefb5236ap-20, 0x1.91224f3cde54dp-21, 0x1.5bca3a9c37437p-22, -0x1.8a6e6061061ebp-24, -0x1.0c8190a4c8be2p-21, -0x1.e3c0b00d1476dp-21, -0x1.5b8a8899a1e23p-20, -0x1.c34406b878658p-20, -0x1.14889ec1d4e78p-19, -0x1.467b2def3a96bp-19, -0x1.777bac695f138p-19, -0x1.a78bfc2f8569fp-19, -0x1.d6ade7e4f3cddp-19, -0x1.0271926cd028ep-18, -0x1.1916aa899f3b2p-18, -0x1.2f4704844657cp-18, -0x1.450360c347854p-18, -0x1.5a4c78a57f56bp-18, -0x1.6f22ff4ef206cp-18, -0x1.8387a265e6108p-18, -0x1.977b0acc1048ap-18, -0x1.aafddd440e85dp-18, -0x1.be10bb169d1d1p-18, -0x1.d0b442a6e69a8p-18, -0x1.e2e9100282faep-18, -0x1.f4afbd6396744p-18, -0x1.030471d8ff11p-17, -0x1.0b7a8d7aad25fp-17, -0x1.13ba7d61643bap-17, -0x1.1bc48d505d8c8p-17, -0x1.23990936d6422p-17, -0x1.2b383d54361a6p-17, -0x1.32a27667a62e5p-17, -0x1.39d801cfa618fp-17, -0x1.40d92db76529ep-17, -0x1.47a64924f6daep-17, -0x1.4e3fa4276c42ap-17, -0x1.54a58fe5165ffp-17, -0x1.5ad85eb4a5629p-17, -0x1.60d8643c7bf55p-17, -0x1.66a5f5772c20ep-17, -0x1.6c4168cf5ac37p-17, -0x1.71ab162985675p-17, -0x1.76e356f2ab05cp-17, -0x1.7bea862a260abp-17, -0x1.80c1006924bd6p-17, -0x1.856723f041a24p-17, -0x1.89dd50a5adaa2p-17, -0x1.8e23e82109d2p-17, -0x1.923b4da7be637p-17, -0x1.9623e6341b744p-17, -0x1.99de1872c7bc1p-17, -0x1.9d6a4cc26b8d2p-17, -0x1.a0c8ed3428721p-17, -0x1.a3fa657f26cabp-17, -0x1.a6ff231099dfep-17, -0x1.a9d794efedb74p-17, -0x1.ac842bc61e566p-17, -0x1.af0559d3a86c1p-17, -0x1.b15b92e7469e8p-17, -0x1.b3874c59e83dp-17, -0x1.b588fd017f308p-17, -0x1.b7611d2679078p-17, -0x1.b910267d59cffp-17, -0x1.ba969415d731ap-17, -0x1.bbf4e2537b676p-17, -0x1.bd2b8edf0ae62p-17, -0x1.be3b189b02a5cp-17, -0x1.bf23ff9280caep-17, -0x1.bfe6c4ee220dep-17, -0x1.c083eae7f2c81p-17, -0x1.c0fbf4b9612d9p-17, -0x1.c14f669123e07p-17, -0x1.c17ec5829302fp-17, -0x1.c18a9776cb93ap-17, -0x1.c17363217a17fp-17, -0x1.c139aff08d08dp-17, -0x1.c0de060962ce5p-17, -0x1.c060ee2e31bf3p-17, -0x1.bfc2f1b880ebp-17, }}, 
      {{0x1.daba4b3c422abp-3, 0x1.ced12d4841705p-3, 0x1.bb6c7f3168f63p-3, 0x1.a11e4031ab41fp-3, 0x1.8091978307a7ap-3, 0x1.5a7e93db3d635p-3, 0x1.2fa1512fb2a36p-3, 0x1.00b3a450f64f7p-3, 0x1.9cd1c59964f76p-4, 0x1.32d5e57bb6a25p-4, 0x1.896196fdc47dfp-5, 0x1.4e1be915b8246p-6, -0x1.f9cf18ab2373dp-8, -0x1.27942a27d4115p-5, -0x1.08287cfc93abbp-4, -0x1.7bf8d519a7d37p-4, -0x1.ee9253ec7c2a1p-4, -0x1.2fb0d2e22d28bp-3, -0x1.66f3ae2b1d5c8p-3, -0x1.9cdb1913b0276p-3, -0x1.d138bf16bcfa3p-3, -0x1.01f2f1bd04f08p-2, -0x1.1a615b29a4b6dp-2, -0x1.31dac6e50d4bap-2, -0x1.485526bd938c6p-2, -0x1.5dc8f31809541p-2, -0x1.7230ca786dd13p-2, -0x1.85894405175a6p-2, -0x1.97d0da8db5546p-2, -0x1.a90791bb45a49p-2, -0x1.b92e9cccda75fp-2, -0x1.c84880ba3317ep-2, -0x1.d658c212516eap-2, -0x1.e363cceafd019p-2, -0x1.ef6ed2dee5b59p-2, -0x1.fa7fa84739cbap-2, -0x1.024e54d83ed4dp-1, -0x1.06e6537c88758p-1, -0x1.0b0b672e35c1ap-1, -0x1.0ec14bc6ef283p-1, -0x1.120bd8c122012p-1, -0x1.14eef989bf82bp-1, -0x1.176ea6a4d7cc3p-1, -0x1.198edf6030d1p-1, -0x1.1b53a4219cdabp-1, -0x1.1cc0f1743bdf9p-1, -0x1.1ddabbebb105bp-1, -0x1.1ea4ecc7d3a3bp-1, -0x1.1f235f1a6d3ffp-1, -0x1.1f59dd2e6a5bdp-1, -0x1.1f4c1e0e37f0dp-1, -0x1.1efdc33386769p-1, -0x1.1e7256921afe5p-1, -0x1.1dad49361566bp-1, -0x1.1cb1f28614aa8p-1, -0x1.1b838ff89c94ep-1, -0x1.1a2544e123912p-1, -0x1.189a1a0796a11p-1, -0x1.16e4fcff591e4p-1, -0x1.1508bf7bd0a9fp-1, -0x1.130816fcea687p-1, -0x1.10e59d0ad37e1p-1, -0x1.0ea3e4a3ceb7cp-1, -0x1.0c452542608bep-1, -0x1.09cbc30e11facp-1, -0x1.0739ee07841fep-1, -0x1.0491bd09c6922p-1, -0x1.01d52ea9bb692p-1, -0x1.fe0c53e9c3ed1p-2, -0x1.f84cfe0d3271bp-2, -0x1.f26fcf030bfcbp-2, -0x1.ec780e0d843e5p-2, -0x1.e668d783ba8acp-2, -0x1.e0451e273aa87p-2, -0x1.da0facac746d8p-2, -0x1.d3cb275811ab3p-2, -0x1.cd7a0d90488bdp-2, -0x1.c71ebb4cde207p-2, -0x1.c0bb6a61e04b3p-2, -0x1.ba5233b0049dbp-2, -0x1.b3e5104c6928ep-2, -0x1.ad75daaf76ed7p-2, -0x1.a7064ff2c9f31p-2, -0x1.a098111c8d0bdp-2, -0x1.9a2ca46fb31ddp-2, -0x1.93c576b5bba3dp-2, -0x1.8d63dc7836306p-2, -0x1.870913249c00bp-2, -0x1.80b6421a3004ep-2, -0x1.7a6c7ba5daad9p-2, -0x1.742cbdf20e7b8p-2, -0x1.6df7f3f0c878bp-2, -0x1.67cef643f8fep-2, -0x1.61b28c26124c5p-2, -0x1.5ba36c51e02f4p-2, -0x1.55a23de6ed614p-2, -0x1.4faf9946eee33p-2, -0x1.49cc08e8f0558p-2, -0x1.43f80a201f15cp-2, -0x1.3e340dd58f339p-2, -0x1.38807935ce38ep-2, -0x1.32dda65425cd5p-2, -0x1.2d4be4c5ddbc3p-2, -0x1.27cb7a37c6c0bp-2, -0x1.225ca2ffc8f8ap-2, -0x1.1cff92ab6620ep-2, -0x1.17b4748b4ed4dp-2, -0x1.127b6c3b63406p-2, -0x1.0d549625f514cp-2, -0x1.08400800eb577p-2, -0x1.033dd14389a2p-2, -0x1.fc9bf727f427cp-3, -0x1.f2e11658cb405p-3, -0x1.e94afe6fdc901p-3, -0x1.dfd9a450ea768p-3, -0x1.d68cf40ce040dp-3, -0x1.cd64d17832439p-3, -0x1.c46118ba61605p-3, -0x1.bb819ed86fc24p-3, -0x1.b2c6323b612c4p-3, -0x1.aa2e9b3333ebdp-3, -0x1.a1ba9c761be63p-3, -0x1.9969f39b94713p-3, -0x1.913c59927a418p-3, -0x1.893183118ab46p-3, -0x1.814921018fbdp-3, -0x1.7982e3b8164a3p-3, -0x1.71de6c55d2198p-3, -0x1.6a5b693ffac6fp-3, -0x1.62f97fd74ee76p-3, -0x1.5bb853516a1acp-3, -0x1.549784faf6b88p-3, -0x1.4d96b4749f70ep-3, -0x1.46b57feb5bb2fp-3, -0x1.3ff3844c89309p-3, -0x1.39505d766aacbp-3, -0x1.32cba6656409fp-3, -0x1.2c64f95e5a832p-3, -0x1.261bf016723b1p-3, -0x1.1ff023d8624fcp-3, -0x1.19e12da781bf8p-3, -0x1.13eea660b04eap-3, -0x1.0e1826d928a03p-3, -0x1.085d47fb5968bp-3, -0x1.02bda2e1c940fp-3, -0x1.fa71a1e0210e6p-4, -0x1.ef9cd7d3f40b8p-4, -0x1.e4fc1c1194bcap-4, -0x1.da8ea41d913cfp-4, -0x1.d053a6b2153f9p-4, -0x1.c64a5bdf3d6d2p-4, -0x1.bc71fd28488ccp-4, -0x1.b2c9c59dd4364p-4, -0x1.a950f1f54133ep-4, -0x1.a006c09d842e2p-4, -0x1.96ea71d168719p-4, -0x1.8dfb47a79e85fp-4, -0x1.853886209da02p-4, -0x1.7ca17332a8aedp-4, -0x1.743556d41e3cbp-4, -0x1.6bf37b0448fdp-4, -0x1.63db2bd2e461cp-4, -0x1.5bebb766829d4p-4, -0x1.54246e01f7c78p-4, -0x1.4c84a208eb0b4p-4, -0x1.450ba803a2169p-4, -0x1.3db8d6a21677ap-4, -0x1.368b86be5f72fp-4, -0x1.2f83135e748cbp-4, -0x1.289ed9b54a2cfp-4, -0x1.21de392350d08p-4, -0x1.1b409336509ebp-4, -0x1.14c54ba8aca59p-4, -0x1.0e6bc8600dbd3p-4, -0x1.0833716b7e64bp-4, -0x1.021bb100f8a6dp-4, -0x1.f847e6f4ee2f2p-5, -0x1.ec974ea5144a5p-5, -0x1.e1247a4102159p-5, -0x1.d5ee4f2864b7bp-5, -0x1.caf3b6e2dc5cap-5, -0x1.c0339f1650491p-5, -0x1.b5acf97cd2b09p-5, -0x1.ab5ebbda28036p-5, -0x1.a147dff10b07ep-5, -0x1.9767637847ca3p-5, -0x1.8dbc480fb7eefp-5, -0x1.844593353d9e4p-5, -0x1.7b024e39b5fc9p-5, -0x1.71f18635fc2d4p-5, -0x1.69124bfff8a58p-5, -0x1.6063b41fc0547p-5, -0x1.57e4d6c4c8338p-5, -0x1.4f94cfbb26359p-5, -0x1.4772be60e481dp-5, -0x1.3f7dc59b5b03ap-5, -0x1.37b50bcc970e1p-5, -0x1.3017bac8c3b28p-5, -0x1.28a4ffcb975f2p-5, -0x1.215c0b6dc0c91p-5, -0x1.1a3c119a526e1p-5, -0x1.134449842c541p-5, -0x1.0c73ed9b62f7dp-5, -0x1.05ca3b82a5e2p-5, -0x1.fe8ce809478a9p-6, -0x1.f1cfb612ea98p-6, -0x1.e55b6f1811344p-6, -0x1.d92ea71f37dfep-6, -0x1.cd47f82a8231cp-6, -0x1.c1a60222e4e3ap-6, -0x1.b6476ac37e501p-6, -0x1.ab2add851e165p-6, -0x1.a04f0b8a03a13p-6, -0x1.95b2ab89dc033p-6, -0x1.8b5479be01f7dp-6, -0x1.813337cdff566p-6, -0x1.774dacbc5ca0ep-6, -0x1.6da2a4d3b4d51p-6, -0x1.6430f1940b626p-6, -0x1.5af769a073c12p-6, -0x1.51f4e8acf6426p-6, -0x1.49284f6cb7b89p-6, -0x1.409083805c3d8p-6, -0x1.382c6f64b48e9p-6, -0x1.2ffb02619385ap-6, -0x1.27fb3078e0165p-6, -0x1.202bf255df969p-6, -0x1.188c453caba86p-6, -0x1.111b2af9d6952p-6, -0x1.09d7a9d23f821p-6, -0x1.02c0cc7315cb5p-6, -0x1.f7ab43c3fc4a7p-7, -0x1.ea2a7adad908fp-7, -0x1.dcfd6d3a3ccaap-7, -0x1.d02252458f796p-7, -0x1.c3976995c1f87p-7, -0x1.b75afadb45a78p-7, -0x1.ab6b55c058569p-7, -0x1.9fc6d1cb90f77p-7, -0x1.946bce42db7ddp-7, -0x1.8958b20eaba28p-7, -0x1.7e8beb9d8c89fp-7, -0x1.7403f0c803733p-7, -0x1.69bf3eb4c137cp-7, -0x1.5fbc59bd26d3dp-7, -0x1.55f9cd520943ap-7, -0x1.4c762be0e7605p-7, -0x1.43300eb940ab4p-7, -0x1.3a2615f25f813p-7, -0x1.3156e85159e88p-7, -0x1.28c1332f66649p-7, -0x1.2063aa606d71bp-7, -0x1.183d0819f3631p-7, -0x1.104c0cda3e7cep-7, -0x1.0890f61275674p-7, -0x1.0107a622cf47ap-7, -0x1.f360c63255411p-8, -0x1.e5140b433329bp-8, -0x1.d726d870dbb82p-8, -0x1.c996f625ee003p-8, -0x1.bc623810eb53ep-8, -0x1.af867cf6bc54ep-8, -0x1.a301ae859ba31p-8, -0x1.96d1c1288b978p-8, -0x1.8af4b3db443p-8, -0x1.7f688ffea22cep-8, -0x1.742b692d8004cp-8, -0x1.693b5d12268fp-8, -0x1.5e96933c1bb1ep-8, -0x1.543b3cf671facp-8, -0x1.4a27951e99b08p-8, -0x1.4059dffb9a9c3p-8, -0x1.36d06b15cfdb9p-8, -0x1.2d898d0f132adp-8, -0x1.2483a57b5b959p-8, -0x1.1bbd1cb9e14b9p-8, -0x1.133463cea1709p-8, -0x1.0ae7f43c616edp-8, -0x1.02d64fdf26d0bp-8, -0x1.f5fc018e38a2cp-9, -0x1.e6bb3227decb7p-9, -0x1.d7e765a130e68p-9, -0x1.c97ddf9f42d15p-9, -0x1.bb7bf30fa236bp-9, -0x1.addf01e29658fp-9, -0x1.a0a47cc63ecap-9, -0x1.93c9e2e2a1644p-9, -0x1.874cc1966fc8fp-9, -0x1.7b2ab434e0b75p-9, -0x1.6f6163c42b846p-9, -0x1.63ee86bd00e73p-9, -0x1.58cfe0cadad09p-9, -0x1.4e03428d14abep-9, -0x1.43868958ec1ffp-9, -0x1.39579efc3954ap-9, -0x1.2f747981317fcp-9, -0x1.25db1af2c320fp-9, -0x1.1c899121e56f5p-9, -0x1.137df56bb5415p-9, -0x1.0ab66c8051ebdp-9, -0x1.0231262a9a2efp-9, -0x1.f3d8ba316558cp-10, -0x1.e3ccad4a88e5fp-10, -0x1.d43ac54357d7fp-10, -0x1.c51fb6419df4p-10, -0x1.b678488599ea2p-10, -0x1.a8415802e3fc6p-10, -0x1.9a77d3fab3ee4p-10, -0x1.8d18be98207b9p-10, -0x1.80212c8d5f83fp-10, -0x1.738e44b2f11a5p-10, -0x1.675d3fa7dc2d2p-10, -0x1.5b8b677408bc9p-10, -0x1.5016172b747e2p-10, -0x1.44faba9329dbdp-10, -0x1.3a36cdc7bec3ep-10, -0x1.2fc7dce50d98ep-10, -0x1.25ab83af9698p-10, -0x1.1bdf6d3ef8797p-10, -0x1.126153aa4f735p-10, -0x1.092effb589afap-10, -0x1.004648804c3d6p-10, -0x1.ef4a266c6af86p-11, -0x1.de92a580ed30ap-11, -0x1.ce620ef189127p-11, -0x1.beb47dbb5617dp-11, -0x1.af8626902d2d6p-11, -0x1.a0d357449e49fp-11, -0x1.929876400c23cp-11, -0x1.84d201f01adap-11, -0x1.777c903dc788dp-11, -0x1.6a94ce0594717p-11, -0x1.5e177e91f9dffp-11, -0x1.52017b183d94fp-11, -0x1.464fb237d6148p-11, -0x1.3aff277c467d6p-11, -0x1.300cf2e0fc75cp-11, -0x1.257640580199p-11, -0x1.1b384f5240debp-11, -0x1.1150724b1a74bp-11, -0x1.07bc0e556103dp-11, -0x1.fcf13555575c5p-12, -0x1.eb07407a9c242p-12, -0x1.d9b57297f6ee8p-12, -0x1.c8f721ef8922cp-12, -0x1.b8c7c5b85d86cp-12, -0x1.a922f55299982p-12, -0x1.9a0467802167dp-12, -0x1.8b67f1a0294f5p-12, -0x1.7d4986f0a0a4ap-12, -0x1.6fa537d1ef5b6p-12, -0x1.6277310eec836p-12, -0x1.55bbbb290e16fp-12, -0x1.496f39a80cd84p-12, -0x1.3d8e2a6d15759p-12, -0x1.32152509d46a3p-12, -0x1.2700da1b16ce9p-12, -0x1.1c4e12a69de94p-12, -0x1.11f9af7cd60bep-12, -0x1.0800a89da2043p-12, -0x1.fcc01940d2244p-13, -0x1.ea2a00401ced9p-13, -0x1.d8397a52de90cp-13, -0x1.c6e9255a9958bp-13, -0x1.b633c7ea580c3p-13, -0x1.a61450383fb26p-13, -0x1.9685d3127ca01p-13, -0x1.87838adc709bcp-13, -0x1.7908d6903798bp-13, -0x1.6b1138c735e1ep-13, -0x1.5d9856c5af97bp-13, -0x1.5099f7904d1bep-13, -0x1.44120302972fcp-13, -0x1.37fc80ed6232bp-13, -0x1.2c5598398d42bp-13, -0x1.21198e1000569p-13, -0x1.1644c506ef9fp-13, -0x1.0bd3bc53ab89cp-13, -0x1.01c30f0179b21p-13, -0x1.f01ee65a86d1cp-14, -0x1.dd6b728b98b9fp-14, -0x1.cb6596a196ecap-14, -0x1.ba0758660f384p-14, -0x1.a94aedfff2a39p-14, -0x1.992abc9468ee7p-14, -0x1.89a156f4dbb83p-14, -0x1.7aa97c529dc17p-14, -0x1.6c3e16fc54f47p-14, -0x1.5e5a3b2269e86p-14, -0x1.50f925a3f7e36p-14, -0x1.44163ae2399d4p-14, -0x1.37ad059c91b45p-14, -0x1.2bb935d31010dp-14, -0x1.20369fb13f654p-14, -0x1.15213a7dffc12p-14, -0x1.0a751f9499c01p-14, -0x1.002e896140759p-14, -0x1.ec93a4d3a751ap-15, -0x1.d986e8aa32b0ep-15, -0x1.c7300e00e30ebp-15, -0x1.b5887f29cb7d5p-15, -0x1.a489df4f1798fp-15, -0x1.942e08b7bcc88p-15, -0x1.846f0b1bdf39ap-15, -0x1.75472a037451cp-15, -0x1.66b0db31abd0cp-15, -0x1.58a6c51332e47p-15, -0x1.4b23bd463aabdp-15, -0x1.3e22c71df0d4bp-15, -0x1.319f1236d41e2p-15, -0x1.2593f914bdc1ep-15, -0x1.19fcffc9f5p-15, -0x1.0ed5d2a7a4b3cp-15, -0x1.041a44f60129fp-15, -0x1.f38c9f70e7172p-16, -0x1.dfac20f0eb763p-16, -0x1.cc8b9032e8b93p-16, -0x1.ba23b36c6a449p-16, -0x1.a86d9307d1654p-16, -0x1.97627782f61f9p-16, -0x1.86fbe74cd01dap-16, -0x1.7733a4cd2b942p-16, -0x1.6803ac6210d84p-16, -0x1.59663278253d7p-16, -0x1.4b55a1ad7e015p-16, -0x1.3dcc99091dafdp-16, -0x1.30c5ea318304dp-16, -0x1.243c97c2c8573p-16, -0x1.182bd3a16d223p-16, -0x1.0c8efd648162p-16, -0x1.0161a0c75d85ap-16, -0x1.ed3ee8509e618p-17, -0x1.d888ae26fee6dp-17, -0x1.c498a1ace4bbbp-17, -0x1.b1671e4a731f6p-17, -0x1.9eecc97c23a06p-17, -0x1.8d2290528dac6p-17, -0x1.7c01a4e6f5e8bp-17, -0x1.6b837bf077406p-17, -0x1.5ba1ca6ed6f12p-17, -0x1.4c5683635fccdp-17, -0x1.3d9bd59cd3fe8p-17, -0x1.2f6c299c326f3p-17, -0x1.21c21f7bcc30fp-17, -0x1.14988cfb74425p-17, -0x1.07ea7b7a826a4p-17, -0x1.f7664c79c5e13p-18, -0x1.dfdbf0ffefe66p-18, -0x1.c92d178afa935p-18, -0x1.b3514c37c8ef4p-18, -0x1.9e407103d1789p-18, -0x1.89f2ba9873057p-18, -0x1.7660ad3e67014p-18, -0x1.638319e295134p-18, -0x1.51531b387d2d3p-18, -0x1.3fca12fcee10fp-18, -0x1.2ee1a747bac6cp-18, -0x1.1e93bfe53a0e6p-18, -0x1.0eda83e53b908p-18, -0x1.ff60ae625356fp-19, -0x1.e21fb05b6574ep-19, -0x1.c5e7bb0f49cabp-19, -0x1.aaaee7c9122d6p-19, -0x1.906bb7f380548p-19, -0x1.771510c5c36aep-19, -0x1.5ea2376e08856p-19, -0x1.470acd3e72c29p-19, -0x1.3046cc18184c1p-19, -0x1.1a4e82cf93da8p-19, -0x1.051a91d833757p-19, -0x1.e147cfe6c26e5p-20, -0x1.b9c77e0cd2741p-20, -0x1.93a73246c8334p-20, -0x1.6eda7adc65bc4p-20, -0x1.4b556aee33834p-20, -0x1.290c94a1f5748p-20, -0x1.07f504326056ep-20, -0x1.d00875941e04bp-21, -0x1.926052b71ce9cp-21, -0x1.56de58a29065p-21, -0x1.1d700d96aa381p-21, -0x1.cc07794bc1916p-22, -0x1.6110dab23163ep-22, -0x1.f3b76d7d39bdbp-23, -0x1.2c91bda454a98p-23, -0x1.b1d36f26f5d2ap-25, 0x1.336227d21d225p-25, 0x1.ff1ad151ef323p-24, 0x1.abde75a375958p-23, 0x1.28ff1e13148d8p-22, 0x1.790e9c35e226bp-22, 0x1.c634f7286ba6ep-22, 0x1.08444035a632fp-21, 0x1.2c0f51a91898cp-21, 0x1.4e85f7b7044bep-21, 0x1.6fb2118c346a5p-21, 0x1.8f9d1a4a7e306p-21, 0x1.ae502dabaf47cp-21, 0x1.cbd40c6b6a086p-21, 0x1.e83120877ff0dp-21, 0x1.01b7c0887c694p-20, 0x1.0ecb7b34dc4e7p-20, 0x1.1b577edc4abbcp-20, 0x1.275f6640e3a88p-20, 0x1.32e6aa1814955p-20, 0x1.3df0a27634a07p-20, 0x1.48808887522c8p-20, 0x1.5299781395accp-20, 0x1.5c3e70bd1a3b5p-20, 0x1.657257c129854p-20, 0x1.6e3862f1784f8p-20, 0x1.76927823038c8p-20, 0x1.7e8397ade50c8p-20, 0x1.860e483125411p-20, 0x1.8d34fb8e5b667p-20, 0x1.93fa0fe20bfb9p-20, 0x1.9a5fd07fbe628p-20, 0x1.a06876ecfdce4p-20, 0x1.a6162b8f9eb5bp-20, 0x1.ab6b06d2df079p-20, 0x1.b06911bfb2831p-20, 0x1.b51246cd6be0ap-20, 0x1.b9689299258c4p-20, 0x1.bd6dd49c78d35p-20, 0x1.c123dfbe6f84cp-20, 0x1.c48c7b0ec0a6fp-20, 0x1.c7a9622f7b778p-20, 0x1.ca7c4653fdc31p-20, 0x1.cd06ce46547c6p-20, 0x1.cf4a96eca4ba6p-20, 0x1.d14933ff43cb9p-20, 0x1.d30430a58b65ap-20, 0x1.d47d0f6b4c598p-20, 0x1.d5b54aef818e4p-20, 0x1.d6ae562ac8eb3p-20, 0x1.d7699cf301796p-20, 0x1.d7e884157ba1p-20, 0x1.d82c69ce5acdbp-20, 0x1.d836a60e179f6p-20, 0x1.d8088ab662431p-20, 0x1.d7a363ec6ca11p-20, 0x1.d708784f24b0fp-20, 0x1.d6390934820bp-20, 0x1.d53652dc8348cp-20, 0x1.d4018ca9d3773p-20, 0x1.d29be953b9aeep-20, 0x1.d1069710e4235p-20, 0x1.cf42bfa139815p-20, 0x1.cd5188f848187p-20, 0x1.cb34149724e2ep-20, 0x1.c8eb8040ea4f8p-20, 0x1.c678e5ed0f71fp-20, 0x1.c3dd5bf8298ap-20, 0x1.c119f5167151ep-20, 0x1.be2fc07b3a0b5p-20, 0x1.bb1fca2a79fd7p-20, 0x1.b7eb1ab40e91p-20, 0x1.b492b78b9c1eap-20, 0x1.b117a2fa87bc6p-20, 0x1.ad7adc379d3afp-20, 0x1.a9bd5f71b4a7ap-20, 0x1.a5e025e6aa32ap-20, 0x1.a1e425ea91b47p-20, 0x1.9dca52f2476eep-20, 0x1.99939da0fc0a1p-20, 0x1.9540f3ce5118p-20, 0x1.90d340908d99bp-20, 0x1.8c4b6c439a2ddp-20, 0x1.87aa5c884f83bp-20, 0x1.82f0f46090963p-20, 0x1.7e201424b3002p-20, 0x1.7938997b19f03p-20, 0x1.743b5f5ddd13ep-20, 0x1.6f293e636ae8dp-20, 0x1.6a030c4b3ba41p-20, 0x1.64c99c5c3b0adp-20, 0x1.5f7dbf40a0caep-20, 0x1.5a2042fb7edafp-20, 0x1.54b1f32590397p-20, 0x1.4f3398a938f66p-20, 0x1.49a5f9e72a5e9p-20, 0x1.4409dab3d7955p-20, 0x1.3e5ffc4a69909p-20, 0x1.38a91d808ad96p-20, 0x1.32e5fa3a0a70ep-20, 0x1.2d174c29c7832p-20, 0x1.273dca54e5f2cp-20, 0x1.215a292e22466p-20, 0x1.1b6d1a9db9093p-20, 0x1.15774df6ef673p-20, 0x1.0f796ffe47e72p-20, 0x1.09742aeca5c55p-20, 0x1.0368265a9bbd7p-20, 0x1.faac0e8a6ababp-21, 0x1.ee7ce0c57d132p-21, 0x1.e244030ee1386p-21, 0x1.d602b0234fbd5p-21, 0x1.c9ba1d9c05373p-21, 0x1.bd6b7bec8c281p-21, 0x1.b117f675e337dp-21, 0x1.a4c0b36767472p-21, 0x1.9866d3d920ba5p-21, 0x1.8c0b73ba3cfeap-21, 0x1.7fafa9ed4f0c8p-21, 0x1.7354882de15ep-21, 0x1.66fb1b235c0dep-21, 0x1.5aa46a6fa1d77p-21, 0x1.4e5178742855ep-21, 0x1.42034288c44e1p-21, 0x1.35bac11bd1c58p-21, 0x1.2978e7705e5f5p-21, 0x1.1d3ea3df045a1p-21, 0x1.110cdfd63f6adp-21, 0x1.04e47f533e6a8p-21, 0x1.f18cc385c9d0cp-22, 0x1.d966c2d428ef8p-22, 0x1.c158a7c46dc5ap-22, 0x1.a9641324d64fcp-22, 0x1.918a9c4115769p-22, }}, 
      {{0x1.f1b9592cf7c12p-11, 0x1.e8f19d3365d9ep-9, 0x1.0bbd0488b6004p-7, 0x1.cbee0e4fc58ebp-7, 0x1.5910233be7c2bp-6, 0x1.daadc22596a42p-6, 0x1.33368f44c42c5p-5, 0x1.7c1794daa77eap-5, 0x1.c6181cf400e3cp-5, 0x1.07c5646db0f75p-4, 0x1.2b7c61fab7ap-4, 0x1.4d90f4ef6059fp-4, 0x1.6d7ce6bcd4cfbp-4, 0x1.8ad2de5416a6ap-4, 0x1.a53bcc637016ep-4, 0x1.bc74fb83bb061p-4, 0x1.d04de8d487223p-4, 0x1.e0a6008852f76p-4, 0x1.ed6a6f058e1d2p-4, 0x1.f694759ff3b1dp-4, 0x1.fc27783c85dddp-4, 0x1.fe2f692188108p-4, 0x1.fcbf052e07823p-4, 0x1.f7ef5453542d2p-4, 0x1.efde6030c6be3p-4, 0x1.e4acc6c16cb58p-4, 0x1.d67ed781a3fcbp-4, 0x1.c57c9aa689f4p-4, 0x1.b1ce2628ca871p-4, 0x1.9b9ab6a87b736p-4, 0x1.830bc9c4f3e6ap-4, 0x1.684dca765dc62p-4, 0x1.4b89c1443a4f3p-4, 0x1.2ce984c3109d9p-4, 0x1.0c95db76c8728p-4, 0x1.d56d5f2c19d83p-5, 0x1.8ee6747c46457p-5, 0x1.45e3595184307p-5, 0x1.f55b21ae2c39cp-6, 0x1.5b1757ab45d3ap-6, 0x1.7b0680c5caf1dp-7, 0x1.d21a58bbb185fp-10, -0x1.0b211e36b975fp-7, -0x1.2a1cffb9f0d73p-6, -0x1.d013cbc90391p-6, -0x1.3b857d3d31535p-5, -0x1.8f4efb6bd2693p-5, -0x1.e336ba33a5e8ep-5, -0x1.1b87ea9c32f4ep-4, -0x1.4558290a959e8p-4, -0x1.6ef89acb0bb9ap-4, -0x1.98573ba2b5a2bp-4, -0x1.c1636a7192adcp-4, -0x1.ea0dca2ae2574p-4, -0x1.092411cafd1b3p-3, -0x1.1d02a776969cep-3, -0x1.309c93af3473ep-3, -0x1.43ec42f0c8b49p-3, -0x1.56ec9f7712583p-3, -0x1.69990fb9774b2p-3, -0x1.7bed73c6bdf6bp-3, -0x1.8de621857a1ffp-3, -0x1.9f6e38ee98bfcp-3, -0x1.b0a75500542ccp-3, -0x1.c17cd15ceeac9p-3, -0x1.d1ec717b5ecd2p-3, -0x1.e1f43364208c4p-3, -0x1.f192557109e71p-3, -0x1.0062ae84af867p-2, -0x1.07c60d32693c3p-2, -0x1.0ef2d3cfea822p-2, -0x1.15e8b1d75fdcdp-2, -0x1.1ca7758f3759fp-2, -0x1.232f086345c96p-2, -0x1.297f6bf0de733p-2, -0x1.2f98b7fc4abfcp-2, -0x1.357b191a2cdb3p-2, -0x1.3b26cfa6843cep-2, -0x1.409c2ead5095p-2, -0x1.45db9a95932bcp-2, -0x1.4ae5879149726p-2, -0x1.4fba77f5df224p-2, -0x1.545afaa93c418p-2, -0x1.58c7a9c453fdbp-2, -0x1.5d012977eedfep-2, -0x1.6108272de868bp-2, -0x1.64dd58d60a6f1p-2, -0x1.68817c4abfaa1p-2, -0x1.6bf556bc9922ap-2, -0x1.6f39b418d9172p-2, -0x1.724f6665174f6p-2, -0x1.7537450f73061p-2, -0x1.77f22c370be57p-2, -0x1.7a80fbf2c5da3p-2, -0x1.7ce4979c3cb3dp-2, -0x1.7f1de52265b23p-2, -0x1.812dcc63ed138p-2, -0x1.8315368e5eb02p-2, -0x1.84d50d7e0ad2fp-2, -0x1.866e3b1bd5259p-2, -0x1.87e1a8b94221ap-2, -0x1.89303e6f2ea4ep-2, -0x1.8a5ae28730826p-2, -0x1.8b6278f992f94p-2, -0x1.8c47e3095a83cp-2, -0x1.8d0bff04c3767p-2, -0x1.8dafa82b9c986p-2, -0x1.8e33b6b6ed96ep-2, -0x1.8e98fff7eef04p-2, -0x1.8ee05680d51d7p-2, -0x1.8f0a8a492913ap-2, -0x1.8f1868c1ab019p-2, -0x1.8f0abcd057b9p-2, -0x1.8ee24eb2f2e9bp-2, -0x1.8e9fe3cc1ed69p-2, -0x1.8e443e6334b5fp-2, -0x1.8dd01d611540ap-2, -0x1.8d443c13cdebp-2, -0x1.8ca15200a732cp-2, -0x1.8be812c8ad066p-2, -0x1.8b192e1ff2cd8p-2, -0x1.8a354fd48c231p-2, -0x1.893d1fdff8e46p-2, -0x1.8831427cd8cdfp-2, -0x1.8712583b29b37p-2, -0x1.85e0fe0ea210ep-2, -0x1.849eebe70531bp-2, -0x1.834ab2f37aa8fp-2, -0x1.81e5c3855e35p-2, -0x1.8070a842ff5e1p-2, -0x1.7eebe8645f106p-2, -0x1.7d5807f27c367p-2, -0x1.7bb587feeee11p-2, -0x1.7a04e6d10ec91p-2, -0x1.7846a00761073p-2, -0x1.767b2cad474b2p-2, -0x1.74a3034607d7dp-2, -0x1.72be97cf2dc33p-2, -0x1.70ce5bbcaf5c5p-2, -0x1.6ed2bdf1893fcp-2, -0x1.6ccc2ab758238p-2, -0x1.6abb0bb740e27p-2, -0x1.689fc7f5ee6c5p-2, -0x1.667ac3d3f2873p-2, -0x1.644c6113510fap-2, -0x1.6214fee26688p-2, -0x1.5fd4f9ec01f1fp-2, -0x1.5d8cac6c14ef1p-2, -0x1.5b3c6e48188a1p-2, -0x1.58e4952a1ec6ep-2, -0x1.5685749d56f3cp-2, -0x1.541f5e2ae2e7p-2, -0x1.51b2a175d44b7p-2, -0x1.4f3f8c556167ap-2, -0x1.4cc66aec8b784p-2, -0x1.4a4787beaf25bp-2, -0x1.47c32bc0c4282p-2, -0x1.45399e674ba76p-2, -0x1.42ab25b12dfeap-2, -0x1.4018062ffc702p-2, -0x1.3d80830e335a6p-2, -0x1.3ae4de141ec87p-2, -0x1.384557ac23516p-2, -0x1.35a22ee70372ep-2, -0x1.32fba180b7d16p-2, -0x1.3051ebe646fe1p-2, -0x1.2da5493cdf9e7p-2, -0x1.2af5f36a57418p-2, -0x1.2844231f00b22p-2, -0x1.25900fe0b3123p-2, -0x1.22d9f016b2946p-2, -0x1.2021f9162f2f5p-2, -0x1.1d685f2ee28a3p-2, -0x1.1aad55b778b29p-2, -0x1.17f10f194dbc3p-2, -0x1.1533bcdb3c90bp-2, -0x1.12758fab21411p-2, -0x1.0fb6b765ed6cap-2, -0x1.0cf7631e19f5cp-2, -0x1.0a37c12077576p-2, -0x1.0777fef75d7b3p-2, -0x1.04b8496c4ca8fp-2, -0x1.01f8cc8836181p-2, -0x1.fe73672521476p-3, -0x1.f8f6521efb9b1p-3, -0x1.f37aad7a7b065p-3, -0x1.ee00cb226e06dp-3, -0x1.e888fb6999fadp-3, -0x1.e3138d04903afp-3, -0x1.dda0cd03fe596p-3, -0x1.d83106cfe0704p-3, -0x1.d2c48423d311fp-3, -0x1.cd5b8d0cba83p-3, -0x1.c7f667e7c9cc6p-3, -0x1.c295596304e9ep-3, -0x1.bd38a47f1d89ep-3, -0x1.b7e08a9297e4fp-3, -0x1.b28d4b4e1640dp-3, -0x1.ad3f24c189263p-3, -0x1.a7f6536229049p-3, -0x1.a2b31210e7771p-3, -0x1.9d759a2134f9bp-3, -0x1.983e235fe3a68p-3, -0x1.930ce419f93b6p-3, -0x1.8de2112345509p-3, -0x1.88bddddcaf6d8p-3, -0x1.83a07c3a0d7dep-3, -0x1.7e8a1cc790b8ap-3, -0x1.797aeeaeacd41p-3, -0x1.74731fba84f55p-3, -0x1.6f72dc5be565cp-3, -0x1.6a7a4facd0361p-3, -0x1.6589a373a83dfp-3, -0x1.60a10026178p-3, -0x1.5bc08cebb010ap-3, -0x1.56e86fa060208p-3, -0x1.5218ccd6cd65dp-3, -0x1.4d51c7da9b69ap-3, -0x1.489382b2a9092p-3, -0x1.43de1e2357a42p-3, -0x1.3f31b9b0d6b1p-3, -0x1.3a8e73a17e453p-3, -0x1.35f469003b35p-3, -0x1.3163b59f0b08dp-3, -0x1.2cdc74198442ap-3, -0x1.285ebdd774a13p-3, -0x1.23eaab0f82e81p-3, -0x1.1f8052c9df9b5p-3, -0x1.1b1fcae2ff688p-3, -0x1.16c9280e54ae8p-3, -0x1.127c7dd914746p-3, -0x1.0e39deacfb60bp-3, -0x1.0a015bd31b7c1p-3, -0x1.05d30576ac97ep-3, -0x1.01aeeaa7e2dccp-3, -0x1.fb2a32bda3539p-4, -0x1.f30b3cfcae7f2p-4, -0x1.eb010bae34057p-4, -0x1.e30bb4552ce9cp-4, -0x1.db2b4a5c7d8adp-4, -0x1.d35fdf1d6ed19p-4, -0x1.cba981e651994p-4, -0x1.c408400164f07p-4, -0x1.bc7c24bbf4a66p-4, -0x1.b505396db3a7ap-4, -0x1.ada385805e7c9p-4, -0x1.a6570e77a262cp-4, -0x1.9f1fd7f93cb3p-4, -0x1.97fde3d5650a9p-4, -0x1.90f1320f70fc2p-4, -0x1.89f9c0e6b3365p-4, -0x1.83178cdf926efp-4, -0x1.7c4a90ccd2443p-4, -0x1.7592c5d90a8f7p-4, -0x1.6ef3d2f75c23dp-4, -0x1.68666236807ddp-4, -0x1.61ee00f9e6f52p-4, -0x1.5b8aa252262f4p-4, -0x1.553c37dcf234fp-4, -0x1.4f02b1ce3f813p-4, -0x1.48ddfef9728d4p-4, -0x1.42ce0cda9909cp-4, -0x1.3cd2c79fa9402p-4, -0x1.36ec1a31c1a0fp-4, -0x1.3119ee3e698dep-4, -0x1.2b5c2c40cbfaep-4, -0x1.25b2bb8aed22ap-4, -0x1.201d824ed3636p-4, -0x1.1a9c65a7a69bfp-4, -0x1.152f49a2bea4dp-4, -0x1.0fd61148a19a8p-4, -0x1.0a909ea5eecd6p-4, -0x1.055ed2d436582p-4, -0x1.00408e02b86edp-4, -0x1.f66b5efe1dbb2p-5, -0x1.ec7c2b7b7c26ep-5, -0x1.e2b33cc554c2bp-5, -0x1.d9104c92ea986p-5, -0x1.cf93131b7d72bp-5, -0x1.c63b472691ce2p-5, -0x1.bd089e1c034e8p-5, -0x1.b3facc13de35bp-5, -0x1.ab1183e5fa92ap-5, -0x1.a24c77395ecb6p-5, -0x1.99ab569368cd7p-5, -0x1.912dd166b5cc2p-5, -0x1.88d39621d376bp-5, -0x1.809c523db1d85p-5, -0x1.7887b24bd90f3p-5, -0x1.7095620461156p-5, -0x1.68c50c53ae15p-5, -0x1.61165b67f1454p-5, -0x1.5988f8be67fc1p-5, -0x1.521c8d30610cap-5, -0x1.4ad0c10004928p-5, -0x1.43a53be4df38cp-5, -0x1.3c99a5182dd24p-5, -0x1.35ada360ef3d6p-5, -0x1.2ee0dd1fb8b65p-5, -0x1.2832f85a4a1fp-5, -0x1.21a39ac6e9487p-5, -0x1.1b3269d78002cp-5, -0x1.14df0ac47cf54p-5, -0x1.0ea92297757bp-5, -0x1.0890563593139p-5, -0x1.02944a69ba1a3p-5, -0x1.f96947dcf8d68p-6, -0x1.ede20eef95e3ep-6, -0x1.e2923378e20dap-6, -0x1.d778fefe99e9ep-6, -0x1.cc95bb30a6bbep-6, -0x1.c1e7b1faa0f14p-6, -0x1.b76e2d94ec965p-6, -0x1.ad287895490d8p-6, -0x1.a315ddff005f2p-6, -0x1.9935a9528f6dcp-6, -0x1.8f87269ce3343p-6, -0x1.8609a2861cfbp-6, -0x1.7cbc6a5fde39bp-6, -0x1.739ecc3325484p-6, -0x1.6ab016cdb1bd4p-6, -0x1.61ef99cf00a5bp-6, -0x1.595ca5b4c0393p-6, -0x1.50f68be6ea304p-6, -0x1.48bc9ec35f7p-6, -0x1.40ae31a915f01p-6, -0x1.38ca9902dc5e1p-6, -0x1.31112a51ad2aep-6, -0x1.29813c3695ecep-6, -0x1.221a267c32651p-6, -0x1.1adb421fc6677p-6, -0x1.13c3e959debb2p-6, -0x1.0cd377a6a0599p-6, -0x1.060949cda229ep-6, -0x1.fec97bd2e1c4ap-7, -0x1.f1ca66dd4a474p-7, -0x1.e51416654d163p-7, -0x1.d8a54ee40d3f5p-7, -0x1.cc7cd7ad0bc9fp-7, -0x1.c0997af976afbp-7, -0x1.b4fa05f2dd04dp-7, -0x1.a99d48bd0d351p-7, -0x1.9e82167f75ff6p-7, -0x1.93a7456dcada2p-7, -0x1.890baed01058ep-7, -0x1.7eae2f0a09899p-7, -0x1.748da5a20be9ep-7, -0x1.6aa8f54745381p-7, -0x1.60ff03d767dc1p-7, -0x1.578eba63ca93dp-7, -0x1.4e570536107f3p-7, -0x1.4556d3d431035p-7, -0x1.3c8d19040cf9dp-7, -0x1.33f8cace8a6c4p-7, -0x1.2b98e2822bdf3p-7, -0x1.236c5cb538b7ap-7, -0x1.1b7239476b531p-7, -0x1.13a97b63381a1p-7, -0x1.0c11297ea51cbp-7, -0x1.04a84d5bb2ebdp-7, -0x1.fadbe810da68dp-8, -0x1.ecc25bbd27d46p-8, -0x1.df021d05b266dp-8, -0x1.d19959c7b2c64p-8, -0x1.c4864671631e6p-8, -0x1.b7c71dfe7ab04p-8, -0x1.ab5a21f40dba1p-8, -0x1.9f3d9a5bd31f9p-8, -0x1.936fd5bec7614p-8, -0x1.87ef291f5299cp-8, -0x1.7cb9eff2c03f7p-8, -0x1.71ce8c1a52222p-8, -0x1.672b65dbb0265p-8, -0x1.5cceebd91fb61p-8, -0x1.52b79308d2b13p-8, -0x1.48e3d6ac302d1p-8, -0x1.3f52384677b21p-8, -0x1.36013f9312486p-8, -0x1.2cef7a7b6c745p-8, -0x1.241b7d0c808aap-8, -0x1.1b83e16c0589ap-8, -0x1.132747cd392e4p-8, -0x1.0b0456656fc49p-8, -0x1.0319b96030014p-8, -0x1.f6cc45a643a29p-9, -0x1.e7d0956396af4p-9, -0x1.d93ddd815ee55p-9, -0x1.cb11a5111f714p-9, -0x1.bd497e926fe7fp-9, -0x1.afe307d84d70ep-9, -0x1.a2dbe9edc66ebp-9, -0x1.9631d8fa701cap-9, -0x1.89e294265900cp-9, -0x1.7debe57d9bab6p-9, -0x1.724ba1d39ac3dp-9, -0x1.66ffa8a5da91ep-9, -0x1.5c05e3fe84f51p-9, -0x1.515c4856d8884p-9, -0x1.4700d478aeb4dp-9, -0x1.3cf19160683bap-9, -0x1.332c921e2fbabp-9, -0x1.29aff3b7143abp-9, -0x1.2079dd05f352bp-9, -0x1.17887e9bf8561p-9, -0x1.0eda12a11821ap-9, -0x1.066cdcb43fc8dp-9, -0x1.fc7e5396ab537p-10, -0x1.ec9ea026178f9p-10, -0x1.dd375d9d2f612p-10, -0x1.ce455c6e5e89ap-10, -0x1.bfc57eb6d617ep-10, -0x1.b1b4b7fd19e3fp-10, -0x1.a4100cefcd17cp-10, -0x1.96d493233ef64p-10, -0x1.89ff70d018fdep-10, -0x1.7d8ddc91263bep-10, -0x1.717d1d215f4dap-10, -0x1.65ca891a0624ep-10, -0x1.5a7386b0819f7p-10, -0x1.4f758b74bf19cp-10, -0x1.44ce1c0f332ep-10, -0x1.3a7acbff606e5p-10, -0x1.30793d5a75c45p-10, -0x1.26c7208a63082p-10, -0x1.1d62340c95c64p-10, -0x1.14484431e4e29p-10, -0x1.0b772ade2b2b9p-10, -0x1.02eccf48eead7p-10, -0x1.f54e4b7b702acp-11, -0x1.e5485ebb1f344p-11, -0x1.d5c3f3c1869afp-11, -0x1.c6bd3eb25507bp-11, -0x1.b8308bea4e1fdp-11, -0x1.aa1a3f8637d83p-11, -0x1.9c76d4eb9d496p-11, -0x1.8f42de5213373p-11, -0x1.827b044ec5638p-11, -0x1.761c0560987f5p-11, -0x1.6a22b57f44c44p-11, -0x1.5e8bfda9889ebp-11, -0x1.5354db771f906p-11, -0x1.487a60ab0ea44p-11, -0x1.3df9b2c87c551p-11, -0x1.33d00aa78e879p-11, -0x1.29fab40d71d17p-11, -0x1.20770d453bd96p-11, -0x1.174286ba8089dp-11, -0x1.0e5aa29578c31p-11, -0x1.05bcf458d2306p-11, -0x1.face4102636ddp-12, -0x1.eaadb84bc89d1p-12, -0x1.db13d93791525p-12, -0x1.cbfc4e31e9c0bp-12, -0x1.bd62e0b51d457p-12, -0x1.af437897d849dp-12, -0x1.a19a1b5d9fcb6p-12, -0x1.9462eb8d5d565p-12, -0x1.879a280535719p-12, -0x1.7b3c2b5708f7dp-12, -0x1.6f456b244d19ep-12, -0x1.63b2777dc63a7p-12, -0x1.587ffa46592aap-12, -0x1.4daab697c170cp-12, -0x1.432f882ab71c8p-12, -0x1.390b62c0f1161p-12, -0x1.2f3b5193bfc47p-12, -0x1.25bc76c14a397p-12, -0x1.1c8c0ac107b17p-12, -0x1.13a75bd6f7121p-12, -0x1.0b0bcd8b7e0f9p-12, -0x1.02b6d824cf3bbp-12, -0x1.f54c1046f7428p-13, -0x1.e5adfb7fae482p-13, -0x1.d68ed8d70775ep-13, -0x1.c7ea34a8195aep-13, -0x1.b9bbbfd210af5p-13, -0x1.abff4ec55b57bp-13, -0x1.9eb0d89922017p-13, -0x1.91cc7621c18ep-13, -0x1.854e610ef00fp-13, -0x1.7932f30bd0421p-13, -0x1.6d76a4e42397ep-13, -0x1.62160dae12c5fp-13, -0x1.570de1f652b9dp-13, -0x1.4c5af2f5d8ce4p-13, -0x1.41fa2dc2adb3ep-13, -0x1.37e89a8cace3dp-13, -0x1.2e235bdac9613p-13, -0x1.24a7adce6a862p-13, -0x1.1b72e566e2f06p-13, -0x1.12826fccac375p-13, -0x1.09d3d19ea40bap-13, -0x1.0164a6440f9d6p-13, -0x1.f2653e8152db1p-14, -0x1.e277071d6319dp-14, -0x1.d2fa5df50d247p-14, -0x1.c3eb2306bdd2bp-14, -0x1.b5455d7dc973bp-14, -0x1.a7053a80632eep-14, -0x1.99270c075e05ap-14, -0x1.8ba747b80b28cp-14, -0x1.7e8285c810969p-14, -0x1.71b57fe8100e2p-14, -0x1.653d10339d8e7p-14, -0x1.59163028b3d4p-14, -0x1.4d3df7a24c194p-14, -0x1.41b19be39700ep-14, -0x1.366e6e9886318p-14, -0x1.2b71dceb7d124p-14, -0x1.20b96e985d16ap-14, -0x1.163dca6974d43p-14, -0x1.0c06bb48387a1p-14, -0x1.020cff33b8af7p-14, -0x1.f09cfeb31b1c9p-15, -0x1.dd92767a02794p-15, -0x1.caf68fe237f5bp-15, -0x1.b8c59ea9f8baep-15, -0x1.a6fc1eae73bc3p-15, -0x1.9596b27e918c3p-15, -0x1.849221eeaab39p-15, -0x1.73eb58c05f982p-15, -0x1.639f654f9aa4ap-15, -0x1.53ab77480936dp-15, -0x1.440cde677e319p-15, -0x1.34c109444cee9p-15, -0x1.25c58423e6f41p-15, -0x1.1717f7d0f0c22p-15, -0x1.08b62880fc4e5p-15, -0x1.f53be97fa544ep-16, -0x1.d99aa8cb225acp-16, -0x1.be84af2982618p-16, -0x1.a3f64b6c46622p-16, -0x1.89ebf9133e01ep-16, -0x1.70625e755e4d5p-16, -0x1.57564af08e7fbp-16, -0x1.3ec4b52eb5db6p-16, -0x1.26aab9775c52cp-16, -0x1.0f059811a9572p-16, -0x1.efa5675252494p-17, -0x1.c21f1f9e4d90bp-17, -0x1.95739ef67303ep-17, -0x1.699e6741c46dep-17, -0x1.3e9b339a0856fp-17, -0x1.1465f5a7d5de7p-17, -0x1.d5f5a5ff82c58p-18, -0x1.84ac456b09e2ap-18, -0x1.34e8d5d9c05e4p-18, -0x1.cd497a1a7933cp-19, -0x1.33b36ba34f3c5p-19, -0x1.3a072eb5914a5p-20, -0x1.25d5a916c0decp-24, 0x1.0fac22e3dd904p-20, 0x1.1614da6966a3ap-19, 0x1.a197613d245f5p-19, 0x1.15336f597de32p-18, 0x1.58460c044d6e7p-18, 0x1.9a07b28276a5fp-18, 0x1.da7c5b6446cc9p-18, 0x1.0cd3e76a757fp-17, 0x1.2bc6d3d2f8393p-17, 0x1.4a18aafa052a4p-17, 0x1.67cb110b807f2p-17, 0x1.84df9791fe603p-17, 0x1.a157beae9fdfep-17, 0x1.bd34f64f81b7p-17, 0x1.d8789f587d6fap-17, 0x1.f3240cb70bed3p-17, 0x1.069c4237a7c19p-16, 0x1.135ba04e1e586p-16, 0x1.1fd0b832fc59ep-16, 0x1.2bfc1c7282e3p-16, 0x1.37de5b0595f25p-16, 0x1.4377fdbab590cp-16, 0x1.4ec98a94309cdp-16, 0x1.59d38434d3abcp-16, 0x1.64966a337d18ep-16, 0x1.6f12b977f5386p-16, 0x1.7948ec80f139fp-16, 0x1.83397bc68323dp-16, 0x1.8ce4ddf829cddp-16, 0x1.964b88469cf07p-16, 0x1.9f6deea6ad4ecp-16, 0x1.a84c8414e3d47p-16, 0x1.b0e7bacd3b8bep-16, 0x1.b940047e72705p-16, 0x1.c155d28fdeeaep-16, 0x1.c92996484aa75p-16, 0x1.d0bbc1013e5a6p-16, 0x1.d80cc44ce797bp-16, 0x1.df1d122b52e9p-16, 0x1.e5ed1d294f67bp-16, 0x1.ec7d58881b41bp-16, 0x1.f2ce385840e66p-16, 0x1.f8e0319f50e7fp-16, 0x1.feb3ba730a191p-16, 0x1.0224a505e0b2dp-15, 0x1.04d0ac6f8dd89p-15, 0x1.075e305703638p-15, 0x1.09cd6e4d50cc3p-15, 0x1.0c1ea4960dep-15, 0x1.0e52122f6684ep-15, 0x1.1067f6d2ce262p-15, 0x1.126092f6e72c6p-15, 0x1.143c27cf5aff9p-15, 0x1.15faf74b90b9ap-15, 0x1.179d4414a7c6cp-15, 0x1.1923518982c3ep-15, 0x1.1a8d63b61ea51p-15, 0x1.1bdbbf5a26b1ap-15, 0x1.1d0ea9d9a7772p-15, 0x1.1e26693e8ae42p-15, 0x1.1f23443477ea9p-15, 0x1.2005820870dcfp-15, 0x1.20cd6aa5a3608p-15, 0x1.217b469a8a65dp-15, 0x1.220f5f1d6163ap-15, 0x1.2289fe0f9d2bcp-15, 0x1.22eb6e07f1871p-15, 0x1.2333fa5a48ccep-15, }}, 
      {{0x1.9849cbc3f4805p-3, 0x1.8dbdab1b8f7d8p-2, 0x1.1f087934f7b52p-1, 0x1.6cb6d33148dfp-1, 0x1.af1db3d0c7734p-1, 0x1.e627b106a1779p-1, 0x1.091cb98db88c6p+0, 0x1.1a03b6f6eb6edp+0, 0x1.263a82568df7cp+0, 0x1.2e3f120e9e23ep+0, 0x1.329352bb0ddd9p+0, 0x1.33b786808b766p+0, 0x1.322660f06e5c4p+0, 0x1.2e52b564e81d2p+0, 0x1.28a5e4682c4d2p+0, 0x1.217f6177c00ep+0, 0x1.19346c1ac2154p+0, 0x1.10105e0b8ad16p+0, 0x1.06550f5b66b97p+0, 0x1.f876e28c74203p-1, 0x1.e3e8a7713e303p-1, 0x1.cf524405b7b4p-1, 0x1.baf9267ff5051p-1, 0x1.a7168f8855d27p-1, 0x1.93d8fdf0b5a89p-1, 0x1.8165c7b165c37p-1, 0x1.6fda0779a2e59p-1, 0x1.5f4b79f09eb42p-1, 0x1.4fc9d1cb99563p-1, 0x1.415f9e1182418p-1, 0x1.34126e58c7badp-1, 0x1.27e38d7db4654p-1, 0x1.1cd1d12b1bfeep-1, 0x1.12d903cd04339p-1, 0x1.09f2987b0f80dp-1, 0x1.021625e4dd6bep-1, 0x1.f673a8a22899cp-2, 0x1.eaa55999b2cbcp-2, 0x1.e0a9a91b6e37fp-2, 0x1.d8678c8d344ebp-2, 0x1.d1c51836e82bcp-2, 0x1.cca7e5372dc4p-2, 0x1.c8f5627aa15d9p-2, 0x1.c693160b59613p-2, 0x1.c566d3c31c265p-2, 0x1.c556e9c9fd957p-2, 0x1.c64a43f13fc2bp-2, 0x1.c82889df0dffdp-2, 0x1.cada3b2564b6fp-2, 0x1.ce48c8592a055p-2, 0x1.d25ea5b0b0bd6p-2, 0x1.d70754e326f8fp-2, 0x1.dc2f673734bdp-2, 0x1.e1c47affba1e3p-2, 0x1.e7b537e16a22dp-2, 0x1.edf14bb6bbcc9p-2, 0x1.f469681fdb0e8p-2, 0x1.fb0f3fd876551p-2, 0x1.00eac1881a218p-1, 0x1.0457ed58eb933p-1, 0x1.07c9717726685p-1, 0x1.0b3a128b5f569p-1, 0x1.0ea2aea600378p-1, 0x1.1203d2e9ea0d8p-1, 0x1.1557072244d66p-1, 0x1.1898b00f1511p-1, 0x1.1bc58f6a4d721p-1, 0x1.1edabcca19b15p-1, 0x1.21d59ecac1c26p-1, 0x1.24b3e5386ea87p-1, 0x1.27738483a2627p-1, 0x1.2a12b25f6d109p-1, 0x1.2c8fe31ad56adp-1, 0x1.2ee9c7281dcc6p-1, 0x1.311f48565fe19p-1, 0x1.332f867709e9cp-1, 0x1.3519d36ae3185p-1, 0x1.36ddaeca7c408p-1, 0x1.387ac17d0ed8cp-1, 0x1.39f0d991aeddep-1, 0x1.3b3fe696a1272p-1, 0x1.3c67f68574686p-1, 0x1.3d693335feca2p-1, 0x1.3e43e03208313p-1, 0x1.3ef858bc4e106p-1, 0x1.3f870de60ce66p-1, 0x1.3ff0849f900e1p-1, 0x1.403553c21f415p-1, 0x1.4056221de0892p-1, 0x1.4053a49a73d57p-1, 0x1.402e9c769fc92p-1, 0x1.3fe7d5ad5f5aap-1, 0x1.3f8025806aacfp-1, 0x1.3ef86923d4907p-1, 0x1.3e5184843b5aap-1, 0x1.3d8c6120f402bp-1, 0x1.3ca9ecf4d18f5p-1, 0x1.3bab196a142bap-1, 0x1.3a90da58231efp-1, 0x1.395c250bc355dp-1, 0x1.380def5c296a5p-1, 0x1.36a72ed08dfa9p-1, 0x1.3528d7da7aeafp-1, 0x1.3393dd28f7b5ep-1, 0x1.31e92f17c0aa6p-1, 0x1.3029bb3c04a58p-1, 0x1.2e566c0db8ed8p-1, 0x1.2c7028a9f6fbdp-1, 0x1.2a77d4a8778a8p-1, 0x1.286e4ffcb93adp-1, 0x1.265476db32875p-1, 0x1.242b219c19919p-1, 0x1.21f32497abb6ep-1, 0x1.1fad4ffac96b3p-1, 0x1.1d5a6f95912dbp-1, 0x1.1afb4aa7bc538p-1, 0x1.1890a3af78708p-1, 0x1.161b383f4835cp-1, 0x1.139bc0de44838p-1, 0x1.1112f0f45b51p-1, 0x1.0e8176c24df72p-1, 0x1.0be7fb6398458p-1, 0x1.094722d773817p-1, 0x1.069f8c0dc3edap-1, 0x1.03f1d0f512615p-1, 0x1.013e868773e02p-1, 0x1.fd0d5f92b1bf3p-2, 0x1.f7941f3e76603p-2, 0x1.f212fbf2d553fp-2, 0x1.ec8af4c065568p-2, 0x1.e6fcffa4ad4a6p-2, 0x1.e16a09ed277bap-2, 0x1.dbd2f89010e2ep-2, 0x1.d638a878307d3p-2, 0x1.d09beec2626b2p-2, 0x1.cafd98ed343f7p-2, 0x1.c55e6cfc2e24bp-2, 0x1.bfbf299156674p-2, 0x1.ba208600085b4p-2, 0x1.b483325c783c9p-2, 0x1.aee7d78b0cd69p-2, 0x1.a94f175251b73p-2, 0x1.a3b98c71ab336p-2, 0x1.9e27cabe3b7a9p-2, 0x1.989a5f46b2c12p-2, 0x1.9311d07e15828p-2, 0x1.8d8e9e6ceebfcp-2, 0x1.881142e7eb308p-2, 0x1.829a31ca8d632p-2, 0x1.7d29d93474b05p-2, 0x1.77c0a1c7aa4e8p-2, 0x1.725eeee6659e1p-2, 0x1.6d051eeef2637p-2, 0x1.67b38b7493978p-2, 0x1.626a89747efa7p-2, 0x1.5d2a69866d092p-2, 0x1.57f378087fc1dp-2, 0x1.52c5fd468ebb7p-2, 0x1.4da23d9d347b9p-2, 0x1.4888799925d0fp-2, 0x1.4378ee1387166p-2, 0x1.3e73d44c03824p-2, 0x1.397962017297p-2, 0x1.3489c989bf237p-2, 0x1.2fa539e9b531cp-2, 0x1.2acbdeed2cc2dp-2, 0x1.25fde13fea9ddp-2, 0x1.213b6687624e4p-2, 0x1.1c84917d59cp-2, 0x1.17d9820b58ed9p-2, 0x1.133a5566ac02fp-2, 0x1.0ea7262cb4395p-2, 0x1.0a200c7f2aa11p-2, 0x1.05a51e200af48p-2, 0x1.01366e8cc4d2cp-2, 0x1.f9a81e30d760fp-3, 0x1.f0fc1e094e197p-3, 0x1.e868f7324ff19p-3, 0x1.dfeec07314e53p-3, 0x1.d78d8cf31ae87p-3, 0x1.cf456c5f3fed2p-3, 0x1.c7166b0baac03p-3, 0x1.bf009212b400ap-3, 0x1.b703e77122c08p-3, 0x1.af206e201303ep-3, 0x1.a756262cea638p-3, 0x1.9fa50ccfca89ap-3, 0x1.980d1c80e0886p-3, 0x1.908e4d0cf1cb1p-3, 0x1.892893a97db7ap-3, 0x1.81dbe308b97dcp-3, 0x1.7aa82b6d9bba9p-3, 0x1.738d5ac0230bcp-3, 0x1.6c8b5ca1f2d67p-3, 0x1.65a21a8345601p-3, 0x1.5ed17bb83a43dp-3, 0x1.5819658e6de95p-3, 0x1.5179bb62c4e15p-3, 0x1.4af25eb74393p-3, 0x1.44832f48e7ab4p-3, 0x1.3e2c0b253f93fp-3, 0x1.37eccebfc2959p-3, 0x1.31c55506aa4fdp-3, 0x1.2bb5777743da9p-3, 0x1.25bd0e319fef2p-3, 0x1.1fdbf00b88977p-3, 0x1.1a11f2a2b71c3p-3, 0x1.145eea6e3de08p-3, 0x1.0ec2aacf2ef8ap-3, 0x1.093d06207166dp-3, 0x1.03cdcdc5d93b8p-3, 0x1.fce9a47516c51p-4, 0x1.f263c63d5c013p-4, 0x1.e8099e88fa3e7p-4, 0x1.dddac979a1b3cp-4, 0x1.d3d6e1c632e39p-4, 0x1.c9fd80d1d7576p-4, 0x1.c04e3ec2392ddp-4, 0x1.b6c8b2950c7ebp-4, 0x1.ad6c7234dac01p-4, 0x1.a439128d48784p-4, 0x1.9b2e279eb20d4p-4, 0x1.924b449159382p-4, 0x1.898ffbc80da69p-4, 0x1.80fbdef258005p-4, 0x1.788e7f1e3428fp-4, 0x1.70476cc9562a7p-4, 0x1.682637f1fb03fp-4, 0x1.602a7027466b1p-4, 0x1.5853a4992f421p-4, 0x1.50a16427f710dp-4, 0x1.49133d7331144p-4, 0x1.41a8bee85531ap-4, 0x1.3a6176d0e57d8p-4, 0x1.333cf36022a4ap-4, 0x1.2c3ac2c053f6dp-4, 0x1.255a731fa74c1p-4, 0x1.1e9b92bca67b5p-4, 0x1.17fdaff24b012p-4, 0x1.11805943b05d2p-4, 0x1.0b231d67679d9p-4, 0x1.04e58b5271051p-4, 0x1.fd8e6485bd379p-5, 0x1.f18f439441737p-5, 0x1.e5ccd3ae0457fp-5, 0x1.da46357ea625fp-5, 0x1.cefa8a928e1a6p-5, 0x1.c3e8f5690a8c1p-5, 0x1.b9109985df5ebp-5, 0x1.ae709b823fa2bp-5, 0x1.a408211d30f72p-5, 0x1.99d6514b622fbp-5, 0x1.8fda54466f9c3p-5, 0x1.8613539b943e4p-5, 0x1.7c835865a01bap-5, 0x1.7323dd613dd1ep-5, 0x1.69f6e1c9e6aafp-5, 0x1.60fb951f20b09p-5, 0x1.5831287565dc3p-5, 0x1.4f96ce8101c4bp-5, 0x1.472bbba06b003p-5, 0x1.3eef25e624e5bp-5, 0x1.36e04522213cap-5, 0x1.2efe52eaa82f3p-5, 0x1.27488aa4c2476p-5, 0x1.1fbe298c29086p-5, 0x1.185e6ebabe264p-5, 0x1.11289b2f89b3dp-5, 0x1.0a1bf1d542ccep-5, 0x1.0337b78860464p-5, 0x1.f8f666397511p-6, 0x1.ebcb5ac570823p-6, 0x1.deece2581ed2ep-6, 0x1.d25996a02fa6ap-6, 0x1.c610155f6c88p-6, 0x1.ba0f0071c1a55p-6, 0x1.ae54fdd37a7b3p-6, 0x1.a2e0b7a6c29cep-6, 0x1.97b0dc3866611p-6, 0x1.8cc41e03df6a4p-6, 0x1.821933b6b1f6ap-6, 0x1.77aed8331d153p-6, 0x1.6d83ca922dee5p-6, 0x1.6396ce252c464p-6, 0x1.59e6aa767339dp-6, 0x1.50722b49b79c4p-6, 0x1.4738209bbe14bp-6, 0x1.3e375ea188b6ap-6, 0x1.356ebdc70488ep-6, 0x1.2cdd1aad34ddep-6, 0x1.24815627e7befp-6, 0x1.1c5a553af2b82p-6, 0x1.14670116ff0bfp-6, 0x1.0ca64715ed0ebp-6, 0x1.051718b6c9ba7p-6, 0x1.fb70d732c7b77p-7, 0x1.ed1272f301adp-7, 0x1.df11005364d73p-7, 0x1.d16a831ba7a7ep-7, 0x1.c41d072a67a5dp-7, 0x1.b726a068d77f6p-7, 0x1.aa856abdd24dap-7, 0x1.9e378a004cfdep-7, 0x1.923b29e95183ap-7, 0x1.868e7e05529p-7, 0x1.7b2fc1a517239p-7, 0x1.701d37ce1acc3p-7, 0x1.65552b2a76421p-7, 0x1.5ad5edf866e8fp-7, 0x1.509dd9f95a781p-7, 0x1.46ab5060a0fb8p-7, 0x1.3cfcb9c1b8854p-7, 0x1.339085fe4be19p-7, 0x1.2a652c33cfe84p-7, 0x1.21792aa8d79eap-7, 0x1.18cb06ba22aeep-7, 0x1.10594cc761fd3p-7, 0x1.0822901fc2641p-7, 0x1.00256aee356fbp-7, 0x1.f0c0fc4b21ba1p-8, 0x1.e1a4e2d8eb994p-8, 0x1.d2f3e6120db08p-8, 0x1.c4ab6f99017cp-8, 0x1.b6c8f5fd56267p-8, 0x1.a949fc924dd1bp-8, 0x1.9c2c1345529e4p-8, 0x1.8f6cd67429d5fp-8, 0x1.8309eec3143a7p-8, 0x1.770110f2b920ep-8, 0x1.6b4ffdb6160ecp-8, 0x1.5ff481883fe4ap-8, 0x1.54ec74822c336p-8, 0x1.4a35ba306d9e1p-8, 0x1.3fce4168f4bcep-8, 0x1.35b40420ddab2p-8, 0x1.2be5074246969p-8, 0x1.225f5a8237c27p-8, 0x1.19211836b2629p-8, 0x1.1028652cc79fep-8, 0x1.0773707eeef25p-8, 0x1.fe00e6d6d75adp-9, 0x1.ed9b6255deb3p-9, 0x1.ddb2ed8edd6ecp-9, 0x1.ce4435e635061p-9, 0x1.bf4bfbbf55ef4p-9, 0x1.b0c7122bb6e9ep-9, 0x1.a2b25e9a4e552p-9, 0x1.950ad887b2b7bp-9, 0x1.87cd892e967a9p-9, 0x1.7af78b392321bp-9, 0x1.6e860a72b828cp-9, 0x1.6276437a72d95p-9, 0x1.56c5837647eeap-9, 0x1.4b7127c6e3f23p-9, 0x1.40769dbc2668p-9, 0x1.35d3624a69547p-9, 0x1.2b8501c087998p-9, 0x1.2189177e89f5fp-9, 0x1.17dd4dad42252p-9, 0x1.0e7f5cf6878fep-9, 0x1.056d0c3e4718dp-9, 0x1.f94860b906936p-10, 0x1.e84557affe26cp-10, 0x1.d7ccdd437cf46p-10, 0x1.c7daeba2dc21bp-10, 0x1.b86b96c538ddbp-10, 0x1.a97b0be585a21p-10, 0x1.9b05910066d22p-10, 0x1.8d078453b2301p-10, 0x1.7f7d5bdfc070bp-10, 0x1.7263a4ea391dbp-10, 0x1.65b703831a6bdp-10, 0x1.5974320ae14cbp-10, 0x1.4d9800bae7d48p-10, 0x1.421f552f33cabp-10, 0x1.370729f22cbeap-10, 0x1.2c4c8e0a0db6fp-10, 0x1.21eca487e693p-10, 0x1.17e4a4188a907p-10, 0x1.0e31d6971c065p-10, 0x1.04d198a1581e7p-10, 0x1.f782b25b3029ep-11, 0x1.e5fd3244ca68ep-11, 0x1.d50dd5e01e42dp-11, 0x1.c4afe45707db7p-11, 0x1.b4dec65650043p-11, 0x1.a596054a4dbbdp-11, 0x1.96d14a9efe36dp-11, 0x1.888c5f0338eb1p-11, 0x1.7ac329af6686p-11, 0x1.6d71afaee809ap-11, 0x1.6094132d2af08p-11, 0x1.542692c5905ecp-11, 0x1.482588d6ba6c4p-11, 0x1.3c8d6ad86c153p-11, 0x1.315ac8b4f877fp-11, 0x1.268a4c2550a9ep-11, 0x1.1c18b81055696p-11, 0x1.1202e7ecbd44ap-11, 0x1.0845cf264ccdep-11, 0x1.fdbcf10ae5b34p-12, 0x1.eb940b34545e6p-12, 0x1.da0b5c5299175p-12, 0x1.c91d7f396c71cp-12, 0x1.b8c538ec929b8p-12, 0x1.a8fd778b4b9f9p-12, 0x1.99c1513fd557ep-12, 0x1.8b0c03368a13ep-12, 0x1.7cd8f097df962p-12, 0x1.6f23a1888311ep-12, 0x1.61e7c22e6c868p-12, 0x1.552121bb509a9p-12, 0x1.48cbb17adf3ep-12, 0x1.3ce383e70beeap-12, 0x1.3164cbc0a812cp-12, 0x1.264bdb2cbbf23p-12, 0x1.1b9522d682d59p-12, 0x1.113d3116a61eep-12, 0x1.0740b11dfe00fp-12, 0x1.fb38d44c77bf3p-13, 0x1.e89a7d4aa7667p-13, 0x1.d6a0570f5a37dp-13, 0x1.c5448ed945c1ap-13, 0x1.b48183d1614bbp-13, 0x1.a451c595b0ad5p-13, 0x1.94b012d01799ep-13, 0x1.859757d10001dp-13, 0x1.7702ad35fa81bp-13, 0x1.68ed56978efbbp-13, 0x1.5b52c13e9689fp-13, 0x1.4e2e82e268715p-13, 0x1.417c586e627c7p-13, 0x1.353824cfc725p-13, 0x1.295defcaa9ae3p-13, 0x1.1de9e4d7c592bp-13, 0x1.12d85207390c2p-13, 0x1.0825a6ede6155p-13, 0x1.fb9ce72fafb2ap-14, 0x1.e79ecf04548c3p-14, 0x1.d44aa13848fbcp-14, 0x1.c19a349e7e011p-14, 0x1.af87991b6c239p-14, 0x1.9e0d15cfcbc3fp-14, 0x1.8d25274f29936p-14, 0x1.7cca7de509adep-14, 0x1.6cf7fbe1edc29p-14, 0x1.5da8b3fd3b34ap-14, 0x1.4ed7e7b86a2dbp-14, 0x1.408105d4b47e3p-14, 0x1.329fa8d20e365p-14, 0x1.252f9578921adp-14, 0x1.182cb96d686dbp-14, 0x1.0b9329d1f1a8p-14, 0x1.febe43d9299ffp-15, 0x1.e71a03b815b6dp-15, 0x1.d0329aab4fd5fp-15, 0x1.ba0154d37c61fp-15, 0x1.a47fc0a7f6259p-15, 0x1.8fa7aca7f524dp-15, 0x1.7b73251e3ad39p-15, 0x1.67dc71f166bap-15, 0x1.54de148c8d05bp-15, 0x1.4272c5cb88f3p-15, 0x1.30957408602dp-15, 0x1.1f414127bf3c9p-15, 0x1.0e7180bea212cp-15, 0x1.fc436c7cec86dp-16, 0x1.dc9b26734d9aap-16, 0x1.bde1eb531b4d7p-16, 0x1.a00fcc987416ap-16, 0x1.831d2e12f6a26p-16, 0x1.6702c2ccfae27p-16, 0x1.4bb98a0fcbefcp-16, 0x1.313acc70ae70ap-16, 0x1.1780190aa76f9p-16, 0x1.fd068571714b3p-17, 0x1.cc7cbafcc04fbp-17, 0x1.9d5777e82a46bp-17, 0x1.6f8bd99141924p-17, 0x1.430f70ca71cc3p-17, 0x1.17d83d2b6ce64p-17, 0x1.dbb9513db20ffp-18, 0x1.8a27061478b45p-18, 0x1.3ae7fc3b640a7p-18, 0x1.dbd6a53a6c663p-19, 0x1.4641b799e4f74p-19, 0x1.69e459f5d0a64p-20, 0x1.3e52640769d2cp-22, -0x1.85499ca63a386p-21, -0x1.ccfe7a9507cd5p-20, -0x1.67d6644a93217p-19, -0x1.e570f6548797cp-19, -0x1.2fb382bd7309ep-18, -0x1.6ae7d3c8e51fep-18, -0x1.a46080bcc7d3fp-18, -0x1.dc28290373384p-18, -0x1.09247f20cc10ep-17, -0x1.236664b5f9d81p-17, -0x1.3cde77d1adb63p-17, -0x1.55913b72f27d6p-17, -0x1.6d830541836c7p-17, -0x1.84b7ffc715acep-17, -0x1.9b342c76b3f43p-17, -0x1.b0fb65b4bcd9p-17, -0x1.c61160c32b3c2p-17, -0x1.da79af8bdb403p-17, -0x1.ee37c27b3b18fp-17, -0x1.00a77511cfc86p-16, -0x1.09e12c6e9348dp-16, -0x1.12ca923589f63p-16, -0x1.1b5f7e8c176b2p-16, -0x1.23ac8e6290c88p-16, -0x1.2bada1cc8b77dp-16, -0x1.336411b058c94p-16, -0x1.3ad12c0b6ebfdp-16, -0x1.41f6348c5f92dp-16, -0x1.48d46520f8ff7p-16, -0x1.4f6cee87887dp-16, -0x1.55c0f8c91c037p-16, -0x1.5bd1a3c6834bcp-16, -0x1.61a007a79fb54p-16, -0x1.672d355207d3dp-16, -0x1.6c7a36d52d67ep-16, -0x1.71880fd24344bp-16, -0x1.7657bde1f6ed7p-16, -0x1.7aea38ee0096fp-16, -0x1.7f40738d9f1e5p-16, -0x1.835b5b5ed80e5p-16, -0x1.873bd94f3b3bap-16, -0x1.8ae2d1e1ee4cbp-16, -0x1.8e512587fe3cdp-16, -0x1.9187b0dc3ebb2p-16, -0x1.94874ce14315fp-16, -0x1.9750cf3f04493p-16, -0x1.99e50a7dd069p-16, -0x1.9c44ce3ae9cd1p-16, -0x1.9e70e75908bfdp-16, -0x1.a06a2032b2feap-16, -0x1.a23140c4bafb3p-16, -0x1.a3c70ed6e0a6ap-16, -0x1.a52c4e254f74p-16, -0x1.a661c081e66f5p-16, -0x1.a76825f8288dfp-16, -0x1.a8403cea5a518p-16, -0x1.a8eac22ff5b19p-16, -0x1.a96871309c2dfp-16, -0x1.a9ba03fb16a2ap-16, -0x1.a9e0335af9c99p-16, -0x1.a9dbb6f9cbbb9p-16, -0x1.a9ad455c617a7p-16, -0x1.a9559405043fep-16, -0x1.a8d5577dc3d74p-16, -0x1.a82d436926e93p-16, -0x1.a75e0a8521bfdp-16, -0x1.a6685ec2c986ap-16, -0x1.a54cf14ccd9d8p-16, -0x1.a40c728d2b7bep-16, -0x1.a2a79236aea22p-16, -0x1.a11eff49c0c93p-16, -0x1.9f73681c4a0e4p-16, -0x1.9da57a5c254a6p-16, -0x1.9bb5e313d145cp-16, -0x1.99a54eab189cdp-16, -0x1.977468eb9c09dp-16, -0x1.9523dcfe8e54ep-16, -0x1.92b4556fd148dp-16, -0x1.90267c2bd88c1p-16, -0x1.8d7afa7ef7a57p-16, -0x1.8ab279132e7e6p-16, -0x1.87cd9fefae2b2p-16, -0x1.84cd1674a5d11p-16, -0x1.81b183578501fp-16, -0x1.7e7b8c9f001e2p-16, -0x1.7b2bd7a56c2c4p-16, -0x1.77c3090a38ad7p-16, -0x1.7441c4b3d0f58p-16, -0x1.70a8adcbc54d5p-16, -0x1.6cf866afb1c76p-16, -0x1.693190f9f750ap-16, -0x1.6554cd742cac7p-16, -0x1.6162bc10e6b49p-16, -0x1.5d5bfbe7dafebp-16, -0x1.59412b2f62efap-16, -0x1.5512e737ff21cp-16, -0x1.50d1cc5cb327ap-16, -0x1.4c7e760bf841fp-16, -0x1.48197eb829b4cp-16, -0x1.43a37fd197f78p-16, -0x1.3f1d11c013b4bp-16, -0x1.3a86cbdefe6c5p-16, -0x1.35e14474dfee6p-16, -0x1.312d10ae53281p-16, -0x1.2c6ac4942aae9p-16, -0x1.279af307c7ffcp-16, -0x1.22be2dc3b4fd6p-16, -0x1.1dd5054610b66p-16, -0x1.18e008d53fe1ap-16, -0x1.13dfc675f3dd9p-16, -0x1.0ed4cae7ee07p-16, -0x1.09bfa1996da13p-16, -0x1.04a0d4a840ef3p-16, -0x1.fef1d9aef2abcp-17, -0x1.f490e30fc6323p-17, -0x1.ea1fd16e5a5efp-17, -0x1.df9fade73d022p-17, -0x1.d5117eb45ab4bp-17, -0x1.ca7647203d325p-17, -0x1.bfcf07744e477p-17, -0x1.b51cbcf1ccefap-17, -0x1.aa6061cf2c512p-17, -0x1.9f9aed23ce263p-17, -0x1.94cd52e63e37ep-17, -0x1.89f883e56f8adp-17, -0x1.7f1d6db09745cp-17, -0x1.743cfaabc8c02p-17, -0x1.695811fae90a8p-17, -0x1.5e6f978e9bd11p-17, -0x1.53846c0a768f2p-17, -0x1.48976cd9a48adp-17, }}, 
      {{-0x1.2bc6dee2c2c9fp-3, -0x1.d78bcd797c7e3p-3, -0x1.5d05f0ff25156p-2, -0x1.d99150e9c7b03p-2, -0x1.2b4741b9073cfp-1, -0x1.6675d84d3f2c9p-1, -0x1.9c27716e5f953p-1, -0x1.cb27800ad1b44p-1, -0x1.f2f1118127636p-1, -0x1.09bc285697c23p+0, -0x1.16813ddba37ep+0, -0x1.20045b13d13acp+0, -0x1.269134f2cf241p+0, -0x1.2a7b31b8a3b2p+0, -0x1.2c17d10aeabe6p+0, -0x1.2bbb0aa75706p+0, -0x1.29b4e378dcae8p+0, -0x1.264fcba42e1f3p+0, -0x1.21cfd224f19ffp+0, -0x1.1c724578cc304p+0, -0x1.166d9ee0831d9p+0, -0x1.0ff1a98948c1dp+0, -0x1.0927e4c050577p+0, -0x1.0233f11005a45p+0, -0x1.f66815da1ea76p-1, -0x1.e8832e3107503p-1, -0x1.dae2ffabbe3cp-1, -0x1.cda946c406b43p-1, -0x1.c0f0ef7b720d4p-1, -0x1.b4cf01ca19197p-1, -0x1.a953045cd6a3fp-1, -0x1.9e87f2aae9aa5p-1, -0x1.9474ace0d18ccp-1, -0x1.8b1cc0d7d9c64p-1, -0x1.8280edc28de28p-1, -0x1.7a9f8ca995549p-1, -0x1.7374f0831275ep-1, -0x1.6cfbc99861b26p-1, -0x1.672d7f257cde5p-1, -0x1.620275b692148p-1, -0x1.5d7248b6e965dp-1, -0x1.59740087f05e2p-1, -0x1.55fe45c7c4be6p-1, -0x1.53078ca20e376p-1, -0x1.50863580d734fp-1, -0x1.4e70a5b0b1431p-1, -0x1.4cbd5c55af55p-1, -0x1.4b63060820dfcp-1, -0x1.4a588ee8b6c65p-1, -0x1.4995320563b88p-1, -0x1.491085302d7dcp-1, -0x1.48c281124c3f9p-1, -0x1.48a385f2765a7p-1, -0x1.48ac5e237c6e2p-1, -0x1.48d63f27252c6p-1, -0x1.491aca3803507p-1, -0x1.49740c6329194p-1, -0x1.49dc7df84d065p-1, -0x1.4a4f010e34fbfp-1, -0x1.4ac6df1877f64p-1, -0x1.4b3fc5d291952p-1, -0x1.4bb5c3d90aac3p-1, -0x1.4c23e7e4dd5p-1, -0x1.4c89ae8cd0332p-1, -0x1.4ce2ee545607dp-1, -0x1.4d2d0def9729ap-1, -0x1.4d65bc2292ecep-1, -0x1.4d8aed87d07f1p-1, -0x1.4d9ada47373cdp-1, -0x1.4d93fb1e85fbp-1, -0x1.4d750591994b5p-1, -0x1.4d3ce77f54addp-1, -0x1.4ceac28ac97f1p-1, -0x1.4c7de7c123c47p-1, -0x1.4bf5d3b7a6806p-1, -0x1.4b522b272ad4cp-1, -0x1.4a92b7e4738d7p-1, -0x1.49b7660856964p-1, -0x1.48c04124de162p-1, -0x1.47ad717970d4fp-1, -0x1.467f392bf0586p-1, -0x1.4535f197f7777p-1, -0x1.43d208c6532d6p-1, -0x1.4253ff188c5cfp-1, -0x1.40bc652b94aa4p-1, -0x1.3f0bd9ed7e974p-1, -0x1.3d4308de86a3p-1, -0x1.3b62a8756556dp-1, -0x1.396b78a087f09p-1, -0x1.375e415fe5e96p-1, -0x1.353bd174e12ep-1, -0x1.3304fd26d1a14p-1, -0x1.30ba9d1b8e681p-1, -0x1.2e5d8d43a9c9bp-1, -0x1.2beeabda06cddp-1, -0x1.296ed8761bf81p-1, -0x1.26def32faca0dp-1, -0x1.243fdbd2811b4p-1, -0x1.21927120bd981p-1, -0x1.1ed79023140ecp-1, -0x1.1c101386f3b2fp-1, -0x1.193cd30bc471dp-1, -0x1.165ea300ec6cap-1, -0x1.137653d68b5d3p-1, -0x1.1084b1c2804a7p-1, -0x1.0d8a847a4a773p-1, -0x1.0a888f00e7a9fp-1, -0x1.077f8f86316d4p-1, -0x1.04703f53b61e5p-1, -0x1.015b52c2331f8p-1, -0x1.fc82f2656588ap-2, -0x1.f646ba0e6a114p-2, -0x1.f00347309a549p-2, -0x1.e9b9da4e13724p-2, -0x1.e36ba998820fp-2, -0x1.dd19e0cf44e68p-2, -0x1.d6c5a122e4f57p-2, -0x1.d070012340bep-2, -0x1.ca1a0cbc13e02p-2, -0x1.c3c4c541456bap-2, -0x1.bd71218a104e9p-2, -0x1.b7200e183ba29p-2, -0x1.b0d26d4798a2p-2, -0x1.aa891781ae39p-2, -0x1.a444db721481cp-2, -0x1.9e067e39097fp-2, -0x1.97cf4dae71c7dp-2, -0x1.919ef95142bbdp-2, -0x1.8b769725eaffbp-2, -0x1.8556c5bc04aa6p-2, -0x1.7f401b3da314ep-2, -0x1.793325ce7ac0cp-2, -0x1.73306be4b966fp-2, -0x1.6d386c9944cd8p-2, -0x1.674b9fee1bd15p-2, -0x1.616a770ac5d8bp-2, -0x1.5b955c6f993c4p-2, -0x1.55ccb421655a2p-2, -0x1.5010dbcf81942p-2, -0x1.4a622af67c163p-2, -0x1.44c0f30195311p-2, -0x1.3f2d7f6cf60fbp-2, -0x1.39a815ea2cd92p-2, -0x1.3430f687fe0a5p-2, -0x1.2ec85bde17c63p-2, -0x1.296e7b3cb7d0bp-2, -0x1.242384dfefc4ep-2, -0x1.1ee7a425d9cc2p-2, -0x1.19baffc6e17fap-2, -0x1.149dba0f1278bp-2, -0x1.0f8ff11765ff9p-2, -0x1.0a91befe0b0bep-2, -0x1.05a33a1cb7926p-2, -0x1.00c4753c4987p-2, -0x1.f7eaff8a487d3p-3, -0x1.ee6ccbd7d3bc4p-3, -0x1.e50e61b4f06dp-3, -0x1.dbcfcdaa610efp-3, -0x1.d2b116b9a818dp-3, -0x1.c9b23e9aa7c36p-3, -0x1.c0d341f433ecbp-3, -0x1.b8141890ab272p-3, -0x1.af74b58fa9651p-3, -0x1.a6f50795ecd8p-3, -0x1.9e94f8fc3e5e4p-3, -0x1.96546ffe2447bp-3, -0x1.8e334ee8bf53ap-3, -0x1.8631744a3b75p-3, -0x1.7e4ebb21c4871p-3, -0x1.768afb0ffe125p-3, -0x1.6ee60887b6e1bp-3, -0x1.675fb4fe83f68p-3, -0x1.5ff7cf1cd86c6p-3, -0x1.58ae22ed37ca1p-3, -0x1.51827a0a0bfdcp-3, -0x1.4a749bc9bf269p-3, -0x1.43844d68cbc1ap-3, -0x1.3cb1523176b54p-3, -0x1.35fb6ba109e1ep-3, -0x1.2f62598a7f64p-3, -0x1.28e5da369055bp-3, -0x1.2285aa8141722p-3, -0x1.1c4185f511acap-3, -0x1.161926e3fbfc7p-3, -0x1.100c467e84a94p-3, -0x1.0a1a9ce92223dp-3, -0x1.0443e150354fcp-3, -0x1.fd0f93f5c61a2p-4, -0x1.f1cc18ba0085ep-4, -0x1.e6bcba50b9e51p-4, -0x1.dbe0e0bb14ef4p-4, -0x1.d137f2b893a6dp-4, -0x1.c6c155e78de53p-4, -0x1.bc7c6ee548e7ep-4, -0x1.b268a16ddd9b9p-4, -0x1.a885507bdc0d6p-4, -0x1.9ed1de67aa3fep-4, -0x1.954dad0685968p-4, -0x1.8bf81dc90a567p-4, -0x1.82d091d91813bp-4, -0x1.79d66a36f7c4bp-4, -0x1.710907d59a25fp-4, -0x1.6867cbb5ce3b5p-4, -0x1.5ff21700558c3p-4, -0x1.57a74b1ebe5a6p-4, -0x1.4f86c9d2f31cfp-4, -0x1.478ff54d77826p-4, -0x1.3fc230424eed3p-4, -0x1.381cddfc8e5b4p-4, -0x1.309f6270a4451p-4, -0x1.2949224d60aa1p-4, -0x1.2219830bcfef2p-4, -0x1.1b0feafdf945dp-4, -0x1.142bc15c95b8fp-4, -0x1.0d6c6e53d5813p-4, -0x1.06d15b0f472ap-4, -0x1.0059f1c4f4937p-4, -0x1.f40b3b7f930c3p-5, -0x1.e7a796d2a64d6p-5, -0x1.db87d0a5cf2f3p-5, -0x1.cfaac67c85f4p-5, -0x1.c40f584b458f4p-5, -0x1.b8b46886d534p-5, -0x1.ad98dc32aa068p-5, -0x1.a2bb9aee76665p-5, -0x1.981b8f02e1307p-5, -0x1.8db7a56d78ad2p-5, -0x1.838ecdebd9122p-5, -0x1.799ffb060fbecp-5, -0x1.6fea221842955p-5, -0x1.666c3b5b908aap-5, -0x1.5d2541ee3b991p-5, -0x1.541433db19fcdp-5, -0x1.4b3812204e5dbp-5, -0x1.428fe0b551757p-5, -0x1.3a1aa6904de66p-5, -0x1.31d76daad54c1p-5, -0x1.29c54305f0a2p-5, -0x1.21e336ad97437p-5, -0x1.1a305bbb8e458p-5, -0x1.12abc859b952ap-5, -0x1.0b5495c3e199ep-5, -0x1.0429e048f926ap-5, -0x1.fa558e97cb151p-6, -0x1.ecacda879d5a7p-6, -0x1.df57ef780499bp-6, -0x1.d2551ea6d09e5p-6, -0x1.c5a2bf77286ap-6, -0x1.b93f2f6ee48d7p-6, -0x1.ad28d233328cap-6, -0x1.a15e1184863a2p-6, -0x1.95dd5d39dd432p-6, -0x1.8aa52b3b5f79ap-6, -0x1.7fb3f77c62337p-6, -0x1.750a8f341099ep-6, -0x1.6aa2e9aadce7fp-6, -0x1.607dd8afd8065p-6, -0x1.5699f034d36f1p-6, -0x1.4cf5ca0f969d6p-6, -0x1.439005f0337b2p-6, -0x1.3a674956f8fe7p-6, -0x1.317a3f89fa1cdp-6, -0x1.28c7998a33a2fp-6, -0x1.204e0e08530cap-6, -0x1.180c59591f11dp-6, -0x1.10013d69883d3p-6, -0x1.082b81b2667ap-6, -0x1.0089f32be230ep-6, -0x1.f236c8811d27dp-7, -0x1.e3bd598079b1bp-7, -0x1.d5a553a510c04p-7, -0x1.c7ec7bd2362b9p-7, -0x1.ba90a1637745bp-7, -0x1.ad8f9e10372bcp-7, -0x1.a0e755cedd507p-7, -0x1.9495b6b7a9f3cp-7, -0x1.8898b8e723de7p-7, -0x1.7cee5e60374c9p-7, -0x1.7194b2ee0a414p-7, -0x1.6689cc0587ab4p-7, -0x1.5bcbc8a6b50eap-7, -0x1.5158d13dce7afp-7, -0x1.472f178436bbcp-7, -0x1.3d4cd66147975p-7, -0x1.33b051caf8886p-7, -0x1.2a57d6a674b8cp-7, -0x1.2141baa89e1fdp-7, -0x1.186c5c3681b62p-7, -0x1.0fd62245c968ap-7, -0x1.077d7c3d288e8p-7, -0x1.fec1c3a9a78bp-8, -0x1.eefda5edf6f5dp-8, -0x1.dfabaf40b3307p-8, -0x1.d0c8ff81a0b7p-8, -0x1.c252c6383d702p-8, -0x1.b446425569536p-8, -0x1.a6a0c1f54099fp-8, -0x1.995fa221454f8p-8, -0x1.8c804e92cf415p-8, -0x1.80004175d016fp-8, -0x1.73dd032bf0148p-8, -0x1.68142a100a013p-8, -0x1.5ca35a3a05105p-8, -0x1.518845432472cp-8, -0x1.46c0aa0ab84c3p-8, -0x1.3c4a547b47697p-8, -0x1.32231d502f765p-8, -0x1.2848e9dbbdacdp-8, -0x1.1eb9abcdcc5f2p-8, -0x1.157360fadc134p-8, -0x1.0c741323ba7afp-8, -0x1.03b9d7bda7867p-8, -0x1.f6859f762d5cap-9, -0x1.e61a4ea9e7618p-9, -0x1.d62e2ba8f6b9cp-9, -0x1.c6bdbabb5709dp-9, -0x1.b7c595748f1e4p-9, -0x1.a9426a4aedfbep-9, -0x1.9b30fc2ff51dep-9, -0x1.8d8e222a06f63p-9, -0x1.8056c6ef4c2dap-9, -0x1.7387e881d0c39p-9, -0x1.671e97ccea812p-9, -0x1.5b17f843de9ep-9, -0x1.4f713f81cba6bp-9, -0x1.4427b4eada76fp-9, -0x1.3938b14eb9a6ap-9, -0x1.2ea19e8c5f7a7p-9, -0x1.245ff7370ef5ap-9, -0x1.1a71463cba847p-9, -0x1.10d3268d9e857p-9, -0x1.078342c52eb89p-9, -0x1.fcfea9a8a7861p-10, -0x1.eb8a4b59d569ap-10, -0x1.daa519dd2dc77p-10, -0x1.ca4ae129b7f2dp-10, -0x1.ba77894d084a8p-10, -0x1.ab2715cc9be33p-10, -0x1.9c55a509ae131p-10, -0x1.8dff6fa7dd70cp-10, -0x1.8020c7f60cc7bp-10, -0x1.72b6195a04dcp-10, -0x1.65bbe7be804dap-10, -0x1.592ecf03c4804p-10, -0x1.4d0b8272b465bp-10, -0x1.414ecc3263eafp-10, -0x1.35f58cc014638p-10, -0x1.2afcba69bcda3p-10, -0x1.206160cac314bp-10, -0x1.1620a04b7e691p-10, -0x1.0c37ada2be3cdp-10, -0x1.02a3d159de8dp-10, -0x1.f2c4cea65791ep-11, -0x1.e0e1bca527446p-11, -0x1.cf996f1147e43p-11, -0x1.bee70c3fa341p-11, -0x1.aec5dd97ed162p-11, -0x1.9f314eb82c9b6p-11, -0x1.9024ec9c91ddp-11, -0x1.819c64cbb4213p-11, -0x1.73938486e643dp-11, -0x1.660637ff30782p-11, -0x1.58f0898e0dd07p-11, -0x1.4c4ea0f27d6e2p-11, -0x1.401cc2921443bp-11, -0x1.34574ebe1ceb6p-11, -0x1.28fac0fc9f103p-11, -0x1.1e03af555398p-11, -0x1.136ec9a26d034p-11, -0x1.0938d8e52d068p-11, -0x1.febd7d3c279b6p-12, -0x1.ebbae852001bbp-12, -0x1.d96414390d246p-12, -0x1.c7b34f5a7a978p-12, -0x1.b6a3142876517p-12, -0x1.a62e07f244fdfp-12, -0x1.964ef9bf14b4bp-12, -0x1.8700e12f7257cp-12, -0x1.783edd6542a1p-12, -0x1.6a0433f223d8dp-12, -0x1.5c4c4fcc25bf2p-12, -0x1.4f12c048b56c3p-12, -0x1.4253381d55954p-12, -0x1.36098c66d3bd6p-12, -0x1.2a31b3b5ff7b2p-12, -0x1.1ec7c5220b732p-12, -0x1.13c7f760da3bfp-12, -0x1.092e9fe49a71fp-12, -0x1.fdf063fdc53c9p-13, -0x1.ea427c124d52bp-13, -0x1.d74ce12491649p-13, -0x1.c5092322b7a08p-13, -0x1.b371073ac3979p-13, -0x1.a27e8653b4c2cp-13, -0x1.922bcb908ac18p-13, -0x1.827332dc88b02p-13, -0x1.734f478024c46p-13, -0x1.64bac2c025b26p-13, -0x1.56b08a847da7p-13, -0x1.492bb00845b9fp-13, -0x1.3c276e91f7c3p-13, -0x1.2f9f2a33f6c88p-13, -0x1.238e6e955a52p-13, -0x1.17f0edc2422bep-13, -0x1.0cc27f043a9e1p-13, -0x1.01ff1dc223ac6p-13, -0x1.ef45d0cdf9b29p-14, -0x1.db543ea20639dp-14, -0x1.c822478dc4cd9p-14, -0x1.b5a8ede8409a8p-14, -0x1.a3e171d947fdp-14, -0x1.92c54f6c5a83bp-14, -0x1.824e3cb2697f7p-14, -0x1.727627eee0a55p-14, -0x1.633735d1aed94p-14, -0x1.548bbfbd3d21cp-14, -0x1.466e52188d6adp-14, -0x1.38d9aaad06c56p-14, -0x1.2bc8b70f5c53dp-14, -0x1.1f3693147238dp-14, -0x1.131e874efd932p-14, -0x1.077c079ba56b5p-14, -0x1.f89563685237cp-15, -0x1.e30c979c57217p-15, -0x1.ce558688790bep-15, -0x1.ba68569055301p-15, -0x1.a73d773ef65fap-15, -0x1.94cd9ed17498cp-15, -0x1.8311c7d5260ccp-15, -0x1.72032ed6ec877p-15, -0x1.619b502489c4dp-15, -0x1.51d3e59f0a08p-15, -0x1.42a6e49e11124p-15, -0x1.340e7be35a602p-15, -0x1.2605119f0becap-15, -0x1.18854181cc91fp-15, -0x1.0b89dae155b78p-15, -0x1.fe1bbdcd88b4fp-16, -0x1.e618fda47df29p-16, -0x1.cf02348e5c047p-16, -0x1.b8ce7b50a5035p-16, -0x1.a3754102709c4p-16, -0x1.8eee47f9b5409p-16, -0x1.7b31a2d0af3a7p-16, -0x1.6837b1864050fp-16, -0x1.55f91eb105168p-16, -0x1.446edcd334eddp-16, -0x1.339223bba7dd7p-16, -0x1.235c6e01d158ap-16, -0x1.13c77695c922ap-16, -0x1.04cd36656f122p-16, -0x1.eccfc42bee05cp-17, -0x1.d123cf9ed6faep-17, -0x1.b68bda39a010bp-17, -0x1.9cfd99bcebfecp-17, -0x1.846f2a96112c7p-17, -0x1.6cd70c0ecc7c8p-17, -0x1.562c1c9500b2p-17, -0x1.406596269ce92p-17, -0x1.2b7b0adac606fp-17, -0x1.1764618ac0661p-17, -0x1.0419d29b61eefp-17, -0x1.e327c9a74e399p-18, -0x1.bf96d4d70cd54p-18, -0x1.9d72fc3223a3cp-18, -0x1.7caf008b90c25p-18, -0x1.5d3e28b22f7cep-18, -0x1.3f143c3b80578p-18, -0x1.22257e73ad281p-18, -0x1.0666a984b9a1bp-18, -0x1.d799d3869202p-19, -0x1.a49bb258f2d32p-19, -0x1.73bef60059019p-19, -0x1.44f06f295870ap-19, -0x1.181db08a455ep-19, -0x1.da6a0e059ed33p-20, -0x1.884ae45617dbep-20, -0x1.39bd3a03e2ee8p-20, -0x1.dd435ba63850bp-21, -0x1.4db433c598553p-21, -0x1.89261aaef4cf3p-22, -0x1.06a0f3e0240bdp-23, 0x1.da0de79ba8579p-24, 0x1.64bc97ef16456p-22, 0x1.23dedd21d97e5p-21, 0x1.8ff2f4d1b9486p-21, 0x1.f6c84359d03b5p-21, 0x1.2c455c586c9d5p-20, 0x1.5ab24bee08a5p-20, 0x1.86bf446109b7p-20, 0x1.b07fd50ddbcefp-20, 0x1.d806d12272c56p-20, 0x1.fd6657c299e9bp-20, 0x1.1057ede67e339p-19, 0x1.20fa15afb70e2p-19, 0x1.30a1bb802535dp-19, 0x1.3f56ac423edcp-19, 0x1.4d206cd7000e2p-19, 0x1.5a063d428ab63p-19, 0x1.660f1bae93285p-19, 0x1.7141c75d003d8p-19, 0x1.7ba4c36fba9abp-19, 0x1.853e5991c8814p-19, 0x1.8e149c8948cafp-19, 0x1.962d6aa54ee43p-19, 0x1.9d8e7024c579ep-19, 0x1.a43d2963a5fe6p-19, 0x1.aa3ee503bac9cp-19, 0x1.af98c5f4898c6p-19, 0x1.b44fc59382456p-19, 0x1.b86d3d93af8acp-19, 0x1.bbec6d4644d42p-19, 0x1.bed6be8d00db5p-19, 0x1.c130965ebe5dfp-19, 0x1.c2fe388f07431p-19, 0x1.c443c93f3bda1p-19, 0x1.c5054e4cc37a5p-19, 0x1.c546b0a8fb663p-19, 0x1.c50bbd9b4435bp-19, 0x1.c4582800e66d8p-19, 0x1.c32f8971bb5f3p-19, 0x1.c1956358edb6p-19, 0x1.bf8d20065b42p-19, 0x1.bd1a13aa08091p-19, 0x1.ba3f7d4b680b5p-19, 0x1.b70087a5fd6d9p-19, 0x1.b3604a066b159p-19, 0x1.af61c93b386ccp-19, 0x1.ab07f81aeda5fp-19, 0x1.a655b8774c6b3p-19, 0x1.a14ddbaba7ae3p-19, 0x1.9bf3235714505p-19, 0x1.964841f17761p-19, 0x1.904fdb66ced97p-19, 0x1.8a0c85a3e77dbp-19, 0x1.8380c91cb2348p-19, 0x1.7caf214c12c9cp-19, 0x1.7599fd25fef62p-19, 0x1.6e43bf93156bbp-19, 0x1.66aebfd1f3edap-19, 0x1.5edd49e1a2d91p-19, 0x1.56d19edd1f6d7p-19, 0x1.4e8df55716812p-19, 0x1.461479ab64edp-19, 0x1.3d674e5021cb6p-19, 0x1.34888c207ca2ep-19, 0x1.2b7a42a09d148p-19, 0x1.223e783b5e878p-19, 0x1.18d72a97a3fd3p-19, 0x1.0f464eaa1e11fp-19, 0x1.058dd10aa401ap-19, 0x1.f75f2c38a04bcp-20, 0x1.e35af47ae88afp-20, 0x1.cf12a3d9fee04p-20, 0x1.ba89d42a3f448p-20, 0x1.a5c40ffd1be87p-20, 0x1.90c4d333af096p-20, 0x1.7b8f8b2ae107ep-20, 0x1.662796fd6e3c6p-20, 0x1.509047c7783efp-20, 0x1.3acce0c2c06a6p-20, 0x1.24e097a15a8c3p-20, 0x1.0ece94a04fae2p-20, 0x1.f133e58484189p-21, 0x1.c48b7fe4dede1p-21, 0x1.97a9fa6104925p-21, 0x1.6a953d657ef13p-21, 0x1.3d5318119fcddp-21, 0x1.0fe9407637f6ep-21, 0x1.c4baa7b691cf9p-22, 0x1.6969adb8e0d1fp-22, 0x1.0dea6b83c61ffp-22, 0x1.648f1264202b4p-23, 0x1.5a2dfb8f11f8fp-24, -0x1.4fdacf4d296e7p-28, -0x1.843c6ec4680f8p-24, -0x1.79b351727e52cp-23, -0x1.1895570b11a58p-22, -0x1.743899dec04c2p-22, -0x1.cfba12aab8298p-22, -0x1.1588485f5bc4cp-21, -0x1.4319888d84a15p-21, -0x1.708c5f188b7b9p-21, -0x1.9ddc77d8e8182p-21, -0x1.cb0594ff84abdp-21, -0x1.f8038f35807dfp-21, -0x1.12692aaebf812p-20, -0x1.28b6f633d122bp-20, -0x1.3ee937b369ee4p-20, -0x1.54fe079a48cc8p-20, -0x1.6af3893e724e5p-20, -0x1.80c7eac87a7e3p-20, -0x1.967965306f1fbp-20, -0x1.ac063c302ee01p-20, -0x1.c16cbdffa42c8p-20, -0x1.d6ab43a045ec8p-20, -0x1.ebc03092d1871p-20, -0x1.0054f96bb18c4p-19, -0x1.0ab3817130a14p-19, -0x1.14faf1c30ab1fp-19, -0x1.1f2a90f6ad92bp-19, -0x1.2941aac47195ap-19, -0x1.333f9000fc7a4p-19, -0x1.3d239698fbe16p-19, -0x1.46ed19829c3f5p-19, -0x1.509b78bb59b13p-19, -0x1.5a2e194261b8p-19, -0x1.63a4650cfe7b7p-19, -0x1.6cfdcaf515f61p-19, -0x1.7639bec6e6f1ap-19, -0x1.7f57b92667cd9p-19, -0x1.88573788f740ep-19, -0x1.9137bc2a7ae4bp-19, -0x1.99f8ce0630df1p-19, -0x1.a299f8c70cf15p-19, -0x1.ab1accba6e329p-19, -0x1.b37adebc805bfp-19, -0x1.bbb9c8375002ep-19, -0x1.c3d7270eeb54fp-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.02276b7d0fa2ep-6, -0x1.01ece58f34875p-5, -0x1.825165e10357dp-5, -0x1.0103e12d9fde3p-4, -0x1.406bc7350dc93p-4, -0x1.7f44d7da99197p-4, -0x1.bd744fd2969bcp-4, -0x1.fae051e3baef9p-4, -0x1.1bb7ff526c727p-3, -0x1.3985c400edd64p-3, -0x1.56ce20698fe5fp-3, -0x1.7386546cedaa1p-3, -0x1.8fa43abb78c05p-3, -0x1.ab1e4bb8c921cp-3, -0x1.c5eb9f10c7c8dp-3, -0x1.e003ec272fc63p-3, -0x1.f95f8987e3265p-3, -0x1.08fbb5be190dap-2, -0x1.14e290f3247bap-2, -0x1.20616ac08214bp-2, -0x1.2b75a24f93595p-2, -0x1.361cdfc0e1d1cp-2, -0x1.4055122d53041p-2, -0x1.4a1c6d86486aep-2, -0x1.5371685c54121p-2, -0x1.5c52b99302132p-2, -0x1.64bf5607356efp-2, -0x1.6cb66e2cc6bdp-2, -0x1.74376ba759ffep-2, -0x1.7b41eee1c932p-2, -0x1.81d5cca7132bcp-2, -0x1.87f30bbf4bb86p-2, -0x1.8d99e292bd2a3p-2, -0x1.92cab4d52791dp-2, -0x1.9786113ac35e5p-2, -0x1.9bccaf387d3b8p-2, -0x1.9f9f6cd0a929cp-2, -0x1.a2ff4c6d44856p-2, -0x1.a5ed72c89e0f4p-2, -0x1.a86b24e525799p-2, -0x1.aa79c614ebb0cp-2, -0x1.ac1ad61136653p-2, -0x1.ad4fef22677c4p-2, -0x1.ae1ac45852cbcp-2, -0x1.ae7d1fd2f7218p-2, -0x1.ae78e11b7caecp-2, -0x1.ae0ffb8d3208p-2, -0x1.ad4474ce381f7p-2, -0x1.ac1863577259cp-2, -0x1.aa8ded0b3f982p-2, -0x1.a8a745da7aeadp-2, -0x1.a666ae773dc76p-2, -0x1.a3ce7314c48d5p-2, -0x1.a0e0ea33f2ba5p-2, -0x1.9da0737bdcdf3p-2, -0x1.9a0f769dc7324p-2, -0x1.9630624418c52p-2, -0x1.9205ab0bb4dcep-2, -0x1.8d91ca8749662p-2, -0x1.88d73e4c1840ap-2, -0x1.83d88707d63adp-2, -0x1.7e98279f40bdap-2, -0x1.7918a4550f8f8p-2, -0x1.735c81f8fa1c5p-2, -0x1.6d66451e8c891p-2, -0x1.6738715b8e1d2p-2, -0x1.60d5888dc9f49p-2, -0x1.5a400a280bcb4p-2, -0x1.537a72862c619p-2, -0x1.4c873a480dcf2p-2, -0x1.4568d5b36c7f5p-2, -0x1.3e21b41c6fbb7p-2, -0x1.36b43f54e2733p-2, -0x1.2f22db220c583p-2, -0x1.276fe4b90c848p-2, -0x1.1f9db241bc43cp-2, -0x1.17ae925ff9038p-2, -0x1.0fa4cbc354f9dp-2, -0x1.07829cbd1e3c2p-2, -0x1.fe9475b94e54ep-3, -0x1.edfba5239791ep-3, -0x1.dd3f0dab30a49p-3, -0x1.cc62e1b205e0cp-3, -0x1.bb6b3f734b641p-3, -0x1.aa5c3078bd94fp-3, -0x1.9939a91b7c128p-3, -0x1.8807881052398p-3, -0x1.76c995ff2b449p-3, -0x1.658385257558p-3, -0x1.5438f1033dcfcp-3, -0x1.42ed5e12ad17cp-3, -0x1.31a43989b370ap-3, -0x1.2060d9258258dp-3, -0x1.0f267aff9a508p-3, -0x1.fbf08ad822f77p-4, -0x1.d9b28dc182ac9p-4, -0x1.b798ebca13568p-4, -0x1.95a96213b973ap-4, -0x1.73e97dd34fccp-4, -0x1.525e9c5fbb854p-4, -0x1.310deb4f691e4p-4, -0x1.0ffc68a39dd82p-4, -0x1.de5dc601c94fap-5, -0x1.9d53f3e7df7acp-5, -0x1.5ce43c8482afbp-5, -0x1.1d17248bec5dp-5, -0x1.bbe9a95022e5cp-6, -0x1.3f0a34b1bb61cp-6, -0x1.873da39b74b39p-7, -0x1.26d6d3392a3ccp-8, 0x1.751cf30b96927p-9, 0x1.4ac0a39f5c7aap-7, 0x1.1a743b22a3541p-6, 0x1.8dd3d91de28d4p-6, 0x1.ff7451104a738p-6, 0x1.37a5b61654bbap-5, 0x1.6ea7ca677a4fcp-5, 0x1.a4bbe9d7fd2ap-5, 0x1.d9dde684a42fp-5, 0x1.0704ef6abf3a4p-4, 0x1.209e1e014a026p-4, 0x1.39b8d8498f25bp-4, 0x1.52539b6c05045p-4, 0x1.6a6d07b139028p-4, 0x1.8203dfbb5ec0cp-4, 0x1.991707be80e46p-4, 0x1.afa584b7a15fep-4, 0x1.c5ae7ba30da8bp-4, 0x1.db3130b22c58fp-4, 0x1.f02d06810932cp-4, 0x1.0250bea5e798ep-3, 0x1.0c471912390e3p-3, 0x1.15f96f1462938p-3, 0x1.1f67aadc89025p-3, 0x1.2891c3d7c42c3p-3, 0x1.3177be4c4649ap-3, 0x1.3a19aaf613aadp-3, 0x1.4277a6a455378p-3, 0x1.4a91d9d75e5fdp-3, 0x1.5268785f71ed4p-3, 0x1.59fbc0fc590dap-3, 0x1.614bfcfdd644dp-3, 0x1.68597fe505dd5p-3, 0x1.6f24a706b3c1fp-3, 0x1.75add92ebafc2p-3, 0x1.7bf58644698ebp-3, 0x1.81fc26f007786p-3, 0x1.87c23c417106bp-3, 0x1.8d484f57e88b1p-3, 0x1.928ef10b0c176p-3, 0x1.9796b9950d2aep-3, 0x1.9c60483e1d1c6p-3, 0x1.a0ec430927c62p-3, 0x1.a53b5661cbba5p-3, 0x1.a94e34cbad097p-3, 0x1.ad25969313a5p-3, 0x1.b0c2397ee0ceep-3, 0x1.b424e083e1bc8p-3, 0x1.b74e53797dacdp-3, 0x1.ba3f5ecfc75a5p-3, 0x1.bcf8d346ef26ep-3, 0x1.bf7b85a81c286p-3, 0x1.c1c84e7fab362p-3, 0x1.c3e009d8d77aep-3, 0x1.c5c396facf2fdp-3, 0x1.c773d82732bcfp-3, 0x1.c8f1b259fd5f2p-3, 0x1.ca3e0d0adc9a2p-3, 0x1.cb59d1eff9fafp-3, 0x1.cc45ecc22674cp-3, 0x1.cd034b027e376p-3, 0x1.cd92dbc171a3dp-3, 0x1.cdf58f674254fp-3, 0x1.ce2c577ddfff4p-3, 0x1.ce38267c3a45dp-3, 0x1.ce19ef92fa513p-3, 0x1.cdd2a67a9b5d8p-3, 0x1.cd633f42f9fecp-3, 0x1.ccccae24352bp-3, 0x1.cc0fe7510356fp-3, 0x1.cb2ddeca5cdcap-3, 0x1.ca27883489bf1p-3, 0x1.c8fdd6ad8e643p-3, 0x1.c7b1bca4e68fbp-3, 0x1.c6442bb4a9013p-3, 0x1.c4b6147bf0879p-3, 0x1.c308667a997c5p-3, 0x1.c13c0fee54894p-3, 0x1.bf51fdb0fb5dbp-3, 0x1.bd4b1b183100dp-3, 0x1.bb2851d644f4dp-3, 0x1.b8ea89dc5769p-3, 0x1.b692a93db8522p-3, 0x1.b42194147ec57p-3, 0x1.b1982c6755f3fp-3, 0x1.aef752107d2p-3, 0x1.ac3fe2a5e9da1p-3, 0x1.a972b9629d37bp-3, 0x1.a690af111609bp-3, 0x1.a39a99f6e2b43p-3, 0x1.a0914dc14d60fp-3, 0x1.9d759b731c64ap-3, 0x1.9a48515365f52p-3, 0x1.970a3add6ca36p-3, 0x1.93bc20b182d5ap-3, 0x1.905ec886f3808p-3, 0x1.8cf2f51ee048ep-3, 0x1.89796638216p-3, 0x1.85f2d8840f59p-3, 0x1.8260059c3b5e7p-3, 0x1.7ec1a3f914e68p-3, 0x1.7b1866e96df18p-3, 0x1.7764fe8adb2f9p-3, 0x1.73a817c2f0ee5p-3, 0x1.6fe25c39507e8p-3, 0x1.6c147252836d8p-3, 0x1.683efd2b9ca85p-3, 0x1.64629c96a22bcp-3, 0x1.607fed17ae8bp-3, 0x1.5c9787e2cf945p-3, 0x1.58aa02da907b4p-3, 0x1.54b7f08f3bd9fp-3, 0x1.50c1e03ebce7ap-3, 0x1.4cc85dd527cfep-3, 0x1.48cbf1ede13ebp-3, 0x1.44cd21d557f13p-3, 0x1.40cc6f8b5ad79p-3, 0x1.3cca59c5f6addp-3, 0x1.38c75bf4dccb4p-3, 0x1.34c3ee45524ap-3, 0x1.30c085a69b347p-3, 0x1.2cbd93cedf155p-3, 0x1.28bb874084475p-3, 0x1.24bacb4ffbdcp-3, 0x1.20bbc829f54d6p-3, 0x1.1cbee2da00235p-3, 0x1.18c47d5186703p-3, 0x1.14ccf66f2e377p-3, 0x1.10d8aa068adf8p-3, 0x1.0ce7f0e8293d5p-3, 0x1.08fb20e9ebab4p-3, 0x1.05128cefac7e8p-3, 0x1.012e84f42c21cp-3, 0x1.fa9eac2485d54p-4, 0x1.f2ea951ca64bdp-4, 0x1.eb4153bfda8c4p-4, 0x1.e3a3717774e29p-4, 0x1.dc11723b19c19p-4, 0x1.d48bd4a54f585p-4, 0x1.cd1312085fd5cp-4, 0x1.c5a79e838e5bap-4, 0x1.be49e91894121p-4, 0x1.b6fa5bc15c905p-4, 0x1.afb95b860c283p-4, 0x1.a887489329611p-4, 0x1.a1647e5005c7bp-4, 0x1.9a51537544a62p-4, 0x1.934e1a238de3ep-4, 0x1.8c5b1ffa5499bp-4, 0x1.8578ae2ec0a7ep-4, 0x1.7ea709a2a2adbp-4, 0x1.77e672fb77219p-4, 0x1.713726b972356p-4, 0x1.6a995d4e8e8b5p-4, 0x1.640d4b359865ep-4, 0x1.5d93210935535p-4, 0x1.572b0b9ade4cep-4, 0x1.50d53409cbc3ep-4, 0x1.4a91bfd9ceae7p-4, 0x1.4460d10a117a3p-4, 0x1.3e42862bbe6ecp-4, 0x1.3836fa7886ecep-4, 0x1.323e45e90913cp-4, 0x1.2c587d4b0e57dp-4, 0x1.2685b257a30c5p-4, 0x1.20c5f3c900b65p-4, 0x1.1b194d704a1acp-4, 0x1.157fc84b15b14p-4, 0x1.0ff96a98c4038p-4, 0x1.0a8637ef9ea2dp-4, 0x1.05263151bfb2ep-4, 0x1.ffb2aa837878ep-5, 0x1.f53f3fae25053p-5, 0x1.eaf215a4b1514p-5, 0x1.e0cb1b6253741p-5, 0x1.d6ca3b83a1cd9p-5, 0x1.ccef5c6d5ede8p-5, 0x1.c33a6072b9cc9p-5, 0x1.b9ab25faff585p-5, 0x1.b04187a6bba09p-5, 0x1.a6fd5c74476adp-5, 0x1.9dde77e3be7aep-5, 0x1.94e4aa1a60bc9p-5, 0x1.8c0fc0055ab93p-5, 0x1.835f837beeab2p-5, 0x1.7ad3bb6108bcep-5, 0x1.726c2bc42fac5p-5, 0x1.6a289601dc60ep-5, 0x1.6208b8e32ef47p-5, 0x1.5a0c50bd061bfp-5, 0x1.5233178e76d36p-5, 0x1.4a7cc51ea33e9p-5, 0x1.42e90f19f0bfbp-5, 0x1.3b77a92e9d9c4p-5, 0x1.34284528b7f42p-5, 0x1.2cfa930d71d0dp-5, 0x1.25ee4135d8491p-5, 0x1.1f02fc68e8cb3p-5, 0x1.18386ff509d5p-5, 0x1.118e45c8e4fdep-5, 0x1.0b04268ba2abfp-5, 0x1.0499b9b48b54p-5, 0x1.fc9d4b4419b67p-6, 0x1.f0451f604c6f8p-6, 0x1.e42a389c7136bp-6, 0x1.d84bde2885775p-6, 0x1.cca955af0c6f3p-6, 0x1.c141e37d29fb9p-6, 0x1.b614caa9a11b9p-6, 0x1.ab214d3aa3dcfp-6, 0x1.a066ac4a891adp-6, 0x1.95e4282b675bp-6, 0x1.8b9900898f27ep-6, 0x1.8184748cf732ep-6, 0x1.77a5c2f98fb23p-6, 0x1.6dfc2a4e8ddbbp-6, 0x1.6486e8e4a5a45p-6, 0x1.5b453d0b44c33p-6, 0x1.52366524c3b67p-6, 0x1.49599fc19e60cp-6, 0x1.40ae2bbaabcf4p-6, 0x1.3833484a68d9cp-6, 0x1.2fe8352546d85p-6, 0x1.27cc329110b8ap-6, 0x1.1fde817b69f88p-6, 0x1.181e638f64003p-6, 0x1.108b1b4a319bp-6, 0x1.0923ec0f01b32p-6, 0x1.01e81a3a01516p-6, 0x1.f5add66509c0dp-7, 0x1.e7df4af8d1c67p-7, 0x1.da6321914a624p-7, 0x1.cd37ec0a28409p-7, 0x1.c05c3ed6ffd48p-7, 0x1.b3ceb11fd778ap-7, 0x1.a78ddcdc4e74cp-7, 0x1.9b985eed53495p-7, 0x1.8fecd73578b9cp-7, 0x1.8489e8aff7a96p-7, 0x1.796e398653f1ap-7, 0x1.6e987324c8c78p-7, 0x1.6407424d64c49p-7, 0x1.59b95729f8c28p-7, 0x1.4fad655cd54fdp-7, 0x1.45e224105a431p-7, 0x1.3c564e0571311p-7, 0x1.3308a1a0e958fp-7, 0x1.29f7e0f7c6306p-7, 0x1.2122d1da869eep-7, 0x1.18883ddf6d0fdp-7, 0x1.1026f26bcdb67p-7, 0x1.07fdc0bc6db3cp-7, 0x1.000b7decf855ep-7, 0x1.f09e05fd24e78p-8, 0x1.e18e59bb27935p-8, 0x1.d2e5b8ccd8c26p-8, 0x1.c4a1ecd37a203p-8, 0x1.b6c0c75f56249p-8, 0x1.a94021f4e99a9p-8, 0x1.9c1dde109bdadp-8, 0x1.8f57e529145e3p-8, 0x1.82ec28b03a51fp-8, 0x1.76d8a212e9703p-8, 0x1.6b1b52b76a782p-8, 0x1.5fb243fabacf3p-8, 0x1.549b872cac967p-8, 0x1.49d5358af17e8p-8, 0x1.3f5d703b11c3bp-8, 0x1.35326043661e2p-8, 0x1.2b52368314a5cp-8, 0x1.21bb2ba924ef7p-8, 0x1.186b802aad59fp-8, 0x1.0f617c382b005p-8, 0x1.069b6fb209a87p-8, 0x1.fc2f6438cde54p-9, 0x1.eba9452436f46p-9, 0x1.dba14f6e21e37p-9, 0x1.cc145f53deba1p-9, 0x1.bcff5fea58349p-9, 0x1.ae5f4aff00b86p-9, 0x1.a03128f79f9d9p-9, 0x1.927210b115e22p-9, 0x1.851f275d21985p-9, 0x1.7835a05f3695ap-9, 0x1.6bb2bd2873229p-9, 0x1.5f93cd12ca914p-9, 0x1.53d62d3b6acbbp-9, 0x1.4877485c6b7cdp-9, 0x1.3d7496a5da882p-9, 0x1.32cb9d962e41bp-9, 0x1.2879efd225489p-9, 0x1.1e7d2cfc2c379p-9, 0x1.14d3018b49be1p-9, 0x1.0b7926a1a1723p-9, 0x1.026d61e29a514p-9, 0x1.f35b0a915bfa5p-10, 0x1.e26eddf5e0f89p-10, 0x1.d2121244ae769p-10, 0x1.c240937d92e85p-10, 0x1.b2f664f80ef9ap-10, 0x1.a42fa10cd0da2p-10, 0x1.95e878bf015fep-10, 0x1.881d336568a17p-10, 0x1.7aca2e537f6cbp-10, 0x1.6debdc82745a5p-10, 0x1.617ec63a41c55p-10, 0x1.557f88bad144fp-10, 0x1.49ead5e548cf6p-10, 0x1.3ebd73e58cc73p-10, 0x1.33f43cdbf392cp-10, 0x1.298c1e874b64bp-10, 0x1.1f8219ef3b371p-10, 0x1.15d3430ef176p-10, 0x1.0c7cc0804e845p-10, 0x1.037bcb277d3fap-10, 0x1.f59b5bbe06a0ep-11, 0x1.e4df8a48c4fd2p-11, 0x1.d4befd8a83d51p-11, 0x1.c534b31a62d3bp-11, 0x1.b63bc9e816277p-11, 0x1.a7cf8199f585fp-11, 0x1.99eb39ec6716cp-11, 0x1.8c8a7212aded7p-11, 0x1.7fa8c8192e501p-11, 0x1.7341f8492efecp-11, 0x1.6751dc8e22f89p-11, 0x1.5bd46bdc87395p-11, 0x1.50c5b99a5b31dp-11, 0x1.4621f5093f032p-11, 0x1.3be568b23e786p-11, 0x1.320c79d34debdp-11, 0x1.2893a7ce84ce2p-11, 0x1.1f778b9b179c5p-11, 0x1.16b4d73817588p-11, 0x1.0e485520fea18p-11, 0x1.062ee7c40d89p-11, 0x1.fccb11f4f4796p-12, 0x1.edd29304f186ap-12, 0x1.df6ea0f63c289p-12, 0x1.d199b5c440afp-12, 0x1.c44e7626ee75p-12, 0x1.b787b095b99cdp-12, 0x1.ab405c4e6511ep-12, 0x1.9f73985f91366p-12, 0x1.941caab717584p-12, 0x1.8936ff3428eb3p-12, 0x1.7ebe26bd3e3d4p-12, 0x1.74add659c9d79p-12, 0x1.6b01e64fb257ep-12, 0x1.61b651449576dp-12, 0x1.58c73362c96bbp-12, 0x1.5030c9821e084p-12, 0x1.47ef70545c319p-12, 0x1.3fffa39579ceep-12, 0x1.385dfd3f81468p-12, 0x1.310734c2287c1p-12, 0x1.29f81e3e0c0dap-12, 0x1.232da9c390294p-12, 0x1.1ca4e2955c2bfp-12, 0x1.165aee6e6b302p-12, 0x1.104d0ccba96edp-12, 0x1.0a7896391c34bp-12, 0x1.04dafba282d92p-12, 0x1.fee38b4eea731p-13, 0x1.f47527e5d8b47p-13, 0x1.ea66392c65da6p-13, 0x1.e0b256ce69794p-13, 0x1.d75542c43fd3p-13, 0x1.ce4ae81ca9af5p-13, 0x1.c58f59cd2a07ap-13, 0x1.bd1ed188da526p-13, 0x1.b4f5ae9d9a685p-13, 0x1.ad1074d78919p-13, 0x1.a56bcb6ab7064p-13, 0x1.9e047be2f60b7p-13, 0x1.96d77119bd17ap-13, 0x1.8fe1b631fd579p-13, 0x1.89207599e517p-13, 0x1.8290f812651cp-13, 0x1.7c30a3bc80986p-13, 0x1.75fcfb2c33728p-13, 0x1.6ff39c80f0b3fp-13, 0x1.6a1240839a7c5p-13, 0x1.6456b9c9dcf5ap-13, 0x1.5ebef3deda44ap-13, 0x1.5948f27113a61p-13, 0x1.53f2d08571fdep-13, 0x1.4ebabfaf630abp-13, 0x1.499f074ded835p-13, 0x1.449e03cdadb5ep-13, 0x1.3fb625ef9b212p-13, 0x1.3ae5f21491a0fp-13, 0x1.362bff8d75a63p-13, 0x1.3186f7eff45f1p-13, 0x1.2cf5966fb015p-13, 0x1.2876a73be38d4p-13, 0x1.240906e1482f5p-13, 0x1.1faba1b044588p-13, 0x1.1b5d73273c081p-13, 0x1.171d8560f57aap-13, 0x1.12eaf087034aep-13, 0x1.0ec4da4817465p-13, 0x1.0aaa75522b0a6p-13, 0x1.069b00d072b4bp-13, 0x1.0295c7ecfdbaep-13, 0x1.fd3442abe998fp-14, 0x1.f54edd8cd0447p-14, 0x1.ed7a39251d6acp-14, 0x1.e5b5426edc85fp-14, 0x1.ddfef9dbb42f1p-14, 0x1.d65672815239bp-14, 0x1.cebad14c4d88cp-14, 0x1.c72b4c392e57cp-14, 0x1.bfa7299393f89p-14, 0x1.b82dbf3b4e953p-14, 0x1.b0be71ef53bddp-14, 0x1.a958b49e4ce96p-14, 0x1.a1fc07bccbccp-14, 0x1.9aa7f8a0e1236p-14, 0x1.935c20e3005b8p-14, 0x1.8c1825c415064p-14, 0x1.84dbb798a47eep-14, 0x1.7da69138deb93p-14, 0x1.767877757f6ddp-14, 0x1.6f513891632ep-14, 0x1.6830abbfb01f1p-14, 0x1.6116b0a677e2ap-14, 0x1.5a032ee5b43a7p-14, 0x1.52f615a283ebap-14, 0x1.4bef5b1689fb1p-14, 0x1.44eefc2357d67p-14, 0x1.3df4fbe9c2b6bp-14, 0x1.370163650ef95p-14, 0x1.30144109d4416p-14, 0x1.292da86882c7cp-14, 0x1.224db1d370173p-14, 0x1.1b747a085453dp-14, 0x1.14a221dd1e4aap-14, 0x1.0dd6cdf007c57p-14, 0x1.0712a65ad3ccp-14, 0x1.0055d6691f391p-14, 0x1.f34118a35a9bp-15, 0x1.e5e5f1e538df2p-15, 0x1.d89a9f20d8c93p-15, 0x1.cb5f8b2f7f5c9p-15, 0x1.be3524c391766p-15, 0x1.b11bddf691989p-15, 0x1.a4142bdc23eefp-15, 0x1.971e8619eb859p-15, 0x1.8a3b6684209f6p-15, 0x1.7d6b48beb776fp-15, 0x1.70aea9e2f58aep-15, 0x1.6406082952e05p-15, 0x1.5771e29785005p-15, 0x1.4af2b8b28e384p-15, 0x1.3e890a34b7e57p-15, 0x1.323556c750e16p-15, 0x1.25f81dc015c31p-15, 0x1.19d1dde220ba6p-15, 0x1.0dc3152244eacp-15, 0x1.01cc406eb9e4fp-15, 0x1.ebdbb6f3ee5b4p-16, 0x1.d450c1115013fp-16, 0x1.bcf8908530742p-16, 0x1.a5d4130d0a2edp-16, 0x1.8ee43281632c3p-16, 0x1.7829d4885b54ep-16, 0x1.61a5da4d5c41p-16, 0x1.4b59203dcfd9fp-16, 0x1.35447dca997aap-16, 0x1.1f68c52e3855dp-16, 0x1.09c6c3375ba6dp-16, 0x1.e8be7e2f77fdp-17, 0x1.be65f46e36d6p-17, 0x1.94856014712c1p-17, 0x1.6b1e2bdb2037dp-17, 0x1.4231b6079b889p-17, 0x1.19c1502f6e8fdp-17, 0x1.e39c7e0601fd8p-18, 0x1.94b3743d56697p-18, 0x1.46c9d7c402447p-18, 0x1.f3c3c53438a71p-19, 0x1.5bfb678d011c7p-19, 0x1.8c7d3c9e1aedcp-20, 0x1.9489d4e20f033p-22, -0x1.7c24a4e8ae905p-21, -0x1.dd1a53ad3fb22p-20, -0x1.7bf79adfeab53p-19, -0x1.03a2c3806bc6ep-18, -0x1.483a17eba8307p-18, -0x1.8bc086e9ef6f8p-18, -0x1.ce34e80527921p-18, -0x1.07cb16fd0e296p-17, -0x1.27f1b34988dfp-17, -0x1.478ddd3dff0b3p-17, -0x1.669f368862729p-17, -0x1.85256e12e1abcp-17, -0x1.a3203fe580077p-17, -0x1.c08f75052e083p-17, -0x1.dd72e35073d97p-17, -0x1.f9ca6d59f1ccbp-17, -0x1.0acb01205bb76p-16, -0x1.186acec35bea5p-16, -0x1.25c4a372aaadbp-16, -0x1.32d8891027e57p-16, -0x1.3fa68f6b81109p-16, -0x1.4c2ecc2a23f6cp-16, -0x1.58715aae76b52p-16, -0x1.646e5bfe74de5p-16, }}, 
      {{-0x1.bf33aeb1d6507p-7, -0x1.bf00f93fcbce5p-6, -0x1.4f0172e1749ccp-5, -0x1.be36c332b0739p-5, -0x1.1683d7cf64a15p-4, -0x1.4dadef16091ep-4, -0x1.848db6b70062bp-4, -0x1.bb17836df6e72p-4, -0x1.f13ff7759a9c6p-4, -0x1.137e04bf1292fp-3, -0x1.2e20854d148b7p-3, -0x1.48825598c267fp-3, -0x1.629e7f85c7692p-3, -0x1.7c7040415f279p-3, -0x1.95f30979da799p-3, -0x1.af22823cfa7c6p-3, -0x1.c7fa8785d32aap-3, -0x1.e0772c82c57b6p-3, -0x1.f894ba9b944b2p-3, -0x1.0827d89f99833p-2, -0x1.13d262c02f486p-2, -0x1.1f4870c3befefp-2, -0x1.2a8891efd52d7p-2, -0x1.35916f5223e77p-2, -0x1.4061cb49f1af5p-2, -0x1.4af881064ffa8p-2, -0x1.555483faf6895p-2, -0x1.5f74df4d6dbccp-2, -0x1.6958b53bfe319p-2, -0x1.72ff3e7fa8708p-2, -0x1.7c67c9aa47db5p-2, -0x1.8591ba81ddb93p-2, -0x1.8e7c8959e43efp-2, -0x1.9727c26b6b877p-2, -0x1.9f93052cb4cddp-2, -0x1.a7be03a8e567ap-2, -0x1.afa881d855e09p-2, -0x1.b75254f9ff66p-2, -0x1.bebb62ee72d2dp-2, -0x1.c5e3a194afff4p-2, -0x1.cccb16293e173p-2, -0x1.d371d4a7c3da8p-2, -0x1.d9d7ff2f62a19p-2, -0x1.dffdc56a06ba3p-2, -0x1.e5e363f6dded5p-2, -0x1.eb8923d80fe3bp-2, -0x1.f0ef59e3d8847p-2, -0x1.f61666391abbp-2, -0x1.fafeb3b7723dfp-2, -0x1.ffa8b77ad34a6p-2, -0x1.020a782d5ad85p-1, -0x1.0421f33663d69p-1, -0x1.061b1545932dap-1, -0x1.07f62aef062e1p-1, -0x1.09b384b475316p-1, -0x1.0b5376cd6d902p-1, -0x1.0cd658f12eba9p-1, -0x1.0e3c862221a77p-1, -0x1.0f865c7adf2a3p-1, -0x1.10b43cfcbcd4ep-1, -0x1.11c68b5fd139ep-1, -0x1.12bdade46964bp-1, -0x1.139a0d25e2583p-1, -0x1.145c13eedab31p-1, -0x1.15042f0eb6898p-1, -0x1.1592cd306761cp-1, -0x1.16085eb270d9ap-1, -0x1.1665558021d1fp-1, -0x1.16aa24ebf83a5p-1, -0x1.16d7418b298dbp-1, -0x1.16ed2112468afp-1, -0x1.16ec3a32f51aap-1, -0x1.16d5047ab9908p-1, -0x1.16a7f832c991bp-1, -0x1.16658e40e3c8bp-1, -0x1.160e400924ecfp-1, -0x1.15a28750da1ebp-1, -0x1.1522de2247217p-1, -0x1.148fbeb1611f1p-1, -0x1.13e9a34176e8cp-1, -0x1.1331060bc413fp-1, -0x1.12666126ed2fp-1, -0x1.118a2e6f5f1f8p-1, -0x1.109ce77090ff7p-1, -0x1.0f9f054f236c8p-1, -0x1.0e9100b3dbbd7p-1, -0x1.0d7351b778432p-1, -0x1.0c466fcf584dcp-1, -0x1.0b0ad1baf7f57p-1, -0x1.09c0ed723ad17p-1, -0x1.0869381482f88p-1, -0x1.070425d89137ap-1, -0x1.059229fd2ac19p-1, -0x1.0413b6ba825cbp-1, -0x1.02893d345f8fcp-1, -0x1.00f32d6d027b7p-1, -0x1.fea3ec7180677p-2, -0x1.fb4c0a64a2e12p-2, -0x1.f7df8d5fac016p-2, -0x1.f45f4b71015d8p-2, -0x1.f0cc17f5e06c9p-2, -0x1.ed26c38857386p-2, -0x1.e9701bee7efdcp-2, -0x1.e5a8ec0af5386p-2, -0x1.e1d1fbce80302p-2, -0x1.ddec102ae5a11p-2, -0x1.d9f7eb06dd106p-2, -0x1.d5f64b331dcd2p-2, -0x1.d1e7ec607e80cp-2, -0x1.cdcd87171b4f4p-2, -0x1.c9a7d0ae7f033p-2, -0x1.c5777b46c132p-2, -0x1.c13d35c296b5ap-2, -0x1.bcf9abc246689p-2, -0x1.b8ad859f80d1ap-2, -0x1.b459686a0a0aap-2, -0x1.affdf5e537321p-2, -0x1.ab9bcc863004ap-2, -0x1.a7338772f0a7bp-2, -0x1.a2c5be8201891p-2, -0x1.9e53063ae1cd9p-2, -0x1.99dbefd7171d6p-2, -0x1.95610943e17d5p-2, -0x1.90e2dd248671cp-2, -0x1.8c61f2d531ab9p-2, -0x1.87dece6e5f5c7p-2, -0x1.8359f0c8ce01ep-2, -0x1.7ed3d781ef4a3p-2, -0x1.7a4cfd00cf483p-2, -0x1.75c5d87b7114dp-2, -0x1.713eddfc96c05p-2, -0x1.6cb87e69ef4c7p-2, -0x1.6833278aa6ba2p-2, -0x1.63af440e52e41p-2, -0x1.5f2d3b9431b5ap-2, -0x1.5aad72b2bf58bp-2, -0x1.56304aff94838p-2, -0x1.51b623178c06bp-2, -0x1.4d3f56a72cf6cp-2, -0x1.48cc3e735116cp-2, -0x1.445d306208d5bp-2, -0x1.3ff27f83afac7p-2, -0x1.3b8c7c1c3704fp-2, -0x1.372b73ac9d8d5p-2, -0x1.32cfb0fc8e9p-2, -0x1.2e797c242b856p-2, -0x1.2a291a95f6305p-2, -0x1.25decf28dad63p-2, -0x1.219ada2258cf5p-2, -0x1.1d5d7940c186p-2, -0x1.1926e7c59248ep-2, -0x1.14f75e7fdc30bp-2, -0x1.10cf13d6c3c5cp-2, -0x1.0cae3bd4081f3p-2, -0x1.0895082e9c7b7p-2, -0x1.0483a85545cd9p-2, -0x1.007a49794349ep-2, -0x1.f8f22d31f2497p-3, -0x1.f100711543d62p-3, -0x1.e91fac0df7cap-3, -0x1.e1502767f1571p-3, -0x1.d992285ed3548p-3, -0x1.d1e5f0334dd26p-3, -0x1.ca4bbc405bd8ap-3, -0x1.c2c3c6107afcep-3, -0x1.bb4e4372c4301p-3, -0x1.b3eb668ff4b6p-3, -0x1.ac9b5dff5e7c5p-3, -0x1.a55e54dbb8c6bp-3, -0x1.9e3472d7d758fp-3, -0x1.971ddc533aed4p-3, -0x1.901ab26e8665ep-3, -0x1.892b131fc6414p-3, -0x1.824f19469782bp-3, -0x1.7b86dcc020dd8p-3, -0x1.74d2727ae0c68p-3, -0x1.6e31ec8a530f1p-3, -0x1.67a55a3a5f161p-3, -0x1.612cc8229f448p-3, -0x1.5ac840396d9b9p-3, -0x1.5477c9e6c3663p-3, -0x1.4e3b6a16dd1a7p-3, -0x1.4813234cb320ep-3, -0x1.41fef5b42c3e5p-3, -0x1.3bfedf3427861p-3, -0x1.3612db803c6a2p-3, -0x1.303ae42a50924p-3, -0x1.2a76f0b3e4b1p-3, -0x1.24c6f69f2d739p-3, -0x1.1f2ae97fe9978p-3, -0x1.19a2bb0c01779p-3, -0x1.142e5b2bdf58dp-3, -0x1.0ecdb80a904d7p-3, -0x1.0980be25a23e2p-3, -0x1.0447585cbe38p-3, -0x1.fe42e00216a1ep-4, -0x1.f41dd9c88f502p-4, -0x1.ea1f6acf4cefbp-4, -0x1.e0475d14cf926p-4, -0x1.d69577f068adcp-4, -0x1.cd09802e629f6p-4, -0x1.c3a3382baecfp-4, -0x1.ba625ff108d6p-4, -0x1.b146b54d9cbf6p-4, -0x1.a84ff3f11ec87p-4, -0x1.9f7dd58569bedp-4, -0x1.96d011c7966fap-4, -0x1.8e465ea08a662p-4, -0x1.85e0703d0afdap-4, -0x1.7d9df9254a65ep-4, -0x1.757eaa53f1c57p-4, -0x1.6d82334caaeedp-4, -0x1.65a84232297cdp-4, -0x1.5df083dbb21a5p-4, -0x1.565aa3ea234d1p-4, -0x1.4ee64cdc7f697p-4, -0x1.47932823f7af9p-4, -0x1.4060de377bbbap-4, -0x1.394f16a6cb88p-4, -0x1.325d782d0ea4p-4, -0x1.2b8ba8c2f2bbfp-4, -0x1.24d94db04efc3p-4, -0x1.1e460b9d5168dp-4, -0x1.17d186a334c1fp-4, -0x1.117b625c8111p-4, -0x1.0b4341f4d8cebp-4, -0x1.0528c83851bf6p-4, -0x1.fe572f44bb812p-5, -0x1.f296a4d886576p-5, -0x1.e70f3536499e1p-5, -0x1.dbc0241b3e95cp-5, -0x1.d0a8b511f09c8p-5, -0x1.c5c82b8bc88bbp-5, -0x1.bb1dcaf9c6bd5p-5, -0x1.b0a8d6e46b5e6p-5, -0x1.a6689302d7424p-5, -0x1.9c5c43511f3c2p-5, -0x1.92832c25dea92p-5, -0x1.88dc924702214p-5, -0x1.7f67bafdd7ae9p-5, -0x1.7623ec2a5ff6bp-5, -0x1.6d106c55e7076p-5, -0x1.642c82c4e7ef3p-5, -0x1.5b7777883ea85p-5, -0x1.52f0938da746dp-5, -0x1.4a9720af96608p-5, -0x1.426a69c4650dap-5, -0x1.3a69baacd6d7dp-5, -0x1.3294606202626p-5, -0x1.2ae9a90295c38p-5, -0x1.2368e3df8283cp-5, -0x1.1c1161880ece9p-5, -0x1.14e273d555ac3p-5, -0x1.0ddb6df52ff18p-5, -0x1.06fba47493434p-5, -0x1.00426d49634e2p-5, -0x1.f35e3fb774f65p-6, -0x1.e6822a1d5e1a4p-6, -0x1.d9ef4e912b6a8p-6, -0x1.cda464f58c641p-6, -0x1.c1a02851c33cap-6, -0x1.b5e156df47e0fp-6, -0x1.aa66b2167bb23p-6, -0x1.9f2efeba78906p-6, -0x1.943904e4023bep-6, -0x1.8983900ba1164p-6, -0x1.7f0d6f12e20b4p-6, -0x1.74d5744cd5a98p-6, -0x1.6ada7585bc209p-6, -0x1.611b4c09f6c48p-6, -0x1.5796d4ac3c47p-6, -0x1.4e4befcb1546bp-6, -0x1.45398155a8f29p-6, -0x1.3c5e70cfdd46p-6, -0x1.33b9a955d4b7cp-6, -0x1.2b4a199ec68b1p-6, -0x1.230eb3ff3d04cp-6, -0x1.1b066e6abf26dp-6, -0x1.13304274e7593p-6, -0x1.0b8b2d51eca1cp-6, -0x1.04162fd6a845cp-6, -0x1.f9a09cf02465p-7, -0x1.eb7122948a248p-7, -0x1.dd9c07fe0ba5bp-7, -0x1.d01f6bc7b3c35p-7, -0x1.c2f973bf4b8dbp-7, -0x1.b6284cdfd110ap-7, -0x1.a9aa2b4b11249p-7, -0x1.9d7d4a42806f9p-7, -0x1.919fec1f54ff9p-7, -0x1.86105a49e34e4p-7, -0x1.7acce530596b2p-7, -0x1.6fd3e43cc1c89p-7, -0x1.6523b5ca77e38p-7, -0x1.5ababf1af5709p-7, -0x1.50976c4a14354p-7, -0x1.46b83041d27bp-7, -0x1.3d1b84ad79e25p-7, -0x1.33bfe9ec63d56p-7, -0x1.2aa3e704398c1p-7, -0x1.21c60992c8f5cp-7, -0x1.1924e5bf71a1cp-7, -0x1.10bf162c2c532p-7, -0x1.08933be638164p-7, -0x1.009ffe566daf7p-7, -0x1.f1c81662879bfp-8, -0x1.e2bc2ccd0a8d9p-8, -0x1.d419b42182b9ep-8, -0x1.c5de2cc8f4596p-8, -0x1.b807233e2db43p-8, -0x1.aa922feb3b30cp-8, -0x1.9d7cf7067534dp-8, -0x1.90c5286f31b4ap-8, -0x1.84687f8a21dfep-8, -0x1.7864c31d64fp-8, -0x1.6cb7c52c55b83p-8, -0x1.615f62d32031dp-8, -0x1.565984222266p-8, -0x1.4ba41bf92126bp-8, -0x1.413d27e25afffp-8, -0x1.3722afed7b5b7p-8, -0x1.2d52c68a78878p-8, -0x1.23cb8864616a5p-8, -0x1.1a8b1c3c227c4p-8, -0x1.118fb2c346404p-8, -0x1.08d78676b91dep-8, -0x1.0060db7994d4p-8, -0x1.f053fedff24dcp-9, -0x1.e06292b3eff42p-9, -0x1.d0ea32dd30fd6p-9, -0x1.c1e7b1edeec04p-9, -0x1.b357f4530d7dbp-9, -0x1.a537f00aea96fp-9, -0x1.9784ac5c7c644p-9, -0x1.8a3b418eccadep-9, -0x1.7d58d8a0d639ep-9, -0x1.70daab01ceff9p-9, -0x1.64be0249de715p-9, -0x1.590037f351e09p-9, -0x1.4d9eb51448397p-9, -0x1.4296f218e71b3p-9, -0x1.37e6767e15ebap-9, -0x1.2d8ad88cca286p-9, -0x1.2381bd15e4f63p-9, -0x1.19c8d72eac9f8p-9, -0x1.105de7eddea2bp-9, -0x1.073ebe2967424p-9, -0x1.fcd26c6979ccp-10, -0x1.ebb6733fbfbd1p-10, -0x1.db257dee1dba6p-10, -0x1.cb1b930641dcp-10, -0x1.bb94d21534b03p-10, -0x1.ac8d7326dca27p-10, -0x1.9e01c64afcd03p-10, -0x1.8fee331b9f886p-10, -0x1.824f3844f8d74p-10, -0x1.75216b0ec4808p-10, -0x1.686176e723e7ap-10, -0x1.5c0c1ceef5257p-10, -0x1.501e3387b9cf3p-10, -0x1.4494a5e2f4ab2p-10, -0x1.396c73931b96dp-10, -0x1.2ea2b01e083c9p-10, -0x1.24348290f87a2p-10, -0x1.1a1f251619f85p-10, -0x1.105fe48b99127p-10, -0x1.06f4201c47504p-10, -0x1.fbb291b38cd99p-11, -0x1.ea19c2b078d4dp-11, -0x1.d918fa9734fedp-11, -0x1.c8ab824cd0714p-11, -0x1.b8ccc37434bap-11, -0x1.a97847b1e37c5p-11, -0x1.9aa9b7f2c171cp-11, -0x1.8c5cdbb5ed712p-11, -0x1.7e8d98599d671p-11, -0x1.7137f06afec61p-11, -0x1.645802f917f3fp-11, -0x1.57ea0aeaa178bp-11, -0x1.4bea5e56d8f6cp-11, -0x1.40556de1414f3p-11, -0x1.3527c418509f8p-11, -0x1.2a5e04d7038a5p-11, -0x1.1ff4eca94fb69p-11, -0x1.15e950337090bp-11, -0x1.0c381b9c0873ap-11, -0x1.02de51f90d36ep-11, -0x1.f3b2197ef7b6cp-12, -0x1.e24af66b951c7p-12, -0x1.d181c3d229e79p-12, -0x1.c1513449eb581p-12, -0x1.b1b422dc1becfp-12, -0x1.a2a591fe5597p-12, -0x1.9420aa920e65p-12, -0x1.8620bae941225p-12, -0x1.78a135d029b36p-12, -0x1.6b9db19c08932p-12, -0x1.5f11e73eda139p-12, -0x1.52f9b15ff4525p-12, -0x1.47510b79796a6p-12, -0x1.3c1410fa8c52p-12, -0x1.313efc6e3d238p-12, -0x1.26ce26a7123dp-12, -0x1.1cbe05ef2a2bfp-12, -0x1.130b2d3cdae8fp-12, -0x1.09b24b6bc396ep-12, -0x1.00b02a7a3b99cp-12, -0x1.f0035d9625b86p-13, -0x1.df47acd720b38p-13, -0x1.cf2770bb35542p-13, -0x1.bf9d07cc01471p-13, -0x1.b0a2ffbd947p-13, -0x1.a234141b0baacp-13, -0x1.944b2cfafebfbp-13, -0x1.86e35dbb9e6b4p-13, -0x1.79f7e3c667728p-13, -0x1.6d84255b44fp-13, -0x1.6183b062fcec1p-13, -0x1.55f23948d53b2p-13, -0x1.4acb99db3f19ap-13, -0x1.400bd03372fffp-13, -0x1.35aefda3d8a6dp-13, -0x1.2bb165ad23d25p-13, -0x1.220f6cf9f6248p-13, -0x1.18c59860f6a9ap-13, -0x1.0fd08bed3b156p-13, -0x1.072d09ecd942cp-13, -0x1.fdafe40b33836p-14, -0x1.ed9c809f239adp-14, -0x1.de1a18eb3cb98p-14, -0x1.cf2311b72a223p-14, -0x1.c0b203941e2fp-14, -0x1.b2c1b93f70bbap-14, -0x1.a54d2e10055e4p-14, -0x1.984f8c6e30d5bp-14, -0x1.8bc42c5600ab6p-14, -0x1.7fa691e3a3a62p-14, -0x1.73f26be9b374fp-14, -0x1.68a39291350f5p-14, -0x1.5db6060318aaap-14, -0x1.5325ed1b0225ap-14, -0x1.48ef942328e95p-14, -0x1.3f0f6b991be87p-14, -0x1.358206fb37d75p-14, -0x1.2c441b9e9e118p-14, -0x1.23527f8d7b8a2p-14, -0x1.1aaa286d714c4p-14, -0x1.12482a6ded8cp-14, -0x1.0a29b73e47e2bp-14, -0x1.024c1d0b74093p-14, -0x1.f5598b0a39e48p-15, -0x1.e69269d3f844cp-15, -0x1.d83e123685e08p-15, -0x1.ca57f16dd4289p-15, -0x1.bcdba4717cebdp-15, -0x1.afc4f64401c09p-15, -0x1.a30fde4ee1fa1p-15, -0x1.96b87ecb37e6ep-15, -0x1.8abb23368d5b5p-15, -0x1.7f143ed39d514p-15, -0x1.73c06b36b3b47p-15, -0x1.68bc66dd67a11p-15, -0x1.5e0513d15e49fp-15, -0x1.53977655dab8cp-15, -0x1.4970b39fc8427p-15, -0x1.3f8e1098071f3p-15, -0x1.35ecf0a7af7cbp-15, -0x1.2c8ad48e0b463p-15, -0x1.236559400a196p-15, -0x1.1a7a36d0ea3d6p-15, -0x1.11c73f63dc986p-15, -0x1.094a5e26671d8p-15, -0x1.0101965345918p-15, -0x1.f1d6047b2a402p-16, -0x1.e209a4c81c76ap-16, -0x1.d29a9918235d3p-16, -0x1.c38595c8b6febp-16, -0x1.b4c7765e37ad5p-16, -0x1.a65d3be68fab1p-16, -0x1.98440b69de559p-16, -0x1.8a792c68c22fbp-16, -0x1.7cfa0767e1f3p-16, -0x1.6fc42488605a3p-16, -0x1.62d52a2cc5e94p-16, -0x1.562adbaa1daecp-16, -0x1.49c31804db135p-16, -0x1.3d9bd8b93b9b5p-16, -0x1.31b3308ec6372p-16, -0x1.26074a769d306p-16, -0x1.1a9668744dad7p-16, -0x1.0f5ee290cc16dp-16, -0x1.045f25d75325fp-16, -0x1.f32b66b7af96ap-17, -0x1.de023e958c857p-17, -0x1.c94020039349ep-17, -0x1.b4e27a62906dep-17, -0x1.a0e6de0cb8859p-17, -0x1.8d4afaba0b7b7p-17, -0x1.7a0c9df497e91p-17, -0x1.6729b19c30f4ep-17, -0x1.54a03a7906981p-17, -0x1.426e56dcc8632p-17, -0x1.30923d51b0316p-17, -0x1.1f0a3b572ec15p-17, -0x1.0dd4b42bab5fdp-17, -0x1.f9e03f45efa66p-18, -0x1.d8b612121a05ep-18, -0x1.b8281c214bb74p-18, -0x1.9833bb9ab09f9p-18, -0x1.78d66f718edd8p-18, -0x1.5a0dd585233b8p-18, -0x1.3bd7a8d53a8b4p-18, -0x1.1e31bfcad7d0cp-18, -0x1.011a0a943111ap-18, -0x1.c91d2326c2c2ap-19, -0x1.911ae7be4799ap-19, -0x1.5a29cba9f5481p-19, -0x1.24465f7849334p-19, -0x1.dedab1e3219dcp-20, -0x1.7737213b0eb87p-20, -0x1.119bfece3618cp-20, -0x1.5c06f1750d83p-21, -0x1.319fd47ed632bp-22, 0x1.33bf1f11c2303p-24, 0x1.c3b5c946ebebdp-22, 0x1.99632ae262ea8p-21, 0x1.268d3bcdec82ep-20, 0x1.7e85204186beep-20, 0x1.d49ddb1ff8ddep-20, 0x1.146df295f9283p-19, 0x1.3da1cd30f7a56p-19, 0x1.65ec9e4dde09dp-19, 0x1.8d507b06f47ep-19, 0x1.b3cf6dd0580ap-19, 0x1.d96b7792e6d75p-19, 0x1.fe2690b655197p-19, 0x1.1101550d90f6cp-18, 0x1.2280d7028682dp-18, 0x1.3392c07b5c2b1p-18, 0x1.4438013f8b02bp-18, 0x1.547186fc9bf67p-18, 0x1.64403d9f8c236p-18, 0x1.73a50fa7f61c7p-18, 0x1.82a0e6754706dp-18, 0x1.9134aa8e3fd29p-18, 0x1.9f6143e30696dp-18, 0x1.ad279a0a069bcp-18, 0x1.ba889477db51p-18, 0x1.c7851ab27fd4ep-18, 0x1.d41e147fff4afp-18, 0x1.e0546a10d871cp-18, 0x1.ec2904264dd3ep-18, 0x1.f79ccc34d0fbfp-18, 0x1.015856415efeep-17, 0x1.06b2c821c9923p-17, 0x1.0bde31d7eb9bap-17, 0x1.10db0a0ce976fp-17, 0x1.15a9c7ffa8bbep-17, 0x1.1a4ae38c44e78p-17, 0x1.1ebed5322ce23p-17, 0x1.23061618fd207p-17, 0x1.2721201428f63p-17, 0x1.2b106da582f6dp-17, 0x1.2ed479feb5d14p-17, 0x1.326dc101bfd2p-17, 0x1.35dcbf407d251p-17, 0x1.3921f1fb534a8p-17, 0x1.3c3dd71f09b44p-17, 0x1.3f30ed41ddd08p-17, 0x1.41fbb39fe1356p-17, 0x1.449eaa16ac964p-17, 0x1.471a5120747cbp-17, 0x1.496f29ce8cbcap-17, 0x1.4b9db5c362b57p-17, 0x1.4da6772bfc36fp-17, 0x1.4f89f0b903f88p-17, 0x1.5148a5976c6d4p-17, 0x1.52e31968b6f02p-17, 0x1.5459d03adb887p-17, 0x1.55ad4e7fedaafp-17, 0x1.56de190577316p-17, 0x1.57ecb4eb91e49p-17, 0x1.58d9a79bce955p-17, 0x1.59a576bfe9c56p-17, 0x1.5a50a8385ad74p-17, 0x1.5adbc212c2193p-17, 0x1.5b474a802e758p-17, 0x1.5b93c7cb5d5f6p-17, 0x1.5bc1c04ee0cf1p-17, 0x1.5bd1ba6b36d42p-17, 0x1.5bc43c7cdcd59p-17, 0x1.5b99ccd264426p-17, 0x1.5b52f1a284606p-17, 0x1.5af031022efd2p-17, 0x1.5a7210dabc2d8p-17, 0x1.59d916e01049cp-17, 0x1.5925c886e5f09p-17, 0x1.5858aafb1f3f7p-17, 0x1.57724316326c3p-17, 0x1.56731555b3319p-17, 0x1.555ba5d1f62c7p-17, 0x1.542c7834d55e8p-17, 0x1.52e60fb08d316p-17, 0x1.5188eef6d03c4p-17, 0x1.5015982fedc6bp-17, 0x1.4e8c8cf226fc4p-17, 0x1.4cee4e3932ad2p-17, 0x1.4b3b5c5de1c52p-17, 0x1.4974370df7117p-17, 0x1.47995d44291a9p-17, 0x1.45ab4d4053fc2p-17, 0x1.43aa847fd9ee5p-17, 0x1.41977fb634aap-17, 0x1.3f72bac5b8602p-17, 0x1.3d3cb0b8878c6p-17, 0x1.3af5dbb9bacddp-17, 0x1.389eb50ebb7acp-17, 0x1.3637b510d0ee6p-17, 0x1.33c15326e2961p-17, }}, 
      {{0x1.50802f54f9487p-1, 0x1.509beb19fee4bp-1, 0x1.50c8a0127a77fp-1, 0x1.51041f6bd9cb7p-1, 0x1.514b82b8e3a85p-1, 0x1.519b4a6ab1684p-1, 0x1.51ef7d69fe7adp-1, 0x1.5243c80e8a214p-1, 0x1.5293994cc549ep-1, 0x1.52da3d644e7b8p-1, 0x1.5312f5ad10b77p-1, 0x1.53390d5c7cb97p-1, 0x1.5347eb45e4d64p-1, 0x1.533b20b4f39cbp-1, 0x1.530e7592f0963p-1, 0x1.52bdf211c42fdp-1, 0x1.5245e61c86f1cp-1, 0x1.51a2eece66974p-1, 0x1.50d1fa2f1b296p-1, 0x1.4fd04970e0a12p-1, 0x1.4e9b71e79a57dp-1, 0x1.4d315cebf0978p-1, 0x1.4b9046d833823p-1, 0x1.49b6bd47c9db1p-1, 0x1.47a39cbd2ce64p-1, 0x1.45560dcdf168fp-1, 0x1.42cd81f035477p-1, 0x1.4009b001072dp-1, 0x1.3d0a9097f38acp-1, 0x1.39d05a38e13d5p-1, 0x1.365b7d72b4c8cp-1, 0x1.32aca0f6d88bdp-1, 0x1.2ec49db3bd279p-1, 0x1.2aa47afa951f7p-1, 0x1.264d6ab707f41p-1, 0x1.21c0c5be45e1bp-1, 0x1.1d000839b90aep-1, 0x1.180cce30a5899p-1, 0x1.12e8d0332844bp-1, 0x1.0d95e0285f40cp-1, 0x1.0815e640e4babp-1, 0x1.026ade0e53ca1p-1, 0x1.f92da780364d6p-2, 0x1.ed37c30b2a1aep-2, 0x1.e0f85a2a232a7p-2, 0x1.d473caae8b3cdp-2, 0x1.c7ae806cd01ecp-2, 0x1.baacf1203cc78p-2, 0x1.ad7398927fb07p-2, 0x1.a006f504c3a39p-2, 0x1.926b83d81ed12p-2, 0x1.84a5be72ff66fp-2, 0x1.76ba176145addp-2, 0x1.68acf7ac97346p-2, 0x1.5a82bc6a88212p-2, 0x1.4c3fb47e398cfp-2, 0x1.3de81e8b075d2p-2, 0x1.2f802715f05d5p-2, 0x1.210be6d3732c1p-2, 0x1.128f611f9aff5p-2, 0x1.040e829e1138ap-2, 0x1.eb1a40002be18p-3, 0x1.ce1de9dc99495p-3, 0x1.b12f4628c211p-3, 0x1.94556299333fdp-3, 0x1.779715d2f4f5p-3, 0x1.5afafe3762a5p-3, 0x1.3e8780e52a044p-3, 0x1.2242c8eb1a84dp-3, 0x1.0632c6a9af841p-3, 0x1.d4ba5ec08754ap-4, 0x1.9d8ef9c60c6f1p-4, 0x1.66eddaedffd6bp-4, 0x1.30e107a2e7456p-4, 0x1.f6e41ce09267p-5, 0x1.8d540f005b41fp-5, 0x1.25232aa21e4fap-5, 0x1.7cc3967f8ff3fp-6, 0x1.647d941138b0dp-7, -0x1.52af1501d8d1ap-10, -0x1.b2bc810ac7a2bp-7, -0x1.9a41860f875eap-6, -0x1.2bde6d8825344p-5, -0x1.88dd0402787ep-5, -0x1.e4123e852ba78p-5, -0x1.1eba526f8e585p-4, -0x1.4a7dc5320e81fp-4, -0x1.754f84c525f33p-4, -0x1.9f2bffb27d637p-4, -0x1.c8100380c3a69p-4, -0x1.eff8ba551c8d1p-4, -0x1.0b71d444ce39dp-3, -0x1.1e67551d4600fp-3, -0x1.30dbf8661c755p-3, -0x1.42cf003577ab5p-3, -0x1.543fd6c350614p-3, -0x1.652e0d25c7ae7p-3, -0x1.75995a0cb6c86p-3, -0x1.8581987d0a01cp-3, -0x1.94e6c68c7f2ep-3, -0x1.a3c9041e5346bp-3, -0x1.b22891a1552fp-3, -0x1.c005cecfe5ee3p-3, -0x1.cd6139723c93p-3, -0x1.da3b6c2369c71p-3, -0x1.e6951d196ea2dp-3, -0x1.f26f1cf0bc138p-3, -0x1.fdca557b7107ap-3, -0x1.0453e44a4fc11p-2, -0x1.0984477bed46dp-2, -0x1.0e76eb8ea46fp-2, -0x1.132c720d3c6a4p-2, -0x1.17a5864414e52p-2, -0x1.1be2dcb696771p-2, -0x1.1fe532974f689p-2, -0x1.23ad4d42be1fep-2, -0x1.273bf9bceb141p-2, -0x1.2a920c31d5c8fp-2, -0x1.2db05f78c2784p-2, -0x1.3097d49a76e9dp-2, -0x1.3349525a6df5cp-2, -0x1.35c5c4c30372bp-2, -0x1.380e1cb4ab08fp-2, -0x1.3a234f7826ebap-2, -0x1.3c065653ccfbap-2, -0x1.3db82e23d8918p-2, -0x1.3f39d6f5c8eefp-2, -0x1.408c53a6c7f15p-2, -0x1.41b0a98523233p-2, -0x1.42a7dff4c4b4p-2, -0x1.43730016b754bp-2, -0x1.44131473a5239p-2, -0x1.448928a9544c1p-2, -0x1.44d6491b1578fp-2, -0x1.44fb82a521e77p-2, -0x1.44f9e252dd3a5p-2, -0x1.44d27517f6a7bp-2, -0x1.4486478c5e827p-2, -0x1.441665ab0591p-2, -0x1.4383da935e479p-2, -0x1.42cfb04d97fa3p-2, -0x1.41faef91826f8p-2, -0x1.41069f9013ac7p-2, -0x1.3ff3c5bf83a78p-2, -0x1.3ec365a9f0b21p-2, -0x1.3d7680be80b8bp-2, -0x1.3c0e1624f4cabp-2, -0x1.3a8b22939e343p-2, -0x1.38eea027ab7c8p-2, -0x1.3739863fbe555p-2, -0x1.356cc958c05d1p-2, -0x1.33895aece2087p-2, -0x1.31902954c02f1p-2, -0x1.2f821faa9809bp-2, -0x1.2d6025af85adfp-2, -0x1.2b2b1fb2b7092p-2, -0x1.28e3ee7a8a1e3p-2, -0x1.268b6f2f8aa6ap-2, -0x1.24227b493838p-2, -0x1.21a9e87c932b6p-2, -0x1.1f2288ac5ab9ep-2, -0x1.1c8d29daeeac3p-2, -0x1.19ea961dcb607p-2, -0x1.173b939290517p-2, -0x1.1480e4558149bp-2, -0x1.11bb46797ac87p-2, -0x1.0eeb7401463eep-2, -0x1.0c1222da45594p-2, -0x1.093004d86722ep-2, -0x1.0645c7b356be2p-2, -0x1.03541504dbc74p-2, -0x1.005b924860103p-2, -0x1.fab9c1b70dd74p-3, -0x1.f4b13bffab2c8p-3, -0x1.ee9ec5bab0259p-3, -0x1.e883890c7a632p-3, -0x1.e260a7f6ab111p-3, -0x1.dc373c62ef1d3p-3, -0x1.d608582f62353p-3, -0x1.cfd5053c87447p-3, -0x1.c99e457cba4bep-3, -0x1.c36513050ca05p-3, -0x1.bd2a601f6cc56p-3, -0x1.b6ef175e1c88ep-3, -0x1.b0b41bb0425a6p-3, -0x1.aa7a4877a3f13p-3, -0x1.a442719f61cb4p-3, -0x1.9e0d63b3ac7aep-3, -0x1.97dbe3fa5ce52p-3, -0x1.91aeb08c68675p-3, -0x1.8b86807011386p-3, -0x1.856403b3d68c5p-3, -0x1.7f47e38a04cdfp-3, -0x1.7932c264dfc7p-3, -0x1.73253c1358a43p-3, -0x1.6d1fe5de3d5cp-3, -0x1.67234ea5d98dbp-3, -0x1.612ffefff65fap-3, -0x1.5b467956395d1p-3, -0x1.55673a04c0e6dp-3, -0x1.4f92b7790701ep-3, -0x1.49c96250f8ed6p-3, -0x1.440ba57a356bcp-3, -0x1.3e59e65167326p-3, -0x1.38b484c1bd41p-3, -0x1.331bdb6464fb5p-3, -0x1.2d903fa010939p-3, -0x1.281201c872e69p-3, -0x1.22a16d3dae263p-3, -0x1.1d3ec88bb00b1p-3, -0x1.17ea5589701e4p-3, -0x1.12a45178082fep-3, -0x1.0d6cf521a6fb4p-3, -0x1.084474f84d234p-3, -0x1.032b013458ec1p-3, -0x1.fc418be5a540ap-4, -0x1.f24bd6a6efbdep-4, -0x1.e8752b2cfbcdbp-4, -0x1.debdca741e8dbp-4, -0x1.d525ee2eea383p-4, -0x1.cbadc8ffd439dp-4, -0x1.c25586b237abfp-4, -0x1.b91d4c729b924p-4, -0x1.b005390639575p-4, -0x1.a70d6501c70cbp-4, -0x1.9e35e2ff6b0acp-4, -0x1.957ebfd3f8c88p-4, -0x1.8ce802c33e726p-4, -0x1.8471adb392bf6p-4, -0x1.7c1bbd607a627p-4, -0x1.73e6298c74becp-4, -0x1.6bd0e531e3bc8p-4, -0x1.63dbdeb312157p-4, -0x1.5c070009521e7p-4, -0x1.54522ef332f07p-4, -0x1.4cbd4d21cd00ap-4, -0x1.4548386522cedp-4, -0x1.3df2cad7957dep-4, -0x1.36bcdb086adf2p-4, -0x1.2fa63c25681b6p-4, -0x1.28aebe237e29ep-4, -0x1.21d62de686d8bp-4, -0x1.1b1c556818354p-4, -0x1.1480fbdd68008p-4, -0x1.0e03e5dc46364p-4, -0x1.07a4d57f2acb5p-4, -0x1.01638a885c146p-4, -0x1.f67f8508560cep-5, -0x1.ea7271d4952e4p-5, -0x1.de9f4e7c85893p-5, -0x1.d3058a5dfe2fp-5, -0x1.c7a4916afe9dp-5, -0x1.bc7bcc654ca96p-5, -0x1.b18aa11861abap-5, -0x1.a6d072919ec87p-5, -0x1.9c4ca156d6748p-5, -0x1.91fe8b9b2b2dfp-5, -0x1.87e58d724eae9p-5, -0x1.7e010102202f3p-5, -0x1.74503eb2b60bap-5, -0x1.6ad29d5cd3228p-5, -0x1.61877276d602ep-5, -0x1.586e12401e095p-5, -0x1.4f85cfeaf5e77p-5, -0x1.46cdfdc504feap-5, -0x1.3e45ed5e4e968p-5, -0x1.35ecefaeca325p-5, -0x1.2dc2553a92e86p-5, -0x1.25c56e34bdeadp-5, -0x1.1df58aa0da047p-5, -0x1.1651fa731f6c7p-5, -0x1.0eda0daf55ed6p-5, -0x1.078d14867d542p-5, -0x1.006a5f733829p-5, -0x1.f2e27eaa067ddp-6, -0x1.e5420b1485187p-6, -0x1.d7f208124f09ep-6, -0x1.caf11aeeec7bbp-6, -0x1.be3dea826c05ep-6, -0x1.b1d71f5c9efbfp-6, -0x1.a5bb63ee40542p-6, -0x1.99e964b012d4cp-6, -0x1.8e5fd04809866p-6, -0x1.831d57ac800cfp-6, -0x1.7820ae4595e6dp-6, -0x1.6d688a0cb39bep-6, -0x1.62f3a3aa4ef8ep-6, -0x1.58c0b691f343ap-6, -0x1.4ece811c9ce3fp-6, -0x1.451bc4a17963ap-6, -0x1.3ba7458d0d2f8p-6, -0x1.326fcb76d86ccp-6, -0x1.297421357c4c4p-6, -0x1.20b314f173276p-6, -0x1.182b78365f9e6p-6, -0x1.0fdc20030b5a5p-6, -0x1.07c3e4d80fd0fp-6, -0x1.ffc3458a8627fp-7, -0x1.f06872ebcd1e6p-7, -0x1.e175187760ad1p-7, -0x1.d2e7043152c5fp-7, -0x1.c4bc0b8ffb308p-7, -0x1.b6f20b8b6609cp-7, -0x1.a986e8aac79d2p-7, -0x1.9c788f0ff5959p-7, -0x1.8fc4f2810043fp-7, -0x1.836a0e6ffb773p-7, -0x1.7765e60102274p-7, -0x1.6bb6840e98227p-7, -0x1.6059fb2c70c71p-7, -0x1.554e65a89f016p-7, -0x1.4a91e58b58c79p-7, -0x1.4022a49552935p-7, -0x1.35fed43cb02dep-7, -0x1.2c24ada8c0905p-7, -0x1.229271ac704cfp-7, -0x1.194668bf94b3ap-7, -0x1.103ee2f717dc4p-7, -0x1.077a37fc12d01p-7, -0x1.fded8e03cbbeep-8, -0x1.ed65ed76b4c81p-8, -0x1.dd5a6a9db417dp-8, -0x1.cdc7f093964ebp-8, -0x1.beab792632dedp-8, -0x1.b0020cb9f6e95p-8, -0x1.a1c8c22bfa4f7p-8, -0x1.93fcbeb2b4a3p-8, -0x1.869b35bd6cfcep-8, -0x1.79a168d271f37p-8, -0x1.6d0ca76c32be6p-8, -0x1.60da4ed54b436p-8, -0x1.5507ca039557ap-8, -0x1.4992917251818p-8, -0x1.3e782afb7986dp-8, -0x1.33b629b04d1a2p-8, -0x1.294a2db127dafp-8, -0x1.1f31e404b2ac5p-8, -0x1.156b066e7d9cp-8, -0x1.0bf35b45121e9p-8, -0x1.02c8b5478bb1fp-8, -0x1.f3d1e6e58603dp-9, -0x1.e2a401ac36128p-9, -0x1.d203a8cff534p-9, -0x1.c1ece1b4002e1p-9, -0x1.b25bc8d9f1e35p-9, -0x1.a34c9189568b5p-9, -0x1.94bb8576eefa7p-9, -0x1.86a5046bc4a01p-9, -0x1.790583ec146c2p-9, -0x1.6bd98ede2f93p-9, -0x1.5f1dc5315e015p-9, -0x1.52cedb84cee2fp-9, -0x1.46e99aceb5a2fp-9, -0x1.3b6ae0039484ep-9, -0x1.304f9bbdcc7c5p-9, -0x1.2594d1e57ab43p-9, -0x1.1b379958b80a3p-9, -0x1.11351b9440af9p-9, -0x1.078a945c9562ap-9, -0x1.fc6aa2cf35849p-10, -0x1.ea65640d95febp-10, -0x1.d9004da3f4f7ep-10, -0x1.c83662a5873a4p-10, -0x1.b802c761303cfp-10, -0x1.a860c0bb09b3fp-10, -0x1.994bb3876e6f9p-10, -0x1.8abf23e77c286p-10, -0x1.7cb6b4a72f1eep-10, -0x1.6f2e269d1e50fp-10, -0x1.6221580be5c6bp-10, -0x1.558c440545b8fp-10, -0x1.496b01cf02f3ap-10, -0x1.3db9c4499cb87p-10, -0x1.3274d958cbbecp-10, -0x1.2798a94de5567p-10, -0x1.1d21b654218e2p-10, -0x1.130c9bded0be5p-10, -0x1.09560e197777fp-10, -0x1.fff5b2b3d04b2p-11, -0x1.edefc328b8c87p-11, -0x1.dc9443a302f34p-11, -0x1.cbdd574d1f505p-11, -0x1.bbc54d5ec8c59p-11, -0x1.ac46a01547162p-11, -0x1.9d5bf3afc54d6p-11, -0x1.8f00156fbe5a8p-11, -0x1.812dfa9d7ef3dp-11, -0x1.73e0bf90c0988p-11, -0x1.6713a6bd5c548p-11, -0x1.5ac217c4150e8p-11, -0x1.4ee79e87758b7p-11, -0x1.437fea44c2d42p-11, -0x1.3886ccb0fe7d1p-11, -0x1.2df83919f3daep-11, -0x1.23d0438b4d714p-11, -0x1.1a0b1ff7ada63p-11, -0x1.10a52165c266fp-11, -0x1.079ab9215228dp-11, -0x1.fdd0ebe06e7ep-12, -0x1.ed160696883ap-12, -0x1.dcfe513614e2cp-12, -0x1.cd8390f0f4938p-12, -0x1.be9fbfe2a4179p-12, -0x1.b04d0ba0afa87p-12, -0x1.a285d3d29ecd1p-12, -0x1.9544a8d1513f3p-12, -0x1.88844a4dae365p-12, -0x1.7c3fa5fe9822ap-12, -0x1.7071d6560ec6ap-12, -0x1.6516213d6bde3p-12, -0x1.5a27f6d8a201ep-12, -0x1.4fa2f050689bp-12, -0x1.4582cea3418c1p-12, -0x1.3bc3797d3bb92p-12, -0x1.3260fe1663955p-12, -0x1.29578e17c0d41p-12, -0x1.20a37e86d4a1dp-12, -0x1.184146b775443p-12, -0x1.102d7f43f92abp-12, -0x1.0864e10b91ea7p-12, -0x1.00e44436c5935p-12, -0x1.f3513e83ce98ep-13, -0x1.e55e0c1afc359p-13, -0x1.d7e951e8f013ep-13, -0x1.caeda7d03eb9ap-13, -0x1.be65db234edf5p-13, -0x1.b24cecf296e28p-13, -0x1.a69e1065ab08p-13, -0x1.9b54a91f0c58p-13, -0x1.906c49aa67e9ap-13, -0x1.85e0b1f532cd4p-13, -0x1.7badcdd15b6d7p-13, -0x1.71cfb381f47aap-13, -0x1.6842a25194ec5p-13, -0x1.5f03013253e0dp-13, -0x1.560d5d671f7fbp-13, -0x1.4d5e6936490c1p-13, -0x1.44f2faa512ceap-13, -0x1.3cc80a3c1e834p-13, -0x1.34dab1d476f0cp-13, -0x1.2d282b6d22a53p-13, -0x1.25add008fd314p-13, -0x1.1e691694bcc26p-13, -0x1.175792d4e25c1p-13, -0x1.1076f45b855f6p-13, -0x1.09c50585b3399p-13, -0x1.033faa804f68p-13, -0x1.f9c9c0a874596p-14, -0x1.ed6577f34240dp-14, -0x1.e14ed2e48ac8cp-14, -0x1.d58255d52c40bp-14, -0x1.c9fcafc2f857bp-14, -0x1.bebab8ad3c48p-14, -0x1.b3b96ffe17a17p-14, -0x1.a8f5fb0039375p-14, -0x1.9e6da360bed0fp-14, -0x1.941dd5bcf7208p-14, -0x1.8a04203ba684ep-14, -0x1.801e3131a18e2p-14, -0x1.7669d5d1655b7p-14, -0x1.6ce4f8e56e975p-14, -0x1.638da195095a9p-14, -0x1.5a61f233591cfp-14, -0x1.5160271853575p-14, -0x1.4886958371097p-14, -0x1.3fd3aa87d13d3p-14, -0x1.3745ea0194823p-14, -0x1.2edbed942ffb8p-14, -0x1.269463b17c60bp-14, -0x1.1e6e0ea947d5fp-14, -0x1.1667c3c12e425p-14, -0x1.0e806a5481612p-14, -0x1.06b6fafc068c2p-14, -0x1.fe14fd7aad72fp-15, -0x1.eef41c834f24ep-15, -0x1.e009a227988d8p-15, -0x1.d153f9ca71374p-15, -0x1.c2d1a9b3ab26fp-15, -0x1.b48151b4e7f4bp-15, -0x1.a661a9db5f3f9p-15, -0x1.9871812e230c2p-15, -0x1.8aafbc7887fabp-15, -0x1.7d1b552057439p-15, -0x1.6fb358076e3cbp-15, -0x1.6276e4787c827p-15, -0x1.55652b1e82b98p-15, -0x1.487d6d06c7b2bp-15, -0x1.3bbefaacec06bp-15, -0x1.2f293310d4788p-15, -0x1.22bb82d616ce3p-15, -0x1.1675636ca283ep-15, -0x1.0a565a425bd83p-15, -0x1.fcbbeffaba59fp-16, -0x1.e517af7d3d365p-16, -0x1.cdbf3cd97473p-16, -0x1.b6b1f40d19322p-16, -0x1.9fef41fae2a9cp-16, -0x1.8976a32db7e0dp-16, -0x1.7347a2aa162bp-16, -0x1.5d61d8cd41059p-16, -0x1.47c4ea39beaep-16, -0x1.327086d0abfbdp-16, -0x1.1d6468b77c223p-16, -0x1.08a05369be056p-16, -0x1.e84825acd7dabp-17, -0x1.bfdef510dfa87p-17, -0x1.9804c9b3dd978p-17, -0x1.70b964640159bp-17, -0x1.49fc9098cf64fp-17, -0x1.23ce2315ffe1ep-17, -0x1.fc5bf141e4d27p-18, -0x1.b237e990423cbp-18, -0x1.69300177c178fp-18, -0x1.2144146f8e452p-18, -0x1.b4e809f06f6dep-19, -0x1.297f755ad1964p-19, -0x1.409c81d530749p-20, -0x1.9544598e9916cp-23, 0x1.adba8e968fa59p-21, 0x1.dbf549bb81f5fp-20, 0x1.6e4fede79519fp-19, 0x1.ec6eb700656b2p-19, 0x1.342ba19ada05fp-18, 0x1.7104f151e00cap-18, 0x1.acc37a44a0697p-18, 0x1.e767749912005p-18, 0x1.107890eec62f7p-17, 0x1.2cb066ebe3035p-17, 0x1.485b67a0f04e1p-17, 0x1.6379c43b25a77p-17, 0x1.7e0bb4059ddb5p-17, 0x1.981174af4a172p-17, 0x1.b18b4a895d8cdp-17, 0x1.ca7980bea51fap-17, 0x1.e2dc69841835bp-17, 0x1.fab45e42ebe2ep-17, 0x1.0900dfde43c62p-16, 0x1.14627b144dee7p-16, 0x1.1f7f38a6d889fp-16, 0x1.2a57544a39a46p-16, 0x1.34eb0d8af9b5bp-16, 0x1.3f3aa7d2a0367p-16, 0x1.49466a6a39fbap-16, 0x1.530ea07ac6bd7p-16, 0x1.5c93990ba649fp-16, 0x1.65d5a6ff217dep-16, 0x1.6ed5210d2f6fep-16, 0x1.779261bc8d25ap-16, 0x1.800dc75a455d2p-16, 0x1.8847b3efbf79ep-16, 0x1.90408d376b334p-16, 0x1.97f8bc902b9b2p-16, 0x1.9f70aeef85cf4p-16, 0x1.a6a8d4d2b75cap-16, 0x1.ada1a22ec3774p-16, 0x1.b45b8e5f8a79cp-16, 0x1.bad71415fe6aap-16, 0x1.c114b145896b5p-16, 0x1.c714e710b3c26p-16, 0x1.ccd839b51e66bp-16, 0x1.d25f3076db697p-16, 0x1.d7aa558b3c064p-16, 0x1.dcba36031f288p-16, 0x1.e18f61b4c79adp-16, 0x1.e62a6b2555422p-16, 0x1.ea8be771e1648p-16, 0x1.eeb46e3852288p-16, 0x1.f2a4997fed3aep-16, 0x1.f65d05a1b5215p-16, 0x1.f9de51309b518p-16, 0x1.fd291ce194042p-16, 0x1.001f05b9c97cap-15, 0x1.018ee0cbbc312p-15, 0x1.02e472ebfd18bp-15, 0x1.04201040c8de5p-15, 0x1.05420dc539029p-15, 0x1.064ac13d4801bp-15, 0x1.073a8129e3e2cp-15, 0x1.0811a4bd0d06ep-15, 0x1.08d083ce0cbfap-15, 0x1.097776cdbc1c5p-15, 0x1.0a06d6bae789fp-15, 0x1.0a7efd16ccbfap-15, 0x1.0ae043d9b3552p-15, 0x1.0b2b0567a9042p-15, 0x1.0b5f9c855ce56p-15, 0x1.0b7e644d1f6e3p-15, 0x1.0b87b824089e7p-15, 0x1.0b7bf3af4403p-15, 0x1.0b5b72c987f46p-15, 0x1.0b269178b3beap-15, 0x1.0addabe39b8acp-15, 0x1.0a811e48020a3p-15, 0x1.0a1144f0bdb9dp-15, 0x1.098e7c2c0d589p-15, 0x1.08f920421ecep-15, 0x1.08518d6bc2be2p-15, 0x1.07981fc954b75p-15, 0x1.06cd3359d2ef4p-15, 0x1.05f123f229e12p-15, 0x1.05044d34b3156p-15, 0x1.04070a88e5fep-15, 0x1.02f9b7133bfb7p-15, 0x1.01dcadad4b821p-15, 0x1.00b048de13864p-15, 0x1.fee9c5a4f7be7p-16, 0x1.fc55aaac1b044p-16, 0x1.f9a4f397b0fcfp-16, 0x1.f6d8524f27f94p-16, 0x1.f3f077cdddbedp-16, 0x1.f0ee14162b716p-16, 0x1.edd1d624d93efp-16, 0x1.ea9c6be4f4c39p-16, 0x1.e74e822412cbbp-16, 0x1.e3e8c486f5f71p-16, 0x1.e06bdd7e9479ep-16, 0x1.dcd8763d8c1d6p-16, 0x1.d92f36adef9ap-16, 0x1.d570c5677c6dfp-16, }}, 
      {{0x1.5079ec932db3cp-1, 0x1.50833ee3e734ap-1, 0x1.509279d77f2dep-1, 0x1.50a72b8620783p-1, 0x1.50c0ba8b551dap-1, 0x1.50de6ad63889cp-1, 0x1.50ff62cefaddep-1, 0x1.5122b08d1a079p-1, 0x1.51474eeda7cb3p-1, 0x1.516c2a6857f11p-1, 0x1.5190258db652ep-1, 0x1.51b21d21cc789p-1, 0x1.51d0ebcd0821cp-1, 0x1.51eb6d620749ep-1, 0x1.520081ba5b656p-1, 0x1.520f0f2eb36b7p-1, 0x1.521604b065368p-1, 0x1.52145b8b418c6p-1, 0x1.520918d70f5d8p-1, 0x1.51f34ea035748p-1, 0x1.51d21ccef711ep-1, 0x1.51a4b1d4677ecp-1, 0x1.516a4b23d4cdep-1, 0x1.5122357ef6c68p-1, 0x1.50cbcd1ab63acp-1, 0x1.50667da1de348p-1, 0x1.4ff1c21a91a29p-1, 0x1.4f6d24b2dcea4p-1, 0x1.4ed83e7852133p-1, 0x1.4e32b6fe2a60bp-1, 0x1.4d7c43f508834p-1, 0x1.4cb4a8b71754ep-1, 0x1.4bdbb5caee64ep-1, 0x1.4af1485f5980cp-1, 0x1.49f549c1dc3ccp-1, 0x1.48e7aed187dd1p-1, 0x1.47c8776f8b2a6p-1, 0x1.4697adeeaa1ebp-1, 0x1.45556682a389bp-1, 0x1.4401beb065321p-1, 0x1.429cdcbfc80d6p-1, 0x1.4126ef2f75f5ap-1, 0x1.3fa02c2b794a2p-1, 0x1.3e08d106e5179p-1, 0x1.3c6121b8ed84ap-1, 0x1.3aa9685db51fap-1, 0x1.38e1f4bb08724p-1, 0x1.370b1bc92fe0ap-1, 0x1.3525373ff4a29p-1, 0x1.3330a527ef7ep-1, 0x1.312dc7702a7dap-1, 0x1.2f1d038819d2ap-1, 0x1.2cfec1fdea8f3p-1, 0x1.2ad36e211e6e1p-1, 0x1.289b75a968c73p-1, 0x1.26574861be9e4p-1, 0x1.240757d783cedp-1, 0x1.21ac170dc1fa5p-1, 0x1.1f45fa3450279p-1, 0x1.1cd57662d353cp-1, 0x1.1a5b01577c06ep-1, 0x1.17d7113964fecp-1, 0x1.154a1c5e7854dp-1, 0x1.12b49914bbacp-1, 0x1.1016fd6ee7ea6p-1, 0x1.0d71bf142fb04p-1, 0x1.0ac553131589dp-1, 0x1.08122db7350ddp-1, 0x1.0558c261e36cap-1, 0x1.0299836589f6ap-1, 0x1.ffa9c3c73b9a4p-2, 0x1.fa169b5a33d11p-2, 0x1.f47a6a4ac2922p-2, 0x1.eed60a4eda595p-2, 0x1.e92a51da5cdf9p-2, 0x1.e37813f20f6e1p-2, 0x1.ddc0200295a66p-2, 0x1.d80341bb3ca97p-2, 0x1.d24240ec69bf9p-2, 0x1.cc7de169839b4p-2, 0x1.c6b6e2ee2798ap-2, 0x1.c0ee01067efd5p-2, 0x1.bb23f2fa925cdp-2, 0x1.b5596bbc6c818p-2, 0x1.af8f19d8ec4fcp-2, 0x1.a9c5a76b1eee3p-2, 0x1.a3fdba1200c73p-2, 0x1.9e37f2e881526p-2, 0x1.9874ee7faaddbp-2, 0x1.92b544dacffc8p-2, 0x1.8cf9896d9da12p-2, 0x1.87424b1bfb01cp-2, 0x1.8190143b93388p-2, 0x1.7be36a96f625cp-2, 0x1.763ccf72338ddp-2, 0x1.709cbf90d67fap-2, 0x1.6b03b33d319e8p-2, 0x1.65721e50d8b13p-2, 0x1.5fe8703e41bc1p-2, 0x1.5a67141b6bcbbp-2, 0x1.54ee70ad83125p-2, 0x1.4f7ee8756633ap-2, 0x1.4a18d9bd0311ep-2, 0x1.44bc9ea5743d5p-2, 0x1.3f6a8d35d4779p-2, 0x1.3a22f76ab24ep-2, 0x1.34e62b461da31p-2, 0x1.2fb472e036135p-2, 0x1.2a8e14783aa95p-2, 0x1.2573528601cc2p-2, 0x1.20646bcbd3b2cp-2, 0x1.1b619b689ccd4p-2, 0x1.166b18ea692ffp-2, 0x1.1181186122678p-2, 0x1.0ca3ca7182848p-2, 0x1.07d35c6839bb3p-2, 0x1.030ff84d317ap-2, 0x1.fcb389edeaa73p-3, 0x1.f361cc3c51533p-3, 0x1.ea2af8e222e78p-3, 0x1.e10f4b4e460dfp-3, 0x1.d80ef9291b664p-3, 0x1.cf2a327b8a484p-3, 0x1.c66121d5f94bap-3, 0x1.bdb3ec771e586p-3, 0x1.b522b272a8e5dp-3, 0x1.acad8ed7ac024p-3, 0x1.a45497d6cd6c5p-3, 0x1.9c17dee827445p-3, 0x1.93f770f0dd36ep-3, 0x1.8bf35668570dcp-3, 0x1.840b937d15388p-3, 0x1.7c4028392c7d2p-3, 0x1.749110a648469p-3, 0x1.6cfe44f13fe05p-3, 0x1.6587b98d3b1bap-3, 0x1.5e2d5f56505f6p-3, 0x1.56ef23b3ab186p-3, 0x1.4fccf0b928f0bp-3, 0x1.48c6ad48777c9p-3, 0x1.41dc3d319c5e9p-3, 0x1.3b0d8152f97a5p-3, 0x1.345a57b8bc806p-3, 0x1.2dc29bbbbd574p-3, 0x1.2746261fc7dcbp-3, 0x1.20e4cd314f3dcp-3, 0x1.1a9e64e28ca6dp-3, 0x1.1472bee803249p-3, 0x1.0e61aad466f25p-3, 0x1.086af633f1e3cp-3, 0x1.028e6ca717b7fp-3, 0x1.f997aff93d758p-4, 0x1.ee4600964238dp-4, 0x1.e3275813de253p-4, 0x1.d83b4052b35e3p-4, 0x1.cd814054c248p-4, 0x1.c2f8dc6b90718p-4, 0x1.b8a1966522a9dp-4, 0x1.ae7aedb7bfb4bp-4, 0x1.a4845fac87ed8p-4, 0x1.9abd6788de548p-4, 0x1.91257eb6b0becp-4, 0x1.87bc1ceb83303p-4, 0x1.7e80b84e6c4adp-4, 0x1.7572c59ce4353p-4, 0x1.6c91b84e77ec1p-4, 0x1.63dd02b7601bcp-4, 0x1.5b54162a02e68p-4, 0x1.52f663175e4d6p-4, 0x1.4ac3592e648f2p-4, 0x1.42ba677a4b309p-4, 0x1.3adafc7fd1f67p-4, 0x1.3324865985277p-4, 0x1.2b9672d300043p-4, 0x1.24302f833380ap-4, 0x1.1cf129e5b51dcp-4, 0x1.15d8cf731a766p-4, 0x1.0ee68db8677a8p-4, 0x1.0819d26d90676p-4, 0x1.01720b8b17edcp-4, 0x1.f5dd4ebd96922p-5, 0x1.e91e293f44df3p-5, 0x1.dca58501901aap-5, 0x1.d07241879c6cdp-5, 0x1.c4833f942a32p-5, 0x1.b8d7614acf184p-5, 0x1.ad6d8a4fa25ccp-5, 0x1.a2449fe56cb0cp-5, 0x1.975b890a59aadp-5, 0x1.8cb12e933f85bp-5, 0x1.82447b457fa3fp-5, 0x1.78145bef86e1p-5, 0x1.6e1fbf80010adp-5, 0x1.6465971bba961p-5, 0x1.5ae4d632454fp-5, 0x1.519c729162252p-5, 0x1.488b64773a9dp-5, 0x1.3fb0a6a374795p-5, 0x1.370b3667220fap-5, 0x1.2e9a13b3a1955p-5, 0x1.265c41286ab0ap-5, 0x1.1e50c41fd4dbep-5, 0x1.1676a4bae3f9ap-5, 0x1.0eccedec1c279p-5, 0x1.0752ad816650ep-5, 0x1.0006f42d12844p-5, 0x1.f1d1ab1bef669p-6, 0x1.e3eed06d7ddcep-6, 0x1.d6638b68b928ep-6, 0x1.c92e1527883d7p-6, 0x1.bc4caccdaf342p-6, 0x1.afbd97913ab2p-6, 0x1.a37f20c188a47p-6, 0x1.978f99ccf1254p-6, 0x1.8bed5a452990bp-6, 0x1.8096bfe25efbep-6, 0x1.758a2e85291f1p-6, 0x1.6ac610374d415p-6, 0x1.6048d52b6a7b8p-6, 0x1.5610f3bb9877fp-6, 0x1.4c1ce8670120cp-6, 0x1.426b35ce834fbp-6, 0x1.38fa64b0663ccp-6, 0x1.2fc903e331603p-6, 0x1.26d5a84fa3268p-6, 0x1.1e1eece9e1332p-6, 0x1.15a372a9e39bfp-6, 0x1.0d61e08325a98p-6, 0x1.0558e35ba3db8p-6, 0x1.fb0e5c046d56cp-7, 0x1.ebd6f24898546p-7, 0x1.dd09068618dfbp-7, 0x1.cea2214fe132cp-7, 0x1.c09fd6b1ac60bp-7, 0x1.b2ffc6171f5f1p-7, 0x1.a5bf9a320d19cp-7, 0x1.98dd08dfd958cp-7, 0x1.8c55d30e00199p-7, 0x1.8027c49df6d5ep-7, 0x1.7450b44843213p-7, 0x1.68ce837ef50ebp-7, 0x1.5d9f1e4f90a0cp-7, 0x1.52c07b4459991p-7, 0x1.48309b452eb0fp-7, 0x1.3ded8977dfd2fp-7, 0x1.33f55b202d366p-7, 0x1.2a462f7f52a74p-7, 0x1.20de2fb349c37p-7, 0x1.17bb8e95bb92ap-7, 0x1.0edc889ab1aa4p-7, 0x1.063f63af0c342p-7, 0x1.fbc4de2d9230ap-8, 0x1.eb880696438c6p-8, 0x1.dbc503b1137e5p-8, 0x1.cc78aa792990fp-8, 0x1.bd9fe18797e2bp-8, 0x1.af37a0cef0ee7p-8, 0x1.a13cf156d962fp-8, 0x1.93acecf79fe39p-8, 0x1.8684be15e7edp-8, 0x1.79c19f5e75187p-8, 0x1.6d60db821fbf7p-8, 0x1.615fccf2015afp-8, 0x1.55bbdd9bddaedp-8, 0x1.4a7286a6d8cd5p-8, 0x1.3f8150307c327p-8, 0x1.34e5d10a1a72ep-8, 0x1.2a9dae76956eep-8, 0x1.20a69be890e38p-8, 0x1.16fe5ac1181b5p-8, 0x1.0da2ba0ebc17ep-8, 0x1.0491964d3605ep-8, 0x1.f791b24b1d1a7p-9, 0x1.e68cf25da209bp-9, 0x1.d610f35ea83bbp-9, 0x1.c619d4bd2dc9p-9, 0x1.b6a3ce4f77e4p-9, 0x1.a7ab2fd94a1d3p-9, 0x1.992c609364bb5p-9, 0x1.8b23deb455f82p-9, 0x1.7d8e3efaa3c4p-9, 0x1.70682c3852911p-9, 0x1.63ae66dfd106cp-9, 0x1.575dc4924b6fep-9, 0x1.4b732faf7223cp-9, 0x1.3feba6e6ac2a6p-9, 0x1.34c43cc9c5de4p-9, 0x1.29fa1761143a4p-9, 0x1.1f8a6fc118163p-9, 0x1.157291a1a0c23p-9, 0x1.0bafdaf66a9efp-9, 0x1.023fbb8947c7ap-9, 0x1.f23f692b8cd2p-10, 0x1.e09ab0ccc0133p-10, 0x1.cf8c93e65600fp-10, 0x1.bf10790428991p-10, 0x1.af21e6913df6cp-10, 0x1.9fbc821e4c9edp-10, 0x1.90dc0fab508c6p-10, 0x1.827c70f41efa5p-10, 0x1.7499a4c00c0dcp-10, 0x1.672fc63483fbp-10, 0x1.5a3b0c2aae29bp-10, 0x1.4db7c88808547p-10, 0x1.41a26799fbe47p-10, 0x1.35f76f745ee61p-10, 0x1.2ab37f52eab88p-10, 0x1.1fd34efd9674dp-10, 0x1.1553ae2fdaad4p-10, 0x1.0b318402c9211p-10, 0x1.0169ce5a03fcfp-10, 0x1.eff342a707c3ap-11, 0x1.ddbc4d7448f3ep-11, 0x1.cc293af5f01e9p-11, 0x1.bb34b23aab484p-11, 0x1.aad9827b38131p-11, 0x1.9b12a2154423ep-11, 0x1.8bdb2d8b991c9p-11, 0x1.7d2e668b82289p-11, 0x1.6f07b2f75eb82p-11, 0x1.61629bf64ff3ep-11, 0x1.543acd08ee718p-11, 0x1.478c1322fd5acp-11, 0x1.3b525bca039b8p-11, 0x1.2f89b438bd939p-11, 0x1.242e488756a3ap-11, 0x1.193c62d855dcbp-11, 0x1.0eb06a8a3015fp-11, 0x1.0486e36d6cb96p-11, 0x1.f578d9fe92757p-12, 0x1.e29b83519a162p-12, 0x1.d06f6c047794dp-12, 0x1.beee7035a18d6p-12, 0x1.ae129d896de46p-12, 0x1.9dd631ca4ef4p-12, 0x1.8e3399913fcb7p-12, 0x1.7f256ef63a941p-12, 0x1.70a6784893b9ep-12, 0x1.62b1a6cf1d78ep-12, 0x1.5542158fe6c58p-12, 0x1.4853081f7e987p-12, 0x1.3bdfe9778e949p-12, 0x1.2fe44ad4b0a7ap-12, 0x1.245be29b5e522p-12, 0x1.19428b43d10ep-12, 0x1.0e94424cbcdcp-12, 0x1.044d2734b7ef5p-12, 0x1.f4d2f4f46f2f7p-13, 0x1.e1cb3943fa147p-13, 0x1.cf7c1a87a89cdp-13, 0x1.bdded43afef6fp-13, 0x1.acecdc57731dp-13, 0x1.9c9fe19247a01p-13, 0x1.8cf1c9a616a4p-13, 0x1.7ddcafa7b862p-13, 0x1.6f5ae2666042fp-13, 0x1.6166e2d69f817p-13, 0x1.53fb62881e7d4p-13, 0x1.47134225cf7fap-13, 0x1.3aa990005e98ap-13, 0x1.2eb986a2ab3d1p-13, 0x1.233e8b700acb8p-13, 0x1.18342d4c26eeep-13, 0x1.0d96234c39b89p-13, 0x1.03604b7175017p-13, 0x1.f31d52d8c1a61p-14, 0x1.e03acad1f2045p-14, 0x1.ce1195c6b478bp-14, 0x1.bc9a8f0999fe6p-14, 0x1.abced411f2a93p-14, 0x1.9ba7c2562055cp-14, 0x1.8c1ef53591e98p-14, 0x1.7d2e43f1dacfp-14, 0x1.6ecfbfb6b2f92p-14, 0x1.60fdb1b06bf5dp-14, 0x1.53b299308d99p-14, 0x1.46e929e03b22ap-14, 0x1.3a9c4a000fa14p-14, 0x1.2ec710b5191cdp-14, 0x1.2364c462a2bd2p-14, 0x1.1870d91079402p-14, 0x1.0de6eedd5bcp-14, 0x1.03c2d07d49b35p-14, 0x1.f400e386c1becp-15, 0x1.e137dc6e00984p-15, 0x1.cf230f67caee1p-15, 0x1.bdbb4a29f9962p-15, 0x1.acf9a1d339e4ap-15, 0x1.9cd77069ce399p-15, 0x1.8d4e526e14f5ap-15, 0x1.7e5824804bd98p-15, 0x1.6fef01190d079p-15, 0x1.620d3e540aca9p-15, 0x1.54ad6bcc886edp-15, 0x1.47ca508b15ad9p-15, 0x1.3b5ee90419034p-15, 0x1.2f666526aecedp-15, 0x1.23dc267b70c5ap-15, 0x1.18bbbe52acaf8p-15, 0x1.0e00ec01a97e7p-15, 0x1.03a79b2e8210ep-15, 0x1.f357c454720b9p-16, 0x1.e01400b12ec5dp-16, 0x1.cd7cb94aee98ep-16, 0x1.bb8b080e2a673p-16, 0x1.aa38501a1b8bdp-16, 0x1.997e3af748e9ap-16, 0x1.8956b5e5feb58p-16, 0x1.79bbef43f5a38p-16, 0x1.6aa8540883ba4p-16, 0x1.5c168d56a6432p-16, 0x1.4e017e24464fap-16, 0x1.406440f61abe4p-16, 0x1.333a25af82036p-16, 0x1.267eaf75bf462p-16, 0x1.1a2d92a609fabp-16, 0x1.0e42b2dddc42ep-16, 0x1.02ba2114ee85dp-16, 0x1.ef203390bba63p-17, 0x1.d982066ce9c03p-17, 0x1.c492d7551bfd4p-17, 0x1.b04c0fb13413ap-17, 0x1.9ca7628f969a6p-17, 0x1.899ec997cb27ep-17, 0x1.772c82199175fp-17, 0x1.654b0a377c51p-17, 0x1.53f51e2c2d2ccp-17, 0x1.4325b5a96599fp-17, 0x1.32d80150121e3p-17, 0x1.23076840825bdp-17, 0x1.13af85c20bd7fp-17, 0x1.04cc2701510ffp-17, 0x1.ecb291c8e3ap-18, 0x1.d0a62be8da5e1p-18, 0x1.b56bc8b60621ap-18, 0x1.9afc67e8cebfap-18, 0x1.815158e84039ep-18, 0x1.68643738d1ef3p-18, 0x1.502ee70efb3bep-18, 0x1.38ab920466089p-18, 0x1.21d4a3ee8a02p-18, 0x1.0ba4c7d597736p-18, 0x1.ec2dca151c261p-19, 0x1.c24c38b6ec035p-19, 0x1.999b8ac94f733p-19, 0x1.7212d7fc4ce22p-19, 0x1.4ba99b8824eb7p-19, 0x1.2657af72761c1p-19, 0x1.02154805d0465p-19, 0x1.bdb5def3d7ed9p-20, 0x1.794303959206p-20, 0x1.36c4517a043d5p-20, 0x1.ec59603701535p-21, 0x1.6edf27329a15ep-21, 0x1.ea03d6f20cd9dp-22, 0x1.faaa7a5723207p-23, 0x1.78646933fc0fbp-26, -0x1.8f26faa38b147p-23, -0x1.a020cc4af8533p-22, -0x1.392463d84c34ap-21, -0x1.9f1884d6e61c8p-21, -0x1.00ff6e62a54b8p-20, -0x1.30f467c1be5a7p-20, -0x1.5f738d3429c46p-20, -0x1.8c84ee86f4bb9p-20, -0x1.b83050da01cd7p-20, -0x1.e27d329e3f345p-20, -0x1.05b967b17a636p-19, -0x1.198c11ba0183bp-19, -0x1.2cb9f7a580f71p-19, -0x1.3f465d6a87727p-19, -0x1.51346c47809d8p-19, -0x1.6287343cdd963p-19, -0x1.7341ad742107bp-19, -0x1.8366b9948c7d4p-19, -0x1.92f9250643143p-19, -0x1.a1fba8248cc1dp-19, -0x1.b070e85ffab7bp-19, -0x1.be5b79511afd6p-19, -0x1.cbbdddbc5d3b8p-19, -0x1.d89a8887d6d06p-19, -0x1.e4f3dda378056p-19, -0x1.f0cc32e452a76p-19, -0x1.fc25d0d38064bp-19, -0x1.038179b89bf35p-18, -0x1.08b2e5764977bp-18, -0x1.0da83e28495b1p-18, -0x1.1262911369bffp-18, -0x1.16e2e68839baep-18, -0x1.1b2a422ace914p-18, -0x1.1f39a3361222ep-18, -0x1.231204bad2fc3p-18, -0x1.26b45ddac633ep-18, -0x1.2a21a1ffb2b4bp-18, -0x1.2d5ac10ef008bp-18, -0x1.3060a7996b5f5p-18, -0x1.33343f085c9afp-18, -0x1.35d66dc6d7347p-18, -0x1.3848176860765p-18, -0x1.3a8a1cccaff49p-18, -0x1.3c9d5c40c40b7p-18, -0x1.3e82b19d6a64fp-18, -0x1.403af66361fbap-18, -0x1.41c701d5372e1p-18, -0x1.4327a90ef9e07p-18, -0x1.445dbf1bec842p-18, -0x1.456a150a48d72p-18, -0x1.464d79fd3651cp-18, -0x1.4708bb3d0f145p-18, -0x1.479ca4460a1a8p-18, -0x1.4809fed56616p-18, -0x1.485192f52a44ep-18, -0x1.4874270694e5ep-18, -0x1.48727fcb4f372p-18, -0x1.484d606d748b2p-18, -0x1.48058a86886a1p-18, -0x1.479bbe256993bp-18, -0x1.4710b9d353788p-18, -0x1.46653a980333ap-18, -0x1.4599fbfd0b433p-18, -0x1.44afb8106871fp-18, -0x1.43a7276667386p-18, -0x1.4281011ae51d8p-18, -0x1.413dfad1fbec1p-18, -0x1.3fdec8b826e12p-18, -0x1.3e641d81e82bp-18, -0x1.3cceaa6afedc9p-18, -0x1.3b1f1f35351d2p-18, -0x1.39562a26d2b09p-18, -0x1.37747808bdecep-18, -0x1.357ab4244fbb9p-18, -0x1.33698840eb5cbp-18, -0x1.31419ca159ed2p-18, -0x1.2f039800f73afp-18, -0x1.2cb01f90b484fp-18, -0x1.2a47d6f3f69f3p-18, -0x1.27cb603d5be1fp-18, -0x1.253b5beb6826dp-18, -0x1.229868e521c9fp-18, -0x1.1fe32476a4008p-18, -0x1.1d1c2a4daa8e4p-18, -0x1.1a4414761b2cdp-18, -0x1.175b7b56938fap-18, -0x1.1462f5acfe089p-18, -0x1.115b188b2e3f6p-18, -0x1.0e44775391382p-18, -0x1.0b1fa3b5e975p-18, -0x1.07ed2dac234e4p-18, -0x1.04ada3773ee81p-18, -0x1.0161919c54f67p-18, -0x1.fc1305c36ae51p-19, -0x1.f54c00984ee97p-19, -0x1.ee6f22388ea5ap-19, -0x1.e77d75980cee3p-19, -0x1.e07802189f114p-19, -0x1.d95fcb859e5d2p-19, -0x1.d235d20fc4038p-19, -0x1.cafb124956453p-19, -0x1.c3b08522a08e1p-19, -0x1.bc571fe6c57e6p-19, -0x1.b4efd438d9972p-19, -0x1.ad7b90115bdc1p-19, -0x1.a5fb3dbbfcdc9p-19, -0x1.9e6fc3d5bc34p-19, -0x1.96da054b61b2ap-19, -0x1.8f3ae15843c57p-19, -0x1.879333856e22bp-19, -0x1.7fe3d3a915b59p-19, -0x1.782d95e66958fp-19, -0x1.70714aadb5019p-19, -0x1.68afbebcdbf39p-19, -0x1.60e9bb2025faep-19, -0x1.5920053360cd7p-19, -0x1.51535ea35596ep-19, -0x1.4984856f8ceadp-19, -0x1.41b433ec6ae95p-19, -0x1.39e320c59090ep-19, -0x1.3211ff00941b7p-19, -0x1.2a417e0003b92p-19, -0x1.22724986b0ec9p-19, -0x1.1aa509bb4b751p-19, -0x1.12da632c3e837p-19, -0x1.0b12f6d3dce86p-19, -0x1.034f621cc937p-19, -0x1.f7207dcd55241p-20, -0x1.e7ac471639b3bp-20, -0x1.d84345c5cd34ap-20, -0x1.c8e69896ceeebp-20, -0x1.b997575891c86p-20, -0x1.aa5692facc63ep-20, -0x1.9b255599dffc3p-20, -0x1.8c04a28b8cc96p-20, -0x1.7cf5766c0d014p-20, -0x1.6df8c72b9d5e4p-20, -0x1.5f0f841c64319p-20, -0x1.503a9600bcc26p-20, -0x1.417adf19d9254p-20, -0x1.32d13b36c04fep-20, -0x1.243e7fc3a2a44p-20, -0x1.15c37bd9796cbp-20, -0x1.0760f84df8516p-20, -0x1.f22f6f878bdeep-21, -0x1.d5d0ed75fd9cap-21, -0x1.b9a7d743ec404p-21, -0x1.9db58dcc6ed67p-21, -0x1.81fb660b89761p-21, -0x1.667aa9411728bp-21, -0x1.4b3495141f0c1p-21, -0x1.302a5bb68b72dp-21, -0x1.155d24093d7cap-21, -0x1.f59c1380ee4b9p-22, -0x1.c0fc3b1125a28p-22, -0x1.8cdcca560ce85p-22, -0x1.593fb7674e2dp-22, -0x1.2626e32c56184p-22, -0x1.e728334f86b16p-23, -0x1.8312248675387p-23, -0x1.200ee0371b161p-23, -0x1.7c430934cc708p-24, }}, 
      {{0x1.5abb9030a5addp-15, 0x1.5c256144003c4p-13, 0x1.8a458cc5660b1p-12, 0x1.61a24490f5b1cp-11, 0x1.175e5f08d7c0cp-10, 0x1.978c65c06f737p-10, 0x1.196d3993cbf3p-9, 0x1.7573982dbfcp-9, 0x1.e0b28091f3fffp-9, 0x1.2e03d68945499p-8, 0x1.74284cd39096ep-8, 0x1.c333266a48a3p-8, 0x1.0dc66b6c97e7ap-7, 0x1.3ecc189964d1dp-7, 0x1.74d88c453c07bp-7, 0x1.b015b70db6892p-7, 0x1.f0a91c805184fp-7, 0x1.1b59c0b8bbb6p-6, 0x1.41285927a18a4p-6, 0x1.69cbaf6918eap-6, 0x1.954c8432f2086p-6, 0x1.c3b10058ec385p-6, 0x1.f4fcbae56fe9cp-6, 0x1.149862716eaa4p-5, 0x1.3025dce705e43p-5, 0x1.4d24e9e4e6566p-5, 0x1.6b92816529bdfp-5, 0x1.8b6a8306c7806p-5, 0x1.aca7c3a865dccp-5, 0x1.cf441ba61ec21p-5, 0x1.f3387588f0969p-5, 0x1.0c3e6e7f8bcdp-4, 0x1.1f8446fdd2353p-4, 0x1.336901f0884b2p-4, 0x1.47e7844f7ed48p-4, 0x1.5cfa61d744ebdp-4, 0x1.729be46dabe13p-4, 0x1.88c61364ac7afp-4, 0x1.9f72ba9499f1cp-4, 0x1.b69b714740843p-4, 0x1.ce39a0ee35dabp-4, 0x1.e6468b9f51b9cp-4, 0x1.febb5252e9751p-4, 0x1.0bc87d6ff5be2p-3, 0x1.18603ad976419p-3, 0x1.2521519ec8683p-3, 0x1.32082c8e577f6p-3, 0x1.3f11337a06b95p-3, 0x1.4c38cd7fa5d6bp-3, 0x1.597b632c2273p-3, 0x1.66d56079c43ep-3, 0x1.744336aa33e17p-3, 0x1.81c15dfd25d88p-3, 0x1.8f4c5744bf2c4p-3, 0x1.9ce0ad5902569p-3, 0x1.aa7af66baeb12p-3, 0x1.b817d53e0d8d5p-3, 0x1.c5b3fa3a4fa67p-3, 0x1.d34c24721afccp-3, 0x1.e0dd2283f2d4p-3, 0x1.ee63d3692715bp-3, 0x1.fbdd272de41b7p-3, 0x1.04a30fca82c9bp-2, 0x1.0b4de854935cdp-2, 0x1.11edb09e3825ap-2, 0x1.188105ac3ef07p-2, 0x1.1f068e4fd1d66p-2, 0x1.257cfb5067bffp-2, 0x1.2be3078f8920cp-2, 0x1.32377826ed4d5p-2, 0x1.38791c81679bap-2, 0x1.3ea6ce6f08937p-2, 0x1.44bf7234d5443p-2, 0x1.4ac1f69865aa9p-2, 0x1.50ad54e7bb145p-2, 0x1.568090fd857afp-2, 0x1.5c3ab9421ce21p-2, 0x1.61dae6a955deap-2, 0x1.67603cad667cep-2, 0x1.6cc9e946fb31bp-2, 0x1.721724e29fe59p-2, 0x1.774732539b027p-2, 0x1.7c595ec450f2ep-2, 0x1.814d01a44bc67p-2, 0x1.86217c93f7b2ep-2, 0x1.8ad63b4e2bc0cp-2, 0x1.8f6ab38f8a132p-2, 0x1.93de64fbd4609p-2, 0x1.9830d90136d06p-2, 0x1.9c61a2b9a8e6cp-2, 0x1.a0705eca67934p-2, 0x1.a45cb341a56a1p-2, 0x1.a8264f727a427p-2, 0x1.abccebcf2606bp-2, 0x1.af5049c1c036bp-2, 0x1.b2b033835a45bp-2, 0x1.b5ec7bf1b5dp-2, 0x1.b904fe639cba6p-2, 0x1.bbf99e7bf0c94p-2, 0x1.beca47fb8a6efp-2, 0x1.c176ee91fb0bdp-2, 0x1.c3ff8dad4c942p-2, 0x1.c6642848d1133p-2, 0x1.c8a4c8bb1dc2p-2, 0x1.cac18083457afp-2, 0x1.ccba68156e40ep-2, 0x1.ce8f9ea6d2ff6p-2, 0x1.d04149f94fddfp-2, 0x1.d1cf96268a4c7p-2, 0x1.d33ab56acebbap-2, 0x1.d482dfefb8ae5p-2, 0x1.d5a85396bdc2fp-2, 0x1.d6ab53c3a8e86p-2, 0x1.d78c29272648bp-2, 0x1.d84b218969276p-2, 0x1.d8e88f9504529p-2, 0x1.d964caa204fe3p-2, 0x1.d9c02e8164b39p-2, 0x1.d9fb1b48ddc4cp-2, 0x1.da15f51f38426p-2, 0x1.da11240917cdep-2, 0x1.d9ed13b65f64bp-2, 0x1.d9aa3350314d5p-2, 0x1.d948f5479b6bbp-2, 0x1.d8c9cf24fb6bbp-2, 0x1.d82d3958223ccp-2, 0x1.d773af0944f0cp-2, 0x1.d69dadeabe12dp-2, 0x1.d5abb60baca7p-2, 0x1.d49e49ab7306ep-2, 0x1.d375ed0e21ea9p-2, 0x1.d2332651cebd7p-2, 0x1.d0d67d44dbd75p-2, 0x1.cf607b3d3c476p-2, 0x1.cdd1aaf0ac977p-2, 0x1.cc2a984decd87p-2, 0x1.ca6bd056f792p-2, 0x1.c895e0fc391a9p-2, 0x1.c6a958f8cc2d4p-2, 0x1.c4a6c7afb5963p-2, 0x1.c28ebd0a2279fp-2, 0x1.c061c956abdb3p-2, 0x1.be207d2997e4dp-2, 0x1.bbcb693e1cedfp-2, 0x1.b9631e58a3233p-2, 0x1.b6e82d2a03139p-2, 0x1.b45b2633bd9bep-2, 0x1.b1bc99ad2d301p-2, 0x1.af0d1769acff5p-2, 0x1.ac4d2ebfb0a9fp-2, 0x1.a97d6e70cc1a4p-2, 0x1.a69e6492aa9d7p-2, 0x1.a3b09e78e87d6p-2, 0x1.a0b4a89fd703fp-2, 0x1.9dab0e9820cbdp-2, 0x1.9a945af348359p-2, 0x1.9771173104d83p-2, 0x1.9441cbad71d9dp-2, 0x1.9106ff9010445p-2, 0x1.8dc138bb964d9p-2, 0x1.8a70fbbe879cep-2, 0x1.8716cbc4945b4p-2, 0x1.83b32a88b5616p-2, 0x1.8046984809e8ep-2, 0x1.7cd193b56a00cp-2, 0x1.795499edaea49p-2, 0x1.75d0266cac643p-2, 0x1.7244b302d3d8ep-2, 0x1.6eb2b7cb8277fp-2, 0x1.6b1aab23ee346p-2, 0x1.677d01a2b8412p-2, 0x1.63da2e1016ad7p-2, 0x1.6032a15e97efdp-2, 0x1.5c86caa479562p-2, 0x1.58d717158d468p-2, 0x1.5523f1fdad5bdp-2, 0x1.516dc4bbb3879p-2, 0x1.4db4f6bcfb8a4p-2, 0x1.49f9ed795dcedp-2, 0x1.463d0c6faf892p-2, 0x1.427eb522b4bc8p-2, 0x1.3ebf47168c168p-2, 0x1.3aff1fce8d934p-2, 0x1.373e9acb94011p-2, 0x1.337e118ab63a4p-2, 0x1.2fbddb8465868p-2, 0x1.2bfe4e2bf0427p-2, 0x1.283fbcef6a90dp-2, 0x1.24827937ef00bp-2, 0x1.20c6d26a3e342p-2, 0x1.1d0d15e7b6ec9p-2, 0x1.19558f0fa0561p-2, 0x1.15a08740c8531p-2, 0x1.11ee45db72443p-2, 0x1.0e3f10438c2e1p-2, 0x1.0a9329e335adcp-2, 0x1.06ead42d85d09p-2, 0x1.03464ea19a5ecp-2, 0x1.ff4bad9bc7b08p-3, 0x1.f81350a765f06p-3, 0x1.f0e3f9d60250bp-3, 0x1.e9be18cce5232p-3, 0x1.e2a2196f1ac71p-3, 0x1.db9063e64e6a9p-3, 0x1.d4895cac0ad3dp-3, 0x1.cd8d6493515eap-3, 0x1.c69cd8d2945f3p-3, 0x1.bfb8130e05148p-3, 0x1.b8df69622e222p-3, 0x1.b2132e6ee43d2p-3, 0x1.ab53b162746bcp-3, 0x1.a4a13e051ecbap-3, 0x1.9dfc1cc4ceeadp-3, 0x1.976492c10ff1p-3, 0x1.90dae1d73bb78p-3, 0x1.8a5f48aed6bdfp-3, 0x1.83f202c6262c4p-3, 0x1.7d93487eeba7ep-3, 0x1.77434f2b4e04cp-3, 0x1.7102491ae444fp-3, 0x1.6ad065a7e669fp-3, 0x1.64add14478aabp-3, 0x1.5e9ab58813af4p-3, 0x1.5897393d08f38p-3, 0x1.52a3806e11b6bp-3, 0x1.4cbfac73fcb56p-3, 0x1.46ebdc035f679p-3, 0x1.41282b3a5a98dp-3, 0x1.3b74b3ae61a3ep-3, 0x1.35d18c7a0d1e2p-3, 0x1.303eca4af1e81p-3, 0x1.2abc7f6f6f72ep-3, 0x1.254abbe48b37p-3, 0x1.1fe98d63ba93ap-3, 0x1.1a98ff70aaeb5p-3, 0x1.15591b6708e02p-3, 0x1.1029e8882c4a6p-3, 0x1.0b0b6c08c6d39p-3, 0x1.05fda91e790ebp-3, 0x1.0100a10d5b406p-3, 0x1.f828a66ae214ap-4, 0x1.ee717a400e32ep-4, 0x1.e4dbb519fe792p-4, 0x1.db674afff4599p-4, 0x1.d2142c9ae6864p-4, 0x1.c8e2474f676fdp-4, 0x1.bfd185576c19ap-4, 0x1.b6e1cddbb7737p-4, 0x1.ae13050d22839p-4, 0x1.a5650c3d8ad8fp-4, 0x1.9cd7c1f88c361p-4, 0x1.946b021be7606p-4, 0x1.8c1ea5efa4da7p-4, 0x1.83f2843de8fb4p-4, 0x1.7be6716a7c059p-4, 0x1.73fa3f8a00cc3p-4, 0x1.6c2dbe78da69p-4, 0x1.6480bbf1bfap-4, 0x1.5cf303a3f72c8p-4, 0x1.55845f4941605p-4, 0x1.4e3496bb6674cp-4, 0x1.47037009706a8p-4, 0x1.3ff0af8c877f5p-4, 0x1.38fc17fc7707fp-4, 0x1.32256a83d4df8p-4, 0x1.2b6c66d3cd5d1p-4, 0x1.24d0cb3793464p-4, 0x1.1e5254a76fb4dp-4, 0x1.17f0bedb77901p-4, 0x1.11abc45ddf084p-4, 0x1.0b831e9cf16b2p-4, 0x1.057685fca7dc2p-4, 0x1.ff0b63cfc4912p-5, 0x1.f360b1c280f63p-5, 0x1.e7ec61273913dp-5, 0x1.dcaddbc44bd6ep-5, 0x1.d1a489f03b16dp-5, 0x1.c6cfd2b06675ap-5, 0x1.bc2f1bd70a5cfp-5, 0x1.b1c1ca2080485p-5, 0x1.a787414fc70bcp-5, 0x1.9d7ee44a4d758p-5, 0x1.93a8153306547p-5, 0x1.8a023584c1aa2p-5, 0x1.808ca62bd1b87p-5, 0x1.7746c79ef6fc9p-5, 0x1.6e2ff9f79be4cp-5, 0x1.65479d0959ea3p-5, 0x1.5c8d1078d18f6p-5, 0x1.53ffb3d1cf489p-5, 0x1.4b9ee69cc6185p-5, 0x1.436a08739d118p-5, 0x1.3b607915d28e1p-5, 0x1.3381987bf8f9ep-5, 0x1.2bccc6ea8d315p-5, 0x1.24416504299e9p-5, 0x1.1cded3db177e2p-5, 0x1.15a4750242827p-5, 0x1.0e91aa9d8d156p-5, 0x1.07a5d7718c9a8p-5, 0x1.00e05ef2aae19p-5, 0x1.f4814aa769c22p-6, 0x1.e78c1f27a7d0ap-6, 0x1.dae00717e8e68p-6, 0x1.ce7bcff7478dp-6, 0x1.c25e492ab70e9p-6, 0x1.b68644148d243p-6, 0x1.aaf2942b01a39p-6, 0x1.9fa20f0d9e8e2p-6, 0x1.94938c99ae935p-6, 0x1.89c5e6fdb1c3dp-6, 0x1.7f37facbd0b7dp-6, 0x1.74e8a70b63f94p-6, 0x1.6ad6cd49868bdp-6, 0x1.610151a8c25a4p-6, 0x1.57671aefd51f9p-6, 0x1.4e071297990ffp-6, 0x1.44e024d80f23ap-6, 0x1.3bf140b49b33ep-6, 0x1.3339580766a74p-6, 0x1.2ab75f8c019aap-6, 0x1.226a4ee9368f8p-6, 0x1.1a5120ba23a13p-6, 0x1.126ad2969451cp-6, 0x1.0ab6651aa3ae1p-6, 0x1.0332dbedb0a2p-6, 0x1.f7be7b91462a2p-7, 0x1.e97528f70edfap-7, 0x1.db87d9e50f293p-7, 0x1.cdf4ae749378bp-7, 0x1.c0b9cd075c5d1p-7, 0x1.b3d5624dfad7bp-7, 0x1.a745a14d05251p-7, 0x1.9b08c36136449p-7, 0x1.8f1d0842821a1p-7, 0x1.8380b606144ep-7, 0x1.7832191f685f3p-7, 0x1.6d2f84605a85fp-7, 0x1.627750f84ef7cp-7, 0x1.5807de727d9e4p-7, 0x1.4ddf92b359ceep-7, 0x1.43fcd9f5282c9p-7, 0x1.3a5e26c3c7c26p-7, 0x1.3101f1f7b8e79p-7, 0x1.27e6bab06623cp-7, 0x1.1f0b064db73ebp-7, 0x1.166d6068f89c5p-7, 0x1.0e0c5acd1a46cp-7, 0x1.05e68d6e50c7ap-7, 0x1.fbf52cc2397cdp-8, 0x1.ec8e33a183012p-8, 0x1.dd9583ea603bap-8, 0x1.cf087e10dde1ap-8, 0x1.c0e48e77035c9p-8, 0x1.b3272d55b6bf1p-8, 0x1.a5cddea4bb0bep-8, 0x1.98d63201d697fp-8, 0x1.8c3dc297302b6p-8, 0x1.80023700e8831p-8, 0x1.74214132015ccp-8, 0x1.68989e5897687p-8, 0x1.5d6616c17e096p-8, 0x1.52877dbb43ef9p-8, 0x1.47fab178ad7d8p-8, 0x1.3dbd9af2aa0acp-8, 0x1.33ce2dc9d5765p-8, 0x1.2a2a682784a19p-8, 0x1.20d0529e6ff6dp-8, 0x1.17be000afcd43p-8, 0x1.0ef18d73350dcp-8, 0x1.066921e66ccecp-8, 0x1.fc45dcb94eeb2p-9, 0x1.ec3a5b2b77659p-9, 0x1.dcac47f0857a1p-9, 0x1.cd983ee0b347p-9, 0x1.befaee9c6f1f9p-9, 0x1.b0d118494c633p-9, 0x1.a3178f4eb9389p-9, 0x1.95cb39128f218p-9, 0x1.88e90cb586487p-9, 0x1.7c6e12cf9249ap-9, 0x1.7057652c437cep-9, 0x1.64a22e87229eap-9, 0x1.594baa48238d5p-9, 0x1.4e5124402bbafp-9, 0x1.43aff865c3678p-9, 0x1.39659291e8a23p-9, 0x1.2f6f6e3d2397ep-9, 0x1.25cb163ccfcccp-9, 0x1.1c762480adf46p-9, 0x1.136e41d0c76acp-9, 0x1.0ab1258ba07d9p-9, 0x1.023c9564cdc97p-9, 0x1.f41cca47ccf49p-10, 0x1.e448ecc7d086p-10, 0x1.d4f970a603947p-10, 0x1.c62a4ee5b6612p-10, 0x1.b7d79ab2aabefp-10, 0x1.a9fd80e396c5p-10, 0x1.9c98477db3783p-10, 0x1.8fa44d395d0c9p-10, 0x1.831e0907d4824p-10, 0x1.7702099a23bd5p-10, 0x1.6b4cf4e9319c6p-10, 0x1.5ffb87bf0a8dep-10, 0x1.550a954165863p-10, 0x1.4a77067d6556dp-10, 0x1.403dd9f4ae0acp-10, 0x1.365c232bbc44cp-10, 0x1.2ccf0a3995247p-10, 0x1.2393cb58cc71p-10, 0x1.1aa7b679e58b6p-10, 0x1.12082ed712876p-10, 0x1.09b2aa895a6f1p-10, 0x1.01a4b21f20b74p-10, 0x1.f3b7c0682cea7p-11, 0x1.e4abc21531a36p-11, 0x1.d620e44cf23f7p-11, 0x1.c812c3d26cb7cp-11, 0x1.ba7d1e5f4a86bp-11, 0x1.ad5bd1e214c6dp-11, 0x1.a0aadbbf4cb64p-11, 0x1.94665815694b5p-11, 0x1.888a8103bb342p-11, 0x1.7d13adf436949p-11, 0x1.71fe52e822bbfp-11, 0x1.6746ffc7af5f2p-11, 0x1.5cea5fb46cdd6p-11, 0x1.52e5385ea66eep-11, 0x1.4934695d9c372p-11, 0x1.3fd4eb8a9b33dp-11, 0x1.36c3d05eee86dp-11, 0x1.2dfe4154a7a28p-11, 0x1.25817f4a3b89dp-11, 0x1.1d4ae1e8ed436p-11, 0x1.1557d70e0498bp-11, 0x1.0da5e236cbf39p-11, 0x1.06329bef4f0bfp-11, 0x1.fdf76287ab569p-12, 0x1.effdc66a2fa35p-12, 0x1.e2740c5e42a95p-12, 0x1.d5560305c4878p-12, 0x1.c89f9dc4c8d4fp-12, 0x1.bc4cf3bf43525p-12, 0x1.b05a3edbe2774p-12, 0x1.a4c3dacc14418p-12, 0x1.998644191b9a1p-12, 0x1.8e9e1736356a6p-12, 0x1.84080f97b50e8p-12, 0x1.79c106cf0eb05p-12, 0x1.6fc5f3abc03b7p-12, 0x1.6613e9610926ap-12, 0x1.5ca816b062a8ap-12, 0x1.537fc518a73d3p-12, 0x1.4a985809dea8fp-12, 0x1.41ef4c1d99c65p-12, 0x1.39823653cf3ebp-12, 0x1.314ec3542dec6p-12, 0x1.2952b6b3cf48cp-12, 0x1.218bea3f3b7cap-12, 0x1.19f84d48b2763p-12, 0x1.1295e3faa380fp-12, 0x1.0b62c6ae488fcp-12, 0x1.045d214655761p-12, 0x1.fb06651b44972p-13, 0x1.eda6973398f18p-13, 0x1.e0979e636d1cap-13, 0x1.d3d6626fb0159p-13, 0x1.c75fec309b7bep-13, 0x1.bb31647538c33p-13, 0x1.af4812ee1bf6bp-13, 0x1.a3a15d1f4a28cp-13, 0x1.983ac5591a021p-13, 0x1.8d11e9b7f0b8ep-13, 0x1.8224832ac6b7fp-13, 0x1.777064804605bp-13, 0x1.6cf3797a6db41p-13, 0x1.62abc5e896517p-13, 0x1.589764c7b5217p-13, 0x1.4eb48768cde54p-13, 0x1.4501749d5c43fp-13, 0x1.3b7c87e9b136fp-13, 0x1.322430bd103d2p-13, 0x1.28f6f1af81861p-13, 0x1.1ff35fc525bd4p-13, 0x1.171821b709a9p-13, 0x1.0e63ef4140dd8p-13, 0x1.05d59076421cfp-13, 0x1.fad7ba2ead1c8p-14, 0x1.ea4b77e41c8eep-14, 0x1.da0444852e165p-14, 0x1.ca002635b0ccfp-14, 0x1.ba3d3d9c84896p-14, 0x1.aab9c4c4577ep-14, 0x1.9b740e0551551p-14, 0x1.8c6a82f7850ddp-14, 0x1.7d9ba36de1e93p-14, 0x1.6f060479843adp-14, 0x1.60a84f7527f89p-14, 0x1.5281411891426p-14, 0x1.448fa893b8cdp-14, 0x1.36d266b18c744p-14, 0x1.29486d021746p-14, 0x1.1bf0bd0bdec4dp-14, 0x1.0eca67844bc41p-14, 0x1.01d48b8ef0925p-14, 0x1.ea1cac06ffe5ep-15, 0x1.d0ee017491e4p-15, 0x1.b81ba3be22c44p-15, 0x1.9fa436943b503p-15, 0x1.878673be88a56p-15, 0x1.6fc129e5bf1d3p-15, 0x1.58533b68efc9cp-15, 0x1.413b9d3dfebf2p-15, 0x1.2a7955dcf104fp-15, 0x1.140b7c35c3a5bp-15, 0x1.fbe26d6106e0ep-16, 0x1.d053746ebd9fep-16, 0x1.a5689294cefb9p-16, 0x1.7b2066397ff52p-16, 0x1.5179a575e38dep-16, 0x1.28731c744f19dp-16, 0x1.000babe011ddbp-16, 0x1.b0848ecbec60ep-17, 0x1.622be88a1085ep-17, 0x1.150b8fde4c83p-17, 0x1.92439ae3ab5bep-18, 0x1.f9b414c367d2bp-19, 0x1.a75d9f26e6acbp-20, -0x1.3639314fe983cp-21, -0x1.6a089fea5d4c8p-19, -0x1.40e2a1726c266p-18, -0x1.ca6485d11a073p-18, -0x1.28c625ad20884p-17, -0x1.6b2e1382e050fp-17, -0x1.ac6b1bf0bc54cp-17, -0x1.ec7e4525ec893p-17, -0x1.15b446c0d8d15p-16, -0x1.349576832462ep-16, -0x1.52e32b5bdb036p-16, -0x1.709ddcf393a15p-16, -0x1.8dc601b5c85cap-16, -0x1.aa5c0f64182dbp-16, -0x1.c6607ba0c8468p-16, -0x1.e1d3bc70da35ep-16, -0x1.fcb648b6049f3p-16, -0x1.0b844c50680c7p-15, -0x1.1865930d980d5p-15, -0x1.24ff3695ea41cp-15, -0x1.3151762940683p-15, -0x1.3d5c926ed321fp-15, -0x1.4920cd9cc3ce8p-15, -0x1.549e6b9c93f78p-15, -0x1.5fd5b22c9ec3bp-15, -0x1.6ac6e8feb6ab4p-15, -0x1.757259d40049cp-15, -0x1.7fd850962d3fdp-15, -0x1.89f91b6e2d1fbp-15, -0x1.93d50ad873bbep-15, -0x1.9d6c71b6ecfcdp-15, -0x1.a6bfa560b941ep-15, -0x1.afcefdafca722p-15, -0x1.b89ad50c7badcp-15, -0x1.c123887735ff3p-15, -0x1.c9697790421dcp-15, -0x1.d16d049dd2109p-15, -0x1.d92e949062094p-15, -0x1.e0ae8f057f3d6p-15, -0x1.e7ed5e490b13ep-15, -0x1.eeeb6f550dbfep-15, -0x1.f5a931d02b04p-15, -0x1.fc27180acc93dp-15, -0x1.0132cb7d88f69p-14, -0x1.0432931bcc32ap-14, -0x1.07131ff895181p-14, -0x1.09d4b075b3607p-14, -0x1.0c77843a391a9p-14, -0x1.0efbdc2dde00ap-14, -0x1.1161fa73f4bcep-14, -0x1.13aa2265fa37fp-14, -0x1.15d4988dc4874p-14, -0x1.17e1a29f5995ap-14, -0x1.19d1877271d97p-14, -0x1.1ba48efbae4d7p-14, -0x1.1d5b0245879d3p-14, -0x1.1ef52b68fb62ep-14, -0x1.20735585fdf2bp-14, -0x1.21d5ccbbb3c36p-14, -0x1.231cde207abep-14, -0x1.2448d7b9c4e4cp-14, -0x1.255a0873cafcbp-14, -0x1.2650c0191bb9ap-14, -0x1.272d4f4a09f35p-14, -0x1.27f00773ffa65p-14, -0x1.28993ac8b9001p-14, -0x1.29293c356bf5cp-14, -0x1.29a05f59dda98p-14, -0x1.29fef87f6ca4ap-14, -0x1.2a455c900fb81p-14, -0x1.2a73e10d4f478p-14, -0x1.2a8adc073a13ap-14, -0x1.2a8aa41359d5cp-14, -0x1.2a739043a8c2cp-14, -0x1.2a45f81d8cd16p-14, -0x1.2a023390d97c7p-14, -0x1.29a89aeed9a0fp-14, -0x1.293986e166de9p-14, -0x1.28b550620d09dp-14, -0x1.281c50b13dd54p-14, -0x1.276ee14d95f37p-14, -0x1.26ad5beb35ae2p-14, -0x1.25d81a6b2dd7dp-14, -0x1.24ef76d30457cp-14, -0x1.23f3cb444ff1bp-14, -0x1.22e571f46d193p-14, -0x1.21c4c5244f688p-14, -0x1.20921f186d08cp-14, -0x1.1f4dda10c8b9fp-14, -0x1.1df8504118adbp-14, }}, 
      {{-0x1.1d7547b234385p-6, -0x1.1ca9740e51614p-5, -0x1.a90ccbf5dabaap-5, -0x1.199c96b7e335ap-4, -0x1.5d4dba1951afbp-4, -0x1.9f5d37a097512p-4, -0x1.df9b5d9ca1273p-4, -0x1.0ef25eaef913bp-3, -0x1.2d10975d845e8p-3, -0x1.4a215166fe30dp-3, -0x1.6621f0eb283b3p-3, -0x1.8113a3b0e8ca2p-3, -0x1.9afac4bb2d986p-3, -0x1.b3de49683ebfap-3, -0x1.cbc73a7a2d1c1p-3, -0x1.e2c03a3826cc6p-3, -0x1.f8d51805749d2p-3, -0x1.0709389dbfaa7p-2, -0x1.1142af5b18067p-2, -0x1.1b1d9723c3a99p-2, -0x1.24a093932316dp-2, -0x1.2dd22c2e2b6cfp-2, -0x1.36b8b81b7852fp-2, -0x1.3f5a4ddffda68p-2, -0x1.47bcb6a98b8d6p-2, -0x1.4fe564b7881f3p-2, -0x1.57d96c7a3b717p-2, -0x1.5f9d800995128p-2, -0x1.6735ec9cbb4a8p-2, -0x1.6ea699b4268c1p-2, -0x1.75f309afec725p-2, -0x1.7d1e5b9388f09p-2, -0x1.842b4dbf76c2ap-2, -0x1.8b1c416f84888p-2, -0x1.91f33ed2e1d75p-2, -0x1.98b1f99862e13p-2, -0x1.9f59d5ce8f249p-2, -0x1.a5ebecfb97cacp-2, -0x1.ac69135574f7ep-2, -0x1.b2d1dd06144b9p-2, -0x1.b926a36ad4f3ap-2, -0x1.bf678a416a6c7p-2, -0x1.c59484b6de9c2p-2, -0x1.cbad5a4fa827ep-2, -0x1.d1b1aba1c174cp-2, -0x1.d7a0f6db5e6b7p-2, -0x1.dd7a9c1264c1fp-2, -0x1.e33de159f7d07p-2, -0x1.e8e9f69c87b9fp-2, -0x1.ee7df939b62e1p-2, -0x1.f3f8f768183f8p-2, -0x1.f959f35b88beap-2, -0x1.fe9fe6312573cp-2, -0x1.01e4e1514a199p-1, -0x1.046b3bc12ad55p-1, -0x1.06e27901a6468p-1, -0x1.094a0fe6d4b4dp-1, -0x1.0ba17871cdf0cp-1, -0x1.0de82cac18eap-1, -0x1.101da96d69dc8p-1, -0x1.12416f0ceb4b9p-1, -0x1.145301ff3ed75p-1, -0x1.1651eb626ca53p-1, -0x1.183db978e16dfp-1, -0x1.1a1600149910cp-1, -0x1.1bda58f3888bfp-1, -0x1.1d8a640e4d0a8p-1, -0x1.1f25c7da18137p-1, -0x1.20ac317eca4dfp-1, -0x1.221d55021a854p-1, -0x1.2378ed68a3f05p-1, -0x1.24bebccd9f046p-1, -0x1.25ee8c7208892p-1, -0x1.27082cc3e6a0ap-1, -0x1.280b755e566a1p-1, -0x1.28f84502fd459p-1, -0x1.29ce818d75e61p-1, -0x1.2a8e17e13ffdfp-1, -0x1.2b36fbd2b8e26p-1, -0x1.2bc9280b92934p-1, -0x1.2c449deb3f3e3p-1, -0x1.2ca96563ba58dp-1, -0x1.2cf78cd3112efp-1, -0x1.2d2f28da0ba52p-1, -0x1.2d50543048f8fp-1, -0x1.2d5b2f7624b71p-1, -0x1.2d4fe104acea5p-1, -0x1.2d2e94bbf24c1p-1, -0x1.2cf77bcff5507p-1, -0x1.2caacc94693acp-1, -0x1.2c48c2478c8f3p-1, -0x1.2bd19cdc485c2p-1, -0x1.2b45a0c3c80ddp-1, -0x1.2aa516b6b9bc4p-1, -0x1.29f04b7e60841p-1, -0x1.29278fbda0b6ap-1, -0x1.284b37ba2a62ep-1, -0x1.275b9b25e59edp-1, -0x1.265914e8bc0d7p-1, -0x1.254402eae17fbp-1, -0x1.241cc5dfb1ad2p-1, -0x1.22e3c1113da0ap-1, -0x1.21995a2c9d83fp-1, -0x1.203df90f1d00fp-1, -0x1.1ed207944fa23p-1, -0x1.1d55f16524817p-1, -0x1.1bca23c80086ep-1, -0x1.1a2f0d71f221cp-1, -0x1.18851e5906d5fp-1, -0x1.16ccc787cc129p-1, -0x1.15067af20813ep-1, -0x1.1332ab4aadab3p-1, -0x1.1151cbdb12d7bp-1, -0x1.0f64505b713a2p-1, -0x1.0d6aacccb0d37p-1, -0x1.0b65555383a75p-1, -0x1.0954be14d0b85p-1, -0x1.07395b137486fp-1, -0x1.0513a00f50b12p-1, -0x1.02e40065b1f62p-1, -0x1.00aaeef304eacp-1, -0x1.fcd1bbebb7236p-2, -0x1.f83c7de681f7cp-2, -0x1.f3970538ac355p-2, -0x1.eee2316a6c021p-2, -0x1.ea1edffa3d709p-2, -0x1.e54dec2fac9ap-2, -0x1.e0702ef09665dp-2, -0x1.db867e98d4904p-2, -0x1.d691aed445fbfp-2, -0x1.d192907b2a10bp-2, -0x1.cc89f170c49bdp-2, -0x1.c7789c843babbp-2, -0x1.c25f5953a388fp-2, -0x1.bd3eec312ab92p-2, -0x1.b818160a5787dp-2, -0x1.b2eb94514c171p-2, -0x1.adba20e80122cp-2, -0x1.a884720d68f2p-2, -0x1.a34b3a4c6a32bp-2, -0x1.9e0f286cab432p-2, -0x1.98d0e76515ba8p-2, -0x1.93911e500b978p-2, -0x1.8e50706139d93p-2, -0x1.890f7cdd0026ep-2, -0x1.83cedf11578adp-2, -0x1.7e8f2e5030c3dp-2, -0x1.7950fdeb3664cp-2, -0x1.7414dd30e8a38p-2, -0x1.6edb576b0535bp-2, -0x1.69a4f3de26ffp-2, -0x1.647235ca97db1p-2, -0x1.5f439c6e43cadp-2, -0x1.5a19a307be929p-2, -0x1.54f4c0da528b2p-2, -0x1.4fd56933069f6p-2, -0x1.4abc0b6e969e5p-2, -0x1.45a9130049a72p-2, -0x1.409ce7799ec4bp-2, -0x1.3b97ec92c52a8p-2, -0x1.369a8233d03cfp-2, -0x1.31a5047ea3708p-2, -0x1.2cb7cbd97eb08p-2, -0x1.27d32cfa32565p-2, -0x1.22f778f1ddaa9p-2, -0x1.1e24fd393cc69p-2, -0x1.195c03bd735d8p-2, -0x1.149cd2ed4d638p-2, -0x1.0fe7adc6f04c1p-2, -0x1.0b3cd3e5ea664p-2, -0x1.069c8191a3dc6p-2, -0x1.0206efcc1f4e4p-2, -0x1.faf8a8c20b405p-3, -0x1.f1f9c3e9edad7p-3, -0x1.e911902a2f483p-3, -0x1.e040668d9ce9ep-3, -0x1.d7869a2f6eeddp-3, -0x1.cee4785b6a6b8p-3, -0x1.c65a48ae551f9p-3, -0x1.bde84d3697f32p-3, -0x1.b58ec2950675p-3, -0x1.ad4de01dcec8cp-3, -0x1.a525d7f973433p-3, -0x1.9d16d745d59e1p-3, -0x1.9521063736bcdp-3, -0x1.8d44883939147p-3, -0x1.85817c0fc8b07p-3, -0x1.7dd7fbf7e54fp-3, -0x1.76481dc851395p-3, -0x1.6ed1f3120a739p-3, -0x1.677589409e19ep-3, -0x1.6032e9ba3640bp-3, -0x1.590a19ff6f894p-3, -0x1.51fb1bcae7765p-3, -0x1.4b05ed307b972p-3, -0x1.442a88bc3ecf2p-3, -0x1.3d68e59111603p-3, -0x1.36c0f786e4842p-3, -0x1.3032af4897fd2p-3, -0x1.29bdfa717faffp-3, -0x1.2362c3aa7522cp-3, -0x1.1d20f2c68839ep-3, -0x1.16f86cdf411ffp-3, -0x1.10e914706c501p-3, -0x1.0af2c9737c30fp-3, -0x1.0515697a6f8afp-3, -0x1.fea19f948440ap-4, -0x1.f349aae9c601ap-4, -0x1.e822a2e562f5ep-4, -0x1.dd2c3176f6c64p-4, -0x1.d265fcbe03f03p-4, -0x1.c7cfa739f2279p-4, -0x1.bd68cff91bb58p-4, -0x1.b33112c6cbeb8p-4, -0x1.a9280858474c5p-4, -0x1.9f4d4678cbd2bp-4, -0x1.95a060348c271p-4, -0x1.8c20e602b0ab8p-4, -0x1.82ce65ee48616p-4, -0x1.79a86bbe42fd6p-4, -0x1.70ae811c62bf9p-4, -0x1.67e02dbb30f77p-4, -0x1.5f3cf77af0a16p-4, -0x1.56c4628d95456p-4, -0x1.4e75f199bacp-4, -0x1.465125dca558p-4, -0x1.3e557f4b477e4p-4, -0x1.36827cb251435p-4, -0x1.2ed79bd54cacbp-4, -0x1.2754598cc7f94p-4, -0x1.1ff831e391df4p-4, -0x1.18c2a033084cap-4, -0x1.11b31f3e7f48dp-4, -0x1.0ac9294dc1e99p-4, -0x1.04043846afa22p-4, -0x1.fac78b8bf4a9ap-5, -0x1.edce966e0e28dp-5, -0x1.e11c83d5efd83p-5, -0x1.d4b0465dbc4c4p-5, -0x1.c888d0c237275p-5, -0x1.bca5160bea99p-5, -0x1.b10409b6b7308p-5, -0x1.a5a49fd7d5bf6p-5, -0x1.9a85cd4252569p-5, -0x1.8fa687aa0a372p-5, -0x1.8505c5c52dc5dp-5, -0x1.7aa27f6c57636p-5, -0x1.707badb93785cp-5, -0x1.66904b23e0444p-5, -0x1.5cdf539eb924p-5, -0x1.5367c4b121d2ep-5, -0x1.4a289d90c9191p-5, -0x1.4120df39c4abp-5, -0x1.384f8c856e6eep-5, -0x1.2fb3aa400de5bp-5, -0x1.274c3f3d589eep-5, -0x1.1f18546bcce21p-5, -0x1.1716f4e6f447dp-5, -0x1.0f472e088cd85p-5, -0x1.07a80f78abb0ap-5, -0x1.0038ab3cd38d2p-5, -0x1.f1f02b8c23bd3p-6, -0x1.e3cacbfc45897p-6, -0x1.d5ff6aa748be1p-6, -0x1.c88c3f8ac751ep-6, -0x1.bb6f87d989f9cp-6, -0x1.aea7860ea2c96p-6, -0x1.a23281fee68a6p-6, -0x1.960ec8e8c091bp-6, -0x1.8a3aad827decp-6, -0x1.7eb488071a706p-6, -0x1.737ab64193f1ap-6, -0x1.688b9b96d5d9bp-6, -0x1.5de5a10e502fep-6, -0x1.5387355935dp-6, -0x1.496eccd880c9bp-6, -0x1.3f9ae1a1b7fa5p-6, -0x1.3609f3828d1aap-6, -0x1.2cba880356101p-6, -0x1.23ab2a6877531p-6, -0x1.1ada6bb2bbe52p-6, -0x1.1246e29eb0a6fp-6, -0x1.09ef2ba30ce92p-6, -0x1.01d1e8ee28eb8p-6, -0x1.f3db84c52bfc8p-7, -0x1.e482cb25c5a94p-7, -0x1.d5970b791105dp-7, -0x1.c715b7843463ep-7, -0x1.b8fc4c496ad6fp-7, -0x1.ab4851f97c831p-7, -0x1.9df75be3e68fp-7, -0x1.91070865bb2b5p-7, -0x1.847500d74eca4p-7, -0x1.783ef978c204bp-7, -0x1.6c62b15d736d3p-7, -0x1.60ddf2566fd6ap-7, -0x1.55ae90dbeae82p-7, -0x1.4ad26bf5ce11p-7, -0x1.40476d2368b39p-7, -0x1.360b884260101p-7, -0x1.2c1cbb74ce9d3p-7, -0x1.22790f06bb324p-7, -0x1.191e9552e4a22p-7, -0x1.100b6aa6f2ce8p-7, -0x1.073db527182e3p-7, -0x1.fd6749625bcedp-8, -0x1.ecd6e57eae9cp-8, -0x1.dcc6c4946a24fp-8, -0x1.cd337f5567a0dp-8, -0x1.be19c0f6fc4bep-8, -0x1.af7646f43db6p-8, -0x1.a145e0cfae59ap-8, -0x1.93856fd46e123p-8, -0x1.8631e6d6fb1a8p-8, -0x1.794849f58f682p-8, -0x1.6cc5ae5834d69p-8, -0x1.60a739f0933cdp-8, -0x1.54ea23398fc96p-8, -0x1.498bb0f6c6a6p-8, -0x1.3e8939f3f00fdp-8, -0x1.33e024c437ec6p-8, -0x1.298de7819a27cp-8, -0x1.1f90078c4e45cp-8, -0x1.15e4194a4857ap-8, -0x1.0c87bfe6e231bp-8, -0x1.0378ad12affa2p-8, -0x1.f56941871d674p-9, -0x1.e472d1e9e559bp-9, -0x1.d409c2d103df8p-9, -0x1.c429e6ce0132fp-9, -0x1.b4cf2b032df96p-9, -0x1.a5f596a6f9a11p-9, -0x1.97994a8817599p-9, -0x1.89b68092843a2p-9, -0x1.7c498b558099ap-9, -0x1.6f4ed58a7c086p-9, -0x1.62c2e19d0a703p-9, -0x1.56a24933eb5c7p-9, -0x1.4ae9bcbb290b5p-9, -0x1.3f9602ef58da7p-9, -0x1.34a3f86a0f127p-9, -0x1.2a108f2f82204p-9, -0x1.1fd8ce3d6a2f7p-9, -0x1.15f9d11b2987ep-9, -0x1.0c70c76b380d4p-9, -0x1.033af47de2c45p-9, -0x1.f4ab5dcac57cfp-10, -0x1.e37cc01691359p-10, -0x1.d2e5078e943f7p-10, -0x1.c2df4feeef1cfp-10, -0x1.b366d833989a2p-10, -0x1.a47701ce6cfbp-10, -0x1.960b4fdffcd99p-10, -0x1.881f6673509ebp-10, -0x1.7aaf09bc7dae7p-10, -0x1.6db61d5a272dbp-10, -0x1.6130a399e39f4p-10, -0x1.551abcbf929adp-10, -0x1.4970a64f8f79dp-10, -0x1.3e2eba5be2c13p-10, -0x1.33516ed44ae06p-10, -0x1.28d554d93bcadp-10, -0x1.1eb71811c6ca6p-10, -0x1.14f37e0468496p-10, -0x1.0b876572b833cp-10, -0x1.026fc5b807daep-10, -0x1.f3535c55b0d82p-11, -0x1.e2648b025c0b2p-11, -0x1.d20d926f8272p-11, -0x1.c24919f80448ap-11, -0x1.b311f431daf05p-11, -0x1.a4631dcd58e0ap-11, -0x1.9637bc79f8492p-11, -0x1.888b1dd0a9f87p-11, -0x1.7b58b6439d567p-11, -0x1.6e9c20136fdecp-11, -0x1.62511a49bc3c3p-11, -0x1.567387b8f9b32p-11, -0x1.4aff6e019e207p-11, -0x1.3ff0f49c770fp-11, -0x1.354463ea26c1bp-11, -0x1.2af62447bca2p-11, -0x1.2102bd28557cap-11, -0x1.1766d433b5cfep-11, -0x1.0e1f2c69cea16p-11, -0x1.0528a54b1dc63p-11, -0x1.f900740bb0fd7p-12, -0x1.e846014fa0d59p-12, -0x1.d81c52aa04567p-12, -0x1.c87dfb057cc33p-12, -0x1.b965be6eb7e16p-12, -0x1.aace909cc0b35p-12, -0x1.9cb3938221679p-12, -0x1.8f1015e6b2743p-12, -0x1.81df9209ef3e4p-12, -0x1.751dac4db7868p-12, -0x1.68c631e953badp-12, -0x1.5cd517a49bbdfp-12, -0x1.5146789b209fep-12, -0x1.46169507328bbp-12, -0x1.3b41d114a4bep-12, -0x1.30c4b3bb29afcp-12, -0x1.269be5a02861cp-12, -0x1.1cc42fffe482p-12, -0x1.133a7b9ddf4a9p-12, -0x1.09fbcfbc44857p-12, -0x1.0105511a4c496p-12, -0x1.f0a881f2d2b54p-13, -0x1.dfcbf8524b207p-13, -0x1.cf6ff4331d08cp-13, -0x1.bf8f97e80dc08p-13, -0x1.b0263774d64cfp-13, -0x1.a12f56d8bd809p-13, -0x1.92a6a865438cep-13, -0x1.84880b20b11d4p-13, -0x1.76cf893434685p-13, -0x1.6979566562c94p-13, -0x1.5c81ce9acf9d8p-13, -0x1.4fe5746b8b5e8p-13, -0x1.43a0efb942e6fp-13, -0x1.37b10c54cd5b9p-13, -0x1.2c12b8ace273fp-13, -0x1.20c30486cde89p-13, -0x1.15bf1fc0d7f74p-13, -0x1.0b04591e36dap-13, -0x1.00901d1c4bf3p-13, -0x1.ecbfe9a1e2711p-14, -0x1.d8e309a353b2dp-14, -0x1.c585184701ea2p-14, -0x1.b2a1c666a5b16p-14, -0x1.a034f5acc3e94p-14, -0x1.8e3ab6a5e6e1bp-14, -0x1.7caf46e19cp-14, -0x1.6b8f0f22be14dp-14, -0x1.5ad6a19eba3ecp-14, -0x1.4a82b84b6765fp-14, -0x1.3a90333b1726cp-14, -0x1.2afc170681969p-14, -0x1.1bc38b4430bcep-14, -0x1.0ce3d90d1404ep-14, -0x1.fcb4d31bc94b6p-15, -0x1.e049894a02386p-15, -0x1.c4811f18e3118p-15, -0x1.a957171f77881p-15, -0x1.8ec7299a764cap-15, -0x1.74cd420550789p-15, -0x1.5b657cc90b4f1p-15, -0x1.428c250044b8ep-15, -0x1.2a3db24fd148fp-15, -0x1.1276c6d35ea1ap-15, -0x1.f6685a3b12c7fp-16, -0x1.c8e5ac95b2da9p-16, -0x1.9c5fb04e38678p-16, -0x1.70d0d6c9245c8p-16, -0x1.4633d3c8df7c9p-16, -0x1.1c839a2052d47p-16, -0x1.e776b10c47f93p-17, -0x1.97aced0f3639ap-17, -0x1.49a123346c44fp-17, -0x1.fa95e92c32148p-18, -0x1.6544c62c2e068p-18, -0x1.a67f30b9961ffp-19, -0x1.11df1fbeef3ecp-20, 0x1.1c827cd44cf05p-20, 0x1.9f2ded36499d5p-19, 0x1.54f805fc81645p-18, 0x1.d7500ba55c2dap-18, 0x1.2b55623cae3ccp-17, 0x1.6989b9cfc1f7cp-17, 0x1.a64a74ebd568dp-17, 0x1.e19cc63e28ecp-17, 0x1.0dc2d70cee56fp-16, 0x1.2a04fed4b41a5p-16, 0x1.45972cfd2665dp-16, 0x1.607b9f723734ap-16, 0x1.7ab480e70d666p-16, 0x1.9443ea2717278p-16, 0x1.ad2be356b4d67p-16, 0x1.c56e65240eaadp-16, 0x1.dd0d59e8b2356p-16, 0x1.f40a9ebc7237ep-16, 0x1.0534023d123dp-15, 0x1.1013a85b58cf5p-15, 0x1.1aa51f557f94ap-15, 0x1.24e940089c257p-15, 0x1.2ee0defaefb06p-15, 0x1.388cccbe9602ep-15, 0x1.41edd64e919d2p-15, 0x1.4b04c5666e1b7p-15, 0x1.53d260d4ad8ecp-15, 0x1.5c576cc835025p-15, 0x1.6494ab18f006cp-15, 0x1.6c8adb8bd6da7p-15, 0x1.743abc1289a1p-15, 0x1.7ba50906b318cp-15, 0x1.82ca7d6158a5p-15, 0x1.89abd2ee49bf4p-15, 0x1.9049c27bd8406p-15, 0x1.96a50406fe4p-15, 0x1.9cbe4ee421d26p-15, 0x1.a29659e493769p-15, 0x1.a82ddb78f5543p-15, 0x1.ad8589d0a8761p-15, 0x1.b29e1af66a86bp-15, 0x1.b77844ea3d45dp-15, 0x1.bc14bdb8befdbp-15, 0x1.c0743b90134f5p-15, 0x1.c49774d274d6p-15, 0x1.c87f202695d38p-15, 0x1.cc2bf485e63a3p-15, 0x1.cf9ea948dc44dp-15, 0x1.d2d7f6315bb6ap-15, 0x1.d5d893735389dp-15, 0x1.d8a139bbaba23p-15, 0x1.db32a2359aa74p-15, 0x1.dd8d868e7a5c6p-15, 0x1.dfb2a0f83128ep-15, 0x1.e1a2ac2a45b74p-15, 0x1.e35e6361b0d75p-15, 0x1.e4e6825f850e4p-15, 0x1.e63bc56676a53p-15, 0x1.e75ee93760abp-15, 0x1.e850ab0cd0484p-15, 0x1.e911c895acbc1p-15, 0x1.e9a2ffef0840dp-15, 0x1.ea050f9d2c39bp-15, 0x1.ea38b683ed44cp-15, 0x1.ea3eb3de5a49cp-15, 0x1.ea17c735cad9p-15, 0x1.e9c4b05866ca7p-15, 0x1.e9462f4f26655p-15, 0x1.e89d045362d6fp-15, 0x1.e7c9efc3f97eep-15, 0x1.e6cdb21a12ff5p-15, 0x1.e5a90bdd948ddp-15, 0x1.e45cbd994a49cp-15, 0x1.e2e987cecd7afp-15, 0x1.e1502aea35d9bp-15, 0x1.df9167359d71ap-15, 0x1.ddadfccc7ab8fp-15, 0x1.dba6ab8edffefp-15, 0x1.d97c3314a1a1bp-15, 0x1.d72f52a06c0ddp-15, 0x1.d4c0c912d4b2p-15, 0x1.d23154dd624e2p-15, 0x1.cf81b3f59c75dp-15, 0x1.ccb2a3c8235dap-15, 0x1.c9c4e12bd66cbp-15, 0x1.c6b928550c1a4p-15, 0x1.c39034c8e3bbep-15, 0x1.c04ac150b53bp-15, 0x1.bce987ed9e559p-15, 0x1.b96d41cc3780cp-15, 0x1.b5d6a73870c8fp-15, 0x1.b2266f9199eebp-15, 0x1.ae5d513e98fcdp-15, 0x1.aa7c01a2568e3p-15, 0x1.a683351059457p-15, 0x1.a2739ec19f3d8p-15, 0x1.9e4df0c9abb7bp-15, 0x1.9a12dc0bd4329p-15, 0x1.95c31030ca092p-15, 0x1.915f3b9c631d9p-15, 0x1.8ce80b63a6411p-15, 0x1.885e2b4317bcbp-15, 0x1.83c245954b635p-15, 0x1.7f150349bbd0ap-15, 0x1.7a570bdbe7315p-15, 0x1.7589054ab305p-15, 0x1.70ab941019602p-15, 0x1.6bbf5b191ccb8p-15, 0x1.66c4fbbe048edp-15, 0x1.61bd15bae55cep-15, 0x1.5ca8472870411p-15, 0x1.57872c750c7ep-15, 0x1.525a605e3b478p-15, 0x1.4d227bea46111p-15, 0x1.47e0166234ebap-15, 0x1.4293c54c0e623p-15, 0x1.3d3e1c6562478p-15, 0x1.37dfad9e1b7e1p-15, 0x1.327909139b3f1p-15, 0x1.2d0abd0c1b5bfp-15, 0x1.279555f257d63p-15, 0x1.22195e51813e1p-15, 0x1.1c975ed1715c7p-15, 0x1.170fde3329b8fp-15, 0x1.1183614d912c4p-15, 0x1.0bf26b0a7bab1p-15, 0x1.065d7c63eef49p-15, 0x1.00c51461acc9fp-15, 0x1.f653602dfbffp-16, 0x1.eb179541759dp-16, 0x1.dfd7ba472dc3bp-16, 0x1.d494bd954d598p-16, 0x1.c94f898c4b363p-16, 0x1.be090494e8ec7p-16, 0x1.b2c2111eae664p-16, 0x1.a77b8d9ed025dp-16, 0x1.9c36548f8a42bp-16, 0x1.90f33c6fec881p-16, 0x1.85b317c40f0f1p-16, 0x1.7a76b515b45f8p-16, 0x1.6f3edef54f021p-16, 0x1.640c5bfb726f3p-16, 0x1.58dfeecaa03abp-16, 0x1.4dba56117d01cp-16, 0x1.429c4c8d5c8a4p-16, 0x1.3786890d2e708p-16, 0x1.2c79be74c3762p-16, 0x1.21769bc067201p-16, 0x1.167dcc08ce5bdp-16, 0x1.0b8ff6875c9c1p-16, 0x1.00adbe9ab3e6dp-16, 0x1.ebaf8797256aep-17, 0x1.d61d43a3fafbcp-17, 0x1.c0a5e1356206cp-17, 0x1.ab4a8899b7f9fp-17, 0x1.960c5aa031bc3p-17, }}, 
      {{0x1.820780201dbe1p-1, 0x1.821da43dd5fp-1, 0x1.823cd34da612cp-1, 0x1.825e87c7c45a7p-1, 0x1.827bceab007e5p-1, 0x1.828df66a8a3c5p-1, 0x1.828efa06e9b2cp-1, 0x1.8279bc513c9fep-1, 0x1.824a2205c19f9p-1, 0x1.81fd157377529p-1, 0x1.81907b742fdeep-1, 0x1.81031f49c5e6p-1, 0x1.805499588b6bdp-1, 0x1.7f8533878a2c2p-1, 0x1.7e95cd309ecf9p-1, 0x1.7d87bfe82e122p-1, 0x1.7c5cc5ee6ec2bp-1, 0x1.7b16e2c789e32p-1, 0x1.79b84e3b78b9dp-1, 0x1.784361d426ac4p-1, 0x1.76ba88d33e08cp-1, 0x1.752032858d0d3p-1, 0x1.7376c6cd995b7p-1, 0x1.71c09cb7b5352p-1, 0x1.6ffff2e65e88ep-1, 0x1.6e36e9a4baa92p-1, 0x1.6c677e6dde148p-1, 0x1.6a9388b9a615fp-1, 0x1.68bcb7e2c59dbp-1, 0x1.66e491fcfb0ebp-1, 0x1.650c7375f66afp-1, 0x1.63358f5f12a9ap-1, 0x1.6160f0419d4c6p-1, 0x1.5f8f7962ce182p-1, 0x1.5dc1e85fd63a2p-1, 0x1.5bf8d70d6dd05p-1, 0x1.5a34bd8911402p-1, 0x1.5875f46ca72f1p-1, 0x1.56bcb7178e392p-1, 0x1.5509260226201p-1, 0x1.535b4912acf1ep-1, 0x1.51b311ebf4259p-1, 0x1.50105e2fcf88ap-1, 0x1.4e72f9b060aedp-1, 0x1.4cdaa08c70f15p-1, 0x1.4b470133fa6b5p-1, 0x1.49b7be52c1abbp-1, 0x1.482c709f98ca9p-1, 0x1.46a4a88f65dd7p-1, 0x1.451fefeb8c40fp-1, 0x1.439dcb4bafebfp-1, 0x1.421dbb7324d2cp-1, 0x1.409f3e9295fcbp-1, 0x1.3f21d16ea75afp-1, 0x1.3da4f06c7f351p-1, 0x1.3c2818853c32bp-1, 0x1.3aaac8217b984p-1, 0x1.392c7fde185dbp-1, 0x1.37acc33b5dccep-1, 0x1.362b1937e622ep-1, 0x1.34a70cd85e909p-1, 0x1.33202d9d6c29dp-1, 0x1.31960fe8de265p-1, 0x1.30084d535a0f5p-1, 0x1.2e7684f3a224ap-1, 0x1.2ce05b9889836p-1, 0x1.2b457bf6a1e4ep-1, 0x1.29a596caa0117p-1, 0x1.280062f168b4p-1, 0x1.26559d76ab214p-1, 0x1.24a5099ae194fp-1, 0x1.22ee70d184b7ap-1, 0x1.2131a2b830de5p-1, 0x1.1f6e7507718c7p-1, 0x1.1da4c37dddde6p-1, 0x1.1bd46fc620027p-1, 0x1.19fd61587f7c6p-1, 0x1.181f855871ebdp-1, 0x1.163ace6eb6b7ap-1, 0x1.144f34a06fbeap-1, 0x1.125cb523a7ddbp-1, 0x1.10635231a9968p-1, 0x1.0e6312d7842e6p-1, 0x1.0c5c02c51739cp-1, 0x1.0a4e321af003p-1, 0x1.0839b537451a1p-1, 0x1.061ea48250b3cp-1, 0x1.03fd1c3a4619ep-1, 0x1.01d53c3f1c015p-1, 0x1.ff4e4fbcb7de2p-2, 0x1.fae60b3e4be6fp-2, 0x1.f671fe1d22d4p-2, 0x1.f1f2811920408p-2, 0x1.ed67f232edb56p-2, 0x1.e8d2b4488ebap-2, 0x1.e4332eb3ae046p-2, 0x1.df89cce9d7af1p-2, 0x1.dad6fe1ec2c27p-2, 0x1.d61b34e8d7ce7p-2, 0x1.d156e6e808601p-2, 0x1.cc8a8c6f1f577p-2, 0x1.c7b6a02f966fap-2, 0x1.c2db9ee80a7a1p-2, 0x1.bdfa07155a9eap-2, 0x1.b91258a67eefbp-2, 0x1.b42514b32152ap-2, 0x1.af32bd34fc3fbp-2, 0x1.aa3bd4c40745bp-2, 0x1.a540de556c086p-2, 0x1.a0425cfd4ac51p-2, 0x1.9b40d3b3451f9p-2, 0x1.963cc519cec71p-2, 0x1.9136b3483b287p-2, 0x1.8c2f1f978436ap-2, 0x1.87268a71bbc73p-2, 0x1.821d7324231cfp-2, 0x1.7d1457b3d859ap-2, 0x1.780bb4b513b03p-2, 0x1.73040524e01b1p-2, 0x1.6dfdc24548fe3p-2, 0x1.68f9637be7281p-2, 0x1.63f75e32c709p-2, 0x1.5ef825bb8e2e6p-2, 0x1.59fc2b34db2acp-2, 0x1.5503dd71c6dap-2, 0x1.500fa8e37a3f9p-2, 0x1.4b1ff784cbcdap-2, 0x1.463530c7cb03ap-2, 0x1.414fb9853359ep-2, 0x1.3c6ff3edad6a2p-2, 0x1.37963f7cd121cp-2, 0x1.32c2f8edda0adp-2, 0x1.2df67a31f8ff1p-2, 0x1.29311a6834526p-2, 0x1.24732dd6c70e3p-2, 0x1.1fbd05e5ecc69p-2, 0x1.1b0ef11c0d472p-2, 0x1.16693b1b33dcbp-2, 0x1.11cc2c9fc50a7p-2, 0x1.0d380b806577fp-2, 0x1.08ad1aaefdde2p-2, 0x1.042b9a3ad0124p-2, 0x1.ff678ea724612p-3, 0x1.f68bb89af12eep-3, 0x1.edc4214c581e6p-3, 0x1.e511321526fbcp-3, 0x1.dc734ebadde76p-3, 0x1.d3ead57d5c25bp-3, 0x1.cb781f26f3d06p-3, 0x1.c31b7f1dcca9p-3, 0x1.bad543767c8b2p-3, 0x1.b2a5b507bf802p-3, 0x1.aa8d177f326e2p-3, 0x1.a28ba9770f808p-3, 0x1.9aa1a48cbb081p-3, 0x1.92cf3d7828bdcp-3, 0x1.8b14a423ec8afp-3, 0x1.837203c60328cp-3, 0x1.7be782f91ceep-3, 0x1.747543d6771c2p-3, 0x1.6d1b64102a291p-3, 0x1.65d9fd0bd2a2dp-3, 0x1.5eb123fd98311p-3, 0x1.57a0ea03768fap-3, 0x1.50a95c40c0965p-3, 0x1.49ca83f9cf3c3p-3, 0x1.430466afd1264p-3, 0x1.3c57063cabcdfp-3, 0x1.35c260eeeaba4p-3, 0x1.2f4671a5a42adp-3, 0x1.28e32fec5a3e6p-3, 0x1.22989016c1b5cp-3, 0x1.1c66835c6bafbp-3, 0x1.164cf7f448b14p-3, 0x1.104bd92ffdf05p-3, 0x1.0a630f96ffaf7p-3, 0x1.0492810175f16p-3, 0x1.fdb42165a94cdp-4, 0x1.f2733ee861ff1p-4, 0x1.e762175c86639p-4, 0x1.dc80630625ce1p-4, 0x1.d1cdd5cea03d8p-4, 0x1.c74a1f7686c4bp-4, 0x1.bcf4ebc6c881ep-4, 0x1.b2cde2c11000ap-4, 0x1.a8d4a8cf44b3dp-4, 0x1.9f08def242211p-4, 0x1.956a22ef9f9d6p-4, 0x1.8bf80f7ea1f1bp-4, 0x1.82b23c743fda5p-4, 0x1.79983eee3af7bp-4, 0x1.70a9a97d48f6bp-4, 0x1.67e60c4e4d78p-4, 0x1.5f4cf5529e07ap-4, 0x1.56ddf06750d78p-4, 0x1.4e98877b955d5p-4, 0x1.467c42b61321p-4, 0x1.3e88a8995213ep-4, 0x1.36bd3e2727562p-4, 0x1.2f1987032ced5p-4, 0x1.279d05943d625p-4, 0x1.20473b24fbe54p-4, 0x1.1917a8036383dp-4, 0x1.120dcb9f628b7p-4, 0x1.0b2924a882cb9p-4, 0x1.0469312aa1895p-4, 0x1.fb9add536bd06p-5, 0x1.eeaab4795a582p-5, 0x1.e200e14eb5c9cp-5, 0x1.d59c5ce706b2cp-5, 0x1.c97c2011fe44ep-5, 0x1.bd9f2389feb5bp-5, 0x1.b2046020e3b89p-5, 0x1.a6aaceeb1708ep-5, 0x1.9b916968f4e4bp-5, 0x1.90b729ae8833ap-5, 0x1.861b0a89a5655p-5, 0x1.7bbc07a66f48p-5, 0x1.71991db244163p-5, 0x1.67b14a7d27d6ep-5, 0x1.5e038d19a723ep-5, 0x1.548ee5fb422b2p-5, 0x1.4b525713658c4p-5, 0x1.424ce3ecfa387p-5, 0x1.397d91c690e6fp-5, 0x1.30e367ab37e66p-5, 0x1.287d6e89fd65ep-5, 0x1.204ab14c28113p-5, 0x1.184a3cea32a9cp-5, 0x1.107b207f8af71p-5, 0x1.08dc6d5d232f1p-5, 0x1.016d371adb78bp-5, 0x1.f459274f95209p-6, 0x1.e63336b2df87ep-6, 0x1.d866d1f3a71abp-6, 0x1.caf233a949058p-6, 0x1.bdd39b869f20cp-6, 0x1.b1094e7048084p-6, 0x1.a49196910f47ep-6, 0x1.986ac36c7e105p-6, 0x1.8c9329efb14cap-6, 0x1.810924807b6f4p-6, 0x1.75cb130ade9fcp-6, 0x1.6ad75b0cf736ep-6, 0x1.602c67a15ac23p-6, 0x1.55c8a987ff422p-6, 0x1.4baa972db74e1p-6, 0x1.41d0acb251e56p-6, 0x1.38396bed67129p-6, 0x1.2ee35c71e3ad2p-6, 0x1.25cd0b905ec7dp-6, 0x1.1cf50c584088cp-6, 0x1.1459f797d3c18p-6, 0x1.0bfa6bdb3ec0ap-6, 0x1.03d50d6a79e38p-6, 0x1.f7d10c8c903ecp-7, 0x1.e8670c48900e8p-7, 0x1.d96984d430c3ap-7, 0x1.cad5ec4f4f0dfp-7, 0x1.bca9c421664f5p-7, 0x1.aee298eb0a527p-7, 0x1.a17e0275ddfbp-7, 0x1.9479a3a33dd1bp-7, 0x1.87d32a5982467p-7, 0x1.7b884f701795dp-7, 0x1.6f96d69a5d3e3p-7, 0x1.63fc8e5175d5ap-7, 0x1.58b74fbd00368p-7, 0x1.4dc4fe9ae874ep-7, 0x1.432389263843p-7, 0x1.38d0e7fd24467p-7, 0x1.2ecb1e063c534p-7, 0x1.25103854e6f2dp-7, 0x1.1b9e4e0d29c1ep-7, 0x1.12738046d1155p-7, 0x1.098df9f0012cap-7, 0x1.00ebefaf3eep-7, 0x1.f1173f89f7834p-8, 0x1.e0d6a3d960c57p-8, 0x1.d112ae7b22415p-8, 0x1.c1c81415cd859p-8, 0x1.b2f39b882f282p-8, 0x1.a4921da8d093fp-8, 0x1.96a085050085ep-8, 0x1.891bcd9f743ccp-8, 0x1.7c0104ae8fb69p-8, 0x1.6f4d485a6b80ep-8, 0x1.62fdc77aa285p-8, 0x1.570fc153fd7dep-8, 0x1.4b80855605184p-8, 0x1.404d72d88d096p-8, 0x1.3573f8d9447f8p-8, 0x1.2af195b95895p-8, 0x1.20c3d6fb35badp-8, 0x1.16e8590073eb1p-8, 0x1.0d5cc6c7f856ap-8, 0x1.041ed9ac57884p-8, 0x1.f658b245070ddp-9, 0x1.e50634f198525p-9, 0x1.d442012c7c874p-9, 0x1.c407f774d329fp-9, 0x1.b454127b24fecp-9, 0x1.a52266a2b9068p-9, 0x1.966f2183e0059p-9, 0x1.8836896f4931ap-9, 0x1.7a74fcf26c68p-9, 0x1.6d26f25d10ae6p-9, 0x1.6048f74804f22p-9, 0x1.53d7b01d0c262p-9, 0x1.47cfd7a003819p-9, 0x1.3c2e3e795ba39p-9, 0x1.30efcac1dc2a7p-9, 0x1.2611778fbe219p-9, 0x1.1b9054852be7ap-9, 0x1.11698560232e4p-9, 0x1.079a418bc0f2bp-9, 0x1.fc3fa7660687cp-10, 0x1.e9ef32a9f5469p-10, 0x1.d83e04b4f1074p-10, 0x1.c727215a74ab9p-10, 0x1.b6a5afa126c7bp-10, 0x1.a6b4f8f73516fp-10, 0x1.97506869bb106p-10, 0x1.887389df327a3p-10, 0x1.7a1a0954f5ddcp-10, 0x1.6c3fb21fda7e5p-10, 0x1.5ee06e2fd44e2p-10, 0x1.51f84556ba67ep-10, 0x1.45835c920ec5bp-10, 0x1.397df557ee5d6p-10, 0x1.2de46ce6fffa4p-10, 0x1.22b33b997f18ep-10, 0x1.17e6f43b50c2ep-10, 0x1.0d7c43632148ep-10, 0x1.036feece8b161p-10, 0x1.f37da9827e59cp-11, 0x1.e0cbd6ce5c97p-11, 0x1.cec4807351d66p-11, 0x1.bd61eeceec35fp-11, 0x1.ac9e967faf473p-11, 0x1.9c751740ef7bap-11, 0x1.8ce03acc724bdp-11, 0x1.7ddaf3c1c79dcp-11, 0x1.6f605c934b4d4p-11, 0x1.616bb678c406ap-11, 0x1.53f868678f3ecp-11, 0x1.4701fe104a833p-11, 0x1.3a8426e1eb814p-11, 0x1.2e7ab51236c62p-11, 0x1.22e19cab83347p-11, 0x1.17b4f29fbadfap-11, 0x1.0cf0ebe089c37p-11, 0x1.0291dc7ca40cbp-11, 0x1.f1286d843160cp-12, 0x1.dde914cb34f4bp-12, 0x1.cb5f075d5cecp-12, 0x1.b983d5515c413p-12, 0x1.a85144b117a96p-12, 0x1.97c14fee896fp-12, 0x1.87ce2461e37ddp-12, 0x1.787220d0bf6f2p-12, 0x1.69a7d3fe43d1ep-12, 0x1.5b69fb440ef15p-12, 0x1.4db38133cba1ap-12, 0x1.407f7c413efb6p-12, 0x1.33c92d74b80e4p-12, 0x1.278bff25ae336p-12, 0x1.1bc383bd753abp-12, 0x1.106b7481d982bp-12, 0x1.057fb06784e8cp-12, 0x1.f5f875d808f65p-13, 0x1.e1ba75ee9969ap-13, 0x1.ce3df3892ea55p-13, 0x1.bb7bc3a4ebacap-13, 0x1.a96cfbb3eb287p-13, 0x1.980aef996aa85p-13, 0x1.874f2fb38375dp-13, 0x1.773386f23922dp-13, 0x1.67b1f8fb9142p-13, 0x1.58c4c05c77f1ep-13, 0x1.4a664cc61d743p-13, 0x1.3c9141579dfd5p-13, 0x1.2f4072f3a1c28p-13, 0x1.226ee6a1babc7p-13, 0x1.1617cffb4110dp-13, 0x1.0a368fa364468p-13, 0x1.fd8d639481433p-14, 0x1.e787d97554931p-14, 0x1.d2543ee505fcfp-14, 0x1.bdeaa08a94652p-14, 0x1.aa4357117163cp-14, 0x1.975704964f9b7p-14, 0x1.851e922721c4ep-14, 0x1.73932d55b9999p-14, 0x1.62ae45dcb5bafp-14, 0x1.52698b563f953p-14, 0x1.42beeb042d28dp-14, 0x1.33a88da91e0f6p-14, 0x1.2520d57228bbbp-14, 0x1.17225bf0b05fp-14, 0x1.09a7f023fc68dp-14, 0x1.f95929245d76dp-15, 0x1.e056fae067c29p-15, 0x1.c8401db09ed1ep-15, 0x1.b10bb61dc3b9fp-15, 0x1.9ab141aa1bd39p-15, 0x1.85289391be08ap-15, 0x1.7069d1a532f4fp-15, 0x1.5c6d713db4ca1p-15, 0x1.492c344a63d45p-15, 0x1.369f2675c3c3ap-15, 0x1.24bf9a62e1661p-15, 0x1.13872701760bep-15, 0x1.02efa4f86fd2cp-15, 0x1.e5e6584c815aep-16, 0x1.c718226cb275ep-16, 0x1.a969c69678dd3p-16, 0x1.8cd0d37932124p-16, 0x1.714343d1b2fb6p-16, 0x1.56b77a333ac7ap-16, 0x1.3d243cf524f13p-16, 0x1.2480b24459d75p-16, 0x1.0cc45c5762c14p-16, 0x1.ebce2b886fa3p-17, 0x1.bfc21bed7d7c1p-17, 0x1.95558b8e0ef09p-17, 0x1.6c7a185cc1cd4p-17, 0x1.4521f63498e2ep-17, 0x1.1f3fe8b8ffd87p-17, 0x1.f58e7adc1429dp-18, 0x1.af578c0ea60edp-18, 0x1.6bc3a5d79a98ep-18, 0x1.2abc5bd9cc34ep-18, 0x1.d85854bd9ffc6p-19, 0x1.5ffcd9125bccep-19, 0x1.d87d4b900e84dp-20, 0x1.f3ded2696a41cp-21, 0x1.203866e3104acp-23, -0x1.5303b6042bf19p-21, -0x1.6eee939f227fdp-20, -0x1.163fda8052109p-19, -0x1.7139a3f21268fp-19, -0x1.c882713f8816bp-19, -0x1.0e1b7107af809p-18, -0x1.36393bec681bfp-18, -0x1.5ca7d150bc38cp-18, -0x1.8173e69c6f16dp-18, -0x1.a4a9b47b0458fp-18, -0x1.c654fc7db186cp-18, -0x1.e6810e8285524p-18, -0x1.029c66f163d88p-17, -0x1.11435b3541d9dp-17, -0x1.1f3a708d8fceep-17, -0x1.2c86845d6e8ccp-17, -0x1.392c471984c06p-17, -0x1.45303e5f4c559p-17, -0x1.5096c6f5700a4p-17, -0x1.5b6416b60416ap-17, -0x1.659c3e6373aep-17, -0x1.6f432b68d4becp-17, -0x1.785ca9866f992p-17, -0x1.80ec646b368eep-17, -0x1.88f5e93bd390bp-17, -0x1.907ca80808945p-17, -0x1.9783f52f042bcp-17, -0x1.9e0f0ab3545bcp-17, -0x1.a421097f14c83p-17, -0x1.a9bcfa98eb34ap-17, -0x1.aee5d04a7815cp-17, -0x1.b39e6738bb759p-17, -0x1.b7e9876f029bep-17, -0x1.bbc9e55ced273p-17, -0x1.bf4222c7f71c6p-17, -0x1.c254cfb123934p-17, -0x1.c5046b2f271cep-17, -0x1.c753643da6545p-17, -0x1.c9441a81dda0ep-17, -0x1.cad8df0533ddep-17, -0x1.cc13f4e626e03p-17, -0x1.ccf791ffe9c26p-17, -0x1.cd85df8926d11p-17, -0x1.cdc0faaa3e722p-17, -0x1.cdaaf50b67e7dp-17, -0x1.cd45d55b04a3ap-17, -0x1.cc9397cc8f5e5p-17, -0x1.cb962e905f284p-17, -0x1.ca4f8244ad6b6p-17, -0x1.c8c172601711fp-17, -0x1.c6edd595f68p-17, -0x1.c4d67a34cd21ep-17, -0x1.c27d267f11985p-17, -0x1.bfe398fe9c267p-17, -0x1.bd0b88d300a52p-17, -0x1.b9f6a5fafe56fp-17, -0x1.b6a699995c134p-17, -0x1.b31d063551ef7p-17, -0x1.af5b87f6cfa87p-17, -0x1.ab63b4debf823p-17, -0x1.a7371cfb91fd7p-17, -0x1.a2d74a9a2ae55p-17, -0x1.9e45c273708cdp-17, -0x1.998403d6a5985p-17, -0x1.949388d0be513p-17, -0x1.8f75c650c7235p-17, -0x1.8a2c2c49afd87p-17, -0x1.84b825d1717dap-17, -0x1.7f1b193dd13bp-17, -0x1.7956683ee4276p-17, -0x1.736b6ff769b44p-17, -0x1.6d5b891320badp-17, -0x1.672807db46b7bp-17, -0x1.60d23c493fc51p-17, -0x1.5a5b7217a54b7p-17, -0x1.53c4f0d1c57f8p-17, -0x1.4d0ffbe1a6d77p-17, -0x1.463dd29cc4a66p-17, -0x1.3f4fb04f782e4p-17, -0x1.3846cc474332p-17, -0x1.312459dc02f1ap-17, -0x1.29e988782256dp-17, -0x1.2297839fe2ce9p-17, -0x1.1b2f72f7cacd4p-17, -0x1.13b27a4a4dbbap-17, -0x1.0c21b98cbe4dbp-17, -0x1.047e4ce39aafdp-17, -0x1.f992994c85ee3p-18, -0x1.ea079ac44f0d4p-18, -0x1.da5dbfbafb111p-18, -0x1.ca9722330ce7dp-18, -0x1.bab5d4a8ef787p-18, -0x1.aabbe21619828p-18, -0x1.9aab4df39fa61p-18, -0x1.8a86143c46bbbp-18, -0x1.7a4e296e2cae3p-18, -0x1.6a057a8c171d9p-18, -0x1.59aded1e7b63fp-18, -0x1.49495f3450fdap-18, -0x1.38d9a763ba271p-18, -0x1.286094ca9691fp-18, -0x1.17dfef0f05f6fp-18, -0x1.0759765feef9fp-18, -0x1.ed9dc6eb2204bp-19, -0x1.cc83cf2458897p-19, -0x1.ab685905979f3p-19, -0x1.8a4ea94075149p-19, -0x1.6939f5a052678p-19, -0x1.482d650d21d0fp-19, -0x1.272c0f8eaab6bp-19, -0x1.0638fe5066e05p-19, -0x1.caae574be5573p-20, -0x1.8913062057d6dp-20, -0x1.47a5c28601324p-20, -0x1.066c2857ed22p-20, -0x1.8ad76be5da37fp-21, -0x1.0953988b79f23p-21, -0x1.10aebb8b1d654p-22, -0x1.fb4209c887976p-27, 0x1.df85589169a83p-23, 0x1.ee13ca56cf8f6p-22, 0x1.758307055aa8fp-21, 0x1.f343579dbdf4bp-21, 0x1.3820d63e13ccbp-20, 0x1.763a8a444435dp-20, 0x1.b3ea6be5f2cd4p-20, 0x1.f12c3b96c646bp-20, 0x1.16fdeb0b2e908p-19, 0x1.352a9a25aeb17p-19, 0x1.531a358e63a8ap-19, 0x1.70cad5a4c4faep-19, 0x1.8e3aa09f30321p-19, 0x1.ab67ca7501a0dp-19, 0x1.c85094c7d0f1bp-19, 0x1.e4f34ecbe3f3p-19, 0x1.00a72a97e5c2ap-18, 0x1.0eb009019c8a1p-18, 0x1.1c937e4e86e1ap-18, 0x1.2a50ccc051efcp-18, 0x1.37e73d212fa36p-18, 0x1.45561eb5c1845p-18, 0x1.529cc72ea7919p-18, 0x1.5fba9299bb89ep-18, 0x1.6caee352f3235p-18, 0x1.797921f4f393ep-18, 0x1.8618bd4952f47p-18, 0x1.928d2a388e68ep-18, 0x1.9ed5e3b9b67f9p-18, 0x1.aaf26ac1d2a41p-18, 0x1.b6e2463301fd5p-18, 0x1.c2a502cb5ade4p-18, 0x1.ce3a33138b16fp-18, 0x1.d9a16f4d3c083p-18, 0x1.e4da556140876p-18, 0x1.efe488cd89b04p-18, 0x1.fabfb292eb4afp-18, 0x1.02b5c09157e28p-17, 0x1.07f3d425ff069p-17, 0x1.0d19f0948ad22p-17, 0x1.1227f50632bf2p-17, 0x1.171dc336bcfbbp-17, 0x1.1bfb3f6ae6fa8p-17, 0x1.20c05066bc938p-17, 0x1.256cdf63e22c4p-17, 0x1.2a00d807d2317p-17, 0x1.2e7c285a0e9a4p-17, 0x1.32dec0ba48307p-17, 0x1.372893d67ea3ap-17, 0x1.3b5996a1173ecp-17, 0x1.3f71c046ee6cbp-17, 0x1.43710a2564a13p-17, 0x1.47576fc0667fbp-17, 0x1.4b24eeb873b64p-17, 0x1.4ed986c0a31bap-17, 0x1.52753994a7f47p-17, 0x1.55f80aeed917bp-17, 0x1.5962007e349e6p-17, 0x1.5cb321dc6f88dp-17, 0x1.5feb788401362p-17, 0x1.630b0fc639861p-17, 0x1.6611f4c15cbe3p-17, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      111, 0x1.5333333333333p+2, 0x1.6ea19358e2e7fp+0, 0x1.b3727df0884cfp+1, -0x1.4bb7cb23477d8p-1, 
      {{
        {0x1.6b6ae7d566cf4p+0, 0x1.6e8a71de69ad4p+0, 0x1.a4370cdc8754fp+1, -0x1.684a3aae0f004p+2, 0x1.01fec2f9bcbcp+2, 0x1.34270a18694a5p-3}, 
        {0x1.6e8a71de69ad4p+0, 0x1.71a9fbe76c8b4p+0, 0x1.9b80346dc5d64p+1, -0x1.61fd966417b17p+2, 0x1.0258fd19c656fp+2, -0x1.8130cc9e869ap-1}, 
        {0x1.71a9fbe76c8b4p+0, 0x1.74c985f06f694p+0, 0x1.92f0ae536501ep+1, -0x1.5bb5594a6263ep+2, 0x1.0095da79964ccp+2, -0x1.52f946047f9b7p+1}, 
        {0x1.74c985f06f694p+0, 0x1.77e90ff972474p+0, 0x1.8a8826aa8eb46p+1, -0x1.5585fce485627p+2, 0x1.f4c3a89ba9915p+1, 0x1.531039a41c69fp-2}, 
        {0x1.77e90ff972474p+0, 0x1.7b089a0275254p+0, 0x1.8245f5ad96a6ap+1, -0x1.4f679415433fbp+2, 0x1.f650c50821af5p+1, -0x1.0bbb3c680f425p+2}, 
        {0x1.7b089a0275254p+0, 0x1.7e28240b78034p+0, 0x1.7a29c779a6b51p+1, -0x1.496559cdfb762p+2, 0x1.e2b7b294ca246p+1, -0x1.e7e13f76beee7p-4}, 
        {0x1.7e28240b78034p+0, 0x1.8147ae147ae14p+0, 0x1.7232a0663c75p+1, -0x1.438299432ce92p+2, 0x1.e228d8aac1ff5p+1, -0x1.b1d4050e58c4cp-1}, 
        {0x1.8147ae147ae14p+0, 0x1.8467381d7dbf5p+0, 0x1.6a602c9081c2ep+1, -0x1.3da6eab17c90ap+2, 0x1.de30a5ad4022cp+1, -0x1.ffa925ed64c47p+0}, 
        {0x1.8467381d7dbf5p+0, 0x1.8786c226809d5p+0, 0x1.62b21815a07b3p+1, -0x1.37e00e3858ceep+2, 0x1.d4d39e74668f6p+1, -0x1.1607f6e9536aep+1}, 
        {0x1.8786c226809d5p+0, 0x1.8aa64c2f837b5p+0, 0x1.5b27bb2fec56dp+1, -0x1.3237b4fa22a87p+2, 0x1.caa6942342617p+1, -0x1.4ed6ab3a3d0cbp-2}, 
        {0x1.8aa64c2f837b5p+0, 0x1.8dc5d63886595p+0, 0x1.53c06e19b90ebp+1, -0x1.2ca1a42aa709dp+2, 0x1.c91e6a6ec9be3p+1, -0x1.0374557d27b8ep+1}, 
        {0x1.8dc5d63886595p+0, 0x1.90e5604189375p+0, 0x1.4c7bdcf0307f2p+1, -0x1.271ccbfb91c4fp+2, 0x1.bf9f6e78cca42p+1, -0x1.4a2318a7a5c52p+1}, 
        {0x1.90e5604189375p+0, 0x1.9404ea4a8c155p+0, 0x1.45595feda6613p+1, -0x1.21b9a67266a9bp+2, 0x1.b38a2dd3543e9p+1, 0x1.5462e82b2a7dcp+0}, 
        {0x1.9404ea4a8c155p+0, 0x1.972474538ef35p+0, 0x1.3e584f4c6e6dap+1, -0x1.1c5fa5242a062p+2, 0x1.b9c4d22d34ffp+1, -0x1.5ea2b7ae28b34p+1}, 
        {0x1.972474538ef35p+0, 0x1.9a43fe5c91d15p+0, 0x1.3778ab0c88a48p+1, -0x1.170ff3fdc821ep+2, 0x1.acef816b2f4efp+1, -0x1.62ebb2c41e026p+0}, 
        {0x1.9a43fe5c91d15p+0, 0x1.9d63886594af5p+0, 0x1.30b9cb6848bebp+1, -0x1.11de71b68b815p+2, 0x1.a670c5e771378p+1, -0x1.5d5526ce3159ep+1}, 
        {0x1.9d63886594af5p+0, 0x1.a083126e978d5p+0, 0x1.2a1b089a02752p+1, -0x1.0ccb0b3ddc8acp+2, 0x1.99a7aa86801a1p+1, 0x1.49f6612b6fb4cp+0}, 
        {0x1.a083126e978d5p+0, 0x1.a3a29c779a6b5p+0, 0x1.239bbadc0980bp+1, -0x1.07c22e1ecf20bp+2, 0x1.9fb1795c0e8fep+1, -0x1.36979b88ae135p+1}, 
        {0x1.a3a29c779a6b5p+0, 0x1.a6c226809d495p+0, 0x1.1d3be22e5de16p+1, -0x1.02c1a3842c9a7p+2, 0x1.94535966c5d5ep+1, -0x1.4c6c06781c17bp+1}, 
        {0x1.a6c226809d495p+0, 0x1.a9e1b089a0275p+0, 0x1.16fad6cb53501p+1, -0x1.fbcbb26f7770cp+1, 0x1.8828b03466309p+1, 0x1.ccf0e2c7fd3f3p+0}, 
        {0x1.a9e1b089a0275p+0, 0x1.ad013a92a3055p+0, 0x1.10d7f0ed3d85ap+1, -0x1.f21fc5422dc3ap+1, 0x1.90981ac13949cp+1, -0x1.26badf8bed91fp+2}, 
        {0x1.ad013a92a3055p+0, 0x1.b020c49ba5e35p+0, 0x1.0ad330941c821p+1, -0x1.e89ce13d1df28p+1, 0x1.7b0519c04ca8ep+1, 0x1.94f49e999aedp-4}, 
        {0x1.b020c49ba5e35p+0, 0x1.b3404ea4a8c15p+0, 0x1.04eb9a176ddadp+1, -0x1.df5bec580abaep+1, 0x1.7b7babec47aap+1, -0x1.4c20ed7d5d406p+0}, 
        {0x1.b3404ea4a8c15p+0, 0x1.b65fd8adab9f5p+0, 0x1.fe41b328b6d87p+0, -0x1.d62c80b0c639ep+1, 0x1.7567b72446e7ap+1, -0x1.aa6b5fe2eadbcp-2}, 
        {0x1.b65fd8adab9f5p+0, 0x1.b97f62b6ae7d5p+0, 0x1.f2e536501e258p+0, -0x1.cd16286547d3fp+1, 0x1.73744aff575a8p+1, -0x1.45a17b522895ap+1}, 
        {0x1.b97f62b6ae7d5p+0, 0x1.bc9eecbfb15b5p+0, 0x1.e7c115df6555cp+0, -0x1.c42b20dfdfbb7p+1, 0x1.678943421eaccp+1, -0x1.afdf55fecd034p-2}, 
        {0x1.bc9eecbfb15b5p+0, 0x1.bfbe76c8b4396p+0, 0x1.dcd4024b33dbp+0, -0x1.bb6b7e12d483p+1, 0x1.658f7429ff4fbp+1, -0x1.46acf76141586p+0}, 
        {0x1.bfbe76c8b4396p+0, 0x1.c2de00d1b7176p+0, 0x1.d21d53cddd6ep+0, -0x1.b2c4b2cabba9bp+1, 0x1.5f950b2ebedb6p+1, 0x1.371bbf64a665bp-6}, 
        {0x1.c2de00d1b7176p+0, 0x1.c5fd8adab9f56p+0, 0x1.c79c62a1b5c7dp+0, -0x1.aa304c297a065p+1, 0x1.5fabd11adc722p+1, -0x1.13a5022657e33p+2}, 
        {0x1.c5fd8adab9f56p+0, 0x1.c91d14e3bcd36p+0, 0x1.bd50870110a13p+0, -0x1.a1daa2dae6bf8p+1, 0x1.4b7e754cb01fcp+1, 0x1.600bceb452ec7p-1}, 
        {0x1.c91d14e3bcd36p+0, 0x1.cc3c9eecbfb16p+0, 0x1.b337c99ae924fp+0, -0x1.99b9ee80bdadbp+1, 0x1.4eb7174e5d119p+1, 0x1.8e7c6b302febp+0}, 
        {0x1.cc3c9eecbfb16p+0, 0x1.cf5c28f5c28f6p+0, 0x1.a9522a6f3f53p+0, -0x1.9178642eb99bep+1, 0x1.5601eb15d3175p+1, -0x1.ba7de506dbeb4p+2}, 
        {0x1.cf5c28f5c28f6p+0, 0x1.d27bb2fec56d6p+0, 0x1.9f9fa97e132b5p+0, -0x1.89853cc7b7643p+1, 0x1.359df9f64b984p+1, 0x1.0489354aac05p+2}, 
        {0x1.d27bb2fec56d6p+0, 0x1.d59b3d07c84b6p+0, 0x1.961da7b0b3919p+0, -0x1.81bbae9283b4dp+1, 0x1.48b0364912c27p+1, -0x1.ee663e455ba51p+1}, 
        {0x1.d59b3d07c84b6p+0, 0x1.d8bac710cb296p+0, 0x1.8cccccccccccdp+0, -0x1.79ef13d7903acp+1, 0x1.3697e336753dep+1, 0x1.75ba53d7b5e61p-2}, 
        {0x1.d8bac710cb296p+0, 0x1.dbda5119ce076p+0, 0x1.83abc947064edp+0, -0x1.7255a5bb4c2a8p+1, 0x1.384d98fc2fefcp+1, -0x1.8d5e8da8c8b57p+1}, 
        {0x1.dbda5119ce076p+0, 0x1.def9db22d0e56p+0, 0x1.7ab9f559b3d08p+0, -0x1.6ae44cd68675bp+1, 0x1.29c267deeb269p+1, 0x1.09e750461f087p+0}, 
        {0x1.def9db22d0e56p+0, 0x1.e219652bd3c36p+0, 0x1.71f601797cc3ap+0, -0x1.63912da194219p+1, 0x1.2ea01c5c4f81ep+1, -0x1.0ce025c6676d3p+0}, 
        {0x1.e219652bd3c36p+0, 0x1.e538ef34d6a16p+0, 0x1.695feda661284p+0, -0x1.5c3e39e8d3677p+1, 0x1.29b47b840544ep+1, -0x1.2c1afe9912334p+1}, 
        {0x1.e538ef34d6a16p+0, 0x1.e858793dd97f6p+0, 0x1.60f7121ab4b73p+0, -0x1.551cf248f7a4ep+1, 0x1.1eb89d4ecd5bbp+1, -0x1.2bccdaf56c971p-1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb780346dc5d6p+0, 0x1.58ba1f4b1ee24p+0, -0x1.4e2689f5d2a9dp+1, 0x1.1bfa5cca05abap+1, -0x1.a3ff21cf37736p-1}, 
        {0x1.eb780346dc5d6p+0, 0x1.fb15b573eab36p+0, 0x1.50a86d71f3626p+0, -0x1.4744b38369c9dp+1, 0x1.18228ff964b07p+1, -0x1.efc326e60026bp-1}, 
        {0x1.fb15b573eab36p+0, 0x1.0559b3d07c84bp+1, 0x1.2ac27a63736cep+0, -0x1.2679b68bdb72ep+1, 0x1.017431b6ef4e7p+1, -0x1.d5e3890ac7efbp-1}, 
        {0x1.0559b3d07c84bp+1, 0x1.0d288ce703afbp+1, 0x1.08b242070b8dp+0, -0x1.08609df2823b7p+1, 0x1.d7e9b6817dba3p+0, -0x1.b105f2b31f57ep-1}, 
        {0x1.0d288ce703afbp+1, 0x1.14f765fd8adacp+1, 0x1.d44c5974e65bfp-1, -0x1.d9992e2810fb6p+0, 0x1.b04a93a0761f7p+0, -0x1.9a1d10ca422ddp-1}, 
        {0x1.14f765fd8adacp+1, 0x1.1cc63f141205cp+1, 0x1.9da4acf312b1bp-1, -0x1.a725dabaf199p+0, 0x1.8ac413c1279e6p+0, -0x1.7cb81ef60d0efp-1}, 
        {0x1.1cc63f141205cp+1, 0x1.2495182a9930cp+1, 0x1.6cdee34fc610fp-1, -0x1.791c855fb830ap+0, 0x1.67ee1c2f814dcp+0, -0x1.648a589cdbb88p-1}, 
        {0x1.2495182a9930cp+1, 0x1.2c63f141205bcp+1, 0x1.4175f2cb6417p-1, -0x1.4f30a19e5c1d9p+0, 0x1.474e81e6c8d9p+0, -0x1.4dc6290aff328p-1}, 
        {0x1.2c63f141205bcp+1, 0x1.3432ca57a786cp+1, 0x1.1aed783dff3f1p-1, -0x1.291f1b6edb62ap+0, 0x1.28c42f0ac535bp+0, -0x1.32e8d2a42c70cp-1}, 
        {0x1.3432ca57a786cp+1, 0x1.3c01a36e2eb1cp+1, 0x1.f1a2a4db163bbp-2, -0x1.06a1085a33872p+0, 0x1.0caf22efb76a5p+0, -0x1.204221067678p-1}, 
        {0x1.3c01a36e2eb1cp+1, 0x1.43d07c84b5dccp+1, 0x1.b56c0d6f544bbp-2, -0x1.ceeabe6abaa69p-1, 0x1.e49df28464ed3p-1, -0x1.09aa0ce5bd221p-1}, 
        {0x1.43d07c84b5dccp+1, 0x1.4b9f559b3d07dp+1, 0x1.806e9ff0cbaf9p-2, -0x1.96c261e72f9d8p-1, 0x1.b4001bad4bc99p-1, -0x1.ec3be70b5afb7p-2}, 
        {0x1.4b9f559b3d07dp+1, 0x1.536e2eb1c432dp+1, 0x1.51f0c34c1a8acp-2, -0x1.64508d7c4dcap-1, 0x1.86f604df543abp-1, -0x1.c6b24d5520a4bp-2}, 
        {0x1.536e2eb1c432dp+1, 0x1.5b3d07c84b5ddp+1, 0x1.2946c332f0175p-2, -0x1.3727c1ff82e86p-1, 0x1.5d5b3559342fcp-1, -0x1.9ddc2efa61b5dp-2}, 
        {0x1.5b3d07c84b5ddp+1, 0x1.630be0ded288dp+1, 0x1.05d249e44fa05p-2, -0x1.0ed8031d6777bp-1, 0x1.377cf31913f34p-1, -0x1.852c74aa303p-2}, 
        {0x1.630be0ded288dp+1, 0x1.6adab9f559b3dp+1, 0x1.ce043a2163fddp-3, -0x1.d6076294d218bp-2, 0x1.13e0f226b090bp-1, -0x1.5c4cd7eaf5002p-2}, 
        {0x1.6adab9f559b3dp+1, 0x1.72a9930be0dedp+1, 0x1.989efd86a8fc1p-3, -0x1.969a3ed483dd9p-2, 0x1.e804b9b7a15ap-2, -0x1.3fef0ccb2f771p-2}, 
        {0x1.72a9930be0dedp+1, 0x1.7a786c226809dp+1, 0x1.6a808c8259e1fp-3, -0x1.5ea2bc967bc07p-2, 0x1.ad7877a1ceae7p-2, -0x1.25d131aebfea5p-2}, 
        {0x1.7a786c226809dp+1, 0x1.82474538ef34dp+1, 0x1.42c98e53eb39ap-3, -0x1.2d8529442c133p-2, 0x1.77b3b8862e1f1p-2, -0x1.083d6eee99013p-2}, 
        {0x1.82474538ef34dp+1, 0x1.8a161e4f765fep+1, 0x1.20ad8a116659dp-3, -0x1.02a25c79a9c08p-2, 0x1.47589b437a0ecp-2, -0x1.da770b6ad841ep-3}, 
        {0x1.8a161e4f765fep+1, 0x1.91e4f765fd8aep+1, 0x1.0373f316e3715p-3, -0x1.bab14435ae942p-3, 0x1.1beebce82a1bep-2, -0x1.b1e1bb15c9ba6p-3}, 
        {0x1.91e4f765fd8aep+1, 0x1.99b3d07c84b5ep+1, 0x1.d4ed2cbea4ebep-4, -0x1.7a419e52af5e1p-3, 0x1.e876fbac577e5p-3, -0x1.8491ad58bdec1p-3}, 
        {0x1.99b3d07c84b5ep+1, 0x1.a182a9930be0ep+1, 0x1.aa3cea6c1a049p-4, -0x1.43004fa8c5e14p-3, 0x1.a15b4cd8c6257p-3, -0x1.53b83e19dff64p-3}, 
        {0x1.a182a9930be0ep+1, 0x1.a95182a9930bep+1, 0x1.85c896dd26b72p-4, -0x1.13e0414a36f93p-3, 0x1.63301c9e4766bp-3, -0x1.35bf124a44f54p-3}, 
        {0x1.a95182a9930bep+1, 0x1.b1205bc01a36ep+1, 0x1.66a11ec918e32p-4, -0x1.d800647f2ed2p-4, 0x1.2a811d1c76afdp-3, -0x1.05f1385aa9a12p-3}, 
        {0x1.b1205bc01a36ep+1, 0x1.b8ef34d6a161ep+1, 0x1.4bf0995aaf79p-4, -0x1.9503bc7f307c1p-4, 0x1.f52348ecbc99cp-4, -0x1.f11452e574422p-4}, 
        {0x1.b8ef34d6a161ep+1, 0x1.c0be0ded288cep+1, 0x1.34fc610f0e90cp-4, -0x1.5d6cb79de94ddp-4, 0x1.9a2c1c0f08dcap-4, -0x1.77168960ce738p-4}, 
        {0x1.c0be0ded288cep+1, 0x1.c28f5c28f5c29p+1, 0x1.211cb039ef0f1p-4, -0x1.2f921d8ea7941p-4, 0x1.5587fc4335008p-4, -0x1.1a74d579a3b86p-3}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.1cde5d18090b4p-4, -0x1.2636877923e34p-4, 0x1.3d7745d328ff4p-4, -0x1.358512de6073bp-4}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.119695d91ab8fp-4, -0x1.0e4d2a52c96aap-4, 0x1.1852d2ebacc86p-4, -0x1.35b244e62449ap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.073471f79420bp-4, -0x1.f2b9637bee51fp-5, 0x1.e651e739b7419p-5, -0x1.33b1d98907194p-4}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.fb3311a543f1cp-5, -0x1.cec5bf3574699p-5, 0x1.9c7923a8306e9p-5, -0x1.f70ca9eb82b4bp-5}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.e950fc71d6063p-5, -0x1.b0307165575c4p-5, 0x1.601b75aaa5dep-5, -0x1.bc69a53fe88cbp-5}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.d8904f6dfc5cep-5, -0x1.9627616726c0ap-5, 0x1.2ac71a2819522p-5, -0x1.0ba6608a73a9fp-4}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.c8c2e770bd018p-5, -0x1.80d23050620cap-5, 0x1.d51562223891bp-6, -0x1.6663566c63cadp-5}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.b9b8887229e9p-5, -0x1.6fc7291df90bdp-5, 0x1.7f1205b649942p-6, -0x1.4f25e5399035cp-5}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.ab4b72c5197a2p-5, -0x1.62105980a26bp-5, 0x1.2ea28704a1d91p-6, -0x1.5d0514ad5cab4p-5}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.9d5a187a4a49p-5, -0x1.57a23e7e01267p-5, 0x1.b5bd7efdbb0dfp-7, -0x1.3cc5c81101ee1p-5}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.8fc2eba27ae9bp-5, -0x1.506643abcd4a5p-5, 0x1.1db07b1e86ed5p-7, -0x1.5fc7961d2fb17p-6}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.8268900c521dep-5, -0x1.4b87ab0a7e50cp-5, 0x1.928647c8a50a6p-8, -0x1.03ab0bb4a05bp-5}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.75360d0247022p-5, -0x1.48c049196e479p-5, 0x1.327c7917c447p-9, -0x1.82e00c3dca48bp-6}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.681450efdc9c5p-5, -0x1.4825ade63583fp-5, -0x1.03a7e43c49969p-11, -0x1.da536f3f30ce2p-7}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.5af07bfe7e1fcp-5, -0x1.490a7b6995f91p-5, -0x1.24972437a4b43p-9, -0x1.90f22a87a6209p-7}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.4dbdf8f47304p-5, -0x1.4afc2b1b62356p-5, -0x1.e50b61977990dp-9, -0x1.e1e3e6a23267bp-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.40724b76f6d76p-5, -0x1.4dfd0fdd83639p-5, -0x1.662d06de2f47cp-8, -0x1.cefc75df17f49p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.3302f72b45283p-5, -0x1.51d91b5effa05p-5, -0x1.9dbbf64ae03c3p-8, -0x1.00465b3f670dp-8}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.2569b17481b22p-5, -0x1.5623a15ed002cp-5, -0x1.bc7cb98fec99ep-8, 0x1.d015e2dcce47p-8}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.17a46173b85e8p-5, -0x1.5a4e3bebff696p-5, -0x1.84cc04bd1b871p-8, -0x1.20089819e6d68p-7}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.09b52007dd441p-5, -0x1.5e8a09c55e94ep-5, -0x1.c9eccd153e73p-8, 0x1.98176ef939f54p-7}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.f733a8a3f8983p-6, -0x1.62a0f5e09fa5fp-5, -0x1.67fba83596f05p-8, 0x1.7f55b869dccabp-8}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.dab191dde3758p-6, -0x1.65ffa305240bdp-5, -0x1.39fb9c51d89a8p-8, 0x1.693d20331af94p-7}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.bdf090f733a8ap-6, -0x1.68b475d9a9407p-5, -0x1.c692336c710fp-9, 0x1.9b60a2fe9e9e6p-7}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.a1016ce789e77p-6, -0x1.6a7befaa553fcp-5, -0x1.011c22a04de18p-9, 0x1.14a029e90bbe6p-6}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.83f91e646f156p-6, -0x1.6b1b13fccd6b2p-5, 0x1.0e6c389145631p-14, 0x1.bf9e0db9aef3dp-7}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.66f0cfe154435p-6, -0x1.6a86c0cb50b74p-5, 0x1.be9d371c9d92ap-10, 0x1.6c23baa36a05cp-6}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.4a01abd1aa822p-6, -0x1.68893155bb47cp-5, 0x1.1e70c61597b98p-8, 0x1.6fa20e9581967p-6}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.2d4d4024b33dbp-6, -0x1.64ca07ff587abp-5, 0x1.cee78567987ccp-8, 0x1.aaa8160d218fap-7}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.10f51ac9afe1ep-6, -0x1.5fa5ed581944fp-5, 0x1.1aa6a6a0e4c05p-7, 0x1.1d86e2a81bb01p-5}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.ea2d2fe3f35ap-7, -0x1.589fe60e71218p-5, 0x1.a3b43224c9151p-7, 0x1.3e74dfb89676cp-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.b3bfb58d1526ep-7, -0x1.4f775ae419309p-5, 0x1.f0222a659108ap-7, 0x1.cb1ebbcd6aeadp-6}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.7eed45e9185cfp-7, -0x1.44711180b4235p-5, 0x1.2f294036f4114p-6, 0x1.95103111bfb07p-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.4c09c3ce2089ep-7, -0x1.3757d3d580c01p-5, 0x1.5fc4cb39154f6p-6, 0x1.e0a07feb9787p-6}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.1b691212513b6p-7, -0x1.281e6b245e8fdp-5, 0x1.9971a75f98223p-6, 0x1.e86dcf3fdf06ap-6}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.daceee0f3cb3ep-8, -0x1.16919f230e021p-5, 0x1.d40e30e223896p-6, 0x1.7da84314eeae6p-6}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.84c271fff79c8p-8, -0x1.02ee3e672b24ap-5, 0x1.00ed59e815d96p-5, 0x1.10789236330adp-5}, 
        {0x1.4p+2, 0x1.428f5c28f5c29p+2, 0x1.355475a31a4bep-8, -0x1.da23206c0ff2p-6, 0x1.219fa8e4596a2p-5, 0x1.fe932b3977cdep-6}, 
        {0x1.428f5c28f5c29p+2, 0x1.451eb851eb852p+2, 0x1.da9c99285a922p-9, -0x1.a958bf267b88cp-6, 0x1.4042170165b9p-5, 0x1.e4c22eadbb5e1p-6}, 
        {0x1.451eb851eb852p+2, 0x1.47ae147ae147bp+2, 0x1.5af294dd72368p-9, -0x1.73c74d1020388p-6, 0x1.5d57fb160faf6p-5, 0x1.b990683e6a453p-8}, 
        {0x1.47ae147ae147bp+2, 0x1.4a3d70a3d70a4p+2, 0x1.d9f4d37c1376dp-10, -0x1.3b5a891db96fcp-6, 0x1.63f7963ff51e8p-5, 0x1.d86b5a44f6abdp-4}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.244a6223e186ap-10, -0x1.f2a82c19af3cap-7, 0x1.d55908131199dp-5, -0x1.1f519be5f060bp-2}, 
        {0x1.4cccccccccccdp+2, 0x1.5333333333333p+2, 0x1.30164840e171ap-11, -0x1.88990958e5dfep-7, 0x1.830b2243b1d59p-6, 0x1.5c26ade85ab8ap-1}, 
      }}, 
      -0x1.c3189796cd3c4p+0, -0x1.860e4113c8eb5p+3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.dc2ca32ac74d7p-2, -0x1.e7d29bc36402cp-2, -0x1.f0c62b7063e8fp-2, -0x1.f711c5e8c3805p-2, -0x1.fac595008ebbfp-2, -0x1.fbf6ea273bfb2p-2, -0x1.fabf0abe0e10cp-2, -0x1.f73a0d42cffecp-2, -0x1.f1869824c366ap-2, -0x1.e9c5350dec4d8p-2, -0x1.e0179d2e2bad1p-2, -0x1.d4a063ddbea66p-2, -0x1.c7828e853ac26p-2, -0x1.b8e132e833017p-2, -0x1.a8df244d4f7c2p-2, -0x1.979e932fde6f3p-2, -0x1.8540ca94aff1bp-2, -0x1.71e624fc1f8bcp-2, -0x1.5dae08019cf0ap-2, -0x1.48b6c30b6b0b8p-2, -0x1.331d6bb5415dbp-2, -0x1.1cfda8cf386dep-2, -0x1.06725d3553a88p-2, -0x1.df289612ecdecp-3, -0x1.b0f5bd7b435ap-3, -0x1.8277e9d269a84p-3, -0x1.53d80d9553829p-3, -0x1.253c837bbfc58p-3, -0x1.ed9205271055ap-4, -0x1.913d02fc4321bp-4, -0x1.35b667cef3475p-4, -0x1.b66aa8aabd623p-5, -0x1.03d7fa1dbf456p-5, -0x1.503f9b04330fap-7, 0x1.626d71ecaa92ep-7, 0x1.01e04737b5864p-5, 0x1.a77daa4308186p-5, 0x1.249d1fe34fdf5p-4, 0x1.7372185d369dp-4, 0x1.c02851ff21453p-4, 0x1.0556d7059b14bp-3, 0x1.297996a87251dp-3, 0x1.4c765fb581fd5p-3, 0x1.6e4886cc605efp-3, 0x1.8eeca152b161ep-3, 0x1.ae6069188061ep-3, 0x1.cca2a054a6d62p-3, 0x1.e9b2f6246b43ep-3, 0x1.02c8f5f05ddf1p-2, 0x1.10205e1edff08p-2, 0x1.1ce0a2c7d19ecp-2, 0x1.290afc14b18c4p-2, 0x1.34a0e4622e9b3p-2, 0x1.3fa412fea400fp-2, 0x1.4a1677e5d8e93p-2, 0x1.53fa382746ab1p-2, 0x1.5d51aada14b88p-2, 0x1.661f566e22214p-2, 0x1.6e65edd3d7bc3p-2, 0x1.76284caf60af5p-2, 0x1.7d6971f11e1e6p-2, 0x1.842c78d035fd5p-2, 0x1.8a7490f60e08cp-2, 0x1.9044a32c50287p-2, 0x1.95a09404daa38p-2, 0x1.9a8b738112436p-2, 0x1.9f088170cdeep-2, 0x1.a31b011e17791p-2, 0x1.a6c6394c3b179p-2, 0x1.aa0d73ba836f2p-2, 0x1.acf3fbf1fedacp-2, 0x1.af7d1d5bd418ap-2, 0x1.b1ac20c806b1cp-2, 0x1.b38449a4d0876p-2, 0x1.b508d32caf282p-2, 0x1.b63cedc88b89ep-2, 0x1.b723bcd13d1f4p-2, 0x1.b7c054c5c7e4cp-2, 0x1.b815b9f7920dcp-2, 0x1.b826df9f97099p-2, 0x1.b7f6a74945d4ap-2, 0x1.b787e07f91669p-2, 0x1.b6dd48ac0fb72p-2, 0x1.b5f98b1b379edp-2, 0x1.b4df411ae7ba6p-2, 0x1.b390f2297c956p-2, 0x1.b211142d6e054p-2, 0x1.b0620bb038f16p-2, 0x1.ae862c1aee702p-2, 0x1.ac7fb7f590a72p-2, 0x1.aa50e12b0511p-2, 0x1.a7fbc95164bfbp-2, 0x1.a58281f28b827p-2, 0x1.a2e70ccd0dcaap-2, 0x1.a02b5c03f8294p-2, 0x1.9d5152357f5e9p-2, 0x1.9a5ac275d80ecp-2, 0x1.974970328442cp-2, 0x1.941f0f0935901p-2, 0x1.90dd42a1d0937p-2, 0x1.8d859e9b97cd5p-2, 0x1.8a19a69a24288p-2, 0x1.869ace786574dp-2, 0x1.830a7aa0af45cp-2, 0x1.7f6a008291589p-2, 0x1.7bbaa71b9f11p-2, 0x1.77fda787e7f7ap-2, 0x1.74342d91300a2p-2, 0x1.705f5837f064dp-2, 0x1.6c803a353569cp-2, 0x1.6897da776a9a6p-2, 0x1.64a7349d4d361p-2, 0x1.60af3971a4c25p-2, 0x1.5cb0cf688a7a4p-2, 0x1.58acd31cf0831p-2, 0x1.54a417cb5d20dp-2, 0x1.509767c6237efp-2, 0x1.4c8784dfc93b3p-2, 0x1.487528c998c35p-2, 0x1.44610565f84a5p-2, 0x1.404bc50fbe07fp-2, 0x1.3c360ad8b9fddp-2, 0x1.382072c218cb7p-2, 0x1.340b91f0f6249p-2, 0x1.2ff7f6e0cd0a7p-2, 0x1.2be62994874cap-2, 0x1.27d6abc633c9cp-2, 0x1.23c9f914eb60fp-2, 0x1.1fc08730528e6p-2, 0x1.1bbac60155a0fp-2, 0x1.17b91fd03a5b7p-2, 0x1.13bbf968918cbp-2, 0x1.0fc3b23c0f2d7p-2, 0x1.0bd0a485830a9p-2, 0x1.07e3256d280a2p-2, 0x1.03fb852f53408p-2, 0x1.001a0f46169aap-2, 0x1.f87e152be7693p-3, 0x1.f0d5733a8cea2p-3, 0x1.e93ab54b4066bp-3, 0x1.e1ae4fec2d081p-3, 0x1.da30b00ad4e14p-3, 0x1.d2c23b560da1bp-3, 0x1.cb63509c0474p-3, 0x1.c414482337797p-3, 0x1.bcd573fde638cp-3, 0x1.b5a7205806319p-3, 0x1.ae8aa25c766b7p-3, 0x1.a77d7e40d5ba6p-3, 0x1.a081a3dff0cc9p-3, 0x1.99974e1c7b993p-3, 0x1.92beb2ad05c6cp-3, 0x1.8bf8024c6a85cp-3, 0x1.854368edf11d9p-3, 0x1.7ea10df461102p-3, 0x1.7811146b0493dp-3, 0x1.71939b3fa076fp-3, 0x1.6b28bd7c40087p-3, 0x1.64d0927fcfc6ap-3, 0x1.5e8b2e34a3035p-3, 0x1.5858a1440b392p-3, 0x1.5238f9466f0eap-3, 0x1.4c2c40ef69665p-3, 0x1.46328035c39ffp-3, 0x1.404bbc7735eddp-3, 0x1.3a77f898100dap-3, 0x1.34b7351f17cafp-3, 0x1.2f09704df0dccp-3, 0x1.296ea6368cc76p-3, 0x1.23e6d0ce1ec91p-3, 0x1.1e71e7fe17c2fp-3, 0x1.190fe1b3a623bp-3, 0x1.13c0b1ee3c036p-3, 0x1.0e844acd841c9p-3, 0x1.095a9c9f23c0fp-3, 0x1.044395ec948ddp-3, 0x1.fe7e4712ac2d6p-4, 0x1.f49a61433ab0cp-4, 0x1.eadb4d932556fp-4, 0x1.e140dc1a5dd8ap-4, 0x1.d7cada0141f3dp-4, 0x1.ce7911a26ac6ap-4, 0x1.c54b4aad26cf7p-4, 0x1.bc414a4874591p-4, 0x1.b35ad3361487ep-4, 0x1.aa97a5f57975bp-4, 0x1.a1f780e633e0ep-4, 0x1.997a2069aa13ep-4, 0x1.911f3f03c9601p-4, 0x1.88e6957a90678p-4, 0x1.80cfdaf43d126p-4, 0x1.78dac51408bb5p-4, 0x1.7107081561817p-4, 0x1.695456e597f46p-4, 0x1.61c2633c05536p-4, 0x1.5a50ddb0b5fb5p-4, 0x1.52ff75d1a8bafp-4, 0x1.4bcdda36bdf6fp-4, 0x1.44bbb8946f6c4p-4, 0x1.3dc8bdcd72853p-4, 0x1.36f4960366258p-4, 0x1.303eeca6ab9a2p-4, 0x1.29a76c858ccb3p-4, 0x1.232dbfdace7bap-4, 0x1.1cd1905bc8714p-4, 0x1.169287461e43bp-4, 0x1.10704d6d2c588p-4, 0x1.0a6a8b47382e2p-4, 0x1.0480e8fa7153fp-4, 0x1.fd661cd395f52p-5, 0x1.f2014683606fep-5, 0x1.e6d29e0927696p-5, 0x1.dbd9722eb3c08p-5, 0x1.d115119b2bddep-5, 0x1.c684caeb285b5p-5, 0x1.bc27ecc8510aap-5, 0x1.b1fdc60074a37p-5, 0x1.a805a59c0438ap-5, 0x1.9e3edaf3e3551p-5, 0x1.94a8b5c6806e9p-5, 0x1.8b42864c23bdbp-5, 0x1.820b9d4a69ebfp-5, 0x1.79034c26e606p-5, 0x1.7028e4f8df6fp-5, 0x1.677bba9a2d976p-5, 0x1.5efb20b72d995p-5, 0x1.56a66bddd64cp-5, 0x1.4e7cf18bebddfp-5, 0x1.467e083c5d28ep-5, 0x1.3ea90773cbce3p-5, 0x1.36fd47cc50b37p-5, 0x1.2f7a23007d389p-5, 0x1.281ef3f5aac03p-5, 0x1.20eb16c59f92ap-5, 0x1.19dde8c796d53p-5, 0x1.12f6c898b514bp-5, 0x1.0c351623f33ebp-5, 0x1.059832a98fdcep-5, 0x1.fe3f018c0ff93p-6, 0x1.f194c8f155824p-6, 0x1.e53086538a564p-6, 0x1.d9110760f391p-6, 0x1.cd351cb07bfp-6, 0x1.c19b99cc165a9p-6, 0x1.b643553a8ca34p-6, 0x1.ab2b2888b91b7p-6, 0x1.a051f0523f5fdp-6, 0x1.95b68c49b91dp-6, 0x1.8b57df4062c11p-6, 0x1.8134cf2d432edp-6, 0x1.774c4533d62ebp-6, 0x1.6d9d2daa31e0ap-6, 0x1.6426781ea7e33p-6, 0x1.5ae7175ce8848p-6, 0x1.51de01729a9efp-6, 0x1.490a2fb374cbcp-6, 0x1.406a9ebcca8d3p-6, 0x1.37fe4e7899661p-6, 0x1.2fc442200c05bp-6, 0x1.27bb803d78742p-6, 0x1.1fe312addb5bcp-6, 0x1.183a06a1d07p-6, 0x1.10bf6c9e07f1bp-6, 0x1.0972587b4275fp-6, 0x1.0251e165ca7ebp-6, 0x1.f6ba43b8faf88p-7, 0x1.e9266f5eb78bep-7, 0x1.dbe687fb48edep-7, 0x1.cef8d6671ef6dp-7, 0x1.c25baa0f2703p-7, 0x1.b60d58eea0dfcp-7, 0x1.aa0c3f88290ecp-7, 0x1.9e56c0de1cf78p-7, 0x1.92eb466a411a2p-7, 0x1.87c84014d0aacp-7, 0x1.7cec242af0f59p-7, 0x1.72556f5492648p-7, 0x1.6802a489c9018p-7, 0x1.5df24d07a37d5p-7, 0x1.5422f84491a08p-7, 0x1.4a933be44c119p-7, 0x1.4141b3ab658dcp-7, 0x1.382d0172657dap-7, 0x1.2f53cd1896d1fp-7, 0x1.26b4c47677512p-7, 0x1.1e4e9b4fdcb98p-7, 0x1.16200b45c8af2p-7, 0x1.0e27d3c7fe985p-7, 0x1.0664ba0651fc7p-7, 0x1.fdab11c378e4bp-8, 0x1.eef221ba724eap-8, 0x1.e09c501cdc973p-8, 0x1.d2a7541c46d11p-8, 0x1.c510efd11afcp-8, 0x1.b7d6f01ae1ce9p-8, 0x1.aaf72c803917ep-8, 0x1.9e6f870e8844p-8, 0x1.923dec39734aep-8, 0x1.866052ba159bcp-8, 0x1.7ad4bb6e08f61p-8, 0x1.6f9931364299bp-8, 0x1.64abc8d5c3b61p-8, 0x1.5a0aa0d02fabfp-8, 0x1.4fb3e1483db7bp-8, 0x1.45a5bbde1b207p-8, 0x1.3bde6b8dba8b6p-8, 0x1.325c348d12b39p-8, 0x1.291d642a60827p-8, 0x1.202050aa5d0dfp-8, 0x1.176359267fb12p-8, 0x1.0ee4e56b44156p-8, 0x1.06a365d67fff3p-8, 0x1.fd3aa66b97ecfp-9, 0x1.eda25d49feb5ep-9, 0x1.de7b02d99d9f8p-9, 0x1.cfc17ab809ef9p-9, 0x1.c1737a106b7ep-9, 0x1.b38dff30e4ebep-9, 0x1.a60e5b7ac7107p-9, 0x1.98f1ef5fe0fbbp-9, 0x1.8c362a21a9f24p-9, 0x1.7fd88990d1dep-9, 0x1.73d699cd557ap-9, 0x1.682df50700446p-9, 0x1.5cdc433e761cap-9, 0x1.51df3a06c99ep-9, 0x1.47349c4793f4cp-9, 0x1.3cda39ffad24ap-9, 0x1.32cdf0086ad9dp-9, 0x1.290da7d98c9e8p-9, 0x1.1f97574db79d1p-9, 0x1.16690067a1766p-9, 0x1.0d80b117d7983p-9, 0x1.04dc83033997dp-9, 0x1.f8f53694345ecp-10, 0x1.e8b254a0231ep-10, 0x1.d8ecd7090204ap-10, 0x1.c9a14a5795761p-10, 0x1.bacc505275dfp-10, 0x1.ac6a9f936302p-10, 0x1.9e79031dec693p-10, 0x1.90f459f7a1a8bp-10, 0x1.83d996c1aaea7p-10, 0x1.7725bf53d7469p-10, 0x1.6ad5ec5922089p-10, 0x1.5ee748edb5a29p-10, 0x1.5357123e4727p-10, 0x1.482297291017p-10, 0x1.3d4737e016956p-10, 0x1.32c2658cf8e9p-10, 0x1.2891a1f62daaep-10, 0x1.1eb27f25a21c5p-10, 0x1.15229f10d2ca8p-10, 0x1.0bdfb34247fadp-10, 0x1.02e77c84703e8p-10, 0x1.f46f951beeef9p-11, 0x1.e39cf75ea3d57p-11, 0x1.d352f903a0b65p-11, 0x1.c38d8f2fde63p-11, 0x1.b448ca5e030dfp-11, 0x1.a580d5c4576c6p-11, 0x1.9731f6bd50856p-11, 0x1.89588c32a2ec5p-11, 0x1.7bf10e0aedcf8p-11, 0x1.6ef80c99aa17bp-11, 0x1.626a3011d9aa6p-11, 0x1.564437fae1111p-11, 0x1.4a82faa7d887dp-11, 0x1.3f2364b134b3ap-11, 0x1.34227870b5e3p-11, 0x1.297d4d7faa01ep-11, 0x1.1f31103756b1ap-11, 0x1.153b0133af8ccp-11, 0x1.0b9874d82986p-11, 0x1.0246d2d6c1e7bp-11, 0x1.f2872b7241428p-12, 0x1.e11894d78f672p-12, 0x1.d03d1f96d74ffp-12, 0x1.bff02c6897b9bp-12, 0x1.b02d3e27171c8p-12, 0x1.a0eff8f542717p-12, 0x1.923421696d039p-12, 0x1.83f59bbbf0651p-12, 0x1.76306af9d8acp-12, 0x1.68e0b03b70607p-12, 0x1.5c02a9de7e9efp-12, 0x1.4f92b2c47596ep-12, 0x1.438d41946f28cp-12, 0x1.37eee800ccddap-12, 0x1.2cb45210d461fp-12, 0x1.21da456da0fbfp-12, 0x1.175da0b315936p-12, 0x1.0d3b5ac45f9b3p-12, 0x1.03708224185e3p-12, 0x1.f3f4789fbbea4p-13, 0x1.e1ab8a3fa9e01p-13, 0x1.d000dc52bfce4p-13, 0x1.beef3c4b0ee82p-13, 0x1.ae71a0b59c3bfp-13, 0x1.9e832814ff117p-13, 0x1.8f1f17c2c6f89p-13, 0x1.8040dad795b74p-13, 0x1.71e4011a39a5cp-13, 0x1.64043df4c090ap-13, 0x1.569d677065351p-13, 0x1.49ab75383fec1p-13, 0x1.3d2a7fa19b307p-13, 0x1.3116bebb05ebfp-13, 0x1.256c896122d81p-13, 0x1.1a285459cef72p-13, 0x1.0f46b174fed28p-13, 0x1.04c44eb37938dp-13, 0x1.f53beae67a176p-14, 0x1.e1a1134342d8dp-14, 0x1.ceb211e523823p-14, 0x1.bc69143afb966p-14, 0x1.aac0783eb75b6p-14, 0x1.99b2cb03a2d4fp-14, 0x1.893ac74e896e6p-14, 0x1.79535437ab55fp-14, 0x1.69f783d6c4b44p-14, 0x1.5b2291f724422p-14, 0x1.4ccfe2d6461f2p-14, 0x1.3efb01e9d2593p-14, 0x1.319fa0afb3142p-14, 0x1.24b99584ac7cp-14, 0x1.1844da851aee9p-14, 0x1.0c3d8c7446eedp-14, 0x1.009fe9abdc476p-14, 0x1.ead0a22607d6bp-15, 0x1.d526823939129p-15, 0x1.c03aad9957df6p-15, 0x1.ac06998984915p-15, 0x1.9883f4ae13a3cp-15, 0x1.85aca5401efe3p-15, 0x1.737ac74cb8a43p-15, 0x1.61e8ab030029dp-15, 0x1.50f0d30b7bee8p-15, 0x1.408df2ed46e48p-15, 0x1.30baed7d8c602p-15, 0x1.2172d35acc973p-15, 0x1.12b0e173a3ecdp-15, 0x1.04707f95f4d54p-15, 0x1.ed5a7e15d7c09p-16, 0x1.d2c5b2779398bp-16, 0x1.b91a5cc1bc2c6p-16, 0x1.a05088744bbadp-16, 0x1.886089a019c7cp-16, 0x1.7142fa8028d9ap-16, 0x1.5af0b91ef350bp-16, 0x1.4562e51005086p-16, 0x1.3092dd39c1675p-16, 0x1.1c7a3dafd7911p-16, 0x1.0912dd9dc57abp-16, 0x1.ecad9a81c9272p-17, 0x1.c880a7e408aa8p-17, 0x1.a593dc79e8cb9p-17, 0x1.83dc981594515p-17, 0x1.63509da4fa18ep-17, 0x1.43e60fbc50f95p-17, 0x1.25936d38cc6cdp-17, 0x1.084f8dfabedeap-17, 0x1.d8233f71aab23p-18, 0x1.a1a245e48b942p-18, 0x1.6d0bcfe736a08p-18, 0x1.3a5017e622a44p-18, 0x1.095fec96928b1p-18, 0x1.b459570bbea28p-19, 0x1.595077c97d295p-19, 0x1.018a12e52fde6p-19, 0x1.59d7fe5b218a3p-20, 0x1.6d742549e2274p-21, 0x1.989d549d19d8bp-24, -0x1.f79dfde9363b7p-22, -0x1.0fc6fb0298a01p-20, -0x1.9c4006d9b0434p-20, -0x1.11be3b61e316cp-19, -0x1.52d24c1ddd1e2p-19, -0x1.916fa0c8774f6p-19, -0x1.cda8f0086f9cdp-19, -0x1.03c82196610cep-18, -0x1.1f9b7e6a9a867p-18, -0x1.3a56efbc32d0fp-18, -0x1.540289d9981aap-18, -0x1.6ca6172c76965p-18, -0x1.84491b25c396fp-18, -0x1.9af2d51242f64p-18, -0x1.b0aa42d4347ep-18, -0x1.c5762380d0075p-18, -0x1.d95cf9eb91d14p-18, -0x1.ec650f14ee138p-18, -0x1.fe9474837820cp-18, -0x1.07f88344474fbp-17, -0x1.104037358e0f6p-17, -0x1.182412451288bp-17, -0x1.1fa6b929ede18p-17, -0x1.26caba1ffc604p-17, -0x1.2d928dd61cfccp-17, -0x1.3400985411f28p-17, -0x1.3a1729d88a85ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.505546bcd876ap-7, -0x1.9ea350b825767p-7, -0x1.f54d2f5e647f9p-7, -0x1.2a33a542be4e4p-6, -0x1.5dfc9f15502f3p-6, -0x1.95ff32e5d2a12p-6, -0x1.d2333eb9febe3p-6, -0x1.094594bde0551p-5, -0x1.2b7a20a2876f8p-5, -0x1.4fab8ea3acee4p-5, -0x1.75cc00c5bd0aep-5, -0x1.9dcba187d10bfp-5, -0x1.c798d5853f78cp-5, -0x1.f3206c2a7805p-5, -0x1.1026e78bcbbep-4, -0x1.278597f0b4067p-4, -0x1.3fa0d9fa671d8p-4, -0x1.586ccf388392dp-4, -0x1.71dd3bed7d7adp-4, -0x1.8be599cbbce9fp-4, -0x1.a6792991e6312p-4, -0x1.c18b0385e8fd4p-4, -0x1.dd0e26d189052p-4, -0x1.f8f587c5a83b6p-4, -0x1.0a9a0e85bc50fp-3, -0x1.18de75e60fep-3, -0x1.2741896c49fd8p-3, -0x1.35bcea6e085bbp-3, -0x1.444a50d202cffp-3, -0x1.52e38f445eb24p-3, -0x1.61829700efd1ap-3, -0x1.70217b3914fb8p-3, -0x1.7eba741aa86d9p-3, -0x1.8d47e17d765efp-3, -0x1.9bc44d3c86decp-3, -0x1.aa2a6d4041049p-3, -0x1.b875253e755a1p-3, -0x1.c69f8834edb12p-3, -0x1.d4a4d9a324fc8p-3, -0x1.e2808e877552dp-3, -0x1.f02e4e23eefd6p-3, -0x1.fda9f28ebeee4p-3, -0x1.0577c488ffc47p-2, -0x1.0bfda92f4111cp-2, -0x1.1264e14a7c793p-2, -0x1.18abc0946592cp-2, -0x1.1ed0b44fd109ep-2, -0x1.24d243184c3d6p-2, -0x1.2aaf0ca2eefdbp-2, -0x1.3065c971adc01p-2, -0x1.35f54a7a74cebp-2, -0x1.3b5c78c32ebb1p-2, -0x1.409a54f3da1b8p-2, -0x1.45adf6dfb6032p-2, -0x1.4a968d068057fp-2, -0x1.4f535c0eb8594p-2, -0x1.53e3be39c2916p-2, -0x1.584722d2bc05ap-2, -0x1.5c7d0d98ccabep-2, -0x1.60851625a2793p-2, -0x1.645ee750d0641p-2, -0x1.680a3e90a602ep-2, -0x1.6b86eb59220edp-2, -0x1.6ed4ce797d95ap-2, -0x1.71f3d978df38cp-2, -0x1.74e40df2a46f3p-2, -0x1.77a57cf2b4e42p-2, -0x1.7a38465244aafp-2, -0x1.7c9c981565987p-2, -0x1.7ed2adc9b8af3p-2, -0x1.80dacfe6947f9p-2, -0x1.82b5532ee3c6dp-2, -0x1.84629815031b5p-2, -0x1.85e30a20cf59cp-2, -0x1.87371f582263fp-2, -0x1.885f57a9ebf14p-2, -0x1.895c3c5c084b8p-2, -0x1.8a2e5f7c07fecp-2, -0x1.8ad65b52fd262p-2, -0x1.8b54d1dc6f537p-2, -0x1.8baa6c408f927p-2, -0x1.8bd7da51bb7cfp-2, -0x1.8bddd20d67ffbp-2, -0x1.8bbd0f207a6a1p-2, -0x1.8b76526f1b371p-2, -0x1.8b0a61a01113p-2, -0x1.8a7a06ab9e671p-2, -0x1.89c60f6dee9bdp-2, -0x1.88ef4d3d0ab72p-2, -0x1.87f6948259bc7p-2, -0x1.86dcbc57a8687p-2, -0x1.85a29e27b05e2p-2, -0x1.844915521c216p-2, -0x1.82d0fed2fbffcp-2, -0x1.813b38eda4dd1p-2, -0x1.7f88a2daefa8p-2, -0x1.7dba1c7acbd4ap-2, -0x1.7bd0860916c96p-2, -0x1.79ccbfd5b1359p-2, -0x1.77afa9ffbda53p-2, -0x1.757a2433ff86ep-2, -0x1.732d0d6e45166p-2, -0x1.70c943bdd4419p-2, -0x1.6e4fa40cc3385p-2, -0x1.6bc109ea32fa4p-2, -0x1.691e4f5754939p-2, -0x1.66684c972e79fp-2, -0x1.639fd8010c0d1p-2, -0x1.60c5c5d58a78ep-2, -0x1.5ddae8162b39ap-2, -0x1.5ae00e5f6457fp-2, -0x1.57d605c514696p-2, -0x1.54bd98b14d23ap-2, -0x1.51978ec56199ep-2, -0x1.4e64acbd2a106p-2, -0x1.4b25b45468bb9p-2, -0x1.47db642e3eb33p-2, -0x1.448677bea3079p-2, -0x1.4127a735c90ecp-2, -0x1.3dbfa76d64c3cp-2, -0x1.3a4f29d7c1561p-2, -0x1.36d6dc7091bb6p-2, -0x1.335769af73565p-2, -0x1.2fd1787c103bep-2, -0x1.2c45ac23ce2c6p-2, -0x1.28b4a45102c6ap-2, -0x1.251efd0393e3cp-2, -0x1.21854e8aff45p-2, -0x1.1de82d81b5584p-2, -0x1.1a482ac9b9e23p-2, -0x1.16a5d38a7ead1p-2, -0x1.1301b12fe7163p-2, -0x1.0f5c496a6a5bfp-2, -0x1.0bb61e3049adep-2, -0x1.080fadbfc23e5p-2, -0x1.046972a2417f2p-2, -0x1.00c3e3b07a1b4p-2, -0x1.fa3ee82ec2506p-3, -0x1.f2f926bbf4191p-3, -0x1.ebb75ad7d6c89p-3, -0x1.e47a5521ac93bp-3, -0x1.dd42df18b1695p-3, -0x1.d611bb2d80683p-3, -0x1.cee7a4d4ac519p-3, -0x1.c7c5509a83ed2p-3, -0x1.c0ab6c37ec62bp-3, -0x1.b99a9ea84294p-3, -0x1.b293884024ae8p-3, -0x1.ab96c2c526984p-3, -0x1.a4a4e1864e081p-3, -0x1.9dbe717551e44p-3, -0x1.96e3f94080c16p-3, -0x1.9015f96d54a91p-3, -0x1.8954ec73882f3p-3, -0x1.82a146d8b842cp-3, -0x1.7bfb774c7858fp-3, -0x1.7563e6c4cade6p-3, -0x1.6edaf89af6e5ap-3, -0x1.68610aa8aec21p-3, -0x1.61f6756570b0cp-3, -0x1.5b9b8c042a5adp-3, -0x1.55509c90fb219p-3, -0x1.4f15f00f25089p-3, -0x1.48ebca970c944p-3, -0x1.42d26b74495eap-3, -0x1.3cca0d43bf78p-3, -0x1.36d2e611a9d37p-3, -0x1.30ed2777a8383p-3, -0x1.2b18febaaca74p-3, -0x1.255694e8d2c3ap-3, -0x1.1fa60ef710865p-3, -0x1.1a078ddec585fp-3, -0x1.147b2ebb0f4edp-3, -0x1.0f010ae5ef1dp-3, -0x1.0999381531222p-3, -0x1.0443c87712b42p-3, -0x1.fe01959d45fd4p-4, -0x1.f3a0951fa914dp-4, -0x1.e9649ff68f09cp-4, -0x1.df4dc0736bd35p-4, -0x1.d55bfaee1bbc5p-4, -0x1.cb8f4dfa682eep-4, -0x1.c1e7b29cb5df6p-4, -0x1.b8651c7e111f5p-4, -0x1.af077a1f53ba5p-4, -0x1.a5ceb50b8cd45p-4, -0x1.9cbab20992284p-4, -0x1.93cb514cb74eap-4, -0x1.8b006ea4ae648p-4, -0x1.8259e1ac8568p-4, -0x1.79d77df8c5641p-4, -0x1.71791344adcacp-4, -0x1.693e6d9e87c55p-4, -0x1.61275593133b9p-4, -0x1.593390580987ep-4, -0x1.5162dff5b57cfp-4, -0x1.49b5036fa1717p-4, -0x1.4229b6ec56926p-4, -0x1.3ac0b3dc33a31p-4, -0x1.3379b11f53c91p-4, -0x1.2c54632a8c984p-4, -0x1.25507c2b7efbap-4, -0x1.1e6dac2bbe501p-4, -0x1.17aba1330db37p-4, -0x1.110a0768b5fc4p-4, -0x1.0a888933f26c7p-4, -0x1.0426cf5b7b818p-4, -0x1.fbc9024856f92p-5, -0x1.ef8288dd86a39p-5, -0x1.e3797ba99d875p-5, -0x1.d7ad218959e31p-5, -0x1.cc1cbf3979a3fp-5, -0x1.c0c7978b65663p-5, -0x1.b5aceb982ff8cp-5, -0x1.aacbfaf1ee41dp-5, -0x1.a02403d3742f7p-5, -0x1.95b4434e72d53p-5, -0x1.8b7bf57807325p-5, -0x1.817a5593b99fep-5, -0x1.77ae9e3cf5fefp-5, -0x1.6e18098f05cccp-5, -0x1.64b5d14b8d85p-5, -0x1.5b872eff99a22p-5, -0x1.528b5c273f1c2p-5, -0x1.49c1924fd4aacp-5, -0x1.41290b38d11d7p-5, -0x1.38c100f350e47p-5, -0x1.3088ae004a88fp-5, -0x1.287f4d6d7bee6p-5, -0x1.20a41af115fdbp-5, -0x1.18f653042af42p-5, -0x1.117532fbedc16p-5, -0x1.0a1ff921bfffcp-5, -0x1.02f5e4ca1e5b2p-5, -0x1.f7ec6cd4dbb95p-6, -0x1.ea405f5b61971p-6, -0x1.dce627105c152p-6, -0x1.cfdc4c941c3ap-6, -0x1.c3215b61eb219p-6, -0x1.b6b3e1f14be71p-6, -0x1.aa9271d552627p-6, -0x1.9ebb9fda20516p-6, -0x1.932e042097b1cp-6, -0x1.87e83a384687cp-6, -0x1.7ce8e137a6cbdp-6, -0x1.722e9bd2b3358p-6, -0x1.67b8106fe767dp-6, -0x1.5d83e93baf02ep-6, -0x1.5390d43a5ad4cp-6, -0x1.49dd83589c289p-6, -0x1.4068ac7a9cb98p-6, -0x1.37310989ba51cp-6, -0x1.2e355880f20d4p-6, -0x1.25745b7807ea2p-6, -0x1.1cecd8ad75347p-6, -0x1.149d9a8f29112p-6, -0x1.0c856fc22668ap-6, -0x1.04a32b290a751p-6, -0x1.f9eb47d307601p-7, -0x1.eaf76ae19139ap-7, -0x1.dc687eee1fabfp-7, -0x1.ce3c4c043e5e8p-7, -0x1.c070a2cde2703p-7, -0x1.b3035c94fe617p-7, -0x1.a5f25b436e608p-7, -0x1.993b89615212fp-7, -0x1.8cdcda11e4c05p-7, -0x1.80d4490ee088bp-7, -0x1.751fdaa2832b3p-7, -0x1.69bd9ba045408p-7, -0x1.5eaba15c43e92p-7, -0x1.53e809a18e315p-7, -0x1.4970faa73cd5ap-7, -0x1.3f44a3047f315p-7, -0x1.356139a3a7e3ap-7, -0x1.2bc4fdb435a89p-7, -0x1.226e369bfc232p-7, -0x1.195b33e76c767p-7, -0x1.108a4d390d6fdp-7, -0x1.07f9e23830348p-7, -0x1.ff50b4fdda8d4p-8, -0x1.ef284b0ee8941p-8, -0x1.df77753176213p-8, -0x1.d03b31652d3f2p-8, -0x1.c1708cf28ef0dp-8, -0x1.b314a4410a361p-8, -0x1.a524a2ac1fdecp-8, -0x1.979dc257ade93p-8, -0x1.8a7d4c036bb6ap-8, -0x1.7dc096ddb0b2p-8, -0x1.71650855901c8p-8, -0x1.656813ec5f1aep-8, -0x1.59c73b06b1aeap-8, -0x1.4e800cbce09f9p-8, -0x1.439025ab222e5p-8, -0x1.38f52fc14b3dp-8, -0x1.2eace2123d6f7p-8, -0x1.24b500a317ee3p-8, -0x1.1b0b5c3a2f4e2p-8, -0x1.11add22ddfc0ap-8, -0x1.089a4c333e54ap-8, -0x1.ff9d805976093p-9, -0x1.ee925ff16f052p-9, -0x1.de0f528041a8bp-9, -0x1.ce108a8a2a14bp-9, -0x1.be92516337145p-9, -0x1.af9106ccf9bfdp-9, -0x1.a10920947aec3p-9, -0x1.92f72a308e9f9p-9, -0x1.8557c4608fa9cp-9, -0x1.7827a4cb9205cp-9, -0x1.6b6395a01bc6ap-9, -0x1.5f0875346fd1fp-9, -0x1.531335a773fa8p-9, -0x1.4780dc82459e6p-9, -0x1.3c4e825a7ba87p-9, -0x1.317952752a39fp-9, -0x1.26fe8a6ab06cep-9, -0x1.1cdb79cb4f0fcp-9, -0x1.130d81c49edf4p-9, -0x1.099214c7e48cfp-9, -0x1.0066b6314c256p-9, -0x1.ef11f3e0252eap-10, -0x1.dded085f4a797p-10, -0x1.cd5a1203758e8p-10, -0x1.bd549812d3005p-10, -0x1.add8404e8d5dep-10, -0x1.9ee0ce4d14295p-10, -0x1.906a22d6817ebp-10, -0x1.82703b431c285p-10, -0x1.74ef30dc0706p-10, -0x1.67e3383e1163p-10, -0x1.5b48a0bec7c2dp-10, -0x1.4f1bd3d3ac5ep-10, -0x1.4359547bb135bp-10, -0x1.37fdbeaaebdb7p-10, -0x1.2d05c6b8888f1p-10, -0x1.226e38cef9515p-10, -0x1.1833f85e70aeap-10, -0x1.0e53ff91909dbp-10, -0x1.04cb5ec46a9a7p-10, -0x1.f72e77fb735e1p-11, -0x1.e569a4d4bd0d5p-11, -0x1.d442e3b63eadbp-11, -0x1.c3b4fc894a68cp-11, -0x1.b3bade836de1ep-11, -0x1.a44f9f2f5dd49p-11, -0x1.956e797a52dbbp-11, -0x1.8712ccc5d09fcp-11, -0x1.79381bfdd2b2p-11, -0x1.6bda0cb354b89p-11, -0x1.5ef4663b32fe5p-11, -0x1.528310d154fc9p-11, -0x1.468214c020bf7p-11, -0x1.3aed998c26ed3p-11, -0x1.2fc1e52401d05p-11, -0x1.24fb5b145db4cp-11, -0x1.1a967bc01dfcfp-11, -0x1.108fe39c94cc4p-11, -0x1.06e44a71c52aep-11, -0x1.fb21053d3edbbp-12, -0x1.e922f0c26001fp-12, -0x1.d7c8624568d2fp-12, -0x1.c70b958f1117ap-12, -0x1.b6e6f605c1e4bp-12, -0x1.a7551d5c8c4a7p-12, -0x1.9850d249887bep-12, -0x1.89d5074381f46p-12, -0x1.7bdcd946d849fp-12, -0x1.6e638ea17be71p-12, -0x1.616495c5e8f2ep-12, -0x1.54db84250815cp-12, -0x1.48c4150edafb7p-12, -0x1.3d1a2899da743p-12, -0x1.31d9c290e63a6p-12, -0x1.26ff0967b218ep-12, -0x1.1c86453594f9bp-12, -0x1.126bdeb695d4bp-12, -0x1.08ac5e52aac9fp-12, -0x1.fe88d65603bb8p-13, -0x1.ec61945a7ff5ap-13, -0x1.dadcba5930183p-13, -0x1.c9f444014af0cp-13, -0x1.b9a26353c93a5p-13, -0x1.a9e17ef773f3dp-13, -0x1.9aac3097d1ef4p-13, -0x1.8bfd434eba0f2p-13, -0x1.7dcfb218670ffp-13, -0x1.701ea651c5b6cp-13, -0x1.62e57640dc105p-13, -0x1.561fa3a70800cp-13, -0x1.49c8da5cf2e93p-13, -0x1.3ddceef7f7bc4p-13, -0x1.3257dd78d2f94p-13, -0x1.2735c803731edp-13, -0x1.1c72f59fa7d49p-13, -0x1.120bd1028bc4cp-13, -0x1.07fce7607de94p-13, -0x1.fc85ce8eda189p-14, -0x1.e9b53f02a4b93p-14, -0x1.d781fbfd5c163p-14, -0x1.c5e61d91a7044p-14, -0x1.b4dbf5f7b3f2ap-14, -0x1.a45e0f900ffp-14, -0x1.94672af51b747p-14, -0x1.84f23d1aca12ep-14, -0x1.75fa6d7c51328p-14, -0x1.677b14577b982p-14, -0x1.596fb8f54dcc8p-14, -0x1.4bd40fffa9699p-14, -0x1.3ea3f9e3a3759p-14, -0x1.31db81403d1a1p-14, -0x1.2576d9613590fp-14, -0x1.19725cc5a7a5p-14, -0x1.0dca8bb22a2c2p-14, -0x1.027c0ace2b3dfp-14, -0x1.ef0743987ac14p-15, -0x1.d9bc743a26f2ap-15, -0x1.c511bb59c45ecp-15, -0x1.b1016b55d360bp-15, -0x1.9d8612b5bcaa2p-15, -0x1.8a9a79dfe9c76p-15, -0x1.7839a0e29ed5cp-15, -0x1.665ebd4f1c5e1p-15, -0x1.5505382688b38p-15, -0x1.4428abd8306e8p-15, -0x1.33c4e2509fe98p-15, -0x1.23d5d31928f05p-15, -0x1.1457a1875f8bdp-15, -0x1.05469afc1d7f5p-15, -0x1.ed3e6a634d04ap-16, -0x1.d0bc1930f490ap-16, -0x1.b4ffc584e61dap-16, -0x1.9a0339b78aa8bp-16, -0x1.7fc08463055f6p-16, -0x1.6631f58a72307p-16, -0x1.4d521bdaa356ap-16, -0x1.351bc203a1cb9p-16, -0x1.1d89ec2a3bc59p-16, -0x1.0697d570ee8c3p-16, -0x1.e081db2ef1defp-17, -0x1.b501ad60e42fcp-17, -0x1.8aa6c5d87c744p-17, -0x1.616924f1687f5p-17, -0x1.394122e9d27c8p-17, -0x1.12276bf0de855p-17, -0x1.d829f8b612defp-18, -0x1.8e0639f65058ep-18, -0x1.45d6bf3de3bdcp-18, -0x1.ff1e6eb7e9522p-19, -0x1.7647aba8230fdp-19, -0x1.e225327e0ac61p-20, -0x1.bda63169cdd54p-21, 0x1.d908186861886p-24, 0x1.132d7309cc369p-20, 0x1.0114f9a240374p-19, 0x1.755557521903ap-19, 0x1.e6696d11d7bb4p-19, 0x1.2a31118321f2ep-18, 0x1.5fa7dbfc68101p-18, 0x1.93a0e4fa5af9bp-18, 0x1.c623af438e657p-18, 0x1.f7377552b6a91p-18, 0x1.1371968f36dccp-17, 0x1.2a96c5db86ac6p-17, 0x1.410e845e0a49p-17, 0x1.56dbf0d53b121p-17, 0x1.6c020e82982dbp-17, 0x1.8083c6acc7dcap-17, 0x1.9463ea101e09p-17, 0x1.a7a5323e456e3p-17, 0x1.ba4a42ed8eed1p-17, 0x1.cc55ab3884db7p-17, 0x1.ddc9e6ce5b115p-17, 0x1.eea95f14c49d8p-17, 0x1.fef66c3bb97a8p-17, 0x1.0759ab21d6fc3p-16, 0x1.0ef12afb65fc7p-16, 0x1.1642caeace7bp-16, 0x1.1d4f997bd3fbdp-16, 0x1.24189ef039f0bp-16, 0x1.2a9edda4b44c8p-16, 0x1.30e352707fb6p-16, 0x1.36e6f4ffce08bp-16, 0x1.3caab8294ade8p-16, 0x1.422f8a3edce29p-16, 0x1.47765559dd92ap-16, 0x1.4c7fffa2f4d49p-16, 0x1.514d6b95c39b4p-16, 0x1.55df78408d2afp-16, 0x1.5a3701800c61bp-16, 0x1.5e54e03796e1cp-16, 0x1.6239ea85c147fp-16, 0x1.65e6f3f59f164p-16, 0x1.695ccdacd2351p-16, 0x1.6c9c46967e37fp-16, 0x1.6fa62b8b5570bp-16, 0x1.727b4776cc114p-16, 0x1.751c6379aa489p-16, 0x1.778a470a082a6p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x1.4727dcbddb984p-15, -0x1.e8a753968009ap-3, -0x1.0e5604189374cp-5, 0x1.636e2eb1c432dp-2, 0x1.f7b4a2339c0ecp-2, 0x1.ad916872b020cp-2, 0, 0, 1}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.11d6e57309117p-1, -0x1.0fba6b9df4482p-1, -0x1.0d94cdf5af1cap-1, -0x1.0b67085b8c88fp-1, -0x1.093206f2a5cbcp-1, -0x1.06f6a6b06a363p-1, -0x1.04b5b6404e42ap-1, -0x1.026ff721bd53bp-1, -0x1.00261d6a2e0bbp-1, -0x1.fbb1a2acedbaap-2, -0x1.f7115eccf1c1fp-2, -0x1.f26c93f703a0ap-2, -0x1.edc450298481p-2, -0x1.e919853704d5ap-2, -0x1.e46d3ad60b404p-2, -0x1.dfc02abe61f6ap-2, -0x1.db1325173a1c4p-2, -0x1.d666e848e8e91p-2, -0x1.d1bc1909e8efdp-2, -0x1.cd13562cca1aep-2, -0x1.c86d31c38ac73p-2, -0x1.c3ca15c4c0723p-2, -0x1.bf2aab66af08cp-2, -0x1.ba8f4a960490ep-2, -0x1.b5f858e495f19p-2, -0x1.b16632c72c846p-2, -0x1.acd92c3f48f03p-2, -0x1.a85191ba5e0eep-2, -0x1.a3cfa844bbdbdp-2, -0x1.9f53adf020ab2p-2, -0x1.9adddae0c0d02p-2, -0x1.966e609a9bcf2p-2, -0x1.92056e13f5639p-2, -0x1.8da32903bf303p-2, -0x1.8947b59bd8b91p-2, -0x1.84f3332f5999p-2, -0x1.80a5bcc21b2f7p-2, -0x1.7c5f6a5082089p-2, -0x1.78204f65a15f7p-2, -0x1.73e87f5cb9976p-2, -0x1.6fb8079461792p-2, -0x1.6b8ef4b4390c1p-2, -0x1.676d510fa542p-2, -0x1.6353243c31a7fp-2, -0x1.5f407c580f8f3p-2, -0x1.5b35474998404p-2, -0x1.57319d5a7f0c6p-2, -0x1.53357c7fa05b5p-2, -0x1.4f40e17d1d5ap-2, -0x1.4b53cd114ea1p-2, -0x1.476e3d9826314p-2, -0x1.439031205cd3ap-2, -0x1.3fb9a46ca0f3bp-2, -0x1.3bea9400ae8bbp-2, -0x1.3822fb063ac59p-2, -0x1.3462d6444a1ep-2, -0x1.30aa1f9254911p-2, -0x1.2cf8d2766576ep-2, -0x1.294ee69abfdf8p-2, -0x1.25ac5af21a2c6p-2, -0x1.22112603fdedp-2, -0x1.1e7d42b853c6bp-2, -0x1.1af0aaf943e75p-2, -0x1.176b5727a1367p-2, -0x1.13ed43b677dbbp-2, -0x1.1076692224d04p-2, -0x1.0d06c168457c3p-2, -0x1.099e462d58da8p-2, -0x1.063cf1b406c13p-2, -0x1.02e2bdc839ed2p-2, -0x1.ff1f4801adf3ap-3, -0x1.f8874113508fap-3, -0x1.f1fd57c43a5e6p-3, -0x1.eb8182253edf9p-3, -0x1.e513b5786102dp-3, -0x1.deb3e5cd65e64p-3, -0x1.d8620cdc7f51bp-3, -0x1.d21e1c77a8085p-3, -0x1.cbe80c25b6c54p-3, -0x1.c5bfd25d9de69p-3, -0x1.bfa5655c48f2cp-3, -0x1.b998bbad23df5p-3, -0x1.b399cd0a01ed3p-3, -0x1.ada890196b2ffp-3, -0x1.a7c4fc351e64bp-3, -0x1.a1ef0a5585ee8p-3, -0x1.9c26ad737052p-3, -0x1.966be2a7e5e1ap-3, -0x1.90be9d95fa2bdp-3, -0x1.8b1ed8bdf9a84p-3, -0x1.858c8add80c06p-3, -0x1.8007acc619f11p-3, -0x1.7a903576dd3bep-3, -0x1.75261d13165e7p-3, -0x1.6fc95ae3c23bp-3, -0x1.6a79ead20c031p-3, -0x1.6537c03111e1fp-3, -0x1.6002d397d0e85p-3, -0x1.5adb1e92b4a5p-3, -0x1.55c09753b006ep-3, -0x1.50b335eb4b3fap-3, -0x1.4bb2f18e71655p-3, -0x1.46bfc1b4e9df2p-3, -0x1.41d99d67ddf02p-3, -0x1.3d007bb93d60fp-3, -0x1.383452b2a9ca7p-3, -0x1.337519a1504d6p-3, -0x1.2ec2c7ba08a5dp-3, -0x1.2a1d5114cab15p-3, -0x1.2584ad457202p-3, -0x1.20f8d0eb3aeafp-3, -0x1.1c79b1bf7a8dp-3, -0x1.180744f36e783p-3, -0x1.13a17f3bdb828p-3, -0x1.0f48556b1b109p-3, -0x1.0afbbb5ce1884p-3, -0x1.06bba5ba3fcc9p-3, -0x1.0288073b4b2eep-3, -0x1.fcc1a8f0369a4p-4, -0x1.f48bfdec2a9bdp-4, -0x1.ec6ef5e5fb47ap-4, -0x1.e46a7471c7244p-4, -0x1.dc7e5dea9e196p-4, -0x1.d4aa96dc0995ap-4, -0x1.cceeff4acacb2p-4, -0x1.c54b7c680853cp-4, -0x1.bdbfeee97ac73p-4, -0x1.b64c37cb4573dp-4, -0x1.aef036ffb2868p-4, -0x1.a7abcc980a3f8p-4, -0x1.a07ed85dd6a0fp-4, -0x1.9969357a02c7p-4, -0x1.926ac3f663127p-4, -0x1.8b8362b33c518p-4, -0x1.84b2fc76fcc5ep-4, -0x1.7df944f2238e1p-4, -0x1.77562999e5a51p-4, -0x1.70c99634a1fd1p-4, -0x1.6a535817e0f7ep-4, -0x1.63f34966445dap-4, -0x1.5da94329deb24p-4, -0x1.57751d675bbc4p-4, -0x1.5156afcc131b8p-4, -0x1.4b4dd14accfebp-4, -0x1.455a58dd7c9f1p-4, -0x1.3f7c1ce15d2cap-4, -0x1.39b2f347154ebp-4, -0x1.33fe47a795eabp-4, -0x1.2e5eb8d2dc9e4p-4, -0x1.28d3be06ed7efp-4, -0x1.235d288850c7bp-4, -0x1.1dfacb383e497p-4, -0x1.18ac7b4f7e235p-4, -0x1.13720b81906b9p-4, -0x1.0e4b4ed70f625p-4, -0x1.093818e35fb09p-4, -0x1.04383a32d66abp-4, -0x1.fe971315d6eb7p-5, -0x1.f4e3aa684cce1p-5, -0x1.eb55e1cb6a6cap-5, -0x1.e1ed2855b6badp-5, -0x1.d8a9be7bbd077p-5, -0x1.cf8aacebffdebp-5, -0x1.c68fc84ecabf3p-5, -0x1.bdb8bae60721p-5, -0x1.b505208b279fp-5, -0x1.ac74a067f86f3p-5, -0x1.a406ddaea04e6p-5, -0x1.9bbb79fad6bffp-5, -0x1.939212b4afd39p-5, -0x1.8b8a645409f18p-5, -0x1.83a3f74172217p-5, -0x1.7bde7722f5b69p-5, -0x1.74398bc01cf34p-5, -0x1.6cb4d19528cc7p-5, -0x1.654ff2a975d52p-5, -0x1.5e0a8c8df4137p-5, -0x1.56e4470d01fe3p-5, -0x1.4fdcc3d6436c5p-5, -0x1.48f3a76131379p-5, -0x1.4228925d2a14ep-5, -0x1.3b7b2ba0f8fa6p-5, -0x1.34eb138bee6bbp-5, -0x1.2e77ee6fc9da7p-5, -0x1.2821550fd113p-5, -0x1.21e7070d0393p-5, -0x1.1bc88e50bbf0ap-5, -0x1.15c5931f1ad2cp-5, -0x1.0fddb97f6541bp-5, -0x1.0a10a6df96c7cp-5, -0x1.045dfc7d62555p-5, -0x1.fd8abe58a6422p-6, -0x1.f28ce2a32b299p-6, -0x1.e7c1adffbcd3cp-6, -0x1.dd286b912d48cp-6, -0x1.d2c0627f4e97fp-6, -0x1.c888debeb7493p-6, -0x1.be8134c28110cp-6, -0x1.b4a8951c0e596p-6, -0x1.aafe674cb1cbbp-6, -0x1.a181efeb563d7p-6, -0x1.983288cccf623p-6, -0x1.8f0f7b919e521p-6, -0x1.86181f88ee502p-6, -0x1.7d4bc7d0b486ep-6, -0x1.74a9db06fd561p-6, -0x1.6c31986f1a881p-6, -0x1.63e28e1b6410ep-6, -0x1.5bbbcbbccd263p-6, -0x1.53bd07d9cb648p-6, -0x1.4be560f4a0906p-6, -0x1.44346b4a7a7f8p-6, -0x1.3ca981abb3d0dp-6, -0x1.35440c52d5a29p-6, -0x1.2e037f47280e4p-6, -0x1.26e740db9a7cep-6, -0x1.1fee54a92dadep-6, -0x1.19199604004e7p-6, -0x1.12670ba0457f3p-6, -0x1.0bd6b3969d3ecp-6, -0x1.0567f807a7599p-6, -0x1.fe34de72f3de3p-7, -0x1.f1dafdffcf947p-7, -0x1.e5c167117e242p-7, -0x1.d9e71cdc59605p-7, -0x1.ce4b1a5944fc1p-7, -0x1.c2ec808dd0d13p-7, -0x1.b7ca5c617c99ap-7, -0x1.ace3aab0a3654p-7, -0x1.a2378c66368b8p-7, -0x1.97c52b77ab799p-7, -0x1.8d8b549fe3fe6p-7, -0x1.83896f9f76d47p-7, -0x1.79be7e65b2c49p-7, -0x1.7029a1cf4502ep-7, -0x1.66c9f3f2dd3ecp-7, -0x1.5d9e9619d1701p-7, -0x1.54a6b2bfa8aadp-7, -0x1.4be16c3dab84p-7, -0x1.434dee4291167p-7, -0x1.3aeb59b4d3a7dp-7, -0x1.32b8d508a5dd9p-7, -0x1.2ab59721c289bp-7, -0x1.22e1073b9b549p-7, -0x1.1b39a3321f6d6p-7, -0x1.13bf4c93ec5f3p-7, -0x1.0c70fa18a4a05p-7, -0x1.054de8a142a8bp-7, -0x1.fcaa8f034eb77p-8, -0x1.ef0ca577a079bp-8, -0x1.e1c08f8f968b5p-8, -0x1.d4c4a8fb5e7f2p-8, -0x1.c817a948a9aa2p-8, -0x1.bbb7e5648a696p-8, -0x1.afa3d11f0dddp-8, -0x1.a3da53f0b9dc9p-8, -0x1.9859825b8bfa1p-8, -0x1.8d20521274881p-8, -0x1.822d173f85bd4p-8, -0x1.777e94bf6d822p-8, -0x1.6d135320d7c12p-8, -0x1.62e9fc542821ep-8, -0x1.590138b03b905p-8, -0x1.4f57822f66353p-8, -0x1.45ec0da0731ebp-8, -0x1.3cbd0a1bb5748p-8, -0x1.33c95cf710649p-8, -0x1.2b0fc034854bdp-8, -0x1.228ef5758bb39p-8, -0x1.1a45ae1c456d1p-8, -0x1.1232de61d7b59p-8, -0x1.0a5523266e45bp-8, -0x1.02ab63943c5e4p-8, -0x1.f668eb8c3de15p-9, -0x1.e7de54ce8e891p-9, -0x1.d9b4cecf88372p-9, -0x1.cbea0e21a7f66p-9, -0x1.be7bf3dce26ap-9, -0x1.b16854f00cf74p-9, -0x1.a4ad11ac0f26ap-9, -0x1.98481e2d6387ap-9, -0x1.8c3763c11767ep-9, -0x1.8078de6f41e85p-9, -0x1.750ad8613dd94p-9, -0x1.69eae617f1f7ap-9, -0x1.5f17f0de9f6afp-9, -0x1.548f7c0fd23acp-9, -0x1.4a508e5d0f5bap-9, -0x1.4057f1df5508cp-9, -0x1.36a47779a08c6p-9, -0x1.2d354cfc8bd7cp-9, -0x1.240847a43c81fp-9, -0x1.1b1c16a481565p-9, -0x1.126e5a7635e01p-9, -0x1.09fe5d37d96f4p-9, -0x1.01ca60c50d1fap-9, -0x1.f3a1fd15ed677p-10, -0x1.e4213a502bc54p-10, -0x1.d51014a7ac6eep-10, -0x1.c66a55edd7017p-10, -0x1.b83149827039fp-10, -0x1.aa5e75350f155p-10, -0x1.9cf09a248250dp-10, -0x1.8fe53e7004f5dp-10, -0x1.8339f2dc62fefp-10, -0x1.76ec266e918f4p-10, -0x1.6af9e299cdf9cp-10, -0x1.5f60a1161db5cp-10, -0x1.541e18a119839p-10, -0x1.493037a8900cfp-10, -0x1.3e94cbdf3f1fcp-10, -0x1.3449b8a17ec0cp-10, -0x1.2a4b1a263278dp-10, -0x1.209c78010496fp-10, -0x1.17364631f85acp-10, -0x1.0e066d226eb94p-10, -0x1.0531409ec5dcdp-10, -0x1.f9420dcd04b67p-11, -0x1.e8a608d13902cp-11, -0x1.d88b884f60e26p-11, -0x1.c8ef0ad443d3ap-11, -0x1.b9cd28352c5adp-11, -0x1.ab221c436999dp-11, -0x1.9cebf6516a63ep-11, -0x1.8f27bbeb66866p-11, -0x1.81ce9e421f065p-11, -0x1.74e1a8c6884e1p-11, -0x1.685c1e9694444p-11, -0x1.5c3674abbfb45p-11, -0x1.507ce5bb7e078p-11, -0x1.451d20b5ecf79p-11, -0x1.3a1a1aab17399p-11, -0x1.2f70ec1f36e49p-11, -0x1.251ef11fbc053p-11, -0x1.1b260a06c2739p-11, -0x1.11769db7eb098p-11, -0x1.081b9684c72d1p-11, -0x1.fe1b7b3dd3d0ap-12, -0x1.ec96b470bd625p-12, -0x1.dba34fc90d4b2p-12, -0x1.cb3d9f131cba4p-12, -0x1.bb612643214b3p-12, -0x1.ac0981d2f9c0ep-12, -0x1.9d3804a7821f6p-12, -0x1.8edd9ea8aa786p-12, -0x1.80fa830589afbp-12, -0x1.73904bfd4ce6ep-12, -0x1.6697a7de37e6dp-12, -0x1.5a0e23d4c5cdcp-12, -0x1.4debf96958da6p-12, -0x1.42378810c308dp-12, -0x1.36e46ef69f3bep-12, -0x1.2bf2ea7636918p-12, -0x1.215e51b1cecddp-12, -0x1.1726109fb5cc8p-12, -0x1.0d455cdc0b95p-12, -0x1.03ba1555b800dp-12, -0x1.f502bd1a35e27p-13, -0x1.e33914de3d5dp-13, -0x1.d1fb556a86217p-13, -0x1.c159414b45bc4p-13, -0x1.b14854d1d699ap-13, -0x1.a1c3b2adaf832p-13, -0x1.92c6343a9a645p-13, -0x1.844cb51a239bcp-13, -0x1.764f01a4d4c95p-13, -0x1.68cd3cb3b9e83p-13, -0x1.5bc1101c35e7p-13, -0x1.4f283a86c10dap-13, -0x1.42fc581a19b2bp-13, -0x1.373b0ffdd9acep-13, -0x1.2bd231fb9c51dp-13, -0x1.20f48ee901559p-13, -0x1.1657cbe03ef4dp-13, -0x1.0c1a718be1abbp-13, -0x1.023a5afa30deep-13, -0x1.f1605d6a9c60ap-14, -0x1.def46acea6c3ep-14, -0x1.cd26f33318266p-14, -0x1.bbf81443d490dp-14, -0x1.ab5c7416ae84fp-14, -0x1.9b573f2e74f39p-14, -0x1.8bd554b777dbep-14, -0x1.7cde0af99dffdp-14, -0x1.6e699cab55cf8p-14, -0x1.606fb06a1676fp-14, -0x1.52f13643a86p-14, -0x1.45e66ec54c9fbp-14, -0x1.394b8eb6b2515p-14, -0x1.2d1ca7d01b3c6p-14, -0x1.215e8d5bffe5p-14, -0x1.15f6bd492ebeap-14, -0x1.0af7cc52e209bp-14, -0x1.0056016fddbf1p-14, -0x1.ec170a7c550bfp-15, -0x1.d846fba0a2e34p-15, -0x1.c4fbc251b3047p-15, -0x1.b265af94a7513p-15, -0x1.a068aad6d2961p-15, -0x1.8f01911756342p-15, -0x1.7e2bcab89e231p-15, -0x1.6ddea843a4424p-15, -0x1.5e1af2eb39d7ep-15, -0x1.4ed733f6d95e5p-15, -0x1.4010bf811ae8bp-15, -0x1.31c8dc698c912p-15, -0x1.23e566be6083dp-15, -0x1.16834a4121088p-15, -0x1.0982242ec8da4p-15, -0x1.f9c7f125df2b1p-16, -0x1.e1624777e6bf9p-16, -0x1.c9bc148643265p-16, -0x1.b2cfd32d48c5ep-16, -0x1.9c97922d755d3p-16, -0x1.871081cf199eap-16, -0x1.721d6bd59170fp-16, -0x1.5de29e5fb5bebp-16, -0x1.4a30d4a3437d4p-16, -0x1.362beebc93e7bp-16, -0x1.24ba587bd1998p-16, -0x1.12ad080151767p-16, -0x1.0140e308597a4p-16, -0x1.e0a3aacfe9e41p-17, -0x1.bfbcf7cce4512p-17, -0x1.a06895e604864p-17, -0x1.80d0085980532p-17, -0x1.62bab193c4112p-17, -0x1.4577494a71377p-17, -0x1.2911310cfcc5bp-17, -0x1.0d781ebf142ecp-17, -0x1.e585972c68c98p-18, -0x1.b22ae8427f7ap-18, -0x1.7d07bf728e2f1p-18, -0x1.4d0eeb647c0bcp-18, -0x1.1d3fe5cf368cfp-18, -0x1.dd5df9875c5c9p-19, -0x1.82d510b580e0cp-19, -0x1.2ace2e0d0ae7bp-19, -0x1.a73d6273df17cp-20, -0x1.02c017458cf73p-20, -0x1.88b3a74e440c9p-22, 0x1.d30ed40ef5e1p-23, 0x1.a6ec2514ee68fp-21, 0x1.6827375b59977p-20, 0x1.f8675a933c6f6p-20, 0x1.42627842545dep-19, 0x1.85c18a4f6682dp-19, 0x1.c76201ab41073p-19, 0x1.052c9bd74304ap-18, 0x1.23e5ceebfb123p-18, 0x1.42400d3ae66ep-18, 0x1.5fbebef8376f9p-18, 0x1.7c5eb6b8405a1p-18, 0x1.9825a105fcb28p-18, 0x1.b3011c387526ep-18, 0x1.cd3e9d0bf8e99p-18, 0x1.e698f1f53d048p-18, 0x1.ff31348dedbc1p-18, 0x1.0b5940ecbf8a8p-17, 0x1.182501199c6ddp-17, 0x1.225514ac3905ep-17, 0x1.2cf989c35cee9p-17, 0x1.376abbb58d5cdp-17, 0x1.418208da10f69p-17, 0x1.4b40f39e87a73p-17, 0x1.54a87d7767f4ep-17, 0x1.5dba4d7ff0d8p-17, 0x1.667f5b3f276fcp-17, 0x1.6ee6f0e3fa33p-17, 0x1.76fc9bff18ab9p-17, 0x1.7ec450966219fp-17, 0x1.863b8e6ad1749p-17, 0x1.8d727ef306988p-17, 0x1.94525edf84faap-17, 0x1.9b489c24e97b4p-17, 0x1.a12368a355f55p-17, 0x1.a71b6395b5adcp-17, 0x1.acce7fb136f4cp-17, 0x1.b2784bc217fd4p-17, 0x1.b74539f85ad26p-17, 0x1.bb1a6946cf0b3p-17, 0x1.c0cb5ed9de1cdp-17, 0x1.c51300d39e3dcp-17, 0x1.c91c250709748p-17, 0x1.ccf8d022e3fcp-17, 0x1.cfa080d225502p-17, 0x1.d39ca0dc1693p-17, 0x1.d6a7c8ce3dbdep-17, 0x1.d9663260ac5b7p-17, 0x1.dbe5a55ec086cp-17, 0x1.de26285f4e707p-17, 0x1.e0288362393f7p-17, 0x1.e1eab5126a16p-17, 0x1.e314b73608612p-17, 0x1.e4c21c0cd5232p-17, 0x1.e5d2d85a8dd6fp-17, 0x1.e6a9586a93166p-17, 0x1.e759fb2fed348p-17, 0x1.e62d5424bd038p-17, 0x1.e7d7d0be5b328p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ebfef3ca0047ap-1, 0x1.ea0582947cd44p-1, 0x1.e7f6f605fcbbp-1, 0x1.e5d3bce61e82p-1, 0x1.e39c48173673p-1, 0x1.e1510a6495c81p-1, 0x1.def27852b7d39p-1, 0x1.dc8107f13f27ap-1, 0x1.d9fd30aeb518bp-1, 0x1.d7676b2dfa055p-1, 0x1.d4c0311d568cfp-1, 0x1.d207fd0f2165bp-1, 0x1.cf3f4a53e91a5p-1, 0x1.cc6694d618742p-1, 0x1.c97e58f70665p-1, 0x1.c687136d66a9cp-1, 0x1.c381412511ea2p-1, 0x1.c06d5f20177a6p-1, 0x1.bd4bea591307bp-1, 0x1.ba1d5fa6b8fd5p-1, 0x1.b6e23ba091f04p-1, 0x1.b39afa84dcb63p-1, 0x1.b048181f8fe63p-1, 0x1.acea0fb26eaa2p-1, 0x1.a9815bde2f2p-1, 0x1.a60e768ca517ep-1, 0x1.a291d8dbee1adp-1, 0x1.9f0bfb0a9741dp-1, 0x1.9b7d5464b24c9p-1, 0x1.97e65b31dadb5p-1, 0x1.944784a41defap-1, 0x1.90a144c7c1822p-1, 0x1.8cf40e73e86f9p-1, 0x1.8940533c058c1p-1, 0x1.858683622241cp-1, 0x1.81c70dc9e8e65p-1, 0x1.7e025fec76f4ap-1, 0x1.7a38e5ccea30dp-1, 0x1.766b09eda87f3p-1, 0x1.729935465b64p-1, 0x1.6ec3cf3a9ac65p-1, 0x1.6aeb3d9141767p-1, 0x1.670fe46c68647p-1, 0x1.63322642017c5p-1, 0x1.5f5263d50fbd6p-1, 0x1.5b70fc2f762bep-1, 0x1.578e4c9c5c4b8p-1, 0x1.53aab0a31ee55p-1, 0x1.4fc68202cd8bcp-1, 0x1.4be218ae2e798p-1, 0x1.47fdcac8442f7p-1, 0x1.4419eca151f44p-1, 0x1.4036d0b45ad0bp-1, 0x1.3c54c7a516a1cp-1, 0x1.3874203e5a2ddp-1, 0x1.34952770ed2ccp-1, 0x1.30b82852cc10bp-1, 0x1.2cdd6c1ed0b91p-1, 0x1.29053a34bec31p-1, 0x1.252fd819af11dp-1, 0x1.215d8978d9ad5p-1, 0x1.1d8e9024b7267p-1, 0x1.19c32c18774ep-1, 0x1.15fb9b79cb42bp-1, 0x1.12381a9afeaa5p-1, 0x1.0e78e3fd5a243p-1, 0x1.0abe3053d20adp-1, 0x1.07083685f6f52p-1, 0x1.03572bb32b0c5p-1, 0x1.ff56866c2c1b9p-2, 0x1.f8095d50a8782p-2, 0x1.f0c73bccc2b0ap-2, 0x1.e9907e277216cp-2, 0x1.e2657d3e53553p-2, 0x1.db468e8eb715fp-2, 0x1.d434043f066bfp-2, 0x1.cd2e2d28855a8p-2, 0x1.c63554e16487bp-2, 0x1.bf49c3c72136ep-2, 0x1.b86bbf092e45cp-2, 0x1.b19b88b3e387dp-2, 0x1.aad95fbba9623p-2, 0x1.a4258008626b2p-2, 0x1.9d80228109d01p-2, 0x1.96e97d1784c02p-2, 0x1.9061c2d4a2e5dp-2, 0x1.89e923e4498a1p-2, 0x1.837fcda1c256bp-2, 0x1.7d25eaa42febfp-2, 0x1.76dba2cb1dba9p-2, 0x1.70a11b4b30697p-2, 0x1.6a7676bae6f18p-2, 0x1.645bd51f761d9p-2, 0x1.5e5153f9b1abdp-2, 0x1.58570e5303828p-2, 0x1.526d1cca70873p-2, 0x1.4c9395a1a018dp-2, 0x1.46ca8cc9ec564p-2, 0x1.411213f175789p-2, 0x1.3b6a3a902f056p-2, 0x1.35d30df4f085ap-2, 0x1.304c99527c1ecp-2, 0x1.2ad6e5cc7e937p-2, 0x1.2571fa8485264p-2, 0x1.201ddca6e79ccp-2, 0x1.1ada8f77a11b4p-2, 0x1.15a8145f1b5eep-2, 0x1.10866af6e54afp-2, 0x1.0b75911656fe9p-2, 0x1.067582df1cd8p-2, 0x1.01863ac9ac7aap-2, 0x1.f94f63634267fp-3, 0x1.efb3bdc3f5d2ap-3, 0x1.e639704283807p-3, 0x1.dce0637b1981bp-3, 0x1.d3a87d30d0b9p-3, 0x1.ca91a065370fdp-3, 0x1.c19bad6f9974p-3, 0x1.b8c682140a1b2p-3, 0x1.b011f99a1a3eap-3, 0x1.a77dece34f3c5p-3, 0x1.9f0a32814b303p-3, 0x1.96b69ecba4a13p-3, 0x1.8e8303f57a74p-3, 0x1.866f3222ab81p-3, 0x1.7e7af77cc60a1p-3, 0x1.76a62047a4815p-3, 0x1.6ef076f5afb63p-3, 0x1.6759c43bd63e6p-3, 0x1.5fe1cf252782ep-3, 0x1.58885d261de01p-3, 0x1.514d322f91b1dp-3, 0x1.4a3010c14e406p-3, 0x1.4330b9fc5b089p-3, 0x1.3c4eedb4e19dfp-3, 0x1.358a6a83c4638p-3, 0x1.2ee2edd7d4821p-3, 0x1.28583406b44e7p-3, 0x1.21e9f85d61ba7p-3, 0x1.1b97f53062a66p-3, 0x1.1561e3eb9be15p-3, 0x1.0f477d21d113bp-3, 0x1.0948789bc84e5p-3, 0x1.03648d671765ep-3, 0x1.fb36e3c930ee1p-4, 0x1.efd9b7ad12304p-4, 0x1.e4b100dc9de2ap-4, 0x1.d9bc28b3d50e7p-4, 0x1.cefa97a217cddp-4, 0x1.c46bb543b3d4ap-4, 0x1.ba0ee87ac14aep-4, 0x1.afe3978756c47p-4, 0x1.a5e9281f1b5fcp-4, 0x1.9c1eff842573bp-4, 0x1.9284829b49b05p-4, 0x1.89191601b5664p-4, 0x1.7fdc1e21f1838p-4, 0x1.76ccff484302cp-4, 0x1.6deb1db66fa9bp-4, 0x1.6535ddb6e5aebp-4, 0x1.5caca3af4b04cp-4, 0x1.544ed432747b9p-4, 0x1.4c1bd411c676p-4, 0x1.4413086e04506p-4, 0x1.3c33d6c78b79dp-4, 0x1.347da50e00c26p-4, 0x1.2cefd9af70656p-4, 0x1.2589dba6e238p-4, 0x1.1e4b128a65ae3p-4, 0x1.1732e69896697p-4, 0x1.1040c0c59d047p-4, 0x1.09740ac7ad81fp-4, 0x1.02cc2f23057d7p-4, 0x1.f891326ad9d8cp-5, 0x1.ebd16a8277759p-5, 0x1.df57e0efcc632p-5, 0x1.d323720824e18p-5, 0x1.c732fc2673423p-5, 0x1.bb855fbdae4cp-5, 0x1.b0197f6a4fd98p-5, 0x1.a4ee4002f8f8ap-5, 0x1.9a0288a83da86p-5, 0x1.8f5542d3a267bp-5, 0x1.84e55a65c97a4p-5, 0x1.7ab1bdb3d8ae3p-5, 0x1.70b95d941b82p-5, 0x1.66fb2d69e52eap-5, 0x1.5d762330b8384p-5, 0x1.54293786b708cp-5, 0x1.4b1365b662dc4p-5, 0x1.4233abbfac844p-5, 0x1.39890a605d55dp-5, 0x1.3112851bd844p-5, 0x1.28cf22423e67ep-5, 0x1.20bdeaf6f263ap-5, 0x1.18ddeb3689c22p-5, 0x1.112e31dc232c3p-5, 0x1.09add0a633c05p-5, 0x1.025bdc3ac2c02p-5, 0x1.f66ed856461ffp-6, 0x1.e87f35ee48634p-6, 0x1.dae70c1f8cb03p-6, 0x1.cda49bb2e3db9p-6, 0x1.c0b62b5b6d8bbp-6, 0x1.b41a07b92dbp-6, 0x1.a7ce835ac44efp-6, 0x1.9bd1f6be458e4p-6, 0x1.9022c051465d4p-6, 0x1.84bf447015509p-6, 0x1.79a5ed64379a9p-6, 0x1.6ed52b6223cc9p-6, 0x1.644b748644ee5p-6, 0x1.5a0744d1507a1p-6, 0x1.50071e23f159ap-6, 0x1.46498839ce39dp-6, 0x1.3ccd10a3f6766p-6, 0x1.33904ac2b59e8p-6, 0x1.2a91cfbed6043p-6, 0x1.21d03e825ac6ap-6, 0x1.194a3bb0b0a5cp-6, 0x1.10fe719e689c9p-6, 0x1.08eb90486aac4p-6, 0x1.01104d4ac3528p-6, 0x1.f2d6c7adefedap-7, 0x1.e3f72953ea9e1p-7, 0x1.d57f4c0336801p-7, 0x1.c76cc723c56a1p-7, 0x1.b9bd3cf363adp-7, 0x1.ac6e5a6ea553dp-7, 0x1.9f7dd73938931p-7, 0x1.92e975859a984p-7, 0x1.86af01fc43d5cp-7, 0x1.7acc53a243583p-7, 0x1.6f3f4bbf5b72bp-7, 0x1.6405d5c3af3cp-7, 0x1.591de72cf7031p-7, 0x1.4e857f6b5677dp-7, 0x1.443aa7c5c5563p-7, 0x1.3a3b733e30da5p-7, 0x1.3085fe753d14ep-7, 0x1.27186f8dc365dp-7, 0x1.1df0f6100a992p-7, 0x1.150dcaccc25a8p-7, 0x1.0c6d2fbfc6ee3p-7, 0x1.040d6ff2b57bap-7, 0x1.f7d9bebea84fp-8, 0x1.e813b5a3ac4cap-8, 0x1.d8c58f95fedfdp-8, 0x1.c9ec28c45f5d2p-8, 0x1.bb846e4eade25p-8, 0x1.ad8b5e09b7bcbp-8, 0x1.9ffe0642ecbb3p-8, 0x1.92d985840865cp-8, 0x1.861b0a56ba141p-8, 0x1.79bfd3084efdap-8, 0x1.6dc52d6d6e048p-8, 0x1.622876a5e92d1p-8, 0x1.56e71ae0aaf33p-8, 0x1.4bfe951fcc282p-8, 0x1.416c6efcd600cp-8, 0x1.372e406d387f1p-8, 0x1.2d41af86f96f5p-8, 0x1.23a47045a8128p-8, 0x1.1a54444f9577dp-8, 0x1.114efabb5a858p-8, 0x1.08926fd5b1e2bp-8, 0x1.001c8ce7a8034p-8, 0x1.efd68ffa565ecp-9, 0x1.dff94757f5ebfp-9, 0x1.d09d5db6001a8p-9, 0x1.c1bf09141dc17p-9, 0x1.b35a9734344c3p-9, 0x1.a56c6d2baee36p-9, 0x1.97f106f5b8869p-9, 0x1.8ae4f7066b98cp-9, 0x1.7e44e5defa3fp-9, 0x1.720d91a2db653p-9, 0x1.663bcdae01788p-9, 0x1.5acc822c1bf9p-9, 0x1.4fbcabb0ece34p-9, 0x1.45095ad1b673cp-9, 0x1.3aafb3bfc5c4p-9, 0x1.30acede41ad2bp-9, 0x1.26fe537c38a81p-9, 0x1.1da1413819a6p-9, 0x1.149325d952b64p-9, 0x1.0bd181d35d754p-9, 0x1.0359e6ed1c7cap-9, 0x1.f653efc710b5ap-10, 0x1.e67ed01b35378p-10, 0x1.d72ff602caddfp-10, 0x1.c8630874dcdfbp-10, 0x1.ba13cd8271b7dp-10, 0x1.ac3e29a824b63p-10, 0x1.9ede1f2229afp-10, 0x1.91efcd42d26dp-10, 0x1.856f6fcb87442p-10, 0x1.79595e483ce7p-10, 0x1.6daa0b6d5c3bep-10, 0x1.625e04782f564p-10, 0x1.5771f091bbeeep-10, 0x1.4ce2903418de6p-10, 0x1.42acbc923d795p-10, 0x1.38cd67023e6b7p-10, 0x1.2f419869fff37p-10, 0x1.260670ae5b3fap-10, 0x1.1d192624a8477p-10, 0x1.14770506c0666p-10, 0x1.0c1d6ee954917p-10, 0x1.0409da34bcdd4p-10, 0x1.f873a3402bc1ap-11, 0x1.e955e75d90e01p-11, 0x1.dab5e460c1fedp-11, 0x1.cc8f23857e7e6p-11, 0x1.bedd52ad2965fp-11, 0x1.b19c436c5adb3p-11, 0x1.a4c7ea1d0210ap-11, 0x1.985c5cf50617cp-11, 0x1.8c55d32161525p-11, 0x1.80b0a3e5aa70fp-11, 0x1.756945c0006b5p-11, 0x1.6a7c4d914f153p-11, 0x1.5fe66dc9dece6p-11, 0x1.55a4759a2851ep-11, 0x1.4bb35027dada3p-11, 0x1.421003c70efabp-11, 0x1.38b7b1379428dp-11, 0x1.2fa792e6514e3p-11, 0x1.26dcfc32a9fap-11, 0x1.1e5558b7dae8ap-11, 0x1.160e2b9a43857p-11, 0x1.0e050ed88c30cp-11, 0x1.0637b2a0a0f4cp-11, 0x1.fd47b950df188p-12, 0x1.ee8ecf14ba0b8p-12, 0x1.e040844acf813p-12, 0x1.d258de01caa8p-12, 0x1.c4d40767a394dp-12, 0x1.b7ae509f4476cp-12, 0x1.aae42d9d17ce8p-12, 0x1.9e72350a6b653p-12, 0x1.92551f2f887bdp-12, 0x1.8689c4e46548p-12, 0x1.7b0d1e87dbec7p-12, 0x1.6fdc42fd46f3dp-12, 0x1.64f466b0692edp-12, 0x1.5a52da9f874a1p-12, 0x1.4ff50b6b9d0a1p-12, 0x1.45d8806e89401p-12, 0x1.3bfadad723da5p-12, 0x1.3259d4cb18b04p-12, 0x1.28f3408e72516p-12, 0x1.1fc507b0bde04p-12, 0x1.16cd2a3fa54b8p-12, 0x1.0e09bdfef1082p-12, 0x1.0578eda5d153ep-12, 0x1.fa31f042aaa7p-13, 0x1.e9d05fb7fddfbp-13, 0x1.d9c9f4149c227p-13, 0x1.ca1b9bf873855p-13, 0x1.bac268e6e0201p-13, 0x1.abbb8dfca0eap-13, 0x1.9d045eaf01c79p-13, 0x1.8e9a4d94188c5p-13, 0x1.807aeb33d4ffp-13, 0x1.72a3e4e1cf26dp-13, 0x1.6513039f866d3p-13, 0x1.57c62b070242dp-13, 0x1.4abb583d90badp-13, 0x1.3df0a0ee88169p-13, 0x1.3164324dcee89p-13, 0x1.251450220ee27p-13, 0x1.18ff53d65d2a1p-13, 0x1.0d23ab9333472p-13, 0x1.017fd95e8d6d6p-13, 0x1.ec24e48602352p-14, 0x1.d5b43afb60374p-14, 0x1.bfab2765badacp-14, 0x1.aa073c52174d7p-14, 0x1.94c62c14f5e6dp-14, 0x1.7fe5c759ae204p-14, 0x1.6b63fbbdfbe8bp-14, 0x1.573ed2795dc3dp-14, 0x1.43746f100366p-14, 0x1.30030e11062f5p-14, 0x1.1ce903df9e0e2p-14, 0x1.0a24bb8714a49p-14, 0x1.ef696b32577e4p-15, 0x1.cb2f0e2d7190ap-15, 0x1.a797b0c45bc68p-15, 0x1.84a0c877a5693p-15, 0x1.6247ed8ed9154p-15, 0x1.408ad9362acc5p-15, 0x1.1f6763ae08911p-15, 0x1.fdb705182d50cp-16, 0x1.bdca8e1a388e9p-16, 0x1.7f05b8eedb7f6p-16, 0x1.41650d1ac3eabp-16, 0x1.04e5401ebcbfp-16, 0x1.930665343604ep-17, 0x1.1e77db1554f0fp-17, 0x1.58327ea4e0a31p-18, 0x1.df29ae1f8142bp-20, -0x1.914ae1813980bp-20, -0x1.3c2ea875b7897p-18, -0x1.07e95795fc2acp-17, -0x1.6fa3d7446434fp-17, -0x1.d54b14224c7c7p-17, -0x1.1c71916386714p-16, -0x1.4d37f79ce45fp-16, -0x1.7cfaa03d29d04p-16, -0x1.abbb5defe45b8p-16, -0x1.d97bf426fcf48p-16, -0x1.031f0c50cd26bp-15, -0x1.1901ba6fdda31p-15, -0x1.2e66d3c19a18cp-15, -0x1.434f22cf537c1p-15, -0x1.57bb6df985a24p-15, -0x1.6bac780e2df07p-15, -0x1.7f2300d6fe219p-15, -0x1.921fc59fad14ap-15, -0x1.a4a381b4b3cf6p-15, -0x1.b6aeeedaae339p-15, -0x1.c842c5bea9f98p-15, -0x1.d95fbe5fa0789p-15, -0x1.ea06907159348p-15, -0x1.fa37f3b8f3292p-15, -0x1.04fa5031a8ad3p-14, -0x1.0c9ea7aacfa1fp-14, -0x1.14095d3c17e72p-14, -0x1.1b3ace7defc1p-14, -0x1.223359cd1ed94p-14, -0x1.28f35e6853927p-14, -0x1.2f7b3c8b447bfp-14, -0x1.35cb55877dda7p-14, -0x1.3be40bdaf450fp-14, -0x1.41c5c34472d17p-14, -0x1.4770e0d5fb408p-14, -0x1.4ce5cb052f98fp-14, -0x1.5224e9b9d92c6p-14, -0x1.572ea65aa3fb8p-14, -0x1.5c036bd81f9f8p-14, -0x1.60a3a6b61c49p-14, -0x1.650fc51376349p-14, -0x1.694836b061985p-14, -0x1.6d4d6cf34827dp-14, -0x1.711fdaec4d422p-14, -0x1.74bff55785c23p-14, -0x1.782e329df4eadp-14, -0x1.7b6b0ad561b5p-14, -0x1.7e76f7bf0db06p-14, -0x1.815274c5625bap-14, -0x1.83fdfef8a0d8p-14, -0x1.867a150aa0f1p-14, -0x1.88c73749afdc6p-14, -0x1.8ae5e79a98f78p-14, -0x1.8cd6a971e7194p-14, -0x1.8e9a01cc6a8a5p-14, -0x1.903077270ecf3p-14, -0x1.919a91760b414p-14, -0x1.92d8da1b7bf93p-14, -0x1.93ebdbdd6a3fep-14, -0x1.94d422db52643p-14, -0x1.95923c832dcf3p-14, -0x1.9626b7860cdccp-14, -0x1.969223cc48c35p-14, -0x1.96d5126957443p-14, -0x1.96f0158f4787dp-14, -0x1.96e3c081f1837p-14, -0x1.96b0a789df1dbp-14, -0x1.96575fe6f72c2p-14, -0x1.95d87fc2f03d2p-14, -0x1.95349e2395152p-14, -0x1.946c52dcddc22p-14, -0x1.93803682e72dp-14, -0x1.9270e25bcd7c6p-14, -0x1.913ef0516f3a2p-14, -0x1.8feafae31fb8p-14, -0x1.8e759d174cd84p-14, -0x1.8cdf726d20271p-14, -0x1.8b2916ce1ba13p-14, -0x1.8953267fbb29cp-14, -0x1.875e3e151d349p-14, -0x1.854afa60b7b08p-14, -0x1.8319f8661b2d2p-14, -0x1.80cbd54bcb41ep-14, -0x1.7e612e4d2da84p-14, -0x1.7bdaa0ac9489ap-14, -0x1.7938c9a565fbcp-14, -0x1.767c465e66421p-14, -0x1.73a5b3dc24a55p-14, -0x1.70b5aef38f90bp-14, -0x1.6dacd43cb38ebp-14, -0x1.6a8bc005a46d9p-14, -0x1.67530e4594af8p-14, -0x1.64035a901ff6p-14, -0x1.609d4008c3e78p-14, -0x1.5d2159569090fp-14, -0x1.599040980d051p-14, -0x1.55ea8f5754303p-14, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      16, 0x1.0a3d70a3d70a4p+1, 0x1.dd5133d3c8eeap+1, 0x1.8758587a3840ep+0, -0x1.572680aeb5113p-6, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.02d7b634dad32p-5, -0x1.9142ea2f52724p-3, 0x1.76147ae147ac4p-2, 0x1.a8bb7b109414fp-4}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8ef77f27fe4bdp-6, -0x1.5463a476590e1p-3, 0x1.82d26ca6e5b72p-2, -0x1.09752cea5c8f1p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.2b66b6177ea1cp-6, -0x1.1b98313a0d1e1p-3, 0x1.431cb3cacf805p-2, -0x1.1e857771400dap-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.b1422ccb3a259p-7, -0x1.d54b597f83dddp-4, 0x1.20bac42ddc4b5p-2, -0x1.22ffc86646e74p-2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.294573a797892p-7, -0x1.7e7cf1832ffcfp-4, 0x1.fb9e8b765fe46p-3, -0x1.057b66f5a580ep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.76ab5807fed2p-8, -0x1.324a17bf82dap-4, 0x1.bcdd16979455p-3, -0x1.ce25378640ed1p-3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.90f301eabbcb2p-9, -0x1.df187e879242ap-5, 0x1.8567fb72fd2e4p-3, -0x1.9c7453fbb4286p-3}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.09070fbeb9e49p-10, -0x1.6a67a2c6a27fep-5, 0x1.53e96202dd524p-3, -0x1.8009788aee5b6p-3}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, -0x1.08c3f3e0370cep-11, -0x1.0501b124f4872p-5, 0x1.25d3c42fa1ffbp-3, -0x1.8365c9d89265cp-3}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, -0x1.99780baa582dcp-10, -0x1.5cd701c79b7a3p-6, 0x1.eeadd2cf20dcbp-4, -0x1.325f6012c80eap-3}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, -0x1.244a6223e186ap-9, -0x1.949d5625149d9p-7, 0x1.a5264b1c8a72bp-4, -0x1.731cb5dc4d6b4p-3}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, -0x1.50fc71d606317p-9, -0x1.472919d8e013ap-8, 0x1.4c1529b477de7p-4, -0x1.212dc87c01e12p-3}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, -0x1.5b573eab367a1p-9, 0x1.abe62ed5beb74p-11, 0x1.06ae03d4257f6p-4, -0x1.282c2833ab62dp-3}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, -0x1.4ad362e903644p-9, 0x1.5839b225e9c66p-8, 0x1.7f325ac2b10ccp-5, -0x1.7e2196b5507abp-3}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, -0x1.270b06c43f5f9p-9, 0x1.096350f169b7dp-7, 0x1.8f8c24d75247p-6, 0x1.01650611da6fep-4}, 
        {0x1.ccccccccccccdp+0, 0x1.0a3d70a3d70a4p+1, -0x1.ede1198aeb80fp-10, 0x1.5333124203fb3p-7, 0x1.058c65cc1b01p-5, -0x1.1aad7364f988fp-2}, 
      }}, 
      0x1.95f563c1d533bp-2, 0x1.f6a60c3520dbbp-5
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_c_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.8e0a0d4a1577ep-3, -0x1.02812ae2d7a62p-1, -0x1.67a0f9096bb99p-5, 0x1.5e2eb1c432ca5p-2, 0x1.8cb923a29c77ap-2, 0x1.7573eab367a1p-2, 0, 2, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f8b5e611ebcf7p-1, -0x1.e39c05805eac1p-1, -0x1.ce730f9dd1451p-1, -0x1.b94b1fa37f3fp-1, -0x1.a433826172268p-1, -0x1.8f39f5384ab6ap-1, -0x1.7a6ab219f4226p-1, -0x1.65d10c69f67ddp-1, -0x1.5177c29beafeap-1, -0x1.3d68c45fdb41cp-1, -0x1.29ac9e08b7fb5p-1, -0x1.164a3f36797edp-1, -0x1.03478b71b0e29p-1, -0x1.e154491645b79p-2, -0x1.bcef3b495829cp-2, -0x1.996a088975023p-2, -0x1.76cc9c89c277ap-2, -0x1.551c4848eed5fp-2, -0x1.345c2b995f41fp-2, -0x1.148e1391943f9p-2, -0x1.eb66c1d159b26p-3, -0x1.af97f8b5d8f25p-3, -0x1.75c40ff56557cp-3, -0x1.3ddfe847c443p-3, -0x1.07e9205819d8fp-3, -0x1.a7b8c6c703024p-4, -0x1.436b89cd7acfcp-4, -0x1.c5c338ac285e3p-5, -0x1.0c21387bf7fc2p-5, -0x1.67615519361a2p-7, 0x1.44d3809bdaf04p-7, 0x1.ea50fd2fc29abp-6, 0x1.92285fdd76c8ep-5, 0x1.142e4b497f12p-4, 0x1.5bf6d946ece2p-4, 0x1.a081b1674045ep-4, 0x1.e1e1f1b3dcd97p-4, 0x1.101513fe61b2p-3, 0x1.2db664c9cdd0cp-3, 0x1.49de5da2c6c9cp-3, 0x1.6496d9331973p-3, 0x1.7dea2ad55e4d6p-3, 0x1.95e311a46d8a3p-3, 0x1.ac8c98ae48e93p-3, 0x1.c1f1ee7938b48p-3, 0x1.d61e3a40ddap-3, 0x1.e91c72bf96f47p-3, 0x1.faf73a61b7641p-3, 0x1.05dc62defeee9p-2, 0x1.0db5686b1384cp-2, 0x1.150b528863ea9p-2, 0x1.1be296ff69b65p-2, 0x1.223f8bc6cfc6bp-2, 0x1.28267749027c1p-2, 0x1.2d9b9e78d7ae5p-2, 0x1.32a34e4897a34p-2, 0x1.3741df5fb1112p-2, 0x1.3b7bb429d70f9p-2, 0x1.3f55324a4f24ep-2, 0x1.42d2b90103ea5p-2, 0x1.45f8962893f2bp-2, 0x1.48cafb4410fd8p-2, 0x1.4b4df3c0c18a3p-2, 0x1.4d8fd32974f14p-2, 0x1.4f80090c438adp-2, 0x1.512ad67bddb01p-2, 0x1.52938446b088dp-2, 0x1.53bd3a060153ap-2, 0x1.54aafe6eaa757p-2, 0x1.555fb8a108acep-2, 0x1.55de32367d28bp-2, 0x1.562919b0ea1dp-2, 0x1.564304e9432c4p-2, 0x1.562e7323cf7b4p-2, 0x1.55edce882cdb2p-2, 0x1.55836cdbd2bd2p-2, 0x1.54f18f8188faap-2, 0x1.543a62e011115p-2, 0x1.535ffd685a1a2p-2, 0x1.52645e7ce54b3p-2, 0x1.51496d78dcdeap-2, 0x1.5010f90903b6p-2, 0x1.4ebcb6f769422p-2, 0x1.4d4e4478fab12p-2, 0x1.4bc726fc72b8cp-2, 0x1.4a28cd6dcced9p-2, 0x1.487491d88de12p-2, 0x1.46abbb4cf2906p-2, 0x1.44cf7fe84cd1cp-2, 0x1.42e106df25a46p-2, 0x1.40e16a689b79dp-2, 0x1.3ed1b96e040ccp-2, 0x1.3cb2f8e84393dp-2, 0x1.3a8624dcfac47p-2, 0x1.384c30f7909efp-2, 0x1.360608c41f4afp-2, 0x1.33b48f9aa9935p-2, 0x1.3158a04f0729dp-2, 0x1.2ef30cbceba41p-2, 0x1.2c849d473a6eep-2, 0x1.2a0e105f4bf93p-2, 0x1.27901a2472b71p-2, 0x1.250b6426f544cp-2, 0x1.22808d54be8f3p-2, 0x1.1ff02a119e8c4p-2, 0x1.1d5ac479972c5p-2, 0x1.1ac0dcc950e9cp-2, 0x1.1822e9e751fbdp-2, 0x1.15815a07caa1fp-2, 0x1.12dc93646a6fdp-2, 0x1.1034f501a711fp-2, 0x1.0d8ad77af21f9p-2, 0x1.0ade8dcf967d1p-2, 0x1.0830662a45de9p-2, 0x1.0580aa9de43bcp-2, 0x1.02cfa1d2beacfp-2, 0x1.001d8fa03b76ap-2, 0x1.fad56b2021fe1p-3, 0x1.f56ea69273b05p-3, 0x1.f0074dc40ff3dp-3, 0x1.ea9fda33d2611p-3, 0x1.e538c2f8ec691p-3, 0x1.dfd27ce08b7b9p-3, 0x1.da6d7a692a1e9p-3, 0x1.d50a2ba2812d3p-3, 0x1.cfa8fdf930c11p-3, 0x1.ca4a5bf516dcap-3, 0x1.c4eeacf0b8cb4p-3, 0x1.bf9654cf64688p-3, 0x1.ba41b3b6c64acp-3, 0x1.b4f125cfd341fp-3, 0x1.afa50311eff2fp-3, 0x1.aa5d9f1a86e0fp-3, 0x1.a51b49127121ap-3, 0x1.9fde4ba20be0ap-3, 0x1.9aa6ecf41ec3fp-3, 0x1.95756ec769d7fp-3, 0x1.904a0e8e0c4fap-3, 0x1.8b250599b60d4p-3, 0x1.860689532b7b9p-3, 0x1.80eecb7b4c28cp-3, 0x1.7bddfa73b85adp-3, 0x1.76d4418cdabf5p-3, 0x1.71d1c95733f9dp-3, 0x1.6cd6b7f5ae141p-3, 0x1.67e3316ee2c59p-3, 0x1.62f757fb6b816p-3, 0x1.5e15907e20bep-3, 0x1.593814d596b7ep-3, 0x1.5462aa476e0c2p-3, 0x1.4f957679ef945p-3, 0x1.4ad09d9d9dap-3, 0x1.4614426be695dp-3, 0x1.4160862791242p-3, 0x1.3cb5889f10a18p-3, 0x1.38136830ddc14p-3, 0x1.337a41d1db875p-3, 0x1.2eea31159577p-3, 0x1.2a635038269bdp-3, 0x1.25e5b8298d9bep-3, 0x1.2171809a01a29p-3, 0x1.1d06c006fd605p-3, 0x1.18a58bc89cb81p-3, 0x1.144df81eed3c2p-3, 0x1.1000183eda642p-3, 0x1.0bbbfe5e70dffp-3, 0x1.0781bbc02578fp-3, 0x1.035160bcfef3ep-3, 0x1.fe55f99ad715fp-4, 0x1.f61d3d216ee15p-4, 0x1.edf8a7a62e542p-4, 0x1.e5e8532497d23p-4, 0x1.ddec5801e3775p-4, 0x1.d604cd11292d4p-4, 0x1.ce31c7955d161p-4, 0x1.c6735b4162e59p-4, 0x1.bec99a36ae09fp-4, 0x1.b7349502a1a5bp-4, 0x1.afb45a9b2d447p-4, 0x1.a848f85adcd2dp-4, 0x1.a0f279fcd6fe3p-4, 0x1.99b0e998e461p-4, 0x1.92844f9fe98fp-4, 0x1.8b6cb2d8e8f19p-4, 0x1.846a185edec87p-4, 0x1.7d7c839f7bb55p-4, 0x1.76a3f65ae8377p-4, 0x1.6fe070a4a0387p-4, 0x1.6931f0e56bc48p-4, 0x1.629873de76569p-4, 0x1.5c13f4ad7e8f7p-4, 0x1.55a46cd20e563p-4, 0x1.4f49d433ac138p-4, 0x1.49042128e9696p-4, 0x1.42d3487f3aa5p-4, 0x1.3cb73d8374c96p-4, 0x1.36aff20ad9385p-4, 0x1.30bd567c8ef49p-4, 0x1.2adf59db6c768p-4, 0x1.2515e9cff7564p-4, 0x1.1f60f2b27eb25p-4, 0x1.19c05f953bec8p-4, 0x1.14341a4e60c09p-4, 0x1.0ebc0b820772ap-4, 0x1.09581aabf1e8fp-4, 0x1.04082e290ff28p-4, 0x1.fd985681872b8p-5, 0x1.f347ec5bbfc33p-5, 0x1.e91ee44ebb5dp-5, 0x1.df1d02d1907d9p-5, 0x1.d5420a74c5f2bp-5, 0x1.cb8dbbf216d31p-5, 0x1.c1ffd63bb7d48p-5, 0x1.b898168b2a484p-5, 0x1.af56386fa9c2ap-5, 0x1.a639f5dc3d944p-5, 0x1.9d430735805fap-5, 0x1.9471235f263d8p-5, 0x1.8bc3ffc950372p-5, 0x1.833b507db8582p-5, 0x1.7ad6c82cbf7e2p-5, 0x1.7296183a6829p-5, 0x1.6a78f0cb4445bp-5, 0x1.627f00d15f751p-5, 0x1.5aa7f6192a067p-5, 0x1.52f37d56660e9p-5, 0x1.4b61423120cf7p-5, 0x1.43f0ef52b1c0ep-5, 0x1.3ca22e72c914bp-5, 0x1.3574a86482cd3p-5, 0x1.2e6805238a03cp-5, 0x1.277bebe13d96fp-5, 0x1.20b00311dbe2bp-5, 0x1.1a03f079b1fccp-5, 0x1.1377593a4442p-5, 0x1.0d09e1df719cbp-5, 0x1.06bb2e6c8c965p-5, 0x1.008ae2696001ep-5, 0x1.f4f141de44cfep-6, 0x1.e908196a95adep-6, 0x1.dd59903c8f963p-6, 0x1.d1e4ea8820e18p-6, 0x1.c6a96c0918c48p-6, 0x1.bba6581b987fep-6, 0x1.b0daf1d4220cap-6, 0x1.a6467c17384ddp-6, 0x1.9be839b08a71dp-6, 0x1.91bf6d69a37afp-6, 0x1.87cb5a201bd1fp-6, 0x1.7e0b42db42546p-6, 0x1.747e6ae13efcp-6, 0x1.6b2415cba327dp-6, 0x1.61fb879b6bcp-6, 0x1.590404cc75352p-6, 0x1.503cd26853fb2p-6, 0x1.47a536189cc31p-6, 0x1.3f3c763896d21p-6, 0x1.3701d9e656592p-6, 0x1.2ef4a913446f3p-6, 0x1.27142c9411dc7p-6, 0x1.1f5fae30129acp-6, 0x1.17d678b00eb5cp-6, 0x1.1077d7ec7a77cp-6, 0x1.094318db255e8p-6, 0x1.0237899c581ap-6, 0x1.f6a8f30ecd06dp-7, 0x1.e932726d7d60bp-7, 0x1.dc0a3526cf8a8p-7, 0x1.cf2ee1c002d29p-7, 0x1.c29f21867c769p-7, 0x1.b659a0a3bc692p-7, 0x1.aa5d0e304f21bp-7, 0x1.9ea81c45cd5bap-7, 0x1.9339800fe151bp-7, 0x1.880ff1dc60f1bp-7, 0x1.7d2a2d2a705cdp-7, 0x1.7286f0b8cd14ep-7, 0x1.6824fe9324469p-7, 0x1.5e031c1e95f91p-7, 0x1.54201225543ebp-7, 0x1.4a7aace16f4a9p-7, 0x1.4111bc06d25bcp-7, 0x1.37e412cc63fb5p-7, 0x1.2ef087f46a9fdp-7, 0x1.2635f5d424676p-7, 0x1.1db33a5a9b79p-7, 0x1.15673716bf386p-7, 0x1.0d50d13cc202ap-7, 0x1.056ef1aac42f3p-7, 0x1.fb8109d993de2p-8, 0x1.ec88f68016c47p-8, 0x1.ddf3912b2edcp-8, 0x1.cfbec928ab24p-8, 0x1.c1e89534d4ca2p-8, 0x1.b46ef37bff24bp-8, 0x1.a74fe99af4a07p-8, 0x1.9a89849e37eap-8, 0x1.8e19d9003f98ep-8, 0x1.81ff02a692c08p-8, 0x1.763724ddedce1p-8, 0x1.6ac06a5568f29p-8, 0x1.5f990518b0b3ep-8, 0x1.54bf2e8959179p-8, 0x1.4a3127574f567p-8, 0x1.3fed37788520ep-8, 0x1.35f1ae1fc956cp-8, 0x1.2c3ce1b2e592p-8, 0x1.22cd2fc006b3cp-8, 0x1.19a0fcf27d1efp-8, 0x1.10b6b506cf47ep-8, 0x1.080ccabe4647ap-8, 0x1.ff436fa3b1bep-9, 0x1.eee7f9c92f0e9p-9, 0x1.df0442eb2ea14p-9, 0x1.cf9567a2c64eap-9, 0x1.c0a06426c810ap-9, 0x1.b21546c3a8607p-9, 0x1.a3f69a0da397ep-9, 0x1.9641adcb9eb3cp-9, 0x1.88f3dede6983ep-9, 0x1.7c0a9721b0209p-9, 0x1.6f834d4c2cf85p-9, 0x1.635b84cf1db76p-9, 0x1.5790cdb50d9c4p-9, 0x1.4c20c47ff1d83p-9, 0x1.41091206a18ebp-9, 0x1.36476b51b8161p-9, 0x1.2bd99177d6c6ep-9, 0x1.21bd51796ee39p-9, 0x1.17f0841bf2fp-9, 0x1.0e710dc492f1dp-9, 0x1.053cde5281e8p-9, 0x1.f8a3e1f19316ep-10, 0x1.e75c982f74d58p-10, 0x1.d6a0022c08695p-10, 0x1.c66a5872d39adp-10, 0x1.b6b7e8fe628cfp-10, 0x1.a78516e886ab6p-10, 0x1.98ce5a1a4c6a1p-10, 0x1.8a903efb3cdfbp-10, 0x1.7cc76620965e3p-10, 0x1.6f7083fc0150bp-10, 0x1.6288608a33159p-10, 0x1.560bd701618e8p-10, 0x1.49f7d57fa92e7p-10, 0x1.3e495cb966a49p-10, 0x1.32fd7fa7c2115p-10, 0x1.281163373019cp-10, 0x1.1d823df6560eep-10, 0x1.134d57c5091a6p-10, 0x1.09700983c163bp-10, 0x1.ffcf7986a51e9p-11, 0x1.ed63d6ea8109bp-11, 0x1.db983f38dde94p-11, 0x1.ca67e5fced31p-11, 0x1.b9ce1dab2d3c6p-11, 0x1.a9c65706760d7p-11, 0x1.9a4c2086c82e3p-11, 0x1.8b5b25c149158p-11, 0x1.7cef2ed206dd3p-11, 0x1.6f041fc73b728p-11, 0x1.6195f80e8b559p-11, 0x1.54a0d1e3d76aep-11, 0x1.4820e1c1fb0b5p-11, 0x1.3c1275d566c8dp-11, 0x1.3071f570ca58bp-11, 0x1.253be0837c58bp-11, 0x1.1a6ccf122a6c5p-11, 0x1.100170b15276fp-11, 0x1.05f68c01f0971p-11, 0x1.f891fc603e009p-12, 0x1.e5eb74e79b86fp-12, 0x1.d3f393274fd15p-12, 0x1.c2a492d3ddd33p-12, 0x1.b1f8d8d6c77bcp-12, 0x1.a1eaf2609992dp-12, 0x1.927593ff020fp-12, 0x1.839398b716bacp-12, 0x1.754001232d2e7p-12, 0x1.6775f29568668p-12, 0x1.5a30b63dca2c1p-12, 0x1.4d6bb854217afp-12, 0x1.41228745fa5fep-12, 0x1.3550d2e855a95p-12, 0x1.29f26bad1c42bp-12, 0x1.1f0341dc4a2b5p-12, 0x1.147f64d0cc898p-12, 0x1.0a630238b2eb2p-12, 0x1.00aa65597067fp-12, 0x1.eea3ecae385c3p-13, 0x1.dcac72fed7d5fp-13, 0x1.cb679d2f58885p-13, 0x1.bacee05d7dac9p-13, 0x1.aadbe5e362c4bp-13, 0x1.9b888a07e23dp-13, 0x1.8ccedab4ab9ep-13, 0x1.7ea91633b43f7p-13, 0x1.7111a9f1be6c4p-13, 0x1.640331477b2d3p-13, 0x1.577874489462ap-13, 0x1.4b6c6698a2c7bp-13, 0x1.3fda2645ca836p-13, 0x1.34bcfaa98bb2dp-13, 0x1.2a10534e6b3ccp-13, 0x1.1fcfc6dc49376p-13, 0x1.15f712094c09bp-13, 0x1.0c821690bbf83p-13, 0x1.036cda2ef1879p-13, 0x1.f5670b45fc7d2p-14, 0x1.e4a4c76a6634ep-14, 0x1.d48bc085face8p-14, 0x1.c5150e9edf80dp-14, 0x1.b63a083476c4fp-14, 0x1.a7f440729bdb6p-14, 0x1.9a3d8573ff3b4p-14, 0x1.8d0fde8a2f829p-14, 0x1.80658a90ee3f5p-14, 0x1.7438fe4b24bc1p-14, 0x1.6884e2c8284bfp-14, 0x1.5d4413d3b79fap-14, 0x1.52719e6dc6fbp-14, 0x1.4808bf4c626bcp-14, 0x1.3e04e164225d4p-14, 0x1.34619c7d7add2p-14, 0x1.2b1ab3cedae14p-14, 0x1.222c14a12602ep-14, 0x1.1991d4fc11a3cp-14, 0x1.1148325ae9e57p-14, 0x1.094b90697d0d7p-14, 0x1.019877c8ea264p-14, 0x1.f45729b96acap-15, 0x1.e6036d3d68ed9p-15, 0x1.d82f9af830691p-15, 0x1.cad5d4714ff0cp-15, 0x1.bdf079b3f8355p-15, 0x1.b17a2733c947bp-15, 0x1.a56db3bfdc4e1p-15, 0x1.99c62e847823fp-15, 0x1.8e7edd1776b99p-15, 0x1.83933998878e9p-15, 0x1.78fef0d72b76ap-15, 0x1.6ebde08bb71a2p-15, 0x1.64cc1599747d5p-15, 0x1.5b25ca5ecdaebp-15, 0x1.51c76511257c8p-15, 0x1.48ad76252bec1p-15, 0x1.3fd4b6c26f968p-15, 0x1.373a0742a66c3p-15, 0x1.2eda6dbc27799p-15, 0x1.26b314976000dp-15, 0x1.1ec1492f52ac3p-15, 0x1.17027a7b1b1dbp-15, 0x1.0f7437c5105d4p-15, 0x1.08142f66f7f3ap-15, 0x1.00e02d9583307p-15, 0x1.f3ac3663d480ap-16, 0x1.e5e7f9452ac48p-16, 0x1.d86fe179f5fd5p-16, 0x1.cb405f603156p-16, 0x1.be5613f66e955p-16, 0x1.b1adceda146f6p-16, 0x1.a5448c567129ep-16, 0x1.9917738070a2ep-16, 0x1.8d23d4676d38bp-16, 0x1.81672650ac65dp-16, 0x1.75df0603f1422p-16, 0x1.6a8934281317fp-16, 0x1.5f6393a4159d3p-16, 0x1.546c28212b975p-16, 0x1.49a114872eae5p-16, 0x1.3f00998f891f8p-16, 0x1.34891462ffbdfp-16, 0x1.2a38fd4463caep-16, 0x1.200ee644b203p-16, 0x1.16097a081a2bcp-16, 0x1.0c277a9149309p-16, 0x1.0267c01a59522p-16, 0x1.f1926ff00c8dbp-17, 0x1.de95c70eb3cc8p-17, 0x1.cbd7ae4b63549p-17, 0x1.b9567263e9be6p-17, 0x1.a710823187427p-17, 0x1.95046cd1415f7p-17, 0x1.8330dfdfd93d3p-17, 0x1.7194a5c682ed8p-17, 0x1.602ea41996468p-17, 0x1.4efdda094cca9p-17, 0x1.3e015ed74d026p-17, 0x1.2d38607351174p-17, 0x1.1ca2220d67798p-17, 0x1.0c3dfac725d3dp-17, 0x1.f816a8d7a8dc2p-18, 0x1.d8135470e43acp-18, 0x1.b8710f63726e8p-18, 0x1.992f0f0c967c6p-18, 0x1.7a4ca4ede9356p-18, 0x1.5bc93cb5cec97p-18, 0x1.3da45a3d9136bp-18, 0x1.1fdd97b5ff88ap-18, 0x1.0274a3c39dcafp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5278300d1384ep+0, -0x1.4e141f5224ff6p+0, -0x1.499b2ced959f1p+0, -0x1.451004f4732acp+0, -0x1.407507ff6c25ep+0, -0x1.3bccb827f7a0cp+0, -0x1.371960eaf8accp+0, -0x1.325d0e3dc3276p+0, -0x1.2d99daa4334b1p+0, -0x1.28d1c87f45cf1p+0, -0x1.2406956a32089p+0, -0x1.1f39e45beb1eap+0, -0x1.1a6d5be9df2bdp+0, -0x1.15a28bafcfaf7p+0, -0x1.10dad66b9b98bp+0, -0x1.0c177e443c4b4p+0, -0x1.0759b481a0c6ap+0, -0x1.02a297eac95e4p+0, -0x1.fbe65c6d96601p-1, -0x1.f298cc61f8433p-1, -0x1.e95e3d1177ed4p-1, -0x1.e03878a11a99dp-1, -0x1.d728b65784ea1p-1, -0x1.ce30549638577p-1, -0x1.c550829c9b07ap-1, -0x1.bc8a52de17dc2p-1, -0x1.b3debc58ff518p-1, -0x1.ab4e9b3394adap-1, -0x1.a2dab10d89ef7p-1, -0x1.9a83a5da8ab27p-1, -0x1.924a0a1005fa6p-1, -0x1.8a2e59f5edf84p-1, -0x1.823100c59dc7ep-1, -0x1.7a525a30c2ce2p-1, -0x1.7292b220662bep-1, -0x1.6af243e0e0884p-1, -0x1.63713a409fd8ap-1, -0x1.5c0fb12efa9bfp-1, -0x1.54cdb813f91cdp-1, -0x1.4dab538b7b83fp-1, -0x1.46a87dc14e0d9p-1, -0x1.3fc525cb5392fp-1, -0x1.39012f218b713p-1, -0x1.325c7238818e1p-1, -0x1.2bd6be77b1fabp-1, -0x1.256fdce41def3p-1, -0x1.1f27926b930e4p-1, -0x1.18fda0f3db37ap-1, -0x1.12f1c6f485ea4p-1, -0x1.0d03be0efac5cp-1, -0x1.0733397ba9a51p-1, -0x1.017fe51d59a1fp-1, -0x1.f7d2cb6490d44p-2, -0x1.ecdeb441dc6c5p-2, -0x1.e222baf06f7b6p-2, -0x1.d79e121408b16p-2, -0x1.cd4fec230da8cp-2, -0x1.c3377d1c3db0ep-2, -0x1.b953fa86c527fp-2, -0x1.afa49a1c6bbf9p-2, -0x1.a6288fc84e402p-2, -0x1.9cdf0bb3419fcp-2, -0x1.93c738f46f06dp-2, -0x1.8ae04bc07b51cp-2, -0x1.82292a40624abp-2, -0x1.79a11ae4313e5p-2, -0x1.714742f027dc4p-2, -0x1.691ac8b56f924p-2, -0x1.611ad3fc2a01dp-2, -0x1.59468e3847a25p-2, -0x1.519d22926e61ap-2, -0x1.4a1dbdd86ba61p-2, -0x1.42c78e6bbd41p-2, -0x1.3b99c44116bap-2, -0x1.349390fb5d51bp-2, -0x1.2db428228c34ep-2, -0x1.26fabf6e6dc9ep-2, -0x1.20668f180ca13p-2, -0x1.19f6d22410d7fp-2, -0x1.13aac69b24adfp-2, -0x1.0d81adaac84fbp-2, -0x1.077acbaebe2a2p-2, -0x1.019568282054dp-2, -0x1.f7a19b5422549p-3, -0x1.ec589389a6991p-3, -0x1.e14e59eda5031p-3, -0x1.d6819551174abp-3, -0x1.cbf0f26a3a2e9p-3, -0x1.c19b23fc1d45cp-3, -0x1.b77ee30cd5f52p-3, -0x1.ad9aef1f6da5cp-3, -0x1.a3ee0e65e8e15p-3, -0x1.9a770de13c913p-3, -0x1.9134c16844f68p-3, -0x1.88260392ff8b8p-3, -0x1.7f49b58be1ebbp-3, -0x1.769ebecd15428p-3, -0x1.6e240cd20d9bfp-3, -0x1.65d892c73d6c8p-3, -0x1.5dbb494109f3fp-3, -0x1.55cb2e017fc9ap-3, -0x1.4e0743d13d4e8p-3, -0x1.466e926d0a9b9p-3, -0x1.3f00268668e29p-3, -0x1.37bb11d2f4707p-3, -0x1.309e6b24dd417p-3, -0x1.29a94e861bc01p-3, -0x1.22dadd5045bd7p-3, -0x1.1c323e3bff681p-3, -0x1.15ae9d647b9e8p-3, -0x1.0f4f2c3d396b8p-3, -0x1.09132179edf6dp-3, -0x1.02f9b8e9e301p-3, -0x1.fa046692a0de5p-4, -0x1.ee57ac178bcf5p-4, -0x1.e2ebd6460dd68p-4, -0x1.d7bf818b5d44bp-4, -0x1.ccd15270c5f3p-4, -0x1.c21ff537d1932p-4, -0x1.b7aa1d83641fcp-4, -0x1.ad6e860f5a031p-4, -0x1.a36bf0772da6dp-4, -0x1.99a1250ab6ee4p-4, -0x1.900cf2af678bp-4, -0x1.86ae2ecb91e37p-4, -0x1.7d83b538e4839p-4, -0x1.748c683b3cad5p-4, -0x1.6bc73078da834p-4, -0x1.6332fcf1658eep-4, -0x1.5acec2f18a4a1p-4, -0x1.52997e0192e68p-4, -0x1.4a922fcdeb595p-4, -0x1.42b7e0092cec4p-4, -0x1.3b099c47d7ad4p-4, -0x1.338677d6740a9p-4, -0x1.2c2d8b8b2c673p-4, -0x1.24fdf59447788p-4, -0x1.1df6d94502c3cp-4, -0x1.17175ee25310fp-4, -0x1.105eb370f53bap-4, -0x1.09cc0885ff5e5p-4, -0x1.035e941ae40ffp-4, -0x1.fa2b20cb07d97p-5, -0x1.ede0776946de4p-5, -0x1.e1dbb0a185fc1p-5, -0x1.d61b58c25a0eep-5, -0x1.ca9e03a988ecap-5, -0x1.bf62604ffae76p-5, -0x1.b466d79121dcp-5, -0x1.a9aa36a028f62p-5, -0x1.9f2b2f5c86a7fp-5, -0x1.94e87a9d03a2ap-5, -0x1.8ae0d80354e0fp-5, -0x1.81130dd13f0d7p-5, -0x1.777de8bf4dd4bp-5, -0x1.6e203bd50e3d7p-5, -0x1.64f8e042bce7ap-5, -0x1.5c06b53c58b6p-5, -0x1.53489fd5f92a1p-5, -0x1.4abd8ae15680bp-5, -0x1.426466cc627c3p-5, -0x1.3a3c2980d7793p-5, -0x1.3243ce44a8b15p-5, -0x1.2a7a559b40522p-5, -0x1.22dec5276ff66p-5, -0x1.1b70278e1814fp-5, -0x1.142d8c5969313p-5, -0x1.0d1607dcccdf4p-5, -0x1.0628b3196c0f2p-5, -0x1.fec95746adacfp-6, -0x1.f192270ea7695p-6, -0x1.e4aa2262b7307p-6, -0x1.d80f9ea794126p-6, -0x1.cbc0f99e8891dp-6, -0x1.bfbc9936bce11p-6, -0x1.b400eb5ffdd19p-6, -0x1.a88c65df08e65p-6, -0x1.9d5d862349d68p-6, -0x1.9272d11e11f1p-6, -0x1.87cad31b2c87cp-6, -0x1.7d641f9ac73c1p-6, -0x1.733d512c9c958p-6, -0x1.6955094c3f1b7p-6, -0x1.5fa9f03e7e9c4p-6, -0x1.563ab4efc8ac7p-6, -0x1.4d060cd36d23cp-6, -0x1.440ab3c3bb57p-6, -0x1.3b476be2e676ep-6, -0x1.32bafd7c9ec6fp-6, -0x1.2a6436e85ac1cp-6, -0x1.2241ec6c3d27fp-6, -0x1.1a52f8209c353p-6, -0x1.129639d424589p-6, -0x1.0b0a96f0858d2p-6, -0x1.03aefa5fc3405p-6, -0x1.f904a8e4072b8p-7, -0x1.eb073587ffa0dp-7, -0x1.dd63904bf20dcp-7, -0x1.d017b9067e6aap-7, -0x1.c321b99488b0ap-7, -0x1.b67fa5aa7888cp-7, -0x1.aa2f9aa67ec08p-7, -0x1.9e2fbf63ebc69p-7, -0x1.927e440f87b3dp-7, -0x1.871961fce36fbp-7, -0x1.7bff5b7c97acfp-7, -0x1.712e7bb371bf4p-7, -0x1.66a51672819edp-7, -0x1.5c61880fee5c8p-7, -0x1.52623540abc44p-7, -0x1.48a58af2e85cep-7, -0x1.3f29fe2931cdcp-7, -0x1.35ee0bd656fa9p-7, -0x1.2cf038b9e9dc7p-7, -0x1.242f113d6f2a4p-7, -0x1.1ba929522e05bp-7, -0x1.135d1c4f81fb2p-7, -0x1.0b498cd1df09ep-7, -0x1.036d249a4c74cp-7, -0x1.f78d28dcd53e1p-8, -0x1.e8a927f21f486p-8, -0x1.da2bc356a90dep-8, -0x1.cc12853c57784p-8, -0x1.be5b04e8d63aap-8, -0x1.b102e67ac1cfap-8, -0x1.a407daaf9b91p-8, -0x1.97679eaac8ed7p-8, -0x1.8b1ffbbd66023p-8, -0x1.7f2ec72f08dd6p-8, -0x1.7391e20763666p-8, -0x1.684738d8bb31bp-8, -0x1.5d4cc38b498c4p-8, -0x1.52a08529635fep-8, -0x1.48408bac750aep-8, -0x1.3e2aefcad61c1p-8, -0x1.345dd4c65ac56p-8, -0x1.2ad7683baf67bp-8, -0x1.2195e1f2745e9p-8, -0x1.189783ae19329p-8, -0x1.0fda98ff6b609p-8, -0x1.075d7716ddc6fp-8, -0x1.fe3cf92efa5bbp-9, -0x1.ee3822d52c484p-9, -0x1.dea94d27db045p-9, -0x1.cf8d6c0d9c903p-9, -0x1.c0e184f6ea6f3p-9, -0x1.b2a2ae8ab986cp-9, -0x1.a4ce1053f5fbfp-9, -0x1.9760e27023cdp-9, -0x1.8a586d3f861b3p-9, -0x1.7db209160dbcbp-9, -0x1.716b1deda3b66p-9, -0x1.6581231962f5fp-9, -0x1.59f19efa34254p-9, -0x1.4eba26b43ff8bp-9, -0x1.43d85de5968d6p-9, -0x1.3949f65debbfep-9, -0x1.2f0cafd749851p-9, -0x1.251e57b00295p-9, -0x1.1b7cc8a582e27p-9, -0x1.1225ea90347bcp-9, -0x1.0917b22089272p-9, -0x1.0050209ce2ecbp-9, -0x1.ef9a874129f39p-10, -0x1.df1a69b7c8313p-10, -0x1.cf1c33aa0d78fp-10, -0x1.bf9c475429bd1p-10, -0x1.b0971da812e5fp-10, -0x1.a20945d548f81p-10, -0x1.93ef64d2a143ep-10, -0x1.864634e9f0183p-10, -0x1.790a85458132ep-10, -0x1.6c39397f919a8p-10, -0x1.5fcf49337d31ap-10, -0x1.53c9bf90c88bp-10, -0x1.4825baf0039edp-10, -0x1.3ce06c6952b67p-10, -0x1.31f7176cca973p-10, -0x1.2767115cc5155p-10, -0x1.1d2dc1294dff2p-10, -0x1.13489eee140d1p-10, -0x1.09b533916146dp-10, -0x1.00711865145ebp-10, -0x1.eef3ed91cdf4bp-11, -0x1.dd9b0f9ddefb7p-11, -0x1.ccd327c243063p-11, -0x1.bc97e4d169a84p-11, -0x1.ace512ee1e095p-11, -0x1.9db69ae090ea6p-11, -0x1.8f08816e02d41p-11, -0x1.80d6e6b4611a7p-11, -0x1.731e058804effp-11, -0x1.65da32d4de6c5p-11, -0x1.5907dd027b68ap-11, -0x1.4ca38b5b0f92ap-11, -0x1.40a9dd74fe438p-11, -0x1.35178aa00941fp-11, -0x1.29e9615473de2p-11, -0x1.1f1c46a574badp-11, -0x1.14ad35b6498d4p-11, -0x1.0a993f31dc29ap-11, -0x1.00dd88c570e26p-11, -0x1.eeee993b4224ep-12, -0x1.dcc7b1cc589f7p-12, -0x1.cb411e9872471p-12, -0x1.ba55c9069b228p-12, -0x1.aa00bf994ebfcp-12, -0x1.9a3d350247c69p-12, -0x1.8b067f3afd7fep-12, -0x1.7c5816a2630a7p-12, -0x1.6e2d951ed91e8p-12, -0x1.6082b54542de4p-12, -0x1.53535184595ebp-12, -0x1.469b635460226p-12, -0x1.3a57026c83498p-12, -0x1.2e86fb207352cp-12, -0x1.231ed8d047a37p-12, -0x1.181f3177325fp-12, -0x1.0d848e0c74d0ep-12, -0x1.034b9215db9a2p-12, -0x1.f2e1f5e901bd1p-13, -0x1.dfe33e6cbc598p-13, -0x1.cd94dbd749c0ap-13, -0x1.bbf0dbff52631p-13, -0x1.aaf17b2b7df5p-13, -0x1.9a9122d3486c9p-13, -0x1.8aca686704781p-13, -0x1.7b980c1f38756p-13, -0x1.6cf4f7d2888dap-13, -0x1.5edc3dd248f9fp-13, -0x1.514917cf18a04p-13, -0x1.4436e5c231c0ep-13, -0x1.37a12cddb2f72p-13, -0x1.2b8396858b7e5p-13, -0x1.1fd9ef4b0f82bp-13, -0x1.14a025f0fa914p-13, -0x1.09d24a755df1cp-13, -0x1.fed91a3dbef5fp-14, -0x1.ead67b29d3477p-14, -0x1.d79593f13a784p-14, -0x1.c50f7c0b137b7p-14, -0x1.b33d846f59604p-14, -0x1.a21935ed6151p-14, -0x1.919c4f8ce4bf3p-14, -0x1.81c0c4f95d035p-14, -0x1.7280bcf7c2459p-14, -0x1.63d68fe6a4dc5p-14, -0x1.55bcc643d76c7p-14, -0x1.482e17449766fp-14, -0x1.3b25676e70b23p-14, -0x1.2e9dc73cc487ap-14, -0x1.229271cf96fap-14, -0x1.16fecba24f077p-14, -0x1.0bde614b8605fp-14, -0x1.012ce645193bdp-14, -0x1.edcc6778cc6f7p-15, -0x1.da0c8ed66682bp-15, -0x1.c71284eeae05p-15, -0x1.b4d6d0b67a33ep-15, -0x1.a3523babee2b7p-15, -0x1.927dcfc032385p-15, -0x1.8252d55aaab26p-15, -0x1.72cad15ed3d2ap-15, -0x1.63df834675238p-15, -0x1.558ae34710664p-15, -0x1.47c720851f9dep-15, -0x1.3a8e9f54c603p-15, -0x1.2ddbf78562b77p-15, -0x1.21a9f2bb1e371p-15, -0x1.15f38ad4589d2p-15, -0x1.0ab3e858cd8a3p-15, -0x1.ffccc1e7372cbp-16, -0x1.eb0cec02aeb0ap-16, -0x1.d71fa63754e24p-16, -0x1.c3fc996e7e1d1p-16, -0x1.b19bbd977417bp-16, -0x1.9ff557075cedbp-16, -0x1.8f01f3f2e6505p-16, -0x1.7eba69e6e3f12p-16, -0x1.6f17d37be1aa8p-16, -0x1.60138df1b0432p-16, -0x1.51a736f39dcb8p-16, -0x1.43ccaa680f452p-16, -0x1.367e005138d52p-16, -0x1.29b58abe31f32p-16, -0x1.1d6dd3cbdcac3p-16, -0x1.11a19bb4e611bp-16, -0x1.064bd6f233ef1p-16, -0x1.f6cf58d1345c2p-17, -0x1.e1e0e747d547dp-17, -0x1.cdc3664b92f2ap-17, -0x1.ba6e3d5fc7a87p-17, -0x1.a7d92b780fc8fp-17, -0x1.95fc43c1f9d7bp-17, -0x1.84cfeaa6b8918p-17, -0x1.744cd2e152cc2p-17, -0x1.646bfaa73d589p-17, -0x1.5526a8ecd9cd9p-17, -0x1.46766abdb02p-17, -0x1.385510aacd00ep-17, -0x1.2abcac4cbff1p-17, -0x1.1da78de0e60e3p-17, -0x1.111041eccda45p-17, -0x1.04f18f03abbd4p-17, -0x1.f28ce72a316b9p-18, -0x1.dc1447a49fb02p-18, -0x1.c6700f4d30b4fp-18, -0x1.b1977165a8863p-18, -0x1.9d8200ecc933cp-18, -0x1.8a27acd5fb666p-18, -0x1.7780bc8b40f93p-18, -0x1.6585cc5cabb23p-18, -0x1.542fca5cca573p-18, -0x1.4377f2e81afe7p-18, -0x1.3357cdd16304fp-18, -0x1.23c92b3603c2ap-18, -0x1.14c620a75a266p-18, -0x1.06490659fa452p-18, -0x1.f098e8f410476p-19, -0x1.d5968117de91dp-19, -0x1.bb80f5da3bb79p-19, -0x1.a24ed8eb393e7p-19, -0x1.89f727d4ddabep-19, -0x1.7271482881862p-19, -0x1.5bb502add35c9p-19, -0x1.45ba7f578fea1p-19, -0x1.307a413f72592p-19, -0x1.1bed22bdc9be2p-19, -0x1.080c51b13ed31p-19, -0x1.e9a297c9aa88dp-20, -0x1.c46bb72b713a8p-20, -0x1.a06828563daf5p-20, -0x1.7d8c9ddb36c66p-20, -0x1.5bce4ffba0b3ap-20, -0x1.3b22f6b2f549ap-20, -0x1.1b80c4018b653p-20, -0x1.f9bcbcdf7bb7ap-21, -0x1.be65b7e267fb2p-21, -0x1.84eb785dadf9bp-21, -0x1.4d3dc92de1cdep-21, -0x1.174d364aba919p-21, -0x1.c61607b3c2536p-22, -0x1.60d24b7632ed1p-22, -0x1.fd68dc741925cp-23, -0x1.3f45cbd6271adp-23, -0x1.0e155e5b78b4bp-24, 0x1.5bb766607dce3p-26, 0x1.b0d6aa42bbf6bp-24, 0x1.7ffccb75329a5p-23, 0x1.1129cfdcce9f9p-22, 0x1.5fcb24782485cp-22, 0x1.abf4be213a8d5p-22, 0x1.f5b821dd1a9c7p-22, 0x1.1e93056b1b45fp-21, 0x1.41273987831dp-21, 0x1.62a04ee38d0e9p-21, 0x1.8305918801f4bp-21, 0x1.a25dfaa1020eep-21, 0x1.c0b035e3bea14p-21, 0x1.de02a5de0afdfp-21, 0x1.fa5b66f14f1cp-21, 0x1.0ae02a03dcd7dp-20, 0x1.181b84d1b2925p-20, 0x1.24e274bc27d17p-20, 0x1.31378eceaccf8p-20, 0x1.3d1d4dd5341bfp-20, 0x1.489613a8e52fp-20, 0x1.53a42b4be86e9p-20, 0x1.5e49c935116ap-20, 0x1.68890d457206ap-20, 0x1.726403d286779p-20, 0x1.7bdca6cc50c72p-20, 0x1.84f4dedd3e804p-20, 0x1.8dae8451489cep-20, 0x1.960b60435d19bp-20, 0x1.9e0d2d6acea1p-20, 0x1.a5b599050db5ap-20, 0x1.ad0643ab4e246p-20, 0x1.b400c21c97253p-20, 0x1.baa69dffcaabfp-20, 0x1.c0f9568c49b58p-20, 0x1.c6fa61459e848p-20, 0x1.ccab2a9d295c1p-20, 0x1.d20d165bab37p-20, 0x1.d72180769dfa9p-20, 0x1.dbe9bd685a981p-20, 0x1.e0671a9ae4474p-20, 0x1.e49adf55094d3p-20, 0x1.e8864c7cca7ap-20, 0x1.ec2a9d62eeabep-20, 0x1.ef89081fb8d9dp-20, 0x1.f2a2bddd7462ep-20, 0x1.f578eb30ac7b4p-20, 0x1.f80cb867b14eep-20, 0x1.fa5f49c355aap-20, 0x1.fc71bff837e42p-20, 0x1.fe4538136f195p-20, 0x1.ffdacbf03fec3p-20, 0x1.0099c91f6aeaep-19, 0x1.01284f9d1ce49p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4831fed855b3bp-2, -0x1.3b31bd45f168dp-2, -0x1.2c987ba7f8928p-2, -0x1.1c93d28e33f6p-2, -0x1.0b4fac6de875bp-2, -0x1.f1eac9ff09317p-3, -0x1.cb58b71e780d6p-3, -0x1.a3343103012b8p-3, -0x1.79c3607002f2fp-3, -0x1.4f47c2963c573p-3, -0x1.23fec3c8195c4p-3, -0x1.f042c126d366ep-4, -0x1.97c824575bdbp-4, -0x1.3eef028af878ep-4, -0x1.cc2378980ec1ep-5, -0x1.1b05f4f11dcb3p-5, -0x1.ac68ac420318bp-7, 0x1.0c6a458ca688p-7, 0x1.de3fe877d8b9p-6, 0x1.98893761a0f8ap-5, 0x1.1f7a49e6caf23p-4, 0x1.71040efddea3fp-4, 0x1.c0bcb2fca1246p-4, 0x1.0741e3a9a20ffp-3, 0x1.2d1e79094a244p-3, 0x1.51e7ff2122abep-3, 0x1.75944a976fb88p-3, 0x1.981b02721c4a4p-3, 0x1.b97583841fa4p-3, 0x1.d99ec08725276p-3, 0x1.f893206fe7f92p-3, 0x1.0b282eba18c8ap-2, 0x1.196ab1fc7477fp-2, 0x1.27111769812e8p-2, 0x1.341bd0c8187c9p-2, 0x1.408bb371139c2p-2, 0x1.4c61ed3f9d399p-2, 0x1.57a0001c70f75p-2, 0x1.6247c0e2b9dc9p-2, 0x1.6c5b545d4956dp-2, 0x1.75dd26e5f9014p-2, 0x1.7ecfdf479aec6p-2, 0x1.873650c3e9d49p-2, 0x1.8f13706d5368p-2, 0x1.966a4fa73e95ap-2, 0x1.9d3e1a9360611p-2, 0x1.a392177504063p-2, 0x1.a969a45e3b2b4p-2, 0x1.aec8322bb04cbp-2, 0x1.b3b13dabfdf33p-2, 0x1.b82848d3026e3p-2, 0x1.bc30d5be98e07p-2, 0x1.bfce646a66b19p-2, 0x1.c30472cfdd8dep-2, 0x1.c5d67e574b8e3p-2, 0x1.c848053175666p-2, 0x1.ca5c866f0e209p-2, 0x1.cc178043e1603p-2, 0x1.cd7c6c90a130bp-2, 0x1.ce8ebc51a52cap-2, 0x1.cf51d2c96c2a3p-2, 0x1.cfc9012e0fd08p-2, 0x1.cff7836461ac2p-2, 0x1.cfe1d50e4818bp-2, 0x1.cf883323165e5p-2, 0x1.ceeef9535409dp-2, 0x1.ce190e34a876dp-2, 0x1.cd0942221f454p-2, 0x1.cbc24fd9c3971p-2, 0x1.ca46dd7e23b31p-2, 0x1.c8997dc0ecc9ap-2, 0x1.c6bcb10227a6fp-2, 0x1.c4b2e63b3ae64p-2, 0x1.c27e7b9a75894p-2, 0x1.c021bec17198ep-2, 0x1.bd9eeca582bbep-2, 0x1.baf8311d2e32dp-2, 0x1.b82fa62fcdd13p-2, 0x1.b5475343d3518p-2, 0x1.b2412c4c0c231p-2, 0x1.af1f111416bf4p-2, 0x1.abe2ccc857508p-2, 0x1.a88e15cecb44ep-2, 0x1.a5228dfd49e5ap-2, 0x1.a1a1c33011bdbp-2, 0x1.9e0d303a14849p-2, 0x1.9a663e200522p-2, 0x1.96ae458857989p-2, 0x1.92e69045cb0ap-2, 0x1.8f105ae0008e7p-2, 0x1.8b2cd5fe62a89p-2, 0x1.873d279d49ebap-2, 0x1.83426bfb6f432p-2, 0x1.7f3db635d438bp-2, 0x1.7b30109155258p-2, 0x1.771a7c79cfef2p-2, 0x1.72fdf2463885cp-2, 0x1.6edb60d5ea82fp-2, 0x1.6ab3ad1dbe30ep-2, 0x1.6687b1ba981a9p-2, 0x1.62583e9beb0c1p-2, 0x1.5e2618d39611p-2, 0x1.59f1fa92a68afp-2, 0x1.55bc9354b9b37p-2, 0x1.51868836a1b79p-2, 0x1.4d50747144fcbp-2, 0x1.491ae9ef594dp-2, 0x1.44e671f3d41dep-2, 0x1.40b38dc74ac4ap-2, 0x1.3c82b763b7e3fp-2, 0x1.38546217f7ac4p-2, 0x1.3428fb1e33d55p-2, 0x1.3000ea22653e6p-2, 0x1.2bdc91b7b8a9bp-2, 0x1.27bc4fbcea5cep-2, 0x1.23a07db0966c9p-2, 0x1.1f8970f71b1b6p-2, 0x1.1b777b13eee4ep-2, 0x1.176ae9d86be34p-2, 0x1.1364078a07b48p-2, 0x1.0f631b01cc427p-2, 0x1.0b6867c6ad869p-2, 0x1.07742e2432904p-2, 0x1.0386ab3e8e5a2p-2, 0x1.ff40324a27772p-3, 0x1.f7815dc7420dbp-3, 0x1.efd14126c90f4p-3, 0x1.e8303ed647523p-3, 0x1.e09eb39df70f3p-3, 0x1.d91cf6bf0c83dp-3, 0x1.d1ab5a1088fdap-3, 0x1.ca4a2a1a5a7ccp-3, 0x1.c2f9ae2eeb1dcp-3, 0x1.bbba28835511ap-3, 0x1.b48bd646e1625p-3, 0x1.ad6eefbaa2dd3p-3, 0x1.a663a84a21ab8p-3, 0x1.9f6a2ea63e438p-3, 0x1.9882ace334cbcp-3, 0x1.91ad489aa5a2bp-3, 0x1.8aea231236d15p-3, 0x1.8439596704106p-3, 0x1.7d9b04bdd1102p-3, 0x1.770f3a7785806p-3, 0x1.70960c6934da9p-3, 0x1.6a2f8916bc841p-3, 0x1.63dbbbeec62edp-3, 0x1.5d9c2acd5d55bp-3, 0x1.576d2b40faccbp-3, 0x1.5150f3fe20b1fp-3, 0x1.4b478b00db9d7p-3, 0x1.4550f3eead179p-3, 0x1.3f6d302706347p-3, 0x1.399c3ed427567p-3, 0x1.33de1cfcab77cp-3, 0x1.2e32c595c19c7p-3, 0x1.289a31960f28p-3, 0x1.23145809332a2p-3, 0x1.1da12e23c3f05p-3, 0x1.1840a757983c1p-3, 0x1.12f2b56838efdp-3, 0x1.0db7487f3a1b1p-3, 0x1.088e4f404da7ap-3, 0x1.0377b6dcde667p-3, 0x1.fce6d64e160c6p-4, 0x1.f302ad47a1231p-4, 0x1.e942c538ab042p-4, 0x1.dfa6ee5c70c11p-4, 0x1.d62ef6b5ab43ap-4, 0x1.ccdaaa2b0ec89p-4, 0x1.c3a9d2a1c3626p-4, 0x1.ba9c3815e111bp-4, 0x1.b1b1a0b12d064p-4, 0x1.a8e9d0e018091p-4, 0x1.a0448b6565d96p-4, 0x1.97c1916c6d4fp-4, 0x1.8f60a29a5993p-4, 0x1.87217d1e7ee83p-4, 0x1.7f03ddc1f4455p-4, 0x1.77077ff69cda9p-4, 0x1.6f2c1de5c04c5p-4, 0x1.6771707e4ea93p-4, 0x1.5fd72f82ea526p-4, 0x1.585d1197c6435p-4, 0x1.5102cc50696e7p-4, 0x1.49c8143d61bddp-4, 0x1.42ac9cf9eb4a3p-4, 0x1.3bb0193992ff8p-4, 0x1.34d23ad5d3ccdp-4, 0x1.2e12b2dbb0a9bp-4, 0x1.2771319947ecbp-4, 0x1.20ed66ab5d4e1p-4, 0x1.1a87010ada6b6p-4, 0x1.143daf1a3a014p-4, 0x1.0e111eb2dff86p-4, 0x1.0800fd32516dfp-4, 0x1.020cf7874bd65p-4, 0x1.f869747d5e874p-5, 0x1.ecefe320714a9p-5, 0x1.e1ac92d6082ccp-5, 0x1.d69edb039bcf1p-5, 0x1.cbc612addbfcep-5, 0x1.c121909012a5p-5, 0x1.b6b0ab32e0669p-5, 0x1.ac72b9024b4e5p-5, 0x1.a26710631f6a7p-5, 0x1.988d07c78f9d2p-5, 0x1.8ee3f5c31a8ccp-5, 0x1.856b311daf1e8p-5, 0x1.7c2210e60e5f1p-5, 0x1.7307ec836b8e3p-5, 0x1.6a1c1bc64f395p-5, 0x1.615df6f8bdbfp-5, 0x1.58ccd6eda4c1cp-5, 0x1.5068150f9b7e3p-5, 0x1.482f0b6ef5ac9p-5, 0x1.402114cf2ee76p-5, 0x1.383d8cb3bec7cp-5, 0x1.3083cf6c51d77p-5, 0x1.28f33a2073a9cp-5, 0x1.218b2adab6c61p-5, 0x1.1a4b00935847p-5, 0x1.13321b3a6bd98p-5, 0x1.0c3fdbc19561ep-5, 0x1.0573a4255805ap-5, 0x1.fd99aeec0074cp-6, 0x1.f095b3c05538ep-6, 0x1.e3da2169e9d81p-6, 0x1.d765c4e3a39a3p-6, 0x1.cb376d9026b0fp-6, 0x1.bf4ded4835184p-6, 0x1.b3a818689035dp-6, 0x1.a844c5df31955p-6, 0x1.9d22cf37fbd55p-6, 0x1.924110a8e1a7fp-6, 0x1.879e691d80166p-6, 0x1.7d39ba422c083p-6, 0x1.7311e88e79625p-6, 0x1.6925db4f3ddcp-6, 0x1.5f747cb004457p-6, 0x1.55fcb9c3fa1b6p-6, 0x1.4cbd828e581c1p-6, 0x1.43b5ca0a35acap-6, 0x1.3ae48631dd954p-6, 0x1.3248b00591c7cp-6, 0x1.29e14391c5396p-6, 0x1.21ad3ff4cbd0ep-6, 0x1.19aba763ffb43p-6, 0x1.11db7f3058708p-6, 0x1.0a3bcfca84e16p-6, 0x1.02cba4c674d61p-6, 0x1.f71419bcc1101p-7, 0x1.e8ec33ea93548p-7, 0x1.db1dc2320f50ap-7, 0x1.cda6f5079122ep-7, 0x1.c086033a416f8p-7, 0x1.b3b929f53fbe4p-7, 0x1.a73eacbfe0667p-7, 0x1.9b14d57d1760dp-7, 0x1.8f39f469fc49cp-7, 0x1.83ac601b79dfep-7, 0x1.786a757b4d96ep-7, 0x1.6d7297c416813p-7, 0x1.62c3307cd1db5p-7, 0x1.585aaf7388b54p-7, 0x1.4e378ab75d2bp-7, 0x1.44583e91e32fap-7, 0x1.3abb4d7fe9a8p-7, 0x1.315f402999ed8p-7, 0x1.2842a55a107e7p-7, 0x1.1f6411f65dae6p-7, 0x1.16c220f403e04p-7, 0x1.0e5b734efd47cp-7, 0x1.062eafff34c9fp-7, 0x1.fc7507db32398p-8, 0x1.ecfb43d16a5bap-8, 0x1.dded8531c3dfep-8, 0x1.cf4948e81e9eap-8, 0x1.c10c17626ce7dp-8, 0x1.b3338476b2e92p-8, 0x1.a5bd2f4891439p-8, 0x1.98a6c22dfbf6bp-8, 0x1.8bedf2937018cp-8, 0x1.7f9080df77f27p-8, 0x1.738c3855da61fp-8, 0x1.67deeefa12ffcp-8, 0x1.5c8685716d60ep-8, 0x1.5180e6e4aab1p-8, 0x1.46cc08e141af9p-8, 0x1.3c65eb3a2fc6ap-8, 0x1.324c97e89385fp-8, 0x1.287e22ebd5675p-8, 0x1.1ef8aa299a3f8p-8, 0x1.15ba554d72f9bp-8, 0x1.0cc155a855278p-8, 0x1.040be60fd0936p-8, 0x1.f730957a92179p-9, 0x1.e6c9a259a606ep-9, 0x1.d6df9ff83897fp-9, 0x1.c76f4d9268e3dp-9, 0x1.b8757c2278a74p-9, 0x1.a9ef0e1e4af71p-9, 0x1.9bd8f734a988fp-9, 0x1.8e303c0ac517dp-9, 0x1.80f1f1f98dd0cp-9, 0x1.741b3ecb69325p-9, 0x1.67a95879e90cbp-9, 0x1.5b9984ebc84fap-9, 0x1.4fe919b310612p-9, 0x1.44957bcbbbfd5p-9, 0x1.399c1f5a5866ap-9, 0x1.2efa876b4706p-9, 0x1.24ae45b23e18dp-9, 0x1.1ab4fa4a1f7fdp-9, 0x1.110c537594068p-9, 0x1.07b6050cd0eaep-9, 0x1.fd5244451fcfap-10, 0x1.ebcc6f0f25d87p-10, 0x1.dad6516dbe478p-10, 0x1.ca6bcc5807177p-10, 0x1.ba88da4ebc34ep-10, 0x1.ab298ee626b6p-10, 0x1.9c4a1650f7625p-10, 0x1.8de6b4ebf3c55p-10, 0x1.7ffbc6cad0ff1p-10, 0x1.7285bf45f9e4dp-10, 0x1.658128895936fp-10, 0x1.58eaa3245194cp-10, 0x1.4cbee59a8d9bdp-10, 0x1.40fabbf5e9821p-10, 0x1.359b0759c8593p-10, 0x1.2a9cbd970b73fp-10, 0x1.1ffce8c1450b8p-10, 0x1.15b8a6c58b7a6p-10, 0x1.0bcd29019365bp-10, 0x1.0237b3dc9fbd1p-10, 0x1.f1eb3cc2d3136p-11, 0x1.e008a3b1a5ef5p-11, 0x1.cec292cd55bbdp-11, 0x1.be14234dd3855p-11, 0x1.adf8909884aa6p-11, 0x1.9e6b37806cae3p-11, 0x1.8f67958871e63p-11, 0x1.80e9482846984p-11, 0x1.72ec0c13cee87p-11, 0x1.656bbc856efe9p-11, 0x1.5864528a896b7p-11, 0x1.4bd1e452473f9p-11, 0x1.3fb0a480a47aep-11, 0x1.33fce182766f9p-11, 0x1.28b304e4babdcp-11, 0x1.1dcf92af08a07p-11, 0x1.134f28c00d17cp-11, 0x1.092e7e2d5a42bp-11, 0x1.fed4c54b67f3fp-12, 0x1.ebff7bac3bd18p-12, 0x1.d9d71da42e711p-12, 0x1.c855d6fba3232p-12, 0x1.b775fff7fd3b1p-12, 0x1.a7321c3c2d7e6p-12, 0x1.9784d9adead51p-12, 0x1.88690f62ad83dp-12, 0x1.79d9bc8fb49ebp-12, 0x1.6bd207810db88p-12, 0x1.5e4d3c958fe15p-12, 0x1.5146cd400902cp-12, 0x1.44ba4f0ea1747p-12, 0x1.38a37ab638071p-12, 0x1.2cfe2b2441be1p-12, 0x1.21c65c9540fa3p-12, 0x1.16f82bb0402a2p-12, 0x1.0c8fd4a719f74p-12, 0x1.0289b25dc9fc1p-12, 0x1.f1c47b26f4deep-13, 0x1.df2c1824e3a2dp-13, 0x1.cd439fc94bfd9p-13, 0x1.bc04ad18b1b01p-13, 0x1.ab6910842fd18p-13, 0x1.9b6ace6a2f15ap-13, 0x1.8c041da9123f5p-13, 0x1.7d2f66301f51p-13, 0x1.6ee73f9f9109ap-13, 0x1.61266feed18b5p-13, 0x1.53e7ea1b37d92p-13, 0x1.4726ccdec591ap-13, 0x1.3ade616ec1c55p-13, 0x1.2f0a1a41baea4p-13, 0x1.23a591de501c1p-13, 0x1.18ac89af57f48p-13, 0x1.0e1ae8e077512p-13, 0x1.03ecbb42af544p-13, 0x1.f43c606738e52p-14, 0x1.e1573326247bdp-14, 0x1.cf22d56fc53cbp-14, 0x1.bd986edd308eap-14, 0x1.acb165fe12273p-14, 0x1.9c675e6b410f4p-14, 0x1.8cb436ea6d9d9p-14, 0x1.7d92079b40408p-14, 0x1.6efb203097435p-14, 0x1.60ea0634a6dcap-14, 0x1.5359735ae40fp-14, 0x1.464453d742545p-14, 0x1.39a5c4c7511efp-14, 0x1.2d79129f574fep-14, 0x1.21b9b7a626919p-14, 0x1.16635a79d49e1p-14, 0x1.0b71cc9ac9183p-14, 0x1.00e1090864cc5p-14, 0x1.ed5a65bd78c14p-15, 0x1.d9a528080707cp-15, 0x1.c69b37b18d0b7p-15, 0x1.b435bbf1ce497p-15, 0x1.a26e21f617352p-15, 0x1.913e1a8b7d8d1p-15, 0x1.809f97c2162a7p-15, 0x1.708ccaae0e9c7p-15, 0x1.61002131e3a0fp-15, 0x1.51f443dffae11p-15, 0x1.436413e278c16p-15, 0x1.354aa8f9d921bp-15, 0x1.27a34f89e14p-15, 0x1.1a6986a567a5bp-15, 0x1.0d98fe4af0462p-15, 0x1.012d958a01736p-15, 0x1.ea46b194205a5p-16, 0x1.d2ed00379b1f3p-16, 0x1.bc46db28ebdp-16, 0x1.a64d577089b07p-16, 0x1.90f9d7e1f24acp-16, 0x1.7c460a1c72c5dp-16, 0x1.682be3b00703cp-16, 0x1.54a59f459d0c3p-16, 0x1.41adb9efacdf7p-16, 0x1.2f3ef088e1021p-16, 0x1.1d543d29c557bp-16, 0x1.0be8d4b2bd056p-16, 0x1.f5f048e18e304p-17, 0x1.d4fb9f7544d05p-17, 0x1.b4eb5bab3f591p-17, 0x1.95b78f8260c62p-17, 0x1.7758ac38414e6p-17, 0x1.59c77e54765f4p-17, 0x1.3cfd29bdc6ap-17, 0x1.20f3260edb8e5p-17, 0x1.05a33ad95ac8fp-17, 0x1.d60ef8774454cp-18, 0x1.a2348ef96c0a5p-18, 0x1.6fac7f973ad1dp-18, 0x1.3e6c96389e16ep-18, 0x1.0e6b1e3bf8ea9p-18, 0x1.bf3db97892b64p-19, 0x1.63fe15a4e9eebp-19, 0x1.0b06a04872382p-19, 0x1.688ef7661bfc9p-20, 0x1.7ec64c400b1e7p-21, 0x1.a6d206e31316bp-24, -0x1.0cdcb30525161p-21, -0x1.23492dfadf90dp-20, -0x1.bc3bfb3c5609cp-20, -0x1.28af135cbe846p-19, -0x1.7162f74166f96p-19, -0x1.b8443bbac15e1p-19, -0x1.fd5cee4330a6dp-19, -0x1.205b4f21f4906p-18, -0x1.412d31f01064fp-18, -0x1.6128731f9147p-18, -0x1.80513142ddd53p-18, -0x1.9eab58536028cp-18, -0x1.bc3aa4ece1553p-18, -0x1.d902a6f0825cfp-18, -0x1.f506c421f80acp-18, -0x1.08251d5910458p-17, -0x1.156811bcde21ap-17, -0x1.224dba405925bp-17, -0x1.2ed78181a92e5p-17, -0x1.3b06c2c915376p-17, -0x1.46dccb0779028p-17, -0x1.525ad9c8e64dap-17, -0x1.5d82221d69929p-17, -0x1.6853cb6ed91eap-17, -0x1.72d0f25bdbd35p-17, -0x1.7cfaa97e1ac65p-17, -0x1.86d1fa14934e5p-17, -0x1.9057e4d4537bap-17, -0x1.998d6281f88a8p-17, -0x1.a273648cd397ap-17, -0x1.ab0ad5cd152d3p-17, -0x1.b3549ae05e1f7p-17, -0x1.bb5192cd1c55cp-17, -0x1.c3029789ffc9ep-17, -0x1.ca687e6daafbep-17, -0x1.d18418a449bap-17, -0x1.d856339b6211bp-17, -0x1.dedf9963c4075p-17, -0x1.e52111213cec8p-17, -0x1.eb1b5f4b4edb4p-17, -0x1.f0cf46114e282p-17, -0x1.f63d859b6f556p-17, -0x1.fb66dc7aae4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2663614240435p+0, -0x1.1a300ee0685a8p+0, -0x1.0ee5966e8c4c5p+0, -0x1.047ae98bf8241p+0, -0x1.f5cc1d038634bp-1, -0x1.e439278a8bed3p-1, -0x1.d427224eca252p-1, -0x1.c57f9e852f9f6p-1, -0x1.b82c729fd795bp-1, -0x1.ac17d95c6101bp-1, -0x1.a12c1c89b5a32p-1, -0x1.9753bd895b34ep-1, -0x1.8e79e900f64bcp-1, -0x1.868ab3045e997p-1, -0x1.7f731e97a7d4fp-1, -0x1.79211a661b8a5p-1, -0x1.7383710aedc3fp-1, -0x1.6e89ac4798919p-1, -0x1.6a2408031ffeep-1, -0x1.664389a313e2p-1, -0x1.62da2b151209fp-1, -0x1.5fda7a3542ba4p-1, -0x1.5d3a55a816036p-1, -0x1.5aed8bb5376f3p-1, -0x1.58e9a425f4b53p-1, -0x1.5724f1ddab11dp-1, -0x1.5596912287ffdp-1, -0x1.54365f43611b6p-1, -0x1.52fcebcca10d7p-1, -0x1.51e366d1730ddp-1, -0x1.50e391178ac67p-1, -0x1.4ff7b15fc16edp-1, -0x1.4f1a8ed26f07dp-1, -0x1.4e476e21089adp-1, -0x1.4d7a0e9c942dcp-1, -0x1.4caea5cac174bp-1, -0x1.4be1d95b46679p-1, -0x1.4b10b7c0e778dp-1, -0x1.4a38af5ce8ed1p-1, -0x1.4957840dcd3a6p-1, -0x1.486b4395549a9p-1, -0x1.47723a4fcdabfp-1, -0x1.466aea4155e0dp-1, -0x1.455405f9a30d9p-1, -0x1.442c6f6a42017p-1, -0x1.42f3394a00364p-1, -0x1.41a7a8ccb8b4bp-1, -0x1.404935a85e774p-1, -0x1.3ed7875dba1cbp-1, -0x1.3d526ff52f7efp-1, -0x1.3bb9e54910dfdp-1, -0x1.3a0dfa44d72f7p-1, -0x1.384ed93a6ff7p-1, -0x1.367cbfd3f5724p-1, -0x1.3497fc879f5dap-1, -0x1.32a0ed096fd58p-1, -0x1.3097fd19e4c6p-1, -0x1.2e7da5371fcaap-1, -0x1.2c5268fd72339p-1, -0x1.2a16d54873fa6p-1, -0x1.27cb7e4e9e32dp-1, -0x1.2570fdf84986ep-1, -0x1.2307f2a085113p-1, -0x1.20900824f325p-1, -0x1.1e0ba640269dp-1, -0x1.1b7ac704c1735p-1, -0x1.18de18f25fb21p-1, -0x1.16364a63f8934p-1, -0x1.1384095957c34p-1, -0x1.10c803512936bp-1, -0x1.0e02e51eabdb2p-1, -0x1.0b355aaf214f5p-1, -0x1.08600ebb0980cp-1, -0x1.0583aa649d999p-1, -0x1.02a0d4c76d4d5p-1, -0x1.ff7064fae8b97p-2, -0x1.f994ca3b24641p-2, -0x1.f3b0156e46777p-2, -0x1.edc37a9dfad76p-2, -0x1.e7d024c67984dp-2, -0x1.e1d734f8f1ee4p-2, -0x1.dbd9c1a7770dap-2, -0x1.d5d8d62836329p-2, -0x1.cfd5727a9ed19p-2, -0x1.c9d08b53b0d67p-2, -0x1.c3cb0a6fea7c5p-2, -0x1.bdc5cf223c021p-2, -0x1.b7c1af1133e04p-2, -0x1.b1bf770ef31b9p-2, -0x1.abbfebf629c8ap-2, -0x1.a5c3cb768d134p-2, -0x1.9fcbccbded429p-2, -0x1.99d8a0efdc5bp-2, -0x1.93eaf36462fd4p-2, -0x1.8e0369ad37a56p-2, -0x1.8822a367fc07dp-2, -0x1.824939e9bb844p-2, -0x1.7c77bfd3cce35p-2, -0x1.76aec0a3c87a4p-2, -0x1.70eec04f7044ap-2, -0x1.6b383afa897c4p-2, -0x1.658ba4d040ddcp-2, -0x1.5fe96a04b9903p-2, -0x1.5a51eefe5a7cbp-2, -0x1.54c590a24f3f8p-2, -0x1.4f44a4bc8c916p-2, -0x1.49cf7a7a06399p-2, -0x1.44665aeb7c754p-2, -0x1.3f098987f9551p-2, -0x1.39b944a7cd082p-2, -0x1.3475c5f2db84cp-2, -0x1.2f3f42bf3f9c9p-2, -0x1.2a15ec5f4e83fp-2, -0x1.24f9f05fa9155p-2, -0x1.1feb78b73e98dp-2, -0x1.1aeaabebe57cap-2, -0x1.15f7ad2e6dbd2p-2, -0x1.11129c710b77p-2, -0x1.0c3b967aa9d3fp-2, -0x1.0772b4f94183cp-2, -0x1.02b80e94bf777p-2, -0x1.fc176e0729ce7p-3, -0x1.f2db7e42e05a8p-3, -0x1.e9bc6a10924p-3, -0x1.e0ba4856ffa76p-3, -0x1.d7d52ae9012c5p-3, -0x1.cf0d1ec086c1cp-3, -0x1.c6622c39906e1p-3, -0x1.bdd4574b8c3fep-3, -0x1.b5639fbf6dfedp-3, -0x1.ad1001615d708p-3, -0x1.a4d9742d0bf22p-3, -0x1.9cbfec745266p-3, -0x1.94c35b00428ffp-3, -0x1.8ce3ad2d2eef7p-3, -0x1.8520cd02c6167p-3, -0x1.7d7aa1496bacap-3, -0x1.75f10d9e4ea15p-3, -0x1.6e83f287b0a02p-3, -0x1.67332d8a9ef48p-3, -0x1.5ffe994339db9p-3, -0x1.58e60d805f216p-3, -0x1.51e95f62fbc46p-3, -0x1.4b086181493b5p-3, -0x1.4442e40d76d26p-3, -0x1.3d98b4ff680afp-3, -0x1.3709a040999d8p-3, -0x1.30966d1bf470bp-3, -0x1.2a3c8be296f6cp-3, -0x1.23fd1c4cc9e03p-3, -0x1.1dd7e66dc958dp-3, -0x1.17ccb10421a5cp-3, -0x1.11db418c3199ep-3, -0x1.0c035c5291c61p-3, -0x1.0644c486711abp-3, -0x1.009f3c4c02403p-3, -0x1.f625099de1b36p-4, -0x1.eb3cbca9a13f4p-4, -0x1.e085109f10295p-4, -0x1.d5fd82df0ea8fp-4, -0x1.cba58f6b8b6cap-4, -0x1.c17cb10ac626fp-4, -0x1.b7826169984c5p-4, -0x1.adb6193cad23p-4, -0x1.a417506062c75p-4, -0x1.9aa57df74b572p-4, -0x1.916018871b415p-4, -0x1.884696141163cp-4, -0x1.7f586c3ac86d3p-4, -0x1.769510486f686p-4, -0x1.6dfbf75187b11p-4, -0x1.658c96472d9bp-4, -0x1.5d46620b1007ep-4, -0x1.5528cf822829bp-4, -0x1.4d3353a657cb9p-4, -0x1.4565639705b43p-4, -0x1.3dbe74a8d608cp-4, -0x1.363dfc74969f2p-4, -0x1.2ee370e577b17p-4, -0x1.27ae4846a123ep-4, -0x1.209df950367a4p-4, -0x1.19b1fb33d655ap-4, -0x1.12e9c5a89b485p-4, -0x1.0c44d0f6ac126p-4, -0x1.05c296025d36bp-4, -0x1.fec51cadcd725p-5, -0x1.f24868616d481p-5, -0x1.e60e050ec15fap-5, -0x1.da14ea2e5b055p-5, -0x1.ce5c10d4a6113p-5, -0x1.c2e273c392cbdp-5, -0x1.b7a70f7b9c928p-5, -0x1.aca8e24c2e47dp-5, -0x1.a1e6ec6355c9ep-5, -0x1.97602fdce2eecp-5, -0x1.8d13b0d0e1225p-5, -0x1.8300756180692p-5, -0x1.792585c860c2dp-5, -0x1.6f81ec634803bp-5, -0x1.6614b5c042da4p-5, -0x1.5cdcf0a92d7b4p-5, -0x1.53d9ae2e9f07bp-5, -0x1.4b0a01b24294ep-5, -0x1.426d00f08a7cap-5, -0x1.3a01c409cb53fp-5, -0x1.31c7658ab5635p-5, -0x1.29bd02742a82cp-5, -0x1.21e1ba42770a6p-5, -0x1.1a34aef3e456bp-5, -0x1.12b5050eac44p-5, -0x1.0b61e3a64fbe7p-5, -0x1.043a746050bf5p-5, -0x1.fa7bc6f09becbp-6, -0x1.ecd6bf8714a5p-6, -0x1.df843567d0507p-6, -0x1.d28290b4c018fp-6, -0x1.c5d03ed1a2877p-6, -0x1.b96bb266f692bp-6, -0x1.ad536363cb59bp-6, -0x1.a185cefe955bap-6, -0x1.960177b563f2dp-6, -0x1.8ac4e54d110ap-6, -0x1.7fcea4cfd601ep-6, -0x1.751d488b00d18p-6, -0x1.6aaf680c2be3fp-6, -0x1.6083a01dbf01cp-6, -0x1.569892c2da56bp-6, -0x1.4cece732c4369p-6, -0x1.437f49d3ca24ap-6, -0x1.3a4e6c35b57dbp-6, -0x1.3159050bc393dp-6, -0x1.289dd0263f7f2p-6, -0x1.201b8e6bb0f8fp-6, -0x1.17d105d1b1d85p-6, -0x1.0fbd015565f77p-6, -0x1.07de50f3a449p-6, -0x1.0033c9a0c743ap-6, -0x1.f1788a8077b6ap-7, -0x1.e2ed453764609p-7, -0x1.d4c38ab42be3dp-7, -0x1.c6f92bec72b39p-7, -0x1.b98c036a7661bp-7, -0x1.ac79f5396a7a4p-7, -0x1.9fc0eed1094dp-7, -0x1.935ee7012bc04p-7, -0x1.8751dddc501c7p-7, -0x1.7b97dca23322cp-7, -0x1.702ef5a9ab255p-7, -0x1.6515444a003c9p-7, -0x1.5a48ecc43d72cp-7, -0x1.4fc81c2bcc63p-7, -0x1.4591084ed37b3p-7, -0x1.3ba1ef9e390bap-7, -0x1.31f91915595a8p-7, -0x1.2894d4216b173p-7, -0x1.1f737888a0635p-7, -0x1.1693665106faap-7, -0x1.0df305a73568bp-7, -0x1.0590c6c4b3fc7p-7, -0x1.fad643ac9012ep-8, -0x1.eb012dc409837p-8, -0x1.db9f5b5ab234ep-8, -0x1.ccadeb459940dp-8, -0x1.be2a0b6f9ce7ep-8, -0x1.b010f8a4b731bp-8, -0x1.a25ffe5d4a43ep-8, -0x1.95147689214ap-8, -0x1.882bc95a96cdap-8, -0x1.7ba36d119d7f5p-8, -0x1.6f78e5c6e4064p-8, -0x1.63a9c536d1f7p-8, -0x1.5833aa8cd5939p-8, -0x1.4d14422e9e66cp-8, -0x1.424945877eb85p-8, -0x1.37d07ad40c555p-8, -0x1.2da7b4edc8626p-8, -0x1.23ccd3172fe34p-8, -0x1.1a3dc0c79ab83p-8, -0x1.10f8757807e3ep-8, -0x1.07faf46f4f49dp-8, -0x1.fe86991eff844p-9, -0x1.ed9f3045b281bp-9, -0x1.dd3bf952e8318p-9, -0x1.cd59554e218ccp-9, -0x1.bdf3bae2ee00ep-9, -0x1.af07b5fe02828p-9, -0x1.a091e76b48535p-9, -0x1.928f0474b15fcp-9, -0x1.84fbd681dbc7ep-9, -0x1.77d53ab8a538bp-9, -0x1.6b18219e7e3cep-9, -0x1.5ec18ebac984ap-9, -0x1.52ce983a1629fp-9, -0x1.473c669253e83p-9, -0x1.3c0834280bf94p-9, -0x1.312f4cf458392p-9, -0x1.26af0e2c94346p-9, -0x1.1c84e5e9fd52dp-9, -0x1.12ae52d34bf9dp-9, -0x1.0928e3c6f620ep-9, -0x1.ffe46f0d17e0fp-10, -0x1.ee0ff8c671183p-10, -0x1.dccfdfd67abfdp-10, -0x1.cc1fbd31be943p-10, -0x1.bbfb47039758ep-10, -0x1.ac5e50106c91p-10, -0x1.9d44c719a0cfep-10, -0x1.8eaab643c2c03p-10, -0x1.808c427f2188cp-10, -0x1.72e5aaf2b94b4p-10, -0x1.65b34868c6fa7p-10, -0x1.58f18cbe85b54p-10, -0x1.4c9d02555d6ddp-10, -0x1.40b24b86ca7f7p-10, -0x1.352e221add8b8p-10, -0x1.2a1145c0c8878p-10, -0x1.1f51f38f3dcbcp-10, -0x1.14efd965bf6a5p-10, -0x1.0ae808a90cc43p-10, -0x1.0137a7ab59e5p-10, -0x1.efb7e2609ee0ap-11, -0x1.dda467e6c1ba4p-11, -0x1.cc2fa4613022bp-11, -0x1.bb54825d1f448p-11, -0x1.ab0e1196a94p-11, -0x1.9b578615bb682p-11, -0x1.8c2c374efc48ep-11, -0x1.7d879f49924d4p-11, -0x1.6f6559c6d0556p-11, -0x1.61c1237064681p-11, -0x1.5496d9080d872p-11, -0x1.47e2769c408d8p-11, -0x1.3ba016bf830d4p-11, -0x1.2fcbf1c6b5808p-11, -0x1.24625d0618c3ep-11, -0x1.195fca158f392p-11, -0x1.0ec0c617b3375p-11, -0x1.0481f902243afp-11, -0x1.f54049dc7af6ap-12, -0x1.e2304ad13df81p-12, -0x1.cfcddd8d89835p-12, -0x1.be131afc2325bp-12, -0x1.acfa4b00a8bcfp-12, -0x1.9c7de334d3ae6p-12, -0x1.8c9885acbb31ap-12, -0x1.7d44ffc290a43p-12, -0x1.6e7e48e7a9b23p-12, -0x1.603f817a977aep-12, -0x1.5283f1a8afc05p-12, -0x1.4547085214b29p-12, -0x1.388459f208f6bp-12, -0x1.2c379f92771dcp-12, -0x1.205cb5c1dbccbp-12, -0x1.14ef9b90e96bdp-12, -0x1.09ec719583946p-12, -0x1.fe9ef1e6b8318p-13, -0x1.ea2a24d8c67f8p-13, -0x1.d6737ae5cee3ap-13, -0x1.c3742e8ad6accp-13, -0x1.b125b41c031ffp-13, -0x1.9f81b80f24429p-13, -0x1.8e821d52000c1p-13, -0x1.7e20fba88cb71p-13, -0x1.6e589e199ba0bp-13, -0x1.5f238162067cep-13, -0x1.507c52741f8cbp-13, -0x1.425ded02569ffp-13, -0x1.34c35a0f16c1dp-13, -0x1.27a7ce8af1527p-13, -0x1.1b06a9faa5564p-13, -0x1.0edb75247a117p-13, -0x1.0321e0c5b318ap-13, -0x1.efab88b8c54c8p-14, -0x1.d9e639ccc0a0dp-14, -0x1.c4ec17761ca99p-14, -0x1.b0b5aabdc93c7p-14, -0x1.9d3bc0d2cc234p-14, -0x1.8a7768dff2169p-14, -0x1.7861f1df5e6dp-14, -0x1.66f4e8a736322p-14, -0x1.562a15d54571p-14, -0x1.45fb7be653a7fp-14, -0x1.3663555233293p-14, -0x1.275c12b6826e4p-14, -0x1.18e0590eae11fp-14, -0x1.0aeafff8dc9d6p-14, -0x1.faee200d49a46p-15, -0x1.e0ff823718851p-15, -0x1.c800f1b817bcfp-15, -0x1.afe9922e1a96ep-15, -0x1.98b0dca3a28cap-15, -0x1.824e9c93a7aa7p-15, -0x1.6cbaed2d78768p-15, -0x1.57ee3687d3363p-15, -0x1.43e12afaa56e4p-15, -0x1.308cc48dad564p-15, -0x1.1dea4270feae8p-15, -0x1.0bf3269234181p-15, -0x1.f542667e8458p-16, -0x1.d3dcd1b8a12c9p-16, -0x1.b3aa074e1fa87p-16, -0x1.949ef33f9489dp-16, -0x1.76b0f0b368f68p-16, -0x1.59d5c60cbb3cep-16, -0x1.3e03a0f201dc6p-16, -0x1.23311282033bep-16, -0x1.09550b9ff2ab5p-16, -0x1.e0cdb2dd253dap-17, -0x1.b0bc438e4bf22p-17, -0x1.8265bfcf614eap-17, -0x1.55bac29793045p-17, -0x1.2aac84a444456p-17, -0x1.012cd6f170d16p-17, -0x1.b25c387360315p-18, -0x1.654687d06ab01p-18, -0x1.1aff886396e3bp-18, -0x1.a6de53b27537ap-19, -0x1.1cfca94f2289ap-19, -0x1.305b812f9c69fp-20, -0x1.8471331748279p-23, 0x1.8b80b40fc8e53p-21, 0x1.b2de4ee49705bp-20, 0x1.4b8b6fc49eac7p-19, 0x1.b95913c40cfe7p-19, 0x1.117d56db0d544p-18, 0x1.4448b99ef3aeap-18, 0x1.751ea19faab86p-18, 0x1.a40e5b1798f16p-18, 0x1.d12695554a74cp-18, 0x1.fc7569a6587adp-18, 0x1.130430df41debp-17, 0x1.26f63ee4fff44p-17, 0x1.3a171d5d12583p-17, 0x1.4c6ccbe1209e1p-17, 0x1.5dfd0dfc021cp-17, 0x1.6ecd6dd66762dp-17, 0x1.7ee33ebf17e3ap-17, 0x1.8e439f9ea318p-17, 0x1.9cf37d75d1655p-17, 0x1.aaf795717b7f8p-17, 0x1.b854772e07b33p-17, 0x1.c50e86e043a95p-17, 0x1.d129ff4735762p-17, 0x1.dcaaf3b39edc3p-17, 0x1.e795518f17e2p-17, 0x1.f1ece29f7f24cp-17, 0x1.fbb54e67f945ep-17, 0x1.02790defc8222p-16, 0x1.06d35980bfbc9p-16, 0x1.0aeb2f264be69p-16, 0x1.0ec22619d98dep-16, 0x1.1259c83b9ce45p-16, 0x1.15b392b968ca7p-16, 0x1.18d0f6c2a1f3ap-16, 0x1.1bb35a0115f1cp-16, 0x1.1e5c1736bf7d4p-16, 0x1.20cc7ef19591cp-16, 0x1.2305d7cd44285p-16, 0x1.25095f268aebp-16, 0x1.26d8497786bb1p-16, 0x1.2873c2d4c30a8p-16, 0x1.29dcef6cd69c8p-16, 0x1.2b14ebdddc88p-16, 0x1.2c1ccd9d1f071p-16, 0x1.2cf5a3588cafdp-16, 0x1.2da07550a84c4p-16, 0x1.2e1e45a38727ep-16, 0x1.2e7010ca38298p-16, 0x1.2e96cda4084a3p-16, 0x1.2e936dec0024cp-16, 0x1.2e66de732ac39p-16, 0x1.2e12076235db4p-16, 0x1.2d95cc7982d1bp-16, 0x1.2cf30d43890d6p-16, 0x1.2c2aa55884354p-16, 0x1.2b3d6c8a243f7p-16, 0x1.2a2c3716aeb49p-16, 0x1.28f7d5d7178f3p-16, 0x1.27a1166a48163p-16, 0x1.2628c35ef357fp-16, 0x1.248fa45496eacp-16, 0x1.22d67e269adeap-16, 0x1.20fe13149423p-16, 0x1.1f0722affbaa6p-16, 0x1.1cf26a49c0463p-16, 0x1.1ac0a4d087aaep-16, 0x1.18728afb9ed29p-16, 0x1.1608d3683754ep-16, 0x1.138432a33e89p-16, 0x1.10e55b3fc8309p-16, 0x1.0e2cfdef96495p-16, 0x1.0b5bc98d89aadp-16, 0x1.08726b2bf95cp-16, 0x1.05718e2acd423p-16, 0x1.0259dc322b84fp-16, 0x1.fe57fab3c13cbp-17, 0x1.f7d13026da0cdp-17, 0x1.f120a28dace93p-17, 0x1.ea47989748661p-17, 0x1.e3475630d1da6p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad9c63f865d59p-1, 0x1.a5e64603d54ddp-1, 0x1.9df0b3c548124p-1, 0x1.95bf4eeb00a01p-1, 0x1.8d55b8c4c70fp-1, 0x1.84b78fefbf227p-1, 0x1.7be86e32e334bp-1, 0x1.72ebe68937a72p-1, 0x1.69c58356dda59p-1, 0x1.6078c4c64de86p-1, 0x1.57091f4b22e93p-1, 0x1.4d79fa48015c4p-1, 0x1.43ceaed552e93p-1, 0x1.3a0a86a6b0757p-1, 0x1.3030bb0cfaf94p-1, 0x1.264474134a4c5p-1, 0x1.1c48c7b4f65f3p-1, 0x1.1240b92b22f69p-1, 0x1.082f38504ed6cp-1, 0x1.fc2e423109175p-2, 0x1.e7f67639c3448p-2, 0x1.d3bc72727ba48p-2, 0x1.bf857275a39aep-2, 0x1.ab56873d96f9ap-2, 0x1.973496bf9e16bp-2, 0x1.83245ba2ebdb8p-2, 0x1.6f2a6511c2fa7p-2, 0x1.5b4b16a3188e1p-2, 0x1.478aa85b12c32p-2, 0x1.33ed26c0dc909p-2, 0x1.207673085836fp-2, 0x1.0d2a434e4d2b4p-2, 0x1.f41845cb72ff7p-3, 0x1.ce3ee56a16e53p-3, 0x1.a8ced343fee4cp-3, 0x1.83ce2a1614dbbp-3, 0x1.5f42b29a554e8p-3, 0x1.3b31e4aa3558fp-3, 0x1.17a0e875c50fep-3, 0x1.e9292f9b5190cp-4, 0x1.a422fefc3a78dp-4, 0x1.6037c1729a505p-4, 0x1.1d6f651eb7dc8p-4, 0x1.b7a28dca45b8dp-5, 0x1.36c86b18f7e39p-5, 0x1.70b9d3b76bdd5p-6, 0x1.e35c135414efap-8, -0x1.e80add05a16edp-8, -0x1.67c0856ecad4dp-6, -0x1.2828c09174702p-5, -0x1.99d35759fec48p-5, -0x1.046cbb68db13fp-4, -0x1.3a9abab52ce1ep-4, -0x1.6f7144af4a13p-4, -0x1.a2ee60e4ac3a3p-4, -0x1.d5107fdfca2dap-4, -0x1.02eb3bdbc0972p-3, -0x1.1a9fc0511192fp-3, -0x1.31a598c6c311bp-3, -0x1.47fcbe5e77416p-3, -0x1.5da55636f8785p-3, -0x1.729fafc293347p-3, -0x1.86ec4321c0047p-3, -0x1.9a8baf8282812p-3, -0x1.ad7eb984d62e6p-3, -0x1.bfc649a474e98p-3, -0x1.d1636aa84c375p-3, -0x1.e2574817d4768p-3, -0x1.f2a32cb6975d5p-3, -0x1.0124408307fe5p-2, -0x1.08a464e70ebap-2, -0x1.0fd2d35617855p-2, -0x1.16b06854ac265p-2, -0x1.1d3e0c6bb2e67p-2, -0x1.237cb37a8c9fbp-2, -0x1.296d5c0cd2c6ep-2, -0x1.2f110eb3c000bp-2, -0x1.3468dd634c7e8p-2, -0x1.3975e2d307cf3p-2, -0x1.3e3941e2b72e3p-2, -0x1.42b42502b8c0dp-2, -0x1.46e7bda033ac8p-2, -0x1.4ad5439519dccp-2, -0x1.4e7df49bf2ad1p-2, -0x1.51e313c779e56p-2, -0x1.5505e8fe0c00ap-2, -0x1.57e7c078dae66p-2, -0x1.5a89ea46f221p-2, -0x1.5cedb9d3fa4a8p-2, -0x1.5f148572c2491p-2, -0x1.60ffa5eb7c535p-2, -0x1.62b0760db7874p-2, -0x1.6428524600881p-2, -0x1.656898372a02dp-2, -0x1.6672a657328d3p-2, -0x1.6747db8fbdbf7p-2, -0x1.67e996e2166cep-2, -0x1.6859370eb3d21p-2, -0x1.68981a402f405p-2, -0x1.68a79db9aab6dp-2, -0x1.68891d888bd39p-2, -0x1.683df43993e6cp-2, -0x1.67c77a91334cbp-2, -0x1.672707471c022p-2, -0x1.665deec4fb44p-2, -0x1.656d82e8524e8p-2, -0x1.645712c75df67p-2, -0x1.631bea78fe292p-2, -0x1.61bd52df91019p-2, -0x1.603c9176b12d5p-2, -0x1.5e9ae823c5993p-2, -0x1.5cd995095bcc6p-2, -0x1.5af9d25d33003p-2, -0x1.58fcd640eeb62p-2, -0x1.56e3d29d616a5p-2, -0x1.54aff5005961dp-2, -0x1.5262667ce96f7p-2, -0x1.4ffc4b8e12d8ap-2, -0x1.4d7ec3fbc8718p-2, -0x1.4aeaeac237955p-2, -0x1.4841d5fb45d42p-2, -0x1.458496ca37061p-2, -0x1.42b439496554fp-2, -0x1.3fd1c47a01909p-2, -0x1.3cde3a35c9c3cp-2, -0x1.39da9722a241dp-2, -0x1.36c7d2a805bafp-2, -0x1.33a6dee63eb67p-2, -0x1.3078a8af50803p-2, -0x1.2d3e17818b931p-2, -0x1.29f80d83b9459p-2, -0x1.26a76782cb5f9p-2, -0x1.234cfcf109e01p-2, -0x1.1fe99fe6a652cp-2, -0x1.1c7e1d23ab792p-2, -0x1.190b3c133c857p-2, -0x1.1591bed00d79dp-2, -0x1.1212622a0ef41p-2, -0x1.0e8dddad3d1f7p-2, -0x1.0b04e3a97fc57p-2, -0x1.0778213b9392p-2, -0x1.03e83e56efca8p-2, -0x1.0055ddd09279ap-2, -0x1.f9833ad56a87bp-3, -0x1.f2582bc29c9a7p-3, -0x1.eb2bb5eebec82p-3, -0x1.e3fef709fbc6ep-3, -0x1.dcd3030c15032p-3, -0x1.d5a8e453215e2p-3, -0x1.ce819bc37e073p-3, -0x1.c75e20e8d8ce1p-3, -0x1.c03f62184f89ap-3, -0x1.b92644937a595p-3, -0x1.b213a4ac5b7a5p-3, -0x1.ab0855ea21575p-3, -0x1.a405232e9c085p-3, -0x1.9d0acedc6562bp-3, -0x1.961a12fd9b0c8p-3, -0x1.8f33a16b246bdp-3, -0x1.885823f46cb17p-3, -0x1.81883c8784af7p-3, -0x1.7ac485599e677p-3, -0x1.740d910fd0b9fp-3, -0x1.6d63eae814426p-3, -0x1.66c816e274fap-3, -0x1.603a91ea58f6bp-3, -0x1.59bbd1ffe8975p-3, -0x1.534c466171684p-3, -0x1.4cec57b4d011fp-3, -0x1.469c6830c8af8p-3, -0x1.405cd3c6405c2p-3, -0x1.3a2df0495f00bp-3, -0x1.34100d9a77f49p-3, -0x1.2e0375cec784dp-3, -0x1.28086d58ebdedp-3, -0x1.221f33311b221p-3, -0x1.1c4800fd07a37p-3, -0x1.16830b3772632p-3, -0x1.10d081575da1dp-3, -0x1.0b308df6e076ap-3, -0x1.05a356f98e33ap-3, -0x1.0028fdb26fd6ep-3, -0x1.f5833e131482bp-4, -0x1.eadaa741d7d72p-4, -0x1.e0585ff2745cbp-4, -0x1.d5fc892b7fc2ep-4, -0x1.cbc73c3fe9095p-4, -0x1.c1b88b14f623fp-4, -0x1.b7d0806724a0ap-4, -0x1.ae0f200df2963p-4, -0x1.a474673e75785p-4, -0x1.9b004cccd771dp-4, -0x1.91b2c16c9a332p-4, -0x1.888bafefacec7p-4, -0x1.7f8afd845168fp-4, -0x1.76b089f1c292p-4, -0x1.6dfc2fd3a5258p-4, -0x1.656dc4d43b698p-4, -0x1.5d0519e55c919p-4, -0x1.54c1fb782d8b2p-4, -0x1.4ca431b39ad86p-4, -0x1.44ab80a993a52p-4, -0x1.3cd7a88b0644ap-4, -0x1.352865da9e42cp-4, -0x1.2d9d719e44387p-4, -0x1.2636818f625ebp-4, -0x1.1ef34849ed006p-4, -0x1.17d3757a327cp-4, -0x1.10d6b60972a84p-4, -0x1.09fcb44942b61p-4, -0x1.0345181dbc273p-4, -0x1.f95f0e4cfc7a3p-5, -0x1.ec7749ccff2d7p-5, -0x1.dfd225d56ec15p-5, -0x1.d36ee1df3ce34p-5, -0x1.c74cba0b1cf76p-5, -0x1.bb6ae767fd3c1p-5, -0x1.afc8a0374d545p-5, -0x1.a465182f101c6p-5, -0x1.993f80b9c465bp-5, -0x1.8e57093430e9bp-5, -0x1.83aadf2913ce6p-5, -0x1.793a2e8ac428fp-5, -0x1.6f0421eacce29p-5, -0x1.6507e2af89168p-5, -0x1.5b449947ca01ap-5, -0x1.51b96d5c95a42p-5, -0x1.48658600fbf8fp-5, -0x1.3f4809e01893cp-5, -0x1.36601f6942c19p-5, -0x1.2dacecfa7443cp-5, -0x1.252d9908f8973p-5, -0x1.1ce14a4863b92p-5, -0x1.14c727cfe3104p-5, -0x1.0cde593dea94ep-5, -0x1.052606da4e0fap-5, -0x1.fb3ab36d99839p-6, -0x1.ec86f79c2f217p-6, -0x1.de2f3042bf8cp-6, -0x1.d031b5a8e4873p-6, -0x1.c28ce290de02ep-6, -0x1.b53f146a3de11p-6, -0x1.a846ab81ee155p-6, -0x1.9ba20b2fa14dp-6, -0x1.8f4f9a00bc334p-6, -0x1.834dc1e0ca4fep-6, -0x1.779af03f99f3bp-6, -0x1.6c359634fc612p-6, -0x1.611c28a256869p-6, -0x1.564d2051f9242p-6, -0x1.4bc6fa1464f49p-6, -0x1.418836db807abp-6, -0x1.378f5bd3d6abcp-6, -0x1.2ddaf27be6e8ap-6, -0x1.246988b9a04ecp-6, -0x1.1b39b0ee0f6b6p-6, -0x1.124a020754d41p-6, -0x1.09991790ebaf9p-6, -0x1.012591c257668p-6, -0x1.f1dc2b188615ap-7, -0x1.e1e29948454ap-7, -0x1.d25bcb1cbae0fp-7, -0x1.c345274e3bc27p-7, -0x1.b49c1e538aac9p-7, -0x1.a65e2a6e33fa6p-7, -0x1.9888cfb46eb1bp-7, -0x1.8b199c18a49dap-7, -0x1.7e0e276eb6926p-7, -0x1.7164136f0aed4p-7, -0x1.65190bb797936p-7, -0x1.592ac5cad95b3p-7, -0x1.4d97010cf99f4p-7, -0x1.425b86bf16932p-7, -0x1.377629f8d0d59p-7, -0x1.2ce4c7a036992p-7, -0x1.22a5466019322p-7, -0x1.18b5969ce63a4p-7, -0x1.0f13b26813c5fp-7, -0x1.05bd9d7234eafp-7, -0x1.f962c9f790a9bp-8, -0x1.e7da3f89a1e34p-8, -0x1.d6dddbf69845ep-8, -0x1.c669f2512a269p-8, -0x1.b67ae83b8833cp-8, -0x1.a70d35be38f23p-8, -0x1.981d651d2ad43p-8, -0x1.89a812ab1b097p-8, -0x1.7ba9ec9b6f25fp-8, -0x1.6e1fb2d29d349p-8, -0x1.610636b537e3p-8, -0x1.545a5af5bffd5p-8, -0x1.481913614ea4ep-8, -0x1.3c3f64ab3107dp-8, -0x1.30ca64378ea69p-8, -0x1.25b737e52e236p-8, -0x1.1b0315d66e8f9p-8, -0x1.10ab44398c4c8p-8, -0x1.06ad191040fa9p-8, -0x1.fa0bf3edaa85dp-9, -0x1.e766b7d5690f8p-9, -0x1.d56586212aacbp-9, -0x1.c40384f490adfp-9, -0x1.b33bf7d87559dp-9, -0x1.a30a3f457d461p-9, -0x1.9369d82e504dfp-9, -0x1.84565b89976cdp-9, -0x1.75cb7ddbd7b1bp-9, -0x1.67c50ec14b822p-9, -0x1.5a3ef877c71fbp-9, -0x1.4d353f68cf479p-9, -0x1.40a401b3e9cdfp-9, -0x1.348776b947bcp-9, -0x1.28dbeea4d7029p-9, -0x1.1d9dd1f9d7585p-9, -0x1.12c9a11ef6332p-9, -0x1.085bf3eb14341p-9, -0x1.fca2f265710e8p-10, -0x1.e94decac8bd68p-10, -0x1.d6b28da201264p-10, -0x1.c4cab791df2afp-10, -0x1.b390773f56b7bp-10, -0x1.a2fe03084549ep-10, -0x1.930dba0abbf4bp-10, -0x1.83ba234cacde5p-10, -0x1.74fdece5b52afp-10, -0x1.66d3eb2b3961dp-10, -0x1.593717dec127cp-10, -0x1.4c22915ebe38ep-10, -0x1.3f9199d9bea03p-10, -0x1.337f968419f2p-10, -0x1.27e80ed0294aep-10, -0x1.1cc6aba911f58p-10, -0x1.121736b026186p-10, -0x1.07d5997cfd314p-10, -0x1.fbfbb9c046515p-11, -0x1.e91850511ed45p-11, -0x1.d6f980d7987f5p-11, -0x1.c5980fa1c568dp-11, -0x1.b4ecf9bc105dp-11, -0x1.a4f173922c9cp-11, -0x1.959ee79595a16p-11, -0x1.86eef4e9ad258p-11, -0x1.78db6e15705d5p-11, -0x1.6b5e57bacdb3cp-11, -0x1.5e71e75394e92p-11, -0x1.521081f40531dp-11, -0x1.4634bb12f341p-11, -0x1.3ad95357861dep-11, -0x1.2ff9376c85233p-11, -0x1.258f7ed93234dp-11, -0x1.1b976adfa9695p-11, -0x1.120c6560bf66dp-11, -0x1.08e9ffc554fd8p-11, -0x1.002bf1ed18588p-11, -0x1.ef9c3245566b4p-12, -0x1.df98ee2a3e908p-12, -0x1.d04661ad87a4ep-12, -0x1.c19d1bc26722dp-12, -0x1.b395ee3d33829p-12, -0x1.a629ebf042526p-12, -0x1.995266d2fca55p-12, -0x1.8d08ee33126e2p-12, -0x1.81474cefae25cp-12, -0x1.760787be8b778p-12, -0x1.6b43db7ad4947p-12, -0x1.60f6bb7da78c8p-12, -0x1.571ad0002341fp-12, -0x1.4daaf486dbfc1p-12, -0x1.44a236569d07ep-12, -0x1.3bfbd2f24b43ap-12, -0x1.33b336a1d61e4p-12, -0x1.2bc3fb020a01dp-12, -0x1.2429e59d26e25p-12, -0x1.1ce0e68c1cc55p-12, -0x1.15e51720445eep-12, -0x1.0f32b89576f2ap-12, -0x1.08c632cc64974p-12, -0x1.029c130cfe87cp-12, -0x1.f96215a1bc2dfp-13, -0x1.ee03dd2af1f84p-13, -0x1.e317696c1ab3p-13, -0x1.d896e89a2f1dp-13, -0x1.ce7cc83a7304cp-13, -0x1.c4c3b302ccbe6p-13, -0x1.bb668ec875bbap-13, -0x1.b2607a7caf9c4p-13, -0x1.a9accc3744f77p-13, -0x1.a1470f4e8ce87p-13, -0x1.992b027caa374p-13, -0x1.91549611ce447p-13, -0x1.89bfea3337a9dp-13, -0x1.82694d26a2b3p-13, -0x1.7b4d39a9fa25cp-13, -0x1.74685556fae14p-13, -0x1.6db76f12944bdp-13, -0x1.67377d87b9e3bp-13, -0x1.60e59dad746afp-13, -0x1.5abf1157eb84p-13, -0x1.54c13dd42b68p-13, -0x1.4ee9aa8e72775p-13, -0x1.4935ffc2bafbep-13, -0x1.43a4053757aeap-13, -0x1.3e31a10159237p-13, -0x1.38dcd6528d463p-13, -0x1.33a3c450dac1ap-13, -0x1.2e84a4f6beab4p-13, -0x1.297dcbfcbcb7p-13, -0x1.248da5cb83cc7p-13, -0x1.1fb2b67692cp-13, -0x1.1aeb98bf2d726p-13, -0x1.1636fd1f65176p-13, -0x1.1193a8dd0f9bfp-13, -0x1.0d00752463699p-13, -0x1.087c4e2a25831p-13, -0x1.040632551ab76p-13, -0x1.ff3a62dd43968p-14, -0x1.f680d7b47d83dp-14, -0x1.edde23a7cd41ep-14, -0x1.e550c569cbb5ep-14, -0x1.dcd7587e5fadap-14, -0x1.d47093ddd8aebp-14, -0x1.cc1b48a42f0f5p-14, -0x1.c3d660cc1f7c2p-14, -0x1.bba0ddf5c0a36p-14, -0x1.b379d8384590bp-14, -0x1.ab607cfeaf786p-14, -0x1.a3540def07e7dp-14, -0x1.9b53dfdbe2dd9p-14, -0x1.935f59bfe1fc8p-14, -0x1.8b75f3c2ebeeap-14, -0x1.83973648cf021p-14, -0x1.7bc2b9090cb52p-14, -0x1.73f8222f881e3p-14, -0x1.6c372585d3fdbp-14, -0x1.647f83a4e13f1p-14, -0x1.5cd1092ecc286p-14, -0x1.552b8e108987ap-14, -0x1.4d8ef4cb39adfp-14, -0x1.45fb29c4e2886p-14, -0x1.3e7022a0578ccp-14, -0x1.36eddd9c18b78p-14, -0x1.2f7460f7eccaap-14, -0x1.2803ba6105fep-14, -0x1.209bfe6477795p-14, -0x1.193d47e7cb528p-14, -0x1.11e7b7a78446dp-14, -0x1.0a9b73bb5c59p-14, -0x1.0358a7200f268p-14, -0x1.f83f028d034ebp-15, -0x1.e9e06b50321aap-15, -0x1.db95f6c02c7c6p-15, -0x1.cd60199393e99p-15, -0x1.bf3f4e46ea144p-15, -0x1.b134146b621a8p-15, -0x1.a33eeffe69b18p-15, -0x1.956068c99fb8ep-15, -0x1.879909caebd38p-15, -0x1.79e960a473a67p-15, -0x1.6c51fd1418b7cp-15, -0x1.5ed37072493c8p-15, -0x1.516e4d37d37fep-15, -0x1.4423268a83515p-15, -0x1.36f28fd040b2dp-15, -0x1.29dd1c487b89fp-15, -0x1.1ce35eab9ec9cp-15, -0x1.1005e8d057ed3p-15, -0x1.03454b5674103p-15, -0x1.ed442aae3d8f2p-16, -0x1.d439a8349955p-16, -0x1.bb6c25a236505p-16, -0x1.a2dcb4a9f0861p-16, -0x1.8a8c61d6b342fp-16, -0x1.727c341bb6a3ap-16, -0x1.5aad2c6d24086p-16, -0x1.43204560d2e91p-16, -0x1.2bd672d6b927cp-16, -0x1.14d0a1a8c9b5fp-16, -0x1.fc1f6ec3d7976p-17, -0x1.cf2923f767017p-17, -0x1.a2c00f45346a4p-17, -0x1.76e5cd00d4ceep-17, -0x1.4b9be91926c45p-17, -0x1.20e3dec448f37p-17, -0x1.ed7e306ca6b05p-18, -0x1.9a5ddcc4af3a2p-18, -0x1.4869518a4fc27p-18, -0x1.ef45f4e5af733p-19, -0x1.501a3f5247442p-19, -0x1.66a7966134468p-20, -0x1.8f6998cb2047p-23, 0x1.fbe6720fb2c76p-21, 0x1.147965f1e1c54p-19, 0x1.a78599a8619abp-19, 0x1.1c0dab33f4a5bp-18, 0x1.631c014455846p-18, 0x1.a8eca5d3052a5p-18, 0x1.ed7e931a3d20bp-18, 0x1.18687340c34b3p-17, 0x1.3971702a77feep-17, 0x1.59d9f1b9a5e3ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e39974c54a8dep-1, 0x1.e0d890fd85971p-1, 0x1.ddfc91aa8cae3p-1, 0x1.db0651e3df3f4p-1, 0x1.d7f6aef9dace9p-1, 0x1.d4ce87f41636bp-1, 0x1.d18ebd17abb28p-1, 0x1.ce382f7524134p-1, 0x1.cacbc07dabd66p-1, 0x1.c74a519f42462p-1, 0x1.c3b4c3e78c031p-1, 0x1.c00bf7acf3699p-1, 0x1.bc50cc3dc88c1p-1, 0x1.b8841f950dd98p-1, 0x1.b4a6ce14a9f8cp-1, 0x1.b0b9b244b0c89p-1, 0x1.acbda497826bcp-1, 0x1.a8b37b327cdffp-1, 0x1.a49c09bb01aaep-1, 0x1.a0782127943e8p-1, 0x1.9c488f94dba3fp-1, 0x1.980e201e4eb2p-1, 0x1.93c99aba5ca02p-1, 0x1.8f7bc419e1ceap-1, 0x1.8b255d8aba94cp-1, 0x1.86c724dd4d61cp-1, 0x1.8261d44cdffdp-1, 0x1.7df6226a955fap-1, 0x1.7984c20aefddcp-1, 0x1.750e6235b23ecp-1, 0x1.7093ae1803d54p-1, 0x1.6c154cf8b512bp-1, 0x1.6793e22e87fdep-1, 0x1.63100d186181ep-1, 0x1.5e8a691745accp-1, 0x1.5a038d8a08a75p-1, 0x1.557c0dca98eafp-1, 0x1.50f4792ccb9cap-1, 0x1.4c6d5afe95b9ap-1, 0x1.47e73a899ac68p-1, 0x1.43629b15fcc4ap-1, 0x1.3edffbee59a4ep-1, 0x1.3a5fd864e384bp-1, 0x1.35e2a7d98095ep-1, 0x1.3168ddc0e1f91p-1, 0x1.2cf2e9ac7fbb6p-1, 0x1.288137536c562p-1, 0x1.24142e9bed359p-1, 0x1.1fac33a5cc691p-1, 0x1.1b49a6d553a5fp-1, 0x1.16ece4dee52e3p-1, 0x1.129646d324176p-1, 0x1.0e46222b9fa1fp-1, 0x1.09fcc8d7fa256p-1, 0x1.05ba894b79fb9p-1, 0x1.017fae8b003bbp-1, 0x1.fa990076ad164p-2, 0x1.f242855f9ec77p-2, 0x1.e9fc6df2550d2p-2, 0x1.e1c735e971f6cp-2, 0x1.d9a352b771656p-2, 0x1.d19133a5b8469p-2, 0x1.c99141f3f75e7p-2, 0x1.c1a3e0f7ce48ap-2, 0x1.b9c96e3ca2cfp-2, 0x1.b20241a3a0468p-2, 0x1.aa4ead83d4d39p-2, 0x1.a2aefeca5f655p-2, 0x1.9b237d1aa6ed3p-2, 0x1.93ac6aee8f635p-2, 0x1.8c4a05b6a35bep-2, 0x1.84fc85fa29d1ap-2, 0x1.7dc41f7723c04p-2, 0x1.76a1014222298p-2, 0x1.6f9355e5f4f59p-2, 0x1.689b438329e3bp-2, 0x1.61b8ebef539f5p-2, 0x1.5aec6cd412d24p-2, 0x1.5435dfcde052bp-2, 0x1.4d955a8a8ebf9p-2, 0x1.470aeee780778p-2, 0x1.4096ab0f8df4ep-2, 0x1.3a38999896d8p-2, 0x1.33f0c1a0be7f1p-2, 0x1.2dbf26eb492efp-2, 0x1.27a3c9fd1d501p-2, 0x1.219ea838e2984p-2, 0x1.1bafbbfabced7p-2, 0x1.15d6fcb3a2215p-2, 0x1.10145f0443ebcp-2, 0x1.0a67d4d790588p-2, 0x1.04d14d7cc916fp-2, 0x1.fea16b824c7c3p-3, 0x1.f3cbf01219bebp-3, 0x1.e921f8d1a922fp-3, 0x1.dea3517a3544bp-3, 0x1.d44fc18540975p-3, 0x1.ca270c5b6d1cap-3, 0x1.c028f1826cc51p-3, 0x1.b6552cca00cccp-3, 0x1.acab767817ea9p-3, 0x1.a32b8373f3912p-3, 0x1.99d505706ea54p-3, 0x1.90a7ab154fac6p-3, 0x1.87a32027b1012p-3, 0x1.7ec70db17fef7p-3, 0x1.76131a2809ebap-3, 0x1.6d86e991ac20ap-3, 0x1.65221daa8a1p-3, 0x1.5ce456086769ep-3, 0x1.54cd303d9628cp-3, 0x1.4cdc47fafffa3p-3, 0x1.451137314af51p-3, 0x1.3d6b96311d219p-3, 0x1.35eafbca7df1fp-3, 0x1.2e8efd6b584f8p-3, 0x1.27572f3d2526bp-3, 0x1.20432441b5a62p-3, 0x1.19526e6f25fc8p-3, 0x1.12849ecb008p-3, 0x1.0bd9458485d06p-3, 0x1.054ff20e2723ep-3, 0x1.fdd0666c7010ep-4, 0x1.f1432e7d93078p-4, 0x1.e4f757e9902dp-4, 0x1.d8ebfd8c9b5adp-4, 0x1.cd2039b065dffp-4, 0x1.c1932635be175p-4, 0x1.b643dcbcbbcc3p-4, 0x1.ab3176cb796c4p-4, 0x1.a05b0df354c14p-4, 0x1.95bfbbf4da066p-4, 0x1.8b5e9ae241c7p-4, 0x1.8136c5409c9e2p-4, 0x1.77475627a844p-4, 0x1.6d8f696058d16p-4, 0x1.640e1b821bad6p-4, 0x1.5ac28a0edc6a7p-4, 0x1.51abd38dcf433p-4, 0x1.48c917a50a31bp-4, 0x1.40197731f240cp-4, 0x1.379c146084a8bp-4, 0x1.2f5012c1804a7p-4, 0x1.2734975f79623p-4, 0x1.1f48c8d2daf7bp-4, 0x1.178bcf54de4f6p-4, 0x1.0ffcd4d17e593p-4, 0x1.089b04f86eab8p-4, 0x1.01658d4d1a18bp-4, 0x1.f4b73a6b65131p-5, 0x1.e6f8cc12acaedp-5, 0x1.d98e363aa2413p-5, 0x1.cc75e3a3005c8p-5, 0x1.bfae4337c1297p-5, 0x1.b335c82694175p-5, 0x1.a70ae9f2c271ep-5, 0x1.9b2c248788249p-5, 0x1.8f97f848efcb6p-5, 0x1.844cea233bec6p-5, 0x1.79498398e9a96p-5, 0x1.6e8c52cf5bb1bp-5, 0x1.6413ea9a31abep-5, 0x1.59dee2855db08p-5, 0x1.4febd6ddff378p-5, 0x1.463968ba118cbp-5, 0x1.3cc63dfef25d9p-5, 0x1.33910166d306bp-5, 0x1.2a98628517701p-5, 0x1.21db15c9b1416p-5, 0x1.1957d4837e1cp-5, 0x1.110d5ce1b6edfp-5, 0x1.08fa71f472d4cp-5, 0x1.011ddbac4f27bp-5, 0x1.f2eccdb2805a6p-6, 0x1.e405ca51252a1p-6, 0x1.d5845a4459ac2p-6, 0x1.c766344a224afp-6, 0x1.b9a918c65f03dp-6, 0x1.ac4ad1b9110d1p-6, 0x1.9f4932b3626bdp-6, 0x1.92a218cb702cp-6, 0x1.86536a8eee74ep-6, 0x1.7a5b17f4b48bcp-6, 0x1.6eb71a4d3f8cfp-6, 0x1.63657432322eep-6, 0x1.58643174eb9adp-6, 0x1.4db1670c38dd5p-6, 0x1.434b330134a49p-6, 0x1.392fbc5b5984ap-6, 0x1.2f5d330bdbddbp-6, 0x1.25d1cfd8526e3p-6, 0x1.1c8bd444b6b68p-6, 0x1.13898a7cd1966p-6, 0x1.0ac9453d109f9p-6, 0x1.02495fbade266p-6, 0x1.f4107b18f551ep-7, 0x1.e4089520c86d8p-7, 0x1.d477f5a8b106bp-7, 0x1.c55b94f7f5955p-7, 0x1.b6b07b4e3c743p-7, 0x1.a873c0af8b853p-7, 0x1.9aa28cafc7c37p-7, 0x1.8d3a163daae8bp-7, 0x1.8037a36d5d984p-7, 0x1.73988942a52c2p-7, 0x1.675a2b7ad4fcdp-7, 0x1.5b79fc5675132p-7, 0x1.4ff57c62b7968p-7, 0x1.44ca3a42c5d88p-7, 0x1.39f5d278faef3p-7, 0x1.2f75ef30046b5p-7, 0x1.2548480405de6p-7, 0x1.1b6aa1cbc0e1ep-7, 0x1.11dace61ce4ap-7, 0x1.0896ac6df0d1ap-7, 0x1.ff384e5d17e34p-8, 0x1.edd26c848dd27p-8, 0x1.dcf7bae3c76a1p-8, 0x1.cca458f4a6c53p-8, 0x1.bcd47dae1d4bfp-8, 0x1.ad8477196fcc4p-8, 0x1.9eb0a9e824062p-8, 0x1.9055910a9ac26p-8, 0x1.826fbd4767e89p-8, 0x1.74fbd4d375cfp-8, 0x1.67f692eaf76c1p-8, 0x1.5b5cc76b3bb69p-8, 0x1.4f2b566d65dc5p-8, 0x1.435f37e2154ap-8, 0x1.37f5772e06ce4p-8, 0x1.2ceb32c7b5e06p-8, 0x1.223d9bd602d58p-8, 0x1.17e9f5cfe8fcap-8, 0x1.0ded961d4772fp-8, 0x1.0445e3b8c4da7p-8, 0x1.f5e0ada59f44bp-9, 0x1.e3d4f0eb86173p-9, 0x1.d263c45669241p-9, 0x1.c1887b44d7f55p-9, 0x1.b13e88b0123eep-9, 0x1.a1817e7dbeb5ap-9, 0x1.924d0cd40392cp-9, 0x1.839d01701086cp-9, 0x1.756d46ff1d7ep-9, 0x1.67b9e479d6539p-9, 0x1.5a7efc824967dp-9, 0x1.4db8ccc444466p-9, 0x1.4163ad58344ffp-9, 0x1.357c10287d54cp-9, 0x1.29fe805950422p-9, 0x1.1ee7a1b2fb21cp-9, 0x1.1434300eb4aacp-9, 0x1.09e0fec5e2d4fp-9, 0x1.ffd5f047aeb92p-10, 0x1.ec9e39b40a105p-10, 0x1.da1506ed4cbbbp-10, 0x1.c834afbbaa712p-10, 0x1.b6f7b58a279b2p-10, 0x1.a658c2626ebcap-10, 0x1.9652a7ed8674cp-10, 0x1.86e05e7938d81p-10, 0x1.77fd040244e5p-10, 0x1.69a3db4332aadp-10, 0x1.5bd04ac7db071p-10, 0x1.4e7ddc0584931p-10, 0x1.41a83a7796e14p-10, 0x1.354b32c0d0e7cp-10, 0x1.2962b1d0fbd5p-10, 0x1.1deac40f0ccd5p-10, 0x1.12df9487a80d7p-10, 0x1.083d6c1ffa307p-10, 0x1.fc016199b13ecp-11, 0x1.e84bc99c43781p-11, 0x1.d5534bdc87cb1p-11, 0x1.c311598bd4dfp-11, 0x1.b17f980775a2dp-11, 0x1.a097df702ae3cp-11, 0x1.905439499b1c7p-11, 0x1.80aedf2190bdap-11, 0x1.71a2393eeac93p-11, 0x1.6328dd582361ep-11, 0x1.553d8d514ece5p-11, 0x1.47db3601748a9p-11, 0x1.3afcedff27615p-11, 0x1.2e9df4743c5b1p-11, 0x1.22b9aff884cecp-11, 0x1.174bad736ddc5p-11, 0x1.0c4f9f0465c9dp-11, 0x1.01c15af1eef18p-11, 0x1.ef39b53e76332p-12, 0x1.dbbc731072ba1p-12, 0x1.c9036887ea337p-12, 0x1.b7074f1a54601p-12, 0x1.a5c11ea1e229cp-12, 0x1.952a0b86cd944p-12, 0x1.853b84f46607ap-12, 0x1.75ef3319a35d6p-12, 0x1.673ef57503c93p-12, 0x1.5924e12b7cc68p-12, 0x1.4b9b3f6a4d0cp-12, 0x1.3e9c8bd36f1f9p-12, 0x1.322372f4814dap-12, 0x1.262ad0c7e0d1p-12, 0x1.1aadaf3fcc071p-12, 0x1.0fa744db568ddp-12, 0x1.0512f344f1237p-12, 0x1.f5d88bf4bfcefp-13, 0x1.e25de1fbbefadp-13, 0x1.cfad9f20a10e6p-13, 0x1.bdbfc5e85b266p-13, 0x1.ac8ca272489d4p-13, 0x1.9c0cc82036fb5p-13, 0x1.8c390f4eece0ep-13, 0x1.7d0a931ed3a34p-13, 0x1.6e7aaf4c5c086p-13, 0x1.6082fe17d1914p-13, 0x1.531d563c320a3p-13, 0x1.4643c8f4bcd1p-13, 0x1.39f0a010dc24bp-13, 0x1.2e1e5c1610395p-13, 0x1.22c7b26f95ce2p-13, 0x1.17e78bab5d172p-13, 0x1.0d7901c4166dp-13, 0x1.03775e77f7183p-13, 0x1.f3bc3357cde35p-14, 0x1.e151afb5a869p-14, 0x1.cfa6d121a50ap-14, 0x1.beb389e388a9fp-14, 0x1.ae701c9687c37p-14, 0x1.9ed51962ff5fbp-14, 0x1.8fdb5b4d8d34cp-14, 0x1.817c059afa689p-14, 0x1.73b081487265cp-14, 0x1.66727a977f60fp-14, 0x1.59bbdead479a9p-14, 0x1.4d86d9448e2b3p-14, 0x1.41cdd271f7a12p-14, 0x1.368b6c7a181d6p-14, 0x1.2bba81b8d26cep-14, 0x1.2156229991664p-14, 0x1.1759939fe89d8p-14, 0x1.0dc04b802a66p-14, 0x1.0485f1478653fp-14, 0x1.f74cb526822f6p-15, 0x1.e63b13ad3c95ap-15, 0x1.d5cf595e270c5p-15, 0x1.c602348cbdf09p-15, 0x1.b6cca3843d881p-15, 0x1.a827f1811471p-15, 0x1.9a0db3c3d50aep-15, 0x1.8c77c6bcf26dep-15, 0x1.7f604b50963b7p-15, 0x1.72c1a431d72dep-15, 0x1.66967354acd31p-15, 0x1.5ad99775f0a2ap-15, 0x1.4f8629b8d1247p-15, 0x1.44977b590d772p-15, 0x1.3a091371629cp-15, 0x1.2fd6acd593ef1p-15, 0x1.25fc33ff72111p-15, 0x1.1c75c50e59288p-15, 0x1.133fa9d891504p-15, 0x1.0a56580e0a74ep-15, 0x1.01b66f6bed3d1p-15, 0x1.f2b97000fe929p-16, 0x1.e28c40fdadda8p-16, 0x1.d2df7943cefaep-16, 0x1.c3ad873ccd4d8p-16, 0x1.b4f11d463a917p-16, 0x1.a6a52ece4e53p-16, 0x1.98c4ed8b7663p-16, 0x1.8b4bc6ce0ee4dp-16, 0x1.7e3560eb75501p-16, 0x1.717d98c1ad59ap-16, 0x1.65207f52bee1p-16, 0x1.591a57771ff09p-16, 0x1.4d6793a652a56p-16, 0x1.4204d3d51c115p-16, 0x1.36eee36882683p-16, 0x1.2c22b73cfbdd9p-16, 0x1.219d6bc116747p-16, 0x1.175c4322f9814p-16, 0x1.0d5ca3901ebd8p-16, 0x1.039c1586a68edp-16, 0x1.f430846f69053p-17, 0x1.e19de3f47223ep-17, 0x1.cf7c159b426a7p-17, 0x1.bdc71dd7bffafp-17, 0x1.ac7b36d48cd07p-17, 0x1.9b94cdd156a92p-17, 0x1.8b10809ccddfdp-17, 0x1.7aeb1b2942bp-17, 0x1.6b21953afb18cp-17, 0x1.5bb1102f66516p-17, 0x1.4c96d4dc3ad4dp-17, 0x1.3dd05185b5d49p-17, 0x1.2f5b17eb1d46ap-17, 0x1.2134db68bdd06p-17, 0x1.135b6f2e9b17ep-17, 0x1.05ccc48b143dep-17, 0x1.f10dd29180964p-18, 0x1.d7100c3da002dp-18, 0x1.bd9cba668628fp-18, 0x1.a4b0915c95435p-18, 0x1.8c4872bc6498cp-18, 0x1.74616ad665d3fp-18, 0x1.5cf8ae35267ap-18, 0x1.460b974106ecep-18, 0x1.2f97a40045049p-18, 0x1.199a73f242f35p-18, 0x1.0411c604ffd77p-18, 0x1.ddf6ed477232fp-19, 0x1.b4aafbbb73a5bp-19, 0x1.8c3bdb48d04b5p-19, 0x1.64a5e03f38c6p-19, 0x1.3de58c2ecd516p-19, 0x1.17f78ae4c4db8p-19, 0x1.e5b15f1f0632cp-20, 0x1.9d0be4111c33p-20, 0x1.55f8d8858f79fp-20, 0x1.1072afb6f0da7p-20, 0x1.98e82f32c2a92p-21, 0x1.13efe8fe7928bp-21, 0x1.23e573ebf1008p-22, 0x1.2e72bf76c02bfp-25, -0x1.a4ef86f2681a5p-23, -0x1.c4fe82dd2065bp-22, -0x1.58eb7d74b9475p-21, -0x1.cc88de55aea5fp-21, -0x1.1eafb8468b32ep-20, -0x1.55bb84fb52334p-20, -0x1.8b6ba771be5e6p-20, -0x1.bfc3db6ee5d77p-20, -0x1.f2c7c88f2e8b7p-20, -0x1.123d822decfa8p-19, -0x1.2a708a1e93263p-19, -0x1.41feb7a544437p-19, -0x1.58e9bffd62b2p-19, -0x1.6f3352daa8a07p-19, -0x1.84dd1b234486fp-19, -0x1.99e8bf9c132dep-19, -0x1.ae57e387a837dp-19, -0x1.c22c2738d18d4p-19, -0x1.d56728993025dp-19, -0x1.e80a83a48c36dp-19, -0x1.fa17d2d96f1e1p-19, -0x1.05c857cfcf0e8p-18, -0x1.0e3b595279c68p-18, -0x1.1665ba1894c72p-18, -0x1.1e48463881915p-18, -0x1.25e3c9dcb0791p-18, -0x1.2d39116152253p-18, -0x1.3448e96e6eb92p-18, -0x1.3b141f0e94cefp-18, -0x1.419b7fc252fccp-18, -0x1.47dfd990b1cb7p-18, -0x1.4de1fb14d507ap-18, -0x1.53a2b388f9bffp-18, -0x1.5922d2cef5d52p-18, -0x1.5e632976657f6p-18, -0x1.636488c0abf6bp-18, -0x1.6827c2a2eebc3p-18, -0x1.6cada9c62d3c9p-18, -0x1.70f711859889dp-18, -0x1.7504cdeb4b29ep-18, -0x1.78d7b3ab7f88ap-18, -0x1.7c70981e63503p-18, -0x1.7fd05138a4305p-18, -0x1.82f7b582ce4b7p-18, -0x1.85e79c0f9ad6cp-18, -0x1.88a0dc7141f2dp-18, -0x1.8b244eade9ae1p-18, -0x1.8d72cb334784dp-18, -0x1.8f8d2ac988433p-18, -0x1.91744685950c8p-18, -0x1.9328f7bac35f7p-18, -0x1.94ac17ec04d6cp-18, -0x1.95fe80bca9acdp-18, -0x1.97210be0bea76p-18, -0x1.9814930d1d30fp-18, -0x1.98d9efe737b62p-18, -0x1.9971fbf4af3fbp-18, -0x1.99dd908ac0684p-18, -0x1.9a1d86bd93c98p-18, -0x1.9a32b74f7a3c1p-18, -0x1.9a1dfaa02309cp-18, -0x1.99e0289bd269ep-18, -0x1.997a18aaa53fdp-18, -0x1.98eca19fe4697p-18, -0x1.983899a9797dbp-18, -0x1.975ed63f7f7fep-18, -0x1.96602c1403ff8p-18, -0x1.953d6f02f4078p-18, -0x1.93f77202418bfp-18, -0x1.928f071243108p-18, -0x1.9104ff2e562dap-18, -0x1.8f5a2a3dc4aa6p-18, -0x1.8d8f5704f68bbp-18, -0x1.8ba55316ee804p-18, -0x1.899ceac7194f5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fa19c99e9efc2p-4, -0x1.0cc928bd6688ep-3, -0x1.1cc42fe268ce4p-3, -0x1.2cf8e4a90ae62p-3, -0x1.3d61e6303057fp-3, -0x1.4df995649ce6fp-3, -0x1.5eba212e0dbbp-3, -0x1.6f9d91b3e802p-3, -0x1.809dd2c009912p-3, -0x1.91b4bd4848e08p-3, -0x1.a2dc20285783p-3, -0x1.b40dc8167d84bp-3, -0x1.c54386de1c991p-3, -0x1.d67739eafe403p-3, -0x1.e7a2d0305e702p-3, -0x1.f8c04f76633a3p-3, -0x1.04e4ec8c2c85cp-2, -0x1.0d5cd71ecf7b7p-2, -0x1.15c519cb54628p-2, -0x1.1e1afa53897bp-2, -0x1.265bd3528a7c6p-2, -0x1.2e85157b2b4bfp-2, -0x1.369448a8bb552p-2, -0x1.3e870cc595f5fp-2, -0x1.465b1a8ac4811p-2, -0x1.4e0e441ba64dep-2, -0x1.559e758075636p-2, -0x1.5d09b502435e8p-2, -0x1.644e236ade38dp-2, -0x1.6b69fc2ae25a7p-2, -0x1.725b956819917p-2, -0x1.79215ff621253p-2, -0x1.7fb9e73b32e47p-2, -0x1.8623d102c5e79p-2, -0x1.8c5ddd3fad3dap-2, -0x1.9266e5bf2fa11p-2, -0x1.983dddce853dp-2, -0x1.9de1d1d415a44p-2, -0x1.a351e6dda41eep-2, -0x1.a88d5a24a7d87p-2, -0x1.ad938089d67fp-2, -0x1.b263c608ed9b4p-2, -0x1.b6fdad25b2addp-2, -0x1.bb60ce530588ap-2, -0x1.bf8cd754e36eep-2, -0x1.c3818a9e20e4dp-2, -0x1.c73ebeaa90b47p-2, -0x1.cac45d564d59fp-2, -0x1.ce126332bfa7fp-2, -0x1.d128deda02b9fp-2, -0x1.d407f04125a16p-2, -0x1.d6afc809d7fa9p-2, -0x1.d920a6d3f434p-2, -0x1.db5adc8f52d7p-2, -0x1.dd5ec7ce592c3p-2, -0x1.df2cd51990328p-2, -0x1.e0c57e44aad28p-2, -0x1.e22949c53e98fp-2, -0x1.e358ca0b794bdp-2, -0x1.e4549cdd17f62p-2, -0x1.e51d6ab2d6d48p-2, -0x1.e5b3e6188af47p-2, -0x1.e618cb1020754p-2, -0x1.e64cde77983dfp-2, -0x1.e650ed7237bd5p-2, -0x1.e625ccd4feedep-2, -0x1.e5cc58968d859p-2, -0x1.e5457342801c5p-2, -0x1.e49205706aac7p-2, -0x1.e3b2fd3e6e39p-2, -0x1.e2a94dcf89453p-2, -0x1.e175eecd9f274p-2, -0x1.e019dbef452bp-2, -0x1.de9614815a5aap-2, -0x1.dceb9af466689p-2, -0x1.db1b746dc7353p-2, -0x1.d926a85ca818ep-2, -0x1.d70e4012bd3c1p-2, -0x1.d4d34660c0584p-2, -0x1.d276c736a8bb2p-2, -0x1.cff9cf4790075p-2, -0x1.cd5d6bb143429p-2, -0x1.caa2a9a76db88p-2, -0x1.c7ca962254057p-2, -0x1.c4d63d9114495p-2, -0x1.c1c6ab8f5b3e9p-2, -0x1.be9cea9e80208p-2, -0x1.bb5a03e1f8debp-2, -0x1.b7fefedf196b5p-2, -0x1.b48ce14003507p-2, -0x1.b104ae99c6de9p-2, -0x1.ad6768359090dp-2, -0x1.a9b60cdce076p-2, -0x1.a5f198a8b3dcbp-2, -0x1.a21b04d38c978p-2, -0x1.9e33478e4a6adp-2, -0x1.9a3b53d7be71ap-2, -0x1.96341956e9176p-2, -0x1.921e8437ced9bp-2, -0x1.8dfb7d0ad46f9p-2, -0x1.89cbe8a688d22p-2, -0x1.8590a80bd53d7p-2, -0x1.814a984c7621cp-2, -0x1.7cfa9273b1961p-2, -0x1.78a16b713a257p-2, -0x1.743ff4062240fp-2, -0x1.6fd6f8b3ddb36p-2, -0x1.6b6741ad308b5p-2, -0x1.66f192c905c33p-2, -0x1.6276ab7712d36p-2, -0x1.5df746b63ef2cp-2, -0x1.59741b0cb9593p-2, -0x1.54edda81ae3e5p-2, -0x1.50653298896ddp-2, -0x1.4bdacc4dba207p-2, -0x1.474f4c14e4bffp-2, -0x1.42c351d873313p-2, -0x1.3e3778fa75212p-2, -0x1.39ac5856c4e4fp-2, -0x1.352282465b612p-2, -0x1.309a84a3c9499p-2, -0x1.2c14e8d0c6c76p-2, -0x1.279233bccda46p-2, -0x1.2312e5eca9503p-2, -0x1.1e977b82fafcbp-2, -0x1.1a206c499af38p-2, -0x1.15ae2bbbcd067p-2, -0x1.1141291143b57p-2, -0x1.0cd9cf49d7a64p-2, -0x1.08788539f6119p-2, -0x1.041dad97b25b4p-2, -0x1.ff934e10dfac6p-3, -0x1.f6f9985e43e56p-3, -0x1.ee6ee77611c65p-3, -0x1.e5f3e0ede382ep-3, -0x1.dd8922b1c94fap-3, -0x1.d52f432473677p-3, -0x1.cce6d1401f57ap-3, -0x1.c4b054b83294p-3, -0x1.bc8c4e1b670ebp-3, -0x1.b47b36f68f1bcp-3, -0x1.ac7d81f7c8286p-3, -0x1.a4939b1224326p-3, -0x1.9cbde7a1a34a1p-3, -0x1.94fcc68f850b2p-3, -0x1.8d509076d6c65p-3, -0x1.85b997c933ce4p-3, -0x1.7e3828f3ae3b4p-3, -0x1.76cc8a83d04f5p-3, -0x1.6f76fd4cab0c8p-3, -0x1.6837bc8bf03a2p-3, -0x1.610efe0ef74e3p-3, -0x1.59fcf257bfb2bp-3, -0x1.5301c4c1cd389p-3, -0x1.4c1d9ba6e4dffp-3, -0x1.455098839da5dp-3, -0x1.3e9ad81bb662p-3, -0x1.37fc729e343b3p-3, -0x1.31757bc939db7p-3, -0x1.2b06030d905b8p-3, -0x1.24ae13b1e488bp-3, -0x1.1e6db4f59f03p-3, -0x1.1844ea336e126p-3, -0x1.1233b3035c416p-3, -0x1.0c3a0b5c85549p-3, -0x1.0657ebb659ca2p-3, -0x1.008d492977093p-3, -0x1.f5b42b1ff57e4p-4, -0x1.ea7c7f4ad092ap-4, -0x1.df73664c17e0ap-4, -0x1.d498b1dbb6263p-4, -0x1.c9ec2e2da0c2dp-4, -0x1.bf6da22d884a3p-4, -0x1.b51ccfb9715f9p-4, -0x1.aaf973db379c4p-4, -0x1.a1034700fc43cp-4, -0x1.9739fd346607bp-4, -0x1.8d9d4650dda9dp-4, -0x1.842cce388b7edp-4, -0x1.7ae83d0842269p-4, -0x1.71cf374a3d257p-4, -0x1.68e15e27baee9p-4, -0x1.601e4f996dcbep-4, -0x1.5785a696c783fp-4, -0x1.4f16fb441b563p-4, -0x1.46d1e31f9ab48p-4, -0x1.3eb5f12d29e93p-4, -0x1.36c2b621105adp-4, -0x1.2ef7c08984f61p-4, -0x1.27549cf71742ep-4, -0x1.1fd8d623f7cacp-4, -0x1.1883f51a22f89p-4, -0x1.115581586e197p-4, -0x1.0a4d00f67b986p-4, -0x1.0369f8c79727dp-4, -0x1.f957d8f8fcdb3p-5, -0x1.ec24bd88303f2p-5, -0x1.df39a2d63a2bcp-5, -0x1.d2958af56ca1fp-5, -0x1.c63776ac29651p-5, -0x1.ba1e65ae09c0ep-5, -0x1.ae4956d305acbp-5, -0x1.a2b7484ca5e7bp-5, -0x1.976737d944399p-5, -0x1.8c5822f563b15p-5, -0x1.8189070b2d8cbp-5, -0x1.76f8e1a01105fp-5, -0x1.6ca6b0809b24cp-5, -0x1.629171ea8528bp-5, -0x1.58b824b50693bp-5, -0x1.4f19c87775bb3p-5, -0x1.45b55dae3abfap-5, -0x1.3c89e5de20865p-5, -0x1.339663b61060ap-5, -0x1.2ad9db2f38059p-5, -0x1.225351abaf559p-5, -0x1.1a01ce139a625p-5, -0x1.11e458f0db156p-5, -0x1.09f9fc895491fp-5, -0x1.0241c4f7cf72ap-5, -0x1.f5758087014bfp-6, -0x1.e6c7fcec82ac8p-6, -0x1.d8792363036d4p-6, -0x1.ca871c83eed47p-6, -0x1.bcf015643aaa3p-6, -0x1.afb23fb6fdb85p-6, -0x1.a2cbd1edc8c8bp-6, -0x1.963b0756be9d9p-6, -0x1.89fe20388bf6bp-6, -0x1.7e1361ec45f85p-6, -0x1.727916f53fd7cp-6, -0x1.672d8f16f28abp-6, -0x1.5c2f1f68f5c56p-6, -0x1.517c22692aa67p-6, -0x1.4712f80c1db0bp-6, -0x1.3cf205cbb1abbp-6, -0x1.3317b6b422313p-6, -0x1.29827b6f724fep-6, -0x1.2030ca4f4ce4dp-6, -0x1.17211f556842dp-6, -0x1.0e51fc3a83ac9p-6, -0x1.05c1e873fa68bp-6, -0x1.fadee27020a6p-7, -0x1.eab25301e32bp-7, -0x1.dafb541cfc54ap-7, -0x1.cbb722cdcef85p-7, -0x1.bce307ac6bea5p-7, -0x1.ae7c56d96757cp-7, -0x1.a0806ff8af406p-7, -0x1.92ecbe2a68b0dp-7, -0x1.85beb801e8d99p-7, -0x1.78f3df7aebca1p-7, -0x1.6c89c1ed19b3p-7, -0x1.607df7fde5f25p-7, -0x1.54ce2590ef50ap-7, -0x1.4977f9b6e4413p-7, -0x1.3e792e9b040dp-7, -0x1.33cf896f585bp-7, -0x1.2978da57acb66p-7, -0x1.1f72fc535cfbdp-7, -0x1.15bbd5260ab9cp-7, -0x1.0c51553f49d5ep-7, -0x1.033177a15634ap-7, -0x1.f4b4838dc0e94p-8, -0x1.e393871003dbdp-8, -0x1.d2fc2dfccf707p-8, -0x1.c2eac0d1815c9p-8, -0x1.b35b9c1b000c7p-8, -0x1.a44b3039fb499p-8, -0x1.95b601260bcdep-8, -0x1.8798a62fc0668p-8, -0x1.79efc9c1bcae6p-8, -0x1.6cb82920f459cp-8, -0x1.5fee942c2642cp-8, -0x1.538fed1aa1102p-8, -0x1.4799283a7025ap-8, -0x1.3c074badfeefap-8, -0x1.30d76f2947a73p-8, -0x1.2606bbaea21a7p-8, -0x1.1b926b4b40442p-8, -0x1.1177c8d36eefp-8, -0x1.07b42f9ea5a7p-8, -0x1.fc8a1686f2c8fp-9, -0x1.ea4faea70129dp-9, -0x1.d8b43e2e67846p-9, -0x1.c7b2fa93bc8b8p-9, -0x1.b74737ab49dfbp-9, -0x1.a76c671f701p-9, -0x1.981e17e9641cap-9, -0x1.8957f5ca72f58p-9, -0x1.7b15c8c5d094dp-9, -0x1.6d53749b0a5bbp-9, -0x1.600cf84139f5ap-9, -0x1.533e6d62fe64bp-9, -0x1.46e407db51bb1p-9, -0x1.3afa15334e153p-9, -0x1.2f7cfc20f0784p-9, -0x1.24693c06e3264p-9, -0x1.19bb6c75655c7p-9, -0x1.0f703cac573e2p-9, -0x1.0584731e75bccp-9, -0x1.f7e9d9ebafe54p-10, -0x1.e57d3b3363bf2p-10, -0x1.d3bd1c6ace759p-10, -0x1.c2a3ba81f8d85p-10, -0x1.b22b7c15c91ap-10, -0x1.a24ef0868288ep-10, -0x1.9308cf11181bcp-10, -0x1.8453f5eb7a5aep-10, -0x1.762b6963d7a34p-10, -0x1.688a5302e8a9ap-10, -0x1.5b6c00b1415b7p-10, -0x1.4ecbe3dfc3641p-10, -0x1.42a590b327134p-10, -0x1.36f4bd32a8289p-10, -0x1.2bb54079db042p-10, -0x1.20e311edb69efp-10, -0x1.167a4874c1481p-10, -0x1.0c7719b27a0acp-10, -0x1.02d5d945f7337p-10, -0x1.f325f017669dp-11, -0x1.e15606c52e13bp-11, -0x1.d03548e86ac9fp-11, -0x1.bfbd3f007a378p-11, -0x1.afe7a6563a8b9p-11, -0x1.a0ae6f9fb4403p-11, -0x1.920bbdaa1e9a3p-11, -0x1.83f9e40a3bb57p-11, -0x1.767365d2fd07p-11, -0x1.6972f4526fe21p-11, -0x1.5cf36dd4e2e8ep-11, -0x1.50efdc6e3af54p-11, -0x1.456374c96d1c4p-11, -0x1.3a4994fe1217fp-11, -0x1.2f9dc36c0400ep-11, -0x1.255bad9cfadacp-11, -0x1.1b7f272c198bbp-11, -0x1.120428b35b078p-11, -0x1.08e6cebed3bf1p-11, -0x1.002358c5b34a1p-11, -0x1.ef6c5051f276p-12, -0x1.df377e6f978ecp-12, -0x1.cfa18072bb259p-12, -0x1.c0a3d8f8a94e6p-12, -0x1.b23846d7389f3p-12, -0x1.a458c35128309p-12, -0x1.96ff80550c3a1p-12, -0x1.8a26e6c6aa386p-12, -0x1.7dc994d299601p-12, -0x1.71e25c4c06098p-12, -0x1.666c41147074ep-12, -0x1.5b62778d3ba9ap-12, -0x1.50c06312ef9e9p-12, -0x1.46819481fd213p-12, -0x1.3ca1c8c4e29b6p-12, -0x1.331ce76b8a157p-12, -0x1.29ef014bb5ac8p-12, -0x1.21144f2a5675ap-12, -0x1.1889306da5b83p-12, -0x1.104a29d7d9519p-12, -0x1.0853e44a48798p-12, -0x1.00a32b90e0edp-12, -0x1.f269da6b7d201p-13, -0x1.e40c6eb985b17p-13, -0x1.d6286f4e0611p-13, -0x1.c8b8743bd089dp-13, -0x1.bbb7504bb777cp-13, -0x1.af200ef0a8fbap-13, -0x1.a2edf24a50db5p-13, -0x1.971c7135e762p-13, -0x1.8ba7356cf2b5p-13, -0x1.808a19b19a3b7p-13, -0x1.75c128085ff7cp-13, -0x1.6b4897fedda4p-13, -0x1.611cccff4bec7p-13, -0x1.573a54b08ad25p-13, -0x1.4d9de56267a9dp-13, -0x1.44445c85ccee6p-13, -0x1.3b2abd30b27e7p-13, -0x1.324e2ead6cf78p-13, -0x1.29abfb1533ab1p-13, -0x1.21418df58231bp-13, -0x1.190c73003196cp-13, -0x1.110a54c5e9a17p-13, -0x1.0938fb7ac9cefp-13, -0x1.01964bc4efeabp-13, -0x1.f4408b296ce1ap-14, -0x1.e5aa060cb8ba5p-14, -0x1.d7656e99d6577p-14, -0x1.c96f5b4c178c7p-14, -0x1.bbc490ad5ce6ep-14, -0x1.ae61ff6053d03p-14, -0x1.a144c23b76184p-14, -0x1.946a1c742cec7p-14, -0x1.87cf77d9c90b1p-14, -0x1.7b72631fd7268p-14, -0x1.6f509037712b1p-14, -0x1.6367d2b723053p-14, -0x1.57b61e50ff1c3p-14, -0x1.4c39855683346p-14, -0x1.40f03749ea776p-14, -0x1.35d87f7c90381p-14, -0x1.2af0c3ba07ee8p-14, -0x1.203782ff8d4acp-14, -0x1.15ab543f76408p-14, -0x1.0b4ae5304ef6fp-14, -0x1.0114f9274a094p-14, -0x1.ee10cffb686c7p-15, -0x1.da483a022b22ep-15, -0x1.c6ce2bdb6b9ep-15, -0x1.b3a0c3e661998p-15, -0x1.a0be4185a4c6cp-15, -0x1.8e25034ed8ca4p-15, -0x1.7bd3854cbd781p-15, -0x1.69c85f53183bcp-15, -0x1.58024363e1ep-15, -0x1.467ffc253b546p-15, -0x1.35406b679b211p-15, -0x1.244288bbb850ap-15, -0x1.13856017b0064p-15, -0x1.0308108ae8609p-15, -0x1.e59396007e542p-16, -0x1.c593a21c08e1bp-16, -0x1.a60ee7a6acc0ap-16, -0x1.870425c4d0606p-16, -0x1.6872366e924eep-16, -0x1.4a580c758950bp-16, -0x1.2cb4b1a1d4482p-16, -0x1.0f8744e5c2e53p-16, -0x1.e59df14e8689dp-17, -0x1.ad16223cc0b52p-17, -0x1.7575c59015f62p-17, -0x1.3ebba1d8fc031p-17, -0x1.08e6987112f6ap-17, -0x1.a7eb45a46ef16p-18, -0x1.3fcfa0216fb44p-18, -0x1.b2f109ddadefap-19, -0x1.d3916a236eecfp-20, -0x1.211a50a90d48cp-22, 0x1.3c03f77507b17p-20, 0x1.5ca9b57a1007dp-19, 0x1.0beb2bf93efd7p-18, 0x1.67c51d2f73834p-18, 0x1.c1e3ce657264dp-18, 0x1.0d242b83584p-17, 0x1.3879e458f4f02p-17, 0x1.62f398ec69d55p-17, 0x1.8c91d019e23d1p-17, 0x1.b55511858ee17p-17, 0x1.dd3de6ac162abp-17, 0x1.02266defcd508p-16, 0x1.1541409916915p-16, 0x1.27efb5a7340bdp-16, 0x1.3a321a1f852ecp-16, 0x1.4c08be131f6e3p-16, 0x1.5d73f4f2abd2ep-16, 0x1.6e7415dad073fp-16, 0x1.7f097bd982cecp-16, 0x1.8f34862c90d07p-16, 0x1.9ef59879b2b5p-16, 0x1.ae4d1b007a0bep-16, 0x1.bd3b7ac65bd98p-16, 0x1.cbc129bd2b958p-16, 0x1.d9de9ee44727cp-16, 0x1.e7945664bb39bp-16, 0x1.f4e2d1a89981fp-16, 0x1.00e54bb6e544cp-15, 0x1.072619ea498fdp-15, 0x1.0d341c3504a4dp-15, 0x1.130f9e1756a5cp-15, 0x1.18b8edccb25f2p-15, 0x1.1e305c4b83466p-15, 0x1.23763d435861dp-15, 0x1.288ae71987ea1p-15, 0x1.2d6eb2e467085p-15, 0x1.3221fc652d773p-15, 0x1.36a5220093cd3p-15, 0x1.3af884b64a56cp-15, 0x1.3f1c881756eafp-15, 0x1.4311923b6cd15p-15, 0x1.46d80bb556259p-15, 0x1.4a705f867af87p-15, 0x1.4ddafb119a5adp-15, 0x1.51184e0cc4d0cp-15, 0x1.5428ca72a8648p-15, 0x1.570ce4733cc05p-15, 0x1.59c51263dd5eep-15, 0x1.5c51ccaee1aacp-15, 0x1.5eb38dc2bc0efp-15, 0x1.60ead200b36eap-15, 0x1.62f817ab39878p-15, 0x1.64dbded3f325fp-15, 0x1.6696a9497735ep-15, 0x1.6828fa84d1a82p-15, 0x1.69935796d1be1p-15, 0x1.6ad647152f9e9p-15, 0x1.6bf251079293p-15, 0x1.6ce7fed47e0b6p-15, 0x1.6db7db2e2d579p-15, 0x1.6e6271ff69408p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d7c38d416a8dp-1, 0x1.d4c879453ce0ap-1, 0x1.d1cb6d4b4337ap-1, 0x1.cecde8848454dp-1, 0x1.cbd13329e86f2p-1, 0x1.c8d662769ad5ap-1, 0x1.c5de5c9ceff0fp-1, 0x1.c2e9dca9158f3p-1, 0x1.bff97647d9e64p-1, 0x1.bd0d996a4839bp-1, 0x1.ba2695c0e6f97p-1, 0x1.b7449e0aff45cp-1, 0x1.b467cb37adb59p-1, 0x1.b1901f578b942p-1, 0x1.aebd885e966ebp-1, 0x1.abefe2b6a8a0cp-1, 0x1.a926fba358d4cp-1, 0x1.a66293787d94ep-1, 0x1.a3a25fa4d97a9p-1, 0x1.a0e60c92b25b2p-1, 0x1.9e2d3f60330b7p-1, 0x1.9b77977198c3cp-1, 0x1.98c4afdf2e44bp-1, 0x1.961420c129585p-1, 0x1.9365805b6d79dp-1, 0x1.90b8642b39828p-1, 0x1.8e0c61d8b3c1bp-1, 0x1.8b61100e3ab49p-1, 0x1.88b607374b749p-1, 0x1.860ae228c11b7p-1, 0x1.835f3eb415bcfp-1, 0x1.80b2be273c392p-1, 0x1.7e0505ba93bc1p-1, 0x1.7b55beee61bb7p-1, 0x1.78a497d927137p-1, 0x1.75f14368149ddp-1, 0x1.733b7992cc4fep-1, 0x1.7082f7838c4c9p-1, 0x1.6dc77fb4cb5dbp-1, 0x1.6b08da053dc6ep-1, 0x1.6846d3c32b1a6p-1, 0x1.65813fafebe79p-1, 0x1.62b7f5fc52fbp-1, 0x1.5fead43ec308dp-1, 0x1.5d19bd6395781p-1, 0x1.5a4499987692bp-1, 0x1.576b5633498e6p-1, 0x1.548de5951be47p-1, 0x1.51ac3f09a7f44p-1, 0x1.4ec65ea3d8d8dp-1, 0x1.4bdc4517bcf51p-1, 0x1.48edf79248d8ep-1, 0x1.45fb7f8f43ff9p-1, 0x1.4304eaadb52bp-1, 0x1.400a4a8318058p-1, 0x1.3d0bb46da382fp-1, 0x1.3a094165e0c68p-1, 0x1.37030dcfcaa04p-1, 0x1.33f9394baeceep-1, 0x1.30ebe686fbafep-1, 0x1.2ddb3b0d2b9edp-1, 0x1.2ac75f18f0fbdp-1, 0x1.27b07d65c9545p-1, 0x1.2496c3021606ap-1, 0x1.217a5f21d7d86p-1, 0x1.1e5b82f22658bp-1, 0x1.1b3a616d7b775p-1, 0x1.18172f30e4af3p-1, 0x1.14f222522ce76p-1, 0x1.11cb72370f873p-1, 0x1.0ea3576d7e6b2p-1, 0x1.0b7a0b8509e73p-1, 0x1.084fc8e971a76p-1, 0x1.0524cabe66589p-1, 0x1.01f94cbc851f3p-1, 0x1.fd9b161f1a24cp-2, 0x1.f743846badbfap-2, 0x1.f0ec5dc21afbbp-2, 0x1.ea961bb05834bp-2, 0x1.e44137b57bf23p-2, 0x1.ddee2b0aca315p-2, 0x1.d79d6e6f3cc28p-2, 0x1.d14f79f594cep-2, 0x1.cb04c4d4dd4eap-2, 0x1.c4bdc53b67bfap-2, 0x1.be7af0242c8fp-2, 0x1.b83cb92e92686p-2, 0x1.b203927888ff4p-2, 0x1.abcfec7af2f1ep-2, 0x1.a5a235e84c4c4p-2, 0x1.9f7adb8d8a978p-2, 0x1.995a483520069p-2, 0x1.9340e48c1b995p-2, 0x1.8d2f1709542cep-2, 0x1.872543d692287p-2, 0x1.8123ccbbab777p-2, 0x1.7b2b110b7d947p-2, 0x1.753b6d92bdbacp-2, 0x1.6f553c8888d0ep-2, 0x1.6978d580ae35p-2, 0x1.63a68d5f9a978p-2, 0x1.5ddeb64fdbda5p-2, 0x1.58219fb92fe2p-2, 0x1.526f963905b78p-2, 0x1.4cc8e39c7019fp-2, 0x1.472dcedb6c07bp-2, 0x1.419e9c157bb0fp-2, 0x1.3c1b8c8f77ea3p-2, 0x1.36a4deb2981f9p-2, 0x1.313ace0c97465p-2, 0x1.2bdd9350f166fp-2, 0x1.268d645b21ffap-2, 0x1.214a7431e33f2p-2, 0x1.1c14f30b50a14p-2, 0x1.16ed0e51effffp-2, 0x1.11d2f0aa88788p-2, 0x1.0cc6c1fac3a0bp-2, 0x1.07c8a77085401p-2, 0x1.02d8c389f528ap-2, 0x1.fbee6c3c56b28p-3, 0x1.f24838cce5f41p-3, 0x1.e8bf22103eba2p-3, 0x1.df53583dbcadfp-3, 0x1.d605068f14458p-3, 0x1.ccd45356ca873p-3, 0x1.c3c160177f08p-3, 0x1.bacc499bf1448p-3, 0x1.b1f5280fa6f24p-3, 0x1.a93c0f182fc42p-3, 0x1.a0a10deeed1f8p-3, 0x1.98242f7b54163p-3, 0x1.8fc57a6d8f3fep-3, 0x1.8784f15983f9fp-3, 0x1.7f6292d21b617p-3, 0x1.775e5984cf085p-3, 0x1.6f783c555e20cp-3, 0x1.67b02e79b3ea7p-3, 0x1.60061f95dc335p-3, 0x1.5879fbd80b316p-3, 0x1.510bac14a9c34p-3, 0x1.49bb15e25640dp-3, 0x1.42881bb5dc804p-3, 0x1.3b729cfe0d4fbp-3, 0x1.347a763f79c87p-3, 0x1.2d9f813000e59p-3, 0x1.26e194d2311f1p-3, 0x1.20408590680c9p-3, 0x1.19bc2557bd419p-3, 0x1.135443b2a345cp-3, 0x1.0d08ade338833p-3, 0x1.06d92efd4e501p-3, 0x1.00c5900018e49p-3, 0x1.f59b2fdefd1dp-4, 0x1.e9e217da1a598p-4, 0x1.de5f5ea11a4cep-4, 0x1.d312878053e6cp-4, 0x1.c7fb1290622ep-4, 0x1.bd187ce4cb963p-4, 0x1.b26a40b9c9ea2p-4, 0x1.a7efd5a126795p-4, 0x1.9da8b0ae2fd0ap-4, 0x1.939444a0caedbp-4, 0x1.89b2020f86f04p-4, 0x1.80015790c5f1cp-4, 0x1.7681b1e2edfc6p-4, 0x1.6d327c13a35dcp-4, 0x1.64131fa608fddp-4, 0x1.5b2304b808218p-4, 0x1.526192269cc93p-4, 0x1.49ce2db127e5ap-4, 0x1.41683c1bc5a2p-4, 0x1.392f2150aabf3p-4, 0x1.3122408086e55p-4, 0x1.2940fc41eee84p-4, 0x1.218ab6afcfb39p-4, 0x1.19fed186ea921p-4, 0x1.129cae425da17p-4, 0x1.0b63ae373a614p-4, 0x1.045332af2bf2ep-4, 0x1.fad53a04600fep-5, 0x1.ed529d5ec8832p-5, 0x1.e01d52e9d9da5p-5, 0x1.d3341ecde9309p-5, 0x1.c695c60b95fa9p-5, 0x1.ba410ea649bccp-5, 0x1.ae34bfccfff3ap-5, 0x1.a26fa2015e453p-5, 0x1.96f07f3d24ba7p-5, 0x1.8bb62315faecap-5, 0x1.80bf5adfa5c2fp-5, 0x1.760af5cca7dddp-5, 0x1.6b97c50d5959ap-5, 0x1.61649bed7d982p-5, 0x1.57704ff05d0ccp-5, 0x1.4db9b8eb6e4cep-5, 0x1.443fb11f929dfp-5, 0x1.3b011550f35f5p-5, 0x1.31fcc4dd82c72p-5, 0x1.2931a1d22f12fp-5, 0x1.209e90fec82bap-5, 0x1.18427a08a7ecep-5, 0x1.101c477c203a6p-5, 0x1.082ae6dcba245p-5, 0x1.006d48b44bbe3p-5, 0x1.f1c4c141df1bfp-6, 0x1.e3124ac3c720dp-6, 0x1.d4c121c6b2a3fp-6, 0x1.c6cf40927f1b5p-6, 0x1.b93aa7f213cb1p-6, 0x1.ac015f450a42p-6, 0x1.9f21748f6dc6ep-6, 0x1.9298fc87b7b4cp-6, 0x1.866612a2feed5p-6, 0x1.7a86d91f7e444p-6, 0x1.6ef9790d75684p-6, 0x1.63bc22567a1a7p-6, 0x1.58cd0bc33c844p-6, 0x1.4e2a72ffdda2cp-6, 0x1.43d29c9ed65ebp-6, 0x1.39c3d41a895adp-6, 0x1.2ffc6bd57ec3dp-6, 0x1.267abd196b35ap-6, 0x1.1d3d2814fb5fdp-6, 0x1.144213d878d1fp-6, 0x1.0b87ee515ba33p-6, 0x1.030d2c44c8f63p-6, 0x1.f5a092921fdfap-7, 0x1.e59f8f7c6c09bp-7, 0x1.d614618b1f9bap-7, 0x1.c6fc28710c173p-7, 0x1.b854113cf7341p-7, 0x1.aa195643e0ee6p-7, 0x1.9c493f09c95d9p-7, 0x1.8ee1202905d08p-7, 0x1.81de5b38485d2p-7, 0x1.753e5eaf5b4bep-7, 0x1.68fea5cab65f7p-7, 0x1.5d1cb86deb276p-7, 0x1.51962b050b8d5p-7, 0x1.46689e6514526p-7, 0x1.3b91bfab684bfp-7, 0x1.310f481c768cdp-7, 0x1.26defd01911b7p-7, 0x1.1cfeaf860b03p-7, 0x1.136c3c93a6e43p-7, 0x1.0a258cae6779ep-7, 0x1.012893cfcf4bdp-7, 0x1.f0e6a283370d3p-8, 0x1.e0079ef011c63p-8, 0x1.cfb047d758a81p-8, 0x1.bfdcdde5dc807p-8, 0x1.b089b73664d8p-8, 0x1.a1b33f036cd69p-8, 0x1.9355f558695fbp-8, 0x1.856e6ec2a510fp-8, 0x1.77f95401cc503p-8, 0x1.6af361b8380c2p-8, 0x1.5e59681b0c4c7p-8, 0x1.52284aa23a534p-8, 0x1.465cffb87734fp-8, 0x1.3af4906b38e9p-8, 0x1.2fec181ac5169p-8, 0x1.2540c42a65989p-8, 0x1.1aefd3b0cb2b6p-8, 0x1.10f69728afb7bp-8, 0x1.07527021c49c8p-8, 0x1.fc01a1e3ead59p-9, 0x1.e9fe78ce1ecb6p-9, 0x1.d8968af1a880ep-9, 0x1.c7c51df710db9p-9, 0x1.b78596a5fc41fp-9, 0x1.a7d3784c5e075p-9, 0x1.98aa6426cee3cp-9, 0x1.8a0618ca1f3c4p-9, 0x1.7be2718e2a4cep-9, 0x1.6e3b65fa065a3p-9, 0x1.610d09319309fp-9, 0x1.545389647a287p-9, 0x1.480b2f3eabda9p-9, 0x1.3c305d5a64513p-9, 0x1.30bf8fb3bdccep-9, 0x1.25b55b1de2a75p-9, 0x1.1b0e6cb9e2323p-9, 0x1.10c7896f2ceccp-9, 0x1.06dd8d65c8f34p-9, 0x1.fa9ad7047c31ap-10, 0x1.e82859c67fb8p-10, 0x1.d65de0c23eb2p-10, 0x1.c535d41e04d0dp-10, 0x1.b4aac57bdf5c4p-10, 0x1.a4b76f03478b2p-10, 0x1.9556b26e7fbddp-10, 0x1.8683981ba0397p-10, 0x1.78394e214ca35p-10, 0x1.6a7327672b008p-10, 0x1.5d2c9ac205b5ep-10, 0x1.50614213b14d9p-10, 0x1.440cd96ea75ddp-10, 0x1.382b3e3d56932p-10, 0x1.2cb86e6d355e6p-10, 0x1.21b0879d81e46p-10, 0x1.170fc651ba6fbp-10, 0x1.0cd28527c9e4ap-10, 0x1.02f53c11d8e79p-10, 0x1.f2e8ff27aa8a9p-11, 0x1.e09a000926b6ap-11, 0x1.cef711a5294bap-11, 0x1.bdf9ff98caf8dp-11, 0x1.ad9cc8d91f429p-11, 0x1.9dd99e5231407p-11, 0x1.8eaae18d0bd31p-11, 0x1.800b235cbd1a8p-11, 0x1.71f5229246c4ap-11, 0x1.6463cab76a15ap-11, 0x1.575232d03cc0bp-11, 0x1.4abb9c23789b1p-11, 0x1.3e9b71096fdddp-11, 0x1.32ed43c1954d8p-11, 0x1.27accd4e85cffp-11, 0x1.1cd5ec587c784p-11, 0x1.1264a4161fb3p-11, 0x1.08551b3b93874p-11, 0x1.fd4735df6fdccp-12, 0x1.ea991b8f07718p-12, 0x1.d898fd8ec433ap-12, 0x1.c74030d4fefd3p-12, 0x1.b688475fde52cp-12, 0x1.a66b0e5b26903p-12, 0x1.96e28c51635adp-12, 0x1.87e8ff683f1d6p-12, 0x1.7978dba7d7768p-12, 0x1.6b8cc94ce612p-12, 0x1.5e1fa3258dbc2p-12, 0x1.512c74f8a2406p-12, 0x1.44ae79f735eeep-12, 0x1.38a11b384be88p-12, 0x1.2cffee3e74326p-12, 0x1.21c6b3872f563p-12, 0x1.16f15523e6abap-12, 0x1.0c7be55c4f68cp-12, 0x1.02629d5a092f9p-12, 0x1.f143b7ba98d36p-13, 0x1.de6c47f5019edp-13, 0x1.cc3837c1096dfp-13, 0x1.baa1174f127c8p-13, 0x1.a9a0b8509187ep-13, 0x1.99312bb6ebd16p-13, 0x1.894cbf826ed2ap-13, 0x1.79edfca103105p-13, 0x1.6b0fa4dc4f48ep-13, 0x1.5cacb0d6faee3p-13, 0x1.4ec04e18b0712p-13, 0x1.4145dd289ae9dp-13, 0x1.3438efb60b589p-13, 0x1.279546cef3887p-13, 0x1.1b56d123e5823p-13, 0x1.0f79a9595068dp-13, 0x1.03fa1465ab7a8p-13, 0x1.f1a8fff87e1bp-14, 0x1.dc0b02088ff42p-14, 0x1.c713a4384a907p-14, 0x1.b2bca450958b9p-14, 0x1.9f0005db6148bp-14, 0x1.8bd80f6ef6409p-14, 0x1.793f480f1a8a1p-14, 0x1.673074a397faep-14, 0x1.55a6958390c73p-14, 0x1.449ce4151f4e1p-14, 0x1.340ed080c0fc5p-14, 0x1.23f7ff78097dfp-14, 0x1.1454480f221f1p-14, 0x1.051fb1a8979fp-14, 0x1.ecace3e5fbe2bp-15, 0x1.cfe9d5efe49ecp-15, 0x1.b3ef5278079c4p-15, 0x1.98b6c3de26a5bp-15, 0x1.7e39e2596ae3cp-15, 0x1.6472b09852d2dp-15, 0x1.4b5b787ef4105p-15, 0x1.32eec802af771p-15, 0x1.1b276e2297802p-15, 0x1.040077fba92d2p-15, 0x1.daea5bf0402e6p-16, 0x1.af02223220b2fp-16, 0x1.843fb0b328b62p-16, 0x1.5a9adc558b952p-16, 0x1.320bdc0fa0575p-16, 0x1.0a8b4442cb287p-16, 0x1.c824047f95a7ep-17, 0x1.7d32afee19912p-17, 0x1.3435afa7787bap-17, 0x1.da418300e213p-18, 0x1.4fd0694ae4d43p-18, 0x1.92038906da72dp-19, 0x1.1701338e961cdp-20, -0x1.d042680a5efdep-21, -0x1.6cd6da72cde85p-19, -0x1.2f7b98e5e2a11p-18, -0x1.a54a8228850bcp-18, -0x1.0bf489c848cc6p-17, -0x1.43b3bd85b946dp-17, -0x1.79ea9a2e98514p-17, -0x1.aea0899259dc7p-17, -0x1.e1dca637cd9ep-17, -0x1.09d2dff86683ep-16, -0x1.2201301cafebdp-16, -0x1.397c673221d83p-16, -0x1.504789cb3fb89p-16, -0x1.66657f49dcebcp-16, -0x1.7bd913ae7c1f7p-16, -0x1.90a4f951b5defp-16, -0x1.a4cbca8863d3dp-16, -0x1.b8500b335ca4fp-16, -0x1.cb342a3b7df72p-16, -0x1.dd7a82fab2376p-16, -0x1.ef255e92b1dbdp-16, -0x1.001b7a9913a37p-15, -0x1.0858b7a46e995p-15, -0x1.104b7355d07ccp-15, -0x1.17f4b3d43ae93p-15, -0x1.1f557905d7146p-15, -0x1.266ebd0b47519p-15, -0x1.2d4174b3fea28p-15, -0x1.33ce8febeab6dp-15, -0x1.3a16fa22b1edap-15, -0x1.401b9aacca84fp-15, -0x1.45dd551ea94c4p-15, -0x1.4b5d09a24575fp-15, -0x1.509b954731a8ep-15, -0x1.5599d24d83f7fp-15, -0x1.5a58986bc1b5dp-15, -0x1.5ed8bd100af3cp-15, -0x1.631b139cba44fp-15, -0x1.67206da0aa23bp-15, -0x1.6ae99b0b51af9p-15, -0x1.6e776a5cee174p-15, -0x1.71caa8d2df986p-15, -0x1.74e422906eadcp-15, -0x1.77c4a2c41e2d5p-15, -0x1.7a6cf3c9ba9c6p-15, -0x1.7cdddf494bd68p-15, -0x1.7f182e530edb6p-15, -0x1.811ca978a35bep-15, -0x1.82ec18e38ba6ep-15, -0x1.848744692410cp-15, -0x1.85eef39c363a5p-15, -0x1.8723eddc45c16p-15, -0x1.8826fa62b7dd8p-15, -0x1.88f8e04df25edp-15, -0x1.899a66aa921fdp-15, -0x1.8a0c547ad222fp-15, -0x1.8a4f70bc4142ap-15, -0x1.8a64826bde981p-15, -0x1.8a4c5088b5185p-15, -0x1.8a07a2150ffc4p-15, -0x1.89973e166073bp-15, -0x1.88fbeb93e6a6bp-15, -0x1.8836719436295p-15, -0x1.87479719aac76p-15, -0x1.8630231ddf4ebp-15, -0x1.84f0dc8c39ce1p-15, -0x1.838a8a3ba1185p-15, -0x1.81fdf2e769f5cp-15, -0x1.804bdd278d4ebp-15, -0x1.7e750f68389a7p-15, -0x1.7c7a4fe0c476dp-15, -0x1.7a5c648a25f0ap-15, -0x1.781c1314de18cp-15, -0x1.75ba20de80642p-15, -0x1.733752e6d201ap-15, -0x1.70946dc4981fp-15, -0x1.6dd2359a15d58p-15, -0x1.6af16e094cd78p-15, -0x1.67f2da2807598p-15, -0x1.64d73c73b607cp-15, -0x1.619f56c528268p-15, -0x1.5e4bea442e14ap-15, -0x1.5addb75b24631p-15, -0x1.57557daa775bp-15, -0x1.53b3fbfc23a2bp-15, -0x1.4ff9f03738af2p-15, -0x1.4c28175367758p-15, -0x1.483f2d4ca03fp-15, -0x1.443fed16c843ap-15, -0x1.402b10918b02fp-15, -0x1.3c01507c4a996p-15, -0x1.37c3646a36a2p-15, -0x1.337202b68fc5cp-15, -0x1.2f0de0791400ap-15, -0x1.2a97b17aa377ep-15, -0x1.2610282a1426ap-15, -0x1.2177f59144972p-15, -0x1.1ccfc94a66746p-15, -0x1.181851758885p-15, -0x1.13523aae62f0dp-15, -0x1.0e7e3002668a5p-15, -0x1.099cdae711448p-15, -0x1.04aee3308a5bbp-15, -0x1.ff69de110dd24p-16, -0x1.f55f45caf720dp-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      48, 0x1.1333333333333p+2, 0x1.1354eee7a10cp+1, 0x1.f5761e77e3cc7p+1, -0x1.d7a45ad776a81p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.ac2424a276b7fp+1, -0x1.05f08fdc5046bp+3, 0x1.19b851eb851f8p+3, 0x1.ae79c6ffe858bp+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.840c308feac43p+1, -0x1.de49a16d916ccp+2, 0x1.202d58beb7f7ep+3, -0x1.0d0c1c5ff1474p+3}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.5f8f605ab3aacp+1, -0x1.b2c31b142c2b2p+2, 0x1.ffc86d3d73783p+2, -0x1.493d8ec070532p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3e5fe974a3401p+1, -0x1.8b665cc0b7bedp+2, 0x1.d84628e8eb1c4p+2, -0x1.5df18c3e5c2efp+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.20358afc47e4ap+1, -0x1.674c333dbe5d4p+2, 0x1.ae47e4e16f688p+2, -0x1.36fc404623e5fp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.04cd6c2efd439p+1, -0x1.465e2ffc1f4d2p+2, 0x1.88f66c87192e6p+2, -0x1.231d72a909a23p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.d7d3910c2c5e3p+0, -0x1.285409220c8a2p+2, 0x1.66075ec4bbdd7p+2, -0x1.0a8df515bb8b5p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.aaa3161a1db87p+0, -0x1.0cf725f41aac4p+2, 0x1.460ad0b7e2ccbp+2, -0x1.eb5572000c59p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.81a059a73b42dp+0, -0x1.e81f5b6463095p+1, 0x1.288fedb7e20fp+2, -0x1.c18e4dd45b8efp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5c6ac215b9a5bp+0, -0x1.bad4952ae73e2p+1, 0x1.0d96c016a95d7p+2, -0x1.9e7156ae855a4p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.3aa9b499d0204p+0, -0x1.91af7d67318bap+1, 0x1.e971d1ef6bbp+1, -0x1.76ac577192e47p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.1c0bdcad14a0ap+0, -0x1.6c54100c7ed56p+1, 0x1.bc7bdbec08242p+1, -0x1.5add4b8b2487dp+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.00472c0e7bc3cp+0, -0x1.4a6f42cfaeb0ap+1, 0x1.92dc2f044b7p+1, -0x1.35de7a61df3c4p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.ce2f7b17ce52ep-1, -0x1.2bb17410ef5bcp+1, 0x1.6dad019c63d96p+1, -0x1.1fa8caed60f54p+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a08051c9f72f7p-1, -0x1.0fd1e380da51bp+1, 0x1.4b281c75aa225p+1, -0x1.fefcb3d136a07p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7710667f90d9dp-1, -0x1.ed1b80244ff38p+0, 0x1.2c7f5959c074ep+1, -0x1.d4bb9ae0639a8p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.517a89331a08cp-1, -0x1.bf471a8670b6ep+0, 0x1.105f9cdba6p+1, -0x1.a614e0ad42652p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.2f62b6ae7d567p-1, -0x1.95b956e248f4dp+0, 0x1.ee18e15095f42p+0, -0x1.7af0e26a8693dp+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.1075d56f32bdcp-1, -0x1.7003df22ccf76p+0, 0x1.c09fd06285cdep+0, -0x1.562795a8a865dp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.e8d25edd05293p-2, -0x1.4dc47c71be907p+0, 0x1.9790d2e7e23c7p+0, -0x1.3470c6f2d7ff2p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.b5f2cb641700dp-2, -0x1.2ea48d4b7841p+0, 0x1.728d87d4fb846p+0, -0x1.14154e8bf847cp+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.87d3910c2c5e3p-2, -0x1.1252e16c4147cp+0, 0x1.516c40f762d7ep+0, -0x1.ee73fdba8dc45p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.5e07e5a78f25ap-2, -0x1.f1088124ebd8fp-1, 0x1.33c1744d790e6p+0, -0x1.be056bfdd6082p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.382e44b6e935cp-2, -0x1.c1eee71124766p-1, 0x1.18fe91a9c3412p+0, -0x1.9176524e1cdc2p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.15eedcc20d563p-2, -0x1.96e6b035062dep-1, 0x1.00e81c15b7487p+0, -0x1.64214ac9b65cdp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.edf58c08b75eap-3, -0x1.6f8167427e012p-1, 0x1.d713e783ddcd6p-1, -0x1.4604828b07836p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.b616f86a09891p-3, -0x1.4b625769c321ap-1, 0x1.aff4a4a662054p-1, -0x1.23ccab0a35264p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.83c21187e7c07p-3, -0x1.2a3a7405aa57dp-1, 0x1.8cf0902009b96p-1, -0x1.0ac8d14c122bap-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.56837f7be121fp-3, -0x1.0bc0f3f10916cp-1, 0x1.6cecf1e3b59fap-1, -0x1.e2201f8b1642bp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.2df266ba493c9p-3, -0x1.df6efd8b1ae87p-2, 0x1.4fff7f5b5d3f7p-1, -0x1.c1eddf3b83d22p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.09af5ba2be059p-3, -0x1.abd5624026d5ep-2, 0x1.350095cd8da89p-1, -0x1.96286386da868p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.d2c493426783ap-4, -0x1.7c57bca0ef38cp-2, 0x1.1ca20078a981cp-1, -0x1.857092a9110ebp-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9974e65bea0bap-4, -0x1.50abb8578dbb3p-2, 0x1.0544351c991f9p-1, -0x1.641551d4e0e38p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.66d7a56de3327p-4, -0x1.2893cd518aca9p-2, 0x1.dfcd895d17428p-2, -0x1.5a3a26036cf07p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.3a5f41aef6f8fp-4, -0x1.03dae20d14b7ap-2, 0x1.b641705270963p-2, -0x1.4302161d69987p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.138476f2a5a47p-4, -0x1.c4b0a401c8f8ap-3, 0x1.8f7ea0de4532p-2, -0x1.39bd8186ee7f3p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.e38eb0318b934p-5, -0x1.87c8635ee719ep-3, 0x1.69d88715c22dp-2, -0x1.3607e3c6da714p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.a958537e2c55dp-5, -0x1.50dd1d901eeabp-3, 0x1.44a46183041f5p-2, -0x1.1e22ef5da970bp-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.7774aba387592p-5, -0x1.1faafbc76c7acp-3, 0x1.224e44c9b2597p-2, -0x1.216c5ec2824dbp-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.4cff21b3aeee9p-5, -0x1.e7feb1cdbd045p-4, 0x1.ff265e5a78a0ep-3, -0x1.1c2b959845c13p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.2915379fa97e1p-5, -0x1.9baabfcb32a2p-4, 0x1.baf2f2c5492afp-3, -0x1.0de54adc6b14p-2}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0ad8a116659d1p-5, -0x1.59fa260fb5e23p-4, 0x1.7a2c8ee24e304p-3, -0x1.f87e7dec1b737p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.e2eb1c432ca58p-6, -0x1.224ffbedc4abap-4, 0x1.3da27fc5f8f95p-3, -0x1.111db94b5e6b3p-2}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.b841248d7e026p-6, -0x1.e9782b483e86p-5, 0x1.f82c7da535448p-4, -0x1.5e93b7b8f0011p-3}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.9424e59296702p-6, -0x1.9f885de17d5f9p-5, 0x1.a40909df391afp-4, -0x1.a1bad742c2086p-2}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.752977c88e79bp-6, -0x1.6c5e2c0ae27f3p-5, 0x1.b70cca36adb2bp-5, 0x1.e63538e78041p-2}, 
        {0x1.851eb851eb852p+1, 0x1.b333333333333p+1, 0x1.59ea57214f052p-6, -0x1.3692cf8aeece2p-5, 0x1.c4e79f240f4acp-4, -0x1.fcbf1f7f9afe2p-4}, 
        {0x1.b333333333333p+1, 0x1.1333333333333p+2, 0x1.0624dd2f1a9fcp-6, -0x1.afef80407458p-8, -0x1.822a8663d10a9p-6, -0x1.7935abe5b7adfp-4}, 
      }}, 
      0x1.a63f581cb9492p-3, -0x1.9a0bda1e901b4p-4
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_c_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6cdf929820666p-1, -0x1.6030ebdf86306p-1, -0x1.521b6866a0e45p-1, -0x1.42d246e00e60cp-1, -0x1.3285719fd3efep-1, -0x1.21613890d7156p-1, -0x1.0f8ec62d50cafp-1, -0x1.fa68e92712fdbp-2, -0x1.d4eb3bb7cc5bcp-2, -0x1.aee4a9c9a369dp-2, -0x1.888eea38da49ap-2, -0x1.621e0d884c0f2p-2, -0x1.3bc1563eae969p-2, -0x1.15a3a22a8ad66p-2, -0x1.dfd6c0f640cp-3, -0x1.9574d0fc96faap-3, -0x1.4c5c026303e0bp-3, -0x1.04be672086f22p-3, -0x1.7d8d4dfd7715bp-4, -0x1.ea64c4ad27c01p-5, -0x1.c2aa0cc7ec055p-6, 0x1.fa6867d1130c3p-9, 0x1.182b84ad06396p-5, 0x1.0400c8092b27ap-4, 0x1.777b483950c5bp-4, 0x1.e673929e3fcfp-4, 0x1.286f39ceb4fa2p-3, 0x1.5b5b389fc170bp-3, 0x1.8bfd97d21fe05p-3, 0x1.ba587c1305aep-3, 0x1.e67028714fc3fp-3, 0x1.0825648b892a2p-2, 0x1.1bf81cca4fe2fp-2, 0x1.2eb4e4d0686afp-2, 0x1.406102aac26fap-2, 0x1.510241e93cb86p-2, 0x1.609eddf3b0903p-2, 0x1.6f3d6e674aa9dp-2, 0x1.7ce4d4dcff6f2p-2, 0x1.899c2c58b6f0cp-2, 0x1.956abb2b3d017p-2, 0x1.a057e7deb8f4cp-2, 0x1.aa6b3100867dap-2, 0x1.b3ac26c36d7b5p-2, 0x1.bc2265058266dp-2, 0x1.c3d58c73e8fb2p-2, 0x1.cacd3a36b9f78p-2, 0x1.d110fe6a07038p-2, 0x1.d6a852505f314p-2, 0x1.db9a8f65a297bp-2, 0x1.dfeee84332733p-2, 0x1.e3ac63ca22c64p-2, 0x1.e6d9da80864f5p-2, 0x1.e97df5accea65p-2, 0x1.eb9f2f9339037p-2, 0x1.ed43d446d93c7p-2, 0x1.ee7202a9b6162p-2, 0x1.ef2fad63455c3p-2, 0x1.ef829bb0f27cfp-2, 0x1.ef7069fdb442ap-2, 0x1.eefe8a2b0bafap-2, 0x1.ee3243727caa2p-2, 0x1.ed10b1cb656f4p-2, 0x1.eba1a95578b05p-2, 0x1.e9e53e5030398p-2, 0x1.e7e18f2d08167p-2, 0x1.e59ae08023a64p-2, 0x1.e3154c57a3302p-2, 0x1.e054c3f62621bp-2, 0x1.dd5d113232e6ap-2, 0x1.da31d779ae2a7p-2, 0x1.d6d69487cd3c8p-2, 0x1.d34ea0e5a2722p-2, 0x1.cf9d3050962dcp-2, 0x1.cbc5521f9a71ap-2, 0x1.c7c9f1b9ad09dp-2, 0x1.c3add728b19c1p-2, 0x1.bf73a7ccfc51fp-2, 0x1.bb1de73144fc9p-2, 0x1.b6aef7fc95405p-2, 0x1.b2291cffa2ea1p-2, 0x1.ad8e7a5beaefdp-2, 0x1.a8e116c3bd87dp-2, 0x1.a422dcd258639p-2, 0x1.9f559c79e397dp-2, 0x1.9a7b0c829a5cbp-2, 0x1.9594cc13753ebp-2, 0x1.90a4643a08ae5p-2, 0x1.8bab4965ab3f7p-2, 0x1.86aadcca1693fp-2, 0x1.81a46d9f8c83bp-2, 0x1.7c993a39c4ea7p-2, 0x1.778a70f2fc2abp-2, 0x1.727930ecbd9e2p-2, 0x1.6d668aab7ee3ep-2, 0x1.68538094c022ap-2, 0x1.634107588aadbp-2, 0x1.5e30064f20727p-2, 0x1.592157d29c94p-2, 0x1.5415c99a817cep-2, 0x1.4f0e1d1d30cp-2, 0x1.4a0b07f93aaep-2, 0x1.450d3466c4147p-2, 0x1.401541afed82bp-2, 0x1.3b23c4ae51424p-2, 0x1.3639484b50d4cp-2, 0x1.31564e00eb38ap-2, 0x1.2c7b4e5911eap-2, 0x1.27a8b969f44f7p-2, 0x1.22def74e2b9fap-2, 0x1.1e1e689833076p-2, 0x1.196766c0f7bbap-2, 0x1.14ba4491936e2p-2, 0x1.10174e8869019p-2, 0x1.0b7ecb39d1399p-2, 0x1.06f0fbac8c9ep-2, 0x1.026e1bb1f469bp-2, 0x1.fbecc47397753p-3, 0x1.f3140342e9876p-3, 0x1.ea524ffc40e36p-3, 0x1.e1a7fec344ap-3, 0x1.d9155c32f6548p-3, 0x1.d09aadcfb70d9p-3, 0x1.c838326cebe6fp-3, 0x1.bfee2286681ebp-3, 0x1.b7bcb08e1ded4p-3, 0x1.afa4092f0808bp-3, 0x1.a7a453869bd4bp-3, 0x1.9fbdb1565d44ap-3, 0x1.97f03f2f55ea2p-3, 0x1.903c14994bf06p-3, 0x1.88a144376805ap-3, 0x1.811fdbebf7738p-3, 0x1.79b7e4fc80e5cp-3, 0x1.7269643748deap-3, 0x1.6b345a1ad2951p-3, 0x1.6418c2ffcc11ap-3, 0x1.5d1697455696p-3, 0x1.562dcb7f7a0d8p-3, 0x1.4f5e50a74be4fp-3, 0x1.48a8144c40f45p-3, 0x1.420b00c5fd30ep-3, 0x1.3b86fd65fd8cap-3, 0x1.351beea876a56p-3, 0x1.2ec9b663dc67p-3, 0x1.289033f693f86p-3, 0x1.226f4472771aap-3, 0x1.1c67eb56fb224p-3, 0x1.1677887658aefp-3, 0x1.109f41056640ep-3, 0x1.0adeeb993048cp-3, 0x1.05365d1339b37p-3, 0x1.ff4ad170aaa0ap-4, 0x1.f457c08dd3602p-4, 0x1.e99328197ac43p-4, 0x1.defca5f8a6f98p-4, 0x1.d493d583cb41cp-4, 0x1.ca584faffa78p-4, 0x1.c049ab374d82cp-4, 0x1.b6677cc07325fp-4, 0x1.acb1570542821p-4, 0x1.a326caf85747bp-4, 0x1.99c767e9849cep-4, 0x1.9092bba912ea4p-4, 0x1.878852a9a4d97p-4, 0x1.7ea7b820d13dap-4, 0x1.75f07626488f2p-4, 0x1.6d6215d18f79cp-4, 0x1.64fc1f564eaa9p-4, 0x1.5cbe1a1f36fcdp-4, 0x1.54a78ce786554p-4, 0x1.4cb7fdd33a05p-4, 0x1.44eef285fad5fp-4, 0x1.3d4bf038d675dp-4, 0x1.35ce7bced7a9fp-4, 0x1.2e7619e88e024p-4, 0x1.27424ef699cdep-4, 0x1.20329f4b505f2p-4, 0x1.19468f2b862adp-4, 0x1.127da2de9358cp-4, 0x1.0bd75ebda1e4fp-4, 0x1.0553474254fb8p-4, 0x1.fde1c229a9466p-5, 0x1.f15f6232a0babp-5, 0x1.e51e78f9f49fp-5, 0x1.d91e11851f1a7p-5, 0x1.cd5d379cdb017p-5, 0x1.c1daf7e47d4f6p-5, 0x1.b6965ff08edep-5, 0x1.ab8e7e5ca2237p-5, 0x1.a0c262e0784fdp-5, 0x1.96311e6474621p-5, 0x1.8bd9c31562308p-5, 0x1.81bb647792713p-5, 0x1.77d517794b6a5p-5, 0x1.6e25f28491cd8p-5, 0x1.64ad0d90430ffp-5, 0x1.5b69823088a1bp-5, 0x1.525a6ba699778p-5, 0x1.497ee6efcdc4p-5, 0x1.40d612d4042e5p-5, 0x1.385f0ff359382p-5, 0x1.301900d3242a3p-5, 0x1.280309ea4e48bp-5, 0x1.201c51acf1aa1p-5, 0x1.18640097476d6p-5, 0x1.10d94137ef2afp-5, 0x1.097b4039834ddp-5, 0x1.02492c6b848b6p-5, 0x1.f6846d95459a6p-6, 0x1.e8cb2510bb249p-6, 0x1.db64ea2413028p-6, 0x1.ce502c2e72cfbp-6, 0x1.c18b5f1f22b04p-6, 0x1.b514fb800cb2cp-6, 0x1.a8eb7e7f2dfbp-6, 0x1.9d0d69f6ef27p-6, 0x1.9179447580c87p-6, 0x1.862d9943386e6p-6, 0x1.7b28f86806deep-6, 0x1.7069f6b00565ep-6, 0x1.65ef2daf27968p-6, 0x1.5bb73bc421aeep-6, 0x1.51c0c41a866f3p-6, 0x1.480a6eac21507p-6, 0x1.3e92e841a0cf3p-6, 0x1.3558e27295039p-6, 0x1.2c5b13a4ba13cp-6, 0x1.2398370ab5ea5p-6, 0x1.1b0f0ca22f25fp-6, 0x1.12be593150f76p-6, 0x1.0aa4e643cb687p-6, 0x1.02c182273e744p-6, 0x1.f625ffce636fdp-7, 0x1.e7306e90f38b4p-7, 0x1.d8a0098871ad9p-7, 0x1.ca729304ba9eep-7, 0x1.bca5d6a76226cp-7, 0x1.af37a957043b8p-7, 0x1.a225e931b7d4cp-7, 0x1.956e7d7ec7f7p-7, 0x1.890f569f96d49p-7, 0x1.7d066dffddac4p-7, 0x1.7151c60538837p-7, 0x1.65ef69fdf2793p-7, 0x1.5add6e0f563fap-7, 0x1.5019ef234096ep-7, 0x1.45a312d53bff6p-7, 0x1.3b77075ef77a9p-7, 0x1.31940384568e8p-7, 0x1.27f8467eef9fbp-7, 0x1.1ea217e915e75p-7, 0x1.158fc7a88541bp-7, 0x1.0cbfadd88f0b2p-7, 0x1.04302ab3ff366p-7, 0x1.f7bf4cfd0c31cp-8, 0x1.e79922dbf5586p-8, 0x1.d7eac72635876p-8, 0x1.c8b1398466643p-8, 0x1.b9e988f6d1de3p-8, 0x1.ab90d3a5a1f67p-8, 0x1.9da446b09c475p-8, 0x1.90211dfe79577p-8, 0x1.8304a40bfbc02p-8, 0x1.764c31baabd86p-8, 0x1.69f52e1f46d0ap-8, 0x1.5dfd0e5023ac8p-8, 0x1.52615533224cp-8, 0x1.471f934bcb271p-8, 0x1.3c3566891196p-8, 0x1.31a07a1331af1p-8, 0x1.275e861980ea2p-8, 0x1.1d6d4fa0187bbp-8, 0x1.13caa84dc4169p-8, 0x1.0a746e39cee64p-8, 0x1.01688bba10b69p-8, 0x1.f149ee62221f4p-9, 0x1.e04f65b867c86p-9, 0x1.cfdd99447f838p-9, 0x1.bff0bbc3e4283p-9, 0x1.b0851682040dcp-9, 0x1.a19708f63dcdbp-9, 0x1.93230862d307dp-9, 0x1.85259f744c4dbp-9, 0x1.779b6de16f6bep-9, 0x1.6a81280bf63bp-9, 0x1.5dd396a1e0402p-9, 0x1.518f963fa45acp-9, 0x1.45b21712ca99p-9, 0x1.3a381c7dad974p-9, 0x1.2f1ebcbc00587p-9, 0x1.24632087c8168p-9, 0x1.1a0282bf8f11ep-9, 0x1.0ffa300d5cfa8p-9, 0x1.0647868e7df23p-9, 0x1.f9cfeaf893681p-10, 0x1.e7b1f9ab5685fp-10, 0x1.d6305a13a82bp-10, 0x1.c5464d475f924p-10, 0x1.b4ef33ec960e5p-10, 0x1.a5268d94f3366p-10, 0x1.95e7f81a05099p-10, 0x1.872f2efca331dp-10, 0x1.78f80ac52b934p-10, 0x1.6b3e8066b496ap-10, 0x1.5dfea0a3b41fdp-10, 0x1.51349774ffbfbp-10, 0x1.44dcab72c66d4p-10, 0x1.38f33d3f667fdp-10, 0x1.2d74c6f4dd125p-10, 0x1.225ddb937ac81p-10, 0x1.17ab267378e8fp-10, 0x1.0d596ab81d0f1p-10, 0x1.036582c576cc3p-10, 0x1.f398bf6f77bcap-11, 0x1.e0e311e8af0abp-11, 0x1.cf07935e3f098p-11, 0x1.bdd07f5e3eb47p-11, 0x1.ad386317f7eacp-11, 0x1.9d39f3ee76c52p-11, 0x1.8dd00e8413908p-11, 0x1.7ef5b5c9be874p-11, 0x1.70a61212b74b8p-11, 0x1.62dc702cc3468p-11, 0x1.5594407c75f08p-11, 0x1.48c9161dce551p-11, 0x1.3c76a608b448ep-11, 0x1.3098c63a4e96dp-11, 0x1.252b6ce145e68p-11, 0x1.1a2aaf8ef5519p-11, 0x1.0f92c26c8b8dep-11, 0x1.055ff773aa485p-11, 0x1.f71d7b5675f75p-12, 0x1.e43740d08e1b2p-12, 0x1.d2068d248865ep-12, 0x1.c084e3d5b5092p-12, 0x1.afabfcb54bfd2p-12, 0x1.9f75c28146d87p-12, 0x1.8fdc5188c054ep-12, 0x1.80d9f65d41869p-12, 0x1.72692c8460978p-12, 0x1.64849d34c1564p-12, 0x1.57271e1859b32p-12, 0x1.4a4bb015dfa71p-12, 0x1.3ded7e203c3c7p-12, 0x1.3207dc0e5e4e6p-12, 0x1.26964577245e9p-12, 0x1.1b945c95478e2p-12, 0x1.10fde93075598p-12, 0x1.06ced78f8957ep-12, 0x1.fa066ed7c39efp-13, 0x1.e72e75df6f126p-13, 0x1.d50e6b6d77ec3p-13, 0x1.c39f37adfd72bp-13, 0x1.b2da01dc7fb39p-13, 0x1.a2b82e6a5bba4p-13, 0x1.93335d321d999p-13, 0x1.844567b23d2d5p-13, 0x1.75e85f55c19a2p-13, 0x1.68168bc66a269p-13, 0x1.5aca694a3d698p-13, 0x1.4dfea7276127fp-13, 0x1.41ae26188917bp-13, 0x1.35d3f6c582935p-13, 0x1.2a6b58488b529p-13, 0x1.1f6fb6bb9e76dp-13, 0x1.14dca9d11d1dfp-13, 0x1.0aadf372c6d95p-13, 0x1.00df7e6c633cap-13, 0x1.eedaba3af2bb1p-14, 0x1.dca790699ea97p-14, 0x1.cb1e3ae9ce29fp-14, 0x1.ba37bcfd6b11cp-14, 0x1.a9ed5f49b00ep-14, 0x1.9a38ad93fc976p-14, 0x1.8b13748a107e3p-14, 0x1.7c77bf9478aabp-14, 0x1.6e5fd6c35022p-14, 0x1.60c63cbb6cc4dp-14, 0x1.53a5acc59b062p-14, 0x1.46f918d510b76p-14, 0x1.3abba7aedd28ap-14, 0x1.2ee8b313efdaep-14, 0x1.237bc5fc17baap-14, 0x1.18709addb7088p-14, 0x1.0dc31a00ad7dbp-14, 0x1.036f57dfab6dap-14, 0x1.f2e3272bd21e6p-15, 0x1.df8c6aa69f11p-15, 0x1.ccd399c8092b2p-15, 0x1.bab220787aeb8p-15, 0x1.a921b4292921ep-15, 0x1.981c51110e821p-15, 0x1.879c379a2a919p-15, 0x1.779be9c700d69p-15, 0x1.681628be34fc4p-15, 0x1.5905f25cdc756p-15, 0x1.4a667ee554464p-15, 0x1.3c333ebb6a5ffp-15, 0x1.2e67d833ae808p-15, 0x1.210025703f5aap-15, 0x1.13f8325c7bb3p-15, 0x1.074c3a9f8217ap-15, 0x1.f5f14f7407629p-16, 0x1.ddf41e43e90d8p-16, 0x1.c69a60ea6c585p-16, 0x1.afdde771e652dp-16, 0x1.99b8cf5024ef1p-16, 0x1.8425801e52ddep-16, 0x1.6f1ea86c8e9bp-16, 0x1.5a9f3abb96de4p-16, 0x1.46a26a794cab1p-16, 0x1.3323a92bf3427p-16, 0x1.201ea3af90974p-16, 0x1.0d8f3f90bcd29p-16, 0x1.f6e330cb0b611p-17, 0x1.d383fae55f9fbp-17, 0x1.b0f9de5b76399p-17, 0x1.8f3e3a02ab194p-17, 0x1.6e4ac6105c65dp-17, 0x1.4e198fdf26187p-17, 0x1.2ea4f5e74dadap-17, 0x1.0fe7a375a339bp-17, 0x1.e3b91ac0fd003p-18, 0x1.a8fddbf6b003cp-18, 0x1.6f948356a4d6p-18, 0x1.3774874bd1c9ep-18, 0x1.0095d50824c6fp-18, 0x1.95e19509b4b2bp-19, 0x1.2cfc60eadf5acp-19, 0x1.8cdcd25a589eep-20, 0x1.88ab21cde21a3p-21, 0x1.2a6e253b5982p-30, -0x1.7eb6353f87186p-21, -0x1.7ab15d3d75f1dp-20, -0x1.18e664456e4e9p-19, -0x1.72606daac075p-19, -0x1.c9d0040db9cbp-19, -0x1.0f9ef138f9158p-18, -0x1.395926e5ec4fp-18, -0x1.621a8dc5c2353p-18, -0x1.89e6dcb543697p-18, -0x1.b0c199f45f967p-18, -0x1.d6ae1e6b6a71dp-18, -0x1.fbaf9873caaebp-18, -0x1.0fe48799fe844p-17, -0x1.217eb28c9bff3p-17, -0x1.32a7ad4a8ccdfp-17, -0x1.4360c8508aaecp-17, -0x1.53ab458d5e727p-17, -0x1.6388598f8f9a5p-17, -0x1.72f92c8796c68p-17, -0x1.81fedb633d1e4p-17, -0x1.909a78b960e76p-17, -0x1.9ecd0db7d1137p-17, -0x1.ac979b0481166p-17, -0x1.b9fb198cbed1dp-17, -0x1.c6f87b41dd588p-17, -0x1.d390ac064b0b1p-17, -0x1.dfc4921bd56f5p-17, -0x1.eb950edee7579p-17, -0x1.f702ff7f2d398p-17, -0x1.01079ebcf3fc5p-16, -0x1.065d4f92d3dd5p-16, -0x1.0b82fc1cc73aep-16, -0x1.10790d20dd7b4p-16, -0x1.153fea8483039p-16, -0x1.19d7fb898695ap-16, -0x1.1e41a6ff3baf6p-16, -0x1.227d535d75fc1p-16, -0x1.268b66ffbea49p-16, -0x1.2a6c4848b6abbp-16, -0x1.2e205dbc226b8p-16, -0x1.31a80e2cc8cf1p-16, -0x1.3503c0d2919bcp-16, -0x1.3833dd610448dp-16, -0x1.3b38cc2a8efa1p-16, -0x1.3e12f62b1055ap-16, -0x1.40c2c52280d01p-16, -0x1.4348a3a406136p-16, -0x1.45a4fd1fcc4b2p-16, -0x1.47d83dfe926adp-16, -0x1.49e2d3a0bdd5p-16, -0x1.4bc52c5caf0dbp-16, -0x1.4d7fb7a55a443p-16, -0x1.4f12e5f870507p-16, -0x1.507f28ea6ceccp-16, -0x1.51c4f32a3b233p-16, -0x1.52e4b87c77215p-16, -0x1.53deedce08823p-16, -0x1.54b4091a3d016p-16, -0x1.5564817cbadf8p-16, -0x1.55f0cf261ee01p-16, -0x1.56596b5cdf449p-16, -0x1.569ed073dc6d9p-16, -0x1.56c179c82f86bp-16, -0x1.56c1e3ba10835p-16, -0x1.56a08ba7a9b32p-16, -0x1.565defe09b48ep-16, -0x1.55fa8f9f6af83p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cb0a993aec3fbp-5, -0x1.fd108b5ce5ed3p-5, -0x1.18aad2b6e6a0dp-4, -0x1.33da9a1faf024p-4, -0x1.50045b0d7642ap-4, -0x1.6d1420f7933bdp-4, -0x1.8af572c99e01p-4, -0x1.a9937dc19e005p-4, -0x1.c8d93c41d22e8p-4, -0x1.e8b198cfe5202p-4, -0x1.0483c6be20aecp-3, -0x1.14e31ff62b321p-3, -0x1.256c8d20a5193p-3, -0x1.3615f08983707p-3, -0x1.46d5635ac87p-3, -0x1.57a13dfe0f32cp-3, -0x1.68701f558777cp-3, -0x1.7938f2e3ae0fdp-3, -0x1.89f2f5f7c6806p-3, -0x1.9a95bbf3d956ap-3, -0x1.ab1931bfdbe45p-3, -0x1.bb75a07c561e2p-3, -0x1.cba3af85ddfe2p-3, -0x1.db9c65d9894e1p-3, -0x1.eb592ae99208ap-3, -0x1.fad3c6f03caf5p-3, -0x1.050331672abacp-2, -0x1.0c75c3c0bb6fdp-2, -0x1.13bf0e9ed2385p-2, -0x1.1adcb51a6589fp-2, -0x1.21cc888b09c97p-2, -0x1.288c87a705982p-2, -0x1.2f1add88161d1p-2, -0x1.3575e098b3387p-2, -0x1.3b9c116d7018p-2, -0x1.418c198db454bp-2, -0x1.4744ca2ec9f9cp-2, -0x1.4cc51ae3fd125p-2, -0x1.520c284641a8p-2, -0x1.571932959e255p-2, -0x1.5beb9c5664283p-2, -0x1.6082e8ec02eb6p-2, -0x1.64debb331ec64p-2, -0x1.68fed41c5b3b4p-2, -0x1.6ce3114924147p-2, -0x1.708b6bab9fbd2p-2, -0x1.73f7f62ac89e2p-2, -0x1.7728dc4b8dc88p-2, -0x1.7a1e60dfc37c5p-2, -0x1.7cd8dcbb82c0cp-2, -0x1.7f58bd71918c3p-2, -0x1.819e841744f34p-2, -0x1.83aac4103fe42p-2, -0x1.857e21e265825p-2, -0x1.871952123af31p-2, -0x1.887d1807e9dd4p-2, -0x1.89aa44fd0b30bp-2, -0x1.8aa1b6f348b95p-2, -0x1.8b6457b3ee8f7p-2, -0x1.8bf31bd866ad7p-2, -0x1.8c4f01db98828p-2, -0x1.8c791134296ecp-2, -0x1.8c72597780b0dp-2, -0x1.8c3bf1857c4bap-2, -0x1.8bd6f6bcb81ccp-2, -0x1.8b448c374310ep-2, -0x1.8a85da0fa2cd2p-2, -0x1.899c0cadf72ecp-2, -0x1.8888541d191fcp-2, -0x1.874be36785409p-2, -0x1.85e7effbe2e7ep-2, -0x1.845db118fcceap-2, -0x1.82ae5f40f6a1bp-2, -0x1.80db33b390da9p-2, -0x1.7ee567ef4aefp-2, -0x1.7cce35392b8bep-2, -0x1.7a96d42b09e98p-2, -0x1.78407c4816418p-2, -0x1.75cc6397822bdp-2, -0x1.733bbe4507cbep-2, -0x1.708fbe4729fa9p-2, -0x1.6dc9930afb4aep-2, -0x1.6aea69253b87p-2, -0x1.67f36a089b464p-2, -0x1.64e5bbc0fee6ap-2, -0x1.61c280b38c95p-2, -0x1.5e8ad7635dcdfp-2, -0x1.5b3fda3aa70adp-2, -0x1.57e29f582cb48p-2, -0x1.54743860dc73fp-2, -0x1.50f5b2555d952p-2, -0x1.4d68156b78d0bp-2, -0x1.49cc64eb28decp-2, -0x1.46239f0f3497fp-2, -0x1.426ebce9263a2p-2, -0x1.3eaeb2488339ap-2, -0x1.3ae46da51debep-2, -0x1.3710d80c5d6a5p-2, -0x1.3334d5115c75cp-2, -0x1.2f5142bfbd09dp-2, -0x1.2b66f991140cp-2, -0x1.2776cc64c8948p-2, -0x1.2381887a4f10cp-2, -0x1.1f87f56d9e632p-2, -0x1.1b8ad535c349dp-2, -0x1.178ae425788acp-2, -0x1.1388d8eda7bf8p-2, -0x1.0f8564a1b69a5p-2, -0x1.0b8132bd8c6a6p-2, -0x1.077ce92d30a4p-2, -0x1.03792855eff5ap-2, -0x1.feed1641de8d8p-3, -0x1.f6eb4e0e28e45p-3, -0x1.eeee183c63a0fp-3, -0x1.e6f68a4ebe0e9p-3, -0x1.df05af3ccc157p-3, -0x1.d71c8794770b5p-3, -0x1.cf3c099cc5fc4p-3, -0x1.c765217a6a124p-3, -0x1.bf98b155e9489p-3, -0x1.b7d791834197ap-3, -0x1.b02290aae08a4p-3, -0x1.a87a73f3dbp-3, -0x1.a0dff72f3f4a7p-3, -0x1.9953cd0461195p-3, -0x1.91d69f1e12046p-3, -0x1.8a690e5893aep-3, -0x1.830bb2f045419p-3, -0x1.7bbf1cb0e0514p-3, -0x1.7483d325329cap-3, -0x1.6d5a55c74163ap-3, -0x1.66431c30bf696p-3, -0x1.5f3e964bc16a6p-3, -0x1.584d2c8395c1cp-3, -0x1.516f3ff5bf3e1p-3, -0x1.4aa52aa2e9cd9p-3, -0x1.43ef3f9fdc874p-3, -0x1.3d4dcb46506ecp-3, -0x1.36c113659515bp-3, -0x1.304957730cc63p-3, -0x1.29e6d0ba5198dp-3, -0x1.2399b28d19734p-3, -0x1.1d622a72af97ep-3, -0x1.1740605709ef5p-3, -0x1.113476b9713f3p-3, -0x1.0b3e8adaa2ccdp-3, -0x1.055eb4ea70b1cp-3, -0x1.ff2a1069aae8cp-4, -0x1.f3c3269cdd254p-4, -0x1.e888c080bf838p-4, -0x1.dd7ae9670c84ep-4, -0x1.d299a436248c2p-4, -0x1.c7e4ebbccd765p-4, -0x1.bd5cb3048d14dp-4, -0x1.b300e5a29b02fp-4, -0x1.a8d168074a2e1p-4, -0x1.9ece17cc0634ap-4, -0x1.94f6cbffbaeb3p-4, -0x1.8b4b5571b3398p-4, -0x1.81cb7efaedb9bp-4, -0x1.78770dc5d7cb5p-4, -0x1.6f4dc19473ae2p-4, -0x1.664f5504e56aep-4, -0x1.5d7b7dd46440ap-4, -0x1.54d1ed2090c47p-4, -0x1.4c524fa72e773p-4, -0x1.43fc4e04401e3p-4, -0x1.3bcf8cee89db9p-4, -0x1.33cbad7277cb9p-4, -0x1.2bf04d2b6c516p-4, -0x1.243d067b77a8dp-4, -0x1.1cb170c17ad8cp-4, -0x1.154d208db9b91p-4, -0x1.0e0fa7d4df62ep-4, -0x1.06f8962177282p-4, -0x1.000778c3e03a5p-4, -0x1.f277b6017dfc3p-5, -0x1.e52a8c7be03p-5, -0x1.d826845c0767ep-5, -0x1.cb6aa9f489196p-5, -0x1.bef606d6a102dp-5, -0x1.b2c7a22091689p-5, -0x1.a6de80c93a7cep-5, -0x1.9b39a5e8f8c6ap-5, -0x1.8fd812ffd461bp-5, -0x1.84b8c8390b4d1p-5, -0x1.79dac4ac069b3p-5, -0x1.6f3d069ac72ffp-5, -0x1.64de8badd0612p-5, -0x1.5abe512da974bp-5, -0x1.50db5439f494ap-5, -0x1.473491fe35f52p-5, -0x1.3dc907e44d4afp-5, -0x1.3497b3c4b760dp-5, -0x1.2b9f94149f30cp-5, -0x1.22dfa811cf099p-5, -0x1.1a56efec8e6bfp-5, -0x1.12046cef77874p-5, -0x1.09e721a558095p-5, -0x1.01fe11fd217b3p-5, -0x1.f49086d7f907cp-6, -0x1.e5897a1b1afd8p-6, -0x1.d6e50f84dea42p-6, -0x1.c8a15c99f3444p-6, -0x1.babc7ad8b876ap-6, -0x1.ad3487ec33cd4p-6, -0x1.a007a5dbe7cd9p-6, -0x1.9333fb3898312p-6, -0x1.86b7b346238ap-6, -0x1.7a90fe2279536p-6, -0x1.6ebe10e9d5f3dp-6, -0x1.633d25d84834fp-6, -0x1.580c7c68a9b5fp-6, -0x1.4d2a5971137dcp-6, -0x1.4295073cee58ep-6, -0x1.384ad5a4aaf73p-6, -0x1.2e4a1a234393p-6, -0x1.24912fe98e28cp-6, -0x1.1b1e77ef7d833p-6, -0x1.11f0590366eafp-6, -0x1.09053fd753846p-6, -0x1.005b9f0c808ap-6, -0x1.efe3de7a28099p-7, -0x1.df8d5e084451p-7, -0x1.cfb0c6081e93ap-7, -0x1.c04b2bd6c7168p-7, -0x1.b159b0f03b3e9p-7, -0x1.a2d982f33377fp-7, -0x1.94c7dba238767p-7, -0x1.872200e217bcfp-7, -0x1.79e544b5dc021p-7, -0x1.6d0f053870db5p-7, -0x1.609cac93fa1f1p-7, -0x1.548bb0f710411p-7, -0x1.48d99487ecea8p-7, -0x1.3d83e555b58b8p-7, -0x1.32883d47e2e9fp-7, -0x1.27e4420bfe64dp-7, -0x1.1d95a501b4a46p-7, -0x1.139a232561be9p-7, -0x1.09ef84f92c33dp-7, -0x1.00939e6cc1e7fp-7, -0x1.ef089d87a0d9fp-8, -0x1.dd7f00f697cecp-8, -0x1.cc86525b307f9p-8, -0x1.bc1a92eb5214dp-8, -0x1.ac37d9a256487p-8, -0x1.9cda530392f23p-8, -0x1.8dfe40db3da5ep-8, -0x1.7f9ff9fdcc924p-8, -0x1.71bbea05f19f3p-8, -0x1.644e911154617p-8, -0x1.5754837c24824p-8, -0x1.4aca699ba3d96p-8, -0x1.3eacff77c3858p-8, -0x1.32f91483ee32ap-8, -0x1.27ab8b571d1aep-8, -0x1.1cc1596348152p-8, -0x1.123786ac527ap-8, -0x1.080b2d7e83376p-8, -0x1.fc72f44947565p-9, -0x1.e97f553ba73b6p-9, -0x1.d7361ca65b55bp-9, -0x1.c5920b9a93383p-9, -0x1.b48e04d35bbe5p-9, -0x1.a4250c20900bfp-9, -0x1.945245d1e7d39p-9, -0x1.8510f6224f5b9p-9, -0x1.765c80a39fc6cp-9, -0x1.683067aad4573p-9, -0x1.5a884bbcdb103p-9, -0x1.4d5feafc14fc8p-9, -0x1.40b320969f6dap-9, -0x1.347de4357d492p-9, -0x1.28bc496cb6e7ep-9, -0x1.1d6a7f2c804bbp-9, -0x1.1284cf337b0e5p-9, -0x1.08079d82245e6p-9, -0x1.fbdecf9f07bb6p-10, -0x1.e87189fe40e49p-10, -0x1.d5c0c930aaff5p-10, -0x1.c3c61c7e1a11dp-10, -0x1.b27b425bde1ebp-10, -0x1.a1da27641c1ep-10, -0x1.91dce550465a3p-10, -0x1.827dc1f6aa0dfp-10, -0x1.73b72e4b4a8f9p-10, -0x1.6583c563ef03ap-10, -0x1.57de4b7f99c25p-10, -0x1.4ac1ad11588c7p-10, -0x1.3e28fdce86542p-10, -0x1.320f77c088bdp-10, -0x1.26707a5a0b922p-10, -0x1.1b47898fcd57cp-10, -0x1.10904cf4f515ep-10, -0x1.06468edafdbe6p-10, -0x1.f8cc76ea88f0bp-11, -0x1.e5d6c000565a3p-11, -0x1.d3a453d7b9b42p-11, -0x1.c22dcc15691b4p-11, -0x1.b16bff86887d9p-11, -0x1.a158008bf978dp-11, -0x1.91eb1b8cea08p-11, -0x1.831ed5709db84p-11, -0x1.74ecea1f6f97cp-11, -0x1.674f4b0afe75cp-11, -0x1.5a401dbd8493ep-11, -0x1.4db9ba7049e5p-11, -0x1.41b6aaa92ac56p-11, -0x1.3631a7df25a92p-11, -0x1.2b259a25e4f28p-11, -0x1.208d96e03565fp-11, -0x1.1664df795b45fp-11, -0x1.0ca6e02538cd7p-11, -0x1.034f2ea733cc2p-11, -0x1.f4b3123f928dp-12, -0x1.e383a9c182bc8p-12, -0x1.d3083a8fd7ba9p-12, -0x1.c3392540b036p-12, -0x1.b40f1213e1a03p-12, -0x1.a582eeced6d27p-12, -0x1.978deca4e8a64p-12, -0x1.8a297e2c0aaep-12, -0x1.7d4f555da22a4p-12, -0x1.70f961a3570c5p-12, -0x1.6521cdefbe985p-12, -0x1.59c2fee2aa1p-12, -0x1.4ed790f8f31d8p-12, -0x1.445a56c7980e9p-12, -0x1.3a465741f97dap-12, -0x1.3096cc0b0f124p-12, -0x1.27471fd16737ap-12, -0x1.1e52ecb5bd167p-12, -0x1.15b5fabc00cc7p-12, -0x1.0d6c3e469e152p-12, -0x1.0571d69bd7105p-12, -0x1.fb8618ea024e2p-13, -0x1.ecb8a12ef9c3dp-13, -0x1.de7474ee6c7ecp-13, -0x1.d0b30dc503b5dp-13, -0x1.c36e2d6e51ea9p-13, -0x1.b69fdb40f8918p-13, -0x1.aa4261bc6c886p-13, -0x1.9e504c281a4ebp-13, -0x1.92c464437c1b2p-13, -0x1.8799b006daa75p-13, -0x1.7ccb6f74511c7p-13, -0x1.72551a78cfab9p-13, -0x1.68325edcb8d7bp-13, -0x1.5e5f1e43cb146p-13, -0x1.54d76c3c020dap-13, -0x1.4b978c5b1cbc2p-13, -0x1.429bf06a739ap-13, -0x1.39e136a0d34fap-13, -0x1.316427e9fff8bp-13, -0x1.2921b63ba4a84p-13, -0x1.2116faf74a4aap-13, -0x1.194135591a726p-13, -0x1.119dc8f31b324p-13, -0x1.0a2a3c34920dfp-13, -0x1.02e436fd4fda5p-13, -0x1.f7930279302e3p-14, -0x1.e9b00336a5641p-14, -0x1.dc1b7862a2822p-14, -0x1.ced1a28aa6123p-14, -0x1.c1cef82f1c57ap-14, -0x1.b510236cdf3fap-14, -0x1.a891ffbab7cf3p-14, -0x1.9c5197ba44e1p-14, -0x1.904c231bdf121p-14, -0x1.847f0494e090ap-14, -0x1.78e7c7e7ee9fbp-14, -0x1.6d841ffeb98dep-14, -0x1.6251e514c3429p-14, -0x1.574f12f2b465cp-14, -0x1.4c79c739ce1c6p-14, -0x1.41d03fbf04b08p-14, -0x1.3750d8f5593a1p-14, -0x1.2cfa0c67006d2p-14, -0x1.22ca6f3cefb1ap-14, -0x1.18c0b0d465df7p-14, -0x1.0edb99620c2dep-14, -0x1.051a08a247efbp-14, -0x1.f6f5e92cbb434p-15, -0x1.e3fad09c0a335p-15, -0x1.d141057a1f6ffp-15, -0x1.bec6eb398b446p-15, -0x1.ac8b08b144f55p-15, -0x1.9a8c060c282c9p-15, -0x1.88c8aacdda029p-15, -0x1.773fdbec5f58dp-15, -0x1.65f099fdcb656p-15, -0x1.54d9ff79616bdp-15, -0x1.43fb3f0b8ep-15, -0x1.3353a1fc1fc69p-15, -0x1.22e286a629d32p-15, -0x1.12a75f0101534p-15, -0x1.02a1af39c2cdfp-15, -0x1.e5a218b9b57ebp-16, -0x1.c66a361e0fdbp-16, -0x1.a79b1caaa2e1cp-16, -0x1.89344cd6ee096p-16, -0x1.6b355f50abeap-16, -0x1.4d9e02df9e06cp-16, -0x1.306dfa636e2aep-16, -0x1.13a51aeab05b6p-16, -0x1.ee8693c47172p-17, -0x1.b690f6b7a66afp-17, -0x1.7f6960d742124p-17, -0x1.490feb366a3a9p-17, -0x1.1384c2e36c05ep-17, -0x1.bd904c40e21dfp-18, -0x1.55b4c3865ff41p-18, -0x1.deef3ae88ae85p-19, -0x1.15b33ed7690bcp-19, -0x1.3edcef5107172p-21, 0x1.cc0c3cdd9a3fcp-21, 0x1.3279d53cfc0fbp-19, 0x1.eeab4256e6558p-19, 0x1.53cac14ffbd16p-18, 0x1.ae9b644c7b4f4p-18, 0x1.03e354c836621p-17, 0x1.2fa5dcc109572p-17, 0x1.5a94e409efc83p-17, 0x1.84b00b94d6e07p-17, 0x1.adf6fc67e9c53p-17, 0x1.d66968a305de4p-17, 0x1.fe070c6ffa95cp-17, 0x1.1267d76f54a21p-16, 0x1.25619156dc914p-16, 0x1.37f0a3806f2c8p-16, 0x1.4a150402c0673p-16, 0x1.5bceafc346f5fp-16, 0x1.6d1daab81d636p-16, 0x1.7e02002243d24p-16, 0x1.8e7bc2c09775ep-16, 0x1.9e8b0cfbdedcdp-16, 0x1.ae30010c43b08p-16, 0x1.bd6ac91885925p-16, 0x1.cc3b974f46a4fp-16, 0x1.daa2a5fab1e39p-16, 0x1.e8a0378ece24cp-16, 0x1.f63496b2c971dp-16, 0x1.01b00b22bcf96p-15, 0x1.081188aeb2eddp-15, 0x1.0e3ef5a2437a5p-15, 0x1.143887b807194p-15, 0x1.19fe78ba3646p-15, 0x1.1f91067ae3f9dp-15, 0x1.24f072ca95822p-15, 0x1.2a1d036d4b7f5p-15, 0x1.2f17020e15a1dp-15, 0x1.33debc31535f3p-15, 0x1.38748325abb57p-15, 0x1.3cd8abf3def06p-15, 0x1.410b8f4d84732p-15, 0x1.450d897ac5764p-15, 0x1.48defa4732fcfp-15, 0x1.4c8044edbeef6p-15, 0x1.4ff1d003f5885p-15, 0x1.5334056481e5fp-15, 0x1.5647521911e9cp-15, 0x1.592c2643a9fb8p-15, 0x1.5be2f50776bbap-15, 0x1.5e6c34712ea8cp-15, 0x1.60c85d5f0cbadp-15, 0x1.62f7eb687767ap-15, 0x1.64fb5cc55e83dp-15, 0x1.66d332355b2c4p-15, 0x1.687feee69f674p-15, 0x1.6a02185cc106ep-15, 0x1.6b5a3657675b7p-15, 0x1.6c88d2b8ea7d5p-15, 0x1.6d8e796ce994ap-15, 0x1.6e6bb84ee45edp-15, 0x1.6f211f10dd5a6p-15, 0x1.6faf3f2210d7bp-15, 0x1.7016ab95c4e63p-15, 0x1.7057f90a3a66dp-15, 0x1.7073bd8fc8a27p-15, 0x1.706a909025e92p-15, 0x1.703d0ab5e5e04p-15, 0x1.6febc5d4328b2p-15, 0x1.6f775ccec4bc3p-15, 0x1.6ee06b82220fbp-15, 0x1.6e278eac24c23p-15, 0x1.6d4d63d4d044ap-15, 0x1.6c5289377799ep-15, 0x1.6b379dac3bf96p-15, 0x1.69fd4091e0d4cp-15, 0x1.68a411b7fde71p-15, 0x1.672cb14990617p-15, 0x1.6597bfb7ed5ecp-15, 0x1.63e5dda618243p-15, 0x1.6217abd47e581p-15, 0x1.602dcb0d1e25p-15, 0x1.5e28dc1014208p-15, 0x1.5c097f8094337p-15, 0x1.59d055d252eadp-15, 0x1.577dff3757447p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fc1199401f5d4p-4, -0x1.488991ce07ffp-4, -0x1.207be21c8b58dp-5, 0x1.59da748eacb33p-7, 0x1.d0e35e91e61b3p-5, 0x1.a616e2e4d4c6cp-4, 0x1.317ef292cb34ep-3, 0x1.8f0d954dd73c8p-3, 0x1.eb41c7fe6e706p-3, 0x1.22da71afd81cbp-2, 0x1.4f06c19030c94p-2, 0x1.79ff1a84e4898p-2, 0x1.a3a26d7e6be61p-2, 0x1.cbd5322308c52p-2, 0x1.f28128572497ap-2, 0x1.0bca700a9df2fp-1, 0x1.1d818b535ac98p-1, 0x1.2e610727b9a12p-1, 0x1.3e65814974a15p-1, 0x1.4d8ce5764111dp-1, 0x1.5bd655a184ea4p-1, 0x1.6940e975e0f0cp-1, 0x1.75d0c23463872p-1, 0x1.818755df10d91p-1, 0x1.8c67de6e0c5f1p-1, 0x1.96763d7f44d4ep-1, 0x1.9fb6e23750112p-1, 0x1.a82eb27248dbp-1, 0x1.afe2f8be1e11ep-1, 0x1.b6d9565a9e244p-1, 0x1.bd17b6769b77dp-1, 0x1.c2a4402abb5a9p-1, 0x1.c78546d42d5ccp-1, 0x1.cbc13a7076dddp-1, 0x1.cf5e9a0d4acd1p-1, 0x1.d263e95bca854p-1, 0x1.d4d7a91075fbbp-1, 0x1.d6c050f063773p-1, 0x1.d8244a88d956ep-1, 0x1.d909ec2d7d015p-1, 0x1.d977746642e5cp-1, 0x1.d97306186f7ffp-1, 0x1.d902a57460aecp-1, 0x1.d82c3552bbfa2p-1, 0x1.d6f5747b0e35ep-1, 0x1.d563fa6f520aep-1, 0x1.d37d33b8d641cp-1, 0x1.d1465e1e72acfp-1, 0x1.cec4856c9b2p-1, 0x1.cbfc8173d4269p-1, 0x1.c8f2f5a178ea3p-1, 0x1.c5ac5237eb65dp-1, 0x1.c22cd6d0c3283p-1, 0x1.be789596e2c12p-1, 0x1.ba937692cb786p-1, 0x1.b6813a772ef14p-1, 0x1.b2457c8bf7794p-1, 0x1.ade3b393bb3d4p-1, 0x1.a95f31c3b69fp-1, 0x1.a4bb2414b8d08p-1, 0x1.9ffa914cc4fb4p-1, 0x1.9b205923c21c5p-1, 0x1.962f33d4c7c31p-1, 0x1.912ae55a103b9p-1, 0x1.8c1389baa19adp-1, 0x1.86ec620728f44p-1, 0x1.81b793855bd09p-1, 0x1.7c7725bcbb138p-1, 0x1.772d03e78e78p-1, 0x1.71dafe39947ebp-1, 0x1.6c82cb0089a4ap-1, 0x1.672607a6f7db7p-1, 0x1.61c639a346e4fp-1, 0x1.5c64cf5c4d08cp-1, 0x1.5703210a67d34p-1, 0x1.51a2719954247p-1, 0x1.4c43ef8c67d13p-1, 0x1.46e8b5e4e1d97p-1, 0x1.4191cd08ea8a6p-1, 0x1.3c402ba972acbp-1, 0x1.36f4b7a53d05dp-1, 0x1.31b046e7a8defp-1, 0x1.2c73a04230d8dp-1, 0x1.273f7c3fd2a4fp-1, 0x1.221485f1b48cfp-1, 0x1.1cf35bb4652dfp-1, 0x1.17dc8fed01152p-1, 0x1.12d0a9bd7ba17p-1, 0x1.0dd025af429bfp-1, 0x1.08db7653886fp-1, 0x1.03f304d8a2861p-1, 0x1.fe2e632876617p-2, 0x1.f490a904cb176p-2, 0x1.eb0d7b7416916p-2, 0x1.e1a56baf1185p-2, 0x1.d858fcbd3657ep-2, 0x1.cf28a429f4a45p-2, 0x1.c614caae06916p-2, 0x1.bd1dcccfb15ccp-2, 0x1.b443fb7c4342fp-2, 0x1.ab879c9cc6594p-2, 0x1.a2e8eba7369a2p-2, 0x1.9a681a2d017dfp-2, 0x1.920550670d236p-2, 0x1.89c0adbf16a6ap-2, 0x1.819a4955ec112p-2, 0x1.79923285ce015p-2, 0x1.71a8716040c28p-2, 0x1.69dd07268a706p-2, 0x1.622feebc4589ep-2, 0x1.5aa11d1385c35p-2, 0x1.533081924c405p-2, 0x1.4bde06712cda6p-2, 0x1.44a991133ae4ap-2, 0x1.3d93025786dcep-2, 0x1.369a36e489d8ap-2, 0x1.2fbf076e0540fp-2, 0x1.290148f5ed48p-2, 0x1.2260cd08e66e6p-2, 0x1.1bdd61f6fbe79p-2, 0x1.1576d30908b02p-2, 0x1.0f2ce8b350adcp-2, 0x1.08ff68c5a8694p-2, 0x1.02ee169977061p-2, 0x1.f9f1667b9041ep-3, 0x1.ee3dfb4320a6ap-3, 0x1.e2c16578704d4p-3, 0x1.d77b1b68f38f6p-3, 0x1.cc6a900b2213p-3, 0x1.c18f334587c03p-3, 0x1.b6e8723282408p-3, 0x1.ac75b760c1057p-3, 0x1.a2366b108a7ap-3, 0x1.9829f36de6ea8p-3, 0x1.8e4fb4c7d9994p-3, 0x1.84a711c4b8b67p-3, 0x1.7b2f6b93e7f5fp-3, 0x1.71e8221d0ca1ep-3, 0x1.68d0942cee2e8p-3, 0x1.5fe81fa02921bp-3, 0x1.572e218bde872p-3, 0x1.4ea1f6647a547p-3, 0x1.4642fa22ac01cp-3, 0x1.3e108866bd51cp-3, 0x1.3609fc9a38556p-3, 0x1.2e2eb2101bffbp-3, 0x1.267e042382435p-3, 0x1.1ef7939275c3dp-3, 0x1.179a28790b143p-3, 0x1.10656c4feb8cap-3, 0x1.0958bbfa0faf9p-3, 0x1.027374e732125p-3, 0x1.f769ea5021532p-4, 0x1.ea3937037a231p-4, 0x1.dd538f00077ccp-4, 0x1.d0b7b30dfada5p-4, 0x1.c46465c7be236p-4, 0x1.b8586bba05f29p-4, 0x1.ac928b8277b38p-4, 0x1.a1118deceaa09p-4, 0x1.95d43e0f3c6c4p-4, 0x1.8ad96963c55d7p-4, 0x1.801fdfe270fa2p-4, 0x1.75a6741871ed3p-4, 0x1.6b6bfb3e99986p-4, 0x1.616f4d4e51912p-4, 0x1.57af45153a5f6p-4, 0x1.4e2ac047733p-4, 0x1.44e09f908e5ap-4, 0x1.3bcfc6a33a73dp-4, 0x1.32f71c47a5c6ep-4, 0x1.2a558a68a628fp-4, 0x1.21e9fe1fae607p-4, 0x1.19b367bf99dfcp-4, 0x1.11b0bade5cbe2p-4, 0x1.09e0ee5da1996p-4, 0x1.0242fc72601e1p-4, 0x1.f5abc556f64fp-5, 0x1.e73143eeddd7ap-5, 0x1.d9147d523bf22p-5, 0x1.cb5380f78bfb3p-5, 0x1.bdec652c5482p-5, 0x1.b0dd4719f76fdp-5, 0x1.a4244ac91af5p-5, 0x1.97bf9b23b4bap-5, 0x1.8bad69f5d80d6p-5, 0x1.7febefed4ba24p-5, 0x1.74796c98046cap-5, 0x1.695426618e0d8p-5, 0x1.5e7a6a8f73ceep-5, 0x1.53ea8d3cba5eep-5, 0x1.49a2e95470f91p-5, 0x1.3fa1e08b70dcfp-5, 0x1.35e5db594cd3ep-5, 0x1.2c6d48f081501p-5, 0x1.23369f35ebd33p-5, 0x1.1a405ab799735p-5, 0x1.1188fea2e7355p-5, 0x1.090f14ba0d396p-5, 0x1.00d12d490f718p-5, 0x1.f19bbe343ac55p-6, 0x1.e2078ed2da815p-6, 0x1.d2e313b11fdc9p-6, 0x1.c42ba0c295cd2p-6, 0x1.b5de968ff2eefp-6, 0x1.a7f9621af745bp-6, 0x1.9a797cc1757bfp-6, 0x1.8d5c6c1f879e5p-6, 0x1.809fc1f1095cfp-6, 0x1.74411bf24f607p-6, 0x1.683e23c0388d7p-6, 0x1.5c948eb79935ep-6, 0x1.51421dd407f5ep-6, 0x1.46449d8e24296p-6, 0x1.3b99e5b952753p-6, 0x1.313fd96101afcp-6, 0x1.273466a57dcaap-6, 0x1.1d7586985ecf8p-6, 0x1.14013d189fe72p-6, 0x1.0ad598ae5db6p-6, 0x1.01f0b26650779p-6, 0x1.f2a15b5a15f94p-7, 0x1.e1e77053fbb47p-7, 0x1.d1b01334a65fap-7, 0x1.c1f7c75748dc4p-7, 0x1.b2bb23ad2d917p-7, 0x1.a3f6d272c7e6ap-7, 0x1.95a790e4a3f7dp-7, 0x1.87ca2ef468957p-7, 0x1.7a5b8efdbfeebp-7, 0x1.6d58a57b690cfp-7, 0x1.60be78bc6573fp-7, 0x1.548a209950fbbp-7, 0x1.48b8c629ef244p-7, 0x1.3d47a37b0812ep-7, 0x1.3234034485df4p-7, 0x1.277b409ff5861p-7, 0x1.1d1ac6bf62358p-7, 0x1.131010a49cf7fp-7, 0x1.0958a8d8f9e3p-7, 0x1.ffe4524b0b7ep-8, 0x1.edb474977bba1p-8, 0x1.dc1d277da09a2p-8, 0x1.cb19f6bae4c5bp-8, 0x1.baa68a5887166p-8, 0x1.aabea621a2d5ap-8, 0x1.9b5e291a7ec3fp-8, 0x1.8c810cf9237c5p-8, 0x1.7e23659f442bfp-8, 0x1.704160958d9c1p-8, 0x1.62d744885b8c4p-8, 0x1.55e170c5da902p-8, 0x1.495c5cbda439fp-8, 0x1.3d449781d30a4p-8, 0x1.3196c7499cc77p-8, 0x1.264fa8f5760d9p-8, 0x1.1b6c0f94c19f8p-8, 0x1.10e8e3ed1089dp-8, 0x1.06c32402fa212p-8, 0x1.f9efc5491ba9p-9, 0x1.e7088deabfe79p-9, 0x1.d4cb17f86fc68p-9, 0x1.c3320064bca96p-9, 0x1.b2380a2923fd3p-9, 0x1.a1d81d6b3b823p-9, 0x1.920d46a52cd25p-9, 0x1.82d2b5d18a48p-9, 0x1.7423bd9a56fbbp-9, 0x1.65fbd28b925a1p-9, 0x1.58568a48d239fp-9, 0x1.4b2f9ac6623aep-9, 0x1.3e82d98586782p-9, 0x1.324c3ad431803p-9, 0x1.2687d10feb235p-9, 0x1.1b31cbebf3ec5p-9, 0x1.104677bac3a83p-9, 0x1.05c23cbaaf339p-9, 0x1.f7433ccbbc2aep-10, 0x1.e3c2758ad45f5p-10, 0x1.d0fb938f44674p-10, 0x1.bee839331963p-10, 0x1.ad823a0709d32p-10, 0x1.9cc39991e3e0fp-10, 0x1.8ca68a1652126p-10, 0x1.7d256b5e8152p-10, 0x1.6e3ac98e18e24p-10, 0x1.5fe15bfa14c51p-10, 0x1.521404069fdd1p-10, 0x1.44cdcc0adf26cp-10, 0x1.3809e63a7c7e4p-10, 0x1.2bc3ab950d186p-10, 0x1.1ff69adb27c52p-10, 0x1.149e5789231acp-10, 0x1.09b6a8d755412p-10, 0x1.fe76f17fd9cbp-11, 0x1.ea51a61466873p-11, 0x1.d6f5c8b64109dp-11, 0x1.c45bf296aa898p-11, 0x1.b27cfb04598aap-11, 0x1.a151f5ac1420dp-11, 0x1.90d430e367fbdp-11, 0x1.80fd33fd66216p-11, 0x1.71c6bda92cf4ep-11, 0x1.632ac25a37ff4p-11, 0x1.55236aba4ef59p-11, 0x1.47ab122482861p-11, 0x1.3abc4529cd91fp-11, 0x1.2e51c01eab2f5p-11, 0x1.22666db1978b1p-11, 0x1.16f5658a4cd44p-11, 0x1.0bf9eaf1d15bbp-11, 0x1.016f6b830acbcp-11, 0x1.eea2fbc658e97p-12, 0x1.db37c106112fep-12, 0x1.c894f0cfda21ep-12, 0x1.b66a153e27b19p-12, 0x1.a541a39b7966dp-12, 0x1.94cac2d1e57d4p-12, 0x1.84fe597ac46aap-12, 0x1.75d590140dab4p-12, 0x1.6749ceee5bdd1p-12, 0x1.5954bc284b16fp-12, 0x1.4bf039b753b51p-12, 0x1.3f16637ec42f4p-12, 0x1.32c18d73825a2p-12, 0x1.26ec41cccdb76p-12, 0x1.1b913f4183d51p-12, 0x1.10ab7751da93dp-12, 0x1.06360c9d475d4p-12, 0x1.f858a28793f95p-13, 0x1.e5138aa677befp-13, 0x1.d2942a7f3077p-13, 0x1.c0d230cd38415p-13, 0x1.afc59f3b3f2b2p-13, 0x1.9f66c79507f0fp-13, 0x1.8fae490d6b2cfp-13, 0x1.80950d9841e5p-13, 0x1.72144757e018fp-13, 0x1.64256e1e9e521p-13, 0x1.56c23d01d32adp-13, 0x1.49e4afff738d4p-13, 0x1.3d8701b635a21p-13, 0x1.31a3a92e2dd16p-13, 0x1.263557b27a74ap-13, 0x1.1b36f6bc74379p-13, 0x1.10a3a5ed8b605p-13, 0x1.0676b919c97f3p-13, 0x1.f9576cc335e42p-14, 0x1.e67ca8b454934p-14, 0x1.d454f0897a80ap-14, 0x1.c2d868a833874p-14, 0x1.b1ff8bfdea1dcp-14, 0x1.a1c328c4753fbp-14, 0x1.921c5d5a7e94cp-14, 0x1.8304953a953ffp-14, 0x1.747586089a6a4p-14, 0x1.66692cb909bcp-14, 0x1.58d9cacdeea19p-14, 0x1.4bc1e3acca962p-14, 0x1.3f1c3a0a01508p-14, 0x1.32e3cd68e666ap-14, 0x1.2713d7b4bdf1ap-14, 0x1.1ba7cae97a4cp-14, 0x1.109b4ed386cap-14, 0x1.05ea3ee2d01eap-14, 0x1.f7215020206c4p-15, 0x1.e3158da9a311ap-15, 0x1.cfaa0a6ad80d2p-15, 0x1.bcd7f1b99faabp-15, 0x1.aa98c28f2e556p-15, 0x1.98e64c0440a39p-15, 0x1.87baa9e83421bp-15, 0x1.77104179e705dp-15, 0x1.66e1be3ea85bfp-15, 0x1.572a0ef49b413p-15, 0x1.47e462a2fcd5dp-15, 0x1.390c25c506824p-15, 0x1.2a9cff90244ecp-15, 0x1.1c92cf53c08b7p-15, 0x1.0ee9a9f0a5e5ep-15, 0x1.019dd76b05622p-15, 0x1.e957a12503828p-16, 0x1.d0207981f0283p-16, 0x1.b78fdf60cfab9p-16, 0x1.9f9fcecbfe8adp-16, 0x1.884a945de5047p-16, 0x1.718ac96aad388p-16, 0x1.5b5b504cc000ap-16, 0x1.45b750da52fc7p-16, 0x1.309a34f661068p-16, 0x1.1bffa54dd5dd6p-16, 0x1.07e38633f608ap-16, 0x1.e883e9374147ep-17, 0x1.c22e866e9fcb8p-17, 0x1.9cbfef5eded41p-17, 0x1.78318fff06778p-17, 0x1.547d2fcae7663p-17, 0x1.319cece96c3a1p-17, 0x1.0f8b378308278p-17, 0x1.dc859a871ed14p-18, 0x1.9b7d6a4241281p-18, 0x1.5bf47668d7cdcp-18, 0x1.1de1d9cb20059p-18, 0x1.c27a54730ca4p-19, 0x1.4bfce30583b9bp-19, 0x1.b0789a264063ep-20, 0x1.9ca936ef8facep-21, -0x1.d1a7bfdb232a9p-25, -0x1.cc8d20355e41p-21, -0x1.b8efa52129099p-20, -0x1.434fc496cf7ecp-19, -0x1.a7b60f502645dp-19, -0x1.04da8c60c9fcbp-18, -0x1.34ab62886cbcfp-18, -0x1.63523f9375b66p-18, -0x1.90d3a097c3c2ep-18, -0x1.bd33ce397b9eep-18, -0x1.e876e06c142c1p-18, -0x1.095060fffb52ep-17, -0x1.1dda9a0102c34p-17, -0x1.31dbe876947c1p-17, -0x1.455607d5e2781p-17, -0x1.584aa33863ef8p-17, -0x1.6abb56b8fdc3p-17, -0x1.7ca9b0af2878bp-17, -0x1.8e1732ec30a32p-17, -0x1.9f0553d471c8cp-17, -0x1.af757f701a85ep-17, -0x1.bf6918695b702p-17, -0x1.cee178fe2daddp-17, -0x1.dddff3d9ac652p-17, -0x1.ec65d4e8fd18cp-17, -0x1.fa746221fe3b4p-17, -0x1.04066e1c6e7d1p-16, -0x1.0a983fa28942dp-16, -0x1.10f041b1f5c7cp-16, -0x1.170f0ea409645p-16, -0x1.1cf53f66810b8p-16, -0x1.22a36bb0785e3p-16, -0x1.281a2a43f2d71p-16, -0x1.2d5a111e47234p-16, -0x1.3263b5ae5e12ep-16, -0x1.3737acfd4ce8p-16, -0x1.3bd68bd7d359p-16, -0x1.4040e6f305c9ap-16, -0x1.4477530e36cabp-16, -0x1.487a650f1ab2ep-16, -0x1.4c4ab21f8f508p-16, -0x1.4fe8cfc02d8d2p-16, -0x1.535553e33cf14p-16, -0x1.5690d4f87edb2p-16, -0x1.599bea01735c7p-16, -0x1.5c772a9b86d4cp-16, -0x1.5f232f0b57d9cp-16, -0x1.61a0904766856p-16, -0x1.63efe7fadaf2ep-16, -0x1.6611d08c0455bp-16, -0x1.6806e52155d5bp-16, -0x1.69cfc1a1dcbbbp-16, -0x1.6b6d02afc129p-16, -0x1.6cdf45afba2c9p-16, -0x1.6e2728c02ae7dp-16, -0x1.6f454ab73e544p-16, -0x1.703a4b1b141p-16, -0x1.7106ca1da1719p-16, -0x1.71ab689661475p-16, -0x1.7228c7f772184p-16, -0x1.727f8a4693e84p-16, -0x1.72b05212ad83bp-16, -0x1.72bbc269d9431p-16, -0x1.72a27ecc59e4dp-16, -0x1.72652b24c0dddp-16, -0x1.72046bb941fc5p-16, -0x1.7180e51ff2482p-16, -0x1.70db3c3271015p-16, -0x1.70141600c623ap-16, -0x1.6f2c17be443f8p-16, -0x1.6e23e6c13aa7ap-16, -0x1.6cfc2867ffc3fp-16, -0x1.6bb5821082f18p-16, -0x1.6a50990a64dd5p-16, -0x1.68ce1287a3fb4p-16, -0x1.672e938fbe0ccp-16, -0x1.6572c0ec3f1c5p-16, -0x1.639b3f24fbeb3p-16, -0x1.61a8b267b6cc5p-16, -0x1.5f9bbe7eaed5p-16, -0x1.5d7506c1e17bep-16, -0x1.5b352e0abb857p-16, -0x1.58dcd6a133c98p-16, -0x1.566ca23525ec1p-16, -0x1.53e531ccbda55p-16, -0x1.514725b80740bp-16, -0x1.4e931d842f675p-16, -0x1.4bc9b7eee1e67p-16, -0x1.48eb92d91a826p-16, -0x1.45f94b3c2158cp-16, -0x1.42f37d1bc7438p-16, -0x1.3fdac37ec3a46p-16, -0x1.3cafb85a9a0b1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c078c93ebf18p-3, -0x1.b3665acad273cp-3, -0x1.cacda625f5dfbp-3, -0x1.e231a036e1f86p-3, -0x1.f9868169bb643p-3, -0x1.0860501937086p-2, -0x1.13ea42a4a2806p-2, -0x1.1f5b7e96c1d0dp-2, -0x1.2aae93928c97fp-2, -0x1.35de40f7d0208p-2, -0x1.40e57b308ae0ep-2, -0x1.4bbf700b153b7p-2, -0x1.56678a38b26a4p-2, -0x1.60d974068ccdap-2, -0x1.6b1119659b9b3p-2, -0x1.750aa9546103ap-2, -0x1.7ec296bbebfc8p-2, -0x1.883598d017de3p-2, -0x1.9160ab01a3bb3p-2, -0x1.9a410c8f78163p-2, -0x1.a2d43fc33643dp-2, -0x1.ab1808e423932p-2, -0x1.b30a6cea6a2dbp-2, -0x1.baa9affbcaa6cp-2, -0x1.c1f453b9f169fp-2, -0x1.c8e91569e7dd5p-2, -0x1.cf86ebfb56a76p-2, -0x1.d5cd05f5ab5d9p-2, -0x1.dbbac750974ebp-2, -0x1.e14fc73cdbcebp-2, -0x1.e68bcde1c7b6cp-2, -0x1.eb6ed2135e7dfp-2, -0x1.eff8f704b74efp-2, -0x1.f42a89f9b9d44p-2, -0x1.f803fffb06ee3p-2, -0x1.fb85f38e87856p-2, -0x1.feb12276d3fc2p-2, -0x1.00c335bdad8e3p-1, -0x1.0203661d77945p-1, -0x1.0319af8518c49p-1, -0x1.0406ac6f84f49p-1, -0x1.04cb03a51e0a7p-1, -0x1.0567673ff883p-1, -0x1.05dc93b7f57a3p-1, -0x1.062b4ef6f7429p-1, -0x1.0654677567151p-1, -0x1.0658b35f35d9p-1, -0x1.06390fc16aedep-1, -0x1.05f65fc054fa9p-1, -0x1.05918bd6593b6p-1, -0x1.050b811b5ceb3p-1, -0x1.04653094b6f65p-1, -0x1.039f8e8d9004ap-1, -0x1.02bb91f797211p-1, -0x1.01ba33d3df3aap-1, -0x1.009c6ea3c2c1ap-1, -0x1.fec67bc334b68p-2, -0x1.fc1f3b02301d3p-2, -0x1.f94512ee24b6p-2, -0x1.f639fa910c185p-2, -0x1.f2ffe74135cbep-2, -0x1.ef98cbdad7353p-2, -0x1.ec069806b8897p-2, -0x1.e84b378d79f7cp-2, -0x1.e46891b70a1d8p-2, -0x1.e06088b5c56edp-2, -0x1.dc34f91cd6c82p-2, -0x1.d7e7b961592d8p-2, -0x1.d37a9965cc525p-2, -0x1.ceef620f684p-2, -0x1.ca47d4e4dea2p-2, -0x1.c585abb61df74p-2, -0x1.c0aa984ca996cp-2, -0x1.bbb8442420eecp-2, -0x1.b6b0502a8c008p-2, -0x1.b19454880e18ep-2, -0x1.ac65e06d9d945p-2, -0x1.a72679ea62ff1p-2, -0x1.a1d79dc7695f1p-2, -0x1.9c7abf69450e2p-2, -0x1.971148b75e746p-2, -0x1.919c9a08956f2p-2, -0x1.8c1e0a14e7a0cp-2, -0x1.8696e5ebd5eeap-2, -0x1.810870ef3f4a1p-2, -0x1.7b73e4d26b472p-2, -0x1.75da719d059ccp-2, -0x1.703d3db1c8258p-2, -0x1.6a9d65d897904p-2, -0x1.64fbfd4bdd18bp-2, -0x1.5f5a0dc8ddf3bp-2, -0x1.59b897a2e5c52p-2, -0x1.541891d9053b4p-2, -0x1.4e7aea2e40bf8p-2, -0x1.48e08543f6f0fp-2, -0x1.434a3eb65bb92p-2, -0x1.3db8e93ad2c3fp-2, -0x1.382d4ec00fd87p-2, -0x1.32a8308fc619p-2, -0x1.2d2a4771d10dcp-2, -0x1.27b443d0aa2dap-2, -0x1.2246cddf0dde2p-2, -0x1.1ce285beb0b06p-2, -0x1.178803a7e682bp-2, -0x1.1237d8121cbdap-2, -0x1.0cf28bdd105c1p-2, -0x1.07b8a07aa2b99p-2, -0x1.028a90193797cp-2, -0x1.fad19b9d03f17p-3, -0x1.f0a78b8559ca2p-3, -0x1.e697bab7927bfp-3, -0x1.dca2e6d2da84cp-3, -0x1.d2c9c0a0e77d1p-3, -0x1.c90cec6d96216p-3, -0x1.bf6d025e78869p-3, -0x1.b5ea8eca4bad1p-3, -0x1.ac8612901fac4p-3, -0x1.a340036e2b6cdp-3, -0x1.9a18cc581c718p-3, -0x1.9110cdcce1ce7p-3, -0x1.88285e2bc814fp-3, -0x1.7f5fca08d7412p-3, -0x1.76b7548067389p-3, -0x1.6e2f3789c5e9fp-3, -0x1.65c7a448f1afep-3, -0x1.5d80c35f4af0bp-3, -0x1.555ab53b2fc9bp-3, -0x1.4d5592667d5f1p-3, -0x1.45716bd3d9cacp-3, -0x1.3dae4b2ace937p-3, -0x1.360c33129bed5p-3, -0x1.2e8b1f7bba354p-3, -0x1.272b05e810b09p-3, -0x1.1febd5b1c8effp-3, -0x1.18cd7850bed5ap-3, -0x1.11cfd19e8b7cbp-3, -0x1.0af2c0191f91cp-3, -0x1.04361d23ed1d3p-3, -0x1.fb337a8f3a757p-4, -0x1.ee3ae0e091e27p-4, -0x1.e1820454786bap-4, -0x1.d50873ba7f28ep-4, -0x1.c8cdb60cb698cp-4, -0x1.bcd14ae053bd2p-4, -0x1.b112aad3465dbp-4, -0x1.a59147f6ee2d2p-4, -0x1.9a4c8e37bd902p-4, -0x1.8f43e3c20e198p-4, -0x1.8476a963e1132p-4, -0x1.79e43aebd75dp-4, -0x1.6f8bef8534225p-4, -0x1.656d1a1108d22p-4, -0x1.5b87097c8b98p-4, -0x1.51d909149f036p-4, -0x1.486260d695c63p-4, -0x1.3f2255be390cdp-4, -0x1.36182a111bfdfp-4, -0x1.2d431da74668bp-4, -0x1.24a26e313f40cp-4, -0x1.1c35577b84735p-4, -0x1.13fb13af774bdp-4, -0x1.0bf2db91cbd58p-4, -0x1.041be6be845f5p-4, -0x1.f8ead7c50f78cp-5, -0x1.e9fd41e5b5bfcp-5, -0x1.db6d76c318279p-5, -0x1.cd39e0a0b7ddap-5, -0x1.bf60e982610cp-5, -0x1.b1e0fb88be573p-5, -0x1.a4b88149aff94p-5, -0x1.97e5e62488421p-5, -0x1.8b6796923c444p-5, -0x1.7f3c0071abdc9p-5, -0x1.736193501414ep-5, -0x1.67d6c0adc8bcp-5, -0x1.5c99fc3f4e2dep-5, -0x1.51a9bc2aec46fp-5, -0x1.47047942d3d7bp-5, -0x1.3ca8af3bf156cp-5, -0x1.3294dce181ec6p-5, -0x1.28c78445880d1p-5, -0x1.1f3f2aee36da7p-5, -0x1.15fa5a006967bp-5, -0x1.0cf79e6742bb3p-5, -0x1.043588f90c03ep-5, -0x1.f7655d32ccf07p-6, -0x1.e6db50b1d739cp-6, -0x1.d6ca2724a2d26p-6, -0x1.c72f240a4caf4p-6, -0x1.b80793dc7ed6ap-6, -0x1.a950cc3bd2d16p-6, -0x1.9b082c17ee93ep-6, -0x1.8d2b1bd37fc2cp-6, -0x1.7fb70d643936ep-6, -0x1.72a97c6f09a2dp-6, -0x1.65ffee60a4b08p-6, -0x1.59b7f2828a365p-6, -0x1.4dcf220cb2ed2p-6, -0x1.42432034046d4p-6, -0x1.37119a35aeee2p-6, -0x1.2c38475fa284cp-6, -0x1.21b4e916288dbp-6, -0x1.17854ad6dc5c3p-6, -0x1.0da742390fdb1p-6, -0x1.0418aeebc4ee6p-6, -0x1.f5aef562aca89p-7, -0x1.e3c332b1e4fecp-7, -0x1.d26a116bff477p-7, -0x1.c19fa12b19b3cp-7, -0x1.b1600563bcd53p-7, -0x1.a1a7754881c89p-7, -0x1.92723baa60b2p-7, -0x1.83bcb6d5db9c1p-7, -0x1.7583586d45101p-7, -0x1.67c2a5403ff44p-7, -0x1.5a773520ae2c2p-7, -0x1.4d9db2b538327p-7, -0x1.4132db4997564p-7, -0x1.35337e9cca026p-7, -0x1.299c7ead5ed1p-7, -0x1.1e6acf83f224cp-7, -0x1.139b76fc0b50ap-7, -0x1.092b8c8b7845p-7, -0x1.fe3072109509cp-8, -0x1.eabd6cdb29437p-8, -0x1.d7f89f3e11815p-8, -0x1.c5dcc05727352p-8, -0x1.b464a81e281b3p-8, -0x1.a38b4ee68ca9ap-8, -0x1.934bcce000e89p-8, -0x1.83a15995ae23ap-8, -0x1.74874b6c86b84p-8, -0x1.65f91720c150bp-8, -0x1.57f24f42ae0d5p-8, -0x1.4a6ea3b311ccfp-8, -0x1.3d69e11f2c73cp-8, -0x1.30dff07c90c0fp-8, -0x1.24ccd684f2018p-8, -0x1.192cb33208d91p-8, -0x1.0dfbc139afc4ap-8, -0x1.0336558a55c05p-8, -0x1.f1b1bd8fc4264p-9, -0x1.ddbfc99252226p-9, -0x1.ca90102c0cbeap-9, -0x1.b81c02cc6cac3p-9, -0x1.a65d424213127p-9, -0x1.954d9dbbffed1p-9, -0x1.84e711cccd33bp-9, -0x1.7523c7700e516p-9, -0x1.65fe1311f7644p-9, -0x1.577073996a19ep-9, -0x1.4975917490222p-9, -0x1.3c083da80e798p-9, -0x1.2f2370e0fd74ep-9, -0x1.22c24a89afb03p-9, -0x1.16e00fe163759p-9, -0x1.0b782b16f131ap-9, -0x1.00862a668b38p-9, -0x1.ec0b7e7531f58p-10, -0x1.d7e57a9f88721p-10, -0x1.c49233b87b8d1p-10, -0x1.b209d574935cep-10, -0x1.a044cb2c3ac8ep-10, -0x1.8f3bbe3e2367ep-10, -0x1.7ee7947874e2ap-10, -0x1.6f416e88bed86p-10, -0x1.6042a672c3c9fp-10, -0x1.51e4ce0e1d0bdp-10, -0x1.4421ad8ac4211p-10, -0x1.36f341fc7e1f6p-10, -0x1.2a53bbed249ap-10, -0x1.1e3d7df5e058fp-10, -0x1.12ab1b5f36558p-10, -0x1.079756c7fd804p-10, -0x1.f9fa41a642caep-11, -0x1.e5af2db8706d1p-11, -0x1.d2440365c17acp-11, -0x1.bfafa8b9b0b26p-11, -0x1.ade955bd86c6fp-11, -0x1.9ce892173482ep-11, -0x1.8ca532b55681fp-11, -0x1.7d17578849be4p-11, -0x1.6e3769483216cp-11, -0x1.5ffe1747ccc06p-11, -0x1.52645553f209ap-11, -0x1.4563599f9f7b6p-11, -0x1.38f49abc6568cp-11, -0x1.2d11cd9f10f9fp-11, -0x1.21b4e3b06c2f9p-11, -0x1.16d808e9ea70dp-11, -0x1.0c75a1fe16a13p-11, -0x1.02884a8c9aa8ap-11, -0x1.f215a6c368259p-12, -0x1.dff08181d01c6p-12, -0x1.ce9791759b2ddp-12, -0x1.be01a31b7baaap-12, -0x1.ae25e0227f5efp-12, -0x1.9efbcc57fa773p-12, -0x1.907b42a8334b8p-12, -0x1.829c72336a2e8p-12, -0x1.7557db76e6553p-12, -0x1.68a64d89a369p-12, -0x1.5c80e36c4c73cp-12, -0x1.50e1016c1e5c9p-12, -0x1.45c0529857e41p-12, -0x1.3b18c649d972fp-12, -0x1.30e48dbc9d5bfp-12, -0x1.271e19baa16f6p-12, -0x1.1dc01857f0dp-12, -0x1.14c572bf6c4e9p-12, -0x1.0c294b0ff81fdp-12, -0x1.03e6fa49b8e91p-12, -0x1.f7f41c95fa1c6p-13, -0x1.e8bc8fb90b63cp-13, -0x1.da1f31999b5b1p-13, -0x1.cc144433fcadbp-13, -0x1.be94645470015p-13, -0x1.b1988623b3ff2p-13, -0x1.a519f1cef3299p-13, -0x1.9912404a5ef4p-13, -0x1.8d7b582ddb636p-13, -0x1.824f6aab14951p-13, -0x1.7788f09c68a6cp-13, -0x1.6d22a7abf829cp-13, -0x1.63178f92551ep-13, -0x1.5962e76c2552dp-13, -0x1.50002b2634abcp-13, -0x1.46eb10ff50a71p-13, -0x1.3e1f871f6c597p-13, -0x1.3599b14373bdap-13, -0x1.2d55e67d448bp-13, -0x1.2550af07448edp-13, -0x1.1d86c22b0bb9bp-13, -0x1.15f5043a99df2p-13, -0x1.0e98849ba3f58p-13, -0x1.076e7be4609d7p-13, -0x1.00744a096d42cp-13, -0x1.f34ee93887a7dp-14, -0x1.e60b4a339b8bdp-14, -0x1.d9194e9133c91p-14, -0x1.cc74cf4c8e183p-14, -0x1.c019e3c759cebp-14, -0x1.b404dedeb29e9p-14, -0x1.a8324c1bd6cf3p-14, -0x1.9c9eecffe8efcp-14, -0x1.9147b669c8eaap-14, -0x1.8629ce154b491p-14, -0x1.7b4288330aa96p-14, -0x1.708f651808bc8p-14, -0x1.660e0f0468da4p-14, -0x1.5bbc580087eb9p-14, -0x1.519837cfbe3ep-14, -0x1.479fc9f81c282p-14, -0x1.3dd14bde75451p-14, -0x1.342b1af61292dp-14, -0x1.2aabb303697e8p-14, -0x1.2151ac71378abp-14, -0x1.181bbab76943bp-14, -0x1.0f08aad331fp-14, -0x1.061761cfc665bp-14, -0x1.fa8db6be4ccdp-15, -0x1.e92c5104d8a47p-15, -0x1.d808dc8235445p-15, -0x1.c721c8ddc3646p-15, -0x1.b675a8fec1467p-15, -0x1.a60330cebfa2fp-15, -0x1.95c9331620a22p-15, -0x1.85c69f71ac3e4p-15, -0x1.75fa80605885ap-15, -0x1.6663f96866b71p-15, -0x1.57024552fb3f7p-15, -0x1.47d4b47d5e8c4p-15, -0x1.38daab3f1ac72p-15, -0x1.2a13a0642d6fp-15, -0x1.1b7f1bba928b8p-15, -0x1.0d1cb4b26747p-15, -0x1.fdd8221fe55b2p-16, -0x1.e1d9c75dc97cbp-16, -0x1.c63dd6ac4381ap-16, -0x1.ab03e336e4aaep-16, -0x1.902b93acf2bdfp-16, -0x1.75b4a044b0e2dp-16, -0x1.5b9ed0dacaab2p-16, -0x1.41e9fb2cca639p-16, -0x1.2896012d7be6cp-16, -0x1.0fa2cf722f2bp-16, -0x1.ee20b76f9735dp-17, -0x1.bdbd46fd7a218p-17, -0x1.8e1b557982455p-17, -0x1.5f3af54740f33p-17, -0x1.311c40f7f0b2cp-17, -0x1.03bf592658cd1p-17, -0x1.ae48c4eeb6b4ap-18, -0x1.5697077b152efp-18, -0x1.0069c87c6c0ccp-18, -0x1.5782a859a8f23p-19, -0x1.6277c5f367b53p-20, -0x1.bff7d5271317ep-24, 0x1.2462b7ce87ee4p-20, 0x1.2f571dcc398f8p-19, 0x1.c971561fcf2cap-19, 0x1.303ffaf1713f3p-18, 0x1.7a4189c186627p-18, 0x1.c2bd77051c248p-18, 0x1.04d9fbff05256p-17, 0x1.2792ac796994fp-17, 0x1.4988ff28bd3a4p-17, 0x1.6abd32d7af101p-17, 0x1.8b2f9353f475fp-17, 0x1.aae079cdff13dp-17, 0x1.c9d04d29d4ccap-17, 0x1.e7ff824204848p-17, 0x1.02b74e0eab325p-16, 0x1.110f160c0ef49p-16, 0x1.1f076900ed54bp-16, 0x1.2ca09e17ec8edp-16, 0x1.39db13c2c5ec9p-16, 0x1.46b72fb9998dcp-16, 0x1.53355ef5c1fc9p-16, 0x1.5f5615a869dabp-16, 0x1.6b19cf2d30becp-16, 0x1.76810df9297c5p-16, 0x1.818c5b866ac23p-16, 0x1.8c3c483c773c7p-16, 0x1.96916b55be13ap-16, 0x1.a08c62c261e83p-16, 0x1.aa2dd30887db4p-16, 0x1.b376672264b1p-16, 0x1.bc66d05a2ef52p-16, 0x1.c4ffc62431383p-16, 0x1.cd4205f72859dp-16, 0x1.d52e5323112f7p-16, 0x1.dcc576a69b92p-16, 0x1.e4083f03605ddp-16, 0x1.eaf7801104304p-16, 0x1.f19412cf6808p-16, 0x1.f7ded5380d40ap-16, 0x1.fdd8aa0ec6da7p-16, 0x1.01c13c58ef1f9p-15, 0x1.046e9674dfd81p-15, 0x1.06f4db5c27c24p-15, 0x1.09548513ff46ap-15, 0x1.0b8e0f8d5ab2ep-15, 0x1.0da1f88c5a7b7p-15, 0x1.0f90bf8fb785dp-15, 0x1.115ae5b842e79p-15, 0x1.1300edb07523fp-15, 0x1.14835b941eea8p-15, 0x1.15e2b4d83faaap-15, 0x1.171f80330aa15p-15, 0x1.183a45841fc86p-15, 0x1.19338dbd059fdp-15, 0x1.1a0be2c9df223p-15, 0x1.1ac3cf7a6ed32p-15, 0x1.1b5bdf6b6405cp-15, 0x1.1bd49eeffef7ap-15, 0x1.1c2e9afc0543dp-15, 0x1.1c6a610e18554p-15, 0x1.1c887f1a66485p-15, 0x1.1c898375bde01p-15, 0x1.1c6dfcc10a3f3p-15, 0x1.1c3679d53325fp-15, 0x1.1be389af69a2bp-15, 0x1.1b75bb5de3ba2p-15, 0x1.1aed9ded01fc5p-15, 0x1.1a4bc054eaea8p-15, 0x1.1990b1679387p-15, 0x1.18bcffbf3e12ap-15, 0x1.17d139ad6c141p-15, 0x1.16cded2a43aacp-15, 0x1.15b3a7c46d375p-15, 0x1.1482f69163f2dp-15, 0x1.133c661e3d0efp-15, 0x1.11e08260e72bep-15, 0x1.106fd6a9dba8bp-15, 0x1.0eeaed9649016p-15, 0x1.0d525102b18d6p-15, 0x1.0ba689fdfccfap-15, 0x1.09e820bcffabfp-15, 0x1.08179c8e75be5p-15, 0x1.063583cf6f6cep-15, 0x1.04425be02d25fp-15, 0x1.023ea91970111p-15, 0x1.002aeec235663p-15, 0x1.fc0f5e0bc73c1p-16, 0x1.f7aad5d5becc8p-16, 0x1.f329449321fc3p-16, 0x1.ee8ba787a13c7p-16, 0x1.e9d2f97971ad2p-16, 0x1.e50032a1cb757p-16, 0x1.e014489e26582p-16, 0x1.db102e6240c36p-16, 0x1.d5f4d42af15b7p-16, 0x1.d0c32771ab39bp-16, 0x1.cb7c12e0cbeeap-16, 0x1.c6207e4897e45p-16, 0x1.c0b14e94f444bp-16, 0x1.bb2f65c3cd16bp-16, 0x1.b59ba2dc2d57ap-16, 0x1.aff6e1e5faa63p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.d2bc989df61b7p-3, 0x1.af7127012fe54p-3, 0x1.76c336a301fa9p-3, 0x1.2b4444af6fdep-3, 0x1.9fb41f5e12c8p-4, 0x1.9e0d2dc739908p-5, -0x1.5a007d14dc03cp-8, -0x1.08b0b5ca3933fp-4, -0x1.02866e30e6edep-3, -0x1.830c76760e759p-3, -0x1.01f0c3a4ab5ap-2, -0x1.41a114566e2dbp-2, -0x1.7fd619778dae9p-2, -0x1.bbef776c57fcfp-2, -0x1.f56794e943b9bp-2, -0x1.15ea3cf04fc08p-1, -0x1.2f71867034035p-1, -0x1.472a3d686ffe2p-1, -0x1.5cfe3695a5859p-1, -0x1.70df40dcc669ap-1, -0x1.82c5c9dc6b40cp-1, -0x1.92afde9852c11p-1, -0x1.a0a09f1cddafcp-1, -0x1.ac9f73f88562cp-1, -0x1.b6b74f71468c2p-1, -0x1.bef62c0bf97fbp-1, -0x1.c56bf65a8d8d1p-1, -0x1.ca2a088051bp-1, -0x1.cd43a43ae8192p-1, -0x1.cecdb99254ea5p-1, -0x1.ceddd369c8af7p-1, -0x1.cd8968062d13ap-1, -0x1.cae67ea167305p-1, -0x1.c70b2c684061ep-1, -0x1.c20d8e0ade3c9p-1, -0x1.bc0385140ec85p-1, -0x1.b5027ec16b718p-1, -0x1.ad1f62528aefbp-1, -0x1.a46e8b73b16fap-1, -0x1.9b03b586c6cb3p-1, -0x1.90f1e0ec6737cp-1, -0x1.864b467ad2453p-1, -0x1.7b215967a47b9p-1, -0x1.6f84c8827c41dp-1, -0x1.638575f268452p-1, -0x1.57326aabe61d9p-1, -0x1.4a99cf59d3978p-1, -0x1.3dc8eeb5315d6p-1, -0x1.30cc3e779b804p-1, -0x1.23af69e0141e2p-1, -0x1.167d5a3c553bbp-1, -0x1.09403c41cf807p-1, -0x1.f803059793f3bp-2, -0x1.dd93d128811d4p-2, -0x1.c342e58af95c7p-2, -0x1.a91eebdd77e16p-2, -0x1.8f353c2c4910cp-2, -0x1.7591f310410dfp-2, -0x1.5c4009fd482d3p-2, -0x1.43496e7eb37f2p-2, -0x1.2ab7154441e73p-2, -0x1.129107d7904b9p-2, -0x1.f5d16f6883eb8p-3, -0x1.c75f56180b144p-3, -0x1.99eb1a04d3cb5p-3, -0x1.6d7e1630718bap-3, -0x1.42202d51e5b0fp-3, -0x1.17d7f2f0e320fp-3, -0x1.dd55a535de9fcp-4, -0x1.8d3a5d78395d9p-4, -0x1.3f64e950fdf8cp-4, -0x1.e7b49db4c6e27p-5, -0x1.553b96884eeebp-5, -0x1.8ec3789d5ff3ep-6, -0x1.f135be7be2192p-8, 0x1.19e3ae026cca5p-7, 0x1.8d06e8d1b2c5cp-6, 0x1.4201a6f1ee3dep-5, 0x1.b8fe6f7c923adp-5, 0x1.15c34b1d3dcc8p-4, 0x1.4cd43fd179f68p-4, 0x1.81b9fd2dd7353p-4, 0x1.b47d0bf38669fp-4, 0x1.e52685fd72eafp-4, 0x1.09e003acfb1f7p-3, 0x1.2029cfd51051ap-3, 0x1.3575e1c03f412p-3, 0x1.49c99f0fc6324p-3, 0x1.5d2a9217a3505p-3, 0x1.6f9e63e97803ap-3, 0x1.812ad711edbe9p-3, 0x1.91d5c2db4a34cp-3, 0x1.a1a50ecebdb7fp-3, 0x1.b09eae3192ee3p-3, 0x1.bec89b5477d4cp-3, 0x1.cc28d2ad3d917p-3, 0x1.d8c54dd20e4c8p-3, 0x1.e4a3fe80e116cp-3, 0x1.efcac9e515f1ap-3, 0x1.fa3f84495c7c5p-3, 0x1.0203f6acf045ep-2, 0x1.0694d686fe0e2p-2, 0x1.0ad528a23cd6ap-2, 0x1.0ec7a6099a6e5p-2, 0x1.126ef96113cb9p-2, 0x1.15cdbeb0cc628p-2, 0x1.18e68371483cp-2, 0x1.1bbbc6c8021bfp-2, 0x1.1e4ff9e0058d4p-2, 0x1.20a5804891f5cp-2, 0x1.22beb0451c4a6p-2, 0x1.249dd2fe6e647p-2, 0x1.2645248bc42bbp-2, 0x1.27b6d3d2f8a56p-2, 0x1.28f502466d598p-2, 0x1.2a01c38ceafbcp-2, 0x1.2adf1d222432cp-2, 0x1.2b8f05fde5e47p-2, 0x1.2c13664cf97f5p-2, 0x1.2c6e174232e0ap-2, 0x1.2ca0e3019a609p-2, 0x1.2cad84a3b0032p-2, 0x1.2c95a84c6a40bp-2, 0x1.2c5aeb50a63f6p-2, 0x1.2bfedc65562ddp-2, 0x1.2b82fbd54959p-2, 0x1.2aeb437c5b9a7p-2, 0x1.2a3431363ec89p-2, 0x1.296162923e891p-2, 0x1.28741d4601377p-2, 0x1.276d9b5b7ef2cp-2, 0x1.264f0beb65c7cp-2, 0x1.251993c306e7bp-2, 0x1.23ce4df02665ep-2, 0x1.226e4c301b1abp-2, 0x1.20fa97427f506p-2, 0x1.1f742f2249abep-2, 0x1.1ddc0b29f2a9dp-2, 0x1.1c331a289a9dcp-2, 0x1.1a7a426e8ccaap-2, 0x1.18b261d7588efp-2, 0x1.16dc4dd6ec396p-2, 0x1.14f8d38e11437p-2, 0x1.1308b7e93e6a4p-2, 0x1.110cb7cb5adbdp-2, 0x1.0f058844c0c29p-2, 0x1.0cf3d6d5a65c2p-2, 0x1.0ad849ba41adp-2, 0x1.08b3803e4fcddp-2, 0x1.068613155cb9p-2, 0x1.045094b506a06p-2, 0x1.021391ae9c566p-2, 0x1.ff9f220b5fe18p-3, 0x1.fb0a29034fa82p-3, 0x1.f66931f1a6f85p-3, 0x1.f1bd2d2825fc1p-3, 0x1.ed0702153f959p-3, 0x1.e8478fac2a196p-3, 0x1.e37facbe70f67p-3, 0x1.deb02848d0b0bp-3, 0x1.d9d9c9b59022ep-3, 0x1.d4fd5116dd897p-3, 0x1.d01b775bb4186p-3, 0x1.cb34ee81b0138p-3, 0x1.c64a61c5dbe59p-3, 0x1.c15c75d62d239p-3, 0x1.bc6bc904c851fp-3, 0x1.b778f37dcc0ebp-3, 0x1.b284877fd4e16p-3, 0x1.ad8f119705cc9p-3, 0x1.a89918da13713p-3, 0x1.a3a31f288d9dap-3, 0x1.9eada16975629p-3, 0x1.99b917c9233cdp-3, 0x1.94c5f5f575705p-3, 0x1.8fd4ab576101dp-3, 0x1.8ae5a34905e28p-3, 0x1.85f94547a5561p-3, 0x1.810ff52103d3ep-3, 0x1.7c2a131be3b49p-3, 0x1.7747fc1b97ca2p-3, 0x1.726a09bebcd74p-3, 0x1.6d9092796e576p-3, 0x1.68bbe9ab61055p-3, 0x1.63ec5fb277c86p-3, 0x1.5f2241fa5fc58p-3, 0x1.5a5ddb09f5167p-3, 0x1.559f728f022c3p-3, 0x1.50e74d690aa98p-3, 0x1.4c35adb3abce3p-3, 0x1.478ad2d119088p-3, 0x1.42e6f97517308p-3, 0x1.3e4a5bb0c83aap-3, 0x1.39b530ff7985dp-3, 0x1.3527ae54954fap-3, 0x1.30a2062ab045ep-3, 0x1.2c246893b091bp-3, 0x1.27af0349dfbdbp-3, 0x1.234201c1c1a44p-3, 0x1.1edd8d3c781b1p-3, 0x1.1a81ccda74e74p-3, 0x1.162ee5ae38023p-3, 0x1.11e4faceec716p-3, 0x1.0da42d6a980c5p-3, 0x1.096c9cd7c3cc2p-3, 0x1.053e66a65d511p-3, 0x1.0119a6afc0e69p-3, 0x1.f9fcee4ba345bp-4, 0x1.f1d9e1421186ep-4, 0x1.e9ca545b0a24bp-4, 0x1.e1ce72ae214d8p-4, 0x1.d9e664685b6fap-4, 0x1.d2124ee06da43p-4, 0x1.ca5254a942c77p-4, 0x1.c2a695a304928p-4, 0x1.bb0f2f0ac4de9p-4, 0x1.b38c3b8910f19p-4, 0x1.ac1dd33f7b27dp-4, 0x1.a4c40bd579f82p-4, 0x1.9d7ef884970bdp-4, 0x1.964eaa2442827p-4, 0x1.8f332f354843ap-4, 0x1.882c93ed19b0dp-4, 0x1.813ae240fe00dp-4, 0x1.7a5e21f137b43p-4, 0x1.73965894335b9p-4, 0x1.6ce389a1c2824p-4, 0x1.6645b67e6fc06p-4, 0x1.5fbcde86e8caep-4, 0x1.5948ff1b82e7p-4, 0x1.52ea13abd7fe2p-4, 0x1.4ca015c278a2p-4, 0x1.466afd10b0e2bp-4, 0x1.404abf7a5c46ap-4, 0x1.3a3f5121c3419p-4, 0x1.3448a47380f16p-4, 0x1.2e66aa326a6f1p-4, 0x1.2899518375999p-4, 0x1.22e087f99c883p-4, 0x1.1d3c39a1b9131p-4, 0x1.17ac510e57e92p-4, 0x1.1230b7637deep-4, 0x1.0cc9546262283p-4, 0x1.07760e751617ap-4, 0x1.0236caba1ca1dp-4, 0x1.fa16da1fde184p-5, 0x1.efe7b040d73dcp-5, 0x1.e5dfdad85e574p-5, 0x1.dbff1aabaa22fp-5, 0x1.d2452e5a3c8cdp-5, 0x1.c8b1d273fa377p-5, 0x1.bf44c18f01485p-5, 0x1.b5fdb45d489c1p-5, 0x1.acdc61c1f5726p-5, 0x1.a3e5af24d45e8p-5, 0x1.9b0ef6bac4b13p-5, 0x1.925d0fcf6752fp-5, 0x1.89cfab26be866p-5, 0x1.816678196fc2cp-5, 0x1.792124a7708e1p-5, 0x1.70ff5d8a7e907p-5, 0x1.6900ce48660bbp-5, 0x1.612521450b19ap-5, 0x1.596bffd432882p-5, 0x1.51d5124b07809p-5, 0x1.4a60001154223p-5, 0x1.430c6fb26d0e3p-5, 0x1.3bda06edc8dcfp-5, 0x1.34c86ac742137p-5, 0x1.2dd73f97017d4p-5, 0x1.270629190a94bp-5, 0x1.2054ca7c6b085p-5, 0x1.19c2c6720ec5fp-5, 0x1.134fbf3b3234dp-5, 0x1.0cfb56b774093p-5, 0x1.06c52e728caa6p-5, 0x1.00ace7b1a152dp-5, 0x1.f5644700781f7p-6, 0x1.e9a90579cd057p-6, 0x1.de274c4ad3bc3p-6, 0x1.d2de5cc565628p-6, 0x1.c7cd7828bae79p-6, 0x1.bcf3dfb7da6dcp-6, 0x1.b250d4cf53591p-6, 0x1.a7e398fa5e258p-6, 0x1.9dab6e074d061p-6, 0x1.93a7961b63cffp-6, 0x1.89d753c61191ap-6, 0x1.8039ea138f5a2p-6, 0x1.76ce9c9ee4e5p-6, 0x1.6d94afa35f211p-6, 0x1.648b680d6e03bp-6, 0x1.5bb20b8af9d89p-6, 0x1.5307e09b2362cp-6, 0x1.4a8c2e9d7efe3p-6, 0x1.423e3de0c19cdp-6, 0x1.3a1d57b0eb948p-6, 0x1.3228c664e6b05p-6, 0x1.2a5fd56ba37b8p-6, 0x1.22c1d158b5121p-6, 0x1.1b4e07f0673dbp-6, 0x1.1403c833596dap-6, 0x1.0ce2626993fb9p-6, 0x1.05e9282d289fdp-6, 0x1.fe2ed8e8a878cp-7, 0x1.f0d907363fc29p-7, 0x1.e3cf86d928149p-7, 0x1.d7110656de9f4p-7, 0x1.ca9c3734c983p-7, 0x1.be6fce07dd345p-7, 0x1.b28a82834fcd7p-7, 0x1.a6eb0f8673a4p-7, 0x1.9b903329b4e9fp-7, 0x1.9078aecabe91p-7, 0x1.85a34717cd7c8p-7, 0x1.7b0ec41a2f2ecp-7, 0x1.70b9f13ffe3f3p-7, 0x1.66a39d6508e48p-7, 0x1.5cca9adb0793p-7, 0x1.532dbf710a597p-7, 0x1.49cbe47a283f7p-7, 0x1.40a3e6d38f52fp-7, 0x1.37b4a6e9c813dp-7, 0x1.2efd08bd66a5dp-7, 0x1.267bf3e708fdcp-7, 0x1.1e30539ab37d4p-7, 0x1.161916aa9818cp-7, 0x1.0e352f893e07fp-7, 0x1.0683944b1a31bp-7, 0x1.fe067d4f2a2afp-8, 0x1.ef6657f31ba41p-8, 0x1.e124ba7e9e9eep-8, 0x1.d33fae3414873p-8, 0x1.c5b54399a2c9dp-8, 0x1.b883927635385p-8, 0x1.aba8b9cda7f8p-8, 0x1.9f22dfdc02bfdp-8, 0x1.92f0320fecce4p-8, 0x1.870ee5044238fp-8, 0x1.7b7d3478fbd8fp-8, 0x1.7039634b441c6p-8, 0x1.6541bb6ce3ccdp-8, 0x1.5a948ddaf9915p-8, 0x1.5030329417305p-8, 0x1.4613088db67fap-8, 0x1.3c3b75a91b1ep-8, 0x1.32a7e6a7a8d81p-8, 0x1.2956cf1eab103p-8, 0x1.2046a96aa0054p-8, 0x1.1775f6a20b0fcp-8, 0x1.0ee33e87cbdefp-8, 0x1.068d0f7d0fdp-8, 0x1.fce3fce5b370ap-9, 0x1.ed214db646752p-9, 0x1.ddcf55335d77p-9, 0x1.ceeb63e8f346bp-9, 0x1.c072d707c4aecp-9, 0x1.b263184510ca9p-9, 0x1.a4b99db9bc4d1p-9, 0x1.9773e9c11002cp-9, 0x1.8a8f8ad6e976ap-9, 0x1.7e0a1b759064ap-9, 0x1.71e141f323765p-9, 0x1.6612b05eaffe9p-9, 0x1.5a9c245cebb1dp-9, 0x1.4f7b6704c7862p-9, 0x1.44ae4cbb9b8fp-9, 0x1.3a32b5113bc33p-9, 0x1.30068a9bca563p-9, 0x1.2627c2d364e95p-9, 0x1.1c945dedbb384p-9, 0x1.134a66b9812ecp-9, 0x1.0a47f279d25a6p-9, 0x1.018b20c17ff8cp-9, 0x1.f224369cd12ep-10, 0x1.e1b62bc97a3c3p-10, 0x1.d1c89c54a3625p-10, 0x1.c2581703e97a2p-10, 0x1.b3613dcdbd9acp-10, 0x1.a4e0c5904942dp-10, 0x1.96d375c897316p-10, 0x1.89362849f6c9ep-10, 0x1.7c05c8f57cbf4p-10, 0x1.6f3f557206587p-10, 0x1.62dfdce44d99bp-10, 0x1.56e47fa77705bp-10, 0x1.4b4a6f05e76dep-10, 0x1.400eecf284b8fp-10, 0x1.352f4bc252fb5p-10, 0x1.2aa8ede66de3dp-10, 0x1.207945a69b464p-10, 0x1.169dd4dc1ef48p-10, 0x1.0d142cad1b53fp-10, 0x1.03d9ed48614c9p-10, 0x1.f5d98b438f1c1p-11, 0x1.e494e65dec44cp-11, 0x1.d3e18349468ap-11, 0x1.c3bb1568f8864p-11, 0x1.b41d6b96c7a1fp-11, 0x1.a5046fa0b9446p-11, 0x1.966c25c7bb762p-11, 0x1.8850ac3f8b782p-11, 0x1.7aae3aaf91cc3p-11, 0x1.6d8121b509b58p-11, 0x1.60c5ca660f142p-11, 0x1.5478b5d5ece97p-11, 0x1.48967c9a76b24p-11, 0x1.3d1bce52bd6f3p-11, 0x1.3205712eb0702p-11, 0x1.27504178130bfp-11, 0x1.1cf9311cb0bfap-11, 0x1.12fd47399a1dap-11, 0x1.09599fa7da031p-11, 0x1.000b6a8a4687dp-11, 0x1.ee1fd7b93648ep-12, 0x1.dcc8f60802e0dp-12, 0x1.cc0d04c19a7e2p-12, 0x1.bbe6fdc315765p-12, 0x1.ac51ff2f489fap-12, 0x1.9d494a9a51983p-12, 0x1.8ec84438467edp-12, 0x1.80ca720ee83c7p-12, 0x1.734b7b29ec2f1p-12, 0x1.664726d2939b1p-12, 0x1.59b95bca2ce8dp-12, 0x1.4d9e1f87641b5p-12, 0x1.41f195776bc3cp-12, 0x1.36affe416b5f5p-12, 0x1.2bd5b70dc6315p-12, 0x1.215f38d03972ap-12, 0x1.17491795658d1p-12, 0x1.0d9001d38597dp-12, 0x1.0430bfbe81361p-12, 0x1.f650653e626dbp-13, 0x1.e4e6a85bcba64p-13, 0x1.d41e6be0d22a2p-13, 0x1.c3f201368dd5bp-13, 0x1.b45be6ebfe0b3p-13, 0x1.a556c785f2467p-13, 0x1.96dd7854e401fp-13, 0x1.88eaf851568afp-13, 0x1.7b7a6efec3134p-13, 0x1.6e872b544e71cp-13, 0x1.620ca2acdc185p-13, 0x1.56066fbc497e2p-13, 0x1.4a70518ab4f99p-13, 0x1.3f462a76c422cp-13, 0x1.3483ff3cf9723p-13, 0x1.2a25f605017dcp-13, 0x1.20285574adf9fp-13, 0x1.168783c8e03dap-13, 0x1.0d4005f35345dp-13, 0x1.044e7ebe5d583p-13, 0x1.f75f5beb4650cp-14, 0x1.e6c0df27ee195p-14, 0x1.d6bb75ec7cd8cp-14, 0x1.c7494426b56b4p-14, 0x1.b864a171c3363p-14, 0x1.aa081798c94f7p-14, 0x1.9c2e6122b7097p-14, 0x1.8ed267e7a17c9p-14, 0x1.81ef43ae5c5ap-14, 0x1.758038d1e98c9p-14, 0x1.6980b6f1655aap-14, 0x1.5dec57a605b77p-14, 0x1.52bedd422bfe7p-14, 0x1.47f4319818e2bp-14, 0x1.3d8864c7cda7ep-14, 0x1.3377ac15879e3p-14, 0x1.29be60c637ecp-14, 0x1.2058ff040d98p-14, 0x1.174424c9f41eap-14, 0x1.0e7c90d4d4532p-14, 0x1.05ff219d3a039p-14, 0x1.fb91a8ad8a8dp-15, 0x1.ebad87e97562dp-15, 0x1.dc4c50708e0bfp-15, 0x1.cd68a98190dabp-15, 0x1.befd704a6d738p-15, 0x1.b105b624ff628p-15, 0x1.a37cbedec76aep-15, 0x1.965dff0c7b397p-15, 0x1.89a51a69638a9p-15, 0x1.7d4de240c5555p-15, 0x1.715453e30ef71p-15, 0x1.65b497247406cp-15, 0x1.5a6afce691738p-15, 0x1.4f73fdad6c711p-15, 0x1.44cc383855f2fp-15, 0x1.3a7070301c316p-15, 0x1.305d8cd33e036p-15, 0x1.269097b18e94cp-15, 0x1.1d06bb6f03b25p-15, 0x1.13bd429103d55p-15, 0x1.0ab19652993c5p-15, 0x1.01e13d82faf83p-15, 0x1.f293b6d6dd5a9p-16, 0x1.e1d25d7b82559p-16, 0x1.d17a211604852p-16, 0x1.c186e6836743ep-16, 0x1.b1f4c367dff3cp-16, 0x1.a2bffc4b79cf7p-16, 0x1.93e502c384077p-16, 0x1.856073ab2df06p-16, 0x1.772f156a9811fp-16, 0x1.694dd64bbb8fap-16, 0x1.5bb9cadc8f288p-16, 0x1.4e702c5d2b4f6p-16, 0x1.416e573ea451ap-16, 0x1.34b1c9a710e9bp-16, 0x1.2842bf572c9c3p-16, 0x1.1c09dc72d6e81p-16, 0x1.100f7099de73ep-16, 0x1.045172d8022f4p-16, 0x1.f19beaacbc9d2p-17, 0x1.db06484f865c3p-17, 0x1.c4de884074ac4p-17, 0x1.af2163709c1fcp-17, 0x1.99cbbff0b5e2ep-17, 0x1.84daaedeb0a36p-17, 0x1.704b6a624394ep-17, 0x1.5c1b53c0485bp-17, 0x1.4847f1796b946p-17, 0x1.34ceed81c1972p-17, 0x1.21ae138218cddp-17, 0x1.0ee34f2de3f52p-17, 0x1.f8d95559343f2p-18, 0x1.d4909a04d220ap-18, 0x1.b0e8f13c9b2fp-18, 0x1.8ddf13d1598a4p-18, 0x1.6b6febcb0576dp-18, 0x1.499891a729f2ep-18, 0x1.285649f798cedp-18, 0x1.07a682d825c85p-18, 0x1.cf0da33c8ea21p-19, 0x1.8fe9e1221ac74p-19, 0x1.51dd799ec5e21p-19, 0x1.14e46865d11d3p-19, 0x1.b1f5cd688af7fp-20, 0x1.3c3acefb5236ap-20, 0x1.91224f3cde54dp-21, 0x1.5bca3a9c37437p-22, -0x1.8a6e6061061ebp-24, -0x1.0c8190a4c8be2p-21, -0x1.e3c0b00d1476dp-21, -0x1.5b8a8899a1e23p-20, -0x1.c34406b878658p-20, -0x1.14889ec1d4e78p-19, -0x1.467b2def3a96bp-19, -0x1.777bac695f138p-19, -0x1.a78bfc2f8569fp-19, -0x1.d6ade7e4f3cddp-19, -0x1.0271926cd028ep-18, -0x1.1916aa899f3b2p-18, -0x1.2f4704844657cp-18, -0x1.450360c347854p-18, -0x1.5a4c78a57f56bp-18, -0x1.6f22ff4ef206cp-18, -0x1.8387a265e6108p-18, -0x1.977b0acc1048ap-18, -0x1.aafddd440e85dp-18, -0x1.be10bb169d1d1p-18, -0x1.d0b442a6e69a8p-18, -0x1.e2e9100282faep-18, -0x1.f4afbd6396744p-18, -0x1.030471d8ff11p-17, -0x1.0b7a8d7aad25fp-17, -0x1.13ba7d61643bap-17, -0x1.1bc48d505d8c8p-17, -0x1.23990936d6422p-17, -0x1.2b383d54361a6p-17, -0x1.32a27667a62e5p-17, -0x1.39d801cfa618fp-17, -0x1.40d92db76529ep-17, -0x1.47a64924f6daep-17, -0x1.4e3fa4276c42ap-17, -0x1.54a58fe5165ffp-17, -0x1.5ad85eb4a5629p-17, -0x1.60d8643c7bf55p-17, -0x1.66a5f5772c20ep-17, -0x1.6c4168cf5ac37p-17, -0x1.71ab162985675p-17, -0x1.76e356f2ab05cp-17, -0x1.7bea862a260abp-17, -0x1.80c1006924bd6p-17, -0x1.856723f041a24p-17, -0x1.89dd50a5adaa2p-17, -0x1.8e23e82109d2p-17, -0x1.923b4da7be637p-17, -0x1.9623e6341b744p-17, -0x1.99de1872c7bc1p-17, -0x1.9d6a4cc26b8d2p-17, -0x1.a0c8ed3428721p-17, -0x1.a3fa657f26cabp-17, -0x1.a6ff231099dfep-17, -0x1.a9d794efedb74p-17, -0x1.ac842bc61e566p-17, -0x1.af0559d3a86c1p-17, -0x1.b15b92e7469e8p-17, -0x1.b3874c59e83dp-17, -0x1.b588fd017f308p-17, -0x1.b7611d2679078p-17, -0x1.b910267d59cffp-17, -0x1.ba969415d731ap-17, -0x1.bbf4e2537b676p-17, -0x1.bd2b8edf0ae62p-17, -0x1.be3b189b02a5cp-17, -0x1.bf23ff9280caep-17, -0x1.bfe6c4ee220dep-17, -0x1.c083eae7f2c81p-17, -0x1.c0fbf4b9612d9p-17, -0x1.c14f669123e07p-17, -0x1.c17ec5829302fp-17, -0x1.c18a9776cb93ap-17, -0x1.c17363217a17fp-17, -0x1.c139aff08d08dp-17, -0x1.c0de060962ce5p-17, -0x1.c060ee2e31bf3p-17, -0x1.bfc2f1b880ebp-17, }}, 
      {{0x1.daba4b3c422abp-3, 0x1.ced12d4841705p-3, 0x1.bb6c7f3168f63p-3, 0x1.a11e4031ab41fp-3, 0x1.8091978307a7ap-3, 0x1.5a7e93db3d635p-3, 0x1.2fa1512fb2a36p-3, 0x1.00b3a450f64f7p-3, 0x1.9cd1c59964f76p-4, 0x1.32d5e57bb6a25p-4, 0x1.896196fdc47dfp-5, 0x1.4e1be915b8246p-6, -0x1.f9cf18ab2373dp-8, -0x1.27942a27d4115p-5, -0x1.08287cfc93abbp-4, -0x1.7bf8d519a7d37p-4, -0x1.ee9253ec7c2a1p-4, -0x1.2fb0d2e22d28bp-3, -0x1.66f3ae2b1d5c8p-3, -0x1.9cdb1913b0276p-3, -0x1.d138bf16bcfa3p-3, -0x1.01f2f1bd04f08p-2, -0x1.1a615b29a4b6dp-2, -0x1.31dac6e50d4bap-2, -0x1.485526bd938c6p-2, -0x1.5dc8f31809541p-2, -0x1.7230ca786dd13p-2, -0x1.85894405175a6p-2, -0x1.97d0da8db5546p-2, -0x1.a90791bb45a49p-2, -0x1.b92e9cccda75fp-2, -0x1.c84880ba3317ep-2, -0x1.d658c212516eap-2, -0x1.e363cceafd019p-2, -0x1.ef6ed2dee5b59p-2, -0x1.fa7fa84739cbap-2, -0x1.024e54d83ed4dp-1, -0x1.06e6537c88758p-1, -0x1.0b0b672e35c1ap-1, -0x1.0ec14bc6ef283p-1, -0x1.120bd8c122012p-1, -0x1.14eef989bf82bp-1, -0x1.176ea6a4d7cc3p-1, -0x1.198edf6030d1p-1, -0x1.1b53a4219cdabp-1, -0x1.1cc0f1743bdf9p-1, -0x1.1ddabbebb105bp-1, -0x1.1ea4ecc7d3a3bp-1, -0x1.1f235f1a6d3ffp-1, -0x1.1f59dd2e6a5bdp-1, -0x1.1f4c1e0e37f0dp-1, -0x1.1efdc33386769p-1, -0x1.1e7256921afe5p-1, -0x1.1dad49361566bp-1, -0x1.1cb1f28614aa8p-1, -0x1.1b838ff89c94ep-1, -0x1.1a2544e123912p-1, -0x1.189a1a0796a11p-1, -0x1.16e4fcff591e4p-1, -0x1.1508bf7bd0a9fp-1, -0x1.130816fcea687p-1, -0x1.10e59d0ad37e1p-1, -0x1.0ea3e4a3ceb7cp-1, -0x1.0c452542608bep-1, -0x1.09cbc30e11facp-1, -0x1.0739ee07841fep-1, -0x1.0491bd09c6922p-1, -0x1.01d52ea9bb692p-1, -0x1.fe0c53e9c3ed1p-2, -0x1.f84cfe0d3271bp-2, -0x1.f26fcf030bfcbp-2, -0x1.ec780e0d843e5p-2, -0x1.e668d783ba8acp-2, -0x1.e0451e273aa87p-2, -0x1.da0facac746d8p-2, -0x1.d3cb275811ab3p-2, -0x1.cd7a0d90488bdp-2, -0x1.c71ebb4cde207p-2, -0x1.c0bb6a61e04b3p-2, -0x1.ba5233b0049dbp-2, -0x1.b3e5104c6928ep-2, -0x1.ad75daaf76ed7p-2, -0x1.a7064ff2c9f31p-2, -0x1.a098111c8d0bdp-2, -0x1.9a2ca46fb31ddp-2, -0x1.93c576b5bba3dp-2, -0x1.8d63dc7836306p-2, -0x1.870913249c00bp-2, -0x1.80b6421a3004ep-2, -0x1.7a6c7ba5daad9p-2, -0x1.742cbdf20e7b8p-2, -0x1.6df7f3f0c878bp-2, -0x1.67cef643f8fep-2, -0x1.61b28c26124c5p-2, -0x1.5ba36c51e02f4p-2, -0x1.55a23de6ed614p-2, -0x1.4faf9946eee33p-2, -0x1.49cc08e8f0558p-2, -0x1.43f80a201f15cp-2, -0x1.3e340dd58f339p-2, -0x1.38807935ce38ep-2, -0x1.32dda65425cd5p-2, -0x1.2d4be4c5ddbc3p-2, -0x1.27cb7a37c6c0bp-2, -0x1.225ca2ffc8f8ap-2, -0x1.1cff92ab6620ep-2, -0x1.17b4748b4ed4dp-2, -0x1.127b6c3b63406p-2, -0x1.0d549625f514cp-2, -0x1.08400800eb577p-2, -0x1.033dd14389a2p-2, -0x1.fc9bf727f427cp-3, -0x1.f2e11658cb405p-3, -0x1.e94afe6fdc901p-3, -0x1.dfd9a450ea768p-3, -0x1.d68cf40ce040dp-3, -0x1.cd64d17832439p-3, -0x1.c46118ba61605p-3, -0x1.bb819ed86fc24p-3, -0x1.b2c6323b612c4p-3, -0x1.aa2e9b3333ebdp-3, -0x1.a1ba9c761be63p-3, -0x1.9969f39b94713p-3, -0x1.913c59927a418p-3, -0x1.893183118ab46p-3, -0x1.814921018fbdp-3, -0x1.7982e3b8164a3p-3, -0x1.71de6c55d2198p-3, -0x1.6a5b693ffac6fp-3, -0x1.62f97fd74ee76p-3, -0x1.5bb853516a1acp-3, -0x1.549784faf6b88p-3, -0x1.4d96b4749f70ep-3, -0x1.46b57feb5bb2fp-3, -0x1.3ff3844c89309p-3, -0x1.39505d766aacbp-3, -0x1.32cba6656409fp-3, -0x1.2c64f95e5a832p-3, -0x1.261bf016723b1p-3, -0x1.1ff023d8624fcp-3, -0x1.19e12da781bf8p-3, -0x1.13eea660b04eap-3, -0x1.0e1826d928a03p-3, -0x1.085d47fb5968bp-3, -0x1.02bda2e1c940fp-3, -0x1.fa71a1e0210e6p-4, -0x1.ef9cd7d3f40b8p-4, -0x1.e4fc1c1194bcap-4, -0x1.da8ea41d913cfp-4, -0x1.d053a6b2153f9p-4, -0x1.c64a5bdf3d6d2p-4, -0x1.bc71fd28488ccp-4, -0x1.b2c9c59dd4364p-4, -0x1.a950f1f54133ep-4, -0x1.a006c09d842e2p-4, -0x1.96ea71d168719p-4, -0x1.8dfb47a79e85fp-4, -0x1.853886209da02p-4, -0x1.7ca17332a8aedp-4, -0x1.743556d41e3cbp-4, -0x1.6bf37b0448fdp-4, -0x1.63db2bd2e461cp-4, -0x1.5bebb766829d4p-4, -0x1.54246e01f7c78p-4, -0x1.4c84a208eb0b4p-4, -0x1.450ba803a2169p-4, -0x1.3db8d6a21677ap-4, -0x1.368b86be5f72fp-4, -0x1.2f83135e748cbp-4, -0x1.289ed9b54a2cfp-4, -0x1.21de392350d08p-4, -0x1.1b409336509ebp-4, -0x1.14c54ba8aca59p-4, -0x1.0e6bc8600dbd3p-4, -0x1.0833716b7e64bp-4, -0x1.021bb100f8a6dp-4, -0x1.f847e6f4ee2f2p-5, -0x1.ec974ea5144a5p-5, -0x1.e1247a4102159p-5, -0x1.d5ee4f2864b7bp-5, -0x1.caf3b6e2dc5cap-5, -0x1.c0339f1650491p-5, -0x1.b5acf97cd2b09p-5, -0x1.ab5ebbda28036p-5, -0x1.a147dff10b07ep-5, -0x1.9767637847ca3p-5, -0x1.8dbc480fb7eefp-5, -0x1.844593353d9e4p-5, -0x1.7b024e39b5fc9p-5, -0x1.71f18635fc2d4p-5, -0x1.69124bfff8a58p-5, -0x1.6063b41fc0547p-5, -0x1.57e4d6c4c8338p-5, -0x1.4f94cfbb26359p-5, -0x1.4772be60e481dp-5, -0x1.3f7dc59b5b03ap-5, -0x1.37b50bcc970e1p-5, -0x1.3017bac8c3b28p-5, -0x1.28a4ffcb975f2p-5, -0x1.215c0b6dc0c91p-5, -0x1.1a3c119a526e1p-5, -0x1.134449842c541p-5, -0x1.0c73ed9b62f7dp-5, -0x1.05ca3b82a5e2p-5, -0x1.fe8ce809478a9p-6, -0x1.f1cfb612ea98p-6, -0x1.e55b6f1811344p-6, -0x1.d92ea71f37dfep-6, -0x1.cd47f82a8231cp-6, -0x1.c1a60222e4e3ap-6, -0x1.b6476ac37e501p-6, -0x1.ab2add851e165p-6, -0x1.a04f0b8a03a13p-6, -0x1.95b2ab89dc033p-6, -0x1.8b5479be01f7dp-6, -0x1.813337cdff566p-6, -0x1.774dacbc5ca0ep-6, -0x1.6da2a4d3b4d51p-6, -0x1.6430f1940b626p-6, -0x1.5af769a073c12p-6, -0x1.51f4e8acf6426p-6, -0x1.49284f6cb7b89p-6, -0x1.409083805c3d8p-6, -0x1.382c6f64b48e9p-6, -0x1.2ffb02619385ap-6, -0x1.27fb3078e0165p-6, -0x1.202bf255df969p-6, -0x1.188c453caba86p-6, -0x1.111b2af9d6952p-6, -0x1.09d7a9d23f821p-6, -0x1.02c0cc7315cb5p-6, -0x1.f7ab43c3fc4a7p-7, -0x1.ea2a7adad908fp-7, -0x1.dcfd6d3a3ccaap-7, -0x1.d02252458f796p-7, -0x1.c3976995c1f87p-7, -0x1.b75afadb45a78p-7, -0x1.ab6b55c058569p-7, -0x1.9fc6d1cb90f77p-7, -0x1.946bce42db7ddp-7, -0x1.8958b20eaba28p-7, -0x1.7e8beb9d8c89fp-7, -0x1.7403f0c803733p-7, -0x1.69bf3eb4c137cp-7, -0x1.5fbc59bd26d3dp-7, -0x1.55f9cd520943ap-7, -0x1.4c762be0e7605p-7, -0x1.43300eb940ab4p-7, -0x1.3a2615f25f813p-7, -0x1.3156e85159e88p-7, -0x1.28c1332f66649p-7, -0x1.2063aa606d71bp-7, -0x1.183d0819f3631p-7, -0x1.104c0cda3e7cep-7, -0x1.0890f61275674p-7, -0x1.0107a622cf47ap-7, -0x1.f360c63255411p-8, -0x1.e5140b433329bp-8, -0x1.d726d870dbb82p-8, -0x1.c996f625ee003p-8, -0x1.bc623810eb53ep-8, -0x1.af867cf6bc54ep-8, -0x1.a301ae859ba31p-8, -0x1.96d1c1288b978p-8, -0x1.8af4b3db443p-8, -0x1.7f688ffea22cep-8, -0x1.742b692d8004cp-8, -0x1.693b5d12268fp-8, -0x1.5e96933c1bb1ep-8, -0x1.543b3cf671facp-8, -0x1.4a27951e99b08p-8, -0x1.4059dffb9a9c3p-8, -0x1.36d06b15cfdb9p-8, -0x1.2d898d0f132adp-8, -0x1.2483a57b5b959p-8, -0x1.1bbd1cb9e14b9p-8, -0x1.133463cea1709p-8, -0x1.0ae7f43c616edp-8, -0x1.02d64fdf26d0bp-8, -0x1.f5fc018e38a2cp-9, -0x1.e6bb3227decb7p-9, -0x1.d7e765a130e68p-9, -0x1.c97ddf9f42d15p-9, -0x1.bb7bf30fa236bp-9, -0x1.addf01e29658fp-9, -0x1.a0a47cc63ecap-9, -0x1.93c9e2e2a1644p-9, -0x1.874cc1966fc8fp-9, -0x1.7b2ab434e0b75p-9, -0x1.6f6163c42b846p-9, -0x1.63ee86bd00e73p-9, -0x1.58cfe0cadad09p-9, -0x1.4e03428d14abep-9, -0x1.43868958ec1ffp-9, -0x1.39579efc3954ap-9, -0x1.2f747981317fcp-9, -0x1.25db1af2c320fp-9, -0x1.1c899121e56f5p-9, -0x1.137df56bb5415p-9, -0x1.0ab66c8051ebdp-9, -0x1.0231262a9a2efp-9, -0x1.f3d8ba316558cp-10, -0x1.e3ccad4a88e5fp-10, -0x1.d43ac54357d7fp-10, -0x1.c51fb6419df4p-10, -0x1.b678488599ea2p-10, -0x1.a8415802e3fc6p-10, -0x1.9a77d3fab3ee4p-10, -0x1.8d18be98207b9p-10, -0x1.80212c8d5f83fp-10, -0x1.738e44b2f11a5p-10, -0x1.675d3fa7dc2d2p-10, -0x1.5b8b677408bc9p-10, -0x1.5016172b747e2p-10, -0x1.44faba9329dbdp-10, -0x1.3a36cdc7bec3ep-10, -0x1.2fc7dce50d98ep-10, -0x1.25ab83af9698p-10, -0x1.1bdf6d3ef8797p-10, -0x1.126153aa4f735p-10, -0x1.092effb589afap-10, -0x1.004648804c3d6p-10, -0x1.ef4a266c6af86p-11, -0x1.de92a580ed30ap-11, -0x1.ce620ef189127p-11, -0x1.beb47dbb5617dp-11, -0x1.af8626902d2d6p-11, -0x1.a0d357449e49fp-11, -0x1.929876400c23cp-11, -0x1.84d201f01adap-11, -0x1.777c903dc788dp-11, -0x1.6a94ce0594717p-11, -0x1.5e177e91f9dffp-11, -0x1.52017b183d94fp-11, -0x1.464fb237d6148p-11, -0x1.3aff277c467d6p-11, -0x1.300cf2e0fc75cp-11, -0x1.257640580199p-11, -0x1.1b384f5240debp-11, -0x1.1150724b1a74bp-11, -0x1.07bc0e556103dp-11, -0x1.fcf13555575c5p-12, -0x1.eb07407a9c242p-12, -0x1.d9b57297f6ee8p-12, -0x1.c8f721ef8922cp-12, -0x1.b8c7c5b85d86cp-12, -0x1.a922f55299982p-12, -0x1.9a0467802167dp-12, -0x1.8b67f1a0294f5p-12, -0x1.7d4986f0a0a4ap-12, -0x1.6fa537d1ef5b6p-12, -0x1.6277310eec836p-12, -0x1.55bbbb290e16fp-12, -0x1.496f39a80cd84p-12, -0x1.3d8e2a6d15759p-12, -0x1.32152509d46a3p-12, -0x1.2700da1b16ce9p-12, -0x1.1c4e12a69de94p-12, -0x1.11f9af7cd60bep-12, -0x1.0800a89da2043p-12, -0x1.fcc01940d2244p-13, -0x1.ea2a00401ced9p-13, -0x1.d8397a52de90cp-13, -0x1.c6e9255a9958bp-13, -0x1.b633c7ea580c3p-13, -0x1.a61450383fb26p-13, -0x1.9685d3127ca01p-13, -0x1.87838adc709bcp-13, -0x1.7908d6903798bp-13, -0x1.6b1138c735e1ep-13, -0x1.5d9856c5af97bp-13, -0x1.5099f7904d1bep-13, -0x1.44120302972fcp-13, -0x1.37fc80ed6232bp-13, -0x1.2c5598398d42bp-13, -0x1.21198e1000569p-13, -0x1.1644c506ef9fp-13, -0x1.0bd3bc53ab89cp-13, -0x1.01c30f0179b21p-13, -0x1.f01ee65a86d1cp-14, -0x1.dd6b728b98b9fp-14, -0x1.cb6596a196ecap-14, -0x1.ba0758660f384p-14, -0x1.a94aedfff2a39p-14, -0x1.992abc9468ee7p-14, -0x1.89a156f4dbb83p-14, -0x1.7aa97c529dc17p-14, -0x1.6c3e16fc54f47p-14, -0x1.5e5a3b2269e86p-14, -0x1.50f925a3f7e36p-14, -0x1.44163ae2399d4p-14, -0x1.37ad059c91b45p-14, -0x1.2bb935d31010dp-14, -0x1.20369fb13f654p-14, -0x1.15213a7dffc12p-14, -0x1.0a751f9499c01p-14, -0x1.002e896140759p-14, -0x1.ec93a4d3a751ap-15, -0x1.d986e8aa32b0ep-15, -0x1.c7300e00e30ebp-15, -0x1.b5887f29cb7d5p-15, -0x1.a489df4f1798fp-15, -0x1.942e08b7bcc88p-15, -0x1.846f0b1bdf39ap-15, -0x1.75472a037451cp-15, -0x1.66b0db31abd0cp-15, -0x1.58a6c51332e47p-15, -0x1.4b23bd463aabdp-15, -0x1.3e22c71df0d4bp-15, -0x1.319f1236d41e2p-15, -0x1.2593f914bdc1ep-15, -0x1.19fcffc9f5p-15, -0x1.0ed5d2a7a4b3cp-15, -0x1.041a44f60129fp-15, -0x1.f38c9f70e7172p-16, -0x1.dfac20f0eb763p-16, -0x1.cc8b9032e8b93p-16, -0x1.ba23b36c6a449p-16, -0x1.a86d9307d1654p-16, -0x1.97627782f61f9p-16, -0x1.86fbe74cd01dap-16, -0x1.7733a4cd2b942p-16, -0x1.6803ac6210d84p-16, -0x1.59663278253d7p-16, -0x1.4b55a1ad7e015p-16, -0x1.3dcc99091dafdp-16, -0x1.30c5ea318304dp-16, -0x1.243c97c2c8573p-16, -0x1.182bd3a16d223p-16, -0x1.0c8efd648162p-16, -0x1.0161a0c75d85ap-16, -0x1.ed3ee8509e618p-17, -0x1.d888ae26fee6dp-17, -0x1.c498a1ace4bbbp-17, -0x1.b1671e4a731f6p-17, -0x1.9eecc97c23a06p-17, -0x1.8d2290528dac6p-17, -0x1.7c01a4e6f5e8bp-17, -0x1.6b837bf077406p-17, -0x1.5ba1ca6ed6f12p-17, -0x1.4c5683635fccdp-17, -0x1.3d9bd59cd3fe8p-17, -0x1.2f6c299c326f3p-17, -0x1.21c21f7bcc30fp-17, -0x1.14988cfb74425p-17, -0x1.07ea7b7a826a4p-17, -0x1.f7664c79c5e13p-18, -0x1.dfdbf0ffefe66p-18, -0x1.c92d178afa935p-18, -0x1.b3514c37c8ef4p-18, -0x1.9e407103d1789p-18, -0x1.89f2ba9873057p-18, -0x1.7660ad3e67014p-18, -0x1.638319e295134p-18, -0x1.51531b387d2d3p-18, -0x1.3fca12fcee10fp-18, -0x1.2ee1a747bac6cp-18, -0x1.1e93bfe53a0e6p-18, -0x1.0eda83e53b908p-18, -0x1.ff60ae625356fp-19, -0x1.e21fb05b6574ep-19, -0x1.c5e7bb0f49cabp-19, -0x1.aaaee7c9122d6p-19, -0x1.906bb7f380548p-19, -0x1.771510c5c36aep-19, -0x1.5ea2376e08856p-19, -0x1.470acd3e72c29p-19, -0x1.3046cc18184c1p-19, -0x1.1a4e82cf93da8p-19, -0x1.051a91d833757p-19, -0x1.e147cfe6c26e5p-20, -0x1.b9c77e0cd2741p-20, -0x1.93a73246c8334p-20, -0x1.6eda7adc65bc4p-20, -0x1.4b556aee33834p-20, -0x1.290c94a1f5748p-20, -0x1.07f504326056ep-20, -0x1.d00875941e04bp-21, -0x1.926052b71ce9cp-21, -0x1.56de58a29065p-21, -0x1.1d700d96aa381p-21, -0x1.cc07794bc1916p-22, -0x1.6110dab23163ep-22, -0x1.f3b76d7d39bdbp-23, -0x1.2c91bda454a98p-23, -0x1.b1d36f26f5d2ap-25, 0x1.336227d21d225p-25, 0x1.ff1ad151ef323p-24, 0x1.abde75a375958p-23, 0x1.28ff1e13148d8p-22, 0x1.790e9c35e226bp-22, 0x1.c634f7286ba6ep-22, 0x1.08444035a632fp-21, 0x1.2c0f51a91898cp-21, 0x1.4e85f7b7044bep-21, 0x1.6fb2118c346a5p-21, 0x1.8f9d1a4a7e306p-21, 0x1.ae502dabaf47cp-21, 0x1.cbd40c6b6a086p-21, 0x1.e83120877ff0dp-21, 0x1.01b7c0887c694p-20, 0x1.0ecb7b34dc4e7p-20, 0x1.1b577edc4abbcp-20, 0x1.275f6640e3a88p-20, 0x1.32e6aa1814955p-20, 0x1.3df0a27634a07p-20, 0x1.48808887522c8p-20, 0x1.5299781395accp-20, 0x1.5c3e70bd1a3b5p-20, 0x1.657257c129854p-20, 0x1.6e3862f1784f8p-20, 0x1.76927823038c8p-20, 0x1.7e8397ade50c8p-20, 0x1.860e483125411p-20, 0x1.8d34fb8e5b667p-20, 0x1.93fa0fe20bfb9p-20, 0x1.9a5fd07fbe628p-20, 0x1.a06876ecfdce4p-20, 0x1.a6162b8f9eb5bp-20, 0x1.ab6b06d2df079p-20, 0x1.b06911bfb2831p-20, 0x1.b51246cd6be0ap-20, 0x1.b9689299258c4p-20, 0x1.bd6dd49c78d35p-20, 0x1.c123dfbe6f84cp-20, 0x1.c48c7b0ec0a6fp-20, 0x1.c7a9622f7b778p-20, 0x1.ca7c4653fdc31p-20, 0x1.cd06ce46547c6p-20, 0x1.cf4a96eca4ba6p-20, 0x1.d14933ff43cb9p-20, 0x1.d30430a58b65ap-20, 0x1.d47d0f6b4c598p-20, 0x1.d5b54aef818e4p-20, 0x1.d6ae562ac8eb3p-20, 0x1.d7699cf301796p-20, 0x1.d7e884157ba1p-20, 0x1.d82c69ce5acdbp-20, 0x1.d836a60e179f6p-20, 0x1.d8088ab662431p-20, 0x1.d7a363ec6ca11p-20, 0x1.d708784f24b0fp-20, 0x1.d6390934820bp-20, 0x1.d53652dc8348cp-20, 0x1.d4018ca9d3773p-20, 0x1.d29be953b9aeep-20, 0x1.d1069710e4235p-20, 0x1.cf42bfa139815p-20, 0x1.cd5188f848187p-20, 0x1.cb34149724e2ep-20, 0x1.c8eb8040ea4f8p-20, 0x1.c678e5ed0f71fp-20, 0x1.c3dd5bf8298ap-20, 0x1.c119f5167151ep-20, 0x1.be2fc07b3a0b5p-20, 0x1.bb1fca2a79fd7p-20, 0x1.b7eb1ab40e91p-20, 0x1.b492b78b9c1eap-20, 0x1.b117a2fa87bc6p-20, 0x1.ad7adc379d3afp-20, 0x1.a9bd5f71b4a7ap-20, 0x1.a5e025e6aa32ap-20, 0x1.a1e425ea91b47p-20, 0x1.9dca52f2476eep-20, 0x1.99939da0fc0a1p-20, 0x1.9540f3ce5118p-20, 0x1.90d340908d99bp-20, 0x1.8c4b6c439a2ddp-20, 0x1.87aa5c884f83bp-20, 0x1.82f0f46090963p-20, 0x1.7e201424b3002p-20, 0x1.7938997b19f03p-20, 0x1.743b5f5ddd13ep-20, 0x1.6f293e636ae8dp-20, 0x1.6a030c4b3ba41p-20, 0x1.64c99c5c3b0adp-20, 0x1.5f7dbf40a0caep-20, 0x1.5a2042fb7edafp-20, 0x1.54b1f32590397p-20, 0x1.4f3398a938f66p-20, 0x1.49a5f9e72a5e9p-20, 0x1.4409dab3d7955p-20, 0x1.3e5ffc4a69909p-20, 0x1.38a91d808ad96p-20, 0x1.32e5fa3a0a70ep-20, 0x1.2d174c29c7832p-20, 0x1.273dca54e5f2cp-20, 0x1.215a292e22466p-20, 0x1.1b6d1a9db9093p-20, 0x1.15774df6ef673p-20, 0x1.0f796ffe47e72p-20, 0x1.09742aeca5c55p-20, 0x1.0368265a9bbd7p-20, 0x1.faac0e8a6ababp-21, 0x1.ee7ce0c57d132p-21, 0x1.e244030ee1386p-21, 0x1.d602b0234fbd5p-21, 0x1.c9ba1d9c05373p-21, 0x1.bd6b7bec8c281p-21, 0x1.b117f675e337dp-21, 0x1.a4c0b36767472p-21, 0x1.9866d3d920ba5p-21, 0x1.8c0b73ba3cfeap-21, 0x1.7fafa9ed4f0c8p-21, 0x1.7354882de15ep-21, 0x1.66fb1b235c0dep-21, 0x1.5aa46a6fa1d77p-21, 0x1.4e5178742855ep-21, 0x1.42034288c44e1p-21, 0x1.35bac11bd1c58p-21, 0x1.2978e7705e5f5p-21, 0x1.1d3ea3df045a1p-21, 0x1.110cdfd63f6adp-21, 0x1.04e47f533e6a8p-21, 0x1.f18cc385c9d0cp-22, 0x1.d966c2d428ef8p-22, 0x1.c158a7c46dc5ap-22, 0x1.a9641324d64fcp-22, 0x1.918a9c4115769p-22, }}, 
      std::vector<double>(619, 0.0), 
      {{-0x1.49c66a8db0338p-8, -0x1.b4a5c09d23f9cp-7, -0x1.b56d46ac2e1dcp-6, -0x1.77a4257ff417ep-5, -0x1.21d786a9340e2p-4, -0x1.9d6343bfebe93p-4, -0x1.15a74be5465acp-3, -0x1.63f088f768d44p-3, -0x1.b7988e562fd6p-3, -0x1.07593343824bp-2, -0x1.33b71b602413bp-2, -0x1.6012b4ff35701p-2, -0x1.8bb1510f2ffebp-2, -0x1.b5f0ff3b23989p-2, -0x1.de49cb2138017p-2, -0x1.0225de49c6e9cp-1, -0x1.13ceac46ff2c5p-1, -0x1.23fd0644aa3e3p-1, -0x1.3297cf3ed18f7p-1, -0x1.3f8dffab4ae8dp-1, -0x1.4ad5c5e845a98p-1, -0x1.546b97e58a774p-1, -0x1.5c513b495e2edp-1, -0x1.628cb9fa1d954p-1, -0x1.6727bb1b4f1f9p-1, -0x1.6a2f2a810b06ep-1, -0x1.6bb25927ac49bp-1, -0x1.6bc261c2bf854p-1, -0x1.6a722f6056e4ap-1, -0x1.67d60b317229dp-1, -0x1.640291a65fc34p-1, -0x1.5f0c1d9d56cbcp-1, -0x1.5908772358828p-1, -0x1.520cfc0646ca2p-1, -0x1.4a2ec37e5f5d1p-1, -0x1.41828a013468ap-1, -0x1.381ca373f99e9p-1, -0x1.2e10db3d3cd49p-1, -0x1.23724e3336c7p-1, -0x1.185352c83ced2p-1, -0x1.0cc57142a678dp-1, -0x1.00d960a11db16p-1, -0x1.e93e022b17a8bp-2, -0x1.d04aab169a6b9p-2, -0x1.b6f4fece71c2ap-2, -0x1.9d577a7728855p-2, -0x1.838ad87bf0804p-2, -0x1.69a619d258422p-2, -0x1.4fbe956476136p-2, -0x1.35e80a275d857p-2, -0x1.1c34af182f79cp-2, -0x1.02b53ebde7b06p-2, -0x1.d2f1fec7202dcp-3, -0x1.a11b964978059p-3, -0x1.700035334a2d7p-3, -0x1.3fb6272337dcbp-3, -0x1.105137cf9bd5ep-3, -0x1.c3c5bddb4a73dp-4, -0x1.68f4de174a2dcp-4, -0x1.104a86fb8543cp-4, -0x1.73bba6f0b8106p-5, -0x1.970a1d446e9a5p-6, -0x1.4219cf1fc9d46p-8, 0x1.d933acc291518p-7, 0x1.0feb8c2ae2fadp-5, 0x1.a488a97df5374p-5, 0x1.1a0c53250f6fep-4, 0x1.5f4a0f84178ccp-4, 0x1.a1fbe36c96e55p-4, 0x1.e2221c893d992p-4, 0x1.0fdf6dc2ff914p-3, 0x1.2d6af5198bae5p-3, 0x1.49b646a040db9p-3, 0x1.64c4ab5eb8f3cp-3, 0x1.7e99fea780251p-3, 0x1.973a9cebf3dcp-3, 0x1.aeab559350b4dp-3, 0x1.c4f15ef36c1p-3, 0x1.da124b5e13643p-3, 0x1.ee13fe6faedd4p-3, 0x1.007e511b9807cp-2, 0x1.09694e1cff9f4p-2, 0x1.11ce41506ad5p-2, 0x1.19b088fc496f4p-2, 0x1.211391f500038p-2, 0x1.27fad39506c65p-2, 0x1.2e69cc5c26cb9p-2, 0x1.3463ff2b230cap-2, 0x1.39ecf0ffa0d8fp-2, 0x1.3f08270971fecp-2, 0x1.43b924efdb227p-2, 0x1.48036b23448dbp-2, 0x1.4bea75240a978p-2, 0x1.4f71b7b610adp-2, 0x1.529c9f063d83ap-2, 0x1.556e8ccff89d3p-2, 0x1.57ead69437eb3p-2, 0x1.5a14c3f26df46p-2, 0x1.5bef8d2ff4a6bp-2, 0x1.5d7e59f5e1373p-2, 0x1.5ec440493c867p-2, 0x1.5fc443bea3169p-2, 0x1.608154e86f582p-2, 0x1.60fe50fd5945p-2, 0x1.613e01b42f052p-2, 0x1.61431d4fb1c89p-2, 0x1.611046d33ab6cp-2, 0x1.60a80e563185p-2, 0x1.600cf169ef146p-2, 0x1.5f415b8488944p-2, 0x1.5e47a663c2f06p-2, 0x1.5d221a5e41582p-2, 0x1.5bd2ee9d9400ap-2, 0x1.5a5c4940f33bfp-2, 0x1.58c03f6d49ee1p-2, 0x1.5700d5526dad2p-2, 0x1.551ffe2ebf2eep-2, 0x1.531f9c59a5882p-2, 0x1.5101815b10e71p-2, 0x1.4ec76e132e052p-2, 0x1.4c7312f262f22p-2, 0x1.4a06103f59095p-2, 0x1.4781f6677e2fep-2, 0x1.44e846561b694p-2, 0x1.423a71cebee0dp-2, 0x1.3f79dbc8dce52p-2, 0x1.3ca9656ef2b6p-2, 0x1.39c75371da909p-2, 0x1.36d64669c00e2p-2, 0x1.33d767f92004ap-2, 0x1.30cbd573be45ap-2, 0x1.2db4a07f265ddp-2, 0x1.2a92cfa7d36c9p-2, 0x1.27675ee6a57b9p-2, 0x1.243340142fddcp-2, 0x1.20f75b49656e5p-2, 0x1.1db48f2ecc70cp-2, 0x1.1a6bb13ccc73ep-2, 0x1.171d8df0968b7p-2, 0x1.13cae8f998c8ep-2, 0x1.10747d6376a8ap-2, 0x1.0d1afdc0177d4p-2, 0x1.09bf1454bc3a8p-2, 0x1.0661634c2f085p-2, 0x1.030284ef415b2p-2, 0x1.ff4617c7da07bp-3, 0x1.f88706e5637aep-3, 0x1.f1c8dfa264a94p-3, 0x1.eb0c9ce14c46p-3, 0x1.e4532c9cf6942p-3, 0x1.dd9d708acf86bp-3, 0x1.d6ec3eba78ebp-3, 0x1.d040622fdf9c1p-3, 0x1.c99a9b752dcb5p-3, 0x1.c2fba122a33c4p-3, 0x1.bc64205b0edffp-3, 0x1.b5d4bd3c5ed4ep-3, 0x1.af4e13445cc9dp-3, 0x1.a8d0b5aa5927cp-3, 0x1.a25d2faefc64ep-3, 0x1.9bf404e3cdd84p-3, 0x1.9595b16c3973dp-3, 0x1.8f42aa39e14eep-3, 0x1.88fb5d45ebc5dp-3, 0x1.82c031c8d83fcp-3, 0x1.7c9188720bd33p-3, 0x1.766fbb9ffa7cdp-3, 0x1.705b1f9977e2ep-3, 0x1.6a5402c86a93ep-3, 0x1.645aadf5d1eb8p-3, 0x1.5e6f6486d0558p-3, 0x1.589264ba3fa8cp-3, 0x1.52c3e7e63cb77p-3, 0x1.4d0422b4f15b1p-3, 0x1.4753455ffdc7cp-3, 0x1.41b17be9d2fc4p-3, 0x1.3c1eee546c4bbp-3, 0x1.369bc0d4f2223p-3, 0x1.31281403e7057p-3, 0x1.2bc40509b5799p-3, 0x1.266fadc778f76p-3, 0x1.212b24fc28a88p-3, 0x1.1bf67e66400e1p-3, 0x1.16d1cae23ca84p-3, 0x1.11bd188648933p-3, 0x1.0cb872bb7904ap-3, 0x1.07c3e2551aecfp-3, 0x1.02df6da673c5fp-3, 0x1.fc16312eda9b4p-4, 0x1.f28dc9710bcadp-4, 0x1.e925a2acccb04p-4, 0x1.dfddb71a9acedp-4, 0x1.d6b5fcb93ed21p-4, 0x1.cdae657558dc1p-4, 0x1.c4c6df517ed66p-4, 0x1.bbff548f03a65p-4, 0x1.b357abd7576e3p-4, 0x1.aacfc865b6f8fp-4, 0x1.a2678a3123464p-4, 0x1.9a1ece1635e7ep-4, 0x1.91f56e0097405p-4, 0x1.89eb4113dfc02p-4, 0x1.82001bd376b58p-4, 0x1.7a33d04952e23p-4, 0x1.72862e2b537bcp-4, 0x1.6af702ff097ap-4, 0x1.63861a3bd1e39p-4, 0x1.5c333d6b2aed7p-4, 0x1.54fe34473e4cap-4, 0x1.4de6c4d79e43bp-4, 0x1.46ecb38c464efp-4, 0x1.400fc356eeeb6p-4, 0x1.394fb5c2d2057p-4, 0x1.32ac4b0afc635p-4, 0x1.2c25422f4fedp-4, 0x1.25ba590858409p-4, 0x1.1f6b4c5a16283p-4, 0x1.1937d7e5e3068p-4, 0x1.131fb67b8a4d2p-4, 0x1.0d22a209b84e7p-4, 0x1.074053add32ccp-4, 0x1.017883c355d3ap-4, 0x1.f795d3e578934p-5, 0x1.ec6e7a801c09ap-5, 0x1.e17a68322417cp-5, 0x1.d6b908c660765p-5, 0x1.cc29c7120dc87p-5, 0x1.c1cc0d0f68dbcp-5, 0x1.b79f43f7ababbp-5, 0x1.ada2d45c720b9p-5, 0x1.a3d6264084353p-5, 0x1.9a38a12ffe706p-5, 0x1.90c9ac57d8a31p-5, 0x1.8788ae9cc06c9p-5, 0x1.7e750eb149a9ep-5, 0x1.758e332b701c4p-5, 0x1.6cd382996544cp-5, 0x1.64446395b0cacp-5, 0x1.5be03cda9b54ep-5, 0x1.53a67554ed55p-5, 0x1.4b967435fbcbcp-5, 0x1.43afa1050fadfp-5, 0x1.3bf163b021978p-5, 0x1.345b249bf566ap-5, 0x1.2cec4cb39729bp-5, 0x1.25a445773d3c7p-5, 0x1.1e82790a95eb5p-5, 0x1.178652428204bp-5, 0x1.10af3cb244c98p-5, 0x1.09fca4b829f1dp-5, 0x1.036df789a21f7p-5, 0x1.fa05467dc41cap-6, 0x1.ed742dbbfa411p-6, 0x1.e12784cb08d4bp-6, 0x1.d52231fdf110ep-6, 0x1.c95b12af65f91p-6, 0x1.bdd50cea133dbp-6, 0x1.b28f096fafe5dp-6, 0x1.a787f34b04bb7p-6, 0x1.9cbeb7df043ddp-6, 0x1.923246f529829p-6, 0x1.87e192cb223dp-6, 0x1.7dcb901fbfb49p-6, 0x1.73ef363f33952p-6, 0x1.6a4b7f0e902a3p-6, 0x1.60df671697445p-6, 0x1.57a9ed8dd1766p-6, 0x1.4eaa1461ec3fbp-6, 0x1.45dee04068ff3p-6, 0x1.3d47589e9929ap-6, 0x1.34e287c0e70f1p-6, 0x1.2caf7ac17b5f1p-6, 0x1.24ad41962dd41p-6, 0x1.1cdaef15da5a3p-6, 0x1.153798fd13a9dp-6, 0x1.0dc257f232a03p-6, 0x1.067a4788d7729p-6, 0x1.febd0c89a2f6p-7, 0x1.f0dc6b38fb97fp-7, 0x1.e350f3f534e0bp-7, 0x1.d618f57f30607p-7, 0x1.c932c484d9f05p-7, 0x1.bc9cbba1e448dp-7, 0x1.b0553b5f96576p-7, 0x1.a45aaa33b8ce7p-7, 0x1.98ab747ec44ddp-7, 0x1.8d460c8928bc8p-7, 0x1.8228ea7ff5995p-7, 0x1.77528c70aaf7cp-7, 0x1.6cc176447aefdp-7, 0x1.627431bac76cep-7, 0x1.58694e631779ep-7, 0x1.4e9f6196694adp-7, 0x1.4515066ff7668p-7, 0x1.3bc8ddc5729f3p-7, 0x1.32b98e1eba90bp-7, 0x1.29e5c3ad16791p-7, 0x1.214c3041f8683p-7, 0x1.18eb8b454c54ap-7, 0x1.10c291ab5cc9dp-7, 0x1.08d005ea4e094p-7, 0x1.0112afef3857cp-7, 0x1.f312ba25c605fp-8, 0x1.e465c01c4f2a6p-8, 0x1.d61c21dbffc76p-8, 0x1.c8339a0e88a14p-8, 0x1.baa9edd43eeb8p-8, 0x1.ad7cecaa6fd81p-8, 0x1.a0aa7051345c7p-8, 0x1.94305cb0c1cb8p-8, 0x1.880c9fbe47e0bp-8, 0x1.7c3d31605ec3bp-8, 0x1.70c0135310d79p-8, 0x1.6593510b8446cp-8, 0x1.5ab4ff9b4efccp-8, 0x1.50233d937af85p-8, 0x1.45dc32e741fe5p-8, 0x1.3bde10ce888f3p-8, 0x1.322711a81dc11p-8, 0x1.28b578dbc8feap-8, 0x1.1f8792bc29e56p-8, 0x1.169bb46870bbap-8, 0x1.0df03badf8c7fp-8, 0x1.05838ee9c5f33p-8, 0x1.faa839d3df1d7p-9, 0x1.eac0b99df73ep-9, 0x1.db4d9bda6099p-9, 0x1.cc4bef5bc507fp-9, 0x1.bdb8d2e1892d8p-9, 0x1.af9174da75885p-9, 0x1.a1d31327769aep-9, 0x1.947afade7b792p-9, 0x1.8786880d797e3p-9, 0x1.7af3257da33c2p-9, 0x1.6ebe4c76d2a6bp-9, 0x1.62e584833b4c3p-9, 0x1.5766633357aafp-9, 0x1.4c3e8be231b96p-9, 0x1.416baf79f5bcdp-9, 0x1.36eb8c38e8354p-9, 0x1.2cbbed76b78b6p-9, 0x1.22daab6a3b857p-9, 0x1.1945aaef9c50bp-9, 0x1.0ffadd4eed838p-9, 0x1.06f8400342b77p-9, 0x1.fc77b90478191p-10, 0x1.eb8790082dee4p-10, 0x1.db1c46988351ap-10, 0x1.cb3234e4e8e96p-10, 0x1.bbc5c958bc43p-10, 0x1.acd3882fad8f1p-10, 0x1.9e580b0b5afc3p-10, 0x1.9050008a0b2cbp-10, 0x1.82b82bde9d4bcp-10, 0x1.758d6469ada18p-10, 0x1.68cc9553f0e6ep-10, 0x1.5c72bd29d61c3p-10, 0x1.507ced785cdedp-10, 0x1.44e84a6b3903p-10, 0x1.39b20a6c3dd1p-10, 0x1.2ed775c40d846p-10, 0x1.2455e63c196fdp-10, 0x1.1a2ac6c1f0862p-10, 0x1.1053930bda06ap-10, 0x1.06cdd73ebd6dep-10, 0x1.fb2e5f2acb415p-11, 0x1.e95a90121d155p-11, 0x1.d81bb7f68736fp-11, 0x1.c76d6bc228da6p-11, 0x1.b74b5ddf2cb06p-11, 0x1.a7b15d9375009p-11, 0x1.989b565ee8996p-11, 0x1.8a054f5c599c6p-11, 0x1.7beb6aa501ddcp-11, 0x1.6e49e4b6a9901p-11, 0x1.611d13dc53871p-11, 0x1.5461679983563p-11, 0x1.481368180a5fbp-11, 0x1.3c2fb5986a054p-11, 0x1.30b307e4af807p-11, 0x1.259a2dc5d0d15p-11, 0x1.1ae20c7b8f0afp-11, 0x1.10879f36b36e6p-11, 0x1.0687f695e494p-11, 0x1.f9c070496ffa2p-12, 0x1.e71b3bba82b5bp-12, 0x1.d51aeb57ed206p-12, 0x1.c3ba41ebc67dfp-12, 0x1.b2f428426052bp-12, 0x1.a2c3ac3fd190ap-12, 0x1.9323fffa118d1p-12, 0x1.841078d76f68p-12, 0x1.75848eb16f591p-12, 0x1.677bdafbf591fp-12, 0x1.59f217f0a989fp-12, 0x1.4ce31fbe90cd5p-12, 0x1.404aebbdb35fbp-12, 0x1.342593a6ec6p-12, 0x1.286f4ccf9bb7p-12, 0x1.1d2469695530ep-12, 0x1.124157c5631ecp-12, 0x1.07c2a19c1cf4cp-12, 0x1.fb49d6afd64f5p-13, 0x1.e7c9e6c83425dp-13, 0x1.d4ff22fe5128ep-13, 0x1.c2e36c217deabp-13, 0x1.b170d306126e2p-13, 0x1.a0a1973f718c5p-13, 0x1.907025e060c03p-13, 0x1.80d718426794bp-13, 0x1.71d132d39cb0fp-13, 0x1.635963eafb874p-13, 0x1.556ac2a31203fp-13, 0x1.48008dbb230dcp-13, 0x1.3b162a7e3fbf4p-13, 0x1.2ea723b0cf244p-13, 0x1.22af2883e08c4p-13, 0x1.172a0b8e95ea5p-13, 0x1.0c13c1cd73ce9p-13, 0x1.016861a76826p-13, 0x1.ee4843f1371eap-14, 0x1.da86b2462c8e9p-14, 0x1.c784f849481ddp-14, 0x1.b53c3b652954bp-14, 0x1.a3a5dab56f7e4p-14, 0x1.92bb6d5391849p-14, 0x1.8276c0ae8b4c3p-14, 0x1.72d1d6ec8e25fp-14, 0x1.63c6e5579b781p-14, 0x1.555052d3cba91p-14, 0x1.4768b65feb89ap-14, 0x1.3a0ad59fe0aa4p-14, 0x1.2d31a370d5df1p-14, 0x1.20d83e86fa15bp-14, 0x1.14f9f0149693bp-14, 0x1.09922a7a8cd5cp-14, 0x1.fd391003e6e93p-15, 0x1.e829933ca56a1p-15, 0x1.d3edab7219181p-15, 0x1.c07d6e0a2f7b3p-15, 0x1.add136b6688ddp-15, 0x1.9be1a53ce1167p-15, 0x1.8aa79b50d37dbp-15, 0x1.7a1c3a7c1fc4p-15, 0x1.6a38e21714d26p-15, 0x1.5af72d4f0f977p-15, 0x1.4c50f13d4f938p-15, 0x1.3e403b0a6db33p-15, 0x1.30bf4e208d93ep-15, 0x1.23c8a26b04937p-15, 0x1.1756e2a3390f2p-15, 0x1.0b64eaaa0045ap-15, 0x1.ffdb8bdcac8d4p-16, 0x1.e9d95bbecbc0ap-16, 0x1.d4ba10d59ed6ap-16, 0x1.c074cd0cbbb0bp-16, 0x1.ad01058955a3bp-16, 0x1.9a567feaa319fp-16, 0x1.886d4f9d0f366p-16, 0x1.773dd34444627p-16, 0x1.66c0b23787a5p-16, 0x1.56eeda1245635p-16, 0x1.47c17c5571bc1p-16, 0x1.39320c1eebc9ap-16, 0x1.2b3a3beee55c5p-16, 0x1.1dd3fb7f85283p-16, 0x1.10f975ae9d345p-16, 0x1.04a50e757655bp-16, 0x1.f1a2c1e40e9c8p-17, 0x1.daf27afcb740cp-17, 0x1.c52f4faf3bce7p-17, 0x1.b04faaa53a0b8p-17, 0x1.9c4a563f6dc51p-17, 0x1.891679363a0d9p-17, 0x1.76ab935699173p-17, 0x1.65017a561c74ap-17, 0x1.541056c475a23p-17, 0x1.43d0a110d70cdp-17, 0x1.343b1eaa811bap-17, 0x1.2548df35fa693p-17, 0x1.16f339d970063p-17, 0x1.0933caa02feeap-17, 0x1.f808dfe340167p-18, 0x1.debe903a32a0ap-18, 0x1.c67d5df6c4a6ep-18, 0x1.af3a7744f3e44p-18, 0x1.98eb7c583db11p-18, 0x1.83867b219d8aep-18, 0x1.6f01eb1cef99p-18, 0x1.5b54a9594c1f6p-18, 0x1.4875f48b7a0fap-18, 0x1.365d694d77cafp-18, 0x1.2502fe7c0334cp-18, 0x1.145f01b2fc275p-18, 0x1.046a13e799d69p-18, 0x1.ea3a4c44dfb99p-19, 0x1.cce2eca704bcap-19, 0x1.b0c11886fd77ep-19, 0x1.95c86d413d54cp-19, 0x1.7bed10444b074p-19, 0x1.6323a9985fa59p-19, 0x1.4b615e8c2d5a5p-19, 0x1.349bcc96d584p-19, 0x1.1ec90467b94c8p-19, 0x1.09df8524164ffp-19, 0x1.ebac6f9f86202p-20, 0x1.c548d5be3caa3p-20, 0x1.a0839bee18a8bp-20, 0x1.7d4cdba69d659p-20, 0x1.5b95608af3a39p-20, 0x1.3b37037100bcep-20, 0x1.1c5485d6bd845p-20, 0x1.fd8f22c75e35p-21, 0x1.c506debcb6675p-21, 0x1.8ef7f0100a463p-21, 0x1.5b4b188b60145p-21, 0x1.29ea1f47c5ddep-21, 0x1.f57f8a0658353p-22, 0x1.9b6f71f64884fp-22, 0x1.457d1c6d0d89ap-22, 0x1.e706c4ee90132p-23, 0x1.4abd7886b096dp-23, 0x1.6bb4b91f427c5p-24, 0x1.40e36f8f89318p-26, -0x1.7aea15b0c6f06p-25, -0x1.bdcc007f20f84p-24, -0x1.589ef5a76f8b7p-23, -0x1.cc1be8e8b96c8p-23, -0x1.1cc884e0d648cp-22, -0x1.509828cc56f76p-22, -0x1.8194cf3435e39p-22, -0x1.afd5666cb6c65p-22, -0x1.db6fe86792bc1p-22, -0x1.023cb35c85ca4p-21, -0x1.15830aff6145ep-21, -0x1.2794ac5aebbf7p-21, -0x1.387ae4d237fadp-21, -0x1.483ea2f91919cp-21, -0x1.56e87b36be5d9p-21, -0x1.6480ac673ae6ep-21, -0x1.710f24289807bp-21, -0x1.7c9b830020fabp-21, -0x1.872d204d1d5f8p-21, -0x1.90cb0e0dd7dd2p-21, -0x1.997c1c7528d4p-21, -0x1.a146dd555e59ep-21, -0x1.a831a762e5ef9p-21, -0x1.ae42993c52b6cp-21, -0x1.b37f9ca83160ep-21, -0x1.b7ee68f6f9a59p-21, -0x1.bb9485f1e0b8ep-21, -0x1.be774e57e544dp-21, -0x1.c09bf243e767fp-21, -0x1.c207796e532f5p-21, -0x1.c2bec57d31a47p-21, -0x1.c2c693d933805p-21, -0x1.c2237fcf98522p-21, -0x1.c0da0453b25bap-21, -0x1.beee7dc6ff4f3p-21, -0x1.bc652b99a9428p-21, -0x1.b94231f51f188p-21, -0x1.b5899b0ccd37fp-21, -0x1.b13f589eb2957p-21, -0x1.ac67453e7e424p-21, -0x1.a70525908cd3ap-21, -0x1.a11ca977ec398p-21, -0x1.9ab16d2dbd76p-21, -0x1.93c6fa4a3b0c5p-21, -0x1.8c60c8bc3ce01p-21, -0x1.84823fb2b4bbep-21, -0x1.7c2eb67f84e5dp-21, -0x1.736975535f654p-21, -0x1.6a35b5ffbff4dp-21, -0x1.6096a4cf18787p-21, -0x1.568f60e00e7d1p-21, -0x1.4c22fd2632836p-21, -0x1.415480955d054p-21, -0x1.3626e6e68af6ap-21, -0x1.2a9d20ff5cd4dp-21, -0x1.1eba1576a3aa4p-21, -0x1.1280a0ea14eccp-21, -0x1.05f3966d72e55p-21, -0x1.f22b7fce4cbdfp-22, -0x1.d7d3bcb1028cfp-22, -0x1.bce55480b59bdp-22, -0x1.a165a78af00d3p-22, -0x1.855a0621a79bdp-22, -0x1.68c7b0e33c34fp-22, -0x1.4bb3d95432414p-22, -0x1.2e23a210da4b5p-22, -0x1.101c1f3ebfddp-22, -0x1.e344ada0e8641p-23, -0x1.a57681a11df1bp-23, -0x1.66d78ef8811f4p-23, -0x1.27718fdae005ep-23, -0x1.ce9c465370ed2p-24, -0x1.4ced9b6fd3c6dp-24, -0x1.93d3e90b2174ap-25, -0x1.168fce07659c8p-26, 0x1.fe8fc9b3c0933p-27, 0x1.8ccb2cb0fbe4ep-25, 0x1.4e04db91dec14p-24, 0x1.d69df3a4abf4dp-24, 0x1.300f9de82d3e8p-23, 0x1.753ba25ef3048p-23, 0x1.baca6901aa081p-23, 0x1.0059b69e39953p-22, 0x1.23772217779abp-22, 0x1.46b94e558c512p-22, 0x1.6a1c1fd5ea65cp-22, 0x1.8d9b881728d9cp-22, 0x1.b13385ad67708p-22, 0x1.d4e0245bbf4e8p-22, 0x1.f89d7d214fae5p-22, 0x1.0e33db1df5202p-21, 0x1.201d81a9cd30ep-21, 0x1.3209d29a545bbp-21, 0x1.43f6f524a67a7p-21, 0x1.55e3171c284ffp-21, }}, 
      {{-0x1.2bc6dee2c2c9fp-3, -0x1.d78bcd797c7e3p-3, -0x1.5d05f0ff25156p-2, -0x1.d99150e9c7b03p-2, -0x1.2b4741b9073cfp-1, -0x1.6675d84d3f2c9p-1, -0x1.9c27716e5f953p-1, -0x1.cb27800ad1b44p-1, -0x1.f2f1118127636p-1, -0x1.09bc285697c23p+0, -0x1.16813ddba37ep+0, -0x1.20045b13d13acp+0, -0x1.269134f2cf241p+0, -0x1.2a7b31b8a3b2p+0, -0x1.2c17d10aeabe6p+0, -0x1.2bbb0aa75706p+0, -0x1.29b4e378dcae8p+0, -0x1.264fcba42e1f3p+0, -0x1.21cfd224f19ffp+0, -0x1.1c724578cc304p+0, -0x1.166d9ee0831d9p+0, -0x1.0ff1a98948c1dp+0, -0x1.0927e4c050577p+0, -0x1.0233f11005a45p+0, -0x1.f66815da1ea76p-1, -0x1.e8832e3107503p-1, -0x1.dae2ffabbe3cp-1, -0x1.cda946c406b43p-1, -0x1.c0f0ef7b720d4p-1, -0x1.b4cf01ca19197p-1, -0x1.a953045cd6a3fp-1, -0x1.9e87f2aae9aa5p-1, -0x1.9474ace0d18ccp-1, -0x1.8b1cc0d7d9c64p-1, -0x1.8280edc28de28p-1, -0x1.7a9f8ca995549p-1, -0x1.7374f0831275ep-1, -0x1.6cfbc99861b26p-1, -0x1.672d7f257cde5p-1, -0x1.620275b692148p-1, -0x1.5d7248b6e965dp-1, -0x1.59740087f05e2p-1, -0x1.55fe45c7c4be6p-1, -0x1.53078ca20e376p-1, -0x1.50863580d734fp-1, -0x1.4e70a5b0b1431p-1, -0x1.4cbd5c55af55p-1, -0x1.4b63060820dfcp-1, -0x1.4a588ee8b6c65p-1, -0x1.4995320563b88p-1, -0x1.491085302d7dcp-1, -0x1.48c281124c3f9p-1, -0x1.48a385f2765a7p-1, -0x1.48ac5e237c6e2p-1, -0x1.48d63f27252c6p-1, -0x1.491aca3803507p-1, -0x1.49740c6329194p-1, -0x1.49dc7df84d065p-1, -0x1.4a4f010e34fbfp-1, -0x1.4ac6df1877f64p-1, -0x1.4b3fc5d291952p-1, -0x1.4bb5c3d90aac3p-1, -0x1.4c23e7e4dd5p-1, -0x1.4c89ae8cd0332p-1, -0x1.4ce2ee545607dp-1, -0x1.4d2d0def9729ap-1, -0x1.4d65bc2292ecep-1, -0x1.4d8aed87d07f1p-1, -0x1.4d9ada47373cdp-1, -0x1.4d93fb1e85fbp-1, -0x1.4d750591994b5p-1, -0x1.4d3ce77f54addp-1, -0x1.4ceac28ac97f1p-1, -0x1.4c7de7c123c47p-1, -0x1.4bf5d3b7a6806p-1, -0x1.4b522b272ad4cp-1, -0x1.4a92b7e4738d7p-1, -0x1.49b7660856964p-1, -0x1.48c04124de162p-1, -0x1.47ad717970d4fp-1, -0x1.467f392bf0586p-1, -0x1.4535f197f7777p-1, -0x1.43d208c6532d6p-1, -0x1.4253ff188c5cfp-1, -0x1.40bc652b94aa4p-1, -0x1.3f0bd9ed7e974p-1, -0x1.3d4308de86a3p-1, -0x1.3b62a8756556dp-1, -0x1.396b78a087f09p-1, -0x1.375e415fe5e96p-1, -0x1.353bd174e12ep-1, -0x1.3304fd26d1a14p-1, -0x1.30ba9d1b8e681p-1, -0x1.2e5d8d43a9c9bp-1, -0x1.2beeabda06cddp-1, -0x1.296ed8761bf81p-1, -0x1.26def32faca0dp-1, -0x1.243fdbd2811b4p-1, -0x1.21927120bd981p-1, -0x1.1ed79023140ecp-1, -0x1.1c101386f3b2fp-1, -0x1.193cd30bc471dp-1, -0x1.165ea300ec6cap-1, -0x1.137653d68b5d3p-1, -0x1.1084b1c2804a7p-1, -0x1.0d8a847a4a773p-1, -0x1.0a888f00e7a9fp-1, -0x1.077f8f86316d4p-1, -0x1.04703f53b61e5p-1, -0x1.015b52c2331f8p-1, -0x1.fc82f2656588ap-2, -0x1.f646ba0e6a114p-2, -0x1.f00347309a549p-2, -0x1.e9b9da4e13724p-2, -0x1.e36ba998820fp-2, -0x1.dd19e0cf44e68p-2, -0x1.d6c5a122e4f57p-2, -0x1.d070012340bep-2, -0x1.ca1a0cbc13e02p-2, -0x1.c3c4c541456bap-2, -0x1.bd71218a104e9p-2, -0x1.b7200e183ba29p-2, -0x1.b0d26d4798a2p-2, -0x1.aa891781ae39p-2, -0x1.a444db721481cp-2, -0x1.9e067e39097fp-2, -0x1.97cf4dae71c7dp-2, -0x1.919ef95142bbdp-2, -0x1.8b769725eaffbp-2, -0x1.8556c5bc04aa6p-2, -0x1.7f401b3da314ep-2, -0x1.793325ce7ac0cp-2, -0x1.73306be4b966fp-2, -0x1.6d386c9944cd8p-2, -0x1.674b9fee1bd15p-2, -0x1.616a770ac5d8bp-2, -0x1.5b955c6f993c4p-2, -0x1.55ccb421655a2p-2, -0x1.5010dbcf81942p-2, -0x1.4a622af67c163p-2, -0x1.44c0f30195311p-2, -0x1.3f2d7f6cf60fbp-2, -0x1.39a815ea2cd92p-2, -0x1.3430f687fe0a5p-2, -0x1.2ec85bde17c63p-2, -0x1.296e7b3cb7d0bp-2, -0x1.242384dfefc4ep-2, -0x1.1ee7a425d9cc2p-2, -0x1.19baffc6e17fap-2, -0x1.149dba0f1278bp-2, -0x1.0f8ff11765ff9p-2, -0x1.0a91befe0b0bep-2, -0x1.05a33a1cb7926p-2, -0x1.00c4753c4987p-2, -0x1.f7eaff8a487d3p-3, -0x1.ee6ccbd7d3bc4p-3, -0x1.e50e61b4f06dp-3, -0x1.dbcfcdaa610efp-3, -0x1.d2b116b9a818dp-3, -0x1.c9b23e9aa7c36p-3, -0x1.c0d341f433ecbp-3, -0x1.b8141890ab272p-3, -0x1.af74b58fa9651p-3, -0x1.a6f50795ecd8p-3, -0x1.9e94f8fc3e5e4p-3, -0x1.96546ffe2447bp-3, -0x1.8e334ee8bf53ap-3, -0x1.8631744a3b75p-3, -0x1.7e4ebb21c4871p-3, -0x1.768afb0ffe125p-3, -0x1.6ee60887b6e1bp-3, -0x1.675fb4fe83f68p-3, -0x1.5ff7cf1cd86c6p-3, -0x1.58ae22ed37ca1p-3, -0x1.51827a0a0bfdcp-3, -0x1.4a749bc9bf269p-3, -0x1.43844d68cbc1ap-3, -0x1.3cb1523176b54p-3, -0x1.35fb6ba109e1ep-3, -0x1.2f62598a7f64p-3, -0x1.28e5da369055bp-3, -0x1.2285aa8141722p-3, -0x1.1c4185f511acap-3, -0x1.161926e3fbfc7p-3, -0x1.100c467e84a94p-3, -0x1.0a1a9ce92223dp-3, -0x1.0443e150354fcp-3, -0x1.fd0f93f5c61a2p-4, -0x1.f1cc18ba0085ep-4, -0x1.e6bcba50b9e51p-4, -0x1.dbe0e0bb14ef4p-4, -0x1.d137f2b893a6dp-4, -0x1.c6c155e78de53p-4, -0x1.bc7c6ee548e7ep-4, -0x1.b268a16ddd9b9p-4, -0x1.a885507bdc0d6p-4, -0x1.9ed1de67aa3fep-4, -0x1.954dad0685968p-4, -0x1.8bf81dc90a567p-4, -0x1.82d091d91813bp-4, -0x1.79d66a36f7c4bp-4, -0x1.710907d59a25fp-4, -0x1.6867cbb5ce3b5p-4, -0x1.5ff21700558c3p-4, -0x1.57a74b1ebe5a6p-4, -0x1.4f86c9d2f31cfp-4, -0x1.478ff54d77826p-4, -0x1.3fc230424eed3p-4, -0x1.381cddfc8e5b4p-4, -0x1.309f6270a4451p-4, -0x1.2949224d60aa1p-4, -0x1.2219830bcfef2p-4, -0x1.1b0feafdf945dp-4, -0x1.142bc15c95b8fp-4, -0x1.0d6c6e53d5813p-4, -0x1.06d15b0f472ap-4, -0x1.0059f1c4f4937p-4, -0x1.f40b3b7f930c3p-5, -0x1.e7a796d2a64d6p-5, -0x1.db87d0a5cf2f3p-5, -0x1.cfaac67c85f4p-5, -0x1.c40f584b458f4p-5, -0x1.b8b46886d534p-5, -0x1.ad98dc32aa068p-5, -0x1.a2bb9aee76665p-5, -0x1.981b8f02e1307p-5, -0x1.8db7a56d78ad2p-5, -0x1.838ecdebd9122p-5, -0x1.799ffb060fbecp-5, -0x1.6fea221842955p-5, -0x1.666c3b5b908aap-5, -0x1.5d2541ee3b991p-5, -0x1.541433db19fcdp-5, -0x1.4b3812204e5dbp-5, -0x1.428fe0b551757p-5, -0x1.3a1aa6904de66p-5, -0x1.31d76daad54c1p-5, -0x1.29c54305f0a2p-5, -0x1.21e336ad97437p-5, -0x1.1a305bbb8e458p-5, -0x1.12abc859b952ap-5, -0x1.0b5495c3e199ep-5, -0x1.0429e048f926ap-5, -0x1.fa558e97cb151p-6, -0x1.ecacda879d5a7p-6, -0x1.df57ef780499bp-6, -0x1.d2551ea6d09e5p-6, -0x1.c5a2bf77286ap-6, -0x1.b93f2f6ee48d7p-6, -0x1.ad28d233328cap-6, -0x1.a15e1184863a2p-6, -0x1.95dd5d39dd432p-6, -0x1.8aa52b3b5f79ap-6, -0x1.7fb3f77c62337p-6, -0x1.750a8f341099ep-6, -0x1.6aa2e9aadce7fp-6, -0x1.607dd8afd8065p-6, -0x1.5699f034d36f1p-6, -0x1.4cf5ca0f969d6p-6, -0x1.439005f0337b2p-6, -0x1.3a674956f8fe7p-6, -0x1.317a3f89fa1cdp-6, -0x1.28c7998a33a2fp-6, -0x1.204e0e08530cap-6, -0x1.180c59591f11dp-6, -0x1.10013d69883d3p-6, -0x1.082b81b2667ap-6, -0x1.0089f32be230ep-6, -0x1.f236c8811d27dp-7, -0x1.e3bd598079b1bp-7, -0x1.d5a553a510c04p-7, -0x1.c7ec7bd2362b9p-7, -0x1.ba90a1637745bp-7, -0x1.ad8f9e10372bcp-7, -0x1.a0e755cedd507p-7, -0x1.9495b6b7a9f3cp-7, -0x1.8898b8e723de7p-7, -0x1.7cee5e60374c9p-7, -0x1.7194b2ee0a414p-7, -0x1.6689cc0587ab4p-7, -0x1.5bcbc8a6b50eap-7, -0x1.5158d13dce7afp-7, -0x1.472f178436bbcp-7, -0x1.3d4cd66147975p-7, -0x1.33b051caf8886p-7, -0x1.2a57d6a674b8cp-7, -0x1.2141baa89e1fdp-7, -0x1.186c5c3681b62p-7, -0x1.0fd62245c968ap-7, -0x1.077d7c3d288e8p-7, -0x1.fec1c3a9a78bp-8, -0x1.eefda5edf6f5dp-8, -0x1.dfabaf40b3307p-8, -0x1.d0c8ff81a0b7p-8, -0x1.c252c6383d702p-8, -0x1.b446425569536p-8, -0x1.a6a0c1f54099fp-8, -0x1.995fa221454f8p-8, -0x1.8c804e92cf415p-8, -0x1.80004175d016fp-8, -0x1.73dd032bf0148p-8, -0x1.68142a100a013p-8, -0x1.5ca35a3a05105p-8, -0x1.518845432472cp-8, -0x1.46c0aa0ab84c3p-8, -0x1.3c4a547b47697p-8, -0x1.32231d502f765p-8, -0x1.2848e9dbbdacdp-8, -0x1.1eb9abcdcc5f2p-8, -0x1.157360fadc134p-8, -0x1.0c741323ba7afp-8, -0x1.03b9d7bda7867p-8, -0x1.f6859f762d5cap-9, -0x1.e61a4ea9e7618p-9, -0x1.d62e2ba8f6b9cp-9, -0x1.c6bdbabb5709dp-9, -0x1.b7c595748f1e4p-9, -0x1.a9426a4aedfbep-9, -0x1.9b30fc2ff51dep-9, -0x1.8d8e222a06f63p-9, -0x1.8056c6ef4c2dap-9, -0x1.7387e881d0c39p-9, -0x1.671e97ccea812p-9, -0x1.5b17f843de9ep-9, -0x1.4f713f81cba6bp-9, -0x1.4427b4eada76fp-9, -0x1.3938b14eb9a6ap-9, -0x1.2ea19e8c5f7a7p-9, -0x1.245ff7370ef5ap-9, -0x1.1a71463cba847p-9, -0x1.10d3268d9e857p-9, -0x1.078342c52eb89p-9, -0x1.fcfea9a8a7861p-10, -0x1.eb8a4b59d569ap-10, -0x1.daa519dd2dc77p-10, -0x1.ca4ae129b7f2dp-10, -0x1.ba77894d084a8p-10, -0x1.ab2715cc9be33p-10, -0x1.9c55a509ae131p-10, -0x1.8dff6fa7dd70cp-10, -0x1.8020c7f60cc7bp-10, -0x1.72b6195a04dcp-10, -0x1.65bbe7be804dap-10, -0x1.592ecf03c4804p-10, -0x1.4d0b8272b465bp-10, -0x1.414ecc3263eafp-10, -0x1.35f58cc014638p-10, -0x1.2afcba69bcda3p-10, -0x1.206160cac314bp-10, -0x1.1620a04b7e691p-10, -0x1.0c37ada2be3cdp-10, -0x1.02a3d159de8dp-10, -0x1.f2c4cea65791ep-11, -0x1.e0e1bca527446p-11, -0x1.cf996f1147e43p-11, -0x1.bee70c3fa341p-11, -0x1.aec5dd97ed162p-11, -0x1.9f314eb82c9b6p-11, -0x1.9024ec9c91ddp-11, -0x1.819c64cbb4213p-11, -0x1.73938486e643dp-11, -0x1.660637ff30782p-11, -0x1.58f0898e0dd07p-11, -0x1.4c4ea0f27d6e2p-11, -0x1.401cc2921443bp-11, -0x1.34574ebe1ceb6p-11, -0x1.28fac0fc9f103p-11, -0x1.1e03af555398p-11, -0x1.136ec9a26d034p-11, -0x1.0938d8e52d068p-11, -0x1.febd7d3c279b6p-12, -0x1.ebbae852001bbp-12, -0x1.d96414390d246p-12, -0x1.c7b34f5a7a978p-12, -0x1.b6a3142876517p-12, -0x1.a62e07f244fdfp-12, -0x1.964ef9bf14b4bp-12, -0x1.8700e12f7257cp-12, -0x1.783edd6542a1p-12, -0x1.6a0433f223d8dp-12, -0x1.5c4c4fcc25bf2p-12, -0x1.4f12c048b56c3p-12, -0x1.4253381d55954p-12, -0x1.36098c66d3bd6p-12, -0x1.2a31b3b5ff7b2p-12, -0x1.1ec7c5220b732p-12, -0x1.13c7f760da3bfp-12, -0x1.092e9fe49a71fp-12, -0x1.fdf063fdc53c9p-13, -0x1.ea427c124d52bp-13, -0x1.d74ce12491649p-13, -0x1.c5092322b7a08p-13, -0x1.b371073ac3979p-13, -0x1.a27e8653b4c2cp-13, -0x1.922bcb908ac18p-13, -0x1.827332dc88b02p-13, -0x1.734f478024c46p-13, -0x1.64bac2c025b26p-13, -0x1.56b08a847da7p-13, -0x1.492bb00845b9fp-13, -0x1.3c276e91f7c3p-13, -0x1.2f9f2a33f6c88p-13, -0x1.238e6e955a52p-13, -0x1.17f0edc2422bep-13, -0x1.0cc27f043a9e1p-13, -0x1.01ff1dc223ac6p-13, -0x1.ef45d0cdf9b29p-14, -0x1.db543ea20639dp-14, -0x1.c822478dc4cd9p-14, -0x1.b5a8ede8409a8p-14, -0x1.a3e171d947fdp-14, -0x1.92c54f6c5a83bp-14, -0x1.824e3cb2697f7p-14, -0x1.727627eee0a55p-14, -0x1.633735d1aed94p-14, -0x1.548bbfbd3d21cp-14, -0x1.466e52188d6adp-14, -0x1.38d9aaad06c56p-14, -0x1.2bc8b70f5c53dp-14, -0x1.1f3693147238dp-14, -0x1.131e874efd932p-14, -0x1.077c079ba56b5p-14, -0x1.f89563685237cp-15, -0x1.e30c979c57217p-15, -0x1.ce558688790bep-15, -0x1.ba68569055301p-15, -0x1.a73d773ef65fap-15, -0x1.94cd9ed17498cp-15, -0x1.8311c7d5260ccp-15, -0x1.72032ed6ec877p-15, -0x1.619b502489c4dp-15, -0x1.51d3e59f0a08p-15, -0x1.42a6e49e11124p-15, -0x1.340e7be35a602p-15, -0x1.2605119f0becap-15, -0x1.18854181cc91fp-15, -0x1.0b89dae155b78p-15, -0x1.fe1bbdcd88b4fp-16, -0x1.e618fda47df29p-16, -0x1.cf02348e5c047p-16, -0x1.b8ce7b50a5035p-16, -0x1.a3754102709c4p-16, -0x1.8eee47f9b5409p-16, -0x1.7b31a2d0af3a7p-16, -0x1.6837b1864050fp-16, -0x1.55f91eb105168p-16, -0x1.446edcd334eddp-16, -0x1.339223bba7dd7p-16, -0x1.235c6e01d158ap-16, -0x1.13c77695c922ap-16, -0x1.04cd36656f122p-16, -0x1.eccfc42bee05cp-17, -0x1.d123cf9ed6faep-17, -0x1.b68bda39a010bp-17, -0x1.9cfd99bcebfecp-17, -0x1.846f2a96112c7p-17, -0x1.6cd70c0ecc7c8p-17, -0x1.562c1c9500b2p-17, -0x1.406596269ce92p-17, -0x1.2b7b0adac606fp-17, -0x1.1764618ac0661p-17, -0x1.0419d29b61eefp-17, -0x1.e327c9a74e399p-18, -0x1.bf96d4d70cd54p-18, -0x1.9d72fc3223a3cp-18, -0x1.7caf008b90c25p-18, -0x1.5d3e28b22f7cep-18, -0x1.3f143c3b80578p-18, -0x1.22257e73ad281p-18, -0x1.0666a984b9a1bp-18, -0x1.d799d3869202p-19, -0x1.a49bb258f2d32p-19, -0x1.73bef60059019p-19, -0x1.44f06f295870ap-19, -0x1.181db08a455ep-19, -0x1.da6a0e059ed33p-20, -0x1.884ae45617dbep-20, -0x1.39bd3a03e2ee8p-20, -0x1.dd435ba63850bp-21, -0x1.4db433c598553p-21, -0x1.89261aaef4cf3p-22, -0x1.06a0f3e0240bdp-23, 0x1.da0de79ba8579p-24, 0x1.64bc97ef16456p-22, 0x1.23dedd21d97e5p-21, 0x1.8ff2f4d1b9486p-21, 0x1.f6c84359d03b5p-21, 0x1.2c455c586c9d5p-20, 0x1.5ab24bee08a5p-20, 0x1.86bf446109b7p-20, 0x1.b07fd50ddbcefp-20, 0x1.d806d12272c56p-20, 0x1.fd6657c299e9bp-20, 0x1.1057ede67e339p-19, 0x1.20fa15afb70e2p-19, 0x1.30a1bb802535dp-19, 0x1.3f56ac423edcp-19, 0x1.4d206cd7000e2p-19, 0x1.5a063d428ab63p-19, 0x1.660f1bae93285p-19, 0x1.7141c75d003d8p-19, 0x1.7ba4c36fba9abp-19, 0x1.853e5991c8814p-19, 0x1.8e149c8948cafp-19, 0x1.962d6aa54ee43p-19, 0x1.9d8e7024c579ep-19, 0x1.a43d2963a5fe6p-19, 0x1.aa3ee503bac9cp-19, 0x1.af98c5f4898c6p-19, 0x1.b44fc59382456p-19, 0x1.b86d3d93af8acp-19, 0x1.bbec6d4644d42p-19, 0x1.bed6be8d00db5p-19, 0x1.c130965ebe5dfp-19, 0x1.c2fe388f07431p-19, 0x1.c443c93f3bda1p-19, 0x1.c5054e4cc37a5p-19, 0x1.c546b0a8fb663p-19, 0x1.c50bbd9b4435bp-19, 0x1.c4582800e66d8p-19, 0x1.c32f8971bb5f3p-19, 0x1.c1956358edb6p-19, 0x1.bf8d20065b42p-19, 0x1.bd1a13aa08091p-19, 0x1.ba3f7d4b680b5p-19, 0x1.b70087a5fd6d9p-19, 0x1.b3604a066b159p-19, 0x1.af61c93b386ccp-19, 0x1.ab07f81aeda5fp-19, 0x1.a655b8774c6b3p-19, 0x1.a14ddbaba7ae3p-19, 0x1.9bf3235714505p-19, 0x1.964841f17761p-19, 0x1.904fdb66ced97p-19, 0x1.8a0c85a3e77dbp-19, 0x1.8380c91cb2348p-19, 0x1.7caf214c12c9cp-19, 0x1.7599fd25fef62p-19, 0x1.6e43bf93156bbp-19, 0x1.66aebfd1f3edap-19, 0x1.5edd49e1a2d91p-19, 0x1.56d19edd1f6d7p-19, 0x1.4e8df55716812p-19, 0x1.461479ab64edp-19, 0x1.3d674e5021cb6p-19, 0x1.34888c207ca2ep-19, 0x1.2b7a42a09d148p-19, 0x1.223e783b5e878p-19, 0x1.18d72a97a3fd3p-19, 0x1.0f464eaa1e11fp-19, 0x1.058dd10aa401ap-19, 0x1.f75f2c38a04bcp-20, 0x1.e35af47ae88afp-20, 0x1.cf12a3d9fee04p-20, 0x1.ba89d42a3f448p-20, 0x1.a5c40ffd1be87p-20, 0x1.90c4d333af096p-20, 0x1.7b8f8b2ae107ep-20, 0x1.662796fd6e3c6p-20, 0x1.509047c7783efp-20, 0x1.3acce0c2c06a6p-20, 0x1.24e097a15a8c3p-20, 0x1.0ece94a04fae2p-20, 0x1.f133e58484189p-21, 0x1.c48b7fe4dede1p-21, 0x1.97a9fa6104925p-21, 0x1.6a953d657ef13p-21, 0x1.3d5318119fcddp-21, 0x1.0fe9407637f6ep-21, 0x1.c4baa7b691cf9p-22, 0x1.6969adb8e0d1fp-22, 0x1.0dea6b83c61ffp-22, 0x1.648f1264202b4p-23, 0x1.5a2dfb8f11f8fp-24, -0x1.4fdacf4d296e7p-28, -0x1.843c6ec4680f8p-24, -0x1.79b351727e52cp-23, -0x1.1895570b11a58p-22, -0x1.743899dec04c2p-22, -0x1.cfba12aab8298p-22, -0x1.1588485f5bc4cp-21, -0x1.4319888d84a15p-21, -0x1.708c5f188b7b9p-21, -0x1.9ddc77d8e8182p-21, -0x1.cb0594ff84abdp-21, -0x1.f8038f35807dfp-21, -0x1.12692aaebf812p-20, -0x1.28b6f633d122bp-20, -0x1.3ee937b369ee4p-20, -0x1.54fe079a48cc8p-20, -0x1.6af3893e724e5p-20, -0x1.80c7eac87a7e3p-20, -0x1.967965306f1fbp-20, -0x1.ac063c302ee01p-20, -0x1.c16cbdffa42c8p-20, -0x1.d6ab43a045ec8p-20, -0x1.ebc03092d1871p-20, -0x1.0054f96bb18c4p-19, -0x1.0ab3817130a14p-19, -0x1.14faf1c30ab1fp-19, -0x1.1f2a90f6ad92bp-19, -0x1.2941aac47195ap-19, -0x1.333f9000fc7a4p-19, -0x1.3d239698fbe16p-19, -0x1.46ed19829c3f5p-19, -0x1.509b78bb59b13p-19, -0x1.5a2e194261b8p-19, -0x1.63a4650cfe7b7p-19, -0x1.6cfdcaf515f61p-19, -0x1.7639bec6e6f1ap-19, -0x1.7f57b92667cd9p-19, -0x1.88573788f740ep-19, -0x1.9137bc2a7ae4bp-19, -0x1.99f8ce0630df1p-19, -0x1.a299f8c70cf15p-19, -0x1.ab1accba6e329p-19, -0x1.b37adebc805bfp-19, -0x1.bbb9c8375002ep-19, -0x1.c3d7270eeb54fp-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.50802f54f9487p-1, 0x1.509beb19fee4bp-1, 0x1.50c8a0127a77fp-1, 0x1.51041f6bd9cb7p-1, 0x1.514b82b8e3a85p-1, 0x1.519b4a6ab1684p-1, 0x1.51ef7d69fe7adp-1, 0x1.5243c80e8a214p-1, 0x1.5293994cc549ep-1, 0x1.52da3d644e7b8p-1, 0x1.5312f5ad10b77p-1, 0x1.53390d5c7cb97p-1, 0x1.5347eb45e4d64p-1, 0x1.533b20b4f39cbp-1, 0x1.530e7592f0963p-1, 0x1.52bdf211c42fdp-1, 0x1.5245e61c86f1cp-1, 0x1.51a2eece66974p-1, 0x1.50d1fa2f1b296p-1, 0x1.4fd04970e0a12p-1, 0x1.4e9b71e79a57dp-1, 0x1.4d315cebf0978p-1, 0x1.4b9046d833823p-1, 0x1.49b6bd47c9db1p-1, 0x1.47a39cbd2ce64p-1, 0x1.45560dcdf168fp-1, 0x1.42cd81f035477p-1, 0x1.4009b001072dp-1, 0x1.3d0a9097f38acp-1, 0x1.39d05a38e13d5p-1, 0x1.365b7d72b4c8cp-1, 0x1.32aca0f6d88bdp-1, 0x1.2ec49db3bd279p-1, 0x1.2aa47afa951f7p-1, 0x1.264d6ab707f41p-1, 0x1.21c0c5be45e1bp-1, 0x1.1d000839b90aep-1, 0x1.180cce30a5899p-1, 0x1.12e8d0332844bp-1, 0x1.0d95e0285f40cp-1, 0x1.0815e640e4babp-1, 0x1.026ade0e53ca1p-1, 0x1.f92da780364d6p-2, 0x1.ed37c30b2a1aep-2, 0x1.e0f85a2a232a7p-2, 0x1.d473caae8b3cdp-2, 0x1.c7ae806cd01ecp-2, 0x1.baacf1203cc78p-2, 0x1.ad7398927fb07p-2, 0x1.a006f504c3a39p-2, 0x1.926b83d81ed12p-2, 0x1.84a5be72ff66fp-2, 0x1.76ba176145addp-2, 0x1.68acf7ac97346p-2, 0x1.5a82bc6a88212p-2, 0x1.4c3fb47e398cfp-2, 0x1.3de81e8b075d2p-2, 0x1.2f802715f05d5p-2, 0x1.210be6d3732c1p-2, 0x1.128f611f9aff5p-2, 0x1.040e829e1138ap-2, 0x1.eb1a40002be18p-3, 0x1.ce1de9dc99495p-3, 0x1.b12f4628c211p-3, 0x1.94556299333fdp-3, 0x1.779715d2f4f5p-3, 0x1.5afafe3762a5p-3, 0x1.3e8780e52a044p-3, 0x1.2242c8eb1a84dp-3, 0x1.0632c6a9af841p-3, 0x1.d4ba5ec08754ap-4, 0x1.9d8ef9c60c6f1p-4, 0x1.66eddaedffd6bp-4, 0x1.30e107a2e7456p-4, 0x1.f6e41ce09267p-5, 0x1.8d540f005b41fp-5, 0x1.25232aa21e4fap-5, 0x1.7cc3967f8ff3fp-6, 0x1.647d941138b0dp-7, -0x1.52af1501d8d1ap-10, -0x1.b2bc810ac7a2bp-7, -0x1.9a41860f875eap-6, -0x1.2bde6d8825344p-5, -0x1.88dd0402787ep-5, -0x1.e4123e852ba78p-5, -0x1.1eba526f8e585p-4, -0x1.4a7dc5320e81fp-4, -0x1.754f84c525f33p-4, -0x1.9f2bffb27d637p-4, -0x1.c8100380c3a69p-4, -0x1.eff8ba551c8d1p-4, -0x1.0b71d444ce39dp-3, -0x1.1e67551d4600fp-3, -0x1.30dbf8661c755p-3, -0x1.42cf003577ab5p-3, -0x1.543fd6c350614p-3, -0x1.652e0d25c7ae7p-3, -0x1.75995a0cb6c86p-3, -0x1.8581987d0a01cp-3, -0x1.94e6c68c7f2ep-3, -0x1.a3c9041e5346bp-3, -0x1.b22891a1552fp-3, -0x1.c005cecfe5ee3p-3, -0x1.cd6139723c93p-3, -0x1.da3b6c2369c71p-3, -0x1.e6951d196ea2dp-3, -0x1.f26f1cf0bc138p-3, -0x1.fdca557b7107ap-3, -0x1.0453e44a4fc11p-2, -0x1.0984477bed46dp-2, -0x1.0e76eb8ea46fp-2, -0x1.132c720d3c6a4p-2, -0x1.17a5864414e52p-2, -0x1.1be2dcb696771p-2, -0x1.1fe532974f689p-2, -0x1.23ad4d42be1fep-2, -0x1.273bf9bceb141p-2, -0x1.2a920c31d5c8fp-2, -0x1.2db05f78c2784p-2, -0x1.3097d49a76e9dp-2, -0x1.3349525a6df5cp-2, -0x1.35c5c4c30372bp-2, -0x1.380e1cb4ab08fp-2, -0x1.3a234f7826ebap-2, -0x1.3c065653ccfbap-2, -0x1.3db82e23d8918p-2, -0x1.3f39d6f5c8eefp-2, -0x1.408c53a6c7f15p-2, -0x1.41b0a98523233p-2, -0x1.42a7dff4c4b4p-2, -0x1.43730016b754bp-2, -0x1.44131473a5239p-2, -0x1.448928a9544c1p-2, -0x1.44d6491b1578fp-2, -0x1.44fb82a521e77p-2, -0x1.44f9e252dd3a5p-2, -0x1.44d27517f6a7bp-2, -0x1.4486478c5e827p-2, -0x1.441665ab0591p-2, -0x1.4383da935e479p-2, -0x1.42cfb04d97fa3p-2, -0x1.41faef91826f8p-2, -0x1.41069f9013ac7p-2, -0x1.3ff3c5bf83a78p-2, -0x1.3ec365a9f0b21p-2, -0x1.3d7680be80b8bp-2, -0x1.3c0e1624f4cabp-2, -0x1.3a8b22939e343p-2, -0x1.38eea027ab7c8p-2, -0x1.3739863fbe555p-2, -0x1.356cc958c05d1p-2, -0x1.33895aece2087p-2, -0x1.31902954c02f1p-2, -0x1.2f821faa9809bp-2, -0x1.2d6025af85adfp-2, -0x1.2b2b1fb2b7092p-2, -0x1.28e3ee7a8a1e3p-2, -0x1.268b6f2f8aa6ap-2, -0x1.24227b493838p-2, -0x1.21a9e87c932b6p-2, -0x1.1f2288ac5ab9ep-2, -0x1.1c8d29daeeac3p-2, -0x1.19ea961dcb607p-2, -0x1.173b939290517p-2, -0x1.1480e4558149bp-2, -0x1.11bb46797ac87p-2, -0x1.0eeb7401463eep-2, -0x1.0c1222da45594p-2, -0x1.093004d86722ep-2, -0x1.0645c7b356be2p-2, -0x1.03541504dbc74p-2, -0x1.005b924860103p-2, -0x1.fab9c1b70dd74p-3, -0x1.f4b13bffab2c8p-3, -0x1.ee9ec5bab0259p-3, -0x1.e883890c7a632p-3, -0x1.e260a7f6ab111p-3, -0x1.dc373c62ef1d3p-3, -0x1.d608582f62353p-3, -0x1.cfd5053c87447p-3, -0x1.c99e457cba4bep-3, -0x1.c36513050ca05p-3, -0x1.bd2a601f6cc56p-3, -0x1.b6ef175e1c88ep-3, -0x1.b0b41bb0425a6p-3, -0x1.aa7a4877a3f13p-3, -0x1.a442719f61cb4p-3, -0x1.9e0d63b3ac7aep-3, -0x1.97dbe3fa5ce52p-3, -0x1.91aeb08c68675p-3, -0x1.8b86807011386p-3, -0x1.856403b3d68c5p-3, -0x1.7f47e38a04cdfp-3, -0x1.7932c264dfc7p-3, -0x1.73253c1358a43p-3, -0x1.6d1fe5de3d5cp-3, -0x1.67234ea5d98dbp-3, -0x1.612ffefff65fap-3, -0x1.5b467956395d1p-3, -0x1.55673a04c0e6dp-3, -0x1.4f92b7790701ep-3, -0x1.49c96250f8ed6p-3, -0x1.440ba57a356bcp-3, -0x1.3e59e65167326p-3, -0x1.38b484c1bd41p-3, -0x1.331bdb6464fb5p-3, -0x1.2d903fa010939p-3, -0x1.281201c872e69p-3, -0x1.22a16d3dae263p-3, -0x1.1d3ec88bb00b1p-3, -0x1.17ea5589701e4p-3, -0x1.12a45178082fep-3, -0x1.0d6cf521a6fb4p-3, -0x1.084474f84d234p-3, -0x1.032b013458ec1p-3, -0x1.fc418be5a540ap-4, -0x1.f24bd6a6efbdep-4, -0x1.e8752b2cfbcdbp-4, -0x1.debdca741e8dbp-4, -0x1.d525ee2eea383p-4, -0x1.cbadc8ffd439dp-4, -0x1.c25586b237abfp-4, -0x1.b91d4c729b924p-4, -0x1.b005390639575p-4, -0x1.a70d6501c70cbp-4, -0x1.9e35e2ff6b0acp-4, -0x1.957ebfd3f8c88p-4, -0x1.8ce802c33e726p-4, -0x1.8471adb392bf6p-4, -0x1.7c1bbd607a627p-4, -0x1.73e6298c74becp-4, -0x1.6bd0e531e3bc8p-4, -0x1.63dbdeb312157p-4, -0x1.5c070009521e7p-4, -0x1.54522ef332f07p-4, -0x1.4cbd4d21cd00ap-4, -0x1.4548386522cedp-4, -0x1.3df2cad7957dep-4, -0x1.36bcdb086adf2p-4, -0x1.2fa63c25681b6p-4, -0x1.28aebe237e29ep-4, -0x1.21d62de686d8bp-4, -0x1.1b1c556818354p-4, -0x1.1480fbdd68008p-4, -0x1.0e03e5dc46364p-4, -0x1.07a4d57f2acb5p-4, -0x1.01638a885c146p-4, -0x1.f67f8508560cep-5, -0x1.ea7271d4952e4p-5, -0x1.de9f4e7c85893p-5, -0x1.d3058a5dfe2fp-5, -0x1.c7a4916afe9dp-5, -0x1.bc7bcc654ca96p-5, -0x1.b18aa11861abap-5, -0x1.a6d072919ec87p-5, -0x1.9c4ca156d6748p-5, -0x1.91fe8b9b2b2dfp-5, -0x1.87e58d724eae9p-5, -0x1.7e010102202f3p-5, -0x1.74503eb2b60bap-5, -0x1.6ad29d5cd3228p-5, -0x1.61877276d602ep-5, -0x1.586e12401e095p-5, -0x1.4f85cfeaf5e77p-5, -0x1.46cdfdc504feap-5, -0x1.3e45ed5e4e968p-5, -0x1.35ecefaeca325p-5, -0x1.2dc2553a92e86p-5, -0x1.25c56e34bdeadp-5, -0x1.1df58aa0da047p-5, -0x1.1651fa731f6c7p-5, -0x1.0eda0daf55ed6p-5, -0x1.078d14867d542p-5, -0x1.006a5f733829p-5, -0x1.f2e27eaa067ddp-6, -0x1.e5420b1485187p-6, -0x1.d7f208124f09ep-6, -0x1.caf11aeeec7bbp-6, -0x1.be3dea826c05ep-6, -0x1.b1d71f5c9efbfp-6, -0x1.a5bb63ee40542p-6, -0x1.99e964b012d4cp-6, -0x1.8e5fd04809866p-6, -0x1.831d57ac800cfp-6, -0x1.7820ae4595e6dp-6, -0x1.6d688a0cb39bep-6, -0x1.62f3a3aa4ef8ep-6, -0x1.58c0b691f343ap-6, -0x1.4ece811c9ce3fp-6, -0x1.451bc4a17963ap-6, -0x1.3ba7458d0d2f8p-6, -0x1.326fcb76d86ccp-6, -0x1.297421357c4c4p-6, -0x1.20b314f173276p-6, -0x1.182b78365f9e6p-6, -0x1.0fdc20030b5a5p-6, -0x1.07c3e4d80fd0fp-6, -0x1.ffc3458a8627fp-7, -0x1.f06872ebcd1e6p-7, -0x1.e175187760ad1p-7, -0x1.d2e7043152c5fp-7, -0x1.c4bc0b8ffb308p-7, -0x1.b6f20b8b6609cp-7, -0x1.a986e8aac79d2p-7, -0x1.9c788f0ff5959p-7, -0x1.8fc4f2810043fp-7, -0x1.836a0e6ffb773p-7, -0x1.7765e60102274p-7, -0x1.6bb6840e98227p-7, -0x1.6059fb2c70c71p-7, -0x1.554e65a89f016p-7, -0x1.4a91e58b58c79p-7, -0x1.4022a49552935p-7, -0x1.35fed43cb02dep-7, -0x1.2c24ada8c0905p-7, -0x1.229271ac704cfp-7, -0x1.194668bf94b3ap-7, -0x1.103ee2f717dc4p-7, -0x1.077a37fc12d01p-7, -0x1.fded8e03cbbeep-8, -0x1.ed65ed76b4c81p-8, -0x1.dd5a6a9db417dp-8, -0x1.cdc7f093964ebp-8, -0x1.beab792632dedp-8, -0x1.b0020cb9f6e95p-8, -0x1.a1c8c22bfa4f7p-8, -0x1.93fcbeb2b4a3p-8, -0x1.869b35bd6cfcep-8, -0x1.79a168d271f37p-8, -0x1.6d0ca76c32be6p-8, -0x1.60da4ed54b436p-8, -0x1.5507ca039557ap-8, -0x1.4992917251818p-8, -0x1.3e782afb7986dp-8, -0x1.33b629b04d1a2p-8, -0x1.294a2db127dafp-8, -0x1.1f31e404b2ac5p-8, -0x1.156b066e7d9cp-8, -0x1.0bf35b45121e9p-8, -0x1.02c8b5478bb1fp-8, -0x1.f3d1e6e58603dp-9, -0x1.e2a401ac36128p-9, -0x1.d203a8cff534p-9, -0x1.c1ece1b4002e1p-9, -0x1.b25bc8d9f1e35p-9, -0x1.a34c9189568b5p-9, -0x1.94bb8576eefa7p-9, -0x1.86a5046bc4a01p-9, -0x1.790583ec146c2p-9, -0x1.6bd98ede2f93p-9, -0x1.5f1dc5315e015p-9, -0x1.52cedb84cee2fp-9, -0x1.46e99aceb5a2fp-9, -0x1.3b6ae0039484ep-9, -0x1.304f9bbdcc7c5p-9, -0x1.2594d1e57ab43p-9, -0x1.1b379958b80a3p-9, -0x1.11351b9440af9p-9, -0x1.078a945c9562ap-9, -0x1.fc6aa2cf35849p-10, -0x1.ea65640d95febp-10, -0x1.d9004da3f4f7ep-10, -0x1.c83662a5873a4p-10, -0x1.b802c761303cfp-10, -0x1.a860c0bb09b3fp-10, -0x1.994bb3876e6f9p-10, -0x1.8abf23e77c286p-10, -0x1.7cb6b4a72f1eep-10, -0x1.6f2e269d1e50fp-10, -0x1.6221580be5c6bp-10, -0x1.558c440545b8fp-10, -0x1.496b01cf02f3ap-10, -0x1.3db9c4499cb87p-10, -0x1.3274d958cbbecp-10, -0x1.2798a94de5567p-10, -0x1.1d21b654218e2p-10, -0x1.130c9bded0be5p-10, -0x1.09560e197777fp-10, -0x1.fff5b2b3d04b2p-11, -0x1.edefc328b8c87p-11, -0x1.dc9443a302f34p-11, -0x1.cbdd574d1f505p-11, -0x1.bbc54d5ec8c59p-11, -0x1.ac46a01547162p-11, -0x1.9d5bf3afc54d6p-11, -0x1.8f00156fbe5a8p-11, -0x1.812dfa9d7ef3dp-11, -0x1.73e0bf90c0988p-11, -0x1.6713a6bd5c548p-11, -0x1.5ac217c4150e8p-11, -0x1.4ee79e87758b7p-11, -0x1.437fea44c2d42p-11, -0x1.3886ccb0fe7d1p-11, -0x1.2df83919f3daep-11, -0x1.23d0438b4d714p-11, -0x1.1a0b1ff7ada63p-11, -0x1.10a52165c266fp-11, -0x1.079ab9215228dp-11, -0x1.fdd0ebe06e7ep-12, -0x1.ed160696883ap-12, -0x1.dcfe513614e2cp-12, -0x1.cd8390f0f4938p-12, -0x1.be9fbfe2a4179p-12, -0x1.b04d0ba0afa87p-12, -0x1.a285d3d29ecd1p-12, -0x1.9544a8d1513f3p-12, -0x1.88844a4dae365p-12, -0x1.7c3fa5fe9822ap-12, -0x1.7071d6560ec6ap-12, -0x1.6516213d6bde3p-12, -0x1.5a27f6d8a201ep-12, -0x1.4fa2f050689bp-12, -0x1.4582cea3418c1p-12, -0x1.3bc3797d3bb92p-12, -0x1.3260fe1663955p-12, -0x1.29578e17c0d41p-12, -0x1.20a37e86d4a1dp-12, -0x1.184146b775443p-12, -0x1.102d7f43f92abp-12, -0x1.0864e10b91ea7p-12, -0x1.00e44436c5935p-12, -0x1.f3513e83ce98ep-13, -0x1.e55e0c1afc359p-13, -0x1.d7e951e8f013ep-13, -0x1.caeda7d03eb9ap-13, -0x1.be65db234edf5p-13, -0x1.b24cecf296e28p-13, -0x1.a69e1065ab08p-13, -0x1.9b54a91f0c58p-13, -0x1.906c49aa67e9ap-13, -0x1.85e0b1f532cd4p-13, -0x1.7badcdd15b6d7p-13, -0x1.71cfb381f47aap-13, -0x1.6842a25194ec5p-13, -0x1.5f03013253e0dp-13, -0x1.560d5d671f7fbp-13, -0x1.4d5e6936490c1p-13, -0x1.44f2faa512ceap-13, -0x1.3cc80a3c1e834p-13, -0x1.34dab1d476f0cp-13, -0x1.2d282b6d22a53p-13, -0x1.25add008fd314p-13, -0x1.1e691694bcc26p-13, -0x1.175792d4e25c1p-13, -0x1.1076f45b855f6p-13, -0x1.09c50585b3399p-13, -0x1.033faa804f68p-13, -0x1.f9c9c0a874596p-14, -0x1.ed6577f34240dp-14, -0x1.e14ed2e48ac8cp-14, -0x1.d58255d52c40bp-14, -0x1.c9fcafc2f857bp-14, -0x1.bebab8ad3c48p-14, -0x1.b3b96ffe17a17p-14, -0x1.a8f5fb0039375p-14, -0x1.9e6da360bed0fp-14, -0x1.941dd5bcf7208p-14, -0x1.8a04203ba684ep-14, -0x1.801e3131a18e2p-14, -0x1.7669d5d1655b7p-14, -0x1.6ce4f8e56e975p-14, -0x1.638da195095a9p-14, -0x1.5a61f233591cfp-14, -0x1.5160271853575p-14, -0x1.4886958371097p-14, -0x1.3fd3aa87d13d3p-14, -0x1.3745ea0194823p-14, -0x1.2edbed942ffb8p-14, -0x1.269463b17c60bp-14, -0x1.1e6e0ea947d5fp-14, -0x1.1667c3c12e425p-14, -0x1.0e806a5481612p-14, -0x1.06b6fafc068c2p-14, -0x1.fe14fd7aad72fp-15, -0x1.eef41c834f24ep-15, -0x1.e009a227988d8p-15, -0x1.d153f9ca71374p-15, -0x1.c2d1a9b3ab26fp-15, -0x1.b48151b4e7f4bp-15, -0x1.a661a9db5f3f9p-15, -0x1.9871812e230c2p-15, -0x1.8aafbc7887fabp-15, -0x1.7d1b552057439p-15, -0x1.6fb358076e3cbp-15, -0x1.6276e4787c827p-15, -0x1.55652b1e82b98p-15, -0x1.487d6d06c7b2bp-15, -0x1.3bbefaacec06bp-15, -0x1.2f293310d4788p-15, -0x1.22bb82d616ce3p-15, -0x1.1675636ca283ep-15, -0x1.0a565a425bd83p-15, -0x1.fcbbeffaba59fp-16, -0x1.e517af7d3d365p-16, -0x1.cdbf3cd97473p-16, -0x1.b6b1f40d19322p-16, -0x1.9fef41fae2a9cp-16, -0x1.8976a32db7e0dp-16, -0x1.7347a2aa162bp-16, -0x1.5d61d8cd41059p-16, -0x1.47c4ea39beaep-16, -0x1.327086d0abfbdp-16, -0x1.1d6468b77c223p-16, -0x1.08a05369be056p-16, -0x1.e84825acd7dabp-17, -0x1.bfdef510dfa87p-17, -0x1.9804c9b3dd978p-17, -0x1.70b964640159bp-17, -0x1.49fc9098cf64fp-17, -0x1.23ce2315ffe1ep-17, -0x1.fc5bf141e4d27p-18, -0x1.b237e990423cbp-18, -0x1.69300177c178fp-18, -0x1.2144146f8e452p-18, -0x1.b4e809f06f6dep-19, -0x1.297f755ad1964p-19, -0x1.409c81d530749p-20, -0x1.9544598e9916cp-23, 0x1.adba8e968fa59p-21, 0x1.dbf549bb81f5fp-20, 0x1.6e4fede79519fp-19, 0x1.ec6eb700656b2p-19, 0x1.342ba19ada05fp-18, 0x1.7104f151e00cap-18, 0x1.acc37a44a0697p-18, 0x1.e767749912005p-18, 0x1.107890eec62f7p-17, 0x1.2cb066ebe3035p-17, 0x1.485b67a0f04e1p-17, 0x1.6379c43b25a77p-17, 0x1.7e0bb4059ddb5p-17, 0x1.981174af4a172p-17, 0x1.b18b4a895d8cdp-17, 0x1.ca7980bea51fap-17, 0x1.e2dc69841835bp-17, 0x1.fab45e42ebe2ep-17, 0x1.0900dfde43c62p-16, 0x1.14627b144dee7p-16, 0x1.1f7f38a6d889fp-16, 0x1.2a57544a39a46p-16, 0x1.34eb0d8af9b5bp-16, 0x1.3f3aa7d2a0367p-16, 0x1.49466a6a39fbap-16, 0x1.530ea07ac6bd7p-16, 0x1.5c93990ba649fp-16, 0x1.65d5a6ff217dep-16, 0x1.6ed5210d2f6fep-16, 0x1.779261bc8d25ap-16, 0x1.800dc75a455d2p-16, 0x1.8847b3efbf79ep-16, 0x1.90408d376b334p-16, 0x1.97f8bc902b9b2p-16, 0x1.9f70aeef85cf4p-16, 0x1.a6a8d4d2b75cap-16, 0x1.ada1a22ec3774p-16, 0x1.b45b8e5f8a79cp-16, 0x1.bad71415fe6aap-16, 0x1.c114b145896b5p-16, 0x1.c714e710b3c26p-16, 0x1.ccd839b51e66bp-16, 0x1.d25f3076db697p-16, 0x1.d7aa558b3c064p-16, 0x1.dcba36031f288p-16, 0x1.e18f61b4c79adp-16, 0x1.e62a6b2555422p-16, 0x1.ea8be771e1648p-16, 0x1.eeb46e3852288p-16, 0x1.f2a4997fed3aep-16, 0x1.f65d05a1b5215p-16, 0x1.f9de51309b518p-16, 0x1.fd291ce194042p-16, 0x1.001f05b9c97cap-15, 0x1.018ee0cbbc312p-15, 0x1.02e472ebfd18bp-15, 0x1.04201040c8de5p-15, 0x1.05420dc539029p-15, 0x1.064ac13d4801bp-15, 0x1.073a8129e3e2cp-15, 0x1.0811a4bd0d06ep-15, 0x1.08d083ce0cbfap-15, 0x1.097776cdbc1c5p-15, 0x1.0a06d6bae789fp-15, 0x1.0a7efd16ccbfap-15, 0x1.0ae043d9b3552p-15, 0x1.0b2b0567a9042p-15, 0x1.0b5f9c855ce56p-15, 0x1.0b7e644d1f6e3p-15, 0x1.0b87b824089e7p-15, 0x1.0b7bf3af4403p-15, 0x1.0b5b72c987f46p-15, 0x1.0b269178b3beap-15, 0x1.0addabe39b8acp-15, 0x1.0a811e48020a3p-15, 0x1.0a1144f0bdb9dp-15, 0x1.098e7c2c0d589p-15, 0x1.08f920421ecep-15, 0x1.08518d6bc2be2p-15, 0x1.07981fc954b75p-15, 0x1.06cd3359d2ef4p-15, 0x1.05f123f229e12p-15, 0x1.05044d34b3156p-15, 0x1.04070a88e5fep-15, 0x1.02f9b7133bfb7p-15, 0x1.01dcadad4b821p-15, 0x1.00b048de13864p-15, 0x1.fee9c5a4f7be7p-16, 0x1.fc55aaac1b044p-16, 0x1.f9a4f397b0fcfp-16, 0x1.f6d8524f27f94p-16, 0x1.f3f077cdddbedp-16, 0x1.f0ee14162b716p-16, 0x1.edd1d624d93efp-16, 0x1.ea9c6be4f4c39p-16, 0x1.e74e822412cbbp-16, 0x1.e3e8c486f5f71p-16, 0x1.e06bdd7e9479ep-16, 0x1.dcd8763d8c1d6p-16, 0x1.d92f36adef9ap-16, 0x1.d570c5677c6dfp-16, }}, 
      {{0x1.5079ec932db3cp-1, 0x1.50833ee3e734ap-1, 0x1.509279d77f2dep-1, 0x1.50a72b8620783p-1, 0x1.50c0ba8b551dap-1, 0x1.50de6ad63889cp-1, 0x1.50ff62cefaddep-1, 0x1.5122b08d1a079p-1, 0x1.51474eeda7cb3p-1, 0x1.516c2a6857f11p-1, 0x1.5190258db652ep-1, 0x1.51b21d21cc789p-1, 0x1.51d0ebcd0821cp-1, 0x1.51eb6d620749ep-1, 0x1.520081ba5b656p-1, 0x1.520f0f2eb36b7p-1, 0x1.521604b065368p-1, 0x1.52145b8b418c6p-1, 0x1.520918d70f5d8p-1, 0x1.51f34ea035748p-1, 0x1.51d21ccef711ep-1, 0x1.51a4b1d4677ecp-1, 0x1.516a4b23d4cdep-1, 0x1.5122357ef6c68p-1, 0x1.50cbcd1ab63acp-1, 0x1.50667da1de348p-1, 0x1.4ff1c21a91a29p-1, 0x1.4f6d24b2dcea4p-1, 0x1.4ed83e7852133p-1, 0x1.4e32b6fe2a60bp-1, 0x1.4d7c43f508834p-1, 0x1.4cb4a8b71754ep-1, 0x1.4bdbb5caee64ep-1, 0x1.4af1485f5980cp-1, 0x1.49f549c1dc3ccp-1, 0x1.48e7aed187dd1p-1, 0x1.47c8776f8b2a6p-1, 0x1.4697adeeaa1ebp-1, 0x1.45556682a389bp-1, 0x1.4401beb065321p-1, 0x1.429cdcbfc80d6p-1, 0x1.4126ef2f75f5ap-1, 0x1.3fa02c2b794a2p-1, 0x1.3e08d106e5179p-1, 0x1.3c6121b8ed84ap-1, 0x1.3aa9685db51fap-1, 0x1.38e1f4bb08724p-1, 0x1.370b1bc92fe0ap-1, 0x1.3525373ff4a29p-1, 0x1.3330a527ef7ep-1, 0x1.312dc7702a7dap-1, 0x1.2f1d038819d2ap-1, 0x1.2cfec1fdea8f3p-1, 0x1.2ad36e211e6e1p-1, 0x1.289b75a968c73p-1, 0x1.26574861be9e4p-1, 0x1.240757d783cedp-1, 0x1.21ac170dc1fa5p-1, 0x1.1f45fa3450279p-1, 0x1.1cd57662d353cp-1, 0x1.1a5b01577c06ep-1, 0x1.17d7113964fecp-1, 0x1.154a1c5e7854dp-1, 0x1.12b49914bbacp-1, 0x1.1016fd6ee7ea6p-1, 0x1.0d71bf142fb04p-1, 0x1.0ac553131589dp-1, 0x1.08122db7350ddp-1, 0x1.0558c261e36cap-1, 0x1.0299836589f6ap-1, 0x1.ffa9c3c73b9a4p-2, 0x1.fa169b5a33d11p-2, 0x1.f47a6a4ac2922p-2, 0x1.eed60a4eda595p-2, 0x1.e92a51da5cdf9p-2, 0x1.e37813f20f6e1p-2, 0x1.ddc0200295a66p-2, 0x1.d80341bb3ca97p-2, 0x1.d24240ec69bf9p-2, 0x1.cc7de169839b4p-2, 0x1.c6b6e2ee2798ap-2, 0x1.c0ee01067efd5p-2, 0x1.bb23f2fa925cdp-2, 0x1.b5596bbc6c818p-2, 0x1.af8f19d8ec4fcp-2, 0x1.a9c5a76b1eee3p-2, 0x1.a3fdba1200c73p-2, 0x1.9e37f2e881526p-2, 0x1.9874ee7faaddbp-2, 0x1.92b544dacffc8p-2, 0x1.8cf9896d9da12p-2, 0x1.87424b1bfb01cp-2, 0x1.8190143b93388p-2, 0x1.7be36a96f625cp-2, 0x1.763ccf72338ddp-2, 0x1.709cbf90d67fap-2, 0x1.6b03b33d319e8p-2, 0x1.65721e50d8b13p-2, 0x1.5fe8703e41bc1p-2, 0x1.5a67141b6bcbbp-2, 0x1.54ee70ad83125p-2, 0x1.4f7ee8756633ap-2, 0x1.4a18d9bd0311ep-2, 0x1.44bc9ea5743d5p-2, 0x1.3f6a8d35d4779p-2, 0x1.3a22f76ab24ep-2, 0x1.34e62b461da31p-2, 0x1.2fb472e036135p-2, 0x1.2a8e14783aa95p-2, 0x1.2573528601cc2p-2, 0x1.20646bcbd3b2cp-2, 0x1.1b619b689ccd4p-2, 0x1.166b18ea692ffp-2, 0x1.1181186122678p-2, 0x1.0ca3ca7182848p-2, 0x1.07d35c6839bb3p-2, 0x1.030ff84d317ap-2, 0x1.fcb389edeaa73p-3, 0x1.f361cc3c51533p-3, 0x1.ea2af8e222e78p-3, 0x1.e10f4b4e460dfp-3, 0x1.d80ef9291b664p-3, 0x1.cf2a327b8a484p-3, 0x1.c66121d5f94bap-3, 0x1.bdb3ec771e586p-3, 0x1.b522b272a8e5dp-3, 0x1.acad8ed7ac024p-3, 0x1.a45497d6cd6c5p-3, 0x1.9c17dee827445p-3, 0x1.93f770f0dd36ep-3, 0x1.8bf35668570dcp-3, 0x1.840b937d15388p-3, 0x1.7c4028392c7d2p-3, 0x1.749110a648469p-3, 0x1.6cfe44f13fe05p-3, 0x1.6587b98d3b1bap-3, 0x1.5e2d5f56505f6p-3, 0x1.56ef23b3ab186p-3, 0x1.4fccf0b928f0bp-3, 0x1.48c6ad48777c9p-3, 0x1.41dc3d319c5e9p-3, 0x1.3b0d8152f97a5p-3, 0x1.345a57b8bc806p-3, 0x1.2dc29bbbbd574p-3, 0x1.2746261fc7dcbp-3, 0x1.20e4cd314f3dcp-3, 0x1.1a9e64e28ca6dp-3, 0x1.1472bee803249p-3, 0x1.0e61aad466f25p-3, 0x1.086af633f1e3cp-3, 0x1.028e6ca717b7fp-3, 0x1.f997aff93d758p-4, 0x1.ee4600964238dp-4, 0x1.e3275813de253p-4, 0x1.d83b4052b35e3p-4, 0x1.cd814054c248p-4, 0x1.c2f8dc6b90718p-4, 0x1.b8a1966522a9dp-4, 0x1.ae7aedb7bfb4bp-4, 0x1.a4845fac87ed8p-4, 0x1.9abd6788de548p-4, 0x1.91257eb6b0becp-4, 0x1.87bc1ceb83303p-4, 0x1.7e80b84e6c4adp-4, 0x1.7572c59ce4353p-4, 0x1.6c91b84e77ec1p-4, 0x1.63dd02b7601bcp-4, 0x1.5b54162a02e68p-4, 0x1.52f663175e4d6p-4, 0x1.4ac3592e648f2p-4, 0x1.42ba677a4b309p-4, 0x1.3adafc7fd1f67p-4, 0x1.3324865985277p-4, 0x1.2b9672d300043p-4, 0x1.24302f833380ap-4, 0x1.1cf129e5b51dcp-4, 0x1.15d8cf731a766p-4, 0x1.0ee68db8677a8p-4, 0x1.0819d26d90676p-4, 0x1.01720b8b17edcp-4, 0x1.f5dd4ebd96922p-5, 0x1.e91e293f44df3p-5, 0x1.dca58501901aap-5, 0x1.d07241879c6cdp-5, 0x1.c4833f942a32p-5, 0x1.b8d7614acf184p-5, 0x1.ad6d8a4fa25ccp-5, 0x1.a2449fe56cb0cp-5, 0x1.975b890a59aadp-5, 0x1.8cb12e933f85bp-5, 0x1.82447b457fa3fp-5, 0x1.78145bef86e1p-5, 0x1.6e1fbf80010adp-5, 0x1.6465971bba961p-5, 0x1.5ae4d632454fp-5, 0x1.519c729162252p-5, 0x1.488b64773a9dp-5, 0x1.3fb0a6a374795p-5, 0x1.370b3667220fap-5, 0x1.2e9a13b3a1955p-5, 0x1.265c41286ab0ap-5, 0x1.1e50c41fd4dbep-5, 0x1.1676a4bae3f9ap-5, 0x1.0eccedec1c279p-5, 0x1.0752ad816650ep-5, 0x1.0006f42d12844p-5, 0x1.f1d1ab1bef669p-6, 0x1.e3eed06d7ddcep-6, 0x1.d6638b68b928ep-6, 0x1.c92e1527883d7p-6, 0x1.bc4caccdaf342p-6, 0x1.afbd97913ab2p-6, 0x1.a37f20c188a47p-6, 0x1.978f99ccf1254p-6, 0x1.8bed5a452990bp-6, 0x1.8096bfe25efbep-6, 0x1.758a2e85291f1p-6, 0x1.6ac610374d415p-6, 0x1.6048d52b6a7b8p-6, 0x1.5610f3bb9877fp-6, 0x1.4c1ce8670120cp-6, 0x1.426b35ce834fbp-6, 0x1.38fa64b0663ccp-6, 0x1.2fc903e331603p-6, 0x1.26d5a84fa3268p-6, 0x1.1e1eece9e1332p-6, 0x1.15a372a9e39bfp-6, 0x1.0d61e08325a98p-6, 0x1.0558e35ba3db8p-6, 0x1.fb0e5c046d56cp-7, 0x1.ebd6f24898546p-7, 0x1.dd09068618dfbp-7, 0x1.cea2214fe132cp-7, 0x1.c09fd6b1ac60bp-7, 0x1.b2ffc6171f5f1p-7, 0x1.a5bf9a320d19cp-7, 0x1.98dd08dfd958cp-7, 0x1.8c55d30e00199p-7, 0x1.8027c49df6d5ep-7, 0x1.7450b44843213p-7, 0x1.68ce837ef50ebp-7, 0x1.5d9f1e4f90a0cp-7, 0x1.52c07b4459991p-7, 0x1.48309b452eb0fp-7, 0x1.3ded8977dfd2fp-7, 0x1.33f55b202d366p-7, 0x1.2a462f7f52a74p-7, 0x1.20de2fb349c37p-7, 0x1.17bb8e95bb92ap-7, 0x1.0edc889ab1aa4p-7, 0x1.063f63af0c342p-7, 0x1.fbc4de2d9230ap-8, 0x1.eb880696438c6p-8, 0x1.dbc503b1137e5p-8, 0x1.cc78aa792990fp-8, 0x1.bd9fe18797e2bp-8, 0x1.af37a0cef0ee7p-8, 0x1.a13cf156d962fp-8, 0x1.93acecf79fe39p-8, 0x1.8684be15e7edp-8, 0x1.79c19f5e75187p-8, 0x1.6d60db821fbf7p-8, 0x1.615fccf2015afp-8, 0x1.55bbdd9bddaedp-8, 0x1.4a7286a6d8cd5p-8, 0x1.3f8150307c327p-8, 0x1.34e5d10a1a72ep-8, 0x1.2a9dae76956eep-8, 0x1.20a69be890e38p-8, 0x1.16fe5ac1181b5p-8, 0x1.0da2ba0ebc17ep-8, 0x1.0491964d3605ep-8, 0x1.f791b24b1d1a7p-9, 0x1.e68cf25da209bp-9, 0x1.d610f35ea83bbp-9, 0x1.c619d4bd2dc9p-9, 0x1.b6a3ce4f77e4p-9, 0x1.a7ab2fd94a1d3p-9, 0x1.992c609364bb5p-9, 0x1.8b23deb455f82p-9, 0x1.7d8e3efaa3c4p-9, 0x1.70682c3852911p-9, 0x1.63ae66dfd106cp-9, 0x1.575dc4924b6fep-9, 0x1.4b732faf7223cp-9, 0x1.3feba6e6ac2a6p-9, 0x1.34c43cc9c5de4p-9, 0x1.29fa1761143a4p-9, 0x1.1f8a6fc118163p-9, 0x1.157291a1a0c23p-9, 0x1.0bafdaf66a9efp-9, 0x1.023fbb8947c7ap-9, 0x1.f23f692b8cd2p-10, 0x1.e09ab0ccc0133p-10, 0x1.cf8c93e65600fp-10, 0x1.bf10790428991p-10, 0x1.af21e6913df6cp-10, 0x1.9fbc821e4c9edp-10, 0x1.90dc0fab508c6p-10, 0x1.827c70f41efa5p-10, 0x1.7499a4c00c0dcp-10, 0x1.672fc63483fbp-10, 0x1.5a3b0c2aae29bp-10, 0x1.4db7c88808547p-10, 0x1.41a26799fbe47p-10, 0x1.35f76f745ee61p-10, 0x1.2ab37f52eab88p-10, 0x1.1fd34efd9674dp-10, 0x1.1553ae2fdaad4p-10, 0x1.0b318402c9211p-10, 0x1.0169ce5a03fcfp-10, 0x1.eff342a707c3ap-11, 0x1.ddbc4d7448f3ep-11, 0x1.cc293af5f01e9p-11, 0x1.bb34b23aab484p-11, 0x1.aad9827b38131p-11, 0x1.9b12a2154423ep-11, 0x1.8bdb2d8b991c9p-11, 0x1.7d2e668b82289p-11, 0x1.6f07b2f75eb82p-11, 0x1.61629bf64ff3ep-11, 0x1.543acd08ee718p-11, 0x1.478c1322fd5acp-11, 0x1.3b525bca039b8p-11, 0x1.2f89b438bd939p-11, 0x1.242e488756a3ap-11, 0x1.193c62d855dcbp-11, 0x1.0eb06a8a3015fp-11, 0x1.0486e36d6cb96p-11, 0x1.f578d9fe92757p-12, 0x1.e29b83519a162p-12, 0x1.d06f6c047794dp-12, 0x1.beee7035a18d6p-12, 0x1.ae129d896de46p-12, 0x1.9dd631ca4ef4p-12, 0x1.8e3399913fcb7p-12, 0x1.7f256ef63a941p-12, 0x1.70a6784893b9ep-12, 0x1.62b1a6cf1d78ep-12, 0x1.5542158fe6c58p-12, 0x1.4853081f7e987p-12, 0x1.3bdfe9778e949p-12, 0x1.2fe44ad4b0a7ap-12, 0x1.245be29b5e522p-12, 0x1.19428b43d10ep-12, 0x1.0e94424cbcdcp-12, 0x1.044d2734b7ef5p-12, 0x1.f4d2f4f46f2f7p-13, 0x1.e1cb3943fa147p-13, 0x1.cf7c1a87a89cdp-13, 0x1.bdded43afef6fp-13, 0x1.acecdc57731dp-13, 0x1.9c9fe19247a01p-13, 0x1.8cf1c9a616a4p-13, 0x1.7ddcafa7b862p-13, 0x1.6f5ae2666042fp-13, 0x1.6166e2d69f817p-13, 0x1.53fb62881e7d4p-13, 0x1.47134225cf7fap-13, 0x1.3aa990005e98ap-13, 0x1.2eb986a2ab3d1p-13, 0x1.233e8b700acb8p-13, 0x1.18342d4c26eeep-13, 0x1.0d96234c39b89p-13, 0x1.03604b7175017p-13, 0x1.f31d52d8c1a61p-14, 0x1.e03acad1f2045p-14, 0x1.ce1195c6b478bp-14, 0x1.bc9a8f0999fe6p-14, 0x1.abced411f2a93p-14, 0x1.9ba7c2562055cp-14, 0x1.8c1ef53591e98p-14, 0x1.7d2e43f1dacfp-14, 0x1.6ecfbfb6b2f92p-14, 0x1.60fdb1b06bf5dp-14, 0x1.53b299308d99p-14, 0x1.46e929e03b22ap-14, 0x1.3a9c4a000fa14p-14, 0x1.2ec710b5191cdp-14, 0x1.2364c462a2bd2p-14, 0x1.1870d91079402p-14, 0x1.0de6eedd5bcp-14, 0x1.03c2d07d49b35p-14, 0x1.f400e386c1becp-15, 0x1.e137dc6e00984p-15, 0x1.cf230f67caee1p-15, 0x1.bdbb4a29f9962p-15, 0x1.acf9a1d339e4ap-15, 0x1.9cd77069ce399p-15, 0x1.8d4e526e14f5ap-15, 0x1.7e5824804bd98p-15, 0x1.6fef01190d079p-15, 0x1.620d3e540aca9p-15, 0x1.54ad6bcc886edp-15, 0x1.47ca508b15ad9p-15, 0x1.3b5ee90419034p-15, 0x1.2f666526aecedp-15, 0x1.23dc267b70c5ap-15, 0x1.18bbbe52acaf8p-15, 0x1.0e00ec01a97e7p-15, 0x1.03a79b2e8210ep-15, 0x1.f357c454720b9p-16, 0x1.e01400b12ec5dp-16, 0x1.cd7cb94aee98ep-16, 0x1.bb8b080e2a673p-16, 0x1.aa38501a1b8bdp-16, 0x1.997e3af748e9ap-16, 0x1.8956b5e5feb58p-16, 0x1.79bbef43f5a38p-16, 0x1.6aa8540883ba4p-16, 0x1.5c168d56a6432p-16, 0x1.4e017e24464fap-16, 0x1.406440f61abe4p-16, 0x1.333a25af82036p-16, 0x1.267eaf75bf462p-16, 0x1.1a2d92a609fabp-16, 0x1.0e42b2dddc42ep-16, 0x1.02ba2114ee85dp-16, 0x1.ef203390bba63p-17, 0x1.d982066ce9c03p-17, 0x1.c492d7551bfd4p-17, 0x1.b04c0fb13413ap-17, 0x1.9ca7628f969a6p-17, 0x1.899ec997cb27ep-17, 0x1.772c82199175fp-17, 0x1.654b0a377c51p-17, 0x1.53f51e2c2d2ccp-17, 0x1.4325b5a96599fp-17, 0x1.32d80150121e3p-17, 0x1.23076840825bdp-17, 0x1.13af85c20bd7fp-17, 0x1.04cc2701510ffp-17, 0x1.ecb291c8e3ap-18, 0x1.d0a62be8da5e1p-18, 0x1.b56bc8b60621ap-18, 0x1.9afc67e8cebfap-18, 0x1.815158e84039ep-18, 0x1.68643738d1ef3p-18, 0x1.502ee70efb3bep-18, 0x1.38ab920466089p-18, 0x1.21d4a3ee8a02p-18, 0x1.0ba4c7d597736p-18, 0x1.ec2dca151c261p-19, 0x1.c24c38b6ec035p-19, 0x1.999b8ac94f733p-19, 0x1.7212d7fc4ce22p-19, 0x1.4ba99b8824eb7p-19, 0x1.2657af72761c1p-19, 0x1.02154805d0465p-19, 0x1.bdb5def3d7ed9p-20, 0x1.794303959206p-20, 0x1.36c4517a043d5p-20, 0x1.ec59603701535p-21, 0x1.6edf27329a15ep-21, 0x1.ea03d6f20cd9dp-22, 0x1.faaa7a5723207p-23, 0x1.78646933fc0fbp-26, -0x1.8f26faa38b147p-23, -0x1.a020cc4af8533p-22, -0x1.392463d84c34ap-21, -0x1.9f1884d6e61c8p-21, -0x1.00ff6e62a54b8p-20, -0x1.30f467c1be5a7p-20, -0x1.5f738d3429c46p-20, -0x1.8c84ee86f4bb9p-20, -0x1.b83050da01cd7p-20, -0x1.e27d329e3f345p-20, -0x1.05b967b17a636p-19, -0x1.198c11ba0183bp-19, -0x1.2cb9f7a580f71p-19, -0x1.3f465d6a87727p-19, -0x1.51346c47809d8p-19, -0x1.6287343cdd963p-19, -0x1.7341ad742107bp-19, -0x1.8366b9948c7d4p-19, -0x1.92f9250643143p-19, -0x1.a1fba8248cc1dp-19, -0x1.b070e85ffab7bp-19, -0x1.be5b79511afd6p-19, -0x1.cbbdddbc5d3b8p-19, -0x1.d89a8887d6d06p-19, -0x1.e4f3dda378056p-19, -0x1.f0cc32e452a76p-19, -0x1.fc25d0d38064bp-19, -0x1.038179b89bf35p-18, -0x1.08b2e5764977bp-18, -0x1.0da83e28495b1p-18, -0x1.1262911369bffp-18, -0x1.16e2e68839baep-18, -0x1.1b2a422ace914p-18, -0x1.1f39a3361222ep-18, -0x1.231204bad2fc3p-18, -0x1.26b45ddac633ep-18, -0x1.2a21a1ffb2b4bp-18, -0x1.2d5ac10ef008bp-18, -0x1.3060a7996b5f5p-18, -0x1.33343f085c9afp-18, -0x1.35d66dc6d7347p-18, -0x1.3848176860765p-18, -0x1.3a8a1cccaff49p-18, -0x1.3c9d5c40c40b7p-18, -0x1.3e82b19d6a64fp-18, -0x1.403af66361fbap-18, -0x1.41c701d5372e1p-18, -0x1.4327a90ef9e07p-18, -0x1.445dbf1bec842p-18, -0x1.456a150a48d72p-18, -0x1.464d79fd3651cp-18, -0x1.4708bb3d0f145p-18, -0x1.479ca4460a1a8p-18, -0x1.4809fed56616p-18, -0x1.485192f52a44ep-18, -0x1.4874270694e5ep-18, -0x1.48727fcb4f372p-18, -0x1.484d606d748b2p-18, -0x1.48058a86886a1p-18, -0x1.479bbe256993bp-18, -0x1.4710b9d353788p-18, -0x1.46653a980333ap-18, -0x1.4599fbfd0b433p-18, -0x1.44afb8106871fp-18, -0x1.43a7276667386p-18, -0x1.4281011ae51d8p-18, -0x1.413dfad1fbec1p-18, -0x1.3fdec8b826e12p-18, -0x1.3e641d81e82bp-18, -0x1.3cceaa6afedc9p-18, -0x1.3b1f1f35351d2p-18, -0x1.39562a26d2b09p-18, -0x1.37747808bdecep-18, -0x1.357ab4244fbb9p-18, -0x1.33698840eb5cbp-18, -0x1.31419ca159ed2p-18, -0x1.2f039800f73afp-18, -0x1.2cb01f90b484fp-18, -0x1.2a47d6f3f69f3p-18, -0x1.27cb603d5be1fp-18, -0x1.253b5beb6826dp-18, -0x1.229868e521c9fp-18, -0x1.1fe32476a4008p-18, -0x1.1d1c2a4daa8e4p-18, -0x1.1a4414761b2cdp-18, -0x1.175b7b56938fap-18, -0x1.1462f5acfe089p-18, -0x1.115b188b2e3f6p-18, -0x1.0e44775391382p-18, -0x1.0b1fa3b5e975p-18, -0x1.07ed2dac234e4p-18, -0x1.04ada3773ee81p-18, -0x1.0161919c54f67p-18, -0x1.fc1305c36ae51p-19, -0x1.f54c00984ee97p-19, -0x1.ee6f22388ea5ap-19, -0x1.e77d75980cee3p-19, -0x1.e07802189f114p-19, -0x1.d95fcb859e5d2p-19, -0x1.d235d20fc4038p-19, -0x1.cafb124956453p-19, -0x1.c3b08522a08e1p-19, -0x1.bc571fe6c57e6p-19, -0x1.b4efd438d9972p-19, -0x1.ad7b90115bdc1p-19, -0x1.a5fb3dbbfcdc9p-19, -0x1.9e6fc3d5bc34p-19, -0x1.96da054b61b2ap-19, -0x1.8f3ae15843c57p-19, -0x1.879333856e22bp-19, -0x1.7fe3d3a915b59p-19, -0x1.782d95e66958fp-19, -0x1.70714aadb5019p-19, -0x1.68afbebcdbf39p-19, -0x1.60e9bb2025faep-19, -0x1.5920053360cd7p-19, -0x1.51535ea35596ep-19, -0x1.4984856f8ceadp-19, -0x1.41b433ec6ae95p-19, -0x1.39e320c59090ep-19, -0x1.3211ff00941b7p-19, -0x1.2a417e0003b92p-19, -0x1.22724986b0ec9p-19, -0x1.1aa509bb4b751p-19, -0x1.12da632c3e837p-19, -0x1.0b12f6d3dce86p-19, -0x1.034f621cc937p-19, -0x1.f7207dcd55241p-20, -0x1.e7ac471639b3bp-20, -0x1.d84345c5cd34ap-20, -0x1.c8e69896ceeebp-20, -0x1.b997575891c86p-20, -0x1.aa5692facc63ep-20, -0x1.9b255599dffc3p-20, -0x1.8c04a28b8cc96p-20, -0x1.7cf5766c0d014p-20, -0x1.6df8c72b9d5e4p-20, -0x1.5f0f841c64319p-20, -0x1.503a9600bcc26p-20, -0x1.417adf19d9254p-20, -0x1.32d13b36c04fep-20, -0x1.243e7fc3a2a44p-20, -0x1.15c37bd9796cbp-20, -0x1.0760f84df8516p-20, -0x1.f22f6f878bdeep-21, -0x1.d5d0ed75fd9cap-21, -0x1.b9a7d743ec404p-21, -0x1.9db58dcc6ed67p-21, -0x1.81fb660b89761p-21, -0x1.667aa9411728bp-21, -0x1.4b3495141f0c1p-21, -0x1.302a5bb68b72dp-21, -0x1.155d24093d7cap-21, -0x1.f59c1380ee4b9p-22, -0x1.c0fc3b1125a28p-22, -0x1.8cdcca560ce85p-22, -0x1.593fb7674e2dp-22, -0x1.2626e32c56184p-22, -0x1.e728334f86b16p-23, -0x1.8312248675387p-23, -0x1.200ee0371b161p-23, -0x1.7c430934cc708p-24, }}, 
      std::vector<double>(619, 0.0), 
      {{0x1.16c1c54d4c689p-8, 0x1.16a160dde491dp-7, 0x1.a1924dce49224p-7, 0x1.15f677f9d896cp-6, 0x1.5aa7ce0bcf049p-6, 0x1.9e9efb64ba535p-6, 0x1.e191c790e4a06p-6, 0x1.1195f7aa42f57p-5, 0x1.3188bfa5c92dfp-5, 0x1.5070a5ac17d12p-5, 0x1.6e1bac53702e4p-5, 0x1.8a578f5ded59fp-5, 0x1.a4f2c7685ce8p-5, 0x1.bdbd6c541591ep-5, 0x1.d489f4cc673edp-5, 0x1.e92dd33a8007bp-5, 0x1.fb81f1c7be886p-5, 0x1.05b187f04133p-4, 0x1.0c590210a8af4p-4, 0x1.11a9f2e73c909p-4, 0x1.1599107f3d13cp-4, 0x1.181d3c43ef64fp-4, 0x1.192f7c4b5abebp-4, 0x1.18caee4a53f88p-4, 0x1.16ecb56765197p-4, 0x1.1393e400e9a0ep-4, 0x1.0ec16259d1c47p-4, 0x1.0877d300ec587p-4, 0x1.00bb75a8f716ap-4, 0x1.ef241218f4d94p-5, 0x1.da0558bf96845p-5, 0x1.c22b817ae97d7p-5, 0x1.a7a995cb9f47fp-5, 0x1.8a94ab32e550cp-5, 0x1.6b03a98ea8813p-5, 0x1.490f1375818d3p-5, 0x1.24d0d0d4c0189p-5, 0x1.fcc7f80188ad7p-6, 0x1.abc962b0b0342p-6, 0x1.56dfc31dfdd07p-6, 0x1.fc8c9a9e6758ap-7, 0x1.44726e8084fdep-7, 0x1.0bd5b6428622dp-8, -0x1.f47b290ea820dp-10, -0x1.088138b84777cp-7, -0x1.d76f9edb0605ap-7, -0x1.55700ef87fc73p-6, -0x1.c12c945d461eap-6, -0x1.17589ea9db1e4p-5, -0x1.4ee15aef7f9d1p-5, -0x1.87134f1f0450ep-5, -0x1.bfd1d68679ec9p-5, -0x1.f900e6e5e2a2dp-5, -0x1.19428eff5e684p-4, -0x1.3621e6c478f04p-4, -0x1.531182d2d99dfp-4, -0x1.7004cef40d4adp-4, -0x1.8cef9e854f76ep-4, -0x1.a9c62fb3d19b1p-4, -0x1.c67d2e253d205p-4, -0x1.e309b516c2adbp-4, -0x1.ff6150fc7262cp-4, -0x1.0dbd00552c9f1p-3, -0x1.1ba51b082a09cp-3, -0x1.29646b48833adp-3, -0x1.36f69d7e188e8p-3, -0x1.44579799fe1c8p-3, -0x1.518378c23f375p-3, -0x1.5e7698da3d10dp-3, -0x1.6b2d87ead0e07p-3, -0x1.77a50d6d59e6ep-3, -0x1.83da277c85f3dp-3, -0x1.8fca09ed933c3p-3, -0x1.9b721d5495895p-3, -0x1.a6cffdf61867ap-3, -0x1.b1e17aa869086p-3, -0x1.bca493a684402p-3, -0x1.c7177956b6a3ap-3, -0x1.d1388b06a30c9p-3, -0x1.db06559e6bba3p-3, -0x1.e47f924c90e96p-3, -0x1.eda3252be4bd8p-3, -0x1.f6701be50263dp-3, -0x1.fee5ac4c6ffe4p-3, -0x1.0381997f4c14bp-2, -0x1.076418fd5574fp-2, -0x1.0b1a279ea5cadp-2, -0x1.0ea3a9adffaf6p-2, -0x1.120094110f02cp-2, -0x1.1530eb9802389p-2, -0x1.1834c44e98279p-2, -0x1.1b0c40cef1178p-2, -0x1.1db7919668184p-2, -0x1.2036f45cb235ap-2, -0x1.228ab36d7cb4ep-2, -0x1.24b32504be408p-2, -0x1.26b0aaade1468p-2, -0x1.2883b0a5f9ac3p-2, -0x1.2a2cad4119313p-2, -0x1.2bac2052f201ep-2, -0x1.2d02929ad0b53p-2, -0x1.2e30953310747p-2, -0x1.2f36c1041289ep-2, -0x1.3015b63ad0346p-2, -0x1.30ce1bc30a452p-2, -0x1.31609ec52a51ap-2, -0x1.31cdf227cee17p-2, -0x1.3216ce1517b3fp-2, -0x1.323bef83a167ap-2, -0x1.323e17c34139p-2, -0x1.321e0c0d756a8p-2, -0x1.31dc951989e47p-2, -0x1.317a7eb46c361p-2, -0x1.30f8975c2940ep-2, -0x1.3057afdf098efp-2, -0x1.2f989afe4a91fp-2, -0x1.2ebc2d1462c2bp-2, -0x1.2dc33bbec998p-2, -0x1.2cae9d8b3c4aep-2, -0x1.2b7f29a867388p-2, -0x1.2a35b799f4c1cp-2, -0x1.28d31eefe5f53p-2, -0x1.2758370132ce1p-2, -0x1.25c5d6a99c0cdp-2, -0x1.241cd40a9df23p-2, -0x1.225e044f7a2efp-2, -0x1.208a3b74445dbp-2, -0x1.1ea24c0fe1a23p-2, -0x1.1ca70720ea457p-2, -0x1.1a993bdd5c2a4p-2, -0x1.1879b78510752p-2, -0x1.16494536dae7cp-2, -0x1.1408adc84b03bp-2, -0x1.11b8b79ff7a5bp-2, -0x1.0f5a269244d43p-2, -0x1.0cedbbc090666p-2, -0x1.0a74357ab9333p-2, -0x1.07ee4f22ea5b4p-2, -0x1.055cc11397525p-2, -0x1.02c040879fddcp-2, -0x1.00197f848133p-2, -0x1.fad2598d0fcc9p-3, -0x1.f55fe75de304p-3, -0x1.efdcf867d3183p-3, -0x1.ea4ad5a4aed6p-3, -0x1.e4aac102c58d3p-3, -0x1.defdf54f54e0fp-3, -0x1.d945a62421978p-3, -0x1.d382ffd82e38bp-3, -0x1.cdb727736704p-3, -0x1.c7e33aa527fa4p-3, -0x1.c2084fbd7aac8p-3, -0x1.bc2775a8efaabp-3, -0x1.b641b3eef4c8ap-3, -0x1.b0580ab293fdep-3, -0x1.aa6b72b567dc9p-3, -0x1.a47cdd5cc923cp-3, -0x1.9e8d34b8ffc4fp-3, -0x1.989d5b8e66a6fp-3, -0x1.92ae2d606b471p-3, -0x1.8cc07e7e4d12ap-3, -0x1.86d51c117bedep-3, -0x1.80eccc2d8dfcdp-3, -0x1.7b084de1a3573p-3, -0x1.7528594b2dfa6p-3, -0x1.6f4d9faa00f1cp-3, -0x1.6978cb758ef6ep-3, -0x1.63aa80734edb5p-3, -0x1.5de35bce20cb1p-3, -0x1.5823f42eac7d2p-3, -0x1.526cd9d4a3356p-3, -0x1.4cbe96b0cdd87p-3, -0x1.4719ae7fdd646p-3, -0x1.417e9ee5df047p-3, -0x1.3beddf8a53c1p-3, -0x1.3667e234cfa48p-3, -0x1.30ed12ea14e72p-3, -0x1.2b7dd80997c6ep-3, -0x1.261a926b6a2afp-3, -0x1.20c39d7e685e1p-3, -0x1.1b794f66b9598p-3, -0x1.163bf91c76a4bp-3, -0x1.110be68a8576fp-3, -0x1.0be95ead8ce0ap-3, -0x1.06d4a3b2fe6c8p-3, -0x1.01cdf31826abfp-3, -0x1.f9ab0b92747d2p-4, -0x1.efd72080bb252p-4, -0x1.e620854919f5p-4, -0x1.dc8791d0e9dcap-4, -0x1.d30c95d22ccc4p-4, -0x1.c9afd91898d81p-4, -0x1.c0719bbe1da8dp-4, -0x1.b752166707676p-4, -0x1.ae517a7d9329ep-4, -0x1.a56ff26cf6a3bp-4, -0x1.9cada1dbc5fc9p-4, -0x1.940aa5e5bc34p-4, -0x1.8b871554cc8fep-4, -0x1.832300d978827p-4, -0x1.7ade734269266p-4, -0x1.72b971b338f8p-4, -0x1.6ab3fbda6fb9bp-4, -0x1.62ce0c26a4346p-4, -0x1.5b0797fabf9ap-4, -0x1.53608fe15f32cp-4, -0x1.4bd8dfbf4b2fep-4, -0x1.44706f0502489p-4, -0x1.3d2720df55083p-4, -0x1.35fcd4670b2c3p-4, -0x1.2ef164cf93c55p-4, -0x1.2804a994bc98cp-4, -0x1.213676a76c2cap-4, -0x1.1a869c9961abep-4, -0x1.13f4e8c7f44b4p-4, -0x1.0d812585d6962p-4, -0x1.072b1a43d7d43p-4, -0x1.00f28bb8a8a2ap-4, -0x1.f5ae780f3f2b6p-5, -0x1.e9b1d5ccfc7adp-5, -0x1.ddeeab84763edp-5, -0x1.d2646fc59935ap-5, -0x1.c712951bf3a02p-5, -0x1.bbf88a52658f5p-5, -0x1.b115bab4de47fp-5, -0x1.a6698e502f879p-5, -0x1.9bf36a2ffd012p-5, -0x1.91b2b09ac53f5p-5, -0x1.87a6c14c1098bp-5, -0x1.7dcef9acc8509p-5, -0x1.742ab509bd495p-5, -0x1.6ab94cc862262p-5, -0x1.617a1899c14eap-5, -0x1.586c6eabb5833p-5, -0x1.4f8fa3d869eecp-5, -0x1.46e30bd42b91p-5, -0x1.3e65f95990396p-5, -0x1.3617be53fc922p-5, -0x1.2df7ac089046p-5, -0x1.2605133d7f49ap-5, -0x1.1e3f445fdf517p-5, -0x1.16a58fa7f5c55p-5, -0x1.0f37453c06e61p-5, -0x1.07f3b551b3294p-5, -0x1.00da304deb3c8p-5, -0x1.f3d40dc6fdd57p-6, -0x1.e6451460a3931p-6, -0x1.d90617b27973ep-6, -0x1.cc15bc494cdebp-6, -0x1.bf72a827ad044p-6, -0x1.b31b82f6218ccp-6, -0x1.a70ef630f606bp-6, -0x1.9b4bad53b63c8p-6, -0x1.8fd056025faa9p-6, -0x1.849ba03062d24p-6, -0x1.79ac3e457a0b9p-6, -0x1.6f00e5406d0e3p-6, -0x1.64984cd7cb0bap-6, -0x1.5a712f98afc34p-6, -0x1.508a4b039d695p-6, -0x1.46e25fa77e61dp-6, -0x1.3d78313adb78ep-6, -0x1.344a86b354ac6p-6, -0x1.2b582a5b6b4d6p-6, -0x1.229fe9e6ada8bp-6, -0x1.1a2096844ec48p-6, -0x1.11d904f03b179p-6, -0x1.09c80d82b08dap-6, -0x1.01ec8c3e732fcp-6, -0x1.f48ac1bb3fafep-7, -0x1.e5a2ddba5fe0ap-7, -0x1.d71f3b0e6ec72p-7, -0x1.c8fdaff7db449p-7, -0x1.bb3c1a730a837p-7, -0x1.add86045d1716p-7, -0x1.a0d06f0ab9dd8p-7, -0x1.94223c3a40449p-7, -0x1.87cbc5320611ap-7, -0x1.7bcb0f3a2124ap-7, -0x1.701e27889ae96p-7, -0x1.64c323432e7a9p-7, -0x1.59b81f7f53e4ap-7, -0x1.4efb4140be864p-7, -0x1.448ab57649c7cp-7, -0x1.3a64b0f580e8ap-7, -0x1.30877074b7569p-7, -0x1.26f13883da38dp-7, -0x1.1da05583ff228p-7, -0x1.14931b9dc49a2p-7, -0x1.0bc7e6b694832p-7, -0x1.033d1a64d5eb8p-7, -0x1.f5e243c63faa7p-8, -0x1.e5c4e004f07b9p-8, -0x1.d61efe3762872p-8, -0x1.c6eda1ffdda62p-8, -0x1.b82dddd0c7461p-8, -0x1.a9dcd2caa49c8p-8, -0x1.9bf7b098bb0a5p-8, -0x1.8e7bb54c6b64p-8, -0x1.81662d375ab3ap-8, -0x1.74b472c47f40ap-8, -0x1.6863ee502bc2dp-8, -0x1.5c7215ff268b9p-8, -0x1.50dc6d94e71a3p-8, -0x1.45a086490756ep-8, -0x1.3abbfe9c02a11p-8, -0x1.302c822b4a028p-8, -0x1.25efc984c9f5dp-8, -0x1.1c0399f9e9e8ep-8, -0x1.1265c57217c82p-8, -0x1.09142a3cf0bd3p-8, -0x1.000cb2e41383fp-8, -0x1.ee9aabf950e15p-9, -0x1.dda82bf165b4ep-9, -0x1.cd3e01f06167dp-9, -0x1.bd58613434aa7p-9, -0x1.adf3939a94b28p-9, -0x1.9f0bf942baa1dp-9, -0x1.909e082f1b0bep-9, -0x1.82a64be732df5p-9, -0x1.752165197df85p-9, -0x1.680c093da05d1p-9, -0x1.5b630236db79dp-9, -0x1.4f232df6e0405p-9, -0x1.43497e21057bp-9, -0x1.37d2f7adf9fa8p-9, -0x1.2cbcb28ffc2d6p-9, -0x1.2203d957a5371p-9, -0x1.17a5a8d952365p-9, -0x1.0d9f6fd338af5p-9, -0x1.03ee8e94339b3p-9, -0x1.f520ed469d7d2p-10, -0x1.e30554d035f27p-10, -0x1.d18579a7ada29p-10, -0x1.c09ca216e1b5dp-10, -0x1.b0463424db1ccp-10, -0x1.a07db4ed6fbdp-10, -0x1.913ec7fabd9e9p-10, -0x1.82852ea099ffap-10, -0x1.744cc759f32e8p-10, -0x1.66918d28384d5p-10, -0x1.594f96f4c5dfbp-10, -0x1.4c8316f46fe6fp-10, -0x1.40285a0d1d2afp-10, -0x1.343bc73d83721p-10, -0x1.28b9df07146c2p-10, -0x1.1d9f3ada0b8cfp-10, -0x1.12e88c83b11a1p-10, -0x1.08929d9ed26c9p-10, -0x1.fd349e0cd4aadp-11, -0x1.e9f93095125bcp-11, -0x1.d76d0e4ee63ep-11, -0x1.c58a7dfdf6fd1p-11, -0x1.b44bf0a83600ep-11, -0x1.a3ac009185883p-11, -0x1.93a5703bd3f97p-11, -0x1.8433296badfd2p-11, -0x1.75503c313f473p-11, -0x1.66f7ddf5c535ap-11, -0x1.5925688d68af8p-11, -0x1.4bd4594d7d03bp-11, -0x1.3f0050271db32p-11, -0x1.32a50ec62344bp-11, -0x1.26be77b468617p-11, -0x1.1b488d8158ebp-11, -0x1.103f71edbee38p-11, -0x1.059f651bc7f92p-11, -0x1.f6c989867157ep-12, -0x1.e31816d383272p-12, -0x1.d0239f3ee0e99p-12, -0x1.bde5867e59e3ep-12, -0x1.ac57656675f56p-12, -0x1.9b73087b6923ep-12, -0x1.8b326e89de68ap-12, -0x1.7b8fc7478339dp-12, -0x1.6c8571fb3cd8bp-12, -0x1.5e0dfc2ce9aacp-12, -0x1.5024205c99e76p-12, -0x1.42c2c4c121df7p-12, -0x1.35e4fa0dee74cp-12, -0x1.2985fa4002887p-12, -0x1.1da12771fa3f6p-12, -0x1.12320ab707f4ap-12, -0x1.073452fcbe424p-12, -0x1.f947a7e738a7dp-13, -0x1.e4f909fc67f0bp-13, -0x1.d175004db0adap-13, -0x1.beb402376198dp-13, -0x1.acaec86232dabp-13, -0x1.9b5e4ad471b08p-13, -0x1.8abbbf0f4b0dbp-13, -0x1.7ac0963816985p-13, -0x1.6b667b4d52bd4p-13, -0x1.5ca7516737bcdp-13, -0x1.4e7d32038a51cp-13, -0x1.40e26b5c95a04p-13, -0x1.33d17ecb0544dp-13, -0x1.27451f326c2c7p-13, -0x1.1b382f784b2bep-13, -0x1.0fa5c105567c9p-13, -0x1.04891250d196cp-13, -0x1.f3bb1aeb86853p-14, -0x1.df3d8da3b0e1bp-14, -0x1.cb90f75b74d3p-14, -0x1.b8ad21dd49f0ap-14, -0x1.a68a23a236877p-14, -0x1.95205d58dcc53p-14, -0x1.8468777e0024ep-14, -0x1.745b6005fcb95p-14, -0x1.64f24816e5087p-14, -0x1.5626a1d2df6ddp-14, -0x1.47f21e326b194p-14, -0x1.3a4eaaee2d5fap-14, -0x1.2d367077effe8p-14, -0x1.20a3d00274fcbp-14, -0x1.14916197ca0d6p-14, -0x1.08f9f23dc49fap-14, -0x1.fbb10450a0a3ap-15, -0x1.e65085f27d702p-15, -0x1.d1c92c1a83f93p-15, -0x1.be1215ab8a26cp-15, -0x1.ab22ba7ea1f36p-15, -0x1.98f2e8485a16p-15, -0x1.877abf95e5ccdp-15, -0x1.76b2b0e18b765p-15, -0x1.669379bdc9214p-15, -0x1.571622169c713p-15, -0x1.4833f9885eceep-15, -0x1.39e694cba622fp-15, -0x1.2c27cb35a3b78p-15, -0x1.1ef1b44c7a25dp-15, -0x1.123ea56efdcbep-15, -0x1.06092f8f699ep-15, -0x1.f4983a00fbf4dp-16, -0x1.de04dea92199p-16, -0x1.c84eba9c2be24p-16, -0x1.b36ca1c245ae6p-16, -0x1.9f55ca8af8759p-16, -0x1.8c01ca3175607p-16, -0x1.796891201d7b4p-16, -0x1.67826772816c9p-16, -0x1.5647e994ee7fep-16, -0x1.45b20500bdcf8p-16, -0x1.35b9f5149a5b3p-16, -0x1.26594007e74fp-16, -0x1.1789b3f8930e9p-16, -0x1.094564128554dp-16, -0x1.f70d4b9feb67dp-17, -0x1.dc901ca3e3fc2p-17, -0x1.c308dfa0b10a1p-17, -0x1.aa6dae41425a3p-17, -0x1.92b512a583cf5p-17, -0x1.7bd602c71d3ap-17, -0x1.65c7dc07c7f68p-17, -0x1.50825ee81e6c5p-17, -0x1.3bfdaae591782p-17, -0x1.28323a7e63a8ep-17, -0x1.1518df5a7ad03p-17, -0x1.02aabe97ecd9bp-17, -0x1.e1c29a74531c7p-18, -0x1.bf6c997565cf7p-18, -0x1.9e478f74ad7e8p-18, -0x1.7e481da3cad8p-18, -0x1.5f636b02cfeebp-18, -0x1.418f1e79c0a9p-18, -0x1.24c1592b3f3ccp-18, -0x1.08f0b0fe9869dp-18, -0x1.dc2856bec088ep-19, -0x1.a8467061d003bp-19, -0x1.762b59e7ba03cp-19, -0x1.45c78038d233ap-19, -0x1.170c092e809fep-19, -0x1.d3d595f02a1d5p-20, -0x1.7cac87aea26e4p-20, -0x1.2883246375708p-20, -0x1.ae81b3cf5b6fbp-21, -0x1.119c710e2d192p-21, -0x1.e8a727ef594bfp-23, 0x1.800e9ebae577bp-25, 0x1.4a18bdd2198b4p-22, 0x1.2d1f6da680b1bp-21, 0x1.b05f2adb0e863p-21, 0x1.17777ef6b0a0fp-20, 0x1.54785b4facd43p-20, 0x1.8f4250e5822a6p-20, 0x1.c7e4ce9cd01f7p-20, 0x1.fe6e954e6964bp-20, 0x1.1976e06c854aep-19, 0x1.32b7e8660d6aep-19, 0x1.4b00d8579a349p-19, 0x1.6257dff50864cp-19, 0x1.78c2eca83f087p-19, 0x1.8e47ad2ad6915p-19, 0x1.a2eb94f521d1ep-19, 0x1.b6b3df842fdbap-19, 0x1.c9a5937854824p-19, 0x1.dbc5858dc13c3p-19, 0x1.ed185b709ab4p-19, 0x1.fda28e6dff6e1p-19, 0x1.06b43701acb26p-18, 0x1.0e371126a4c2dp-18, 0x1.155bd72bc1be4p-18, 0x1.1c2479276359fp-18, 0x1.2292d6cb18cd5p-18, 0x1.28a8c0608dc1cp-18, 0x1.2e67f7b9429a9p-18, 0x1.33d23111a4867p-18, 0x1.38e913e803e1ap-18, 0x1.3dae3bc7edc9cp-18, 0x1.4223390a66439p-18, 0x1.4649918b79fdbp-18, 0x1.4a22c1559f4d4p-18, 0x1.4db03b4351536p-18, 0x1.50f369975a515p-18, 0x1.53edae8c2e03ep-18, 0x1.56a064dabf3e3p-18, 0x1.590ce0392cb67p-18, 0x1.5b346dd1a9e5cp-18, 0x1.5d1854b1f66a8p-18, 0x1.5eb9d633c4c54p-18, 0x1.601a2e5e5acd5p-18, 0x1.613a9441c4edcp-18, 0x1.621c3a4be5f2fp-18, 0x1.62c04e97af823p-18, 0x1.6327fb36cd03ap-18, 0x1.6354667603dcep-18, 0x1.6346b31c8e747p-18, 0x1.630000a6b1f8dp-18, 0x1.62816b7bcb745p-18, 0x1.61cc0d2010fdp-18, 0x1.60e0fc623f802p-18, 0x1.5fc14d856e3abp-18, 0x1.5e6e1267384aep-18, 0x1.5ce85aa274457p-18, 0x1.5b3133aea42dep-18, 0x1.5949a8fc54dddp-18, 0x1.5732c40e90e46p-18, 0x1.54ed8c9196219p-18, 0x1.527b086ef87c3p-18, 0x1.4fdc3bdf56981p-18, 0x1.4d122979c4dcfp-18, 0x1.4a1dd2411772p-18, 0x1.470035af2ae32p-18, 0x1.43ba51be4b23ap-18, 0x1.404d22f0db3c6p-18, 0x1.3cb9a4575b9d8p-18, 0x1.3900cf94e94fbp-18, 0x1.35239ce2536acp-18, 0x1.3123030fe310bp-18, 0x1.2cfff785e9d05p-18, 0x1.28bb6e4432f8dp-18, 0x1.245659e06d31ep-18, 0x1.1fd1ab83a0d04p-18, 0x1.1b2e52e6c9aaap-18, 0x1.166d3e4ea4939p-18, 0x1.118f5a86c8f92p-18, 0x1.0c9592dc199c5p-18, 0x1.0780d116a1b63p-18, 0x1.0251fd72edd0bp-18, 0x1.fa13fd35da971p-19, 0x1.ef53733cd9f69p-19, 0x1.e46423d672972p-19, 0x1.d947d289e081ep-19, 0x1.ce003f7929495p-19, 0x1.c28f274fd8508p-19, 0x1.b6f643315f68bp-19, 0x1.ab3748a73ae8cp-19, 0x1.9f53e98ee67ecp-19, 0x1.934dd407b49cp-19, 0x1.8726b2609b7fep-19, 0x1.7ae02b0602439p-19, 0x1.6e7be06fa8fd2p-19, 0x1.61fb710ea75e3p-19, 0x1.5560773b9fc7fp-19, 0x1.48ac89252add4p-19, 0x1.3be138be83a5p-19, 0x1.2f0013ae861bcp-19, 0x1.220aa33f03a9ap-19, 0x1.15026c4c7b52dp-19, 0x1.07e8ef3636c93p-19, 0x1.f57f4f9db7dfdp-20, 0x1.db101a9ae1063p-20, 0x1.c087247dc382bp-20, 0x1.a5e748f00a483p-20, 0x1.8b335a1057079p-20, 0x1.706e20586e2e4p-20, 0x1.559a5a848a0b1p-20, 0x1.3ababd7bd88e2p-20, 0x1.1fd1f43a1f074p-20, 0x1.04e29fba8e269p-20, 0x1.d3deadc7ac12ap-21, 0x1.9df54cead0eb6p-21, 0x1.680e21ebfbcfp-21, 0x1.322e1d46ac91cp-21, 0x1.f8b4358ce8401p-22, 0x1.8d2dc2d6eff7dp-22, 0x1.21d246a2ea472p-22, 0x1.6d55f6651a1bcp-23, 0x1.2f03c2a73f6b3p-24, -0x1.ee2f314133fe8p-26, -0x1.126fe9055c8b5p-23, -0x1.e66b052b089a7p-23, -0x1.5cd336cc5207fp-22, -0x1.c608d542822bp-22, -0x1.1767265cefcap-21, -0x1.4b8ddb5047077p-21, -0x1.7f74ab892f56ep-21, -0x1.b317ce6ac73ap-21, -0x1.e67390a980328p-21, -0x1.0cc22a22820b4p-20, -0x1.2623483ff5d84p-20, -0x1.3f5b68eaa705cp-20, -0x1.5868dcf61f64ap-20, -0x1.7149ffc498913p-20, -0x1.89fd373eaf1d7p-20, -0x1.a280f3ca1ddbp-20, -0x1.bad3b03f780a8p-20, -0x1.d2f3f1df006bp-20, -0x1.eae04844861abp-20, }}, 
      {{0x1.820780201dbe1p-1, 0x1.821da43dd5fp-1, 0x1.823cd34da612cp-1, 0x1.825e87c7c45a7p-1, 0x1.827bceab007e5p-1, 0x1.828df66a8a3c5p-1, 0x1.828efa06e9b2cp-1, 0x1.8279bc513c9fep-1, 0x1.824a2205c19f9p-1, 0x1.81fd157377529p-1, 0x1.81907b742fdeep-1, 0x1.81031f49c5e6p-1, 0x1.805499588b6bdp-1, 0x1.7f8533878a2c2p-1, 0x1.7e95cd309ecf9p-1, 0x1.7d87bfe82e122p-1, 0x1.7c5cc5ee6ec2bp-1, 0x1.7b16e2c789e32p-1, 0x1.79b84e3b78b9dp-1, 0x1.784361d426ac4p-1, 0x1.76ba88d33e08cp-1, 0x1.752032858d0d3p-1, 0x1.7376c6cd995b7p-1, 0x1.71c09cb7b5352p-1, 0x1.6ffff2e65e88ep-1, 0x1.6e36e9a4baa92p-1, 0x1.6c677e6dde148p-1, 0x1.6a9388b9a615fp-1, 0x1.68bcb7e2c59dbp-1, 0x1.66e491fcfb0ebp-1, 0x1.650c7375f66afp-1, 0x1.63358f5f12a9ap-1, 0x1.6160f0419d4c6p-1, 0x1.5f8f7962ce182p-1, 0x1.5dc1e85fd63a2p-1, 0x1.5bf8d70d6dd05p-1, 0x1.5a34bd8911402p-1, 0x1.5875f46ca72f1p-1, 0x1.56bcb7178e392p-1, 0x1.5509260226201p-1, 0x1.535b4912acf1ep-1, 0x1.51b311ebf4259p-1, 0x1.50105e2fcf88ap-1, 0x1.4e72f9b060aedp-1, 0x1.4cdaa08c70f15p-1, 0x1.4b470133fa6b5p-1, 0x1.49b7be52c1abbp-1, 0x1.482c709f98ca9p-1, 0x1.46a4a88f65dd7p-1, 0x1.451fefeb8c40fp-1, 0x1.439dcb4bafebfp-1, 0x1.421dbb7324d2cp-1, 0x1.409f3e9295fcbp-1, 0x1.3f21d16ea75afp-1, 0x1.3da4f06c7f351p-1, 0x1.3c2818853c32bp-1, 0x1.3aaac8217b984p-1, 0x1.392c7fde185dbp-1, 0x1.37acc33b5dccep-1, 0x1.362b1937e622ep-1, 0x1.34a70cd85e909p-1, 0x1.33202d9d6c29dp-1, 0x1.31960fe8de265p-1, 0x1.30084d535a0f5p-1, 0x1.2e7684f3a224ap-1, 0x1.2ce05b9889836p-1, 0x1.2b457bf6a1e4ep-1, 0x1.29a596caa0117p-1, 0x1.280062f168b4p-1, 0x1.26559d76ab214p-1, 0x1.24a5099ae194fp-1, 0x1.22ee70d184b7ap-1, 0x1.2131a2b830de5p-1, 0x1.1f6e7507718c7p-1, 0x1.1da4c37dddde6p-1, 0x1.1bd46fc620027p-1, 0x1.19fd61587f7c6p-1, 0x1.181f855871ebdp-1, 0x1.163ace6eb6b7ap-1, 0x1.144f34a06fbeap-1, 0x1.125cb523a7ddbp-1, 0x1.10635231a9968p-1, 0x1.0e6312d7842e6p-1, 0x1.0c5c02c51739cp-1, 0x1.0a4e321af003p-1, 0x1.0839b537451a1p-1, 0x1.061ea48250b3cp-1, 0x1.03fd1c3a4619ep-1, 0x1.01d53c3f1c015p-1, 0x1.ff4e4fbcb7de2p-2, 0x1.fae60b3e4be6fp-2, 0x1.f671fe1d22d4p-2, 0x1.f1f2811920408p-2, 0x1.ed67f232edb56p-2, 0x1.e8d2b4488ebap-2, 0x1.e4332eb3ae046p-2, 0x1.df89cce9d7af1p-2, 0x1.dad6fe1ec2c27p-2, 0x1.d61b34e8d7ce7p-2, 0x1.d156e6e808601p-2, 0x1.cc8a8c6f1f577p-2, 0x1.c7b6a02f966fap-2, 0x1.c2db9ee80a7a1p-2, 0x1.bdfa07155a9eap-2, 0x1.b91258a67eefbp-2, 0x1.b42514b32152ap-2, 0x1.af32bd34fc3fbp-2, 0x1.aa3bd4c40745bp-2, 0x1.a540de556c086p-2, 0x1.a0425cfd4ac51p-2, 0x1.9b40d3b3451f9p-2, 0x1.963cc519cec71p-2, 0x1.9136b3483b287p-2, 0x1.8c2f1f978436ap-2, 0x1.87268a71bbc73p-2, 0x1.821d7324231cfp-2, 0x1.7d1457b3d859ap-2, 0x1.780bb4b513b03p-2, 0x1.73040524e01b1p-2, 0x1.6dfdc24548fe3p-2, 0x1.68f9637be7281p-2, 0x1.63f75e32c709p-2, 0x1.5ef825bb8e2e6p-2, 0x1.59fc2b34db2acp-2, 0x1.5503dd71c6dap-2, 0x1.500fa8e37a3f9p-2, 0x1.4b1ff784cbcdap-2, 0x1.463530c7cb03ap-2, 0x1.414fb9853359ep-2, 0x1.3c6ff3edad6a2p-2, 0x1.37963f7cd121cp-2, 0x1.32c2f8edda0adp-2, 0x1.2df67a31f8ff1p-2, 0x1.29311a6834526p-2, 0x1.24732dd6c70e3p-2, 0x1.1fbd05e5ecc69p-2, 0x1.1b0ef11c0d472p-2, 0x1.16693b1b33dcbp-2, 0x1.11cc2c9fc50a7p-2, 0x1.0d380b806577fp-2, 0x1.08ad1aaefdde2p-2, 0x1.042b9a3ad0124p-2, 0x1.ff678ea724612p-3, 0x1.f68bb89af12eep-3, 0x1.edc4214c581e6p-3, 0x1.e511321526fbcp-3, 0x1.dc734ebadde76p-3, 0x1.d3ead57d5c25bp-3, 0x1.cb781f26f3d06p-3, 0x1.c31b7f1dcca9p-3, 0x1.bad543767c8b2p-3, 0x1.b2a5b507bf802p-3, 0x1.aa8d177f326e2p-3, 0x1.a28ba9770f808p-3, 0x1.9aa1a48cbb081p-3, 0x1.92cf3d7828bdcp-3, 0x1.8b14a423ec8afp-3, 0x1.837203c60328cp-3, 0x1.7be782f91ceep-3, 0x1.747543d6771c2p-3, 0x1.6d1b64102a291p-3, 0x1.65d9fd0bd2a2dp-3, 0x1.5eb123fd98311p-3, 0x1.57a0ea03768fap-3, 0x1.50a95c40c0965p-3, 0x1.49ca83f9cf3c3p-3, 0x1.430466afd1264p-3, 0x1.3c57063cabcdfp-3, 0x1.35c260eeeaba4p-3, 0x1.2f4671a5a42adp-3, 0x1.28e32fec5a3e6p-3, 0x1.22989016c1b5cp-3, 0x1.1c66835c6bafbp-3, 0x1.164cf7f448b14p-3, 0x1.104bd92ffdf05p-3, 0x1.0a630f96ffaf7p-3, 0x1.0492810175f16p-3, 0x1.fdb42165a94cdp-4, 0x1.f2733ee861ff1p-4, 0x1.e762175c86639p-4, 0x1.dc80630625ce1p-4, 0x1.d1cdd5cea03d8p-4, 0x1.c74a1f7686c4bp-4, 0x1.bcf4ebc6c881ep-4, 0x1.b2cde2c11000ap-4, 0x1.a8d4a8cf44b3dp-4, 0x1.9f08def242211p-4, 0x1.956a22ef9f9d6p-4, 0x1.8bf80f7ea1f1bp-4, 0x1.82b23c743fda5p-4, 0x1.79983eee3af7bp-4, 0x1.70a9a97d48f6bp-4, 0x1.67e60c4e4d78p-4, 0x1.5f4cf5529e07ap-4, 0x1.56ddf06750d78p-4, 0x1.4e98877b955d5p-4, 0x1.467c42b61321p-4, 0x1.3e88a8995213ep-4, 0x1.36bd3e2727562p-4, 0x1.2f1987032ced5p-4, 0x1.279d05943d625p-4, 0x1.20473b24fbe54p-4, 0x1.1917a8036383dp-4, 0x1.120dcb9f628b7p-4, 0x1.0b2924a882cb9p-4, 0x1.0469312aa1895p-4, 0x1.fb9add536bd06p-5, 0x1.eeaab4795a582p-5, 0x1.e200e14eb5c9cp-5, 0x1.d59c5ce706b2cp-5, 0x1.c97c2011fe44ep-5, 0x1.bd9f2389feb5bp-5, 0x1.b2046020e3b89p-5, 0x1.a6aaceeb1708ep-5, 0x1.9b916968f4e4bp-5, 0x1.90b729ae8833ap-5, 0x1.861b0a89a5655p-5, 0x1.7bbc07a66f48p-5, 0x1.71991db244163p-5, 0x1.67b14a7d27d6ep-5, 0x1.5e038d19a723ep-5, 0x1.548ee5fb422b2p-5, 0x1.4b525713658c4p-5, 0x1.424ce3ecfa387p-5, 0x1.397d91c690e6fp-5, 0x1.30e367ab37e66p-5, 0x1.287d6e89fd65ep-5, 0x1.204ab14c28113p-5, 0x1.184a3cea32a9cp-5, 0x1.107b207f8af71p-5, 0x1.08dc6d5d232f1p-5, 0x1.016d371adb78bp-5, 0x1.f459274f95209p-6, 0x1.e63336b2df87ep-6, 0x1.d866d1f3a71abp-6, 0x1.caf233a949058p-6, 0x1.bdd39b869f20cp-6, 0x1.b1094e7048084p-6, 0x1.a49196910f47ep-6, 0x1.986ac36c7e105p-6, 0x1.8c9329efb14cap-6, 0x1.810924807b6f4p-6, 0x1.75cb130ade9fcp-6, 0x1.6ad75b0cf736ep-6, 0x1.602c67a15ac23p-6, 0x1.55c8a987ff422p-6, 0x1.4baa972db74e1p-6, 0x1.41d0acb251e56p-6, 0x1.38396bed67129p-6, 0x1.2ee35c71e3ad2p-6, 0x1.25cd0b905ec7dp-6, 0x1.1cf50c584088cp-6, 0x1.1459f797d3c18p-6, 0x1.0bfa6bdb3ec0ap-6, 0x1.03d50d6a79e38p-6, 0x1.f7d10c8c903ecp-7, 0x1.e8670c48900e8p-7, 0x1.d96984d430c3ap-7, 0x1.cad5ec4f4f0dfp-7, 0x1.bca9c421664f5p-7, 0x1.aee298eb0a527p-7, 0x1.a17e0275ddfbp-7, 0x1.9479a3a33dd1bp-7, 0x1.87d32a5982467p-7, 0x1.7b884f701795dp-7, 0x1.6f96d69a5d3e3p-7, 0x1.63fc8e5175d5ap-7, 0x1.58b74fbd00368p-7, 0x1.4dc4fe9ae874ep-7, 0x1.432389263843p-7, 0x1.38d0e7fd24467p-7, 0x1.2ecb1e063c534p-7, 0x1.25103854e6f2dp-7, 0x1.1b9e4e0d29c1ep-7, 0x1.12738046d1155p-7, 0x1.098df9f0012cap-7, 0x1.00ebefaf3eep-7, 0x1.f1173f89f7834p-8, 0x1.e0d6a3d960c57p-8, 0x1.d112ae7b22415p-8, 0x1.c1c81415cd859p-8, 0x1.b2f39b882f282p-8, 0x1.a4921da8d093fp-8, 0x1.96a085050085ep-8, 0x1.891bcd9f743ccp-8, 0x1.7c0104ae8fb69p-8, 0x1.6f4d485a6b80ep-8, 0x1.62fdc77aa285p-8, 0x1.570fc153fd7dep-8, 0x1.4b80855605184p-8, 0x1.404d72d88d096p-8, 0x1.3573f8d9447f8p-8, 0x1.2af195b95895p-8, 0x1.20c3d6fb35badp-8, 0x1.16e8590073eb1p-8, 0x1.0d5cc6c7f856ap-8, 0x1.041ed9ac57884p-8, 0x1.f658b245070ddp-9, 0x1.e50634f198525p-9, 0x1.d442012c7c874p-9, 0x1.c407f774d329fp-9, 0x1.b454127b24fecp-9, 0x1.a52266a2b9068p-9, 0x1.966f2183e0059p-9, 0x1.8836896f4931ap-9, 0x1.7a74fcf26c68p-9, 0x1.6d26f25d10ae6p-9, 0x1.6048f74804f22p-9, 0x1.53d7b01d0c262p-9, 0x1.47cfd7a003819p-9, 0x1.3c2e3e795ba39p-9, 0x1.30efcac1dc2a7p-9, 0x1.2611778fbe219p-9, 0x1.1b9054852be7ap-9, 0x1.11698560232e4p-9, 0x1.079a418bc0f2bp-9, 0x1.fc3fa7660687cp-10, 0x1.e9ef32a9f5469p-10, 0x1.d83e04b4f1074p-10, 0x1.c727215a74ab9p-10, 0x1.b6a5afa126c7bp-10, 0x1.a6b4f8f73516fp-10, 0x1.97506869bb106p-10, 0x1.887389df327a3p-10, 0x1.7a1a0954f5ddcp-10, 0x1.6c3fb21fda7e5p-10, 0x1.5ee06e2fd44e2p-10, 0x1.51f84556ba67ep-10, 0x1.45835c920ec5bp-10, 0x1.397df557ee5d6p-10, 0x1.2de46ce6fffa4p-10, 0x1.22b33b997f18ep-10, 0x1.17e6f43b50c2ep-10, 0x1.0d7c43632148ep-10, 0x1.036feece8b161p-10, 0x1.f37da9827e59cp-11, 0x1.e0cbd6ce5c97p-11, 0x1.cec4807351d66p-11, 0x1.bd61eeceec35fp-11, 0x1.ac9e967faf473p-11, 0x1.9c751740ef7bap-11, 0x1.8ce03acc724bdp-11, 0x1.7ddaf3c1c79dcp-11, 0x1.6f605c934b4d4p-11, 0x1.616bb678c406ap-11, 0x1.53f868678f3ecp-11, 0x1.4701fe104a833p-11, 0x1.3a8426e1eb814p-11, 0x1.2e7ab51236c62p-11, 0x1.22e19cab83347p-11, 0x1.17b4f29fbadfap-11, 0x1.0cf0ebe089c37p-11, 0x1.0291dc7ca40cbp-11, 0x1.f1286d843160cp-12, 0x1.dde914cb34f4bp-12, 0x1.cb5f075d5cecp-12, 0x1.b983d5515c413p-12, 0x1.a85144b117a96p-12, 0x1.97c14fee896fp-12, 0x1.87ce2461e37ddp-12, 0x1.787220d0bf6f2p-12, 0x1.69a7d3fe43d1ep-12, 0x1.5b69fb440ef15p-12, 0x1.4db38133cba1ap-12, 0x1.407f7c413efb6p-12, 0x1.33c92d74b80e4p-12, 0x1.278bff25ae336p-12, 0x1.1bc383bd753abp-12, 0x1.106b7481d982bp-12, 0x1.057fb06784e8cp-12, 0x1.f5f875d808f65p-13, 0x1.e1ba75ee9969ap-13, 0x1.ce3df3892ea55p-13, 0x1.bb7bc3a4ebacap-13, 0x1.a96cfbb3eb287p-13, 0x1.980aef996aa85p-13, 0x1.874f2fb38375dp-13, 0x1.773386f23922dp-13, 0x1.67b1f8fb9142p-13, 0x1.58c4c05c77f1ep-13, 0x1.4a664cc61d743p-13, 0x1.3c9141579dfd5p-13, 0x1.2f4072f3a1c28p-13, 0x1.226ee6a1babc7p-13, 0x1.1617cffb4110dp-13, 0x1.0a368fa364468p-13, 0x1.fd8d639481433p-14, 0x1.e787d97554931p-14, 0x1.d2543ee505fcfp-14, 0x1.bdeaa08a94652p-14, 0x1.aa4357117163cp-14, 0x1.975704964f9b7p-14, 0x1.851e922721c4ep-14, 0x1.73932d55b9999p-14, 0x1.62ae45dcb5bafp-14, 0x1.52698b563f953p-14, 0x1.42beeb042d28dp-14, 0x1.33a88da91e0f6p-14, 0x1.2520d57228bbbp-14, 0x1.17225bf0b05fp-14, 0x1.09a7f023fc68dp-14, 0x1.f95929245d76dp-15, 0x1.e056fae067c29p-15, 0x1.c8401db09ed1ep-15, 0x1.b10bb61dc3b9fp-15, 0x1.9ab141aa1bd39p-15, 0x1.85289391be08ap-15, 0x1.7069d1a532f4fp-15, 0x1.5c6d713db4ca1p-15, 0x1.492c344a63d45p-15, 0x1.369f2675c3c3ap-15, 0x1.24bf9a62e1661p-15, 0x1.13872701760bep-15, 0x1.02efa4f86fd2cp-15, 0x1.e5e6584c815aep-16, 0x1.c718226cb275ep-16, 0x1.a969c69678dd3p-16, 0x1.8cd0d37932124p-16, 0x1.714343d1b2fb6p-16, 0x1.56b77a333ac7ap-16, 0x1.3d243cf524f13p-16, 0x1.2480b24459d75p-16, 0x1.0cc45c5762c14p-16, 0x1.ebce2b886fa3p-17, 0x1.bfc21bed7d7c1p-17, 0x1.95558b8e0ef09p-17, 0x1.6c7a185cc1cd4p-17, 0x1.4521f63498e2ep-17, 0x1.1f3fe8b8ffd87p-17, 0x1.f58e7adc1429dp-18, 0x1.af578c0ea60edp-18, 0x1.6bc3a5d79a98ep-18, 0x1.2abc5bd9cc34ep-18, 0x1.d85854bd9ffc6p-19, 0x1.5ffcd9125bccep-19, 0x1.d87d4b900e84dp-20, 0x1.f3ded2696a41cp-21, 0x1.203866e3104acp-23, -0x1.5303b6042bf19p-21, -0x1.6eee939f227fdp-20, -0x1.163fda8052109p-19, -0x1.7139a3f21268fp-19, -0x1.c882713f8816bp-19, -0x1.0e1b7107af809p-18, -0x1.36393bec681bfp-18, -0x1.5ca7d150bc38cp-18, -0x1.8173e69c6f16dp-18, -0x1.a4a9b47b0458fp-18, -0x1.c654fc7db186cp-18, -0x1.e6810e8285524p-18, -0x1.029c66f163d88p-17, -0x1.11435b3541d9dp-17, -0x1.1f3a708d8fceep-17, -0x1.2c86845d6e8ccp-17, -0x1.392c471984c06p-17, -0x1.45303e5f4c559p-17, -0x1.5096c6f5700a4p-17, -0x1.5b6416b60416ap-17, -0x1.659c3e6373aep-17, -0x1.6f432b68d4becp-17, -0x1.785ca9866f992p-17, -0x1.80ec646b368eep-17, -0x1.88f5e93bd390bp-17, -0x1.907ca80808945p-17, -0x1.9783f52f042bcp-17, -0x1.9e0f0ab3545bcp-17, -0x1.a421097f14c83p-17, -0x1.a9bcfa98eb34ap-17, -0x1.aee5d04a7815cp-17, -0x1.b39e6738bb759p-17, -0x1.b7e9876f029bep-17, -0x1.bbc9e55ced273p-17, -0x1.bf4222c7f71c6p-17, -0x1.c254cfb123934p-17, -0x1.c5046b2f271cep-17, -0x1.c753643da6545p-17, -0x1.c9441a81dda0ep-17, -0x1.cad8df0533ddep-17, -0x1.cc13f4e626e03p-17, -0x1.ccf791ffe9c26p-17, -0x1.cd85df8926d11p-17, -0x1.cdc0faaa3e722p-17, -0x1.cdaaf50b67e7dp-17, -0x1.cd45d55b04a3ap-17, -0x1.cc9397cc8f5e5p-17, -0x1.cb962e905f284p-17, -0x1.ca4f8244ad6b6p-17, -0x1.c8c172601711fp-17, -0x1.c6edd595f68p-17, -0x1.c4d67a34cd21ep-17, -0x1.c27d267f11985p-17, -0x1.bfe398fe9c267p-17, -0x1.bd0b88d300a52p-17, -0x1.b9f6a5fafe56fp-17, -0x1.b6a699995c134p-17, -0x1.b31d063551ef7p-17, -0x1.af5b87f6cfa87p-17, -0x1.ab63b4debf823p-17, -0x1.a7371cfb91fd7p-17, -0x1.a2d74a9a2ae55p-17, -0x1.9e45c273708cdp-17, -0x1.998403d6a5985p-17, -0x1.949388d0be513p-17, -0x1.8f75c650c7235p-17, -0x1.8a2c2c49afd87p-17, -0x1.84b825d1717dap-17, -0x1.7f1b193dd13bp-17, -0x1.7956683ee4276p-17, -0x1.736b6ff769b44p-17, -0x1.6d5b891320badp-17, -0x1.672807db46b7bp-17, -0x1.60d23c493fc51p-17, -0x1.5a5b7217a54b7p-17, -0x1.53c4f0d1c57f8p-17, -0x1.4d0ffbe1a6d77p-17, -0x1.463dd29cc4a66p-17, -0x1.3f4fb04f782e4p-17, -0x1.3846cc474332p-17, -0x1.312459dc02f1ap-17, -0x1.29e988782256dp-17, -0x1.2297839fe2ce9p-17, -0x1.1b2f72f7cacd4p-17, -0x1.13b27a4a4dbbap-17, -0x1.0c21b98cbe4dbp-17, -0x1.047e4ce39aafdp-17, -0x1.f992994c85ee3p-18, -0x1.ea079ac44f0d4p-18, -0x1.da5dbfbafb111p-18, -0x1.ca9722330ce7dp-18, -0x1.bab5d4a8ef787p-18, -0x1.aabbe21619828p-18, -0x1.9aab4df39fa61p-18, -0x1.8a86143c46bbbp-18, -0x1.7a4e296e2cae3p-18, -0x1.6a057a8c171d9p-18, -0x1.59aded1e7b63fp-18, -0x1.49495f3450fdap-18, -0x1.38d9a763ba271p-18, -0x1.286094ca9691fp-18, -0x1.17dfef0f05f6fp-18, -0x1.0759765feef9fp-18, -0x1.ed9dc6eb2204bp-19, -0x1.cc83cf2458897p-19, -0x1.ab685905979f3p-19, -0x1.8a4ea94075149p-19, -0x1.6939f5a052678p-19, -0x1.482d650d21d0fp-19, -0x1.272c0f8eaab6bp-19, -0x1.0638fe5066e05p-19, -0x1.caae574be5573p-20, -0x1.8913062057d6dp-20, -0x1.47a5c28601324p-20, -0x1.066c2857ed22p-20, -0x1.8ad76be5da37fp-21, -0x1.0953988b79f23p-21, -0x1.10aebb8b1d654p-22, -0x1.fb4209c887976p-27, 0x1.df85589169a83p-23, 0x1.ee13ca56cf8f6p-22, 0x1.758307055aa8fp-21, 0x1.f343579dbdf4bp-21, 0x1.3820d63e13ccbp-20, 0x1.763a8a444435dp-20, 0x1.b3ea6be5f2cd4p-20, 0x1.f12c3b96c646bp-20, 0x1.16fdeb0b2e908p-19, 0x1.352a9a25aeb17p-19, 0x1.531a358e63a8ap-19, 0x1.70cad5a4c4faep-19, 0x1.8e3aa09f30321p-19, 0x1.ab67ca7501a0dp-19, 0x1.c85094c7d0f1bp-19, 0x1.e4f34ecbe3f3p-19, 0x1.00a72a97e5c2ap-18, 0x1.0eb009019c8a1p-18, 0x1.1c937e4e86e1ap-18, 0x1.2a50ccc051efcp-18, 0x1.37e73d212fa36p-18, 0x1.45561eb5c1845p-18, 0x1.529cc72ea7919p-18, 0x1.5fba9299bb89ep-18, 0x1.6caee352f3235p-18, 0x1.797921f4f393ep-18, 0x1.8618bd4952f47p-18, 0x1.928d2a388e68ep-18, 0x1.9ed5e3b9b67f9p-18, 0x1.aaf26ac1d2a41p-18, 0x1.b6e2463301fd5p-18, 0x1.c2a502cb5ade4p-18, 0x1.ce3a33138b16fp-18, 0x1.d9a16f4d3c083p-18, 0x1.e4da556140876p-18, 0x1.efe488cd89b04p-18, 0x1.fabfb292eb4afp-18, 0x1.02b5c09157e28p-17, 0x1.07f3d425ff069p-17, 0x1.0d19f0948ad22p-17, 0x1.1227f50632bf2p-17, 0x1.171dc336bcfbbp-17, 0x1.1bfb3f6ae6fa8p-17, 0x1.20c05066bc938p-17, 0x1.256cdf63e22c4p-17, 0x1.2a00d807d2317p-17, 0x1.2e7c285a0e9a4p-17, 0x1.32dec0ba48307p-17, 0x1.372893d67ea3ap-17, 0x1.3b5996a1173ecp-17, 0x1.3f71c046ee6cbp-17, 0x1.43710a2564a13p-17, 0x1.47576fc0667fbp-17, 0x1.4b24eeb873b64p-17, 0x1.4ed986c0a31bap-17, 0x1.52753994a7f47p-17, 0x1.55f80aeed917bp-17, 0x1.5962007e349e6p-17, 0x1.5cb321dc6f88dp-17, 0x1.5feb788401362p-17, 0x1.630b0fc639861p-17, 0x1.6611f4c15cbe3p-17, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      111, 0x1.5333333333333p+2, 0x1.6ea19358e2e7fp+0, 0x1.b3727df0884cfp+1, -0x1.4bb7cb23477d8p-1, 
      {{
        {0x1.6b6ae7d566cf4p+0, 0x1.6e8a71de69ad4p+0, 0x1.a4370cdc8754fp+1, -0x1.684a3aae0f004p+2, 0x1.01fec2f9bcbcp+2, 0x1.34270a18694a5p-3}, 
        {0x1.6e8a71de69ad4p+0, 0x1.71a9fbe76c8b4p+0, 0x1.9b80346dc5d64p+1, -0x1.61fd966417b17p+2, 0x1.0258fd19c656fp+2, -0x1.8130cc9e869ap-1}, 
        {0x1.71a9fbe76c8b4p+0, 0x1.74c985f06f694p+0, 0x1.92f0ae536501ep+1, -0x1.5bb5594a6263ep+2, 0x1.0095da79964ccp+2, -0x1.52f946047f9b7p+1}, 
        {0x1.74c985f06f694p+0, 0x1.77e90ff972474p+0, 0x1.8a8826aa8eb46p+1, -0x1.5585fce485627p+2, 0x1.f4c3a89ba9915p+1, 0x1.531039a41c69fp-2}, 
        {0x1.77e90ff972474p+0, 0x1.7b089a0275254p+0, 0x1.8245f5ad96a6ap+1, -0x1.4f679415433fbp+2, 0x1.f650c50821af5p+1, -0x1.0bbb3c680f425p+2}, 
        {0x1.7b089a0275254p+0, 0x1.7e28240b78034p+0, 0x1.7a29c779a6b51p+1, -0x1.496559cdfb762p+2, 0x1.e2b7b294ca246p+1, -0x1.e7e13f76beee7p-4}, 
        {0x1.7e28240b78034p+0, 0x1.8147ae147ae14p+0, 0x1.7232a0663c75p+1, -0x1.438299432ce92p+2, 0x1.e228d8aac1ff5p+1, -0x1.b1d4050e58c4cp-1}, 
        {0x1.8147ae147ae14p+0, 0x1.8467381d7dbf5p+0, 0x1.6a602c9081c2ep+1, -0x1.3da6eab17c90ap+2, 0x1.de30a5ad4022cp+1, -0x1.ffa925ed64c47p+0}, 
        {0x1.8467381d7dbf5p+0, 0x1.8786c226809d5p+0, 0x1.62b21815a07b3p+1, -0x1.37e00e3858ceep+2, 0x1.d4d39e74668f6p+1, -0x1.1607f6e9536aep+1}, 
        {0x1.8786c226809d5p+0, 0x1.8aa64c2f837b5p+0, 0x1.5b27bb2fec56dp+1, -0x1.3237b4fa22a87p+2, 0x1.caa6942342617p+1, -0x1.4ed6ab3a3d0cbp-2}, 
        {0x1.8aa64c2f837b5p+0, 0x1.8dc5d63886595p+0, 0x1.53c06e19b90ebp+1, -0x1.2ca1a42aa709dp+2, 0x1.c91e6a6ec9be3p+1, -0x1.0374557d27b8ep+1}, 
        {0x1.8dc5d63886595p+0, 0x1.90e5604189375p+0, 0x1.4c7bdcf0307f2p+1, -0x1.271ccbfb91c4fp+2, 0x1.bf9f6e78cca42p+1, -0x1.4a2318a7a5c52p+1}, 
        {0x1.90e5604189375p+0, 0x1.9404ea4a8c155p+0, 0x1.45595feda6613p+1, -0x1.21b9a67266a9bp+2, 0x1.b38a2dd3543e9p+1, 0x1.5462e82b2a7dcp+0}, 
        {0x1.9404ea4a8c155p+0, 0x1.972474538ef35p+0, 0x1.3e584f4c6e6dap+1, -0x1.1c5fa5242a062p+2, 0x1.b9c4d22d34ffp+1, -0x1.5ea2b7ae28b34p+1}, 
        {0x1.972474538ef35p+0, 0x1.9a43fe5c91d15p+0, 0x1.3778ab0c88a48p+1, -0x1.170ff3fdc821ep+2, 0x1.acef816b2f4efp+1, -0x1.62ebb2c41e026p+0}, 
        {0x1.9a43fe5c91d15p+0, 0x1.9d63886594af5p+0, 0x1.30b9cb6848bebp+1, -0x1.11de71b68b815p+2, 0x1.a670c5e771378p+1, -0x1.5d5526ce3159ep+1}, 
        {0x1.9d63886594af5p+0, 0x1.a083126e978d5p+0, 0x1.2a1b089a02752p+1, -0x1.0ccb0b3ddc8acp+2, 0x1.99a7aa86801a1p+1, 0x1.49f6612b6fb4cp+0}, 
        {0x1.a083126e978d5p+0, 0x1.a3a29c779a6b5p+0, 0x1.239bbadc0980bp+1, -0x1.07c22e1ecf20bp+2, 0x1.9fb1795c0e8fep+1, -0x1.36979b88ae135p+1}, 
        {0x1.a3a29c779a6b5p+0, 0x1.a6c226809d495p+0, 0x1.1d3be22e5de16p+1, -0x1.02c1a3842c9a7p+2, 0x1.94535966c5d5ep+1, -0x1.4c6c06781c17bp+1}, 
        {0x1.a6c226809d495p+0, 0x1.a9e1b089a0275p+0, 0x1.16fad6cb53501p+1, -0x1.fbcbb26f7770cp+1, 0x1.8828b03466309p+1, 0x1.ccf0e2c7fd3f3p+0}, 
        {0x1.a9e1b089a0275p+0, 0x1.ad013a92a3055p+0, 0x1.10d7f0ed3d85ap+1, -0x1.f21fc5422dc3ap+1, 0x1.90981ac13949cp+1, -0x1.26badf8bed91fp+2}, 
        {0x1.ad013a92a3055p+0, 0x1.b020c49ba5e35p+0, 0x1.0ad330941c821p+1, -0x1.e89ce13d1df28p+1, 0x1.7b0519c04ca8ep+1, 0x1.94f49e999aedp-4}, 
        {0x1.b020c49ba5e35p+0, 0x1.b3404ea4a8c15p+0, 0x1.04eb9a176ddadp+1, -0x1.df5bec580abaep+1, 0x1.7b7babec47aap+1, -0x1.4c20ed7d5d406p+0}, 
        {0x1.b3404ea4a8c15p+0, 0x1.b65fd8adab9f5p+0, 0x1.fe41b328b6d87p+0, -0x1.d62c80b0c639ep+1, 0x1.7567b72446e7ap+1, -0x1.aa6b5fe2eadbcp-2}, 
        {0x1.b65fd8adab9f5p+0, 0x1.b97f62b6ae7d5p+0, 0x1.f2e536501e258p+0, -0x1.cd16286547d3fp+1, 0x1.73744aff575a8p+1, -0x1.45a17b522895ap+1}, 
        {0x1.b97f62b6ae7d5p+0, 0x1.bc9eecbfb15b5p+0, 0x1.e7c115df6555cp+0, -0x1.c42b20dfdfbb7p+1, 0x1.678943421eaccp+1, -0x1.afdf55fecd034p-2}, 
        {0x1.bc9eecbfb15b5p+0, 0x1.bfbe76c8b4396p+0, 0x1.dcd4024b33dbp+0, -0x1.bb6b7e12d483p+1, 0x1.658f7429ff4fbp+1, -0x1.46acf76141586p+0}, 
        {0x1.bfbe76c8b4396p+0, 0x1.c2de00d1b7176p+0, 0x1.d21d53cddd6ep+0, -0x1.b2c4b2cabba9bp+1, 0x1.5f950b2ebedb6p+1, 0x1.371bbf64a665bp-6}, 
        {0x1.c2de00d1b7176p+0, 0x1.c5fd8adab9f56p+0, 0x1.c79c62a1b5c7dp+0, -0x1.aa304c297a065p+1, 0x1.5fabd11adc722p+1, -0x1.13a5022657e33p+2}, 
        {0x1.c5fd8adab9f56p+0, 0x1.c91d14e3bcd36p+0, 0x1.bd50870110a13p+0, -0x1.a1daa2dae6bf8p+1, 0x1.4b7e754cb01fcp+1, 0x1.600bceb452ec7p-1}, 
        {0x1.c91d14e3bcd36p+0, 0x1.cc3c9eecbfb16p+0, 0x1.b337c99ae924fp+0, -0x1.99b9ee80bdadbp+1, 0x1.4eb7174e5d119p+1, 0x1.8e7c6b302febp+0}, 
        {0x1.cc3c9eecbfb16p+0, 0x1.cf5c28f5c28f6p+0, 0x1.a9522a6f3f53p+0, -0x1.9178642eb99bep+1, 0x1.5601eb15d3175p+1, -0x1.ba7de506dbeb4p+2}, 
        {0x1.cf5c28f5c28f6p+0, 0x1.d27bb2fec56d6p+0, 0x1.9f9fa97e132b5p+0, -0x1.89853cc7b7643p+1, 0x1.359df9f64b984p+1, 0x1.0489354aac05p+2}, 
        {0x1.d27bb2fec56d6p+0, 0x1.d59b3d07c84b6p+0, 0x1.961da7b0b3919p+0, -0x1.81bbae9283b4dp+1, 0x1.48b0364912c27p+1, -0x1.ee663e455ba51p+1}, 
        {0x1.d59b3d07c84b6p+0, 0x1.d8bac710cb296p+0, 0x1.8cccccccccccdp+0, -0x1.79ef13d7903acp+1, 0x1.3697e336753dep+1, 0x1.75ba53d7b5e61p-2}, 
        {0x1.d8bac710cb296p+0, 0x1.dbda5119ce076p+0, 0x1.83abc947064edp+0, -0x1.7255a5bb4c2a8p+1, 0x1.384d98fc2fefcp+1, -0x1.8d5e8da8c8b57p+1}, 
        {0x1.dbda5119ce076p+0, 0x1.def9db22d0e56p+0, 0x1.7ab9f559b3d08p+0, -0x1.6ae44cd68675bp+1, 0x1.29c267deeb269p+1, 0x1.09e750461f087p+0}, 
        {0x1.def9db22d0e56p+0, 0x1.e219652bd3c36p+0, 0x1.71f601797cc3ap+0, -0x1.63912da194219p+1, 0x1.2ea01c5c4f81ep+1, -0x1.0ce025c6676d3p+0}, 
        {0x1.e219652bd3c36p+0, 0x1.e538ef34d6a16p+0, 0x1.695feda661284p+0, -0x1.5c3e39e8d3677p+1, 0x1.29b47b840544ep+1, -0x1.2c1afe9912334p+1}, 
        {0x1.e538ef34d6a16p+0, 0x1.e858793dd97f6p+0, 0x1.60f7121ab4b73p+0, -0x1.551cf248f7a4ep+1, 0x1.1eb89d4ecd5bbp+1, -0x1.2bccdaf56c971p-1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb780346dc5d6p+0, 0x1.58ba1f4b1ee24p+0, -0x1.4e2689f5d2a9dp+1, 0x1.1bfa5cca05abap+1, -0x1.a3ff21cf37736p-1}, 
        {0x1.eb780346dc5d6p+0, 0x1.fb15b573eab36p+0, 0x1.50a86d71f3626p+0, -0x1.4744b38369c9dp+1, 0x1.18228ff964b07p+1, -0x1.efc326e60026bp-1}, 
        {0x1.fb15b573eab36p+0, 0x1.0559b3d07c84bp+1, 0x1.2ac27a63736cep+0, -0x1.2679b68bdb72ep+1, 0x1.017431b6ef4e7p+1, -0x1.d5e3890ac7efbp-1}, 
        {0x1.0559b3d07c84bp+1, 0x1.0d288ce703afbp+1, 0x1.08b242070b8dp+0, -0x1.08609df2823b7p+1, 0x1.d7e9b6817dba3p+0, -0x1.b105f2b31f57ep-1}, 
        {0x1.0d288ce703afbp+1, 0x1.14f765fd8adacp+1, 0x1.d44c5974e65bfp-1, -0x1.d9992e2810fb6p+0, 0x1.b04a93a0761f7p+0, -0x1.9a1d10ca422ddp-1}, 
        {0x1.14f765fd8adacp+1, 0x1.1cc63f141205cp+1, 0x1.9da4acf312b1bp-1, -0x1.a725dabaf199p+0, 0x1.8ac413c1279e6p+0, -0x1.7cb81ef60d0efp-1}, 
        {0x1.1cc63f141205cp+1, 0x1.2495182a9930cp+1, 0x1.6cdee34fc610fp-1, -0x1.791c855fb830ap+0, 0x1.67ee1c2f814dcp+0, -0x1.648a589cdbb88p-1}, 
        {0x1.2495182a9930cp+1, 0x1.2c63f141205bcp+1, 0x1.4175f2cb6417p-1, -0x1.4f30a19e5c1d9p+0, 0x1.474e81e6c8d9p+0, -0x1.4dc6290aff328p-1}, 
        {0x1.2c63f141205bcp+1, 0x1.3432ca57a786cp+1, 0x1.1aed783dff3f1p-1, -0x1.291f1b6edb62ap+0, 0x1.28c42f0ac535bp+0, -0x1.32e8d2a42c70cp-1}, 
        {0x1.3432ca57a786cp+1, 0x1.3c01a36e2eb1cp+1, 0x1.f1a2a4db163bbp-2, -0x1.06a1085a33872p+0, 0x1.0caf22efb76a5p+0, -0x1.204221067678p-1}, 
        {0x1.3c01a36e2eb1cp+1, 0x1.43d07c84b5dccp+1, 0x1.b56c0d6f544bbp-2, -0x1.ceeabe6abaa69p-1, 0x1.e49df28464ed3p-1, -0x1.09aa0ce5bd221p-1}, 
        {0x1.43d07c84b5dccp+1, 0x1.4b9f559b3d07dp+1, 0x1.806e9ff0cbaf9p-2, -0x1.96c261e72f9d8p-1, 0x1.b4001bad4bc99p-1, -0x1.ec3be70b5afb7p-2}, 
        {0x1.4b9f559b3d07dp+1, 0x1.536e2eb1c432dp+1, 0x1.51f0c34c1a8acp-2, -0x1.64508d7c4dcap-1, 0x1.86f604df543abp-1, -0x1.c6b24d5520a4bp-2}, 
        {0x1.536e2eb1c432dp+1, 0x1.5b3d07c84b5ddp+1, 0x1.2946c332f0175p-2, -0x1.3727c1ff82e86p-1, 0x1.5d5b3559342fcp-1, -0x1.9ddc2efa61b5dp-2}, 
        {0x1.5b3d07c84b5ddp+1, 0x1.630be0ded288dp+1, 0x1.05d249e44fa05p-2, -0x1.0ed8031d6777bp-1, 0x1.377cf31913f34p-1, -0x1.852c74aa303p-2}, 
        {0x1.630be0ded288dp+1, 0x1.6adab9f559b3dp+1, 0x1.ce043a2163fddp-3, -0x1.d6076294d218bp-2, 0x1.13e0f226b090bp-1, -0x1.5c4cd7eaf5002p-2}, 
        {0x1.6adab9f559b3dp+1, 0x1.72a9930be0dedp+1, 0x1.989efd86a8fc1p-3, -0x1.969a3ed483dd9p-2, 0x1.e804b9b7a15ap-2, -0x1.3fef0ccb2f771p-2}, 
        {0x1.72a9930be0dedp+1, 0x1.7a786c226809dp+1, 0x1.6a808c8259e1fp-3, -0x1.5ea2bc967bc07p-2, 0x1.ad7877a1ceae7p-2, -0x1.25d131aebfea5p-2}, 
        {0x1.7a786c226809dp+1, 0x1.82474538ef34dp+1, 0x1.42c98e53eb39ap-3, -0x1.2d8529442c133p-2, 0x1.77b3b8862e1f1p-2, -0x1.083d6eee99013p-2}, 
        {0x1.82474538ef34dp+1, 0x1.8a161e4f765fep+1, 0x1.20ad8a116659dp-3, -0x1.02a25c79a9c08p-2, 0x1.47589b437a0ecp-2, -0x1.da770b6ad841ep-3}, 
        {0x1.8a161e4f765fep+1, 0x1.91e4f765fd8aep+1, 0x1.0373f316e3715p-3, -0x1.bab14435ae942p-3, 0x1.1beebce82a1bep-2, -0x1.b1e1bb15c9ba6p-3}, 
        {0x1.91e4f765fd8aep+1, 0x1.99b3d07c84b5ep+1, 0x1.d4ed2cbea4ebep-4, -0x1.7a419e52af5e1p-3, 0x1.e876fbac577e5p-3, -0x1.8491ad58bdec1p-3}, 
        {0x1.99b3d07c84b5ep+1, 0x1.a182a9930be0ep+1, 0x1.aa3cea6c1a049p-4, -0x1.43004fa8c5e14p-3, 0x1.a15b4cd8c6257p-3, -0x1.53b83e19dff64p-3}, 
        {0x1.a182a9930be0ep+1, 0x1.a95182a9930bep+1, 0x1.85c896dd26b72p-4, -0x1.13e0414a36f93p-3, 0x1.63301c9e4766bp-3, -0x1.35bf124a44f54p-3}, 
        {0x1.a95182a9930bep+1, 0x1.b1205bc01a36ep+1, 0x1.66a11ec918e32p-4, -0x1.d800647f2ed2p-4, 0x1.2a811d1c76afdp-3, -0x1.05f1385aa9a12p-3}, 
        {0x1.b1205bc01a36ep+1, 0x1.b8ef34d6a161ep+1, 0x1.4bf0995aaf79p-4, -0x1.9503bc7f307c1p-4, 0x1.f52348ecbc99cp-4, -0x1.f11452e574422p-4}, 
        {0x1.b8ef34d6a161ep+1, 0x1.c0be0ded288cep+1, 0x1.34fc610f0e90cp-4, -0x1.5d6cb79de94ddp-4, 0x1.9a2c1c0f08dcap-4, -0x1.77168960ce738p-4}, 
        {0x1.c0be0ded288cep+1, 0x1.c28f5c28f5c29p+1, 0x1.211cb039ef0f1p-4, -0x1.2f921d8ea7941p-4, 0x1.5587fc4335008p-4, -0x1.1a74d579a3b86p-3}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.1cde5d18090b4p-4, -0x1.2636877923e34p-4, 0x1.3d7745d328ff4p-4, -0x1.358512de6073bp-4}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.119695d91ab8fp-4, -0x1.0e4d2a52c96aap-4, 0x1.1852d2ebacc86p-4, -0x1.35b244e62449ap-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.073471f79420bp-4, -0x1.f2b9637bee51fp-5, 0x1.e651e739b7419p-5, -0x1.33b1d98907194p-4}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.fb3311a543f1cp-5, -0x1.cec5bf3574699p-5, 0x1.9c7923a8306e9p-5, -0x1.f70ca9eb82b4bp-5}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.e950fc71d6063p-5, -0x1.b0307165575c4p-5, 0x1.601b75aaa5dep-5, -0x1.bc69a53fe88cbp-5}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.d8904f6dfc5cep-5, -0x1.9627616726c0ap-5, 0x1.2ac71a2819522p-5, -0x1.0ba6608a73a9fp-4}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.c8c2e770bd018p-5, -0x1.80d23050620cap-5, 0x1.d51562223891bp-6, -0x1.6663566c63cadp-5}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.b9b8887229e9p-5, -0x1.6fc7291df90bdp-5, 0x1.7f1205b649942p-6, -0x1.4f25e5399035cp-5}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.ab4b72c5197a2p-5, -0x1.62105980a26bp-5, 0x1.2ea28704a1d91p-6, -0x1.5d0514ad5cab4p-5}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.9d5a187a4a49p-5, -0x1.57a23e7e01267p-5, 0x1.b5bd7efdbb0dfp-7, -0x1.3cc5c81101ee1p-5}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.8fc2eba27ae9bp-5, -0x1.506643abcd4a5p-5, 0x1.1db07b1e86ed5p-7, -0x1.5fc7961d2fb17p-6}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.8268900c521dep-5, -0x1.4b87ab0a7e50cp-5, 0x1.928647c8a50a6p-8, -0x1.03ab0bb4a05bp-5}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.75360d0247022p-5, -0x1.48c049196e479p-5, 0x1.327c7917c447p-9, -0x1.82e00c3dca48bp-6}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.681450efdc9c5p-5, -0x1.4825ade63583fp-5, -0x1.03a7e43c49969p-11, -0x1.da536f3f30ce2p-7}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.5af07bfe7e1fcp-5, -0x1.490a7b6995f91p-5, -0x1.24972437a4b43p-9, -0x1.90f22a87a6209p-7}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.4dbdf8f47304p-5, -0x1.4afc2b1b62356p-5, -0x1.e50b61977990dp-9, -0x1.e1e3e6a23267bp-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.40724b76f6d76p-5, -0x1.4dfd0fdd83639p-5, -0x1.662d06de2f47cp-8, -0x1.cefc75df17f49p-8}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.3302f72b45283p-5, -0x1.51d91b5effa05p-5, -0x1.9dbbf64ae03c3p-8, -0x1.00465b3f670dp-8}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.2569b17481b22p-5, -0x1.5623a15ed002cp-5, -0x1.bc7cb98fec99ep-8, 0x1.d015e2dcce47p-8}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.17a46173b85e8p-5, -0x1.5a4e3bebff696p-5, -0x1.84cc04bd1b871p-8, -0x1.20089819e6d68p-7}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.09b52007dd441p-5, -0x1.5e8a09c55e94ep-5, -0x1.c9eccd153e73p-8, 0x1.98176ef939f54p-7}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.f733a8a3f8983p-6, -0x1.62a0f5e09fa5fp-5, -0x1.67fba83596f05p-8, 0x1.7f55b869dccabp-8}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.dab191dde3758p-6, -0x1.65ffa305240bdp-5, -0x1.39fb9c51d89a8p-8, 0x1.693d20331af94p-7}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.bdf090f733a8ap-6, -0x1.68b475d9a9407p-5, -0x1.c692336c710fp-9, 0x1.9b60a2fe9e9e6p-7}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.a1016ce789e77p-6, -0x1.6a7befaa553fcp-5, -0x1.011c22a04de18p-9, 0x1.14a029e90bbe6p-6}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.83f91e646f156p-6, -0x1.6b1b13fccd6b2p-5, 0x1.0e6c389145631p-14, 0x1.bf9e0db9aef3dp-7}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.66f0cfe154435p-6, -0x1.6a86c0cb50b74p-5, 0x1.be9d371c9d92ap-10, 0x1.6c23baa36a05cp-6}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.4a01abd1aa822p-6, -0x1.68893155bb47cp-5, 0x1.1e70c61597b98p-8, 0x1.6fa20e9581967p-6}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.2d4d4024b33dbp-6, -0x1.64ca07ff587abp-5, 0x1.cee78567987ccp-8, 0x1.aaa8160d218fap-7}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.10f51ac9afe1ep-6, -0x1.5fa5ed581944fp-5, 0x1.1aa6a6a0e4c05p-7, 0x1.1d86e2a81bb01p-5}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.ea2d2fe3f35ap-7, -0x1.589fe60e71218p-5, 0x1.a3b43224c9151p-7, 0x1.3e74dfb89676cp-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.b3bfb58d1526ep-7, -0x1.4f775ae419309p-5, 0x1.f0222a659108ap-7, 0x1.cb1ebbcd6aeadp-6}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.7eed45e9185cfp-7, -0x1.44711180b4235p-5, 0x1.2f294036f4114p-6, 0x1.95103111bfb07p-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.4c09c3ce2089ep-7, -0x1.3757d3d580c01p-5, 0x1.5fc4cb39154f6p-6, 0x1.e0a07feb9787p-6}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.1b691212513b6p-7, -0x1.281e6b245e8fdp-5, 0x1.9971a75f98223p-6, 0x1.e86dcf3fdf06ap-6}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.daceee0f3cb3ep-8, -0x1.16919f230e021p-5, 0x1.d40e30e223896p-6, 0x1.7da84314eeae6p-6}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.84c271fff79c8p-8, -0x1.02ee3e672b24ap-5, 0x1.00ed59e815d96p-5, 0x1.10789236330adp-5}, 
        {0x1.4p+2, 0x1.428f5c28f5c29p+2, 0x1.355475a31a4bep-8, -0x1.da23206c0ff2p-6, 0x1.219fa8e4596a2p-5, 0x1.fe932b3977cdep-6}, 
        {0x1.428f5c28f5c29p+2, 0x1.451eb851eb852p+2, 0x1.da9c99285a922p-9, -0x1.a958bf267b88cp-6, 0x1.4042170165b9p-5, 0x1.e4c22eadbb5e1p-6}, 
        {0x1.451eb851eb852p+2, 0x1.47ae147ae147bp+2, 0x1.5af294dd72368p-9, -0x1.73c74d1020388p-6, 0x1.5d57fb160faf6p-5, 0x1.b990683e6a453p-8}, 
        {0x1.47ae147ae147bp+2, 0x1.4a3d70a3d70a4p+2, 0x1.d9f4d37c1376dp-10, -0x1.3b5a891db96fcp-6, 0x1.63f7963ff51e8p-5, 0x1.d86b5a44f6abdp-4}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.244a6223e186ap-10, -0x1.f2a82c19af3cap-7, 0x1.d55908131199dp-5, -0x1.1f519be5f060bp-2}, 
        {0x1.4cccccccccccdp+2, 0x1.5333333333333p+2, 0x1.30164840e171ap-11, -0x1.88990958e5dfep-7, 0x1.830b2243b1d59p-6, 0x1.5c26ade85ab8ap-1}, 
      }}, 
      -0x1.c3189796cd3c4p+0, -0x1.860e4113c8eb5p+3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ea3fd03641a28p-3, -0x1.d671d639309bbp-3, -0x1.c2b50a3c8cf57p-3, -0x1.af17c3eaa6886p-3, -0x1.9bab8d6147b7bp-3, -0x1.887e224a479dep-3, -0x1.759b6d8120da3p-3, -0x1.631066948bbedp-3, -0x1.50e7e22348c16p-3, -0x1.3f2ae841d2006p-3, -0x1.2de26429025abp-3, -0x1.1d16722d80942p-3, -0x1.0ccdb10173438p-3, -0x1.fa1bba35bc69ap-4, -0x1.dbb84c21d171p-4, -0x1.be79cc0de183fp-4, -0x1.a26716f2b9c68p-4, -0x1.878592508152cp-4, -0x1.6dd95a9eff71fp-4, -0x1.5565396e7f1bcp-4, -0x1.3e2aab6192708p-4, -0x1.2826b43c3706fp-4, -0x1.136041663efcp-4, -0x1.ffa563ebef7d1p-5, -0x1.daf1781aa2356p-5, -0x1.b89a1bca749c2p-5, -0x1.989713a4aca15p-5, -0x1.7ae1a64245892p-5, -0x1.5f71b3b035942p-5, -0x1.463b489799406p-5, -0x1.2f2e4f5637b7p-5, -0x1.1a3846a9ac2b5p-5, -0x1.0746a2ce159d7p-5, -0x1.ec90b2f2503c7p-6, -0x1.ce5bc5181e797p-6, -0x1.b3d001ecff87cp-6, -0x1.9ccc907bf92f9p-6, -0x1.892c900e84168p-6, -0x1.78c77ddbcc0aap-6, -0x1.6b732f9e43abcp-6, -0x1.61062f6bae8f7p-6, -0x1.59594ded0e203p-6, -0x1.5447dbee017a3p-6, -0x1.51aebdead1e34p-6, -0x1.516b0cf206a3fp-6, -0x1.535908d3c6259p-6, -0x1.5753d1e875e53p-6, -0x1.5d35ed966c693p-6, -0x1.64da3c98be99ep-6, -0x1.6e1ce9722c076p-6, -0x1.78dbf22cc7543p-6, -0x1.84f72fa40463dp-6, -0x1.924ff9604488dp-6, -0x1.a0c8a548f59d8p-6, -0x1.b0442052827ebp-6, -0x1.c0a5c3b074f28p-6, -0x1.d1d169cac4071p-6, -0x1.e3abacff5c9eap-6, -0x1.f61a2f3d8ff31p-6, -0x1.0481e6b002c7p-5, -0x1.0e2857a747635p-5, -0x1.17f51b763bc01p-5, -0x1.21dd6e2206448p-5, -0x1.2bf52cca5d3f2p-5, -0x1.35f952ed78cbdp-5, -0x1.3ff5a6048bbd4p-5, -0x1.49e1cecb9c5d7p-5, -0x1.53b6a9cd30656p-5, -0x1.5d6dfc621a8b2p-5, -0x1.67021e79d1fd3p-5, -0x1.706da7a755e2cp-5, -0x1.79ab2b93e4b38p-5, -0x1.82b50deb49d36p-5, -0x1.8b857103692ccp-5, -0x1.94163de9f95ccp-5, -0x1.9c6140ef85bb4p-5, -0x1.a46053a6ce659p-5, -0x1.ac0d8ca921f9ap-5, -0x1.b3636dffc4972p-5, -0x1.ba5d0c6c4ee13p-5, -0x1.c0f62b8a35131p-5, -0x1.c72b4c9e435d6p-5, -0x1.ccf9afae92b52p-5, -0x1.d25f480f04985p-5, -0x1.d75aa6d2ff4aep-5, -0x1.dbeade78618bdp-5, -0x1.e00f638d090c4p-5, -0x1.e3c7ee059c4c7p-5, -0x1.e7145e7feebc8p-5, -0x1.e9f4a9d66d8ap-5, -0x1.ec68cc5f5ea98p-5, -0x1.ee70c51a91074p-5, -0x1.f00c9811913a2p-5, -0x1.f13c566a0782cp-5, -0x1.f2002a3394797p-5, -0x1.f25863d80a9bcp-5, -0x1.f245873e87cbp-5, -0x1.f1c85711b6f67p-5, -0x1.f0e1dd1629b3cp-5, -0x1.ef936efd828ccp-5, -0x1.eddeaf924fcc2p-5, -0x1.ebc58c6d7e714p-5, -0x1.e94a38a019bbdp-5, -0x1.e66f24e02b9d2p-5, -0x1.e336f5de00ce1p-5, -0x1.dfa47974b862ap-5, -0x1.dbba9b716c781p-5, -0x1.d77c5aad2f742p-5, -0x1.d2ecbf2bc52fdp-5, -0x1.ce0ed1d8decabp-5, -0x1.c8e59655f175cp-5, -0x1.c3740716c3abfp-5, -0x1.bdbd13cf07567p-5, -0x1.b7c3a1f945978p-5, -0x1.b18a8f0cfe635p-5, -0x1.ab14b3d74730ap-5, -0x1.a464e8597a9cap-5, -0x1.9d7e07959f20ap-5, -0x1.9662f2c514fb4p-5, -0x1.8f16939812311p-5, -0x1.879bdd449aa66p-5, -0x1.7ff5cc549d9a7p-5, -0x1.782765472c3a3p-5, -0x1.7033b23525f9bp-5, -0x1.681dbfbc0eba3p-5, -0x1.5fe8997a51008p-5, -0x1.579746677402fp-5, -0x1.4f2cc54b7245fp-5, -0x1.46ac098c06a34p-5, -0x1.3e17f877b238cp-5, -0x1.3573672660c0cp-5, -0x1.2cc118f82c88ap-5, -0x1.2403bead111cdp-5, -0x1.1b3df60515927p-5, -0x1.127249d02b9edp-5, -0x1.09a3324ff6cf8p-5, -0x1.00d315cbfe709p-5, -0x1.f0089274d9d82p-6, -0x1.de7221c6d3a52p-6, -0x1.cce741d69072ap-6, -0x1.bb6c3b6d877dap-6, -0x1.aa053847810b2p-6, -0x1.98b6432e7c214p-6, -0x1.878347ccba481p-6, -0x1.76701246f6b24p-6, -0x1.65804eb3807ddp-6, -0x1.54b788827e744p-6, -0x1.4403b788ee4c6p-6, -0x1.3391ad5bd521ep-6, -0x1.23519c03cdfbbp-6, -0x1.134684acc5c8dp-6, -0x1.0373377ec9001p-6, -0x1.e7b4aa08c890bp-7, -0x1.c8fca07e72a3fp-7, -0x1.aac2e28b880cbp-7, -0x1.8d0bb083cfb2p-7, -0x1.6fdb014d779d2p-7, -0x1.533488e90844ep-7, -0x1.371bbec953693p-7, -0x1.1b93e3b74da71p-7, -0x1.00a00708d169p-7, -0x1.cc8615fcff463p-8, -0x1.98ff5055edc57p-8, -0x1.66b0dfa9c7ad1p-8, -0x1.359f9aa6190afp-8, -0x1.05d00cdff416ap-8, -0x1.ae8cebb6adb67p-9, -0x1.540d8d310d7d5p-9, -0x1.f85277e9379b8p-10, -0x1.4dcd11851fc0ap-10, -0x1.512d36dd695cbp-11, -0x1.172923813231ap-15, 0x1.23848a2b207f3p-11, 0x1.26d511e24cdebp-10, 0x1.b679cfcdc9f75p-10, 0x1.205674df450e3p-9, 0x1.62b64382c5b85p-9, 0x1.a25c4549183efp-9, 0x1.df4946a7221f4p-9, 0x1.0cbf74f4741dep-8, 0x1.287fcff4b20e5p-8, 0x1.42e74f74c84fdp-8, 0x1.5bf7ebec1abb5p-8, 0x1.73b3f531eb3f9p-8, 0x1.8a1e0c1a9c42fp-8, 0x1.9f391bd86679ep-8, 0x1.b308534d40f59p-8, 0x1.c58f1e783ba84p-8, 0x1.d6d120242ee04p-8, 0x1.e6d22bf80a5c1p-8, 0x1.f59641034ad5fp-8, 0x1.0190c26cc9d4bp-7, 0x1.07bc1fa598e1ep-7, 0x1.0d4f6b6017c06p-7, 0x1.124ce69b4ccdp-7, 0x1.16b6deeee9d5cp-7, 0x1.1a8fada269babp-7, 0x1.1dd9b7060d158p-7, 0x1.20976a04a3989p-7, 0x1.22cb3fe419f79p-7, 0x1.2477bc29d3eefp-7, 0x1.259f6c97ee44ap-7, 0x1.2644e938bb357p-7, 0x1.266ad46e890f8p-7, 0x1.2613dafe9e21cp-7, 0x1.2542b40fdd1c9p-7, 0x1.23fa2116b493p-7, 0x1.223ceda995d62p-7, 0x1.200def3aaf544p-7, 0x1.1d7004b534a5bp-7, 0x1.1a6615fd9b049p-7, 0x1.16f31355bb1ffp-7, 0x1.1319f4a67c656p-7, 0x1.0eddb8b1abbd8p-7, 0x1.0a41642f46a54p-7, 0x1.054800d9cdb54p-7, 0x1.ffe938db33a2fp-8, 0x1.f4948f3e412b6p-8, 0x1.e8982a1885342p-8, 0x1.dbfa305859025p-8, 0x1.cec0c8833ea73p-8, 0x1.c0f216a4fe78bp-8, 0x1.b2943a4f83669p-8, 0x1.a3ad4cafd1a95p-8, 0x1.94435ebc59f16p-8, 0x1.845c777f6e68p-8, 0x1.73fe92805ab4fp-8, 0x1.632f9e4c85121p-8, 0x1.51f57b21199fcp-8, 0x1.4055f9b5b3a9p-8, 0x1.2e56da26fd1a4p-8, 0x1.1bfdcb00979eep-8, 0x1.09506864a6163p-8, 0x1.eca8769df5327p-9, 0x1.c61d71e3e9c2ap-9, 0x1.9f0a84556f1b9p-9, 0x1.777a461435bf9p-9, 0x1.4f7724e00ac3cp-9, 0x1.270b636d30396p-9, 0x1.fc8231ab0a26dp-10, 0x1.aa44603ffcda8p-10, 0x1.5770cfb422bap-10, 0x1.041aa37e3cbd7p-10, 0x1.60a949aacb307p-11, 0x1.70c508910e589p-12, 0x1.f0a3a1b142891p-16, -0x1.3396fac923071p-12, -0x1.436c94f61044fp-11, -0x1.ed3c2d0b9dd7cp-11, -0x1.4b8c81bd9ffeap-10, -0x1.a07148c2e132dp-10, -0x1.f53c866a8bb16p-10, -0x1.24ef5a1f978d1p-9, -0x1.4f245581a5ce3p-9, -0x1.7935d19a019a8p-9, -0x1.a31c9ac501777p-9, -0x1.ccd1adbbd5198p-9, -0x1.f64e37d0f461ep-9, -0x1.0fc5cb94708dbp-8, -0x1.2441ad7730cd3p-8, -0x1.3897a1c0656abp-8, -0x1.4cc4a14dc7a6bp-8, -0x1.60c5bdbacf0c5p-8, -0x1.7498216c18e72p-8, -0x1.88390f95930d9p-8, -0x1.9ba5e43b96336p-8, -0x1.aedc142e09827p-8, -0x1.c1d92cfd909c5p-8, -0x1.d49ad4ea76e35p-8, -0x1.e71ecacd1315fp-8, -0x1.f962e5f7bc01p-8, -0x1.05b28b090cd2fp-7, -0x1.0e91b176fe875p-7, -0x1.174df62af9b7fp-7, -0x1.1fe674eac6edbp-7, -0x1.285a553dea238p-7, -0x1.30a8ca4c16692p-7, -0x1.38d112b8eda89p-7, -0x1.40d2787d7b97ep-7, -0x1.48ac50bf4a363p-7, -0x1.505dfba59e634p-7, -0x1.57e6e42cd4699p-7, -0x1.5f467ff83fd62p-7, -0x1.667c4f229d656p-7, -0x1.6d87dc0d77011p-7, -0x1.7468bb2f8a6ap-7, -0x1.7b1e8ae2761c3p-7, -0x1.81a8f32fc5c1ep-7, -0x1.8807a59d9d8acp-7, -0x1.8e3a5cfb04671p-7, -0x1.9440dd2c20309p-7, -0x1.9a1af2f64631ap-7, -0x1.9fc873cc1f613p-7, -0x1.a5493d99dd815p-7, -0x1.aa9d3691a9f29p-7, -0x1.afc44cf82c735p-7, -0x1.b4be76f16bf23p-7, -0x1.b98bb24de0a23p-7, -0x1.be2c0457e45a2p-7, -0x1.c29f79a15b3fep-7, -0x1.c6e625d1b24d1p-7, -0x1.cb0023742ca36p-7, -0x1.ceed93c67fb1fp-7, -0x1.d2ae9e87abde6p-7, -0x1.d64371c72c6fcp-7, -0x1.d9ac41b46c702p-7, -0x1.dce9486e6b675p-7, -0x1.dffac5d3cba39p-7, -0x1.e2e0ff52f165bp-7, -0x1.e59c3fba8761ep-7, -0x1.e82cd70a30498p-7, -0x1.ea931a4389f62p-7, -0x1.eccf633b5f059p-7, -0x1.eee2106b2a16dp-7, -0x1.f0cb84c2eee08p-7, -0x1.f2960ccf8a14ep-7, -0x1.f42e3b1bc820fp-7, -0x1.f59e67aecec68p-7, -0x1.f6e7054a8e716p-7, -0x1.f8088a5696fdcp-7, -0x1.f90370b3e5d56p-7, -0x1.f9d83590f4c9fp-7, -0x1.fa87593e5f85ep-7, -0x1.fb115f03e8b11p-7, -0x1.fb76ccf63e7cfp-7, -0x1.fbb82bcd28bd7p-7, -0x1.fbd606ba72311p-7, -0x1.fbd0eb417c135p-7, -0x1.fba9690f7bfa2p-7, -0x1.fb6011d48023cp-7, -0x1.faf5791d27e9dp-7, -0x1.fa6a342d2c7eap-7, -0x1.f9bed9daad4adp-7, -0x1.f8f4026a46f43p-7, -0x1.f80a476bfc17cp-7, -0x1.f7024398ff319p-7, -0x1.f5dc92b22c70bp-7, -0x1.f499d15f7b3e1p-7, -0x1.f33a9d1028207p-7, -0x1.f1bf93dbc29fcp-7, -0x1.f02954640198bp-7, -0x1.ee787db7704c8p-7, -0x1.ecadaf34e8eb3p-7, -0x1.eac9886fd6f63p-7, -0x1.e8cca91559696p-7, -0x1.e6b7b0d20dc6p-7, -0x1.e48b3f38d0003p-7, -0x1.e247f3aa1c458p-7, -0x1.dfee6d3c45469p-7, -0x1.dd7f4aa470f22p-7, -0x1.dafb2a204c248p-7, -0x1.d862a96087994p-7, -0x1.d5b6657412dacp-7, -0x1.d2f6fab3fbdc5p-7, -0x1.d02504b02cf15p-7, -0x1.cd411e1cc6fc4p-7, -0x1.ca4be0c03293ap-7, -0x1.c745e561eaec6p-7, -0x1.c42fc3ba01226p-7, -0x1.c10a12612c3dap-7, -0x1.bdd566c1adbadp-7, -0x1.ba925508c1689p-7, -0x1.b7417018b6273p-7, -0x1.b3e3497bb3c3bp-7, -0x1.b078715716019p-7, -0x1.ad01765f610bdp-7, -0x1.a97ee5ccd7bf1p-7, -0x1.a5f14b50909ddp-7, -0x1.a259310a350f3p-7, -0x1.9eb71f7e329d4p-7, -0x1.9b0b9d8c82ca3p-7, -0x1.97573067ebee1p-7, -0x1.939a5b8dc9303p-7, -0x1.8fd5a0be35051p-7, -0x1.8c097ff4d41c7p-7, -0x1.88367761db6c6p-7, -0x1.845d0363a2f81p-7, -0x1.807d9e80a0bdp-7, -0x1.7c98c161a2f44p-7, -0x1.78aee2cca3bbbp-7, -0x1.74c0779fb3438p-7, -0x1.70cdf2cc72f19p-7, -0x1.6cd7c553af7afp-7, -0x1.68de5e41729e2p-7, -0x1.64e22aa94d28bp-7, -0x1.60e395a2e051ap-7, -0x1.5ce30846c6c7ap-7, -0x1.58e0e9aba257p-7, -0x1.54dd9ee37c97ep-7, -0x1.50d98af96b2aep-7, -0x1.4cd50eef5e2e4p-7, -0x1.48d089bc3c1acp-7, -0x1.44cc584a2f4ecp-7, -0x1.40c8d575335a7p-7, -0x1.3cc65a09dc8fbp-7, -0x1.38c53cc459d67p-7, -0x1.34c5d24fb1303p-7, -0x1.30c86d4535cc5p-7, -0x1.2ccd5e2c459ap-7, -0x1.28d4f37a2f875p-7, -0x1.24df799275caap-7, -0x1.20ed3ac72ac58p-7, -0x1.1cfe7f59bbf68p-7, -0x1.19138d7bd07a8p-7, -0x1.152ca95099d59p-7, -0x1.114a14ee3dc95p-7, -0x1.0d6c105fb4b25p-7, -0x1.0992d9a6cb158p-7, -0x1.05beacbe858d7p-7, -0x1.01efc39dbed72p-7, -0x1.fc4cac743b627p-8, -0x1.f4c53516bf313p-8, -0x1.ed49891db2471p-8, -0x1.e5da0c96be258p-8, -0x1.de771faad8ed1p-8, -0x1.d7211ea7384aap-8, -0x1.cfd86206feb9fp-8, -0x1.c89d3e7d52564p-8, -0x1.c170050036bacp-8, -0x1.ba5102d3ee8e9p-8, -0x1.b3408196fcf1cp-8, -0x1.ac3ec74eace58p-8, -0x1.a54c16741dd7ep-8, -0x1.9e68ae0207b48p-8, -0x1.9794c982cee66p-8, -0x1.90d0a11f294edp-8, -0x1.8a1c69ad485f9p-8, -0x1.837854c06cc35p-8, -0x1.7ce490b8bf8b3p-8, -0x1.766148d3e1329p-8, -0x1.6feea53d7661dp-8, -0x1.698ccb2040ddep-8, -0x1.633bdcb76b226p-8, -0x1.5cfbf96012782p-8, -0x1.56cd3dab0a2fap-8, -0x1.50afc36ecd051p-8, -0x1.4aa3a1d985e0fp-8, -0x1.44a8ed8343f17p-8, -0x1.3ebfb880284acp-8, -0x1.38e81272a0c21p-8, -0x1.3322089da8697p-8, -0x1.2d6da5f6d2911p-8, -0x1.27caf3387ee0bp-8, -0x1.2239f6f3b0463p-8, -0x1.1cbab5a1cda76p-8, -0x1.174d31b647467p-8, -0x1.11f16bafd9ea1p-8, -0x1.0ca76229a22bep-8, -0x1.076f11ebfc448p-8, -0x1.024875fcf1d7ep-8, -0x1.fa670f60c747fp-9, -0x1.f0607d6fa9389p-9, -0x1.e67d2263a8621p-9, -0x1.dcbce77228dafp-9, -0x1.d31fb2e5fa66ep-9, -0x1.c9a5683bd72b3p-9, -0x1.c04de83de47fbp-9, -0x1.b719111e8c8cbp-9, -0x1.ae06be924020bp-9, -0x1.a516c9e896642p-9, -0x1.9c490a24377e3p-9, -0x1.939d54124bf09p-9, -0x1.8b137a60e35c9p-9, -0x1.82ab4db475099p-9, -0x1.7a649cbcb668bp-9, -0x1.723f3448a1dd9p-9, -0x1.6a3adf5969af1p-9, -0x1.625767354c918p-9, -0x1.5a9493790f6a5p-9, -0x1.52f22a2947c98p-9, -0x1.4b6fefc2955bap-9, -0x1.440da749a9417p-9, -0x1.3ccb125a6de99p-9, -0x1.35a7f136dcb9dp-9, -0x1.2ea402d502dd5p-9, -0x1.27bf04ed1305cp-9, -0x1.20f8b406995e9p-9, -0x1.1a50cb857e86cp-9, -0x1.13c705b69de44p-9, -0x1.0d5b1bdc204afp-9, -0x1.070cc6399827p-9, -0x1.00dbbc1f97acp-9, -0x1.f58f67eec4122p-10, -0x1.e9a0c69ca37c9p-10, -0x1.ddeafdc1c41d3p-10, -0x1.d26d754ba26e7p-10, -0x1.c72793b206137p-10, -0x1.bc18be0c9e83fp-10, -0x1.b14058284365ep-10, -0x1.a69dc49c5c4e2p-10, -0x1.9c3064dfc827fp-10, -0x1.91f7995dec03cp-10, -0x1.87f2c18b6e95p-10, -0x1.7e213bfaf1703p-10, -0x1.74826671aac16p-10, -0x1.6b159dfbebdfcp-10, -0x1.61da3f0157f04p-10, -0x1.58cfa5594af24p-10, -0x1.4ff52c5f6954dp-10, -0x1.474a2f069a387p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.02e7d545b2767p-2, -0x1.f253f36444af2p-3, -0x1.dea1848cacc62p-3, -0x1.cac7739da55e8p-3, -0x1.b6d36181f7bcep-3, -0x1.a2d1d6675d3cep-3, -0x1.8ecf3114a372dp-3, -0x1.7ad704835e4dep-3, -0x1.66f3ebdd71d1cp-3, -0x1.532ffcd7ebf1fp-3, -0x1.3f94c45be048dp-3, -0x1.2c2b0b31bd3f1p-3, -0x1.18faf38d3e342p-3, -0x1.060c17eb9a647p-3, -0x1.e6cb017f7923dp-4, -0x1.c21b3d3a7f53ep-4, -0x1.9e14aad29b24fp-4, -0x1.7ac20ba2c7e94p-4, -0x1.582d21ae3a07bp-4, -0x1.365eb11ed9926p-4, -0x1.155e893c59946p-4, -0x1.ea66e3d883dbp-5, -0x1.abc8873ec3cbcp-5, -0x1.6eeaa2c3a0f3fp-5, -0x1.33d5ce8099bc4p-5, -0x1.f523a242ae5b5p-6, -0x1.864a8ba02f49cp-6, -0x1.1b2a46ee5cc9p-6, -0x1.679241ce5f02dp-7, -0x1.40a8d172b5c7ep-8, 0x1.f6376b6bdb6c7p-11, 0x1.af2e183f1964ep-8, 0x1.884ab1ef1fefbp-7, 0x1.18c2e59c45aa9p-6, 0x1.69a9bfc11d913p-6, 0x1.b6e1996d041eap-6, 0x1.003a18acf5719p-5, 0x1.23367e2bebcebp-5, 0x1.446c5a9a36a5ap-5, 0x1.63e28156bbdddp-5, 0x1.81a027114d988p-5, 0x1.9dace434f8961p-5, 0x1.b810c23d31d5bp-5, 0x1.d0d4456b60575p-5, 0x1.e80069bec4f0cp-5, 0x1.fd9e9272fd145p-5, 0x1.08dc38c353921p-4, 0x1.122bf76e61a39p-4, 0x1.1ac38a9e26a66p-4, 0x1.22a8041b5718ap-4, 0x1.29de8102c331ap-4, 0x1.306c2a95f7b3bp-4, 0x1.3656366119487p-4, 0x1.3ba1e42a4cb43p-4, 0x1.405479d3119fp-4, 0x1.44733e7b811cdp-4, 0x1.4803762a9f79bp-4, 0x1.4b0a5e6abc256p-4, 0x1.4d8d2b9b60b46p-4, 0x1.4f9106b3353e1p-4, 0x1.511b0b835e2b2p-4, 0x1.523047aed6973p-4, 0x1.52d5ba3bfd733p-4, 0x1.530f2c34b42a3p-4, 0x1.52e48836fa9b7p-4, 0x1.5258bf60a819ap-4, 0x1.51706c820debap-4, 0x1.50301cb482b31p-4, 0x1.4e9c51793914ep-4, 0x1.4cb980fc99d38p-4, 0x1.4a8c149a0902dp-4, 0x1.48186601c546ep-4, 0x1.4562bb8c7f562p-4, 0x1.426f445437602p-4, 0x1.3f42149bc1f15p-4, 0x1.3bdf22ee54b6dp-4, 0x1.384a463733b74p-4, 0x1.348734e71a83fp-4, 0x1.309985168e493p-4, 0x1.2c84ad765d5b7p-4, 0x1.284c06ccf7e29p-4, 0x1.23f2cdb922e8p-4, 0x1.1f7c2477af844p-4, 0x1.1aeb1476b75b1p-4, 0x1.16428f918a0adp-4, 0x1.118570e166cd5p-4, 0x1.0cb67d1e71751p-4, 0x1.07d8629940fc3p-4, 0x1.02edb8dfa3c73p-4, 0x1.fbf2004cf27e3p-5, 0x1.f1f9412cdb382p-5, 0x1.e7f5d33367ca7p-5, 0x1.ddec228b30effp-5, 0x1.d3e067e9bbac7p-5, 0x1.c9d6a8402c9ebp-5, 0x1.bfd2b4f1bd1afp-5, 0x1.b5d82c8ac887bp-5, 0x1.abea7be78290ep-5, 0x1.a20cdfb1adc4ap-5, 0x1.98426619240b4p-5, 0x1.8e8df0aad6169p-5, 0x1.84f2362c0570fp-5, 0x1.7b71c463397dbp-5, 0x1.720f01bd19e3ap-5, 0x1.68cc2ec115cf6p-5, 0x1.5fab674fd4bbbp-5, 0x1.56aea3abcdfd6p-5, 0x1.4dd7b9523e1b8p-5, 0x1.45285baf2e1dep-5, 0x1.3ca21cb9f61b3p-5, 0x1.34466d8835477p-5, 0x1.2c169ee3c2b2p-5, 0x1.2413e1edb715fp-5, 0x1.1c3f48d505668p-5, 0x1.1499c7a3e5051p-5, 0x1.0d24352437d93p-5, 0x1.05df4bd8a8cd9p-5, 0x1.fd97560d85bccp-6, 0x1.efd3af9abc9b9p-6, 0x1.e2747c855ff7cp-6, 0x1.d57a652b5bef9p-6, 0x1.c8e5e45e37806p-6, 0x1.bcb7499ebc4b3p-6, 0x1.b0eebb4d6043dp-6, 0x1.a58c38cb6a641p-6, 0x1.9a8f9c89220a5p-6, 0x1.8ff89dfd47c5fp-6, 0x1.85c6d38312416p-6, 0x1.7bf9b41c705ebp-6, 0x1.7290991830214p-6, 0x1.698abf9d71434p-6, 0x1.60e74a1fc7d3p-6, 0x1.58a541c0e0673p-6, 0x1.50c397a5362dcp-6, 0x1.49412640ee8b6p-6, 0x1.421cb2a14ac07p-6, 0x1.3b54edb5504cap-6, 0x1.34e875963419ap-6, 0x1.2ed5d6cf6051ep-6, 0x1.291b8da40ef7ep-6, 0x1.23b8075042c76p-6, 0x1.1ea9a343219b9p-6, 0x1.19eeb450cc377p-6, 0x1.158581daa5edbp-6, 0x1.116c48ed3ead2p-6, 0x1.0da13d53eab47p-6, 0x1.0a228aa21d0a4p-6, 0x1.06ed159350a42p-6, 0x1.0401f0ec4d67bp-6, 0x1.015d84b095246p-6, 0x1.fdfbbf681a50bp-7, 0x1.f9c21afab2ec6p-7, 0x1.f60a2e9076551p-7, 0x1.f2d009e71e4dp-7, 0x1.f00fbbb4a8979p-7, 0x1.edc5532e591b3p-7, 0x1.ebece165a7f64p-7, 0x1.ea827a7db268bp-7, 0x1.e98236bb00674p-7, 0x1.e8e833726e4e7p-7, 0x1.e8b093daa3466p-7, 0x1.e8d781c4f617dp-7, 0x1.e9592e4284a3dp-7, 0x1.ea31d2399d866p-7, 0x1.eb5daef04cbf9p-7, 0x1.ecd90e8f73f6cp-7, 0x1.eea044a24d21cp-7, 0x1.f0afae945237bp-7, 0x1.f303b4301c96fp-7, 0x1.f598c82025bd7p-7, 0x1.f86b68722e5bbp-7, 0x1.fb781f1d099dp-7, 0x1.febb828852344p-7, 0x1.01191b0aa0a9cp-6, 0x1.02ec75537d27bp-6, 0x1.04d62f946123p-6, 0x1.06d4b0889285fp-6, 0x1.08e6666fbe95ep-6, 0x1.0b09c7494e572p-6, 0x1.0d3d510bed096p-6, 0x1.0f7f89d7e5d1ep-6, 0x1.11cf00248704fp-6, 0x1.142a4ae7bb785p-6, 0x1.169009b7b763p-6, 0x1.18fee4e6aab82p-6, 0x1.1b758d985cd6bp-6, 0x1.1df2bdd1d9abp-6, 0x1.207538838ff45p-6, 0x1.22fbc98de434bp-6, 0x1.258545c0fa81bp-6, 0x1.28108ad7cb9f1p-6, 0x1.2a9c7f6f52dc9p-6, 0x1.2d2812fa18f93p-6, 0x1.2fb23db0aae5cp-6, 0x1.323a007f8f77cp-6, 0x1.34be64f327b73p-6, 0x1.373e7d21de67ep-6, 0x1.39b9639503b17p-6, 0x1.3c2e3b3100988p-6, 0x1.3e9c2f1caccecp-6, 0x1.410272a855b2ep-6, 0x1.43604134bd92dp-6, 0x1.45b4de19c027ap-6, 0x1.47ff948d43109p-6, 0x1.4a3fb789ed4eep-6, 0x1.4c74a1b6040cfp-6, 0x1.4e9db54a3b6f4p-6, 0x1.50ba5bf854069p-6, 0x1.52ca06d1afd06p-6, 0x1.54cc2e2d7fc69p-6, 0x1.56c0518ea29eap-6, 0x1.58a5f78907af7p-6, 0x1.5a7cada6a410ep-6, 0x1.5c44084bab249p-6, 0x1.5dfba29a3d32dp-6, 0x1.5fa31e5553cf5p-6, 0x1.613a23c3136e5p-6, 0x1.62c0618e4a932p-6, 0x1.64358ca73d8d6p-6, 0x1.65996023e140dp-6, 0x1.66eb9d1f3bc89p-6, 0x1.682c0a9855379p-6, 0x1.695a75507ca56p-6, 0x1.6a76afa91e0cep-6, 0x1.6b80918115fbfp-6, 0x1.6c77f811c269ap-6, 0x1.6d5cc5cbb75d3p-6, 0x1.6e2ee23343bbbp-6, 0x1.6eee39bcd015ap-6, 0x1.6f9abda93502fp-6, 0x1.703463e20a755p-6, 0x1.70bb26d60cdb6p-6, 0x1.712f0555a572ap-6, 0x1.7190026fa97d1p-6, 0x1.71de254e4c20dp-6, 0x1.721979146404ep-6, 0x1.72420cbb0dd16p-6, 0x1.7257f2ef95c1cp-6, 0x1.725b41f1e5824p-6, 0x1.724c13734c2p-6, 0x1.722a8475b7f83p-6, 0x1.71f6b52b77c31p-6, 0x1.71b0c8d767fcfp-6, 0x1.7158e5ad9ac04p-6, 0x1.70ef34b488d7ep-6, 0x1.7073e1a6bbda5p-6, 0x1.6fe71ad4ed143p-6, 0x1.6f491108ba55ep-6, 0x1.6e99f767c39aep-6, 0x1.6dda03574daf8p-6, 0x1.6d096c606ca76p-6, 0x1.6c286c14945bdp-6, 0x1.6b373df2be19cp-6, 0x1.6a361f4cf50bcp-6, 0x1.69254f2e6c91p-6, 0x1.68050e41f7af9p-6, 0x1.66d59eb923c85p-6, 0x1.659744339f4abp-6, 0x1.644a43a735966p-6, 0x1.62eee34838a41p-6, 0x1.61856a72673b2p-6, 0x1.600e21924c306p-6, 0x1.5e89520f0cd3cp-6, 0x1.5cf74634c8534p-6, 0x1.5b58491f55696p-6, 0x1.59aca6a591b56p-6, 0x1.57f4ab451ed9ep-6, 0x1.5630a40e9b752p-6, 0x1.5460de926a3dcp-6, 0x1.5285a8cdd6b76p-6, 0x1.509f5118de904p-6, 0x1.4eae261453a9ap-6, 0x1.4cb27698929a1p-6, 0x1.4aac91a4baaa9p-6, 0x1.489cc64e4f60ep-6, 0x1.468363b16dd09p-6, 0x1.4460b8e175533p-6, 0x1.423514da2cce9p-6, 0x1.4000c6717402fp-6, 0x1.3dc41c4955f58p-6, 0x1.3b7f64c2b9af8p-6, 0x1.3932edf06ba6ep-6, 0x1.36df058abaed8p-6, 0x1.3483f8e3820aap-6, 0x1.322214da9f02bp-6, 0x1.2fb9a5d2fe716p-6, 0x1.2d4af7a7f1ef3p-6, 0x1.2ad655a31dc1ep-6, 0x1.285c0a72bc667p-6, 0x1.25dc60205c8cp-6, 0x1.2357a0080c21ap-6, 0x1.20ce12cfe47efp-6, 0x1.1e400060104afp-6, 0x1.1badafdb1f7dbp-6, 0x1.19176796dac0ap-6, 0x1.167d6d1560b1ep-6, 0x1.13e004feb1a26p-6, 0x1.113f731a9565ep-6, 0x1.0e9bfa4adbea2p-6, 0x1.0bf5dc85fb64dp-6, 0x1.094d5ad1feba3p-6, 0x1.06a2b53fcbd98p-6, 0x1.03f62ae6c6483p-6, 0x1.0147f9e0b757cp-6, 0x1.fd30be8c0786p-7, 0x1.f7cf2e548a703p-7, 0x1.f26bb932206eap-7, 0x1.ed06d32637848p-7, 0x1.e7a0ee17484d7p-7, 0x1.e23a79cc2f59fp-7, 0x1.dcd3e3e80da7bp-7, 0x1.d76d97e6b034cp-7, 0x1.d207ff197a765p-7, 0x1.cca380a4b3536p-7, 0x1.c740817d820b1p-7, 0x1.c1e06a82d8d01p-7, 0x1.bc817faf39e33p-7, 0x1.b72534e1cc5c3p-7, 0x1.b1cbe6527f154p-7, 0x1.ac75ee0719ca6p-7, 0x1.a723a3d3b080bp-7, 0x1.a1d55d5b5a7bfp-7, 0x1.9c8b6e1155922p-7, 0x1.9746273a784f6p-7, 0x1.9205d7ef0da71p-7, 0x1.8ccacd1ceffa3p-7, 0x1.8795518a0adabp-7, 0x1.8265add70e10ep-7, 0x1.7d3c28828a2e7p-7, 0x1.781905ec3e636p-7, 0x1.72fc8858b3bbp-7, 0x1.6de6eff517addp-7, 0x1.68d87adb56087p-7, 0x1.63d165166dee3p-7, 0x1.5ed1e8a6faefp-7, 0x1.59da3d88047b5p-7, 0x1.54ea99b3ec4e6p-7, 0x1.50033129995ccp-7, 0x1.4b2435f1cb93ap-7, 0x1.464dd824a60edp-7, 0x1.418045ef53c4ap-7, 0x1.3cbbab99d6b1cp-7, 0x1.3800338d050b5p-7, 0x1.334e0658a36e6p-7, 0x1.2ea54ab997207p-7, 0x1.2a0625a03a174p-7, 0x1.2570ba36dd054p-7, 0x1.20e529e8464e3p-7, 0x1.1c63946659837p-7, 0x1.17ec17b0ce801p-7, 0x1.137ed01c031dap-7, 0x1.0f1bd857d79bdp-7, 0x1.0ac349769e2bep-7, 0x1.06753af4164dep-7, 0x1.0231c2bc7ae6cp-7, 0x1.fbf1ea672a3d1p-8, 0x1.f395ca77be049p-8, 0x1.eb4f487b461a2p-8, 0x1.e31e845c5ad99p-8, 0x1.db039b2e08e8bp-8, 0x1.d2fea73a1633p-8, 0x1.cb0fc00f8fcbep-8, 0x1.c336fa9127f7p-8, 0x1.bb746903b447fp-8, 0x1.b3c81b1c85792p-8, 0x1.ac321e0fc845p-8, 0x1.a4b27c9ef0618p-8, 0x1.9d493f2706351p-8, 0x1.95f66baed625cp-8, 0x1.8eba05f5285ap-8, 0x1.87940f7f032b6p-8, 0x1.808487a5813bcp-8, 0x1.798b6ba3fa028p-8, 0x1.72a8b6a5c39d6p-8, 0x1.6bdc61d4119fp-8, 0x1.65266463a71c3p-8, 0x1.5e86b3a24d554p-8, 0x1.57fd43046eaebp-8, 0x1.518a043261295p-8, 0x1.4b2ce715a868dp-8, 0x1.44e5d9e6050fbp-8, 0x1.3eb4c9368463bp-8, 0x1.3899a0023d30bp-8, 0x1.329447b911754p-8, 0x1.2ca4a84c52386p-8, 0x1.26caa83b0ab5cp-8, 0x1.21062c9e5a74bp-8, 0x1.1b571935999cp-8, 0x1.15bd507255de2p-8, 0x1.1038b3841b9a3p-8, 0x1.0ac92264332b8p-8, 0x1.056e7be11d328p-8, 0x1.00289da9f8124p-8, 0x1.f5eec8b39dd0ep-9, 0x1.ebb55704ea3cbp-9, 0x1.e1a49b6f2a68p-9, 0x1.d7bc4932d6c45p-9, 0x1.cdfc11beb0881p-9, 0x1.c463a4c494d2p-9, 0x1.baf2b04e0b1d4p-9, 0x1.b1a8e0d090b9p-9, 0x1.a885e1417167bp-9, 0x1.9f895b295d912p-9, 0x1.96b2f6b7933e2p-9, 0x1.8e025ad4f3f04p-9, 0x1.85772d36974e9p-9, 0x1.7d11127028e7dp-9, 0x1.74cfae059c81dp-9, 0x1.6cb2a27d26869p-9, 0x1.64b9917052b3bp-9, 0x1.5ce41b9d2a8c8p-9, 0x1.5531e0f6bebc7p-9, 0x1.4da280b5aad7fp-9, 0x1.46359967e619p-9, 0x1.3eeac900b5526p-9, 0x1.37c1ace7c4b69p-9, 0x1.30b9e2086365ap-9, 0x1.29d304e0203afp-9, 0x1.230cb18d4292cp-9, 0x1.1c6683dcc6a73p-9, 0x1.15e017580d5cfp-9, 0x1.0f7907526a497p-9, 0x1.0930eef61e3aap-9, 0x1.03076950f83c8p-9, 0x1.f9f822c1c5d51p-10, 0x1.ee1d043fd54b5p-10, 0x1.e27cad2014bc7p-10, 0x1.d716538d152f7p-10, 0x1.cbe92dee22186p-10, 0x1.c0f472fd068cbp-10, 0x1.b63759dab11c5p-10, 0x1.abb11a235ab17p-10, 0x1.a160ec02da79p-10, 0x1.974608466604ep-10, 0x1.8d5fa86faf94fp-10, 0x1.83ad06c6606afp-10, 0x1.7a2d5e692b887p-10, 0x1.70dfeb5e09618p-10, 0x1.67c3eaa21dfd3p-10, 0x1.5ed89a3901765p-10, 0x1.561d393b06a75p-10, 0x1.4d9107e38f587p-10, 0x1.4533479e0fc9fp-10, 0x1.3d033b130159dp-10, 0x1.35002633f75d1p-10, 0x1.2d294e47ec43bp-10, 0x1.257df9f553e8bp-10, 0x1.1dfd714cf529ep-10, 0x1.16a6fdd45d0bap-10, 0x1.0f79ea8ecfad3p-10, 0x1.0875840698f06p-10, 0x1.0199185518892p-10, 0x1.f5c7ee56ae96bp-11, 0x1.e8aae3b143a45p-11, 0x1.dbd9b6a4086f2p-11, 0x1.cf531071e8c38p-11, 0x1.c3159dc222399p-11, 0x1.b7200eabb2a5bp-11, 0x1.ab7116bfca1bbp-11, 0x1.a0076d13eafacp-11, 0x1.94e1cc49ce045p-11, 0x1.89fef2981c5edp-11, 0x1.7f5da1d145758p-11, 0x1.74fc9f6aa3e19p-11, 0x1.6adab4819367ep-11, 0x1.60f6ade1025cdp-11, 0x1.574f5c0681c6ep-11, 0x1.4de3932508e28p-11, 0x1.44b22b289025dp-11, 0x1.3bb9ffba19066p-11, 0x1.32f9f03fa8923p-11, 0x1.2a70dfdf249eep-11, 0x1.221db57f5b4p-11, 0x1.19ff5bc80ae1fp-11, 0x1.1214c12235d4dp-11, 0x1.0a5cd7b8aa4ebp-11, 0x1.02d6957508693p-11, 0x1.f701e80140515p-12, 0x1.e8b5e182bd691p-12, 0x1.dac719b09e2bfp-12, 0x1.cd339a3e97242p-12, 0x1.bff9744b5df94p-12, 0x1.b316c05aa7027p-12, 0x1.a6899e4fb44f9p-12, 0x1.9a503562caa7ap-12, 0x1.8e68b41b74e8cp-12, 0x1.82d150451f0d2p-12, 0x1.778846e8e7273p-12, 0x1.6c8bdc40cab4bp-12, 0x1.61da5bafebbdap-12, 0x1.577217b4ad3c3p-12, 0x1.4d5169dea78eep-12, 0x1.4376b2c33513bp-12, 0x1.39e059f03859ep-12, 0x1.308ccddfd8ac5p-12, 0x1.277a83eb2595cp-12, 0x1.1ea7f83ccd4efp-12, 0x1.1613adc1d8122p-12, 0x1.0dbc2e1eedcfdp-12, 0x1.05a0099e7a208p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4eebcc097d75p-2, -0x1.4b0b9df60ee47p-2, -0x1.471360ba7ee64p-2, -0x1.43050c9653127p-2, -0x1.3ee2b87260797p-2, -0x1.3aae78886ed05p-2, -0x1.366a2bf426e48p-2, -0x1.3217c10632ba7p-2, -0x1.2db8fe91083a8p-2, -0x1.294fa4675e847p-2, -0x1.24dd5e82d909cp-2, -0x1.2063c5c82573ep-2, -0x1.1be4633faf071p-2, -0x1.1760aef9a51f9p-2, -0x1.12da0ffcda57ap-2, -0x1.0e51dca556e53p-2, -0x1.09c95b640d152p-2, -0x1.0541c34b68cadp-2, -0x1.00bc3ae7bd4ecp-2, -0x1.f873b353d4b49p-3, -0x1.ef7754458e271p-3, -0x1.e6854f5c6ef99p-3, -0x1.dd9f7953548dcp-3, -0x1.d4c78d685e2fcp-3, -0x1.cbff328c0962p-3, -0x1.c347f4b26479fp-3, -0x1.baa343efa4cdfp-3, -0x1.b212766ab0bd3p-3, -0x1.a996ca48a20a2p-3, -0x1.a131676e3481dp-3, -0x1.98e360d0ac8ecp-3, -0x1.90adb4f3eb9aep-3, -0x1.88914ddbcf908p-3, -0x1.808f010dce827p-3, -0x1.78a7900f46de8p-3, -0x1.70dba96678874p-3, -0x1.692be9da31eadp-3, -0x1.6198dd9ec1793p-3, -0x1.5a230138508a8p-3, -0x1.52cac2073da77p-3, -0x1.4b907ea6a7dd3p-3, -0x1.44748756560f1p-3, -0x1.3d771e88aa42ep-3, -0x1.3698798cc8c32p-3, -0x1.2fd8c14fe44ccp-3, -0x1.293813325a11ap-3, -0x1.22b681d55f21cp-3, -0x1.1c5415b9682b2p-3, -0x1.1610cda9912eap-3, -0x1.0fec9f2011c1ep-3, -0x1.09e776cd20c32p-3, -0x1.0401393672eecp-3, -0x1.fc738685e85e1p-4, -0x1.f121d53da8264p-4, -0x1.e60cfc2c3eb14p-4, -0x1.db348c2175b99p-4, -0x1.d0980a64cfcb6p-4, -0x1.c636f1e4a5a37p-4, -0x1.bc10b3f8f9cb1p-4, -0x1.b224b8b86a4bp-4, -0x1.a8725f3a45515p-4, -0x1.9ef8fe28f8619p-4, -0x1.95b7e4ba58b95p-4, -0x1.8cae4ca5d257dp-4, -0x1.83db957b10d5ep-4, -0x1.7b3ef33ccbfcfp-4, -0x1.72d79e504c90fp-4, -0x1.6aa4ca38298ccp-4, -0x1.62a5a633683f3p-4, -0x1.5ad95ddb3dcb9p-4, -0x1.533f19b94d4fap-4, -0x1.4bd5ffd10a5dp-4, -0x1.449d3417f4f71p-4, -0x1.3d93d8dab1439p-4, -0x1.36b90f1055d85p-4, -0x1.300bf6a021986p-4, -0x1.298bae9f2f338p-4, -0x1.2337558a3f4bep-4, -0x1.1d0e097e4beefp-4, -0x1.170ee870df2f3p-4, -0x1.11391068d2f22p-4, -0x1.0b8b9fb857136p-4, -0x1.0605b53904216p-4, -0x1.00a67089ffcdbp-4, -0x1.f6d9e49dfec11p-5, -0x1.ecb0b8dcb5d64p-5, -0x1.e2cfa497ed6b8p-5, -0x1.d934f1ff70b49p-5, -0x1.cfdeef0dc23eep-5, -0x1.c6cbede08badap-5, -0x1.bdfa4507185afp-5, -0x1.b5684fc71bf46p-5, -0x1.ad146e583820cp-5, -0x1.a4fd0616dd0d1p-5, -0x1.9d2081b021f15p-5, -0x1.957d51481130bp-5, -0x1.8e11ea9c6ad4p-5, -0x1.86dcc92529296p-5, -0x1.7fdc6e337c61p-5, -0x1.790f610f5f488p-5, -0x1.72742f13678e4p-5, -0x1.6c096bc6a860dp-5, -0x1.65cdb0f460b3bp-5, -0x1.5fbf9ec1952ccp-5, -0x1.59dddbc0c9cd6p-5, -0x1.54271503f128p-5, -0x1.4e99fe2c75bp-5, -0x1.49355178fe252p-5, -0x1.43f7cfd048c9bp-5, -0x1.3ee040c8899fp-5, -0x1.39ed72aad8f2ep-5, -0x1.351e3a72c1064p-5, -0x1.307173ca2e007p-5, -0x1.2be601028b8c8p-5, -0x1.277acb0bd6eb8p-5, -0x1.232ec16a64e2cp-5, -0x1.1f00da2bdf775p-5, -0x1.1af011dbaf2edp-5, -0x1.16fb6b76a6ab9p-5, -0x1.1321f05da8dd6p-5, -0x1.0f62b046f9342p-5, -0x1.0bbcc12df8f63p-5, -0x1.082f3f41537c5p-5, -0x1.04b94ccfc9e2p-5, -0x1.015a1233fc1a5p-5, -0x1.fc217b7f7902bp-6, -0x1.f5b9074e942f8p-6, -0x1.ef793bd96cbf9p-6, -0x1.e9609897281e3p-6, -0x1.e36da849690e7p-6, -0x1.dd9f00d349d6fp-6, -0x1.d7f3430ee7cd9p-6, -0x1.d2691aa0c89b3p-6, -0x1.ccff3dc88c79fp-6, -0x1.c7b46d2efce8dp-6, -0x1.c28773b1d3508p-6, -0x1.bd77262de12ebp-6, -0x1.b8826349064b8p-6, -0x1.b3a8133c6427cp-6, -0x1.aee7279ff08e3p-6, -0x1.aa3e9b37be8b7p-6, -0x1.a5ad71c2f288ap-6, -0x1.a132b7cc1b2b3p-6, -0x1.9ccd827a3c3d8p-6, -0x1.987cef61f0cf9p-6, -0x1.94402455e5de2p-6, -0x1.90164f362c045p-6, -0x1.8bfea66099bedp-6, -0x1.87f86754f8382p-6, -0x1.8402d605ddba3p-6, -0x1.801d3e719a727p-6, -0x1.7c46f3aa0c06p-6, -0x1.787f4fa507553p-6, -0x1.74c5b30d5f2aep-6, -0x1.71198514168cfp-6, -0x1.6d7a334237b61p-6, -0x1.69e7314b33941p-6, -0x1.665ff8df8c911p-6, -0x1.62e409806122dp-6, -0x1.5f72e8536d46p-6, -0x1.5c0c1ff7b644fp-6, -0x1.58af405b055ffp-6, -0x1.555bde8fee7edp-6, -0x1.521194a4d9d75p-6, -0x1.4ed0017b98338p-6, -0x1.4b96c8a1f540cp-6, -0x1.4865922af0a48p-6, -0x1.453c0a88e7ba3p-6, -0x1.4219e2687f6c8p-6, -0x1.3efece8c6a502p-6, -0x1.3bea87a9e396fp-6, -0x1.38dcca4607acdp-6, -0x1.35d55693fc6adp-6, -0x1.32d3f0539b796p-6, -0x1.2fd85eb10e0f4p-6, -0x1.2ce26c2517e8dp-6, -0x1.29f1e655de186p-6, -0x1.27069df8955a5p-6, -0x1.242066b3c91bfp-6, -0x1.213f1702423f4p-6, -0x1.1e628816af627p-6, -0x1.1b8a95bffa42bp-6, -0x1.18b71e4e3469ap-6, -0x1.15e8027854263p-6, -0x1.131d25427d8d3p-6, -0x1.10566be50b95dp-6, -0x1.0d93bdb43ffc3p-6, -0x1.0ad5040884cd7p-6, -0x1.081a2a276ca73p-6, -0x1.05631d2d4af59p-6, -0x1.02afcbf7664d9p-6, -0x1.0000270ecb379p-6, -0x1.faa841276b216p-7, -0x1.f55758536b9e7p-7, -0x1.f00d7dc88981cp-7, -0x1.eaca9e680e6b2p-7, -0x1.e58ea9a950816p-7, -0x1.e0599176a7d6fp-7, -0x1.db2b4a0b4664ap-7, -0x1.d603c9d26a3b6p-7, -0x1.d0e30947b7428p-7, -0x1.cbc902d84682bp-7, -0x1.c6b5b2c54252cp-7, -0x1.c1a91706f5ebcp-7, -0x1.bca32f314db88p-7, -0x1.b7a3fc5918748p-7, -0x1.b2ab80fa172d9p-7, -0x1.adb9c0de3d432p-7, -0x1.a8cec1057e8bp-7, -0x1.a3ea878eb41efp-7, -0x1.9f0d1ba157163p-7, -0x1.9a368557e9c2bp-7, -0x1.9566cdab4a8dbp-7, -0x1.909dfe5eca752p-7, -0x1.8bdc21ed1c44bp-7, -0x1.87214375f252ep-7, -0x1.826d6eac47f15p-7, -0x1.7dc0afc59e568p-7, -0x1.791b1369afc02p-7, -0x1.747ca6a2f00f4p-7, -0x1.6fe576cfb0a6p-7, -0x1.6b559193ea56ep-7, -0x1.66cd04cbb307fp-7, -0x1.624bde7e2af59p-7, -0x1.5dd22cd133373p-7, -0x1.595ffdfd8f396p-7, -0x1.54f56043b3537p-7, -0x1.509261e112075p-7, -0x1.4c371105f7662p-7, -0x1.47e37bcbdee5ep-7, -0x1.4397b02c617e5p-7, -0x1.3f53bbf89d3aep-7, -0x1.3b17acd0fc7ffp-7, -0x1.36e3901d89a0dp-7, -0x1.32b77306e1a27p-7, -0x1.2e93626f3558ep-7, -0x1.2a776aec06d38p-7, -0x1.266398c044602p-7, -0x1.2257f7d698791p-7, -0x1.1e5493bc5416fp-7, -0x1.1a59779ca2553p-7, -0x1.1666ae3bfe3c6p-7, -0x1.127c41f42c8f3p-7, -0x1.0e9a3cb064e1bp-7, -0x1.0ac0a7e9e190cp-7, -0x1.06ef8ca4a6e5cp-7, -0x1.0326f36cb9d46p-7, -0x1.fecdc8a6ed568p-8, -0x1.f75ecddaa1cc1p-8, -0x1.f001049f8e249p-8, -0x1.e8b47a1ef7272p-8, -0x1.e1793a7dc3348p-8, -0x1.da4f50d96f6fbp-8, -0x1.d336c7461c1f7p-8, -0x1.cc2fa6ccb926dp-8, -0x1.c539f769ed63bp-8, -0x1.be55c00cd3449p-8, -0x1.b7830696a9b06p-8, -0x1.b0c1cfdaace6bp-8, -0x1.aa121f9e155f2p-8, -0x1.a373f898aab7ap-8, -0x1.9ce75c75b415ap-8, -0x1.966c4bd4dbdcbp-8, -0x1.9002c64bb9bfp-8, -0x1.89aaca676d219p-8, -0x1.836455ae79ed6p-8, -0x1.7d2f64a300941p-8, -0x1.770bf2c52ab6cp-8, -0x1.70f9fa95985d1p-8, -0x1.6af975988c035p-8, -0x1.650a5c5873f77p-8, -0x1.5f2ca6697db46p-8, -0x1.59604a6cadabep-8, -0x1.53a53e139d6a9p-8, -0x1.4dfb7624129c3p-8, -0x1.4862e67bc2d0cp-8, -0x1.42db821459afp-8, -0x1.3d653b07a05eap-8, -0x1.3800029374cf5p-8, -0x1.32abc91e54c74p-8, -0x1.2d687e3b866cbp-8, -0x1.283610afadbe2p-8, -0x1.23146e7553676p-8, -0x1.1e0384c177b16p-8, -0x1.190340085c548p-8, -0x1.14138c01f992bp-8, -0x1.0f3453af2d167p-8, -0x1.0a65815e2babep-8, -0x1.05a6feaf6c4a5p-8, -0x1.00f8b49a9c1f9p-8, -0x1.f8b516e6e8fbp-9, -0x1.ef98d5dd624b7p-9, -0x1.e69c744dc00bbp-9, -0x1.ddbfbf42d15d5p-9, -0x1.d50282a6a22c4p-9, -0x1.cc64894cd8ed9p-9, -0x1.c3e59cfc0ce8ap-9, -0x1.bb8586779b2ap-9, -0x1.b3440d8971e4dp-9, -0x1.ab20f90bfb59bp-9, -0x1.a31c0ef38fb62p-9, -0x1.9b3514580afa1p-9, -0x1.936bcd7e6e20bp-9, -0x1.8bbffde22906ap-9, -0x1.8431683ed337ap-9, -0x1.7cbfce98fdec2p-9, -0x1.756af247d1d13p-9, -0x1.6e3293fdd383fp-9, -0x1.671673d2060fbp-9, -0x1.60165148d7618p-9, -0x1.5931eb5cdfb2bp-9, -0x1.5269008788bd8p-9, -0x1.4bbb4ec9917bdp-9, -0x1.452893b3af2a9p-9, -0x1.3eb08c6e58f26p-9, -0x1.385307cd847f3p-9, -0x1.320f9a3488f1ap-9, -0x1.2be615bd2802ap-9, -0x1.25d636441a399p-9, -0x1.1fdfb7660210ep-9, -0x1.1a02548669042p-9, -0x1.143dc8d76df26p-9, -0x1.0e91cf610b5b4p-9, -0x1.08fe2308203f5p-9, -0x1.03827e950478ep-9, -0x1.fc3d397560053p-10, -0x1.f1a4703a78588p-10, -0x1.e73a16b0d6016p-10, -0x1.dcfda20baa52fp-10, -0x1.d2ee87871314p-10, -0x1.c90c3c7303da2p-10, -0x1.bf56363fdb3d2p-10, -0x1.b5cbea8987debp-10, -0x1.ac6ccf233d8f8p-10, -0x1.a3385a2206d92p-10, -0x1.9a2e01e7207c5p-10, -0x1.914d3d2ac6a7p-10, -0x1.88958306233c3p-10, -0x1.80064afcda287p-10, -0x1.779f0d0702ec2p-10, -0x1.6f5f419a4579p-10, -0x1.674661b20bbf1p-10, -0x1.5f53e6d8ef9adp-10, -0x1.57874b30c2b9ap-10, -0x1.4fe0097b17f94p-10, -0x1.485d9d204bb7dp-10, -0x1.40ff8237dde9ap-10, -0x1.39c5358f40fd8p-10, -0x1.32ae34b12fdd6p-10, -0x1.2bb9fdec07baap-10, -0x1.24e8105945769p-10, -0x1.1e37ebe285c87p-10, -0x1.17a9114824d84p-10, -0x1.113b0227b791ep-10, -0x1.0aed41003ee15p-10, -0x1.04bf5138624efp-10, -0x1.fd616e4669d9bp-11, -0x1.f181f00a22b12p-11, -0x1.e5df343090806p-11, -0x1.da7849237aae7p-11, -0x1.cf4c3f48e93b1p-11, -0x1.c45a290c0f2b1p-11, -0x1.b9a11ae43de8p-11, -0x1.af202b5d29f0dp-11, -0x1.a4d6731b7d568p-11, -0x1.9ac30ce568896p-11, -0x1.90e515a6a070bp-11, -0x1.873bac76e540ap-11, -0x1.7dc5f29eed3bap-11, -0x1.74830b9cc1d0bp-11, -0x1.6b721d298f98bp-11, -0x1.62924f3b064bp-11, -0x1.59e2cc0aa01bp-11, -0x1.5162c01570a14p-11, -0x1.49115a21397edp-11, -0x1.40edcb3eed07ap-11, -0x1.38f746cc03682p-11, -0x1.312d027679301p-11, -0x1.298e363ce2e9ap-11, -0x1.221a1c70a2fa2p-11, -0x1.1acff1b7222eep-11, -0x1.13aef50a8d1d5p-11, -0x1.0cb667baa5c7ap-11, -0x1.05e58d6cdace2p-11, -0x1.fe77583bf0ea1p-12, -0x1.f170183f19f6cp-12, -0x1.e4b3f031d05f6p-12, -0x1.d8417a0fb36d6p-12, -0x1.cc17547a81a1dp-12, -0x1.c03422bbb048bp-12, -0x1.b4968cc120d95p-12, -0x1.a93d3f19e940fp-12, -0x1.9e26eaf3bab46p-12, -0x1.935246180bb4dp-12, -0x1.88be0ae55de3p-12, -0x1.7e68f84d3ed64p-12, -0x1.7451d1cedb33ap-12, -0x1.6a775f720a778p-12, -0x1.60d86dc15f715p-12, -0x1.5773cdc6de8aep-12, -0x1.4e48550231ba9p-12, -0x1.4554dd6543c43p-12, -0x1.3c98454c2e6c9p-12, -0x1.34116f78949fp-12, -0x1.2bbf4307c4cf9p-12, -0x1.23a0ab6c562c1p-12, -0x1.1bb498696c3ddp-12, -0x1.13f9fe063c825p-12, -0x1.0c6fd488f6a0bp-12, -0x1.0515186d95151p-12, -0x1.fbd194bf5357ep-13, -0x1.edd3de5cca84ap-13, -0x1.e02f1f8acd66fp-13, -0x1.d2e1724926db6p-13, -0x1.c5e8f8ab80765p-13, -0x1.b943dcc94283fp-13, -0x1.acf050a877b66p-13, -0x1.a0ec8e2bdc609p-13, -0x1.9536d7000ab55p-13, -0x1.89cd748711b43p-13, -0x1.7eaeb7c56175p-13, -0x1.73d8f94b3bbdcp-13, -0x1.694a9928791b1p-13, -0x1.5f01fecd2cc2dp-13, -0x1.54fd98fc3a21cp-13, -0x1.4b3bddb4f9af4p-13, -0x1.41bb4a1e46f0bp-13, -0x1.387a62701e184p-13, -0x1.2f77b1e42727fp-13, -0x1.26b1ca99f343bp-13, -0x1.1e274583ebb0dp-13, -0x1.15d6c25165738p-13, -0x1.0dbee75eb4a5dp-13, -0x1.05de6197565d6p-13, -0x1.fc67c8cbb6f3fp-14, -0x1.ed7c533a03b9cp-14, -0x1.def7e2c49c755p-14, -0x1.d0d80431380abp-14, -0x1.c31a50950f035p-14, -0x1.b5bc6d29a6b6bp-14, -0x1.a8bc0b20b2434p-14, -0x1.9c16e77fac119p-14, -0x1.8fcacaeac3baep-14, -0x1.83d58981490e3p-14, -0x1.783502ae5c42fp-14, -0x1.6ce7210944efcp-14, -0x1.61e9da1dc4ddep-14, -0x1.573b2e444835fp-14, -0x1.4cd92880d993fp-14, -0x1.42c1de50d01cbp-14, -0x1.38f36f855ac96p-14, -0x1.2f6c0614b8f98p-14, -0x1.2629d60170278p-14, -0x1.1d2b1d1961fdp-14, -0x1.146e22de0c76ap-14, -0x1.0bf138552ac71p-14, -0x1.03b2b7e668c32p-14, -0x1.f7620a5ce6228p-15, -0x1.e7d519b4aec65p-15, -0x1.d8bb88fc16a17p-15, -0x1.ca1254e1ceca7p-15, -0x1.bbd68b494be77p-15, -0x1.ae054b00f7f5ap-15, -0x1.a09bc374bc092p-15, -0x1.9397346671193p-15, -0x1.86f4ed993d01p-15, -0x1.7ab24ea493bbp-15, -0x1.6eccc684fdd26p-15, -0x1.6341d36b33fb4p-15, -0x1.580f02773b56ap-15, -0x1.4d31ef651f34ep-15, -0x1.42a8445050f5fp-15, -0x1.386fb96be831fp-15, -0x1.2e8614bb6439fp-15, -0x1.24e929daa5bfcp-15, -0x1.1b96d9b92c3f6p-15, -0x1.128d124614c41p-15, -0x1.09c9ce41ab49dp-15, -0x1.014b14fa64063p-15, -0x1.f21df41a19581p-16, -0x1.e2273a42a139p-16, -0x1.d2ae536a0613p-16, -0x1.c3afadb61e6a7p-16, -0x1.b527cdf553cf1p-16, -0x1.a7134f3d34d84p-16, -0x1.996ee26d54a96p-16, -0x1.8c374daaf73a9p-16, -0x1.7f696c0b8d872p-16, -0x1.73022d17e67fp-16, -0x1.66fe94724cdffp-16, -0x1.5b5bb93c9cacdp-16, -0x1.5016c5d57a12bp-16, -0x1.452cf7629699bp-16, -0x1.3a9b9d6b89161p-16, -0x1.30601972f8db3p-16, -0x1.2677de92dc859p-16, -0x1.1ce0711a473fp-16, -0x1.1397662f15867p-16, -0x1.0a9a6355868cep-16, -0x1.01e71e5b8cb28p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b0ab4b561ab1fp-5, 0x1.13a3c81fa2d89p-4, 0x1.4f911dbbddbcbp-4, 0x1.8ba084fb878bbp-4, 0x1.c76a3bcfa6e51p-4, 0x1.0145d6eb50d1ap-3, 0x1.1e55903680681p-3, 0x1.3abec87a8583ep-3, 0x1.565fd24ec9113p-3, 0x1.711a737793178p-3, 0x1.8ad5668ad8ecap-3, 0x1.a37b7a94a188dp-3, 0x1.bafa7a636a4cap-3, 0x1.d14350830f693p-3, 0x1.e64a0c047b0d5p-3, 0x1.fa0569749e959p-3, 0x1.063743a59ee2fp-2, 0x1.0ec0667c29d16p-2, 0x1.169cdd922264cp-2, 0x1.1dcc5673172c3p-2, 0x1.244f520b79016p-2, 0x1.2a265ed0fbd5bp-2, 0x1.2f549ce42fea3p-2, 0x1.33dca092edba4p-2, 0x1.37c0f5ac92d9ap-2, 0x1.3b0497ffc7dd1p-2, 0x1.3dab4c154b7fcp-2, 0x1.3fb9a491a1065p-2, 0x1.4134b961789c2p-2, 0x1.4221c93610cdcp-2, 0x1.4285fdecb9849p-2, 0x1.42666983c8e41p-2, 0x1.41c82b14fc67ep-2, 0x1.40b098adde341p-2, 0x1.3f2550c885e52p-2, 0x1.3d2c2ad5e1aa9p-2, 0x1.3acb125e8977bp-2, 0x1.3807e0e59ead3p-2, 0x1.34e846a1396ep-2, 0x1.3171c71a490a8p-2, 0x1.2da9c43c695bcp-2, 0x1.29958d276d7dp-2, 0x1.253a67359cf17p-2, 0x1.209d8cf22d318p-2, 0x1.1bc42493f2cf2p-2, 0x1.16b33316a7d88p-2, 0x1.116f91500b90bp-2, 0x1.0bfde6346d9ddp-2, 0x1.0662a68f89b9ap-2, 0x1.00a218434963bp-2, 0x1.f580acce1bb14p-3, 0x1.e982a88822f2cp-3, 0x1.dd51bcd4c2331p-3, 0x1.d0f53458fcbc9p-3, 0x1.c47408a05684fp-3, 0x1.b7d4df7e17a4dp-3, 0x1.ab1e097b573fdp-3, 0x1.9e5581c28d5c5p-3, 0x1.9180ef7578694p-3, 0x1.84a5a7fd87153p-3, 0x1.77c8b1c53b15ep-3, 0x1.6aeec6ea762f7p-3, 0x1.5e1c57c569aecp-3, 0x1.5156787f93f35p-3, 0x1.44a4b4b3cd2cbp-3, 0x1.38050fba2fa07p-3, 0x1.2b7a4843f860ap-3, 0x1.1f072c8873419p-3, 0x1.12aea364185e2p-3, 0x1.0673a80dc71cdp-3, 0x1.f4b2766f2d11bp-4, 0x1.dcc49b3b00712p-4, 0x1.c52350a855da4p-4, 0x1.add3ad8944af4p-4, 0x1.96da2ac191286p-4, 0x1.803a8dfa47bbap-4, 0x1.69f7e32330f4fp-4, 0x1.54148424b055fp-4, 0x1.3e922c6f18f67p-4, 0x1.297214e90a82cp-4, 0x1.14b514299d611p-4, 0x1.005bbee88b157p-4, 0x1.d8cd0a17b1acfp-5, 0x1.b1ab91336429ap-5, 0x1.8b53d9ddd2ef5p-5, 0x1.65c6bb855d9bcp-5, 0x1.41051d1947731p-5, 0x1.1d0fe764a29ccp-5, 0x1.f3cfdd89bef92p-6, 0x1.af1bb0d4a3eebp-6, 0x1.6c03fe4dfc3a6p-6, 0x1.2a88b67bfe2fep-6, 0x1.d551bf4ac512fp-7, 0x1.58c4fe91135ddp-7, 0x1.beca4e5be138cp-8, 0x1.a4a8e494bd15dp-9, -0x1.3eb348c6fd13cp-12, -0x1.e816b746197afp-9, -0x1.ce25302e06a8dp-8, -0x1.5129d6493b59ap-7, -0x1.b8597994fddc3p-7, -0x1.0e57eed0e24afp-6, -0x1.3f1db66059798p-6, -0x1.6e853a17012cp-6, -0x1.9c958457ccc37p-6, -0x1.c9557d0e00332p-6, -0x1.f4cbe98fab1a8p-6, -0x1.0f7fb87d24cdfp-5, -0x1.23fb51aca0c3ep-5, -0x1.37dc0106e96d8p-5, -0x1.4b25041ae8407p-5, -0x1.5dd9990fb8d05p-5, -0x1.6ffd0192be55dp-5, -0x1.819284c881debp-5, -0x1.929d7028d9b06p-5, -0x1.a321174304483p-5, -0x1.b320d276a24fbp-5, -0x1.c29ffcbc9de8ep-5, -0x1.d1a1f0a83a255p-5, -0x1.e02a04d4ab0fcp-5, -0x1.ee3b87fd66294p-5, -0x1.fbd9bd0534ab2p-5, -0x1.0483eb981790bp-4, -0x1.0ae47b672509ep-4, -0x1.1110134394302p-4, -0x1.17082cb30b21dp-4, -0x1.1cce34d86d445p-4, -0x1.22638c4026ba5p-4, -0x1.27c987009ad8fp-4, -0x1.2d016d1c386dp-4, -0x1.320c7b1007507p-4, -0x1.36ebe2799db85p-4, -0x1.3ba0cac1cecc2p-4, -0x1.402c51bd4d16ap-4, -0x1.448f8c3906088p-4, -0x1.48cb866c70491p-4, -0x1.4ce1444ffe548p-4, -0x1.50d1c1d8febb4p-4, -0x1.549df31e6bea2p-4, -0x1.5846c46b96616p-4, -0x1.5bcd1a463ff22p-4, -0x1.5f31d16ddd389p-4, -0x1.6275bed951986p-4, -0x1.6599afb7c79efp-4, -0x1.689e6978429d9p-4, -0x1.6b84a9da64366p-4, -0x1.6e4d2709ae4cfp-4, -0x1.70eef53164992p-4, -0x1.737c7582f2465p-4, -0x1.75eeac0addbf1p-4, -0x1.78463776b25ebp-4, -0x1.7a83a990b3df4p-4, -0x1.7ca788001d5f1p-4, -0x1.7eb24d4a1fedfp-4, -0x1.80a46a0467cb9p-4, -0x1.827e4628dd673p-4, -0x1.8440427a55706p-4, -0x1.85eab9ea93342p-4, -0x1.877e02f351655p-4, -0x1.88fa70d5f52efp-4, -0x1.8a6054b7d372cp-4, -0x1.8baffe93758b1p-4, -0x1.8ce9bdf9f710cp-4, -0x1.8e0de2a233e12p-4, -0x1.8f1cbcc5f042ap-4, -0x1.90169d4f6f8cep-4, -0x1.90fbd5dbb7d24p-4, -0x1.91ccb8975f821p-4, -0x1.928997fcb13c2p-4, -0x1.9332c67ab227bp-4, -0x1.93c8960cb7ae1p-4, -0x1.944b57ca17dep-4, -0x1.94bb5b75035b4p-4, -0x1.9518ef0ecf8dfp-4, -0x1.95645e7705567p-4, -0x1.959df319750e2p-4, -0x1.95c5f3ae73718p-4, -0x1.95dca40f371d9p-4, -0x1.95e2451f45e15p-4, -0x1.95d714cadd7b7p-4, -0x1.95bb4e196acccp-4, -0x1.958f295267e01p-4, -0x1.9552dc3268bb2p-4, -0x1.95069a2daf083p-4, -0x1.94aa94bd5892bp-4, -0x1.943efbb4152a9p-4, -0x1.93c3fd9754058p-4, -0x1.9339c7f9e0cd8p-4, -0x1.92a087d52a572p-4, -0x1.91f869dea356bp-4, -0x1.91419ad70c6aep-4, -0x1.907c47d1cf7c2p-4, -0x1.8fa89e7303744p-4, -0x1.8ec6cd2314d15p-4, -0x1.8dd703378928p-4, -0x1.8cd97110a792fp-4, -0x1.8bce482c44297p-4, -0x1.8ab5bb2e33d62p-4, -0x1.898ffddf40f02p-4, -0x1.885d4523a9004p-4, -0x1.871dc6ea5ffffp-4, -0x1.85d1ba166bb99p-4, -0x1.84795663b6f38p-4, -0x1.8314d448ba505p-4, -0x1.81a46cd64ef0fp-4, -0x1.80285996e04c7p-4, -0x1.7ea0d46e1d92cp-4, -0x1.7d0e177a18fa3p-4, -0x1.7b705cf6a3adp-4, -0x1.79c7df23869b9p-4, -0x1.7814d82e0bf35p-4, -0x1.7657821e24e15p-4, -0x1.749016c74ecf4p-4, -0x1.72becfbd3b44ep-4, -0x1.70e3e64c17f4p-4, -0x1.6eff937441731p-4, -0x1.6d120fe9128aap-4, -0x1.6b1b94126ecd6p-4, -0x1.691c5810a5c8ap-4, -0x1.671493c23510ep-4, -0x1.65047ecb00ab1p-4, -0x1.62ec509c88428p-4, -0x1.60cc407eab0b3p-4, -0x1.5ea4859897718p-4, -0x1.5c7556f981cb2p-4, -0x1.5a3eeba0ce775p-4, -0x1.58017a8564249p-4, -0x1.55bd3a9be9b69p-4, -0x1.537262dbbaabbp-4, -0x1.51212a426fb45p-4, -0x1.4ec9c7d5e0366p-4, -0x1.4c6c72a49122bp-4, -0x1.4a0961c4900b8p-4, -0x1.47a0cc50bff25p-4, -0x1.4532e964b03fep-4, -0x1.42bff01712a91p-4, -0x1.40481772f795ap-4, -0x1.3dcb966ff058fp-4, -0x1.3b4aa3e94e7acp-4, -0x1.38c57694a0139p-4, -0x1.363c44f7a6a35p-4, -0x1.33af455debea2p-4, -0x1.311eadce2b4e4p-4, -0x1.2e8ab3ffb5ccdp-4, -0x1.2bf38d4ffcf95p-4, -0x1.29596eb867b2fp-4, -0x1.26bc8cc48f2c6p-4, -0x1.241d1b8900f23p-4, -0x1.217b4e9a9ae0dp-4, -0x1.1ed759069245ap-4, -0x1.1c316d4b2f7f6p-4, -0x1.1989bd514607fp-4, -0x1.16e07a666c3fbp-4, -0x1.1435d537ec4a6p-4, -0x1.1189fdce6dd0dp-4, -0x1.0edd238a4c2a3p-4, -0x1.0c2f75208c9bfp-4, -0x1.098120986c115p-4, -0x1.06d25349703d7p-4, -0x1.042339d9f0b78p-4, -0x1.0174003e03224p-4, -0x1.fd89a36d7fa15p-5, -0x1.f82bb1a393f12p-5, -0x1.f2ce7ed21cdc3p-5, -0x1.ed725d45598a5p-5, -0x1.e8179de1f2278p-5, -0x1.e2be90251e3d9p-5, -0x1.dd678224d3261p-5, -0x1.d812c08feef6bp-5, -0x1.d2c096ae4c8f9p-5, -0x1.cd714e60ba757p-5, -0x1.c8253020c60aap-5, -0x1.c2dc830064a77p-5, -0x1.bd978ca963b2dp-5, -0x1.b856915cb260ap-5, -0x1.b319d3f17ec1cp-5, -0x1.ade195d42d87cp-5, -0x1.a8ae170532784p-5, -0x1.a37f9617d0f3ep-5, -0x1.9e565030cf782p-5, -0x1.9932810521a12p-5, -0x1.941462d8a0f32p-5, -0x1.8efc2e7cc928p-5, -0x1.89ea1b4f958fbp-5, -0x1.84de5f3a7e1b8p-5, -0x1.7fd92eb1a063ep-5, -0x1.7adabcb31edd9p-5, -0x1.75e33ac6b589dp-5, -0x1.70f2d8fd98893p-5, -0x1.6c09c5f290f5fp-5, -0x1.67282eca69f5dp-5, -0x1.624e3f34a8be2p-5, -0x1.5d7c216c91ff1p-5, -0x1.58b1fe3a82581p-5, -0x1.53effcf592721p-5, -0x1.4f3643858babap-5, -0x1.4a84f6652324p-5, -0x1.45dc38a4844a4p-5, -0x1.413c2bec1a67p-5, -0x1.3ca4f07f9c4c4p-5, -0x1.3816a5415759dp-5, -0x1.339167b5ad862p-5, -0x1.2f155406ccc1p-5, -0x1.2aa285088ecc8p-5, -0x1.2639143c872d8p-5, -0x1.21d919d6360d7p-5, -0x1.1d82acbf59047p-5, -0x1.1935e29c5b8ddp-5, -0x1.14f2cfd0e12cp-5, -0x1.10b9878462e61p-5, -0x1.0c8a1ba6deb76p-5, -0x1.08649cf5994a8p-5, -0x1.04491affe934ap-5, -0x1.0037a42c0dccdp-5, -0x1.f8608b781d9eap-6, -0x1.f067c205d083bp-6, -0x1.e881a2d8d2c82p-6, -0x1.e0aff50d154d5p-6, -0x1.d8f2ca67617f9p-6, -0x1.d14a32977e2bp-6, -0x1.c9b63b42135a3p-6, -0x1.c236f00a926cbp-6, -0x1.bacc5a9d1cc5fp-6, -0x1.b37682b86f68bp-6, -0x1.ac356e37ca59cp-6, -0x1.a509211cd74efp-6, -0x1.9df19d998e41p-6, -0x1.96eee41a19fdfp-6, -0x1.9000f34ebf8b9p-6, -0x1.8927c835b9944p-6, -0x1.82635e251757bp-6, -0x1.7bb3aed49d041p-6, -0x1.7518b2679548ep-6, -0x1.6e925f76a39dp-6, -0x1.6820ab1998a1ap-6, -0x1.61c388f132d13p-6, -0x1.5b7aeb30e096ap-6, -0x1.5546c2a87b5adp-6, -0x1.4f26fecdf3175p-6, -0x1.491b8dc6f1773p-6, -0x1.43245c7276a26p-6, -0x1.3d41567263097p-6, -0x1.37726634f3d25p-6, -0x1.31b774fe31e6cp-6, -0x1.2c106af1501ebp-6, -0x1.267d2f19f2327p-6, -0x1.20fda77569d28p-6, -0x1.1b91b8fbd4c91p-6, -0x1.163947a92f259p-6, -0x1.10f4368645bcdp-6, -0x1.0bc267b1938dcp-6, -0x1.06a3bc680cd9dp-6, -0x1.0198150dc65a7p-6, -0x1.f93ea26d07aa4p-7, -0x1.ef729f5c6055ep-7, -0x1.e5cbdd026742fp-7, -0x1.dc4a1609566a5p-7, -0x1.d2ed03bd11656p-7, -0x1.c9b45e1b1298dp-7, -0x1.c09fdbe233c7p-7, -0x1.b7af32a220c97p-7, -0x1.aee216ca91fe4p-7, -0x1.a6383bba40578p-7, -0x1.9db153cd9a15bp-7, -0x1.954d106d382cdp-7, -0x1.8d0b221c04d9ep-7, -0x1.84eb38851eaa3p-7, -0x1.7ced02897c2dbp-7, -0x1.75102e4d47e31p-7, -0x1.6d546944f45c6p-7, -0x1.65b96041fd5b8p-7, -0x1.5e3ebf7f7a7cap-7, -0x1.56e432ae5a9efp-7, -0x1.4fa965014f14fp-7, -0x1.488e013889cbap-7, -0x1.4191b1ad146c6p-7, -0x1.3ab4205bf36c8p-7, -0x1.33f4f6f108ef5p-7, -0x1.2d53ded190eb8p-7, -0x1.26d0812678b8bp-7, -0x1.206a86e65a928p-7, -0x1.1a2198df3dff4p-7, -0x1.13f55fc006de3p-7, -0x1.0de58421b1cb1p-7, -0x1.07f1ae903627cp-7, -0x1.021987933a68p-7, -0x1.f8b96f6cec594p-8, -0x1.ed75cf23b5e5bp-8, -0x1.e2677fa2ecca6p-8, -0x1.d78dd27a38324p-8, -0x1.cce8197fa667dp-8, -0x1.c275a6ddf2f13p-8, -0x1.b835cd22667ecp-8, -0x1.ae27df4a564e1p-8, -0x1.a44b30d014d81p-8, -0x1.9a9f15b77ed9ep-8, -0x1.9122e29a1ff19p-8, -0x1.87d5ecb2e6eadp-8, -0x1.7eb789e980419p-8, -0x1.75c710dd4b988p-8, -0x1.6d03d8efe28ffp-8, -0x1.646d3a4f51edcp-8, -0x1.5c028e0009959p-8, -0x1.53c32de64abf2p-8, -0x1.4bae74cf6c3b4p-8, -0x1.43c3be7ab7b47p-8, -0x1.3c0267a1f9878p-8, -0x1.3469ce01de815p-8, -0x1.2cf95061e3d7p-8, -0x1.25b04e9c193c3p-8, -0x1.1e8e29a494293p-8, -0x1.17924390ac3e5p-8, -0x1.10bbff9de91e4p-8, -0x1.0a0ac238bd0f3p-8, -0x1.037df102f3e37p-8, -0x1.fa29e5b4150b7p-9, -0x1.ed9e5fba2f3d3p-9, -0x1.e15822e53adaep-9, -0x1.d556049c530dfp-9, -0x1.c996dceb48b6dp-9, -0x1.be19868cff0bfp-9, -0x1.b2dcdef541ac9p-9, -0x1.a7dfc65a34cf9p-9, -0x1.9d211fbd74f11p-9, -0x1.929fd0f4a933bp-9, -0x1.885ac2b1c3005p-9, -0x1.7e50e08ac37d9p-9, -0x1.748119012f65bp-9, -0x1.6aea5d890a64bp-9, -0x1.618ba28f4d0aap-9, -0x1.5863df802542fp-9, -0x1.4f720eccd0574p-9, -0x1.46b52df0a0b62p-9, -0x1.3e2c3d76140dcp-9, -0x1.35d640fb3d231p-9, -0x1.2db23f35cbb4ep-9, -0x1.25bf41f69a35fp-9, -0x1.1dfc562cea769p-9, -0x1.16688be912c0fp-9, -0x1.0f02f65ecbd18p-9, -0x1.07caabe70807dp-9, -0x1.00bec6016c935p-9, -0x1.f3bcc2aa6ae48p-10, -0x1.e6513b63a0825p-10, -0x1.d9393c1dfae3ap-10, -0x1.cc731118a462cp-10, -0x1.bffd0ce1abc86p-10, -0x1.b3d58852e0672p-10, -0x1.a7fae28f31f23p-10, -0x1.9c6b80fe755f6p-10, -0x1.9125cf48b932bp-10, -0x1.86283f509253cp-10, -0x1.7b71492ce1c76p-10, -0x1.70ff6b21aa98ap-10, -0x1.66d129984fc23p-10, -0x1.5ce50f16ddc6p-10, -0x1.5339ac3712f7ap-10, -0x1.49cd979c62912p-10, -0x1.409f6de9788d8p-10, -0x1.37add1b526a5p-10, -0x1.2ef76b7eead3ep-10, -0x1.267ae9a26208ep-10, -0x1.1e37004ae7dd2p-10, -0x1.162a69663e98fp-10, -0x1.0e53e49720b45p-10, -0x1.06b237271f53p-10, -0x1.fe8857f0993dap-11, -0x1.f01126ecfa2d8p-11, -0x1.e1fc87109d8a2p-11, -0x1.d4482eff4e6c5p-11, -0x1.c6f1e014e5064p-11, -0x1.b9f766454eec5p-11, -0x1.ad5697fca6e74p-11, -0x1.a10d55ff20dd8p-11, -0x1.95198b487b3cep-11, -0x1.89792ceb34454p-11, -0x1.7e2a39efcffc3p-11, -0x1.732abb33aee45p-11, -0x1.6878c3484b29p-11, -0x1.5e126e51bf9ebp-11, -0x1.53f5e1e67f6e5p-11, -0x1.4a214ced6a3e2p-11, -0x1.4092e77d7d1b8p-11, -0x1.3748f2bcc51e3p-11, -0x1.2e41b8bff95a5p-11, -0x1.257b8c69e66f8p-11, -0x1.1cf4c94b17913p-11, -0x1.14abd381b8144p-11, -0x1.0c9f179a63e7p-11, -0x1.04cd0a6f4b4b2p-11, -0x1.fa685213e2a36p-12, -0x1.eba5f1077c596p-12, -0x1.dd500bce48315p-12, -0x1.cf63cc2243e51p-12, -0x1.c1de6b260534ap-12, -0x1.b4bd3128f55e5p-12, -0x1.a7fd756b52f25p-12, -0x1.9b9c9de43cb66p-12, -0x1.8f981f0755db5p-12, -0x1.83ed7b8a68d91p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.53d693efc6922p-5, -0x1.1b0f7e8e1589fp-5, -0x1.bc1b7167abce5p-6, -0x1.3a9f68254b493p-6, -0x1.653dbf9ffe57ap-7, -0x1.2826771798ffdp-9, 0x1.b53ed9bb51fa5p-8, 0x1.038d924929667p-6, 0x1.9cecf949355fep-6, 0x1.1c59cb317bf1bp-5, 0x1.6b19e821df8d1p-5, 0x1.ba65b408b02abp-5, 0x1.04f8eacd3abc9p-4, 0x1.2cbc5faccf32cp-4, 0x1.545d306245p-4, 0x1.7bbdeac14c858p-4, 0x1.a2c39b5615cfap-4, 0x1.c955b4e6ff48dp-4, 0x1.ef5deafeb0f0dp-4, 0x1.0a640bc840cafp-3, 0x1.1cc112c4eef3bp-3, 0x1.2ebdd199b9501p-3, 0x1.40537393f1685p-3, 0x1.517b572a00cd8p-3, 0x1.622fdfe0d3574p-3, 0x1.726c46396ecbfp-3, 0x1.822c8527f2a97p-3, 0x1.916d4044ed895p-3, 0x1.a02bac1936ce2p-3, 0x1.ae6580ce82e3dp-3, 0x1.bc18f6c1cc7a3p-3, 0x1.c944c6613ecbap-3, 0x1.d5e824fe40539p-3, 0x1.e202bc0484878p-3, 0x1.ed949c0191b92p-3, 0x1.f89e2eee8f588p-3, 0x1.0190166b902f8p-2, 0x1.068dca17329e9p-2, 0x1.0b48d2928a1fdp-2, 0x1.0fc1ef1bc1861p-2, 0x1.13f9fc2a4f3d1p-2, 0x1.17f1f0eb2954bp-2, 0x1.1baadc253767bp-2, 0x1.1f25e0d1d98acp-2, 0x1.226432e6d018ep-2, 0x1.256714b751de6p-2, 0x1.282fd4efb1bb6p-2, 0x1.2abfcce05288bp-2, 0x1.2d185ede94176p-2, 0x1.2f3af4c3e7a39p-2, 0x1.3128fe9e8b831p-2, 0x1.32e3f17274e8cp-2, 0x1.346d45cd86d16p-2, 0x1.35c6762a19594p-2, 0x1.36f0fd6d15416p-2, 0x1.37ee55d598d2cp-2, 0x1.38bff860b7326p-2, 0x1.39675c4a8abb4p-2, 0x1.39e5f6523369cp-2, 0x1.3a3d37b99bc09p-2, 0x1.3a6e8d4fa441cp-2, 0x1.3a7b5edbbe6d6p-2, 0x1.3a650efa698d8p-2, 0x1.3a2d6b29b0bc5p-2, 0x1.39d4ebff5e5a6p-2, 0x1.395d420954651p-2, 0x1.38c7bc4428f8p-2, 0x1.3815a4a0adfdp-2, 0x1.37483ec85d037p-2, 0x1.3660c6f205d91p-2, 0x1.356070ece7818p-2, 0x1.34486779eb7e6p-2, 0x1.3319cbfad9cc9p-2, 0x1.31d5b67243c78p-2, 0x1.307d35c62bb3cp-2, 0x1.2f115032cddabp-2, 0x1.2d9303d8a56e8p-2, 0x1.2c03475071ab7p-2, 0x1.2a630a31983dfp-2, 0x1.28b3357bc3217p-2, 0x1.26f4abdb54a4ap-2, 0x1.252849c7ba676p-2, 0x1.234ee580d22bbp-2, 0x1.21694ef42fcb2p-2, 0x1.1f784f94438a5p-2, 0x1.1d7caa2ae158ap-2, 0x1.1b771aaf7bd82p-2, 0x1.19685627f507ep-2, 0x1.17510a9933e6p-2, 0x1.1531df0a8d021p-2, 0x1.130b739ca20cap-2, 0x1.10de61b1fd0fbp-2, 0x1.0eab3c25c7c5dp-2, 0x1.0c728f8c006b8p-2, 0x1.0a34e27674c8dp-2, 0x1.07f2b5ba4c9aap-2, 0x1.05ac84b2e7a69p-2, 0x1.0362c57fbbf9bp-2, 0x1.0115e93bcd002p-2, 0x1.fd8cb85c00361p-3, 0x1.f8e90be461973p-3, 0x1.f44193370479ap-3, 0x1.ef970ba1bd7c6p-3, 0x1.eaea29ca5695fp-3, 0x1.e63b99d9e2f3ep-3, 0x1.e18bffa6c1154p-3, 0x1.dcdbf6e0a0588p-3, 0x1.d82c1340d915ep-3, 0x1.d37ce0c072b83p-3, 0x1.cecee3d3d9969p-3, 0x1.ca2299ab9f313p-3, 0x1.c578787928b3fp-3, 0x1.c0d0efb60c72cp-3, 0x1.bc2c686d28f5ep-3, 0x1.b78b458492a69p-3, 0x1.b2ede40786c2cp-3, 0x1.ae549b6fa75aep-3, 0x1.a9bfbdec708e1p-3, 0x1.a52f98a7ec54p-3, 0x1.a0a4740781adap-3, 0x1.9c1e93e817911p-3, 0x1.979e37d5106bep-3, 0x1.93239b3a432cbp-3, 0x1.8eaef59192cc3p-3, 0x1.8a407a8d42358p-3, 0x1.85d85a405e3cfp-3, 0x1.8176c14675e8ep-3, 0x1.7d1bd8eb9bbc1p-3, 0x1.78c7c75513675p-3, 0x1.747aafaa8edcp-3, 0x1.7034b23f4e56fp-3, 0x1.6bf5ecba396aep-3, 0x1.67be7a3c0d386p-3, 0x1.638e7382dbac8p-3, 0x1.5f65ef0a9b8fp-3, 0x1.5b45012af9c2ap-3, 0x1.572bbc33021fdp-3, 0x1.531a3083792dcp-3, 0x1.4f106ca8c7078p-3, 0x1.4b0e7d751a8b9p-3, 0x1.47146e1b1786dp-3, 0x1.43224848fe41ap-3, 0x1.3f381443ca41bp-3, 0x1.3b55d90196916p-3, 0x1.377b9c4277153p-3, 0x1.33a962a711bccp-3, 0x1.2fdf2fc48b5d8p-3, 0x1.2c1d08fdeceb4p-3, 0x1.2862ee83f3a8p-3, 0x1.24b0df8b468a3p-3, 0x1.2106dbdc2cf2p-3, 0x1.1d64e27f7defep-3, 0x1.19caf1cd68589p-3, 0x1.1639077b294acp-3, 0x1.12af20a7ae818p-3, 0x1.0f2d39e726372p-3, 0x1.0bb34f4d801c4p-3, 0x1.08415c77f5613p-3, 0x1.04d75c959edacp-3, 0x1.01754a6f39cdep-3, 0x1.fc3640dc60ff2p-4, 0x1.f591b145e9344p-4, 0x1.eefcd995a278fp-4, 0x1.e877acaa83c74p-4, 0x1.e2021cd1c6972p-4, 0x1.db9c1bd026c6dp-4, 0x1.d5459aeaa920ep-4, 0x1.cefe8aeeec036p-4, 0x1.c8c6dc3b3a75p-4, 0x1.c29e7ec658dbap-4, 0x1.bc85622722332p-4, 0x1.b67b759bfe903p-4, 0x1.b080a8121c11p-4, 0x1.aa94e82c8d699p-4, 0x1.a4b8244b20508p-4, 0x1.9eea4a90e8455p-4, 0x1.992b48ea859c5p-4, 0x1.937b0d140c7cep-4, 0x1.8dd9849e7a946p-4, 0x1.88469cf4c6392p-4, 0x1.82c243606d4e6p-4, 0x1.7d4c650d89b69p-4, 0x1.77e4ef0e65875p-4, 0x1.728bce5e8ed05p-4, 0x1.6d40efe56ed51p-4, 0x1.6804407869d33p-4, 0x1.62d5acdc899ebp-4, 0x1.5db521c7c3f7dp-4, 0x1.58a28be1db8bfp-4, 0x1.539dd7c4ed93ap-4, 0x1.4ea6f1fdb1dbcp-4, 0x1.49bdc70b7cb4fp-4, 0x1.44e243600a59ap-4, 0x1.4014535f1fc1bp-4, 0x1.3b53e35e0e152p-4, 0x1.36a0dfa322102p-4, 0x1.31fb3465098ddp-4, 0x1.2d62cdca366ebp-4, 0x1.28d797e84b872p-4, 0x1.24597ec397186p-4, 0x1.1fe86e4e9cc6p-4, 0x1.1b845269bb83p-4, 0x1.172d16e2e59e6p-4, 0x1.12e2a775784cdp-4, 0x1.0ea4efca25d8p-4, 0x1.0a73db76f9d7cp-4, 0x1.064f55ff71a5fp-4, 0x1.02374ad4a4a7ap-4, 0x1.fc574aab02b16p-5, 0x1.f458a19e24299p-5, 0x1.ec7270f99e248p-5, 0x1.e4a48f11f08edp-5, 0x1.dceed219eecf4p-5, 0x1.d551102388adcp-5, 0x1.cdcb1f20998fep-5, 0x1.c65cd4e3bb941p-5, 0x1.bf0607211d233p-5, 0x1.b7c68b6f502d1p-5, 0x1.b09e3748152c1p-5, 0x1.a98ce00921958p-5, 0x1.a2925af4ddd8bp-5, 0x1.9bae7d3318cf9p-5, 0x1.94e11bd1b58e5p-5, 0x1.8e2a0bc5511b3p-5, 0x1.878921e9dc8a4p-5, 0x1.80fe330339e92p-5, 0x1.7a8913bdd05fcp-5, 0x1.742998af20504p-5, 0x1.6ddf96565d18cp-5, 0x1.67aae11d08f0fp-5, 0x1.618b4d5799941p-5, 0x1.5b80af4626c4ap-5, 0x1.558adb15246c1p-5, 0x1.4fa9a4de2f613p-5, 0x1.49dce0a8e0dd1p-5, 0x1.4424626bbbf9ep-5, 0x1.3e7ffe0d26cd9p-5, 0x1.38ef8764740ebp-5, 0x1.3372d23b033cbp-5, 0x1.2e09b24d6c0bfp-5, 0x1.28b3fb4cbab3ep-5, 0x1.237180dfbe2f8p-5, 0x1.1e4216a462748p-5, 0x1.1925903119cafp-5, 0x1.141bc11651678p-5, 0x1.0f247cdff30a7p-5, 0x1.0a3f9716f186dp-5, 0x1.056ce342dec97p-5, 0x1.00ac34eb8e8a9p-5, 0x1.f7fabf357637ep-6, 0x1.eec06dbb7581p-6, 0x1.e5a91c8e6736cp-6, 0x1.dcb472e1b3a67p-6, 0x1.d3e217fa66ad5p-6, 0x1.cb31b332b5d95p-6, 0x1.c2a2ebfd8ac22p-6, 0x1.ba3569ea1d926p-6, 0x1.b1e8d4a780151p-6, 0x1.a9bcd408275abp-6, 0x1.a1b11005755eep-6, 0x1.99c530c33c582p-6, 0x1.91f8de9331d8cp-6, 0x1.8a4bc1f85e6aap-6, 0x1.82bd83aa86d6p-6, 0x1.7b4dcc997ee39p-6, 0x1.73fc45f0794ep-6, 0x1.6cc899194bbcfp-6, 0x1.65b26fbfa4ad1p-6, 0x1.5eb973d43c6b9p-6, 0x1.57dd4f8fee243p-6, 0x1.511dad76df024p-6, 0x1.4a7a385b843f8p-6, 0x1.43f29b61ac02ap-6, 0x1.3d86820178df9p-6, 0x1.3735980a5432p-6, 0x1.30ff89a5dad69p-6, 0x1.2ae4035ab9006p-6, 0x1.24e2b20f7d9d3p-6, 0x1.1efb430d66b02p-6, 0x1.192d64031ee4ep-6, 0x1.1378c30770957p-6, 0x1.0ddd0e9be6838p-6, 0x1.0859f5af66f11p-6, 0x1.02ef27a0be89cp-6, 0x1.fb38a88233682p-7, 0x1.f0c257acfa5e5p-7, 0x1.e67abe3c2ff88p-7, 0x1.dc613e9d481e1p-7, 0x1.d2753c35479e6p-7, 0x1.c8b61b652fb85p-7, 0x1.bf23418e504c5p-7, 0x1.b5bc151678482p-7, 0x1.ac7ffd6c071bbp-7, 0x1.a36e6309eeb33p-7, 0x1.9a86af7b7ff62p-7, 0x1.91c84d6020c15p-7, 0x1.8932a86efc409p-7, 0x1.80c52d7a6e519p-7, 0x1.787f4a736945ep-7, 0x1.70606e6ca7924p-7, 0x1.6868099dcf6b2p-7, 0x1.60958d666d909p-7, 0x1.58e86c50c4799p-7, 0x1.51601a148d6c2p-7, 0x1.49fc0b997e79dp-7, 0x1.42bbb6f9c8e1dp-7, 0x1.3b9e93845ebc7p-7, 0x1.34a419bf2c1f8p-7, 0x1.2dcbc3690ff15p-7, 0x1.27150b7bcff35p-7, 0x1.207f6e2ddd3a8p-7, 0x1.1a0a68f3fd128p-7, 0x1.13b57a82ccb8cp-7, 0x1.0d8022d020ec7p-7, 0x1.0769e3145c7ccp-7, 0x1.0172693726ee8p-7, 0x1.f731bca73e2c6p-8, 0x1.ebb9ed0f9cce5p-8, 0x1.e07c7046ba17bp-8, 0x1.d578557a72637p-8, 0x1.caacae685ea0ep-8, 0x1.c0188f5eaec0bp-8, 0x1.b5bb0f3cf1d56p-8, 0x1.ab934774613b1p-8, 0x1.a1a054085c289p-8, 0x1.97e1538e53236p-8, 0x1.8e55672dad41ep-8, 0x1.84fbb29f69e06p-8, 0x1.7bd35c2d98651p-8, 0x1.72db8cb2a222bp-8, 0x1.6a136f984e6d3p-8, 0x1.617a32d6af515p-8, 0x1.590f06f2d600ap-8, 0x1.50d11efd625e4p-8, 0x1.48bfb090c493ap-8, 0x1.40d9f3cf91c8cp-8, 0x1.391f23627538bp-8, 0x1.318e7c7616036p-8, 0x1.2a273eb8c5d42p-8, 0x1.22e8ac582325ap-8, 0x1.1bd209fe5b429p-8, 0x1.14e29ecf9d3fcp-8, 0x1.0e19b46720988p-8, 0x1.077696d429d24p-8, 0x1.00f89496e6503p-8, 0x1.f53dfd3a5e331p-9, 0x1.e8d2507e2f1a6p-9, 0x1.dcacce76fb8b6p-9, 0x1.d0cc2768b9013p-9, 0x1.c52f10562da8cp-9, 0x1.b9d442f95762bp-9, 0x1.aeba7dbb646fp-9, 0x1.a3e083acc5fdbp-9, 0x1.99451c7cae213p-9, 0x1.8ee71470ee946p-9, 0x1.84c53c5d37a02p-9, 0x1.7ade699a3dab8p-9, 0x1.713175fcd1d96p-9, 0x1.67bd3fccf114p-9, 0x1.5e80a9bc34e89p-9, 0x1.557a9adcbfab4p-9, 0x1.4ca9fe979cffap-9, 0x1.440dc4a31eff8p-9, 0x1.3ba4e0f92f901p-9, 0x1.336e4bcd6e7cp-9, 0x1.2b6901832ca6dp-9, 0x1.239402a384861p-9, 0x1.1bee53d323ca4p-9, 0x1.1476fdc81357cp-9, 0x1.0d2d0d3f68bacp-9, 0x1.060f92f306ce9p-9, 0x1.fe3b471e2dccap-10, 0x1.f0acaf4ed01fep-10, 0x1.e371975a783c9p-10, 0x1.d6883fc8fde8p-10, 0x1.c9eef0b2416bep-10, 0x1.bda3f9a925c8dp-10, 0x1.b1a5b1a5dc65bp-10, 0x1.a5f276f0a6f6dp-10, 0x1.9a88af0c5b78ap-10, 0x1.8f66c6a0daa76p-10, 0x1.848b31659e1bfp-10, 0x1.79f46a0c44282p-10, 0x1.6fa0f22ac07fep-10, 0x1.658f522624e28p-10, 0x1.5bbe191cf80b8p-10, 0x1.522bdcd1e8f75p-10, 0x1.48d73995ea282p-10, 0x1.3fbed23373e7cp-10, 0x1.36e14fd8b2b08p-10, 0x1.2e3d6202773ep-10, 0x1.25d1be66bba81p-10, 0x1.1d9d20dff4471p-10, 0x1.159e4b5745fefp-10, 0x1.0dd405b02a749p-10, 0x1.063d1db33af6ep-10, 0x1.fdb0cdf2ea3bcp-11, 0x1.ef4975af03537p-11, 0x1.e141f0922b757p-11, 0x1.d39807b8ef00dp-11, 0x1.c6498f3c5ab62p-11, 0x1.b95466094ae3dp-11, 0x1.acb675b88dcacp-11, 0x1.a06db266125dfp-11, 0x1.94781a8a2aa84p-11, 0x1.88d3b6d182483p-11, 0x1.7d7e99f659675p-11, 0x1.7276e0991d1d6p-11, 0x1.67bab11a56199p-11, 0x1.5d483b74363e5p-11, 0x1.531db9143cfadp-11, 0x1.49396cb626a95p-11, 0x1.3f99a23e90b66p-11, 0x1.363cae9553408p-11, 0x1.2d20ef815b189p-11, 0x1.2444cb841ca11p-11, 0x1.1ba6b1b550c29p-11, 0x1.1345199fdf9e1p-11, 0x1.0b1e831d9c9afp-11, 0x1.03317634d4cdbp-11, 0x1.f6f905eaa960ap-12, 0x1.e7fc82ac837cdp-12, 0x1.d96aa2279d628p-12, 0x1.cb40b31b4fdbp-12, 0x1.bd7c134b34faap-12, 0x1.b01a2f3d11e7bp-12, 0x1.a31881f7a891p-12, 0x1.967494c263d13p-12, 0x1.8a2bfee3516c5p-12, 0x1.7e3c6563d9618p-12, 0x1.72a37ace78dbep-12, 0x1.675efef331757p-12, 0x1.5c6cbea8799ccp-12, 0x1.51ca9390b180cp-12, 0x1.477663dd4a771p-12, 0x1.3d6e2213fb0dep-12, 0x1.33afccd46fdd7p-12, 0x1.2a396e9e7e817p-12, 0x1.21091d994a699p-12, 0x1.181cfb5b0e8p-12, 0x1.0f7334b16d771p-12, 0x1.070a016ab9caap-12, 0x1.fdbf483f604a4p-13, 0x1.ede4d3fc1bfd1p-13, 0x1.de81552710514p-13, 0x1.cf918f35e6cfbp-13, 0x1.c112598d38f1ap-13, 0x1.b3009f206dc15p-13, 0x1.a5595e093c46p-13, 0x1.9819a72865d1ep-13, 0x1.8b3e9dc27a1a9p-13, 0x1.7ec5772222597p-13, 0x1.72ab7a3528f1cp-13, 0x1.66edff35bbfdfp-13, 0x1.5b8a6f49d157fp-13, 0x1.507e442d20e57p-13, 0x1.45c707d30909cp-13, 0x1.3b625412ad7cp-13, 0x1.314dd24f6f2aep-13, 0x1.27873b24a7febp-13, 0x1.1e0c561187eeep-13, 0x1.14daf926e0968p-13, 0x1.0bf108b66a2f7p-13, 0x1.034c77038e909p-13, 0x1.f5d687e8788e7p-14, 0x1.e596f98a1f256p-14, 0x1.d5d67779242c5p-14, 0x1.c6914fc348944p-14, 0x1.b7c3e96243579p-14, 0x1.a96ac3b327edp-14, 0x1.9b8275def7a7cp-14, 0x1.8e07ae56bc117p-14, 0x1.80f7324a250b6p-14, 0x1.744ddd225587fp-14, 0x1.68089ffb3d2cp-14, 0x1.5c248124746e5p-14, 0x1.509e9ba668a44p-14, 0x1.45741ec256f38p-14, 0x1.3aa24d7870112p-14, 0x1.30267e1109d33p-14, 0x1.25fe19a87cf31p-14, 0x1.1c269bb9ea814p-14, 0x1.129d91af36986p-14, 0x1.09609a752a73bp-14, 0x1.006d660a3ae87p-14, 0x1.ef836a2cef3ecp-15, 0x1.deb6b10cd4763p-15, 0x1.ce70623eabf3p-15, 0x1.beac5e3a369ddp-15, 0x1.af66a3a9da423p-15, 0x1.a09b4e9b9a1dcp-15, 0x1.924697cd77527p-15, 0x1.8464d3f3b5563p-15, 0x1.76f27303edd98p-15, 0x1.69ebff845a4cep-15, 0x1.5d4e1ddc4f492p-15, 0x1.51158bb44dcb7p-15, 0x1.453f1f40a7c7dp-15, 0x1.39c7c6b111f79p-15, 0x1.2eac8778b689p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4a253be33d3b4p-3, -0x1.fdb13dd2dd68fp-4, -0x1.870300c880e93p-4, -0x1.2d35088834e91p-4, -0x1.da996d6a96501p-5, -0x1.88bb5df75a44fp-5, -0x1.5f35591029ed4p-5, -0x1.58c100597cc8ap-5, -0x1.70665efb37606p-5, -0x1.a18434669321ep-5, -0x1.e7d9994b8e549p-5, -0x1.1fc09e4550689p-4, -0x1.527664457c69cp-4, -0x1.8a7278f2d6479p-4, -0x1.c6434aebd6f3cp-4, -0x1.024f2c076d609p-3, -0x1.222ed23fcc47bp-3, -0x1.423edcc0f647dp-3, -0x1.620daeaed679dp-3, -0x1.813883c2e9a28p-3, -0x1.9f6a389b93e76p-3, -0x1.bc58f342e0f4fp-3, -0x1.d7cac78662b0cp-3, -0x1.f18b3a2793e82p-3, -0x1.04b7c2d053acep-2, -0x1.0fab0dd84ed8fp-2, -0x1.19931ce9c2a26p-2, -0x1.226756d1d7d79p-2, -0x1.2a2224a0a9803p-2, -0x1.30c0559560917p-2, -0x1.3640d460f1daep-2, -0x1.3aa49bb1f808dp-2, -0x1.3deeb7c68911bp-2, -0x1.402428fd799cep-2, -0x1.414b9a4c9487fp-2, -0x1.416cfdcfb808ep-2, -0x1.40912f29c1edap-2, -0x1.3ec1b3e2ee26bp-2, -0x1.3c089ed2cc7fap-2, -0x1.38708a2ec8c89p-2, -0x1.340494acc31c7p-2, -0x1.2ed05263dcaa9p-2, -0x1.28dface7bfa02p-2, -0x1.223eb8a0e0808p-2, -0x1.1af98a85f7976p-2, -0x1.131c17f0d0facp-2, -0x1.0ab224a4fe075p-2, -0x1.01c73ce45ce5ap-2, -0x1.f0cd6afe0f74fp-3, -0x1.dd3756a9bd432p-3, -0x1.c8e1fc615f4ecp-3, -0x1.b3e28d15cffp-3, -0x1.9e4d915bd533dp-3, -0x1.8836d172a4e5dp-3, -0x1.71b1444bb9cfcp-3, -0x1.5acf0751334f9p-3, -0x1.43a15d81db43dp-3, -0x1.2c38b2e0bda0dp-3, -0x1.14a4a1261515cp-3, -0x1.f9e7e70301adfp-4, -0x1.ca695102638f6p-4, -0x1.9ae7e4e08e601p-4, -0x1.6b7c6ec428109p-4, -0x1.3c4a16c027157p-4, -0x1.0d4ed6ea04312p-4, -0x1.bd5148a31597dp-5, -0x1.60d50b053667ep-5, -0x1.054ca0b129ce4p-5, -0x1.55b2743239299p-6, -0x1.4665c5e7a2712p-7, 0x1.95b231bd01fb8p-11, 0x1.7378d1a3280d5p-7, 0x1.63cc6e9af2ddcp-6, 0x1.055ac33f9db4ep-5, 0x1.572a2e22dc778p-5, 0x1.a74500d6887b7p-5, 0x1.f59dc1bd6b0acp-5, 0x1.21145fd3d39fap-4, 0x1.466df0808a2f8p-4, 0x1.6ad73cf862291p-4, 0x1.8e4c95656dddfp-4, 0x1.b0cae38446fdcp-4, 0x1.d24fa2042b6a7p-4, 0x1.f2d8d715f3af4p-4, 0x1.093288a028554p-3, 0x1.1879b2bd711dp-3, 0x1.2741b6ccff3ccp-3, 0x1.358aa31b6ffcp-3, 0x1.4354c5ba65a0ap-3, 0x1.50a0aa21ce05fp-3, 0x1.5d6f16000c2ep-3, 0x1.69c105457a43dp-3, 0x1.7597a58d02b2bp-3, 0x1.80f45111974b9p-3, 0x1.8bd8896722f99p-3, 0x1.9645f22f02363p-3, 0x1.a03e4bfd5db1ap-3, 0x1.a9c36f9eb3005p-3, 0x1.b2d749e3e3c02p-3, 0x1.bb7bd80f3d8d6p-3, 0x1.c3b324eebb799p-3, 0x1.cb7f469fbc13fp-3, 0x1.d2e25ce92f4bdp-3, 0x1.d9de900c56c31p-3, 0x1.e0760fe4417e8p-3, 0x1.e6ab132a619bep-3, 0x1.ec7fd6bae9bc3p-3, 0x1.f1f69cbd2618ap-3, 0x1.f711aba05156fp-3, 0x1.fbd34cea1bc02p-3, 0x1.001ee5ef62e6p-2, 0x1.0229ba08f4d26p-2, 0x1.040b47f903a1cp-2, 0x1.05c4b3b007a2p-2, 0x1.07571f30475ccp-2, 0x1.08c3a9f77236ap-2, 0x1.0a0b707aed731p-2, 0x1.0b2f8bb6516e8p-2, 0x1.0c3110ca58a7ap-2, 0x1.0d1110a9fe40fp-2, 0x1.0dd097d3d7ea2p-2, 0x1.0e70ae164a092p-2, 0x1.0ef2565e0109bp-2, 0x1.0f568e8e917b8p-2, 0x1.0f9e4f6558f14p-2, 0x1.0fca8c668299dp-2, 0x1.0fdc33d3a5eacp-2, 0x1.0fd42eaad2f9bp-2, 0x1.0fb360ac6ce64p-2, 0x1.0f7aa865d57a9p-2, 0x1.0f2adf3edf852p-2, 0x1.0ec4d98833171p-2, 0x1.0e49668931567p-2, 0x1.0db9508c72c04p-2, 0x1.0d155cea75dd7p-2, 0x1.0c5e4c12a2ea5p-2, 0x1.0b94d99317abfp-2, 0x1.0ab9bc1ff268cp-2, 0x1.09cda59af0711p-2, 0x1.08d1431c2eed3p-2, 0x1.07c53cfcbddccp-2, 0x1.06aa36e39588ep-2, 0x1.0580cfd53cb2ap-2, 0x1.0449a2464008cp-2, 0x1.030544305e4eap-2, 0x1.01b4472a1dffcp-2, 0x1.0057388065855p-2, 0x1.fdd99e28ac55ap-3, 0x1.faf22006db86dp-3, 0x1.f7f5c976fba5ap-3, 0x1.f4e593f4c5f18p-3, 0x1.f1c26f9237ab6p-3, 0x1.ee8d43731c6ffp-3, 0x1.eb46ee57439f6p-3, 0x1.e7f0472d94eb8p-3, 0x1.e48a1daa5c368p-3, 0x1.e1153adb787bep-3, 0x1.dd9261b5b1aa3p-3, 0x1.da024f972f669p-3, 0x1.d665bcbbe77d9p-3, 0x1.d2bd5ca1c21a1p-3, 0x1.cf09de5b249f9p-3, 0x1.cb4beccf8348cp-3, 0x1.c7842eea5b2bdp-3, 0x1.c3b347b9dbdcfp-3, 0x1.bfd9d67efa3e2p-3, 0x1.bbf876b13ffbcp-3, 0x1.b80fbff8f1931p-3, 0x1.b420462238fb2p-3, 0x1.b02a990c23939p-3, 0x1.ac2f44960e18ep-3, 0x1.a82ed08dcf77dp-3, 0x1.a429c0a0c4be7p-3, 0x1.a02094515025p-3, 0x1.9c13c6f21427cp-3, 0x1.9803cfa7b4211p-3, 0x1.93f12171814cbp-3, 0x1.8fdc2b3915f75p-3, 0x1.8bc557e891724p-3, 0x1.87ad0e86d7582p-3, 0x1.8393b25908b3fp-3, 0x1.7f79a3083e1dap-3, 0x1.7b5f3cca6e987p-3, 0x1.7744d88d7285dp-3, 0x1.732acc230067bp-3, 0x1.6f116a6ca45b6p-3, 0x1.6af90386b79d7p-3, 0x1.66e1e4f17d1p-3, 0x1.62cc59b7bf287p-3, 0x1.5eb8aa9246626p-3, 0x1.5aa71e07d4a69p-3, 0x1.5697f8895a019p-3, 0x1.528b7c8a44c11p-3, 0x1.4e81ea94f5c4ap-3, 0x1.4a7b815b81771p-3, 0x1.46787dc4ef948p-3, 0x1.42791af75fc5bp-3, 0x1.3e7d925f6e8b4p-3, 0x1.3a861bb54bf16p-3, 0x1.3692ecfffacabp-3, 0x1.32a43a9730f4fp-3, 0x1.2eba37244be06p-3, 0x1.2ad513a2c2089p-3, 0x1.26f4ff60713d4p-3, 0x1.231a27fe28bb5p-3, 0x1.1f44b970a21b2p-3, 0x1.1b74de0235998p-3, 0x1.17aabe555d168p-3, 0x1.13e681682f209p-3, 0x1.10284c98d753ep-3, 0x1.0c7043ab05e4bp-3, 0x1.08be88ce5b9d5p-3, 0x1.05133ca5ad5c2p-3, 0x1.016e7e4f15663p-3, 0x1.fba0d6d94b645p-4, 0x1.f472405b54e7cp-4, 0x1.ed516eb09ad5p-4, 0x1.e63e94a6ed81dp-4, 0x1.df39e261badb8p-4, 0x1.d843856e1bcd9p-4, 0x1.d15ba8d6bcb64p-4, 0x1.ca8275376519ep-4, 0x1.c3b810cff45b2p-4, 0x1.bcfc9f96ab03p-4, 0x1.b6504349bed5bp-4, 0x1.afb31b800db92p-4, 0x1.a92545b8e8647p-4, 0x1.a2a6dd6b0bb5fp-4, 0x1.9c37fc12a03aap-4, 0x1.95d8b93e62bb8p-4, 0x1.8f892a9bfa638p-4, 0x1.894964037f7c8p-4, 0x1.831977824f424p-4, 0x1.7cf9756535c53p-4, 0x1.76e96c4206d69p-4, 0x1.70e96900b4c7p-4, 0x1.6af976e3fc2e8p-4, 0x1.65199f91b5753p-4, 0x1.5f49eb1ae138fp-4, 0x1.598a60037da2ap-4, 0x1.53db034a38055p-4, 0x1.4e3bd87006902p-4, 0x1.48ace17fb7726p-4, 0x1.432e1f157fff8p-4, 0x1.3dbf906694cbcp-4, 0x1.38613348d19e9p-4, 0x1.3313043a7463dp-4, 0x1.2dd4fe69f3091p-4, 0x1.28a71bbde783fp-4, 0x1.238954dd174adp-4, 0x1.1e7ba136947cep-4, 0x1.197df709f344fp-4, 0x1.14904b6f9485cp-4, 0x1.0fb29261002e9p-4, 0x1.0ae4bec149f0cp-4, 0x1.0626c2657d592p-4, 0x1.01788e1d0bd86p-4, 0x1.f9b423746e8ddp-5, 0x1.f0967834e739cp-5, 0x1.e797f65d77a58p-5, 0x1.deb87807ab623p-5, 0x1.d5f7d594f9ffp-5, 0x1.cd55e5bef05dbp-5, 0x1.c4d27da7183bep-5, 0x1.bc6d70e6a2294p-5, 0x1.b426919dc5f53p-5, 0x1.abfdb082dafb8p-5, 0x1.a3f29cf11f2a6p-5, 0x1.9c0524f72ede5p-5, 0x1.943515652a692p-5, 0x1.8c8239da8457p-5, 0x1.84ec5cd3835a6p-5, 0x1.7d7347b669ca8p-5, 0x1.7616c2e0517d6p-5, 0x1.6ed695b1b2d5cp-5, 0x1.67b2869aa2a2ap-5, 0x1.60aa5b26c0d3fp-5, 0x1.59bdd808dfc33p-5, 0x1.52ecc12667ee2p-5, 0x1.4c36d9a2749e8p-5, 0x1.459be3e8b4683p-5, 0x1.3f1ba1b80b05ep-5, 0x1.38b5d42cf9823p-5, 0x1.326a3bcbcec9cp-5, 0x1.2c38988aa429bp-5, 0x1.2620a9db24548p-5, 0x1.20222eb4266a9p-5, 0x1.1a3ce59b12d4cp-5, 0x1.14708cad22784p-5, 0x1.0ebce1a86b412p-5, 0x1.0921a1f4c1bf3p-5, 0x1.039e8aac740f3p-5, 0x1.fc66b149a650bp-6, 0x1.f1bf90ed2f238p-6, 0x1.e7472d0c30013p-6, 0x1.dcfcfe16ae4c4p-6, 0x1.d2e07c33c6cc1p-6, 0x1.c8f11f512336ep-6, 0x1.bf2e5f320795fp-6, 0x1.b597b37e15c71p-6, 0x1.ac2c93cfaf2dfp-6, 0x1.a2ec77c1ff239p-6, 0x1.99d6d6fead6fcp-6, 0x1.90eb294b2cd62p-6, 0x1.8828e695b8b6ap-6, 0x1.7f8f8701eec18p-6, 0x1.771e82f50bc87p-6, 0x1.6ed55321d0996p-6, 0x1.66b370940942bp-6, 0x1.5eb854bbb11e6p-6, 0x1.56e37977c6a59p-6, 0x1.4f345920b9eeap-6, 0x1.47aa6e92849e5p-6, 0x1.404535366bfe6p-6, 0x1.3904290c6415bp-6, 0x1.31e7af6eeafbbp-6, 0x1.2aed6f8f93816p-6, 0x1.2415d3eb86726p-6, 0x1.1d605b36e8ff9p-6, 0x1.16cc84e7e134p-6, 0x1.1059d13df0521p-6, 0x1.0a07c148ffc8dp-6, 0x1.03d5d6f01d3ccp-6, 0x1.fb8729efdd93ap-7, 0x1.efa0fe11b95ccp-7, 0x1.e3f83369e65e5p-7, 0x1.d88bd4faf9699p-7, 0x1.cd5aefb0b0b6cp-7, 0x1.c264926a20f24p-7, 0x1.b7a7ce0354246p-7, 0x1.ad23b55e7531cp-7, 0x1.a2d75d6c7710ap-7, 0x1.98c1dd353d542p-7, 0x1.8ee24ddf59c1ep-7, 0x1.8537cab74b3d6p-7, 0x1.7bc171364ab45p-7, 0x1.727e6108a8dcp-7, 0x1.696dbc13c0f8fp-7, 0x1.608ea67b7c77ep-7, 0x1.57e046a76cf88p-7, 0x1.4f61c54781049p-7, 0x1.47124d5850c4cp-7, 0x1.3ef10c270dafp-7, 0x1.36fd31550b2f6p-7, 0x1.2f35eedaee837p-7, 0x1.279a790b7acc4p-7, 0x1.202a069610fdep-7, 0x1.18e3d088c7cc7p-7, 0x1.11c712523ad76p-7, 0x1.0ad309c2fe594p-7, 0x1.0406f70ec7d48p-7, 0x1.fac4399a87febp-8, 0x1.edc77ff543e8p-8, 0x1.e1164fefa86c5p-8, 0x1.d4af3d150c01ap-8, 0x1.c890dfb99e8d4p-8, 0x1.bcb9d4f944601p-8, 0x1.b128beb5ee4f8p-8, 0x1.a5dc43956eec6p-8, 0x1.9ad30efed6b05p-8, 0x1.900bd1175f4c7p-8, 0x1.85853ebed45d8p-8, 0x1.7b3e118b9b4bap-8, 0x1.713507c63f092p-8, 0x1.6768e464a9587p-8, 0x1.5dd86f04e0387p-8, 0x1.548273e773f0cp-8, 0x1.4b65c3e98228p-8, 0x1.4281347e6b4a6p-8, 0x1.39d39fa928cc9p-8, 0x1.315be3f54c74ep-8, 0x1.2918e46fbe0f2p-8, 0x1.2109889f1e35cp-8, 0x1.192cbc7be46ccp-8, 0x1.1181706836969p-8, 0x1.0a0699277c02dp-8, 0x1.02bb2fd5ae56fp-8, 0x1.f73c63bce9f9fp-9, 0x1.e95d41e7e8936p-9, 0x1.dbd7060af6d93p-9, 0x1.cea7c46bdad31p-9, 0x1.c1cd99a3ed1f7p-9, 0x1.b546aa8c4324ep-9, 0x1.a91124296edcep-9, 0x1.9d2b3b96e00c3p-9, 0x1.91932df20e4f1p-9, 0x1.8647404553359p-9, 0x1.7b45bf7278f09p-9, 0x1.708d001d1a44bp-9, 0x1.661b5e94c400fp-9, 0x1.5bef3ebee4eb2p-9, 0x1.52070c0098845p-9, 0x1.4861392839822p-9, 0x1.3efc4056de53ap-9, 0x1.35d6a2e9c312p-9, 0x1.2ceee96381573p-9, 0x1.2443a35545d45p-9, 0x1.1bd36747f0834p-9, 0x1.139cd2a53207fp-9, 0x1.0b9e89a09b8fp-9, 0x1.03d73720a99bp-9, 0x1.f88b194fbd2a2p-10, 0x1.e9d0847baaf86p-10, 0x1.db7c2cb0d6313p-10, 0x1.cd8b9b89d640dp-10, 0x1.bffc67229c7efp-10, 0x1.b2cc31eb2769fp-10, 0x1.a5f8aa7a60aaap-10, 0x1.997f8b611a9e9p-10, 0x1.8d5e9afd6eb68p-10, 0x1.8193ab4e17532p-10, 0x1.761c99c678267p-10, 0x1.6af74f2265471p-10, 0x1.6021bf3aba8e7p-10, 0x1.5599e8d9d2508p-10, 0x1.4b5dd5909652ap-10, 0x1.416b998bd20fep-10, 0x1.37c15369a4847p-10, 0x1.2e5d2c0fb27f2p-10, 0x1.253d56815fb5cp-10, 0x1.1c600fb67f30dp-10, 0x1.13c39e725287bp-10, 0x1.0b66531b0616ap-10, 0x1.034687916cd15p-10, 0x1.f6c53e12483cap-11, 0x1.e7720bc23b2e5p-11, 0x1.d89062f8f5b8dp-11, 0x1.ca1d4037a932ap-11, 0x1.bc15b16dcdf23p-11, 0x1.ae76d5acec5cp-11, 0x1.a13ddcdda1312p-11, 0x1.94680774f40eep-11, 0x1.87f2a62a7249ap-11, 0x1.7bdb19af721ep-11, 0x1.701ed26682eadp-11, 0x1.64bb501bdf40bp-11, 0x1.59ae21be88b9dp-11, 0x1.4ef4e51a28a13p-11, 0x1.448d469190b39p-11, 0x1.3a7500d9f5e06p-11, 0x1.30a9dcb6f253dp-11, 0x1.2729b0b71d782p-11, 0x1.1df260f17275ap-11, 0x1.1501dec359464p-11, 0x1.0c56288f6e83dp-11, 0x1.03ed497cd16b1p-11, 0x1.f78ab26f02ep-12, 0x1.e7b8f761ef708p-12, 0x1.d861c1c3fa5eep-12, 0x1.c98189194538ep-12, 0x1.bb14dbfeb57d2p-12, 0x1.ad185fb12f652p-12, 0x1.9f88cf963ed3ap-12, 0x1.9262fcc664e5cp-12, 0x1.85a3cd98bcb11p-12, 0x1.79483d2fa703fp-12, 0x1.6d4d5b07a6d8dp-12, 0x1.61b04a877c31p-12, 0x1.566e42915eb6fp-12, 0x1.4b848d15ded12p-12, 0x1.40f086a89bfa8p-12, 0x1.36af9e16270c4p-12, 0x1.2cbf53fb809bap-12, 0x1.231d3a5f1b8d6p-12, 0x1.19c6f44b9c9e3p-12, 0x1.10ba356bc074p-12, 0x1.07f4c1a86cfa8p-12, 0x1.fee8d98f555eap-13, 0x1.ee6e341bbdae3p-13, 0x1.de7577bf21b84p-13, 0x1.cefaa6ccdfe1ap-13, 0x1.bff9e06c8f2a1p-13, 0x1.b16f5fe8e1d4dp-13, 0x1.a3577c014c092p-13, 0x1.95aea63f32c5p-13, 0x1.88716a4cfbcb9p-13, 0x1.7b9c6d528e17cp-13, 0x1.6f2c6d52ac478p-13, 0x1.631e408d266b4p-13, 0x1.576ed4e3210f9p-13, 0x1.4c1b2f3ea83fdp-13, 0x1.41206afe1f86ep-13, 0x1.367bb961b18b6p-13, 0x1.2c2a60fc0e596p-13, 0x1.2229bd26e46f1p-13, 0x1.18773d79a4288p-13, 0x1.0f10654253e3ap-13, 0x1.05f2cb03b521cp-13, 0x1.fa382fe85fa2p-14, 0x1.e9140efecedd1p-14, 0x1.d874cd99397b5p-14, 0x1.c856288b7aab3p-14, 0x1.b8b3fe44103c1p-14, 0x1.a98a4de67106fp-14, 0x1.9ad5366a6cfd2p-14, 0x1.8c90f5c11892p-14, 0x1.7eb9e7fcb508dp-14, 0x1.714c868238c54p-14, 0x1.64456737b9638p-14, 0x1.57a13bc142c4bp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.24a51f40a351dp+0, -0x1.186f0dae7d81fp+0, -0x1.0cf36c64b6a48p+0, -0x1.022f0e932be79p+0, -0x1.f03a99581e608p-1, -0x1.dd70bebbcffc7p-1, -0x1.cbf32bcae1f25p-1, -0x1.bbb35a29b3944p-1, -0x1.aca1d05210d5dp-1, -0x1.9eae9bdc11333p-1, -0x1.91c98e6b92e53p-1, -0x1.85e270a6d85acp-1, -0x1.7ae934ec0d0f3p-1, -0x1.70ce1d0c9d133p-1, -0x1.6781d538e7deap-1, -0x1.5ef588f25ec22p-1, -0x1.571af41d58cc4p-1, -0x1.4fe46f02d4561p-1, -0x1.4944f44fe248bp-1, -0x1.4330260827339p-1, -0x1.3d9a514637dbdp-1, -0x1.38786a158cdbdp-1, -0x1.33c012c729727p-1, -0x1.2f6780faa9831p-1, -0x1.2b6594e195b75p-1, -0x1.27b1ccd2f40e8p-1, -0x1.24443cc927b26p-1, -0x1.21158641acf2dp-1, -0x1.1e1ed1544cbcfp-1, -0x1.1b59c787c7e17p-1, -0x1.18c08f764620dp-1, -0x1.164dc7c76e5e3p-1, -0x1.13fc80d06669fp-1, -0x1.11c835382bfe1p-1, -0x1.0facc28bf5bedp-1, -0x1.0da6629269833p-1, -0x1.0bb1a5a8d2022p-1, -0x1.09cb6def84f0ap-1, -0x1.07f0eac41818fp-1, -0x1.061f9416ae572p-1, -0x1.04552574acb5p-1, -0x1.028f98efa1fe8p-1, -0x1.00cd222434133p-1, -0x1.fe185337c12ebp-2, -0x1.fa96915c97a33p-2, -0x1.f7128bc8d6fabp-2, -0x1.f38a236b73269p-2, -0x1.effb86cafc5cep-2, -0x1.ec652bc21083p-2, -0x1.e8c5c957935bcp-2, -0x1.e51c51ebe91eep-2, -0x1.e167edcc93395p-2, -0x1.dda7f6170b7b7p-2, -0x1.d9dbefe2a3ebep-2, -0x1.d60387d395a55p-2, -0x1.d21e8e3c9c0d4p-2, -0x1.ce2cf3c02775p-2, -0x1.ca2ec62bccaa4p-2, -0x1.c6242d4c8d2f2p-2, -0x1.c20d67b7efe0dp-2, -0x1.bdeac7c2f3905p-2, -0x1.b9bcb0e5ffb1ap-2, -0x1.b583959afeabcp-2, -0x1.b14001443be46p-2, -0x1.acf25e0e3e45fp-2, -0x1.a89b55dd48b73p-2, -0x1.a43b85f7014e8p-2, -0x1.9fd3915744ab4p-2, -0x1.9b641f3c87d0cp-2, -0x1.96edd9ee6245bp-2, -0x1.92716db86df8cp-2, -0x1.8def88107a93ap-2, -0x1.8968d6dd38acep-2, -0x1.84de07d31dd8ep-2, -0x1.804fc7df9b61bp-2, -0x1.7bbec29ddfabcp-2, -0x1.772ba1d2eee3ap-2, -0x1.72970cf02f231p-2, -0x1.6e01a89c5989ep-2, -0x1.696c16436cdd6p-2, -0x1.64d6f3af15c02p-2, -0x1.6042daa9b163dp-2, -0x1.5bb060ae1fda3p-2, -0x1.572016a5d7758p-2, -0x1.529288b592f01p-2, -0x1.4e083e17de8ffp-2, -0x1.4981b9041e457p-2, -0x1.44ff76a07c8c6p-2, -0x1.4081eefd0b22dp-2, -0x1.3c0995166d9ccp-2, -0x1.3796d6de37adfp-2, -0x1.332a1d4742857p-2, -0x1.2ec3cc54576a7p-2, -0x1.2a6443281e7bbp-2, -0x1.260bdc15a3d8fp-2, -0x1.21baecb15a247p-2, -0x1.1d71c5e2c3b41p-2, -0x1.1930b3f708d06p-2, -0x1.14f7feb4c5c5fp-2, -0x1.10c7e9713ef74p-2, -0x1.0ca0b3271beabp-2, -0x1.0882968eb5352p-2, -0x1.046dca380b3eap-2, -0x1.006280a65c33ap-2, -0x1.f8c1d0dabcd5ap-3, -0x1.f0d258a008d4cp-3, -0x1.e8f6e6c12646dp-3, -0x1.e12fc24381e0ap-3, -0x1.d97d2b5102d63p-3, -0x1.d1df5b7c131e5p-3, -0x1.ca568603704bfp-3, -0x1.c2e2d81521619p-3, -0x1.bb8479102ffc2p-3, -0x1.b43b8ac4ee4b5p-3, -0x1.ad0829b3bbc6p-3, -0x1.a5ea6d4a2ab0dp-3, -0x1.9ee2681e84b5cp-3, -0x1.97f028297c69ap-3, -0x1.9113b6fdf783p-3, -0x1.8a4d19fecdb3ap-3, -0x1.839c52926e10ep-3, -0x1.7d015e5481086p-3, -0x1.767c3745c0ef4p-3, -0x1.700cd3fa45dd5p-3, -0x1.69b327c6a595dp-3, -0x1.636f22ec3beebp-3, -0x1.5d40b2c4b8be8p-3, -0x1.5727c1ed1bc59p-3, -0x1.5124386ff8c13p-3, -0x1.4b35fbeec5342p-3, -0x1.455cefc9d70d8p-3, -0x1.3f98f546c7a7ap-3, -0x1.39e9ebb4e6ad5p-3, -0x1.344fb08f9a976p-3, -0x1.2eca1f9eb329p-3, -0x1.29591314c92e9p-3, -0x1.23fc63abf8065p-3, -0x1.1eb3e8c13bb7p-3, -0x1.197f786eb9118p-3, -0x1.145ee7a52baddp-3, -0x1.0f520a4495e94p-3, -0x1.0a58b3342776ap-3, -0x1.0572b47949c92p-3, -0x1.009fdf4dac888p-3, -0x1.f7c008682fffcp-4, -0x1.ee65e617f5f19p-4, -0x1.e530f6472c36p-4, -0x1.dc20c3e2e1c7p-4, -0x1.d33515434213p-4, -0x1.ca6d6fd814ab4p-4, -0x1.c1c96ea989255p-4, -0x1.b948ac34f28edp-4, -0x1.b0eac289a4258p-4, -0x1.a8af4b63ef8d2p-4, -0x1.a095e04634ae4p-4, -0x1.989e1a90014e7p-4, -0x1.90c7939358a9p-4, -0x1.8911e4a824704p-4, -0x1.817ca73df672bp-4, -0x1.7a0774ec34662p-4, -0x1.72b1e780d216p-4, -0x1.6b7b990dbee6bp-4, -0x1.646423f529dd3p-4, -0x1.5d6b22f4c934p-4, -0x1.569031303b7a7p-4, -0x1.4fd2ea3ab1bf5p-4, -0x1.4932ea1ff1328p-4, -0x1.42afcd6cd2c51p-4, -0x1.3c49313748588p-4, -0x1.35feb326012cp-4, -0x1.2fcff177b328fp-4, -0x1.29bc8b0a10ccep-4, -0x1.23c41f606d721p-4, -0x1.1de64eaa17015p-4, -0x1.1822b9c85a242p-4, -0x1.1279025431ab5p-4, -0x1.0ce8caa3a2ed1p-4, -0x1.0771b5cebaf63p-4, -0x1.021367b42bad8p-4, -0x1.f99b09fb1d715p-5, -0x1.ef3f66467b87dp-5, -0x1.e51330df9b1bap-5, -0x1.db15b80643028p-5, -0x1.d1464baa3cc19p-5, -0x1.c7a43d6ffe5bap-5, -0x1.be2ee0b4929bcp-5, -0x1.b4e58a90d552ap-5, -0x1.abc791dc05fdap-5, -0x1.a2d44f2dbc731p-5, -0x1.9a0b1cdf4da74p-5, -0x1.916b570cabcc4p-5, -0x1.88f45b94d580ep-5, -0x1.80a58a19d6847p-5, -0x1.787e440073ap-5, -0x1.707dec6f870a8p-5, -0x1.68a3e84f20a34p-5, -0x1.60ef9e476c1e1p-5, -0x1.596076bf6adacp-5, -0x1.51f5dbdb8ec5cp-5, -0x1.4aaf397c3534bp-5, -0x1.438bfd3c075f8p-5, -0x1.3c8b966e4b5ddp-5, -0x1.35ad761d1ea09p-5, -0x1.2ef10f07a1a4p-5, -0x1.2855d5a017515p-5, -0x1.21db4009ee35ep-5, -0x1.1b80c617c1486p-5, -0x1.1545e14946bdp-5, -0x1.0f2a0cc92c32dp-5, -0x1.092cc56ae745cp-5, -0x1.034d89a86f9b3p-5, -0x1.fb17b33fdb597p-6, -0x1.efce6e22a4b45p-6, -0x1.e4be4ab7c0d08p-6, -0x1.d9e652f7432f6p-6, -0x1.cf45940d94486p-6, -0x1.c4db1e56133c1p-6, -0x1.baa60555950bcp-6, -0x1.b0a55fb4c20a2p-6, -0x1.a6d8473a4b304p-6, -0x1.9d3dd8c501e3fp-6, -0x1.93d53445d71d2p-6, -0x1.8a9d7cb9b5f44p-6, -0x1.8195d823420a6p-6, -0x1.78bd6f848d7fbp-6, -0x1.70136ed8a7823p-6, -0x1.6797050d23d28p-6, -0x1.5f4763fb9219ep-6, -0x1.5723c062e5c49p-6, -0x1.4f2b51e0d6d3p-6, -0x1.475d52eb39854p-6, -0x1.3fb900c94d946p-6, -0x1.383d9b8d0d6bdp-6, -0x1.30ea660c79decp-6, -0x1.29bea5dae5dc4p-6, -0x1.22b9a3423bcf5p-6, -0x1.1bdaa93c4cd82p-6, -0x1.1521056c1c81p-6, -0x1.0e8c08172e8fap-6, -0x1.081b041ed6f2bp-6, -0x1.01cd4ef992d58p-6, -0x1.f7448158b5542p-7, -0x1.eb32678800533p-7, -0x1.df630a9d1e4bbp-7, -0x1.d3d529a955aa9p-7, -0x1.c88788a5f69dfp-7, -0x1.bd78f0672c32ap-7, -0x1.b2a82e8ed8b3ap-7, -0x1.a814157f87265p-7, -0x1.9dbb7c4f51847p-7, -0x1.939d3ebae5ebbp-7, -0x1.89b83d1884c5p-7, -0x1.800b5c4b183fep-7, -0x1.769585b5408c4p-7, -0x1.6d55a72c80726p-7, -0x1.644ab2ec5bd88p-7, -0x1.5b739f899f18p-7, -0x1.52cf67e588c59p-7, -0x1.4a5d0b2124ba5p-7, -0x1.421b8c909a973p-7, -0x1.3a09f3ae881a6p-7, -0x1.32274c0f6b5c5p-7, -0x1.2a72a5551fc3fp-7, -0x1.22eb13225319ep-7, -0x1.1b8fad0e1fe72p-7, -0x1.145f8e97a0ca2p-7, -0x1.0d59d7199c01p-7, -0x1.067da9be3b7a2p-7, -0x1.ff945ae5a7583p-8, -0x1.f27d19b76e2f4p-8, -0x1.e5b3ec904e20bp-8, -0x1.d937374c77de2p-8, -0x1.cd0564edf4e31p-8, -0x1.c11ce784dfffcp-8, -0x1.b57c3817b858ap-8, -0x1.aa21d68bd8b5ap-8, -0x1.9f0c498e3457ep-8, -0x1.943a1e7c1777cp-8, -0x1.89a9e94c155c8p-8, -0x1.7f5a44773bf9dp-8, -0x1.7549d0e23db4p-8, -0x1.6b7735c6fad72p-8, -0x1.61e1209e07f5ap-8, -0x1.5886450874bc5p-8, -0x1.4f655cb9b8361p-8, -0x1.467d2761cd311p-8, -0x1.3dcc6a9767697p-8, -0x1.3551f1c268e0bp-8, -0x1.2d0c8e0683f6ap-8, -0x1.24fb162df83f9p-8, -0x1.1d1c6694863dcp-8, -0x1.156f61129264ap-8, -0x1.0df2ece86fccp-8, -0x1.06a5f6a9df863p-8, -0x1.ff0ee0536d0b8p-9, -0x1.f12ca0cb659aep-9, -0x1.e3a326e4f880dp-9, -0x1.d67074cfd7a29p-9, -0x1.c992969a9a1ffp-9, -0x1.bd07a20c1d3c3p-9, -0x1.b0cdb67ce2767p-9, -0x1.a4e2fcb0dfe95p-9, -0x1.9945a6b1d6164p-9, -0x1.8df3efa9db2b1p-9, -0x1.82ec1bbe564f7p-9, -0x1.782c77eb3c3ebp-9, -0x1.6db359def5e54p-9, -0x1.637f1fd63f1bcp-9, -0x1.598e3078c5ea3p-9, -0x1.4fdefab5e7a0dp-9, -0x1.466ff5a1e6699p-9, -0x1.3d3fa053842eap-9, -0x1.344c81c1ee012p-9, -0x1.2b9528a319c75p-9, -0x1.23182b4a78ec6p-9, -0x1.1ad46285d1a07p-9, -0x1.12c7f995fe5fbp-9, -0x1.0af1dbabb2e62p-9, -0x1.0350bc4e6b34fp-9, -0x1.f7c6ac04f3465p-10, -0x1.e950d453bbbb1p-10, -0x1.db3d81cb91737p-10, -0x1.cd8a51f02bce7p-10, -0x1.c034ef4b20943p-10, -0x1.b33b1130acd8p-10, -0x1.a69a7b854763ap-10, -0x1.9a50fe8416919p-10, -0x1.8e5c7686138a7p-10, -0x1.82bacbc9f3aaep-10, -0x1.7769f23c707cfp-10, -0x1.6c67e94229857p-10, -0x1.61b2bb815366bp-10, -0x1.57487eac9ee34p-10, -0x1.4d27534ebea1p-10, -0x1.434d6496a471dp-10, -0x1.39b8e8246f609p-10, -0x1.30681dd71da6p-10, -0x1.27594f9af1a26p-10, -0x1.1e8ad138867aep-10, -0x1.15fb002475f5p-10, -0x1.0da8434ffde6p-10, -0x1.05910afa2cbep-10, -0x1.fb67a1034b04fp-11, -0x1.ec1e2c6e65e4ep-11, -0x1.dd42ce622a75fp-11, -0x1.ced2ae3d60c51p-11, -0x1.c0cb043ac0ad7p-11, -0x1.b329191aff0f6p-11, -0x1.a5ea45d0ee39dp-11, -0x1.990bf32e285d8p-11, -0x1.8c8b99918d059p-11, -0x1.8066c09754568p-11, -0x1.749afec98c231p-11, -0x1.6925f9524afa6p-11, -0x1.5e0563af635e6p-11, -0x1.5336ff66f501ap-11, -0x1.48b89bbd3bbf3p-11, -0x1.3e88156beb1d8p-11, -0x1.34a3565a2bf2ap-11, -0x1.2b08555657a9cp-11, -0x1.21b515d0e313bp-11, -0x1.18a7a797f253dp-11, -0x1.0fde26946c0e1p-11, -0x1.0756ba884e97cp-11, -0x1.fe1f2d9b778c4p-12, -0x1.ee0df42f71621p-12, -0x1.de765c66c999bp-12, -0x1.cf550f959e40bp-12, -0x1.c0a6cc512aed7p-12, -0x1.b26865f98a408p-12, -0x1.a496c444bc8f1p-12, -0x1.972ee2cd82fc3p-12, -0x1.8a2dd0a1eb4ecp-12, -0x1.7d90afd633b7cp-12, -0x1.7154b5183373ap-12, -0x1.6577274560a8p-12, -0x1.59f55f01bcd69p-12, -0x1.4eccc65334465p-12, -0x1.43fad83bf1759p-12, -0x1.397d20586a691p-12, -0x1.2f513a7edd05bp-12, -0x1.2574d2600878ap-12, -0x1.1be5a32a99059p-12, -0x1.12a1773053f12p-12, -0x1.09a6278bfb2a6p-12, -0x1.00f19bca299cap-12, -0x1.f10393263f185p-13, -0x1.e0a968ad0217dp-13, -0x1.d0d0d9f18fe58p-13, -0x1.c1762304b400ap-13, -0x1.b29599a07d61p-13, -0x1.a42bac8c80ff6p-13, -0x1.9634e304c0cedp-13, -0x1.88addc2537a96p-13, -0x1.7b934e583fb85p-13, -0x1.6ee206c627813p-13, -0x1.6296e8c9572e5p-13, -0x1.56aeed64da54ap-13, -0x1.4b2722bdba4d4p-13, -0x1.3ffcab978982dp-13, -0x1.352cbed341383p-13, -0x1.2ab4a6f0aa887p-13, -0x1.2091c19374a64p-13, -0x1.16c17f09cbb7fp-13, -0x1.0d4161d5d4fd8p-13, -0x1.040efe3a8ba86p-13, -0x1.f64ff391b7b12p-14, -0x1.e51415e589134p-14, -0x1.d465f13b717cp-14, -0x1.c441337252a28p-14, -0x1.b4a1a9a8a513fp-14, -0x1.a5833f793b413p-14, -0x1.96e1fe2f35aebp-14, -0x1.88ba0c05912dep-14, -0x1.7b07ab68d9ce1p-14, -0x1.6dc73a3eeb0a8p-14, -0x1.60f53130bcbafp-14, -0x1.548e22f48480ap-14, -0x1.488ebba9e94cbp-14, -0x1.3cf3c028ddbfcp-14, -0x1.31ba0d5ea44b2p-14, -0x1.26de97ac711d4p-14, -0x1.1c5e6a47da4d2p-14, -0x1.1236a6a1ea3ep-14, -0x1.086483cf6fc8ep-14, -0x1.fdca9beb75358p-15, -0x1.eb6ccb7574d9bp-15, -0x1.d9aa7f70a7c06p-15, -0x1.c87ec7e7ba31fp-15, -0x1.b7e4daa95ff8p-15, -0x1.a7d8124bae8cep-15, -0x1.9853ed29f9163p-15, -0x1.89540c640640ap-15, -0x1.7ad432f38fa04p-15, -0x1.6cd044b9a17c3p-15, -0x1.5f4445979192ep-15, -0x1.522c588c582a2p-15, -0x1.4584bed76ba6bp-15, -0x1.3949d7211f06ap-15, -0x1.2d781ca850ce6p-15, -0x1.220c26742b8d9p-15, -0x1.1702a68eb56e8p-15, -0x1.0c58693d86b72p-15, -0x1.020a5445d4f72p-15, -0x1.f02acc65df588p-16, -0x1.dced6b394027ap-16, -0x1.ca56e103a6832p-16, -0x1.b861b7176c26p-16, -0x1.a708a2eacac25p-16, -0x1.964684bdd4007p-16, -0x1.8616666501b38p-16, -0x1.76737a0fb3612p-16, -0x1.67591915533acp-16, -0x1.58c2c2d67f1a4p-16, -0x1.4aac1b9a6b349p-16, -0x1.3d10eb73e6ff2p-16, -0x1.2fed1d3030925p-16, -0x1.233cbd5854a4ap-16, -0x1.16fbf9241a5ccp-16, -0x1.0b271d823b054p-16, -0x1.ff752c4eea23dp-17, -0x1.e965d92f02acbp-17, -0x1.d4198e8813649p-17, -0x1.bf89d153ebc4p-17, -0x1.abb05ce6bd65bp-17, -0x1.988721517e45dp-17, -0x1.860841b0561fap-17, -0x1.742e12a3756dbp-17, -0x1.62f318c75adcbp-17, -0x1.52520722dcb99p-17, -0x1.4245bdd2c33f3p-17, -0x1.32c9488c489afp-17, -0x1.23d7dd43f57d1p-17, -0x1.156cdad64f70ep-17, -0x1.0783c7c8afc3bp-17, -0x1.f430a1d1441b1p-18, -0x1.da4c9072902b1p-18, -0x1.c153475c29911p-18, -0x1.a93cf80da939p-18, -0x1.9202175f738f7p-18, -0x1.7b9b5b6eee623p-18, -0x1.6601b95c3a4bbp-18, -0x1.512e635355369p-18, -0x1.3d1ac699cc369p-18, -0x1.29c08986ba9aep-18, -0x1.171989c099e1p-18, -0x1.051fda39979ep-18, -0x1.e79b83553bf06p-19, -0x1.c63b71aa977f6p-19, -0x1.a614d12692275p-19, -0x1.871d512d62f5cp-19, -0x1.694afb50120a5p-19, -0x1.4c94305cb933cp-19, -0x1.30efa56f076b6p-19, -0x1.16546118d0ea5p-19, -0x1.f973714a192ddp-20, -0x1.c82e9ab3ad5e7p-20, -0x1.98ca14100185p-20, -0x1.6b3640a3be228p-20, -0x1.3f640cd62653p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.960434d91b804p-4, 0x1.c3f9573975dcdp-4, 0x1.f1842fa280129p-4, 0x1.0f1fb49978699p-3, 0x1.24e579d1334f1p-3, 0x1.39eacc7b54857p-3, 0x1.4e0bef91eb0a5p-3, 0x1.6128c349e11aep-3, 0x1.7326a0f478b57p-3, 0x1.83efcd975e9ebp-3, 0x1.9371e012623f9p-3, 0x1.a19e2b22d1854p-3, 0x1.ae69f0b86b5eep-3, 0x1.b9cd991522d8ep-3, 0x1.c3c43aedd59ffp-3, 0x1.cc4b942daf613p-3, 0x1.d363d39bd7f5fp-3, 0x1.d90f362bf2b12p-3, 0x1.dd51c02abc4bap-3, 0x1.e03115e989483p-3, 0x1.e1b453a66b08bp-3, 0x1.e1e4ddebc89c1p-3, 0x1.e0c9b7af86731p-3, 0x1.de6e3fbcf0122p-3, 0x1.dade96dbaa882p-3, 0x1.d62728e98be48p-3, 0x1.d0542f1664e76p-3, 0x1.c971cf50070e6p-3, 0x1.c18c8ea3d8b5ep-3, 0x1.b8b1a62bfbfe7p-3, 0x1.aeeef8ae6031ep-3, 0x1.a452b48b09685p-3, 0x1.98eae08acb89bp-3, 0x1.8cc512a29a802p-3, 0x1.7fee6a9ef4e6fp-3, 0x1.7273bedd0096p-3, 0x1.6461d18338ea9p-3, 0x1.55c569926d31ep-3, 0x1.46ab42cee9ce3p-3, 0x1.371fe06aef74fp-3, 0x1.272f5b4740aa3p-3, 0x1.16e5422002256p-3, 0x1.064c950988033p-3, 0x1.eadfadbe09c77p-4, 0x1.c8b24c8ec08c1p-4, 0x1.a6249fd0225ep-4, 0x1.8349a46b2f78dp-4, 0x1.6033a7dd3bfe1p-4, 0x1.3cf4283f4e895p-4, 0x1.199bb7aa34e58p-4, 0x1.ec73dd019b422p-5, 0x1.a5badfef99d42p-5, 0x1.5f27f89eef50ep-5, 0x1.18d50f0b8dcabp-5, 0x1.a5b52d81e1b51p-6, 0x1.1a9f40090e83cp-6, 0x1.2127609a7670cp-7, 0x1.eec179f93acbep-12, -0x1.ff1441c35c847p-8, -0x1.05c9b12427f1cp-6, -0x1.8a32ac868046fp-6, -0x1.06713167af1dcp-5, -0x1.46ded1230c1c5p-5, -0x1.866430f97b77p-5, -0x1.c4dfc5b3eb072p-5, -0x1.0125bed128372p-4, -0x1.1f4ed972d6665p-4, -0x1.3ce723a0f43cbp-4, -0x1.59eb3fdbe366ep-4, -0x1.765868296b6e1p-4, -0x1.922c5035d89bap-4, -0x1.ad6507cdfb028p-4, -0x1.c800e11ea7929p-4, -0x1.e1fe5d0e70bc3p-4, -0x1.fb5c1ed331be3p-4, -0x1.0a0c73658c4dep-3, -0x1.1619c9dec1c5bp-3, -0x1.21d594835d11ep-3, -0x1.2d3f6bec572p-3, -0x1.385704d2c6f46p-3, -0x1.431c34f771db8p-3, -0x1.4d8ef701e413bp-3, -0x1.57af6cd1ba0fdp-3, -0x1.617ddff8f612fp-3, -0x1.6afac05442dadp-3, -0x1.7426a0f1318fbp-3, -0x1.7d0233a3ed7dap-3, -0x1.858e43cf845c7p-3, -0x1.8dcbb0f04327dp-3, -0x1.95bb696e2e719p-3, -0x1.9d5e6622095d1p-3, -0x1.a4b5a6d0fa8ecp-3, -0x1.abc22fba3978fp-3, -0x1.b285082e55742p-3, -0x1.b8ff3a0d412a4p-3, -0x1.bf31d1f891fe3p-3, -0x1.c51de0015d289p-3, -0x1.cac4789a58e77p-3, -0x1.d026b59c81045p-3, -0x1.d545b73432e85p-3, -0x1.da22a4951b3bp-3, -0x1.debeac5be6efap-3, -0x1.e31b048d82a2dp-3, -0x1.e738ea2d0d764p-3, -0x1.eb19a06b4b6bap-3, -0x1.eebe6f7bb59fbp-3, -0x1.f228a3236b745p-3, -0x1.f559891c6d576p-3, -0x1.f8526f6aa0975p-3, -0x1.fb14a2c076525p-3, -0x1.fda16d0e0516bp-3, -0x1.fffa145013299p-3, -0x1.010fecd686bb5p-2, -0x1.0209fc72b9398p-2, -0x1.02ebd40a5e3e4p-2, -0x1.03b60bdc11247p-2, -0x1.046939757356cp-2, -0x1.0505efe2385cap-2, -0x1.058cbfe1ff87ap-2, -0x1.05fe381bb925ap-2, -0x1.065ae5475c145p-2, -0x1.06a352493e911p-2, -0x1.06d8083d35138p-2, -0x1.06f98e721d73ap-2, -0x1.07086a58a026ep-2, -0x1.07051f69229d6p-2, -0x1.06f02f056b077p-2, -0x1.06ca185a1e488p-2, -0x1.0693584364f4dp-2, -0x1.064c6936d059cp-2, -0x1.05f5c3335d3b4p-2, -0x1.058fdbb775ebep-2, -0x1.051b25bc242b1p-2, -0x1.049811b46d18cp-2, -0x1.04070d8feb12ep-2, -0x1.036884c007275p-2, -0x1.02bce03f92c6p-2, -0x1.0204869cc84c3p-2, -0x1.013fdc05c7f4bp-2, -0x1.006f425784dddp-2, -0x1.ff26325dacfe4p-3, -0x1.fd577bf5f4794p-3, -0x1.fb7318212c8f4p-3, -0x1.f979b97846037p-3, -0x1.f76c0ea55386dp-3, -0x1.f54ac28029be9p-3, -0x1.f3167c2546bddp-3, -0x1.f0ce39e66da6p-3, -0x1.ee75f1583f54fp-3, -0x1.ec0c9edd43f41p-3, -0x1.e992d9a70fa89p-3, -0x1.e70934c3880bfp-3, -0x1.e4703f518444ap-3, -0x1.e1c884bbd1314p-3, -0x1.df128cf847093p-3, -0x1.dc4edcc887d7p-3, -0x1.d97df5fa2db12p-3, -0x1.d6a057a444b24p-3, -0x1.d3b67e603a199p-3, -0x1.d0c0e47cbcaabp-3, -0x1.cdc002294a9b4p-3, -0x1.cab44d99ab8ap-3, -0x1.c79e3b20d998ap-3, -0x1.c47e3d434b94cp-3, -0x1.c154c4c107fb7p-3, -0x1.be2240981741ap-3, -0x1.bae71e006993p-3, -0x1.b7a3c86256b38p-3, -0x1.b458a94927b02p-3, -0x1.b10628531f536p-3, -0x1.adacab20710b4p-3, -0x1.aa4c9542942a7p-3, -0x1.a6e6482d28444p-3, -0x1.a37a2329841bap-3, -0x1.a008834db34d8p-3, -0x1.9c91c3778d5a5p-3, -0x1.99163c4c28086p-3, -0x1.9596443bd741p-3, -0x1.92122f8a84c1cp-3, -0x1.8e8a505c2e5eep-3, -0x1.8afef6c507c7p-3, -0x1.877070dcace42p-3, -0x1.83df0ad3d1123p-3, -0x1.804b0f0ba542cp-3, -0x1.7cb4c62e44408p-3, -0x1.791c77478257cp-3, -0x1.758267dd5614fp-3, -0x1.71e6dc0765fd9p-3, -0x1.6e4a16851260bp-3, -0x1.6aac58d198ba6p-3, -0x1.670de335efe9bp-3, -0x1.636ef4d81de2bp-3, -0x1.5fcfcbc7d59b9p-3, -0x1.5c30a50851c47p-3, -0x1.5891bc9769a7ap-3, -0x1.54f34d720c2c5p-3, -0x1.5155919637da8p-3, -0x1.4db8c202c370dp-3, -0x1.4a1d16b533bd1p-3, -0x1.4682c6a5f8703p-3, -0x1.42ea07c36c496p-3, -0x1.3f530eebefad2p-3, -0x1.3bbe0fe774bd8p-3, -0x1.382b3d60db10fp-3, -0x1.349ac8df69518p-3, -0x1.310ce2c0a257p-3, -0x1.2d81ba32c4049p-3, -0x1.29f97d300eb34p-3, -0x1.2674587b1018fp-3, -0x1.22f2779c0261cp-3, -0x1.1f7404df4e6fbp-3, -0x1.1bf9295541168p-3, -0x1.18820cd2ee0c1p-3, -0x1.150ed5f42a902p-3, -0x1.119faa1e98c1bp-3, -0x1.0e34ad85a4d91p-3, -0x1.0ace032f557cdp-3, -0x1.076bccf9cc032p-3, -0x1.040e2ba158793p-3, -0x1.00b53ec6f4947p-3, -0x1.fac249ee0842cp-4, -0x1.f423f76074c7dp-4, -0x1.ed8fbed51086p-4, -0x1.e705d73bd91ap-4, -0x1.e086759225f26p-4, -0x1.da11ccef5d1b3p-4, -0x1.d3a80e90f4991p-4, -0x1.cd4969e5a42d8p-4, -0x1.c6f60c97b42aap-4, -0x1.c0ae22966957p-4, -0x1.ba71d61e737d1p-4, -0x1.b4414fc1790a7p-4, -0x1.ae1cb66cb6f3p-4, -0x1.a8042f6eba1eap-4, -0x1.a1f7de7c63a4p-4, -0x1.9bf7e5b52d423p-4, -0x1.960465a6c7c84p-4, -0x1.901d7d5049129p-4, -0x1.8a434a24e01ecp-4, -0x1.8475e80e431a9p-4, -0x1.7eb5716eea153p-4, -0x1.7901ff242fd33p-4, -0x1.735ba88877094p-4, -0x1.6dc28375661afp-4, -0x1.6836a44652599p-4, -0x1.62b81ddaec2d3p-4, -0x1.5d47019a3bfcep-4, -0x1.57e35f75fcaecp-4, -0x1.528d45ee5d3e7p-4, -0x1.4d44c2162fc05p-4, -0x1.4809df9787ed7p-4, -0x1.42dca8b8cc633p-4, -0x1.3dbd266233325p-4, -0x1.38ab6023a8b05p-4, -0x1.33a75c3b17376p-4, -0x1.2eb11f9b06283p-4, -0x1.29c8adf18734ap-4, -0x1.24ee09af64ef4p-4, -0x1.2021340f87895p-4, -0x1.1b622d1e836fcp-4, -0x1.16b0f3c24386bp-4, -0x1.120d85c1c8ae5p-4, -0x1.0d77dfccec722p-4, -0x1.08effd842331dp-4, -0x1.0475d980319eap-4, -0x1.00096d59ceb26p-4, -0x1.f7556362540f4p-5, -0x1.eeb33c6aa7defp-5, -0x1.e62c5356ff101p-5, -0x1.ddc093ec3be2ep-5, -0x1.d56fe8379cd29p-5, -0x1.cd3a389c45307p-5, -0x1.c51f6be06e22ap-5, -0x1.bd1f673a3957ep-5, -0x1.b53a0e5c30582p-5, -0x1.ad6f4381658a1p-5, -0x1.a5bee77949ecbp-5, -0x1.9e28d9b329733p-5, -0x1.96acf84962106p-5, -0x1.8f4b200c50df1p-5, -0x1.88032c8cfc167p-5, -0x1.80d4f82783a53p-5, -0x1.79c05c0d5bf73p-5, -0x1.72c5304f53f4bp-5, -0x1.6be34be77669ap-5, -0x1.651a84c2c3ab4p-5, -0x1.5e6aafcacb92ep-5, -0x1.57d3a0ef2ed82p-5, -0x1.51552b2f08237p-5, -0x1.4aef20a244f2p-5, -0x1.44a15282ed95cp-5, -0x1.3e6b91365ec8ap-5, -0x1.384dac567ace3p-5, -0x1.324772bacbcdcp-5, -0x1.2c58b2819c534p-5, -0x1.2681391905414p-5, -0x1.20c0d347eca22p-5, -0x1.1b174d36f6669p-5, -0x1.1584727964404p-5, -0x1.10080e15e2d7p-5, -0x1.0aa1ea8f3da89p-5, -0x1.0551d1ecfd722p-5, -0x1.00178dc3eacep-5, -0x1.f5e5ce7cde157p-6, -0x1.ebc74e49af9b4p-6, -0x1.e1d32bcaead4ap-6, -0x1.d808f7392aad2p-6, -0x1.ce684038a416ep-6, -0x1.c4f095e87c9e2p-6, -0x1.bba186f1c6363p-6, -0x1.b27aa19624787p-6, -0x1.a97b73be1cbe1p-6, -0x1.a0a38b0708a2cp-6, -0x1.97f274d0adc0bp-6, -0x1.8f67be4a7f92ep-6, -0x1.87038943958fbp-6, -0x1.7ec4342b1c16p-6, -0x1.76a9e526e1d13p-6, -0x1.6eb42922d20adp-6, -0x1.66e28d1848607p-6, -0x1.5f349e192dc5ap-6, -0x1.57a9e95aca3adp-6, -0x1.5041fc4033ffcp-6, -0x1.48fc6464742efp-6, -0x1.41d8afa44f29ep-6, -0x1.3ad66c27c6a74p-6, -0x1.33f5286b40466p-6, -0x1.2d3473486ab0cp-6, -0x1.2693dbfed067bp-6, -0x1.2012f23c2161dp-6, -0x1.19b1462437b39p-6, -0x1.136e6858d253dp-6, -0x1.0d49ea010f23cp-6, -0x1.07435cd09de3ap-6, -0x1.015a530eb26adp-6, -0x1.f71cbf3974b6fp-7, -0x1.ebbe2bf994b55p-7, -0x1.e09814afaa34ep-7, -0x1.d5a9a30747847p-7, -0x1.caf202111b34fp-7, -0x1.c0705e4df3122p-7, -0x1.b623e5b944aa1p-7, -0x1.ac0bc7d346a69p-7, -0x1.a22735aa8e4c8p-7, -0x1.987561e550189p-7, -0x1.8ef580ca19407p-7, -0x1.85a6c84834c23p-7, -0x1.7c886fff949bp-7, -0x1.7399b14855a89p-7, -0x1.6ad9c739df9e8p-7, -0x1.6247eeb194647p-7, -0x1.59e366592b02cp-7, -0x1.51ab6eac95bffp-7, -0x1.499f49ff8e2aap-7, -0x1.41be3c82c77e8p-7, -0x1.3a078c48b996ap-7, -0x1.327a814a12eedp-7, -0x1.2b166569d28a4p-7, -0x1.23da8479063bap-7, -0x1.1cc62c3a37947p-7, -0x1.15d8ac647e0e1p-7, -0x1.0f1156a643829p-7, -0x1.086f7ea7b578bp-7, -0x1.01f27a0ceb247p-7, -0x1.f73340ef73d5bp-8, -0x1.eac8971287572p-8, -0x1.dea3adc676066p-8, -0x1.d2c34051c13ep-8, -0x1.c7260dff792e2p-8, -0x1.bbcada2028bc8p-8, -0x1.b0b06c0a40c24p-8, -0x1.a5d58f1a0650cp-8, -0x1.9b3912b1051c3p-8, -0x1.90d9ca350da7p-8, -0x1.86b68d0ec095ap-8, -0x1.7cce36a7a9fb6p-8, -0x1.731fa667f121p-8, -0x1.69a9bfb3a6e7fp-8, -0x1.606b69e7a4fe4p-8, -0x1.5763905617814p-8, -0x1.4e912242a4641p-8, -0x1.45f312de3954p-8, -0x1.3d88594282eadp-8, -0x1.354ff06d17099p-8, -0x1.2d48d73a48819p-8, -0x1.2572105fb1d6cp-8, -0x1.1dcaa2667912dp-8, -0x1.165197a549da3p-8, -0x1.0f05fe3a14ac1p-8, -0x1.07e6e80385cc7p-8, -0x1.00f36a9a49cb4p-8, -0x1.f4553e94244d4p-9, -0x1.e7174614cbb54p-9, -0x1.da2b2cee8dc01p-9, -0x1.cd8f3b933b5e9p-9, -0x1.c141c19efc66ep-9, -0x1.b54115c886b9dp-9, -0x1.a98b95d103373p-9, -0x1.9e1fa673ad73cp-9, -0x1.92fbb35536134p-9, -0x1.881e2ef2dd12fp-9, -0x1.7d8592915e7b7p-9, -0x1.73305e2baab75p-9, -0x1.691d186167bfp-9, -0x1.5f4a4e6557ce7p-9, -0x1.55b693eb94c2fp-9, -0x1.4c608317a25f9p-9, -0x1.4346bc6a739fap-9, -0x1.3a67e6b052c2ep-9, -0x1.31c2aeeeaca3cp-9, -0x1.2955c851d30c1p-9, -0x1.211fec1ab336fp-9, -0x1.191fd98c7d1fep-9, -0x1.115455da426p-9, -0x1.09bc2c1497dbfp-9, -0x1.02562d1731403p-9, -0x1.f6425eeceb795p-10, -0x1.e8381eda42441p-10, -0x1.da8b5d93d8a26p-10, -0x1.cd39e9ba6252fp-10, -0x1.c0419ccd3a33cp-10, -0x1.b3a05b05e02a1p-10, -0x1.a754133387ed3p-10, -0x1.9b5abe96b9d58p-10, -0x1.8fb260bd21d4bp-10, -0x1.8459075d70716p-10, -0x1.794cca335fcadp-10, -0x1.6e8bcadbd8226p-10, -0x1.641434b13aad2p-10, -0x1.59e43ca7cbec1p-10, -0x1.4ffa212a588fdp-10, -0x1.465429f6eb406p-10, -0x1.3cf0a7fbad2d2p-10, -0x1.33cdf53401294p-10, -0x1.2aea7485b8acfp-10, -0x1.2244919e7ee23p-10, -0x1.19dac0d172faep-10, -0x1.11ab7ef4dc6c6p-10, -0x1.09b55140285ap-10, -0x1.01f6c52a03423p-10, -0x1.f4dce08d47849p-11, -0x1.e635e04cc27aap-11, -0x1.d7f5d4688bc9ap-11, -0x1.ca1a172a10aep-11, -0x1.bca0120c3c3d7p-11, -0x1.af853d7a1432ap-11, -0x1.a2c7208dbb475p-11, -0x1.966350cfe425ap-11, -0x1.8a5771f7b4efdp-11, -0x1.7ea135ab1718ap-11, -0x1.733e5b3f875b9p-11, -0x1.682caf7b5df48p-11, -0x1.5d6a0c5772438p-11, -0x1.52f458c17295ap-11, -0x1.48c9885e8f05p-11, -0x1.3ee79b4ebdeb9p-11, -0x1.354c9df08737ap-11, -0x1.2bf6a8a54f349p-11, -0x1.22e3df963cecap-11, -0x1.1a127279a76c6p-11, -0x1.11809c593f476p-11, -0x1.092ca3587d768p-11, -0x1.0114d87c0241ep-11, -0x1.f26f2ee2fb81p-12, -0x1.e3268cb035e3ep-12, -0x1.d44cab13796e1p-12, -0x1.c5de7ec9b22e7p-12, -0x1.b7d9102dd5e32p-12, -0x1.aa397acf6dcbcp-12, -0x1.9cfced0a419d4p-12, -0x1.9020a79fd013dp-12, -0x1.83a1fd51c993dp-12, -0x1.777e527e5a35ap-12, -0x1.6bb31cbdb0dfep-12, -0x1.603de28119001p-12, -0x1.551c3ab3aefeap-12, -0x1.4a4bcc5c722c9p-12, -0x1.3fca4e41f9fb2p-12, -0x1.3595868f8e882p-12, -0x1.2bab4a7bdd3f6p-12, -0x1.22097df15fa0fp-12, -0x1.18ae1337e7aa9p-12, -0x1.0f970a9ffd797p-12, -0x1.06c2722ff1525p-12, -0x1.fc5ccaa39f7c8p-13, -0x1.ebb219070ae68p-13, -0x1.db813a104609fp-13, -0x1.cbc6b135649b5p-13, -0x1.bc7f1a45a2b55p-13, -0x1.ada728d400472p-13, -0x1.9f3ba7a6bce8dp-13, -0x1.913978282d907p-13, -0x1.839d91db27353p-13, -0x1.766501d1fe947p-13, -0x1.698cea284ea0cp-13, -0x1.5d12817f80352p-13, -0x1.50f3127dec507p-13, -0x1.452bfb50a90f9p-13, -0x1.39baad3072e47p-13, -0x1.2e9cabe7b0ap-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1de639a7cb24p-1, 0x1.2a80e8e4062f6p-1, 0x1.33f612f7e255ap-1, 0x1.3a80fb1ed1d54p-1, 0x1.3e631db814f95p-1, 0x1.3fe0260a72573p-1, 0x1.3f3c570934341p-1, 0x1.3cbb7c57dc39ep-1, 0x1.389ef50f27071p-1, 0x1.3324f3cb183e4p-1, 0x1.2c882e97e8abdp-1, 0x1.24ff53020791fp-1, 0x1.1cbcb1862ce16p-1, 0x1.13ee3f4930e46p-1, 0x1.0abda31d56dcap-1, 0x1.015042acac985p-1, 0x1.ef8ed25040baap-2, 0x1.dc80fde00be21p-2, 0x1.c9aa82062d7cbp-2, 0x1.b737f5595878fp-2, 0x1.a54f875b8aca6p-2, 0x1.9410e7db9b695p-2, 0x1.839812cb7549ep-2, 0x1.73faab40783d5p-2, 0x1.6549b372a549fp-2, 0x1.57922d132263fp-2, 0x1.4addb84b6b968p-2, 0x1.3f32f05a8a496p-2, 0x1.349596c702478p-2, 0x1.2b06b78eac0d2p-2, 0x1.2284e5e813ff3p-2, 0x1.1b0c95e1c395dp-2, 0x1.149881ad3eeacp-2, 0x1.0f2203ee67a05p-2, 0x1.0aa1593d56bbap-2, 0x1.070dc9499d655p-2, 0x1.045dc265b48bep-2, 0x1.0286f42bffba1p-2, 0x1.017e70db0232cp-2, 0x1.0138d5b98c9eep-2, 0x1.01aa75a2a1286p-2, 0x1.02c77f7f81b9ap-2, 0x1.04841c64f4c95p-2, 0x1.06d48492a4026p-2, 0x1.09ad0db5d607ap-2, 0x1.0d0236060bf49p-2, 0x1.10c8aef8f588p-2, 0x1.14f568943eff4p-2, 0x1.197d9d1387369p-2, 0x1.1e56dc097e551p-2, 0x1.23771403bf115p-2, 0x1.28d499d8c2431p-2, 0x1.2e662d42e2441p-2, 0x1.3422fb31bf06p-2, 0x1.3a029ecfb7059p-2, 0x1.3ffd22223e42p-2, 0x1.460afe8241fdbp-2, 0x1.4c251c8b7d50fp-2, 0x1.5244d3161aa3ap-2, 0x1.5863e545dc9c7p-2, 0x1.5e7c802f1f17bp-2, 0x1.6489389214834p-2, 0x1.6a8508be0dc07p-2, 0x1.706be93db7a15p-2, 0x1.763999b80af04p-2, 0x1.7be942391a899p-2, 0x1.81773829bd55ap-2, 0x1.86e0388dc25cep-2, 0x1.8c21635d19c9fp-2, 0x1.91383427f83e7p-2, 0x1.962279005bc32p-2, 0x1.9ade48bbaa9cbp-2, 0x1.9f69f987ef6bap-2, 0x1.a3c4189a3d865p-2, 0x1.a7eb63775cd5dp-2, 0x1.abdec3109e394p-2, 0x1.af9d48aca7021p-2, 0x1.b3262c5d1a64dp-2, 0x1.b678cc9b50483p-2, 0x1.b994ae92d01fp-2, 0x1.bc797e9faac7bp-2, 0x1.bf271095d2c13p-2, 0x1.c19d5f804b382p-2, 0x1.c3dc8ca6475a3p-2, 0x1.c5e4ddc50005p-2, 0x1.c7b6ba8b51d84p-2, 0x1.c952a97d0b852p-2, 0x1.cab94c74630b4p-2, 0x1.cbeb5cfecba3ep-2, 0x1.cce9a8cf9071fp-2, 0x1.cdb50e780ac1dp-2, 0x1.ce4e7a863990fp-2, 0x1.ceb6e51a41b91p-2, 0x1.ceef4ff4d47a8p-2, 0x1.cef8c4f535744p-2, 0x1.ced454f667309p-2, 0x1.ce8316f77545bp-2, 0x1.ce06277a24e0cp-2, 0x1.cd5ea804b0e3cp-2, 0x1.cc8dbeb572efap-2, 0x1.cb9495da216c5p-2, 0x1.ca745b7f1c597p-2, 0x1.c92e40ee2fae8p-2, 0x1.c7c37a172f542p-2, 0x1.c6353ce01cbcep-2, 0x1.c484c05dcf7b4p-2, 0x1.c2b33bf95265ep-2, 0x1.c0c1e688f57d6p-2, 0x1.beb1f5661df3fp-2, 0x1.bc849b89de1d4p-2, 0x1.ba3b08ba3ef3cp-2, 0x1.b7d668d0ce432p-2, 0x1.b557e320aca4ap-2, 0x1.b2c099ff4f17fp-2, 0x1.b011aa6fda47ap-2, 0x1.ad4c2bede8f1ep-2, 0x1.aa71305229dd5p-2, 0x1.a781c3c9c0775p-2, 0x1.a47eecd8fe5c2p-2, 0x1.a169ac62ae4f1p-2, 0x1.9e42fdae9fe2ap-2, 0x1.9b0bd66c0c8ecp-2, 0x1.97c526ae7116dp-2, 0x1.946fd8e534871p-2, 0x1.910cd1cfcbcbp-2, 0x1.8d9cf070ac7b8p-2, 0x1.8a210e017d366p-2, 0x1.8699fdea8a78ap-2, 0x1.83088dbecdca1p-2, 0x1.7f6d853d14691p-2, 0x1.7bc9a65601b9cp-2, 0x1.781dad36481dp-2, 0x1.746a505425678p-2, 0x1.70b0407f438e9p-2, 0x1.6cf028f25d02ep-2, 0x1.692aaf664da4p-2, 0x1.656074268710dp-2, 0x1.61921227121dp-2, 0x1.5dc01f1c42ccbp-2, 0x1.59eb2b9444aaap-2, 0x1.5613c3125c482p-2, 0x1.523a6c2b96a82p-2, 0x1.4e5fa8a46b704p-2, 0x1.4a83f58eb9b2ap-2, 0x1.46a7cb6791439p-2, 0x1.42cb9e344d03cp-2, 0x1.3eefdd9ebc278p-2, 0x1.3b1428793626fp-2, 0x1.373a75b713eebp-2, 0x1.33626edd721acp-2, 0x1.2f8c72c616138p-2, 0x1.2bb8dc0b7db01p-2, 0x1.27e8013423b13p-2, 0x1.241a34e0ce3fcp-2, 0x1.204fc5fc91446p-2, 0x1.1c88ffed37a83p-2, 0x1.18c62ac2db3ep-2, 0x1.15078b6590862p-2, 0x1.114d63c03b73bp-2, 0x1.0d97f2e7d5cc5p-2, 0x1.09e7753e97c24p-2, 0x1.063c2492c293p-2, 0x1.02963838e837fp-2, 0x1.fdebca43a24dep-3, 0x1.f6b6bbd891644p-3, 0x1.ef8da5e683023p-3, 0x1.e870e4b1aec95p-3, 0x1.e160d01db9602p-3, 0x1.da5dbbbb28fe9p-3, 0x1.d367f6d29e3bdp-3, 0x1.cc7fcc6f0c03ap-3, 0x1.c5a5836826f61p-3, 0x1.bed95e6e035cbp-3, 0x1.b81b9c16b22ep-3, 0x1.b16c76ee70e3fp-3, 0x1.aacc258acc07cp-3, 0x1.a43adaa0e6946p-3, 0x1.9db8c51ecd909p-3, 0x1.97461047bad7ep-3, 0x1.90e2e3d2e3aebp-3, 0x1.8a8f640c77a55p-3, 0x1.844bb1f836bep-3, 0x1.7e17eb752fffdp-3, 0x1.77f42b62031a3p-3, 0x1.71e089c129118p-3, 0x1.6bdd1bdcbd606p-3, 0x1.65e9f4694721fp-3, 0x1.600723a72f95ap-3, 0x1.5a34b78277282p-3, 0x1.5472bbb0816c1p-3, 0x1.4ec139cbae1fbp-3, 0x1.4920396cbe5e2p-3, 0x1.438fc041e5707p-3, 0x1.3e0fd223a164fp-3, 0x1.38a071275fd13p-3, 0x1.33419db029bp-3, 0x1.2df3567d6c562p-3, 0x1.28b598b8306d1p-3, 0x1.23885ffeddbb1p-3, 0x1.1e6ba66fed5c6p-3, 0x1.195f64b3a7749p-3, 0x1.146392053fe7fp-3, 0x1.0f78243b7fd9fp-3, 0x1.0a9d0fd1335c1p-3, 0x1.05d247ed8665ap-3, 0x1.0117be6c72826p-3, 0x1.f8dac7cecd1dcp-4, 0x1.efa64f7c548ap-4, 0x1.e691f04045152p-4, 0x1.dd9d842bd623fp-4, 0x1.d4c8e316a33c5p-4, 0x1.cc13e2b34d31dp-4, 0x1.c37e56a4c7b99p-4, 0x1.bb0810942061p-4, 0x1.b2b0e046b9a01p-4, 0x1.aa7893b4bab31p-4, 0x1.a25ef71faef31p-4, 0x1.9a63d5291aa1p-4, 0x1.9286f6e8e1995p-4, 0x1.8ac824036d769p-4, 0x1.832722bf5f126p-4, 0x1.7ba3b81ac31dcp-4, 0x1.743da7dfa6a36p-4, 0x1.6cf4b4b7fc51ap-4, 0x1.65c8a040c44d1p-4, 0x1.5eb92b1c6a3a7p-4, 0x1.57c615045547dp-4, 0x1.50ef1cd9a5742p-4, 0x1.4a3400b51eca5p-4, 0x1.43947df648303p-4, 0x1.3d105151c0f45p-4, 0x1.36a736ded6f4ep-4, 0x1.3058ea2466b19p-4, 0x1.2a252625119b1p-4, 0x1.240ba56ad3f01p-4, 0x1.1e0c22120a2d6p-4, 0x1.182655d3f09c1p-4, 0x1.1259fa10aae6ap-4, 0x1.0ca6c7d8e02f8p-4, 0x1.070c77f6f748bp-4, 0x1.018ac2f7fed28p-4, 0x1.f842c26898b3bp-5, 0x1.eda015afb1eb7p-5, 0x1.e32cefd4d2f1ap-5, 0x1.d8e8c0af04c5cp-5, 0x1.ced2f7ec67128p-5, 0x1.c4eb052179bc3p-5, 0x1.bb3057d822e1fp-5, 0x1.b1a25f9e752f8p-5, 0x1.a8408c153a04ep-5, 0x1.9f0a4cfe40dbdp-5, 0x1.95ff124a7445bp-5, 0x1.8d1e4c27b048p-5, 0x1.84676b0e5964ap-5, 0x1.7bd9dfceaeab2p-5, 0x1.73751b9dd2f5ep-5, 0x1.6b3890228a277p-5, 0x1.6323af81a1f65p-5, 0x1.5b35ec6a02691p-5, 0x1.536eba2063e5cp-5, 0x1.4bcd8c8aa209p-5, 0x1.4451d83aa9289p-5, 0x1.3cfb1278fedaep-5, 0x1.35c8b14edaf63p-5, 0x1.2eba2b8fd701cp-5, 0x1.27cef8e32e1e6p-5, 0x1.210691cc8d0bfp-5, 0x1.1a606fb475772p-5, 0x1.13dc0cf031bd7p-5, 0x1.0d78e4c95c54p-5, 0x1.07367384facf8p-5, 0x1.0114366a31216p-5, 0x1.f62357911b7b2p-6, 0x1.ea5ca5fbe45bbp-6, 0x1.ded358f835139p-6, 0x1.d386739b8eadep-6, 0x1.c874fb371ee72p-6, 0x1.bd9df760b3619p-6, 0x1.b30071fb0998fp-6, 0x1.a89b773d81358p-6, 0x1.9e6e15bb36603p-6, 0x1.94775e699176p-6, 0x1.8ab664a6467acp-6, 0x1.812a3e3cdcea1p-6, 0x1.77d2036bb33e9p-6, 0x1.6eaccee89565fp-6, 0x1.65b9bde4dc49p-6, 0x1.5cf7f0112cebdp-6, 0x1.546687a0c7ab2p-6, 0x1.4c04a94c7f83dp-6, 0x1.43d17c5550f26p-6, 0x1.3bcc2a869befbp-6, 0x1.33f3e0380fd18p-6, 0x1.2c47cc4f3d18ep-6, 0x1.24c72040d86ffp-6, 0x1.1d711011ad6fep-6, 0x1.1644d25748ebcp-6, 0x1.0f41a0384f7dfp-6, 0x1.0866b56c940cfp-6, 0x1.01b3503cdf7ffp-6, 0x1.f64d6304e591cp-7, 0x1.e980394c8d926p-7, 0x1.dcfdaf4004a6dp-7, 0x1.d0c455e967509p-7, 0x1.c4d2c36a88939p-7, 0x1.b92792f961fbap-7, 0x1.adc164dbfc861p-7, 0x1.a29ede63ee959p-7, 0x1.97bea9e9586bap-7, 0x1.8d1f76c571733p-7, 0x1.82bff94cb46f5p-7, 0x1.789eeac885f69p-7, 0x1.6ebb09709327ep-7, 0x1.65131863b5eep-7, 0x1.5ba5dfa0890afp-7, 0x1.5272d291e509cp-7, 0x1.497770eddc158p-7, 0x1.40b33bf6a2239p-7, 0x1.38250edb4ecd4p-7, 0x1.2fcbc98145eb7p-7, 0x1.27a6507ad57b5p-7, 0x1.1fb38cfd976a4p-7, 0x1.17f26cd891a8cp-7, 0x1.1061e26a1da9ap-7, 0x1.0900e49597299p-7, 0x1.01ce6eb8d9245p-7, 0x1.f593014311f02p-8, 0x1.e7e23d046ee82p-8, 0x1.da88a1cead1c2p-8, 0x1.cd8449580ff08p-8, 0x1.c0d355dd9b313p-8, 0x1.b473f20c27716p-8, 0x1.a86450e940effp-8, 0x1.9ca2adbbcf083p-8, 0x1.912d4bf48d32p-8, 0x1.8602771652bedp-8, 0x1.7b20829e3840bp-8, 0x1.7085c9eb96f07p-8, 0x1.6630b027e9f6ap-8, 0x1.5c1fa02e977fp-8, 0x1.52510c749da65p-8, 0x1.48c36ef0334ddp-8, 0x1.3f75490056eaep-8, 0x1.3665235450f3fp-8, 0x1.2d918dd331853p-8, 0x1.24f91f8346b2ap-8, 0x1.1c9a767194d39p-8, 0x1.147437994e858p-8, 0x1.0c850ecb5490dp-8, 0x1.04cbae95b92dfp-8, 0x1.fa8da056ab2d3p-9, 0x1.ebea6696ce60bp-9, 0x1.ddab3c5284c74p-9, 0x1.cfcdbaa8255b2p-9, 0x1.c24f873d6fef7p-9, 0x1.b52e540f69a67p-9, 0x1.a867df4279954p-9, 0x1.9bf9f2f2b781ap-9, 0x1.8fe265047a3ccp-9, 0x1.841f16f5274b5p-9, 0x1.78adf5ac4e8d6p-9, 0x1.6d8cf94d01925p-9, 0x1.62ba2507819e7p-9, 0x1.583386eb3ec14p-9, 0x1.4df737b91efa8p-9, 0x1.44035ab627532p-9, 0x1.3a561d7e77274p-9, 0x1.30edb7d8a1736p-9, 0x1.27c86b8962741p-9, 0x1.1ee48427b73a4p-9, 0x1.164056f156a33p-9, 0x1.0dda429f90c52p-9, 0x1.05b0af3c8d801p-9, 0x1.fb841bf205ecfp-10, 0x1.ec19b2048d51bp-10, 0x1.dd1f26b1a8724p-10, 0x1.ce91914e71e64p-10, 0x1.c06e1a32ed59ap-10, 0x1.b2b1fa69ae7c7p-10, 0x1.a55a7b604a9b3p-10, 0x1.9864f698c9cc1p-10, 0x1.8bced55bee07cp-10, 0x1.7f95906c7314fp-10, 0x1.73b6afbb28e0fp-10, 0x1.682fca1c07cb1p-10, 0x1.5cfe84fc2a9f4p-10, 0x1.52209418bce28p-10, 0x1.4793b936d34fap-10, 0x1.3d55c3dc4507cp-10, 0x1.336491096dd36p-10, 0x1.29be0af3d9727p-10, 0x1.206028c1fe447p-10, 0x1.1748ee47da3e7p-10, 0x1.0e766bc480d2bp-10, 0x1.05e6bda0bbe69p-10, 0x1.fb30185d0977p-11, 0x1.eb1116d3007ffp-11, 0x1.db6cf570ea33fp-11, 0x1.cc40495f61ab6p-11, 0x1.bd87bda8cfa22p-11, 0x1.af4012c21f8eep-11, 0x1.a1661e1541724p-11, 0x1.93f6c98daa5b3p-11, 0x1.86ef1326c824dp-11, 0x1.7a4c0c7c31ef4p-11, 0x1.6e0ada5be3035p-11, 0x1.6228b45a39326p-11, 0x1.56a2e467e1b58p-11, 0x1.4b76c6699c72dp-11, 0x1.40a1c7d1cfceep-11, 0x1.3621673bd190fp-11, 0x1.2bf334095538p-11, 0x1.2214ce013e8b9p-11, 0x1.1883e4f079698p-11, 0x1.0f3e384c7ec59p-11, 0x1.064196d78cee9p-11, 0x1.fb17bc8d62188p-12, 0x1.ea35f5d28dba9p-12, 0x1.d9d9cea5316eep-12, 0x1.c9ff5809376adp-12, 0x1.baa2be3955a6cp-12, 0x1.abc048037da66p-12, 0x1.9d5456287bdb2p-12, 0x1.8f5b62beb9914p-12, 0x1.81d200981457dp-12, 0x1.74b4daaabe47fp-12, 0x1.6800b37d1db59p-12, 0x1.5bb264948f77bp-12, 0x1.4fc6dde72adabp-12, 0x1.443b25502d9dbp-12, 0x1.390c56077dde9p-12, 0x1.2e37a01ba0b9cp-12, 0x1.23ba47ee8e8ccp-12, 0x1.1991a5b537d2dp-12, 0x1.0fbb24f98e04ap-12, 0x1.0634441f2b825p-12, 0x1.f9f527d513b8p-13, 0x1.e8176e153ccabp-13, 0x1.d6cac349ff81fp-13, 0x1.c60ab1c8c4cd3p-13, 0x1.b5d2e512e4e2dp-13, 0x1.a61f28fc0f214p-13, 0x1.96eb68d51e235p-13, 0x1.8833ae9b825fbp-13, 0x1.79f4222cfd0fap-13, 0x1.6c29087fd04dp-13, 0x1.5ecec2df24723p-13, 0x1.51e1ce2b1807bp-13, 0x1.455ec21e068f3p-13, 0x1.39425094c1358p-13, 0x1.2d8944db6e458p-13, 0x1.223082fe068b8p-13, 0x1.1735071c93c9ap-13, 0x1.0c93e4c3a9d76p-13, 0x1.024a4648239ebp-13, 0x1.f0aad84daad11p-14, 0x1.dd6558cebfceap-14, 0x1.cabee40702f1bp-14, 0x1.b8b278a1e3756p-14, 0x1.a73b3cde4ba28p-14, 0x1.96547d70c7cdap-14, 0x1.85f9ac6c6f12cp-14, 0x1.7626603221e75p-14, 0x1.66d6526697becp-14, 0x1.58055eee3b69fp-14, 0x1.49af82f0708eap-14, 0x1.3bd0dbdf4720fp-14, 0x1.2e65a686ce00bp-14, 0x1.216a3e21a8b43p-14, 0x1.14db1b73634b1p-14, 0x1.08b4d3e935ab7p-14, 0x1.f9e8317f55bfep-15, 0x1.e32b6c5cb7837p-15, 0x1.cd2d25319cfb6p-15, 0x1.b7e75b8ae82dbp-15, 0x1.a354403021bd6p-15, 0x1.8f6e33a82e965p-15, 0x1.7c2fc4c390c5ap-15, 0x1.6993af3286fdap-15, 0x1.5794da24afa52p-15, 0x1.462e56f20f62bp-15, 0x1.355b5fcde1d0dp-15, 0x1.25175681ae87bp-15, 0x1.155dc333501c1p-15, 0x1.062a53306d6eep-15, 0x1.eef1af8c3aa29p-16, 0x1.d28a8a3b0c983p-16, 0x1.b7176248fd294p-16, 0x1.9c90a4f5db8e9p-16, 0x1.82eefed1aaa56p-16, 0x1.6a2b59ba6bf65p-16, 0x1.523edae5b539cp-16, 0x1.3b22e0fa7192p-16, 0x1.24d102382ee72p-16, 0x1.0f430aac740dap-16, 0x1.f4e5f4ea3cf0cp-17, 0x1.ccb60822a4aecp-17, 0x1.a5eb157978ae8p-17, 0x1.807a41afeb2dp-17, 0x1.5c590cbe7ddfap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.67a09d8812799p+0, -0x1.6307ab0e063dep+0, -0x1.5e2065889455dp+0, -0x1.58ddd249c846p+0, -0x1.533b3735c6d1fp+0, -0x1.4d39d392d7a1cp+0, -0x1.46df77b31134dp+0, -0x1.403569387743ap+0, -0x1.3947009a47138p+0, -0x1.3220ea3aea22cp+0, -0x1.2ad089c45c346p+0, -0x1.23635f067aad9p+0, -0x1.1be6989be141ap+0, -0x1.1466d1db45389p+0, -0x1.0cefdd084761fp+0, -0x1.058c97ea03de5p+0, -0x1.fc8da9cb3109cp-1, -0x1.ee4ea65030a4bp-1, -0x1.e06b78fb0e90fp-1, -0x1.d2f1526f54bbcp-1, -0x1.c5eb53bfa4346p-1, -0x1.b96283880c5c5p-1, -0x1.ad5e902e4e23dp-1, -0x1.a1e4ce0c0969p-1, -0x1.96f91465f0d84p-1, -0x1.8c9ddc14b9f43p-1, -0x1.82d46836a2549p-1, -0x1.799cd97b61d15p-1, -0x1.70f63a20217a3p-1, -0x1.68de92b97b46ap-1, -0x1.61530d16fc2e1p-1, -0x1.5a501ed576733p-1, -0x1.53d1b0c3e7ddep-1, -0x1.4dd33b8808947p-1, -0x1.484fd8dddd05cp-1, -0x1.43424e734fab4p-1, -0x1.3ea518dd45c0fp-1, -0x1.3a727ab0519adp-1, -0x1.36a48fbc6442ap-1, -0x1.3335616451e44p-1, -0x1.301ef85f84807p-1, -0x1.2d5b6994b894dp-1, -0x1.2ae4dded47051p-1, -0x1.28b596ce80ed6p-1, -0x1.26c7f19652375p-1, -0x1.25166be7abb1dp-1, -0x1.239ba9453c114p-1, -0x1.2252794a81bb2p-1, -0x1.2135dd5e64d68p-1, -0x1.20410cf9db6dfp-1, -0x1.1f6f7826d84d3p-1, -0x1.1ebcc858cf96p-1, -0x1.1e24e018911e7p-1, -0x1.1da3da2df7b09p-1, -0x1.1d3608e812348p-1, -0x1.1cd7f5d44a6ecp-1, -0x1.1c8661c23bbe8p-1, -0x1.1c3e44a418782p-1, -0x1.1bfccce3ba6edp-1, -0x1.1bbf5e1130f6dp-1, -0x1.1b838f1e97646p-1, -0x1.1b472876308cbp-1, -0x1.1b082217734f1p-1, -0x1.1ac504feb2b2bp-1, -0x1.1a7b62d2e7e01p-1, -0x1.1a2a00eec43e3p-1, -0x1.19cf8558c938fp-1, -0x1.196abd6f9b5f8p-1, -0x1.18fa9acffe232p-1, -0x1.187e304b6e79ep-1, -0x1.17f4af1ad0607p-1, -0x1.175d646932e62p-1, -0x1.16b7b7416b112p-1, -0x1.160326da06a18p-1, -0x1.153f493063f89p-1, -0x1.146bc9ddeb029p-1, -0x1.13886910d7674p-1, -0x1.1294fa93998c7p-1, -0x1.119164d1bf27fp-1, -0x1.107d9fcea7845p-1, -0x1.0f59b4081bda9p-1, -0x1.0e25b94428982p-1, -0x1.0ce1d54da8ee1p-1, -0x1.0b8e3aa5b1faep-1, -0x1.0a2b2731ac798p-1, -0x1.08b8e2eecfe77p-1, -0x1.0737beb3d57ep-1, -0x1.05a81308fdfdep-1, -0x1.040a3f1cc71ep-1, -0x1.025ea7d8ef10bp-1, -0x1.00a5b7183920fp-1, -0x1.fdbfb5f49ae68p-2, -0x1.fa1b0aa1763b5p-2, -0x1.f65e563db3722p-2, -0x1.f28a884c67162p-2, -0x1.eea094f3ed6ap-2, -0x1.eaa1742ae1ae9p-2, -0x1.e68e20e6aa791p-2, -0x1.e267984a75beep-2, -0x1.de2ed8d7dfeeap-2, -0x1.d9e4e1a3fa566p-2, -0x1.d58ab193965a5p-2, -0x1.d12146a13da63p-2, -0x1.cca99d2e4e80dp-2, -0x1.c824af5fcd647p-2, -0x1.c3937486ffa66p-2, -0x1.bef6e095d5c7p-2, -0x1.ba4fe39f78f9ap-2, -0x1.b59f6965e9d43p-2, -0x1.b0e658f5f52a7p-2, -0x1.ac2594530762cp-2, -0x1.a75df833fbb36p-2, -0x1.a2905bd1603afp-2, -0x1.9dbd90c477fe6p-2, -0x1.98e662f530f5ep-2, -0x1.940b989410e6bp-2, -0x1.8f2df21c90cc8p-2, -0x1.8a4e2a5c0fdc5p-2, -0x1.856cf679f58d1p-2, -0x1.808b05fe66268p-2, -0x1.7ba902d5ff546p-2, -0x1.76c791524e04bp-2, -0x1.71e75027ad0c1p-2, -0x1.6d08d86a0ba21p-2, -0x1.682cbd8a76b3ap-2, -0x1.63538d57462f7p-2, -0x1.5e7dd00078cedp-2, -0x1.59ac08214409dp-2, -0x1.54deb2cf2d17cp-2, -0x1.501647ae7392fp-2, -0x1.4b53390b0bca5p-2, -0x1.4695f3f524d54p-2, -0x1.41dee0601c894p-2, -0x1.3d2e6142d50a6p-2, -0x1.3884d4b8a0547p-2, -0x1.33e294222920fp-2, -0x1.2f47f44610278p-2, -0x1.2ab545711d9dap-2, -0x1.262ad3960f513p-2, -0x1.21a8e66d0b486p-2, -0x1.1d2fc192c80d8p-2, -0x1.18bfa4a7639e2p-2, -0x1.1458cb6cd9983p-2, -0x1.0ffb6de508cfep-2, -0x1.0ba7c06f227c4p-2, -0x1.075df3e47db25p-2, -0x1.031e35b4be09p-2, -0x1.fdd0734171184p-3, -0x1.f57a1230f5144p-3, -0x1.ed38c409f5af1p-3, -0x1.e50cca1af8478p-3, -0x1.dcf65f6036918p-3, -0x1.d4f5b8cec8ebbp-3, -0x1.cd0b05a32a53p-3, -0x1.c5366fb142e26p-3, -0x1.bd781bb437636p-3, -0x1.b5d0299c54347p-3, -0x1.ae3eb4d9b2cc4p-3, -0x1.a6c3d4a2716bdp-3, -0x1.9f5f9c3385d3ap-3, -0x1.98121b0bac535p-3, -0x1.90db5d20118e9p-3, -0x1.89bb6b0ab5375p-3, -0x1.82b24a32c42f7p-3, -0x1.7bbffcef51dd5p-3, -0x1.74e482a516121p-3, -0x1.6e1fd7dfef419p-3, -0x1.6771f668f7c26p-3, -0x1.60dad55a0d808p-3, -0x1.5a5a692fa6486p-3, -0x1.53f0a3d9adc7bp-3, -0x1.4d9d74cc2ec69p-3, -0x1.4760c91052959p-3, -0x1.413a8b563010fp-3, -0x1.3b2aa407c1503p-3, -0x1.3530f95d27956p-3, -0x1.2f4d6f725fcb4p-3, -0x1.297fe85e5193dp-3, -0x1.23c8444b2750bp-3, -0x1.1e26618fae0d7p-3, -0x1.189a1cc98099ep-3, -0x1.132350f7c0432p-3, -0x1.0dc1d795f5217p-3, -0x1.087588b6dcce1p-3, -0x1.033e3b1eceab2p-3, -0x1.fc3788bae5c4cp-4, -0x1.f21bf1cd1283fp-4, -0x1.e8295853360b9p-4, -0x1.de5f6150aceafp-4, -0x1.d4bdb01718d9fp-4, -0x1.cb43e66d6ad81p-4, -0x1.c1f1a4b3de70fp-4, -0x1.b8c68a050b18ep-4, -0x1.afc23454081b3p-4, -0x1.a6e44087e0aebp-4, -0x1.9e2c4a9477d92p-4, -0x1.9599ed912903bp-4, -0x1.8d2cc3cd640d5p-4, -0x1.84e466e384e5p-4, -0x1.7cc06fca37c46p-4, -0x1.74c076e4a9612p-4, -0x1.6ce41411c295ap-4, -0x1.652adebaad417p-4, -0x1.5d946de0d4b2p-4, -0x1.5620582b8bf86p-4, -0x1.4ece33f5802cap-4, -0x1.479d975a0e046p-4, -0x1.408e1842924f5p-4, -0x1.399f4c73baa05p-4, -0x1.32d0c99ae166bp-4, -0x1.2c22255b6d8b4p-4, -0x1.2592f55c35661p-4, -0x1.1f22cf54d616bp-4, -0x1.18d1491af53ap-4, -0x1.129df8af5c9fap-4, -0x1.0c88744ae1cp-4, -0x1.0690526b083c2p-4, -0x1.00b529de4eddep-4, -0x1.f5ed23a03ad7dp-5, -0x1.eaa843a881b08p-5, -0x1.df9ae3e3e2137p-5, -0x1.d4c4355ca6d0cp-5, -0x1.ca236a2ceeb94p-5, -0x1.bfb7b5918952cp-5, -0x1.b5804bfbbc2e8p-5, -0x1.ab7c6321e7bd6p-5, -0x1.a1ab320f157a6p-5, -0x1.980bf1316e047p-5, -0x1.8e9dda67a5ed7p-5, -0x1.8560290d673a8p-5, -0x1.7c521a06c3e59p-5, -0x1.7372ebcabf733p-5, -0x1.6ac1de6cfbedcp-5, -0x1.623e33a696ef6p-5, -0x1.59e72ede4961ap-5, -0x1.51bc152fd20ap-5, -0x1.49bc2d72bc20ep-5, -0x1.41e6c0408e433p-5, -0x1.3a3b17fa6f1e6p-5, -0x1.32b880ce45d09p-5, -0x1.2b5e48bb6b1abp-5, -0x1.242bbf96eaaf2p-5, -0x1.1d20370f630aap-5, -0x1.163b02b08b3b1p-5, -0x1.0f7b77e663807p-5, -0x1.08e0ee0017d1cp-5, -0x1.026abe32998d8p-5, -0x1.f8308735e9dp-6, -0x1.ebd1b680c596cp-6, -0x1.dfb7c82c382f2p-6, -0x1.d3e17df9e2d73p-6, -0x1.c84d9d89489c8p-6, -0x1.bcfaf05a1232bp-6, -0x1.b1e843cdd7592p-6, -0x1.a71469297a7a2p-6, -0x1.9c7e35960b41p-6, -0x1.92248221410b8p-6, -0x1.88062bbd73e01p-6, -0x1.7e2213413448dp-6, -0x1.74771d665f97p-6, -0x1.6b0432c8d4735p-6, -0x1.61c83fe4a5f3bp-6, -0x1.58c23513ed95p-6, -0x1.4ff1068c24e05p-6, -0x1.4753ac5b19bb4p-6, -0x1.3ee92263770e8p-6, -0x1.36b06858e2768p-6, -0x1.2ea881bbbc5c8p-6, -0x1.26d075d47c23ep-6, -0x1.1f274faead577p-6, -0x1.17ac1e1394e1p-6, -0x1.105df38481cf9p-6, -0x1.093be634c9ac5p-6, -0x1.024510037767fp-6, -0x1.f6f11ce96d732p-7, -0x1.e9ab0555e2c48p-7, -0x1.dcb622bf66e18p-7, -0x1.d010c5b89c275p-7, -0x1.c3b945e490eacp-7, -0x1.b7ae01e72af88p-7, -0x1.abed5f553d3b2p-7, -0x1.a075caa44788p-7, -0x1.9545b719daf17p-7, -0x1.8a5b9ebac2fc5p-7, -0x1.7fb60239e2d6cp-7, -0x1.755368e6e14c7p-7, -0x1.6b32609c912cep-7, -0x1.61517daf3ef4bp-7, -0x1.57af5adabae8ap-7, -0x1.4e4a99305956dp-7, -0x1.4521e004bb64bp-7, -0x1.3c33dcdd89c9dp-7, -0x1.337f435f1148ap-7, -0x1.2b02cd39ca9b3p-7, -0x1.22bd3a17d1a04p-7, -0x1.1aad4f8a4c34ep-7, -0x1.12d1d8f6c6143p-7, -0x1.0b29a78482b8ep-7, -0x1.03b39209c6a8cp-7, -0x1.f8dce9f23c709p-8, -0x1.eab2649d3da0dp-8, -0x1.dce562fa51d1ep-8, -0x1.cf73beb75525dp-8, -0x1.c25b5c24cb0f6p-8, -0x1.b59a2a1072519p-8, -0x1.a92e219fe9e32p-8, -0x1.9d15462b654ccp-8, -0x1.914da51876b41p-8, -0x1.85d555b4f283cp-8, -0x1.7aaa7911ed40cp-8, -0x1.6fcb39deddf77p-8, -0x1.6535cc44df9edp-8, -0x1.5ae86dc21d448p-8, -0x1.50e165056678ep-8, -0x1.471f01c9f34d7p-8, -0x1.3da0302d9a9bdp-8, -0x1.34622703733e3p-8, -0x1.2b63e6f13dc6bp-8, -0x1.22a3e28024d2dp-8, -0x1.1a2094947aa44p-8, -0x1.11d8804ac2c95p-8, -0x1.09ca30d5002b9p-8, -0x1.01f4395845d44p-8, -0x1.f4aa699521befp-9, -0x1.e5d78ba1dc4dcp-9, -0x1.d76d2d3bd3e73p-9, -0x1.c968b1a09f40cp-9, -0x1.bbc78aa473791p-9, -0x1.ae873870e79e2p-9, -0x1.a1a549445f66cp-9, -0x1.951f59321fee6p-9, -0x1.88f311e312645p-9, -0x1.7d1e2a57338e8p-9, -0x1.719e66a7b5c11p-9, -0x1.667197c9d1e94p-9, -0x1.5b959b52549fp-9, -0x1.51085b39d80a2p-9, -0x1.46c7cda1b81cfp-9, -0x1.3cd1f499c2465p-9, -0x1.3324dde69676ep-9, -0x1.29bea2c8c78e3p-9, -0x1.209d67c4b34d2p-9, -0x1.17bf5c6b15be9p-9, -0x1.0f22bb2255d64p-9, -0x1.06c5c8f08d85cp-9, -0x1.fd4daa8c9cd06p-10, -0x1.ed88739442a8p-10, -0x1.de38b4497c052p-10, -0x1.cf5b479bffbccp-10, -0x1.c0ed1bb52dafep-10, -0x1.b2eb3194dd3f5p-10, -0x1.a5529cafa60d5p-10, -0x1.9820828e97ca2p-10, -0x1.8b521a70610bcp-10, -0x1.7ee4acebe9b1ap-10, -0x1.72d593945b335p-10, -0x1.6722389e95b99p-10, -0x1.5bc8168806c01p-10, -0x1.50c4b7befa049p-10, -0x1.4615b64c3c3a8p-10, -0x1.3bb8bb7e35cc9p-10, -0x1.31ab7f955882cp-10, -0x1.27ebc971f4528p-10, -0x1.1e776e4365d52p-10, -0x1.154c51389f854p-10, -0x1.0c6863320822ap-10, -0x1.03c9a274b672fp-10, -0x1.f6dc34bde28b4p-11, -0x1.e6a7c63c0bb47p-11, -0x1.d6f242cad0551p-11, -0x1.c7b80c4e3575p-11, -0x1.b8f59c9ab7233p-11, -0x1.aaa784eb1b9c5p-11, -0x1.9cca6d58db1f5p-11, -0x1.8f5b1456e1aa3p-11, -0x1.82564e2ed072ap-11, -0x1.75b904809f223p-11, -0x1.698035c4a2029p-11, -0x1.5da8f4cfe80adp-11, -0x1.5230685aecc0fp-11, -0x1.4713ca8a972ccp-11, -0x1.3c50687b744cdp-11, -0x1.31e3a1cf418afp-11, -0x1.27cae83c9a272p-11, -0x1.1e03bf20e0d0dp-11, -0x1.148bbb144ca9ep-11, -0x1.0b6081801b0d7p-11, -0x1.027fc836d0086p-11, -0x1.f3ceaa1d45218p-12, -0x1.e329fafbb5abdp-12, -0x1.d30d4c72886ecp-12, -0x1.c37485a93439ep-12, -0x1.b45baac9dfd3p-12, -0x1.a5bedc49f2076p-12, -0x1.979a5636ae039p-12, -0x1.89ea6f855f332p-12, -0x1.7cab996753b42p-12, -0x1.6fda5ea17ea3cp-12, -0x1.637362e7af5a2p-12, -0x1.5773623b5987p-12, -0x1.4bd7304ddd125p-12, -0x1.409bb7e63ca46p-12, -0x1.35bdfa4a39d2cp-12, -0x1.2b3b0eaabcd34p-12, -0x1.211021939b12dp-12, -0x1.173a745e7e17p-12, -0x1.0db75ca903e12p-12, -0x1.048443cdf9c17p-12, -0x1.f73d4cc3512eap-13, -0x1.e6082762512e6p-13, -0x1.d5645a8918c94p-13, -0x1.c54d4cc85ba16p-13, -0x1.b5be874137c49p-13, -0x1.a6b3b4badb6b4p-13, -0x1.9828a0bda3572p-13, -0x1.8a1936b3932f6p-13, -0x1.7c81810e24424p-13, -0x1.6f5da87120ce9p-13, -0x1.62a9f2e2bf2cfp-13, -0x1.5662c30090c33p-13, -0x1.4a84973958919p-13, -0x1.3f0c090bb1096p-13, -0x1.33f5cc494b20fp-13, -0x1.293eae5ed08d8p-13, -0x1.1ee395a034e5cp-13, -0x1.14e1809969f6dp-13, -0x1.0b35856361adap-13, -0x1.01dcd0fd3e0eep-13, -0x1.f1a94d5300cc7p-14, -0x1.e034be9f01464p-14, -0x1.cf56d1c10c807p-14, -0x1.bf0a8b81bd2b2p-14, -0x1.af4b186919351p-14, -0x1.a013cb9fe4377p-14, -0x1.91601dd76cd41p-14, -0x1.832bac38b1845p-14, -0x1.7572375a5958ap-14, -0x1.682fa23d44aa5p-14, -0x1.5b5ff14fbe947p-14, -0x1.4eff497705b3dp-14, -0x1.4309ef1f168f9p-14, -0x1.377c45508e0e4p-14, -0x1.2c52cccc85289p-14, -0x1.218a232e3c3d3p-14, -0x1.171f021276518p-14, -0x1.0d0e3e4481e67p-14, -0x1.0354c6f05f73dp-14, -0x1.f3df49b55f2d9p-15, -0x1.e1b7f33ae9001p-15, -0x1.d02dfdd41ef27p-15, -0x1.bf3c0ba051cdbp-15, -0x1.aedcec132b04cp-15, -0x1.9f0b9a94f805bp-15, -0x1.8fc33d2ep-15, -0x1.80ff2339314ap-15, -0x1.72bac420c6b24p-15, -0x1.64f1be2297a9dp-15, -0x1.579fd51e231a9p-15, -0x1.4ac0f169da14dp-15, -0x1.3e511eb0f2eaep-15, -0x1.324c8ad91037ap-15, -0x1.26af84efba61p-15, -0x1.1b767c1f442d7p-15, -0x1.109dfeab4b6e2p-15, -0x1.0622b8f42cc26p-15, -0x1.f802e9039550bp-16, -0x1.e46e2e2a353bap-16, -0x1.d1814380ff0edp-16, -0x1.bf36600d585fbp-16, -0x1.ad87ee003387cp-16, -0x1.9c70890d24c76p-16, -0x1.8beafcce1fd66p-16, -0x1.7bf2433331ab6p-16, -0x1.6c8182fdd5ea5p-16, -0x1.5d940e4771ceep-16, -0x1.4f2561130c583p-16, -0x1.41311feb4c2c1p-16, -0x1.33b31688eb85ep-16, -0x1.26a73684a7613p-16, -0x1.1a09961340dc8p-16, -0x1.0dd66ecb159c9p-16, -0x1.020a1c7397f76p-16, -0x1.ed4237bb68237p-17, -0x1.d730138beb902p-17, -0x1.c1d7437d0225bp-17, -0x1.ad317a455fa87p-17, -0x1.9938a424ac599p-17, -0x1.85e6e4eb8413cp-17, -0x1.73369611f8b29p-17, -0x1.612244def39b5p-17, -0x1.4fa4b09d7d7a3p-17, -0x1.3eb8c8e0c313fp-17, -0x1.2e59abd6a5989p-17, -0x1.1e82a4a7b45c4p-17, -0x1.0f2f29e493916p-17, -0x1.005adc004841bp-17, -0x1.e40307aea333cp-18, -0x1.c83e2285947a9p-18, -0x1.ad5f336dfb888p-18, -0x1.935eadda6f31ap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cc57e9e7fa866p-1, 0x1.c77c50ed2e67cp-1, 0x1.c2733f425235ap-1, 0x1.bd3e810041b1dp-1, 0x1.b7dfe734bf038p-1, 0x1.b25946cf1072ep-1, 0x1.acac779d3d08ep-1, 0x1.a6db535946013p-1, 0x1.a0e7b4c5abd1p-1, 0x1.9ad376d88c6b3p-1, 0x1.94a073f4a8a2ep-1, 0x1.8e50852f9ccbap-1, 0x1.87e581a4a1102p-1, 0x1.81613dd323c75p-1, 0x1.7ac58b089ad4ep-1, 0x1.741436d4e5d65p-1, 0x1.6d4f0a88a79e1p-1, 0x1.6677cabcfe28ep-1, 0x1.5f9036e401f96p-1, 0x1.589a08e180ff3p-1, 0x1.5196f4ab6e3cap-1, 0x1.4a88a7f17d9afp-1, 0x1.4370c9cb74f73p-1, 0x1.3c50fa6db9734p-1, 0x1.352ad2e3ae667p-1, 0x1.2dffe4cf7ad3bp-1, 0x1.26d1ba2eda5cdp-1, 0x1.1fa1d524a3464p-1, 0x1.1871afc6b0d6ep-1, 0x1.1142bbefed787p-1, 0x1.0a1663163d7b9p-1, 0x1.02ee062414664p-1, 0x1.f795faab08daep-2, 0x1.e95d3031391aep-2, 0x1.db3439e1edd3ep-2, 0x1.cd1d92bcac807p-2, 0x1.bf1ba38c70111p-2, 0x1.b130c2c09915cp-2, 0x1.a35f344b788bcp-2, 0x1.95a9298664291p-2, 0x1.8810c11b34ebbp-2, 0x1.7a9806f31de3ep-2, 0x1.6d40f42ac6ff8p-2, 0x1.600d6f0b9b8f3p-2, 0x1.52ff4b0a384afp-2, 0x1.461848c9eba4dp-2, 0x1.395a16252f574p-2, 0x1.2cc64e3b0fcp-2, 0x1.205e79815c875p-2, 0x1.14240ddb9b88ap-2, 0x1.08186eb690b17p-2, 0x1.f879da5096e16p-3, 0x1.e12590291b783p-3, 0x1.ca3658aae10bp-3, 0x1.b3ae69d0342bep-3, 0x1.9d8fd63ac63eep-3, 0x1.87dc8d9c760a2p-3, 0x1.72965d273c1b1p-3, 0x1.5dbef003ea126p-3, 0x1.4957cfcf499cfp-3, 0x1.3562651d4db22p-3, 0x1.21dff801da104p-3, 0x1.0ed1b09ed5527p-3, 0x1.f8712f6e0dec2p-4, 0x1.d42b2e8ad9badp-4, 0x1.b0d2f6312db1cp-4, 0x1.8e69e2e363a98p-4, 0x1.6cf1174d9671bp-4, 0x1.4c697d90052d2p-4, 0x1.2cd3c88e724a3p-4, 0x1.0e307543daa87p-4, 0x1.e0ff983396a5fp-5, 0x1.a783c4855ec76p-5, 0x1.6fed362cdf9ecp-5, 0x1.3a3b52e1938ap-5, 0x1.066d22219337dp-5, 0x1.a9029fe364b7p-6, 0x1.48ec5f3b88486p-6, 0x1.d926f9e0244cp-7, 0x1.27e69a5b72d8fp-7, 0x1.f83418fcda4d8p-9, -0x1.238c9a15637bap-10, -0x1.7f445e9c763f2p-8, -0x1.5392eca20f8d2p-7, -0x1.e05300f1927c3p-7, -0x1.32f9572b813ddp-6, -0x1.72419c6fab13p-6, -0x1.ae0b6e18e0233p-6, -0x1.e66060aa4ce42p-6, -0x1.0da53d244320ep-5, -0x1.266a16ddbd4fbp-5, -0x1.3d842ac08051cp-5, -0x1.52f917784c7e5p-5, -0x1.66ceaab86439dp-5, -0x1.790adedf3b54cp-5, -0x1.89b3d8a34fcf3p-5, -0x1.98cfe4c953672p-5, -0x1.a66575e3c273ap-5, -0x1.b27b221bfff82p-5, -0x1.bd17a1050f91dp-5, -0x1.c641c977f7183p-5, -0x1.ce008f79daf1ep-5, -0x1.d45b022bd8a1bp-5, -0x1.d95849c4a8575p-5, -0x1.dcffa5940b25fp-5, -0x1.df586a1000f31p-5, -0x1.e069feebcddabp-5, -0x1.e03bdd38c4d5fp-5, -0x1.ded58d90dd447p-5, -0x1.dc3ea64b04eb5p-5, -0x1.d87ec9b930e14p-5, -0x1.d39da47023e6dp-5, -0x1.cda2eb98e3d5dp-5, -0x1.c6965b4bd611p-5, -0x1.be7fb4f57e055p-5, -0x1.b566bdc4d1144p-5, -0x1.ab533d231d14ap-5, -0x1.a04cfb35740cfp-5, -0x1.945bbf6799fafp-5, -0x1.87874f006588ep-5, -0x1.79d76bbf902aap-5, -0x1.6b53d284eb14bp-5, -0x1.5c043a00edcb7p-5, -0x1.4bf0516e9902cp-5, -0x1.3b1fbf56a0156p-5, -0x1.299a205bd4dbcp-5, -0x1.17670610c5b23p-5, -0x1.048df5d688c1dp-5, -0x1.e22ccf894cf29p-6, -0x1.ba0f8b343bddp-6, -0x1.90d2d36edee94p-6, -0x1.66853c435310dp-6, -0x1.3b35371cd3fe5p-6, -0x1.0ef110f188afdp-6, -0x1.c38de0fc0a81bp-7, -0x1.6789a924ce3b8p-7, -0x1.09f124e1d51e8p-7, -0x1.55bf50f788277p-8, -0x1.29c0bc074ce2ep-9, 0x1.742a8918a2a17p-11, 0x1.e87a784816abep-9, 0x1.bc13a572483efp-8, 0x1.42eacb9c835efp-7, 0x1.a8a8740306ebap-7, 0x1.07950fcc9d748p-6, 0x1.3b2bc642a0998p-6, 0x1.6f0c72ad50b57p-6, 0x1.a32b617728c5ep-6, 0x1.d77d1705b18ddp-6, 0x1.05fb2842282cdp-5, 0x1.2046024fe4844p-5, 0x1.3a99b21952a9bp-5, 0x1.54f0ed7159fd7p-5, 0x1.6f4687d7ed224p-5, 0x1.899572ba3808fp-5, 0x1.a3d8bdabaf6f7p-5, 0x1.be0b969820c92p-5, 0x1.d82949eee186fp-5, 0x1.f22d42c73b4d2p-5, 0x1.0609857f1b6fp-4, 0x1.12eb25a6f338dp-4, 0x1.1fb965af2765fp-4, 0x1.2c7238e80a2dfp-4, 0x1.3913a220849fp-4, 0x1.459bb3a563b49p-4, 0x1.52088f3db8b46p-4, 0x1.5e58662462fd2p-4, 0x1.6a8978fed12c1p-4, 0x1.769a17d10ff19p-4, 0x1.8288a1ef374aap-4, 0x1.8e5385ec483e7p-4, 0x1.99f941868e4ccp-4, 0x1.a57861919b988p-4, 0x1.b0cf81dde624bp-4, 0x1.bbfd4d1e2e6cp-4, 0x1.c7007ccaae723p-4, 0x1.d1d7d9022d489p-4, 0x1.dc8238690b999p-4, 0x1.e6fe8006558d9p-4, 0x1.f14ba31efef89p-4, 0x1.fb68a30f3f44ap-4, 0x1.02aa47911d6a3p-3, 0x1.078742340155bp-3, 0x1.0c4ad6c5009c9p-3, 0x1.10f4a14eecc7ep-3, 0x1.1584447b70bd6p-3, 0x1.19f9697b1a5a1p-3, 0x1.1e53bfecc4d81p-3, 0x1.2292fdc45f97ap-3, 0x1.26b6df31274b8p-3, 0x1.2abf26835267ap-3, 0x1.2eab9c11399f2p-3, 0x1.327c0e1c0fcb7p-3, 0x1.363050b421515p-3, 0x1.39c83d9cb2c49p-3, 0x1.3d43b42f78a16p-3, 0x1.40a2993fc522cp-3, 0x1.43e4d6fd58db7p-3, 0x1.470a5cd6f941dp-3, 0x1.4a131f5cc0dc3p-3, 0x1.4cff18223c69fp-3, 0x1.4fce45a057aabp-3, 0x1.5280ab1721bp-3, 0x1.5516506f70a2cp-3, 0x1.578f421c706cap-3, 0x1.59eb90fd145abp-3, 0x1.5c2b523d89a0bp-3, 0x1.5e4e9f389a07cp-3, 0x1.6055955917684p-3, 0x1.624055fb47242p-3, 0x1.640f064e62bd8p-3, 0x1.65c1cf36259e7p-3, 0x1.6758dd2c77077p-3, 0x1.68d460232f418p-3, 0x1.6a348b6606287p-3, 0x1.6b79957ca4e3cp-3, 0x1.6ca3b80ce71fcp-3, 0x1.6db32fbd51ee8p-3, 0x1.6ea83c17bdacep-3, 0x1.6f831f6c3f3dp-3, 0x1.70441eb44d10dp-3, 0x1.70eb81762c553p-3, 0x1.717991a8a63e2p-3, 0x1.71ee9b9703b11p-3, 0x1.724aedc55d60bp-3, 0x1.728ed8d53bf3dp-3, 0x1.72baaf6a91e53p-3, 0x1.72cec611064f4p-3, 0x1.72cb7321a5c0fp-3, 0x1.72b10ea8e6a2ep-3, 0x1.727ff24d19cd7p-3, 0x1.7238793534d72p-3, 0x1.71dafff006d1fp-3, 0x1.7167e45bd6962p-3, 0x1.70df858e64727p-3, 0x1.704243bd60d94p-3, 0x1.6f90802742ee7p-3, 0x1.6eca9cfc9b1b1p-3, 0x1.6df0fd49d010ep-3, 0x1.6d0404e148df1p-3, 0x1.6c0418460ea82p-3, 0x1.6af19c96e354ap-3, 0x1.69ccf779c71a4p-3, 0x1.68968f07f3002p-3, 0x1.674ec9ba504adp-3, 0x1.65f60e565a56cp-3, 0x1.648cc3db82a17p-3, 0x1.6313517101e5p-3, 0x1.618a1e5426fc7p-3, 0x1.5ff191c713bbap-3, 0x1.5e4a12fffcd69p-3, 0x1.5c940918d437fp-3, 0x1.5acfdaff72e29p-3, 0x1.58fdef662fe53p-3, 0x1.571eacb4f6d95p-3, 0x1.553278facb747p-3, 0x1.5339b9dfc3d87p-3, 0x1.5134d49778c28p-3, 0x1.4f242dd3e7319p-3, 0x1.4d0829b8c1c32p-3, 0x1.4ae12bcf39b0bp-3, 0x1.48af96fa2eb69p-3, 0x1.4673cd6adb01bp-3, 0x1.442e3095de1ccp-3, 0x1.41df2128c4c48p-3, 0x1.3f86fefff09d6p-3, 0x1.3d26291cf07f6p-3, 0x1.3abcfd9d3dea1p-3, 0x1.384bd9b16cd24p-3, 0x1.35d31994b1a28p-3, 0x1.33531884dc397p-3, 0x1.30cc30baaf437p-3, 0x1.2e3ebb6299374p-3, 0x1.2bab1095cfd74p-3, 0x1.29118753cff8dp-3, 0x1.2672757c2f196p-3, 0x1.23ce2fc8d762ap-3, 0x1.212509c892d8ap-3, 0x1.1e7755d9f3c4fp-3, 0x1.1bc56526989cfp-3, 0x1.190f879ebc6e1p-3, 0x1.16560bf521e46p-3, 0x1.13993f9b4f3dp-3, 0x1.10d96ebe19634p-3, 0x1.0e16e4427c753p-3, 0x1.0b51e9c2c6f7bp-3, 0x1.088ac78c09a5dp-3, 0x1.05c1c49bd123ep-3, 0x1.02f7269e2fbd7p-3, 0x1.002b31ec02131p-3, 0x1.fabc5312f991cp-4, 0x1.f5209e4a04ae8p-4, 0x1.ef83c62c57bd5p-4, 0x1.e9e648ba3d064p-4, 0x1.e448a14432255p-4, 0x1.deab486a6ea7cp-4, 0x1.d90eb41cf765fp-4, 0x1.d373579c048c6p-4, 0x1.cdd9a378ed57bp-4, 0x1.c8420597710e6p-4, 0x1.c2ace92f66027p-4, 0x1.bd1ab6cece9cep-4, 0x1.b78bd45c49e36p-4, 0x1.b200a519e8447p-4, 0x1.ac7989a84c097p-4, 0x1.a6f6e00a2fd1p-4, 0x1.a17903a82a9c9p-4, 0x1.9c004d54e0efap-4, 0x1.968d13515cd0ap-4, 0x1.911fa951d3087p-4, 0x1.8bb86082964d1p-4, 0x1.8657878d585a8p-4, 0x1.80fd6a9ea9531p-4, 0x1.7baa536bb3d06p-4, 0x1.765e893834f26p-4, 0x1.711a50dcaac9ep-4, 0x1.6bddecccb9a6dp-4, 0x1.66a99d1dc24ep-4, 0x1.617d9f8da8ea5p-4, 0x1.5c5a2f89c906cp-4, 0x1.573f863613947p-4, 0x1.522dda7456cefp-4, 0x1.4d2560eba922bp-4, 0x1.48264c0ffa406p-4, 0x1.4330cc29c326dp-4, 0x1.3e450f5dd57cep-4, 0x1.396341b547987p-4, 0x1.348b8d257a07ap-4, 0x1.2fbe199836423p-4, 0x1.2afb0cf3e21dp-4, 0x1.26428b23c7fffp-4, 0x1.2194b620702c3p-4, 0x1.1cf1adf80ae5ep-4, 0x1.185990d6e8571p-4, 0x1.13cc7b0ffc3b3p-4, 0x1.0f4a87256c19ap-4, 0x1.0ad3cdd126ffap-4, 0x1.0668660d82819p-4, 0x1.0208651ddf4c8p-4, 0x1.fb67bd2e9d8cap-5, 0x1.f2d5c8d27972fp-5, 0x1.ea5b0dcc33698p-5, 0x1.e1f7a99805358p-5, 0x1.d9abb69ad1168p-5, 0x1.d1774c3365a2ap-5, 0x1.c95a7ecbbba81p-5, 0x1.c1555fea24ecdp-5, 0x1.b967fe426d903p-5, 0x1.b19265c6ea6bfp-5, 0x1.a9d49fb97692cp-5, 0x1.a22eb2bc582cap-5, 0x1.9aa0a2e30f29ap-5, 0x1.932a71c309eaep-5, 0x1.8bcc1e843cb79p-5, 0x1.8485a5f19e74ap-5, 0x1.7d57028980c4ep-5, 0x1.76402c8dcc5d8p-5, 0x1.6f411a1417009p-5, 0x1.6859bf1596a2ap-5, 0x1.618a0d7eeccdcp-5, 0x1.5ad1f53fcd6dfp-5, 0x1.5431645a79fb6p-5, 0x1.4da846f3153dep-5, 0x1.4736875eca063p-5, 0x1.40dc0e32c6fadp-5, 0x1.3a98c2530b3f9p-5, 0x1.346c8901082fap-5, 0x1.2e5745ea0f05ap-5, 0x1.2858db3592883p-5, 0x1.22712993360c8p-5, 0x1.1ca01048aa285p-5, 0x1.16e56d3f587c2p-5, 0x1.11411d11da5c6p-5, 0x1.0bb2fb193eecep-5, 0x1.063ae17a18f07p-5, 0x1.00d8a9315c64cp-5, 0x1.f718544207a61p-6, 0x1.ecaa763900febp-6, 0x1.e26763e9edbf4p-6, 0x1.d84ec70a86427p-6, 0x1.ce60477b8d961p-6, 0x1.c49b8b600602dp-6, 0x1.bb003733f0c3ep-6, 0x1.b18dede2a430cp-6, 0x1.a84450dcb4d53p-6, 0x1.9f23002d6d3d9p-6, 0x1.96299a8fdce9fp-6, 0x1.8d57bd8375f64p-6, 0x1.84ad05603cfb2p-6, 0x1.7c290d6a8eae3p-6, 0x1.73cb6fe67706ep-6, 0x1.6b93c62a9934bp-6, 0x1.6381a8b2b0d8ap-6, 0x1.5b94af31a1f34p-6, 0x1.53cc70a32161ap-6, 0x1.4c28835cef941p-6, 0x1.44a87d1fadef6p-6, 0x1.3d4bf32745008p-6, 0x1.36127a3ae6c29p-6, 0x1.2efba6bca5efep-6, 0x1.28070cb8aace4p-6, 0x1.21343ff3f8ccfp-6, 0x1.1a82d3fadac41p-6, 0x1.13f25c2ee16dbp-6, 0x1.0d826bd4822b2p-6, 0x1.073296205562dp-6, 0x1.01026e43ee20ep-6, 0x1.f5e30ef4ade2ep-7, 0x1.e9feea2857047p-7, 0x1.de579506aefbfp-7, 0x1.d2ec36ccee38ap-7, 0x1.c7bbf727b2ccep-7, 0x1.bcc5fe4859447p-7, 0x1.b20974f998e4p-7, 0x1.a78584b37e0fap-7, 0x1.9d3957aea1115p-7, 0x1.932418f6c7b0ap-7, 0x1.8944f47cd13e1p-7, 0x1.7f9b1727fdf39p-7, 0x1.7625aee6947cdp-7, 0x1.6ce3eabdecaf4p-7, 0x1.63d4fad9cbbf2p-7, 0x1.5af8109b36877p-7, 0x1.524c5ea69dc07p-7, 0x1.49d118f17c11p-7, 0x1.418574cf5bd8dp-7, 0x1.3968a8fe4fd17p-7, 0x1.3179edb2d7116p-7, 0x1.29b87ca33b5b7p-7, 0x1.2223911264cdcp-7, 0x1.1aba67da262dap-7, 0x1.137c3f75064fap-7, 0x1.0c68580789267p-7, 0x1.057df368f972dp-7, 0x1.fd78aa576f765p-8, 0x1.f045854a20bb2p-8, 0x1.e36105e935fcep-8, 0x1.d6c9be164cd58p-8, 0x1.ca7e436266ef2p-8, 0x1.be7d2f1a03a6p-8, 0x1.b2c51e50617e1p-8, 0x1.a754b1e9ed0d2p-8, 0x1.9c2a8ea5e26bcp-8, 0x1.91455d272684bp-8, 0x1.86a3c9fc5d9c5p-8, 0x1.7c4485a743499p-8, 0x1.722644a34788p-8, 0x1.6847bf6b7a769p-8, 0x1.5ea7b27fc4805p-8, 0x1.5544de6977e42p-8, 0x1.4c1e07bf38813p-8, 0x1.4331f728440aep-8, 0x1.3a7f795f1d749p-8, 0x1.32055f339ef64p-8, 0x1.29c27d8c79b2cp-8, 0x1.21b5ad6825892p-8, 0x1.19ddcbdd4590ep-8, 0x1.1239ba1a860b5p-8, 0x1.0ac85d65fa423p-8, 0x1.03889f1bf85bfp-8, 0x1.f8f2d95afe7f9p-9, 0x1.eb336f3c48927p-9, 0x1.ddd0eb031f18ap-9, 0x1.d0c93ff116e79p-9, 0x1.c41a695b52d22p-9, 0x1.b7c26aa3009f5p-9, 0x1.abbf4f2d1338dp-9, 0x1.a00f2a593ce29p-9, 0x1.94b01778381dap-9, 0x1.89a039c15c668p-9, 0x1.7eddbc478f21ep-9, 0x1.7466d1ed92f85p-9, 0x1.6a39b559b991ap-9, 0x1.6054a8e908937p-9, 0x1.56b5f6a1cc41fp-9, 0x1.4d5bf025a394ep-9, 0x1.4444eea310739p-9, 0x1.3b6f52c689d6bp-9, 0x1.32d984ab18423p-9, 0x1.2a81f3ca8a1a2p-9, 0x1.226716ed37fp-9, 0x1.1a876c196acd9p-9, 0x1.12e17882635b7p-9, 0x1.0b73c87706f6p-9, 0x1.043cef503bb11p-9, 0x1.fa770ebded585p-10, 0x1.ecdc63b4002e9p-10, 0x1.dfa72d96e3f32p-10, 0x1.d2d4c9fbf8d82p-10, 0x1.c662a3d3cc8d4p-10, 0x1.ba4e3343c3c78p-10, 0x1.ae94fd7f4d90fp-10, 0x1.a33494a0c7c81p-10, 0x1.982a9782086ccp-10, 0x1.8d74b1949ede3p-10, 0x1.83109ab9d2abap-10, 0x1.78fc171a6357bp-10, 0x1.6f34f6fe1b13p-10, 0x1.65b916a326ea6p-10, 0x1.5c865e155750bp-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d4be5caae35ffp-1, 0x1.d09c2293a3a1fp-1, 0x1.cc4f510a00246p-1, 0x1.c7d904d651413p-1, 0x1.c33a5fd5fd523p-1, 0x1.be748860b9118p-1, 0x1.b988a8b4e5ddbp-1, 0x1.b477ee6af4985p-1, 0x1.af4389efa551p-1, 0x1.a9ecae04f984fp-1, 0x1.a4748f49a1f82p-1, 0x1.9edc63c6b2492p-1, 0x1.992562836345p-1, 0x1.9350c31ea273dp-1, 0x1.8d5fbd6e3af74p-1, 0x1.8753892355541p-1, 0x1.812d5d7416492p-1, 0x1.7aee70ca203cep-1, 0x1.7497f875be84p-1, 0x1.6e2b2865803b7p-1, 0x1.67a932e20bbc4p-1, 0x1.6113484df457fp-1, 0x1.5a6a96e95e78p-1, 0x1.53b04a993cb0ep-1, 0x1.4ce58cb1f7d31p-1, 0x1.460b83c54f655p-1, 0x1.3f23537348c1dp-1, 0x1.382e1c3dfe6dep-1, 0x1.312cfb602932cp-1, 0x1.2a210aa63d22dp-1, 0x1.230b6049f2bf4p-1, 0x1.1bed0ed0204fap-1, 0x1.14c724e8be7b1p-1, 0x1.0d9aad510099ep-1, 0x1.0668aeb762301p-1, 0x1.fe64574324f1fp-2, 0x1.eff044a854e3ep-2, 0x1.e17719782c29bp-2, 0x1.d2fac0b33e55ap-2, 0x1.c47d1c5a189a4p-2, 0x1.b60005498255dp-2, 0x1.a7854b19ac5cfp-2, 0x1.990eb400334f2p-2, 0x1.8a9dfcb4e35dbp-2, 0x1.7c34d85924734p-2, 0x1.6dd4f06203bd4p-2, 0x1.5f7fe484c3b9p-2, 0x1.51374aa5e8358p-2, 0x1.42fcaecab1fa1p-2, 0x1.34d1930cf3a37p-2, 0x1.26b76f913d13bp-2, 0x1.18afb27f4da05p-2, 0x1.0abbbffcbaf58p-2, 0x1.f9b9e45393356p-3, 0x1.de293240c4da9p-3, 0x1.c2c7f5ea4155dp-3, 0x1.a798a774c3591p-3, 0x1.8c9dab0aa59dp-3, 0x1.71d950e9d374p-3, 0x1.574dd5757661p-3, 0x1.3cfd614b456ep-3, 0x1.22ea095c58595p-3, 0x1.0915cf095c4bfp-3, 0x1.df054084212e1p-4, 0x1.ac64af4fd95dcp-4, 0x1.7a4d796790509p-4, 0x1.48c307bcdcef1p-4, 0x1.17c89d97e7e99p-4, 0x1.cec2b1e6ca33cp-5, 0x1.6f2065bb223f3p-5, 0x1.10afffbbecb26p-5, 0x1.66edc17ec3acap-6, 0x1.5de888ffb5cfbp-7, -0x1.a0b45f659b938p-12, -0x1.72dccb0d85ca8p-7, -0x1.69c5e5d65fb28p-6, -0x1.0bc0a3f053f1dp-5, -0x1.614c8329b031dp-5, -0x1.b5830f85690dap-5, -0x1.0430843f25ddcp-4, -0x1.2cf1b6864e602p-4, -0x1.5503bd495a811p-4, -0x1.7c6555e2f091ap-4, -0x1.a3155bc9f4972p-4, -0x1.c912c802d04fep-4, -0x1.ee5cb08f78eecp-4, -0x1.097923ef2bebfp-3, -0x1.1b696e1c24c88p-3, -0x1.2cfeeb96eb4d6p-3, -0x1.3e395e81efc6dp-3, -0x1.4f18960fe708bp-3, -0x1.5f9c6e39c25e9p-3, -0x1.6fc4cf748fbc5p-3, -0x1.7f91ae675bb04p-3, -0x1.8f030ba11d032p-3, -0x1.9e18f34ebf20ap-3, -0x1.acd37cf1587bcp-3, -0x1.bb32cb14969a6p-3, -0x1.c9370b056f9e7p-3, -0x1.d6e07489267ddp-3, -0x1.e42f4994ac77cp-3, -0x1.f123d60465efp-3, -0x1.fdbe6f54635ffp-3, -0x1.04ffba2c87398p-2, -0x1.0af3a67c3174cp-2, -0x1.10bb34f1d54dep-2, -0x1.1656a228e62d9p-2, -0x1.1bc62edd1c23dp-2, -0x1.210a1fc836999p-2, -0x1.2622bd8014548p-2, -0x1.2b10545521aecp-2, -0x1.2fd334311acf2p-2, -0x1.346bb0762dc1ep-2, -0x1.38da1fde74f87p-2, -0x1.3d1edc5bd52ep-2, -0x1.413a42f836c72p-2, -0x1.452cb3b627ddcp-2, -0x1.48f69171dcdbdp-2, -0x1.4c9841c29aa4p-2, -0x1.50122cdc87331p-2, -0x1.5364bd72e12c7p-2, -0x1.5690609aa244cp-2, -0x1.599585ad8cfddp-2, -0x1.5c749e2da3eefp-2, -0x1.5f2e1da90f721p-2, -0x1.61c2799e6ff28p-2, -0x1.643229619f101p-2, -0x1.667da600de458p-2, -0x1.68a56a2a7625bp-2, -0x1.6aa9f212c46d9p-2, -0x1.6c8bbb5abb8e7p-2, -0x1.6e4b44f6d1edep-2, -0x1.6fe90f1663efcp-2, -0x1.71659b0b84d51p-2, -0x1.72c16b334578ap-2, -0x1.73fd02de673d2p-2, -0x1.7518e63a870cp-2, -0x1.76159a3bb5d78p-2, -0x1.76f3a48686199p-2, -0x1.77b38b5a8bacp-2, -0x1.7855d57d4a757p-2, -0x1.78db0a259d278p-2, -0x1.7943b0e7889e3p-2, -0x1.799051a082eb5p-2, -0x1.79c174642eed2p-2, -0x1.79d7a16984f88p-2, -0x1.79d360f86f9dcp-2, -0x1.79b53b57d9761p-2, -0x1.797db8bc29c4ap-2, -0x1.792d613632205p-2, -0x1.78c4bca28e059p-2, -0x1.784452996d47cp-2, -0x1.77acaa5ed22e2p-2, -0x1.76fe4ad33a6f3p-2, -0x1.7639ba64b853ep-2, -0x1.755f7f007647fp-2, -0x1.74701e04aa21dp-2, -0x1.736c1c32f185fp-2, -0x1.7253fda31b5dcp-2, -0x1.712845b65a6aap-2, -0x1.6fe9770ae086p-2, -0x1.6e98136fe682ap-2, -0x1.6d349bda1773cp-2, -0x1.6bbf90586510bp-2, -0x1.6a39700942927p-2, -0x1.68a2b91043d76p-2, -0x1.66fbe88c20cdbp-2, -0x1.65457a8d1c431p-2, -0x1.637fea0bcd38cp-2, -0x1.61abb0e047a72p-2, -0x1.5fc947b9a7558p-2, -0x1.5dd92615f7ee8p-2, -0x1.5bdbc23a7b32fp-2, -0x1.59d1912c4c69ap-2, -0x1.57bb06a95d172p-2, -0x1.55989521ce114p-2, -0x1.536aadb19fa79p-2, -0x1.5131c01aba321p-2, -0x1.4eee3abf4c638p-2, -0x1.4ca08a9c7f5e4p-2, -0x1.4a491b457c972p-2, -0x1.47e856dec8298p-2, -0x1.457ea619e9748p-2, -0x1.430c70316585ap-2, -0x1.40921ae506eb7p-2, -0x1.3e100a76712ep-2, -0x1.3b86a1a6005cbp-2, -0x1.38f641aff19ebp-2, -0x1.365f4a49d6873p-2, -0x1.33c219a04bb45p-2, -0x1.311f0c54f63cap-2, -0x1.2e767d7cc7ec2p-2, -0x1.2bc8c69e8031fp-2, -0x1.29163fb1736d5p-2, -0x1.265f3f1c8eeb2p-2, -0x1.23a419b59bc89p-2, -0x1.20e522c0bcc41p-2, -0x1.1e22abf02a82fp-2, -0x1.1b5d0564257e1p-2, -0x1.18947dab218cap-2, -0x1.15c961c229b9dp-2, -0x1.12fbfd15763e1p-2, -0x1.102c9981373f1p-2, -0x1.0d5b7f5291b33p-2, -0x1.0a88f548ce678p-2, -0x1.07b54096b3b02p-2, -0x1.04e0a4e412fd2p-2, -0x1.020b644f7d947p-2, -0x1.fe6b7ee04b6f1p-3, -0x1.f8bfeaafd6a64p-3, -0x1.f314872b189d9p-3, -0x1.ed69cc6dffedp-3, -0x1.e7c02f97e9644p-3, -0x1.e21822d0e2b93p-3, -0x1.dc72154f37fbp-3, -0x1.d6ce735d3bf3bp-3, -0x1.d12da65f5282fp-3, -0x1.cb9014da3cf08p-3, -0x1.c5f6227995bf7p-3, -0x1.c0603016903afp-3, -0x1.bace9bbee15bdp-3, -0x1.b541c0bbe8022p-3, -0x1.afb9f799f77d1p-3, -0x1.aa37962fd97d7p-3, -0x1.a4baefa67a405p-3, -0x1.9f445480b8ca8p-3, -0x1.99d412a3607b3p-3, -0x1.946a755d4b14fp-3, -0x1.8f07c56f9d2a2p-3, -0x1.89ac491624d77p-3, -0x1.8458440fdd6fdp-3, -0x1.7f0bf7a7821c8p-3, -0x1.79c7a2bc43ac3p-3, -0x1.748b81ca94601p-3, -0x1.6f57cef5038d7p-3, -0x1.6a2cc20d33a38p-3, -0x1.650a909cdf248p-3, -0x1.5ff16deeebb21p-3, -0x1.5ae18b188c0ddp-3, -0x1.55db1702710dap-3, -0x1.50de3e720199bp-3, -0x1.4beb2c129c572p-3, -0x1.4702087edf7b6p-3, -0x1.4222fa49f96afp-3, -0x1.3d4e2608f8774p-3, -0x1.3883ae5c24495p-3, -0x1.33c3b3f84bdd4p-3, -0x1.2f0e55b021904p-3, -0x1.2a63b07d8ca11p-3, -0x1.25c3df8af72b4p-3, -0x1.212efc3c9b412p-3, -0x1.1ca51e39c9de2p-3, -0x1.18265b7626693p-3, -0x1.13b2c83ae1563p-3, -0x1.0f4a772fe12fep-3, -0x1.0aed7964e81cep-3, -0x1.069bde5aab51ep-3, -0x1.0255b40bdc713p-3, -0x1.fc360dec4ef5p-4, -0x1.f3d7c44640098p-4, -0x1.eb909e624b576p-4, -0x1.e360acb856ed7p-4, -0x1.db47fd0cfcbdbp-4, -0x1.d3469a82d690bp-4, -0x1.cb5c8dabba24cp-4, -0x1.c389dc99c085dp-4, -0x1.bbce8af02bf8ap-4, -0x1.b42a99f4256f7p-4, -0x1.ac9e089d4c41ep-4, -0x1.a528d3a619e92p-4, -0x1.9dcaf59c1f088p-4, -0x1.968466f005004p-4, -0x1.8f551e05702f3p-4, -0x1.883d0f42a8aep-4, -0x1.813c2d2015206p-4, -0x1.7a52683783083p-4, -0x1.737faf533e042p-4, -0x1.6cc3ef7cf3289p-4, -0x1.661f140c5febbp-4, -0x1.5f9106b5ce672p-4, -0x1.5919af985bf21p-4, -0x1.52b8f54c09e59p-4, -0x1.4c6ebcef98b9dp-4, -0x1.463aea362e88dp-4, -0x1.401d5f74c3ddcp-4, -0x1.3a15fdaf5cf89p-4, -0x1.3424a4a60a125p-4, -0x1.2e4932e1afdc3p-4, -0x1.288385c09a84cp-4, -0x1.22d37982d7085p-4, -0x1.1d38e9565544fp-4, -0x1.17b3af62d3846p-4, -0x1.1243a4d59026p-4, -0x1.0ce8a1ecc4ebfp-4, -0x1.07a27e02e9a33p-4, -0x1.02710f99c014fp-4, -0x1.faa858ca4ce38p-5, -0x1.f09752ab6a9eep-5, -0x1.e6aeb5464570cp-5, -0x1.dcee27ace2a98p-5, -0x1.d3554fa7cccf2p-5, -0x1.c9e3d1c99662cp-5, -0x1.c0995181eb01dp-5, -0x1.b77571303a239p-5, -0x1.ae77d235f14p-5, -0x1.a5a015084f93ap-5, -0x1.9cedd941ccd1p-5, -0x1.9460bdb316f8ap-5, -0x1.8bf86073ab90bp-5, -0x1.83b45ef202bb9p-5, -0x1.7b9456035af5bp-5, -0x1.7397e1f31928ap-5, -0x1.6bbe9e91c7a2ap-5, -0x1.64082743b06dap-5, -0x1.5c74170f15221p-5, -0x1.550208aa04355p-5, -0x1.4db19687cde09p-5, -0x1.46825ae61c7f1p-5, -0x1.3f73efd9aa0d6p-5, -0x1.3885ef5a9ae2ep-5, -0x1.31b7f3507e587p-5, -0x1.2b09959def615p-5, -0x1.247a702be21b3p-5, -0x1.1e0a1cf493135p-5, -0x1.17b8360e22cd9p-5, -0x1.118455b4dabefp-5, -0x1.0b6e16551d21cp-5, -0x1.0575129501671p-5, -0x1.ff31cabb3e0f2p-6, -0x1.f3b253c80f839p-6, -0x1.e86af763e1235p-6, -0x1.dd5aed5c1c9d2p-6, -0x1.d2816e4849c3p-6, -0x1.c7ddb39994434p-6, -0x1.bd6ef7a9be4f9p-6, -0x1.b33475c97ec97p-6, -0x1.a92d6a4e54ce8p-6, -0x1.9f59129fc8e6ep-6, -0x1.95b6ad442717ep-6, -0x1.8c4579ecb0728p-6, -0x1.8304b98148574p-6, -0x1.79f3ae2b9f8b2p-6, -0x1.71119b61dd1ep-6, -0x1.685dc5f0cd94p-6, -0x1.5fd7740594196p-6, -0x1.577ded36e84e5p-6, -0x1.4f507a8dd8ee1p-6, -0x1.474e668e1ddebp-6, -0x1.3f76fd3dfc7a7p-6, -0x1.37c98c2db9d9bp-6, -0x1.3045627ea38fcp-6, -0x1.28e9d0e9b0f5cp-6, -0x1.21b629c5b9805p-6, -0x1.1aa9c10d4aad1p-6, -0x1.13c3ec641d88cp-6, -0x1.0d04031c26e05p-6, -0x1.06695e3a5198ap-6, -0x1.ffe6b0f5b40d7p-7, -0x1.f3429caaa2a3fp-7, -0x1.e6e53c0098ca1p-7, -0x1.dacd4ee97e433p-7, -0x1.cef998e20916cp-7, -0x1.c368e0f730452p-7, -0x1.b819f1cb067e6p-7, -0x1.ad0b9998ffa9bp-7, -0x1.a23caa399e6e2p-7, -0x1.97abf9259c08p-7, -0x1.8d585f7881f8ep-7, -0x1.8340b9f2c23d9p-7, -0x1.7963e8fb49d04p-7, -0x1.6fc0d0a09a223p-7, -0x1.66565899698c9p-7, -0x1.5d236c44c7e7dp-7, -0x1.5426faa9dafe1p-7, -0x1.4b5ff677262d2p-7, -0x1.42cd560168577p-7, -0x1.3a6e13421b412p-7, -0x1.32412bd582565p-7, -0x1.2a45a0f865b46p-7, -0x1.227a77856a66ap-7, -0x1.1adeb7f2155a1p-7, -0x1.13716e4b76c6ap-7, -0x1.0c31aa3283b02p-7, -0x1.051e7ed821db4p-7, -0x1.fc6e05f1cb04bp-8, -0x1.eef4a1b110379p-8, -0x1.e1cf0c7a2f8bcp-8, -0x1.d4fb88d3c9aa4p-8, -0x1.c87860345d92bp-8, -0x1.bc43e2f726f43p-8, -0x1.b05c68508a3efp-8, -0x1.a4c04e420d963p-8, -0x1.996df98dea751p-8, -0x1.8e63d5aa36e6p-8, -0x1.83a054b3b2678p-8, -0x1.7921ef6033acep-8, -0x1.6ee724f0c1ee9p-8, -0x1.64ee7b235bc0dp-8, -0x1.5b367e2472332p-8, -0x1.51bdc08017a85p-8, -0x1.4882db12edf0cp-8, -0x1.3f846cfad2d02p-8, -0x1.36c11b874f25ap-8, -0x1.2e379229d051ap-8, -0x1.25e68265acb0dp-8, -0x1.1dcca3bff6d48p-8, -0x1.15e8b3af2562ep-8, -0x1.0e39758a91de2p-8, -0x1.06bdb279d1fc9p-8, -0x1.fee872c7dc31cp-9, -0x1.f0b7bdbcf5daap-9, -0x1.e2e6fa392c108p-9, -0x1.d573e7bb95c88p-9, -0x1.c85c50b9c5375p-9, -0x1.bb9e0a7d42a11p-9, -0x1.af36f500e7a2ap-9, -0x1.a324face21b5ep-9, -0x1.976610da2101fp-9, -0x1.8bf83662f9187p-9, -0x1.80d974ccb4303p-9, -0x1.7607df7e65cfap-9, -0x1.6b8193bf3c56fp-9, -0x1.6144b89393aaep-9, -0x1.574f7e9a14d16p-9, -0x1.4da01fe8e0414p-9, -0x1.4434dfeac6d46p-9, -0x1.3b0c0b3c9e4f9p-9, -0x1.3223f78aa6ce1p-9, -0x1.297b036e11f3cp-9, -0x1.210f964aa6456p-9, -0x1.18e0202c88383p-9, -0x1.10eb19a627d95p-9, -0x1.092f03ae59cddp-9, -0x1.01aa677e98db4p-9, -0x1.f4b7ace2f554ep-10, -0x1.e683d3c2a9e8ep-10, -0x1.d8b6860e2bd3ap-10, -0x1.cb4d15b2a9cabp-10, -0x1.be44e3d735b4dp-10, -0x1.b19b609bd4c06p-10, -0x1.a54e0ad8fcb01p-10, -0x1.995a6fdf9f05p-10, -0x1.8dbe2b39a9404p-10, -0x1.8276e66b1c03fp-10, -0x1.778258b39aac1p-10, -0x1.6cde46d096484p-10, -0x1.628882c00310ap-10, -0x1.587eeb839f199p-10, -0x1.4ebf6ce4d1058p-10, -0x1.4547ff392337bp-10, -0x1.3c16a72754c4bp-10, -0x1.3329756d04a37p-10, -0x1.2a7e86a506e01p-10, -0x1.2214030e48ccap-10, -0x1.19e81e5370183p-10, -0x1.11f917530100cp-10, -0x1.0a4537e8462dep-10, -0x1.02cad4b4c6841p-10, -0x1.f71099d4edff7p-11, -0x1.e8f8142d0e10ap-11, -0x1.db48ffd9bc31p-11, -0x1.ce0058288169fp-11, -0x1.c11b2be643871p-11, -0x1.b4969cfa3d96ap-11, -0x1.a86fe00250443p-11, -0x1.9ca43bf0ac4ccp-11, -0x1.913109aad3e5fp-11, -0x1.8613b3a9f6792p-11, -0x1.7b49b59ca5583p-11, -0x1.70d09c09e218cp-11, -0x1.66a603f582fc3p-11, -0x1.5cc79a85f3785p-11, -0x1.53331cab48526p-11, -0x1.49e656c7acb3bp-11, -0x1.40df2459237d9p-11, -0x1.381b6fa49e36bp-11, -0x1.2f9931626549ap-11, -0x1.2756706bd39c8p-11, -0x1.1f51416a608dp-11, -0x1.1787c687facaep-11, -0x1.0ff82f20acdc1p-11, -0x1.08a0b7758dfedp-11, -0x1.017fa860fbcecp-11, -0x1.f526ae1831b2fp-12, -0x1.e7b4494b23df1p-12, -0x1.daa4fc3345f9ep-12, -0x1.cdf5b796b9147p-12, -0x1.c1a3829e4d7b9p-12, -0x1.b5ab7a4cfabbdp-12, -0x1.aa0ad0f9ca185p-12, -0x1.9ebecdcc2ae62p-12, -0x1.93c4cc3aa9254p-12, -0x1.891a3b8c04889p-12, -0x1.7ebc9e5aa2133p-12, -0x1.74a98a1a4e621p-12, -0x1.6adea6a04ed4cp-12, -0x1.6159adadb73a4p-12, -0x1.58186a7c0474p-12, -0x1.4f18b94becc08p-12, -0x1.465886f668d3ap-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0a258e2ab182p-1, 0x1.ef3552bf0a132p-1, 0x1.edb868ec67ce7p-1, 0x1.ec2bda17cc8f8p-1, 0x1.ea8fe6756a308p-1, 0x1.e8e4cfa34df0dp-1, 0x1.e72ad88d037fep-1, 0x1.e56245502f6d2p-1, 0x1.e38b5b22232e1p-1, 0x1.e1a6603668f8fp-1, 0x1.dfb39ba64622p-1, 0x1.ddb3555932aa3p-1, 0x1.dba5d5ee3e83ep-1, 0x1.d98b66a66375dp-1, 0x1.d764514fbbe8cp-1, 0x1.d530e031983f8p-1, 0x1.d2f15df970167p-1, 0x1.d0a615a8a3191p-1, 0x1.ce4f528307abcp-1, 0x1.cbed5ffe40283p-1, 0x1.c98089b1cbacfp-1, 0x1.c7091b47d0869p-1, 0x1.c487606e980e1p-1, 0x1.c1fba4cab2517p-1, 0x1.bf6633e9bf511p-1, 0x1.bcc75935d508cp-1, 0x1.ba1f5fe97a1f2p-1, 0x1.b76e930432615p-1, 0x1.b4b53d3f9638bp-1, 0x1.b1f3a904eb6e4p-1, 0x1.af2a20633f738p-1, 0x1.ac58ed05f94c4p-1, 0x1.a980582bdf5b7p-1, 0x1.a6a0aa9e8bcc9p-1, 0x1.a3ba2caa4b6bep-1, 0x1.a0cd26166216fp-1, 0x1.9dd9de1dae9cbp-1, 0x1.9ae09b67ae0e8p-1, 0x1.97e1a401d57c4p-1, 0x1.94dd3d5943df2p-1, 0x1.91d3ac34c32ecp-1, 0x1.8ec534af1bb43p-1, 0x1.8bb21a31b026fp-1, 0x1.889a9f6f64c66p-1, 0x1.857f065fcd0a3p-1, 0x1.825f903a9bf3bp-1, 0x1.7f3c7d7358c33p-1, 0x1.7c160db550cf6p-1, 0x1.78ec7fdfc95a8p-1, 0x1.75c012026c8edp-1, 0x1.72910159f0187p-1, 0x1.6f5f8a4cf675ep-1, 0x1.6c2be869250fbp-1, 0x1.68f6566072629p-1, 0x1.65bf0e06a64d9p-1, 0x1.6286484f0f976p-1, 0x1.5f4c3d4a6a0c9p-1, 0x1.5c112424f5374p-1, 0x1.58d53324bb3f7p-1, 0x1.55989fa805c0dp-1, 0x1.525b9e23ffb56p-1, 0x1.4f1e62238473cp-1, 0x1.4be11e4617cdbp-1, 0x1.48a4043f0a28fp-1, 0x1.456744d4c50e5p-1, 0x1.422b0fe03f162p-1, 0x1.3eef944c9687ep-1, 0x1.3bb50016d2e6ap-1, 0x1.387b804dca8ddp-1, 0x1.354341122c5dbp-1, 0x1.320c6d96ab0dep-1, 0x1.2ed730204be7p-1, 0x1.2ba3b206d4ee1p-1, 0x1.28721bb55af38p-1, 0x1.254294aaee327p-1, 0x1.2215437b6467dp-1, 0x1.1eea4dd03fb87p-1, 0x1.1bc1d869b1132p-1, 0x1.189c071fb3a54p-1, 0x1.1578fce34474cp-1, 0x1.1258dbbfaede2p-1, 0x1.0f3bc4dbf4c78p-1, 0x1.0c21d87c49149p-1, 0x1.090b3603a1d9ep-1, 0x1.05f7fbf55facep-1, 0x1.02e847f705e27p-1, 0x1.ffb86da410b4bp-2, 0x1.f9a7c8eb52401p-2, 0x1.f39ed7f1cf45cp-2, 0x1.ed9dcf38fea67p-2, 0x1.e7a4e199ebb89p-2, 0x1.e1b440496e717p-2, 0x1.dbcc1adc7fb3bp-2, 0x1.d5ec9f4ca47d3p-2, 0x1.d015f9fc71b51p-2, 0x1.ca4855bc274ap-2, 0x1.c483dbce5e38cp-2, 0x1.bec8b3eccb3f9p-2, 0x1.b917044d10144p-2, 0x1.b36ef1a5a3088p-2, 0x1.add09f32be28bp-2, 0x1.a83c2ebb6305ap-2, 0x1.a2b1c09665f92p-2, 0x1.9d3173af88cebp-2, 0x1.97bb658c9c055p-2, 0x1.924fb252ab806p-2, 0x1.8cee74cb33238p-2, 0x1.8797c66958b54p-2, 0x1.824bbf4f2e1cfp-2, 0x1.7d0a7652f6b5p-2, 0x1.77d4010472548p-2, 0x1.72a873b22a1b7p-2, 0x1.6d87e16ec134p-2, 0x1.68725c1645239p-2, 0x1.6367f45381a03p-2, 0x1.5e68b9a550e16p-2, 0x1.5974ba63f0571p-2, 0x1.548c03c64d04dp-2, 0x1.4faea1e75605ep-2, 0x1.4adc9fcb4482cp-2, 0x1.46160764e64a2p-2, 0x1.415ae19ae1d1cp-2, 0x1.3cab364cf5d02p-2, 0x1.38070c593552fp-2, 0x1.336e69a13b79p-2, 0x1.2ee1530f5e4bbp-2, 0x1.2a5fcc9bd5482p-2, 0x1.25e9d951dcd33p-2, 0x1.217f7b54d234bp-2, 0x1.1d20b3e545743p-2, 0x1.18cd8366065f8p-2, 0x1.1485e96127037p-2, 0x1.1049e48cf4e75p-2, 0x1.0c1972d0ec216p-2, 0x1.07f4914a9be65p-2, 0x1.03db3c528725p-2, 0x1.ff9adf01eefd4p-3, 0x1.f7964b658a81fp-3, 0x1.efa8b21c318eap-3, 0x1.e7d2060e364a8p-3, 0x1.e01238c943145p-3, 0x1.d8693a8996052p-3, 0x1.d0d6fa431f6cp-3, 0x1.c95b65aa9236cp-3, 0x1.c1f6693e59162p-3, 0x1.baa7f04f713ebp-3, 0x1.b36fe50a2e4adp-3, 0x1.ac4e307ee49acp-3, 0x1.a542baaa7bf4cp-3, 0x1.9e4d6a7ee7c16p-3, 0x1.976e25eb8403ep-3, 0x1.90a4d1e55a926p-3, 0x1.89f1526f4ecbcp-3, 0x1.83538aa22a847p-3, 0x1.7ccb5cb49251fp-3, 0x1.7658aa02e3d93p-3, 0x1.6ffb5316f0ed6p-3, 0x1.69b337afa5929p-3, 0x1.638036c890f97p-3, 0x1.5d622ea14def7p-3, 0x1.5758fcc4dc5a8p-3, 0x1.51647e10d07ccp-3, 0x1.4b848ebc709fcp-3, 0x1.45b90a5fb2351p-3, 0x1.4001cbfa1c92cp-3, 0x1.3a5eadf9906b5p-3, 0x1.34cf8a40f23f3p-3, 0x1.2f543a2eb6e58p-3, 0x1.29ec96a35a17bp-3, 0x1.24987807b4719p-3, 0x1.1f57b6533388cp-3, 0x1.1a2a2911fce86p-3, 0x1.150fa76aecfc3p-3, 0x1.1008082581c05p-3, 0x1.0b1321afa6a7dp-3, 0x1.0630ca235ff7fp-3, 0x1.0160d74c656c8p-3, 0x1.f9463d5b28cc3p-4, 0x1.efeeeb0ca2c43p-4, 0x1.e6bb61af91cd7p-4, 0x1.ddab4ad42c17ep-4, 0x1.d4be4fa297fa7p-4, 0x1.cbf418e4d2fbep-4, 0x1.c34c4f105b48cp-4, 0x1.bac69a4fa463p-4, 0x1.b262a28b5a8edp-4, 0x1.aa200f736a7p-4, 0x1.a1fe8887de6ep-4, 0x1.99fdb521820a9p-4, 0x1.921d3c7a4a763p-4, 0x1.8a5cc5b59f79ep-4, 0x1.82bbf7e85be6bp-4, 0x1.7b3a7a20aa212p-4, 0x1.73d7f36da7807p-4, 0x1.6c940ae6d9964p-4, 0x1.656e67b37071ep-4, 0x1.5e66b11159098p-4, 0x1.577c8e5c1e8efp-4, 0x1.50afa7139dd95p-4, 0x1.49ffa2e287332p-4, 0x1.436c29a4b2c4ap-4, 0x1.3cf4e36d46e72p-4, 0x1.3699788cb0339p-4, 0x1.305991966cb5p-4, 0x1.2a34d766a95dcp-4, 0x1.242af327b570ep-4, 0x1.1e3b8e57482e6p-4, 0x1.186652cb9d28p-4, 0x1.12aaeab8649abp-4, 0x1.0d0900b38acb4p-4, 0x1.07803fb9d664dp-4, 0x1.021053335cccbp-4, 0x1.f971cdef9e74bp-5, 0x1.eef34ea53fc1p-5, 0x1.e4a4820e01794p-5, 0x1.da84c2a77439ap-5, 0x1.d0936bedba852p-5, 0x1.c6cfda62a2bf8p-5, 0x1.bd396b9475dbbp-5, 0x1.b3cf7e247e9ep-5, 0x1.aa9171cd4c41fp-5, 0x1.a17ea768acff7p-5, 0x1.989680f56399bp-5, 0x1.8fd8619c9b7d3p-5, 0x1.8743adb71a035p-5, 0x1.7ed7cad22e9f5p-5, 0x1.76941fb4624d9p-5, 0x1.6e781461eb8cfp-5, 0x1.66831220e08c8p-5, 0x1.5eb4837d3276p-5, 0x1.570bd44c67fb7p-5, 0x1.4f8871b1242b8p-5, 0x1.4829ca1e6ea5dp-5, 0x1.40ef4d5aca8c7p-5, 0x1.39d86c83114b9p-5, 0x1.32e49a0d1d876p-5, 0x1.2c1349ca3e18p-5, 0x1.2563f0e978d25p-5, 0x1.1ed605f99b59dp-5, 0x1.186900eb1948ep-5, 0x1.121c5b11bf113p-5, 0x1.0bef8f26328cep-5, 0x1.05e2194749b07p-5, 0x1.ffe6edf6637a7p-6, 0x1.f4464e60e2503p-6, 0x1.e8e1547d7130bp-6, 0x1.ddb703cf22226p-6, 0x1.d2c662adbfc5ap-6, 0x1.c80e7a468666cp-6, 0x1.bd8e569c97656p-6, 0x1.b34506891dcc3p-6, 0x1.a9319bbb2ea62p-6, 0x1.9f532ab7667aap-6, 0x1.95a8cad73d9a3p-6, 0x1.8c31964822036p-6, 0x1.82ecaa0a4db9fp-6, 0x1.79d925ef62b6p-6, 0x1.70f62c98c8e64p-6, 0x1.6842e375d49bap-6, 0x1.5fbe72c1b55c4p-6, 0x1.576805812e88ep-6, 0x1.4f3ec9801bee4p-6, 0x1.4741ef4ec244bp-6, 0x1.3f70aa3ef40e8p-6, 0x1.37ca30610317ep-6, 0x1.304dba8087bep-6, 0x1.28fa8420f910ep-6, 0x1.21cfcb7a1fa8fp-6, 0x1.1accd1745e44ep-6, 0x1.13f0d9a4d24a6p-6, 0x1.0d3b2a4952807p-6, 0x1.06ab0c444661ap-6, 0x1.003fcb185f2bdp-6, 0x1.f3f169c857499p-7, 0x1.e7aa34bb267a9p-7, 0x1.dba89d9a57d1cp-7, 0x1.cfeb5012f5b21p-7, 0x1.c470fce426e3cp-7, 0x1.b93859d540dbap-7, 0x1.ae4021abab92p-7, 0x1.a38714208e75bp-7, 0x1.990bf5d6548ecp-7, 0x1.8ecd904e13138p-7, 0x1.84cab1dcb2106p-7, 0x1.7b022da0042cdp-7, 0x1.7172db73b2cefp-7, 0x1.681b97e60f81cp-7, 0x1.5efb442cbc8b3p-7, 0x1.5610c61948d74p-7, 0x1.4d5b080da74c1p-7, 0x1.44d8f8f08f74fp-7, 0x1.3c898c21ce225p-7, 0x1.346bb96e7a97fp-7, 0x1.2c7e7d051f111p-7, 0x1.24c0d769cf87cp-7, 0x1.1d31cd6a316eap-7, 0x1.15d06811772afp-7, 0x1.0e9bb49c5070ep-7, 0x1.0792c46cd1c2p-7, 0x1.00b4acfe5355ep-7, 0x1.f4010fb294334p-8, 0x1.e6eae50e38ecap-8, 0x1.da251d0be52d8p-8, 0x1.cdae02790c81fp-8, 0x1.c183e7dbe1ff1p-8, 0x1.b5a5275af71dep-8, 0x1.aa1022a4dfef7p-8, 0x1.9ec342d7dbd1ep-8, 0x1.93bcf86988473p-8, 0x1.88fbbb0ea0bf3p-8, 0x1.7e7e09a2c95b9p-8, 0x1.74426a106b6f1p-8, 0x1.6a476938a4012p-8, 0x1.608b9adb449cap-8, 0x1.570d997eece44p-8, 0x1.4dcc0659398acp-8, 0x1.44c589370dc0ap-8, 0x1.3bf8d064f8804p-8, 0x1.33649097b71eep-8, 0x1.2b0784d4d4dc5p-8, 0x1.22e06e5b6da1fp-8, 0x1.1aee148d0f26fp-8, 0x1.132f44d6bfcdap-8, 0x1.0ba2d29a28f6fp-8, 0x1.04479716e7562p-8, 0x1.fa38e2a803a8fp-9, 0x1.ec408c13143a6p-9, 0x1.dea3ff14c9235p-9, 0x1.d1611b5c77bdp-9, 0x1.c475cb7740f32p-9, 0x1.b7e004a4a5d1ap-9, 0x1.ab9dc6ab79852p-9, 0x1.9fad1baf2fafp-9, 0x1.940c1805867b4p-9, 0x1.88b8da0c918b3p-9, 0x1.7db18a0127f3ap-9, 0x1.72f459d5b03ecp-9, 0x1.687f85095402dp-9, 0x1.5e51507f94dd6p-9, 0x1.54680a584ab35p-9, 0x1.4ac209c804757p-9, 0x1.415daef0d73bep-9, 0x1.383962bb8d146p-9, 0x1.2f5396b146a8dp-9, 0x1.26aac4d57db8fp-9, 0x1.1e3d6f807b8c8p-9, 0x1.160a213a31e8cp-9, 0x1.0e0f6c95864dep-9, 0x1.064bec0c079a1p-9, 0x1.fd7c83b417a3ep-10, 0x1.eeca2fb683c1p-10, 0x1.e07e3ecf5a59dp-10, 0x1.d296226213cb9p-10, 0x1.c50f5a4151492p-10, 0x1.b7e7746b5a4b3p-10, 0x1.ab1c0cc7854fep-10, 0x1.9eaacce46c646p-10, 0x1.92916bb70cfebp-10, 0x1.86cdad5ab1608p-10, 0x1.7b5d62d1c1e9cp-10, 0x1.703e69c767d5dp-10, 0x1.656eac520a655p-10, 0x1.5aec20b6a6751p-10, 0x1.50b4c92cfe40dp-10, 0x1.46c6b3a49bb11p-10, 0x1.3d1ff98aabf5cp-10, 0x1.33bebf90b34ccp-10, 0x1.2aa135740ed2cp-10, 0x1.21c595c64fa09p-10, 0x1.192a25b65f718p-10, 0x1.10cd34da81f72p-10, 0x1.08ad1cfb1d75ep-10, 0x1.00c841de51debp-10, 0x1.f23a2228c5cedp-11, 0x1.e3540389cfb09p-11, 0x1.d4db28f991a72p-11, 0x1.c6cca5fa085f2p-11, 0x1.b925a01476e04p-11, 0x1.abe34e7a0a568p-11, 0x1.9f02f9a6090d5p-11, 0x1.9281fb0184458p-11, 0x1.865dbc888ce83p-11, 0x1.7a93b870e5e72p-11, 0x1.6f2178d23411bp-11, 0x1.6404974fa102cp-11, 0x1.593abcc2f702p-11, 0x1.4ec1a0e929afbp-11, 0x1.44970a104d0edp-11, 0x1.3ab8ccc6f49f4p-11, 0x1.3124cb8cf967cp-11, 0x1.27d8f6859fbb6p-11, 0x1.1ed34b2b1c0c4p-11, 0x1.1611d40370465p-11, 0x1.0d92a856a1aefp-11, 0x1.0553ebe63e10ep-11, 0x1.faa79d4c62a53p-12, 0x1.eb2118edc8fa9p-12, 0x1.dc10d9c147736p-12, 0x1.cd7385a08c2aap-12, 0x1.bf45d8aa2a85bp-12, 0x1.b184a4bfdae74p-12, 0x1.a42cd1072e306p-12, 0x1.973b596ca13d6p-12, 0x1.8aad4e290fec4p-12, 0x1.7e7fd3497d502p-12, 0x1.72b02039296a5p-12, 0x1.673b7f4debda3p-12, 0x1.5c1f4d56cd362p-12, 0x1.5158f92cd4b0dp-12, 0x1.46e6034605184p-12, 0x1.3cc3fd4a7d042p-12, 0x1.32f089abb8673p-12, 0x1.29695b3de600cp-12, 0x1.202c34d34c2dp-12, 0x1.1736e8d9b39fap-12, 0x1.0e8758f9d1ba2p-12, 0x1.061b75b8aa62cp-12, 0x1.fbe27c35bee79p-13, 0x1.ec0d7e93d7eb4p-13, 0x1.dcb4287675db2p-13, 0x1.cdd2cab23468ap-13, 0x1.bf65d05afed7bp-13, 0x1.b169be1d2972p-13, 0x1.a3db319a117f9p-13, 0x1.96b6e0c83641dp-13, 0x1.89f99956b8079p-13, 0x1.7da0401430bccp-13, 0x1.71a7d058dcf4fp-13, 0x1.660d5b73fa6a8p-13, 0x1.5ace081c5dc02p-13, 0x1.4fe711e4247e5p-13, 0x1.4555c8af7fb3bp-13, 0x1.3b17902e7ee54p-13, 0x1.3129df59da68cp-13, 0x1.278a3ff2a3f06p-13, 0x1.1e364e04d7e03p-13, 0x1.152bb76cc1eb8p-13, 0x1.0c683b5f2040ep-13, 0x1.03e9a9f40379ep-13, 0x1.f75bc768ad2a1p-14, 0x1.e765b2540dc0cp-14, 0x1.d7ed14e57739ap-14, 0x1.c8ee0daa3381dp-14, 0x1.ba64d8b0ea756p-14, 0x1.ac4dcebdfc33ep-14, 0x1.9ea564848ed1ap-14, 0x1.916829e447d4fp-14, 0x1.8492c92ba6af8p-14, 0x1.7822065ed5b1ap-14, 0x1.6c12be82e7311p-14, 0x1.6061e6ed64982p-14, 0x1.550c8c981bb8ep-14, 0x1.4a0fd37913283p-14, 0x1.3f68f5de91a13p-14, 0x1.351543cf22776p-14, 0x1.2b12226d842c9p-14, 0x1.215d0b606b02ap-14, 0x1.17f38c3e05859p-14, 0x1.0ed345fb2d9cfp-14, 0x1.05f9ec5e33c68p-14, 0x1.faca8aea62638p-15, 0x1.ea26521f9c5eep-15, 0x1.da030078d35ccp-15, 0x1.ca5c89911fdf3p-15, 0x1.bb2f01895f069p-15, 0x1.ac769c15f28f5p-15, 0x1.9e2fab92b4f63p-15, 0x1.9056a01d01b23p-15, 0x1.82e806b3aeecap-15, 0x1.75e0885cd39d2p-15, 0x1.693ce95140735p-15, 0x1.5cfa082d88405p-15, 0x1.5114dd287548bp-15, 0x1.458a794ed1ebap-15, 0x1.3a5805c465455p-15, 0x1.2f7ac30a00db4p-15, 0x1.24f0084888fb7p-15, 0x1.1ab542a0d704ep-15, 0x1.10c7f4805a383p-15, 0x1.0725b4fa5a3d8p-15, 0x1.fb985e4b8506p-16, 0x1.e97242feb28c5p-16, 0x1.d7d4baa0938dp-16, 0x1.c6bb8c31c9a1p-16, 0x1.b622a1ff08565p-16, 0x1.a6060886e0f68p-16, 0x1.9661ed676dc13p-16, 0x1.87329e53aa293p-16, 0x1.7874881045a34p-16, 0x1.6a243577c5cb1p-16, 0x1.5c3e4e85cd5acp-16, 0x1.4ebf97695130ap-16, 0x1.41a4ef9da22c5p-16, 0x1.34eb510a0bbfbp-16, 0x1.288fcf27ef6e5p-16, 0x1.1c8f962f2c39bp-16, 0x1.10e7ea48a6074p-16, 0x1.059626c6d19d6p-16, 0x1.f52f7ac829e18p-17, 0x1.dfd46b0dab214p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d1fdee411857ap-3, -0x1.e868e787e2858p-3, -0x1.fe93ed364b5ep-3, -0x1.0a3be5f25b4e9p-2, -0x1.1506aace7042cp-2, -0x1.1fa6b67d07f76p-2, -0x1.2a18879b732p-2, -0x1.3458ae9818af7p-2, -0x1.3e63d1b3e23eep-2, -0x1.4836b08a69ae3p-2, -0x1.51ce2728410a1p-2, -0x1.5b2730b6ff206p-2, -0x1.643ee9c696388p-2, -0x1.6d12923b55e79p-2, -0x1.759f8ee780738p-2, -0x1.7de36ad6fe8bep-2, -0x1.85dbd85344efdp-2, -0x1.8d86b1a515993p-2, -0x1.94e1f99963818p-2, -0x1.9bebdbce4970ep-2, -0x1.a2a2acccc08c9p-2, -0x1.a904e9f379063p-2, -0x1.af1139371651fp-2, -0x1.b4c668bbd011cp-2, -0x1.ba236e4c5afe6p-2, -0x1.bf2766b1d973cp-2, -0x1.c3d194f06ad31p-2, -0x1.c821616bcb18cp-2, -0x1.cc1658f7568c8p-2, -0x1.cfb02bd48cb6bp-2, -0x1.d2eeaca314b3dp-2, -0x1.d5d1cf45092fap-2, -0x1.d859a7ba225fp-2, -0x1.da8668f42938ep-2, -0x1.dc5863a6e209cp-2, -0x1.ddd00515697aap-2, -0x1.deedd5decc8fbp-2, -0x1.dfb278cb65af3p-2, -0x1.e01ea99c67545p-2, -0x1.e0333bdeb24e3p-2, -0x1.dff119c1fbe7p-2, -0x1.df5942f511c8cp-2, -0x1.de6ccb87dfaabp-2, -0x1.dd2cdad3ba486p-2, -0x1.db9aaa6a4c6ecp-2, -0x1.d9b7850b6a4a4p-2, -0x1.d784c5a1edb5bp-2, -0x1.d503d647b114fp-2, -0x1.d2362f509e2f9p-2, -0x1.cf1d565cc91ecp-2, -0x1.cbbadd716fbaap-2, -0x1.c8106218b7b3ep-2, -0x1.c41f8c87feedfp-2, -0x1.bfea0ecc863f3p-2, -0x1.bb71a3fe3f2c5p-2, -0x1.b6b80f78899afp-2, -0x1.b1bf1c18a4c9ap-2, -0x1.ac889b81a018bp-2, -0x1.a7166565989eep-2, -0x1.a16a56d4155c7p-2, -0x1.9b86518d528c7p-2, -0x1.956c3b5a5955fp-2, -0x1.8f1dfd69bc484p-2, -0x1.889d83b0ddcd9p-2, -0x1.81ecbc51a4df3p-2, -0x1.7b0d97048c312p-2, -0x1.74020486f2c2cp-2, -0x1.6ccbf60dadd5p-2, -0x1.656d5cbbc0205p-2, -0x1.5de8291d3ea53p-2, -0x1.563e4aa6510fbp-2, -0x1.4e71af3652134p-2, -0x1.4684429f0d8c8p-2, -0x1.3e77ee301720dp-2, -0x1.364e98463ff69p-2, -0x1.2e0a23df29c0dp-2, -0x1.25ac7030fb877p-2, -0x1.1d375846311f8p-2, -0x1.14acb29d959cp-2, -0x1.0c0e50ce57fe9p-2, -0x1.035dff3045287p-2, -0x1.f53b091047edep-3, -0x1.e39d437052dabp-3, -0x1.d1e622e91a913p-3, -0x1.c0190ff85ba98p-3, -0x1.ae3965aa86097p-3, -0x1.9c4a711c2f1f4p-3, -0x1.8a4f710377877p-3, -0x1.784b95414fe0fp-3, -0x1.6641fe7a8dddap-3, -0x1.5435bdb89be56p-3, -0x1.4229d411be05bp-3, -0x1.30213258bf514p-3, -0x1.1e1eb8d3dc95ap-3, -0x1.0c2536fad3c69p-3, -0x1.f46ed677c86fep-4, -0x1.d0b0058f33abbp-4, -0x1.ad1332c667b0ep-4, -0x1.899d7282f7311p-4, -0x1.6653b5c3bb5eep-4, -0x1.433ac9eb15c92p-4, -0x1.20575894f7bffp-4, -0x1.fb5bcef077bbp-5, -0x1.b685b0a5dc3e8p-5, -0x1.7234d1c239c11p-5, -0x1.2e7165bb9ac5cp-5, -0x1.d686b036a24c7p-6, -0x1.5164994bf4014p-6, -0x1.9b167e556ac2dp-7, -0x1.2c232f1a5bb09p-8, 0x1.b0a925b14958ep-9, 0x1.6b83062ac63d1p-7, 0x1.33efcc222c352p-6, 0x1.b094079a11535p-6, 0x1.15d16381e65c5p-5, 0x1.528892367fcp-5, 0x1.8e6a608822b04p-5, 0x1.c971e1f288427p-5, 0x1.01cd3606a7a35p-4, 0x1.1e6fcadfd6d3dp-4, 0x1.3a9e9b357c60ap-4, 0x1.5657b28652bbfp-4, 0x1.71993bac2a185p-4, 0x1.8c6180654190bp-4, 0x1.a6aee8da37eafp-4, 0x1.c07ffb20d9f88p-4, 0x1.d9d35abc14414p-4, 0x1.f2a7c8193bdbep-4, 0x1.057e100582aedp-3, 0x1.1167ada121139p-3, 0x1.1d1046e25eb65p-3, 0x1.287773312e152p-3, 0x1.339cd7145de8ep-3, 0x1.3e8023eabc15cp-3, 0x1.492117a3af62ep-3, 0x1.537f7c7750c63p-3, 0x1.5d9b289e230d6p-3, 0x1.6773fe087ee0ap-3, 0x1.7109ea15bdaf1p-3, 0x1.7a5ce54b440edp-3, 0x1.836cf30b6e34fp-3, 0x1.8c3a214c81b53p-3, 0x1.94c4884fa487dp-3, 0x1.9d0c4a57f2d99p-3, 0x1.a5119361bff4cp-3, 0x1.acd498da1057dp-3, 0x1.b455995659483p-3, 0x1.bb94dc4c9699cp-3, 0x1.c292b1cbc0563p-3, 0x1.c94f7234a9f21p-3, 0x1.cfcb7df35a042p-3, 0x1.d6073d38e186dp-3, 0x1.dc031fb5c27acp-3, 0x1.e1bf9c54e5083p-3, 0x1.e73d30f72e79cp-3, 0x1.ec7c622fbcb34p-3, 0x1.f17dbb00d0b41p-3, 0x1.f641cc996d6afp-3, 0x1.fac92e13b1e57p-3, 0x1.ff147c33fa499p-3, 0x1.01922c9463cd6p-2, 0x1.037cb625bcdc2p-2, 0x1.054a30f0ece9cp-2, 0x1.06faf5704299cp-2, 0x1.088f5e571b411p-2, 0x1.0a07c873f580bp-2, 0x1.0b649292ff05p-2, 0x1.0ca61d6111fb4p-2, 0x1.0dcccb4f2e8d9p-2, 0x1.0ed900766b8e5p-2, 0x1.0fcb227c655d4p-2, 0x1.10a39878262f7p-2, 0x1.1162cad78ec34p-2, 0x1.120923453cdd5p-2, 0x1.12970c8ef3f3fp-2, 0x1.130cf28c84f52p-2, 0x1.136b4207398d3p-2, 0x1.13b268a1c27cap-2, 0x1.13e2d4c0a6cb8p-2, 0x1.13fcf5733b534p-2, 0x1.14013a5d1b25dp-2, 0x1.13f013a026181p-2, 0x1.13c9f1c7041f2p-2, 0x1.138f45b02d0ecp-2, 0x1.1340807976ec9p-2, 0x1.12de136c2752ep-2, 0x1.12686fe98cbap-2, 0x1.11e0075816dbep-2, 0x1.11454b10faf39p-2, 0x1.1098ac4e5636p-2, 0x1.0fda9c19d43b7p-2, 0x1.0f0b8b3bdc6e5p-2, 0x1.0e2bea2b3cd27p-2, 0x1.0d3c28fd592d6p-2, 0x1.0c3cb756da9b1p-2, 0x1.0b2e045cdeae3p-2, 0x1.0a107ea6a4588p-2, 0x1.08e4942fbb72bp-2, 0x1.07aab24aaa935p-2, 0x1.0663459417842p-2, 0x1.050eb9e666071p-2, 0x1.03ad7a4dd06dep-2, 0x1.023ff0fcfd19fp-2, 0x1.00c6874203b12p-2, 0x1.fe834af7dd95bp-3, 0x1.fb6366215c658p-3, 0x1.f82e2cc6f8ce4p-3, 0x1.f4e469976a3c8p-3, 0x1.f186e5183a88ap-3, 0x1.ee1665952f35ap-3, 0x1.ea93af108b12dp-3, 0x1.e6ff833429202p-3, 0x1.e35aa14365478p-3, 0x1.dfa5c60dd830ap-3, 0x1.dbe1abe2dc835p-3, 0x1.d80f0a85da138p-3, 0x1.d42e97235b5c2p-3, 0x1.d0410446dad14p-3, 0x1.cc4701d1561b3p-3, 0x1.c8413cf095a3cp-3, 0x1.c430601729569p-3, 0x1.c01512f5170fap-3, 0x1.bbeffa713b99ap-3, 0x1.b7c1b8a34f477p-3, 0x1.b38aecce91ae2p-3, 0x1.af4c335d1f227p-3, 0x1.ab0625dbd9fc8p-3, 0x1.a6b95af6f3118p-3, 0x1.a26666770cfc9p-3, 0x1.9e0dd93ee9813p-3, 0x1.99b04149af19ap-3, 0x1.954e29a9aef1ap-3, 0x1.90e81a87ba419p-3, 0x1.8c7e9922fab97p-3, 0x1.881227d1428c1p-3, 0x1.83a345ffe06b9p-3, 0x1.7f327034e4fdep-3, 0x1.7ac02010e1b45p-3, 0x1.764ccc511211bp-3, 0x1.71d8e8d1f2e3fp-3, 0x1.6d64e69247719p-3, 0x1.68f133b67b028p-3, 0x1.647e3b8c66afdp-3, 0x1.600c668f78d66p-3, 0x1.5b9c1a6d31dbbp-3, 0x1.572dba09f645cp-3, 0x1.52c1a5863b6bdp-3, 0x1.4e583a43f7015p-3, 0x1.49f1d2ec6939fp-3, 0x1.458ec7762480ap-3, 0x1.412f6d2b5e306p-3, 0x1.3cd416b081458p-3, 0x1.387d140b03077p-3, 0x1.342ab2a86d5aap-3, 0x1.2fdd3d65a4012p-3, 0x1.2b94fc9663087p-3, 0x1.2752360cecb69p-3, 0x1.23152d21e0cecp-3, 0x1.1ede22bc4de42p-3, 0x1.1aad5559e175ap-3, 0x1.1683011742428p-3, 0x1.125f5fb890718p-3, 0x1.0e42a8b203a06p-3, 0x1.0a2d1130ad03ap-3, 0x1.061ecc2353088p-3, 0x1.02180a4363d5bp-3, 0x1.fc31f43c0b67fp-4, 0x1.f443903a6cd68p-4, 0x1.ec653d220680cp-4, 0x1.e4974b719c495p-4, 0x1.dcda07993ca9ep-4, 0x1.d52dba0d06e25p-4, 0x1.cd92a757fd78ep-4, 0x1.c609102eec13fp-4, 0x1.be91318359a47p-4, 0x1.b72b44967c52cp-4, 0x1.afd77f0c3f02ep-4, 0x1.a89612fe3a888p-4, 0x1.a1672f0ebced9p-4, 0x1.9a4afe7bb2d11p-4, 0x1.9341a931a8856p-4, 0x1.8c4b53de9e7f9p-4, 0x1.85682004e7a0dp-4, 0x1.7e982c0de93dbp-4, 0x1.77db935cca9bcp-4, 0x1.71326e610caf7p-4, 0x1.6a9cd2a9082aep-4, 0x1.641ad2f4501aep-4, 0x1.5dac7f45f5067p-4, 0x1.5751e4f6a836fp-4, 0x1.510b0ec6bb77p-4, 0x1.4ad804effcc0ap-4, 0x1.44b8cd3769fcfp-4, 0x1.3ead6afebcd3ep-4, 0x1.38b5df55cbe9cp-4, 0x1.32d2290bbf6d6p-4, 0x1.2d0244c018ca5p-4, 0x1.27462cf3899fdp-4, 0x1.219dda189bbf3p-4, 0x1.1c0942a426264p-4, 0x1.16885b1d8e9a6p-4, 0x1.111b162ed7b8cp-4, 0x1.0bc164b478502p-4, 0x1.067b35ccfd6cap-4, 0x1.014876e874182p-4, 0x1.f85227af359e7p-5, 0x1.ee39edb5b554ap-5, 0x1.e44811620b303p-5, 0x1.da7c614bb5c7dp-5, 0x1.d0d6a940a08c1p-5, 0x1.c756b2613efbap-5, 0x1.bdfc433c2f28ep-5, 0x1.b4c71fe965533p-5, 0x1.abb70a24d9e45p-5, 0x1.a2cbc168c1eap-5, 0x1.9a05030749999p-5, 0x1.91628a43d4628p-5, 0x1.88e4106bc3448p-5, 0x1.80894ceebe3d3p-5, 0x1.7851f57681836p-5, 0x1.703dbdfe31b8bp-5, 0x1.684c58e932801p-5, 0x1.607d7719840b3p-5, 0x1.58d0c805a1fe3p-5, 0x1.5145f9cdeccf1p-5, 0x1.49dcb95196981p-5, 0x1.4294b24314101p-5, 0x1.3b6d8f3c19c1dp-5, 0x1.3466f9d11cb5bp-5, 0x1.2d809aa45d96ep-5, 0x1.26ba19787c389p-5, 0x1.20131d4295f13p-5, 0x1.198b4c3bed62ep-5, 0x1.13224bf320457p-5, 0x1.0cd7c15ce96dap-5, 0x1.06ab50e46f13ap-5, 0x1.009c9e7b22449p-5, 0x1.f5569b505c2dp-6, 0x1.e9ae032eed41p-6, 0x1.de3eba505c143p-6, 0x1.d30805f5f1548p-6, 0x1.c8092aff5585fp-6, 0x1.bd416e053309dp-6, 0x1.b2b013730aabdp-6, 0x1.a8545fa03ab4ep-6, 0x1.9e2d96e839ecap-6, 0x1.943afdc20ac16p-6, 0x1.8a7bd8d6e74cp-6, 0x1.80ef6d1832252p-6, 0x1.7794ffd49df92p-6, 0x1.6e6bd6cc9edb5p-6, 0x1.6573384623eeap-6, 0x1.5caa6b1f9478bp-6, 0x1.5410b6e21e70cp-6, 0x1.4ba563d3546e3p-6, 0x1.4367bb061c5fap-6, 0x1.3b57066af77cp-6, 0x1.337290df9e7fbp-6, 0x1.2bb9a63e0267p-6, 0x1.242b936aa0c05p-6, 0x1.1cc7a66247093p-6, 0x1.158d2e47337e1p-6, 0x1.0e7b7b6da0074p-6, 0x1.0791df67ba13cp-6, 0x1.00cfad110d036p-6, 0x1.f4687132aa8b1p-7, 0x1.e77daf1da6ccap-7, 0x1.daddc1d01f1b8p-7, 0x1.ce875a1a35a13p-7, 0x1.c2792bc0a5171p-7, 0x1.b6b1ed8d37dc5p-7, 0x1.ab30595e5ddedp-7, 0x1.9ff32c35c0f66p-7, 0x1.94f92645f3dap-7, 0x1.8a410aff3e7ddp-7, 0x1.7fc9a11b80d2p-7, 0x1.7591b2a9469ecp-7, 0x1.6b980d16040cep-7, 0x1.61db81377daa1p-7, 0x1.585ae3546b65ap-7, 0x1.4f150b2c5d8dcp-7, 0x1.4608d3fed8f84p-7, 0x1.3d351c91c18e7p-7, 0x1.3498c73710fc5p-7, 0x1.2c32b9d1dc53fp-7, 0x1.2401dddab39e4p-7, 0x1.1c0520635bc67p-7, 0x1.143b7219ea9c9p-7, 0x1.0ca3c74b48512p-7, 0x1.053d17e51d4dfp-7, 0x1.fc0cbeee5bf28p-8, 0x1.edfd3a685a81cp-8, 0x1.e049a7e40cfaep-8, 0x1.d2f014534d1ddp-8, 0x1.c5ee93ec8ce75p-8, 0x1.b94342287b5d6p-8, 0x1.acec41bebd337p-8, 0x1.a0e7bca1c6393p-8, 0x1.9533e3f9d97c6p-8, 0x1.89cef01f38907p-8, 0x1.7eb720938afdp-8, 0x1.73eabbfa844c8p-8, 0x1.69681011d36e2p-8, 0x1.5f2d71a85d623p-8, 0x1.55393c94d2f4dp-8, 0x1.4b89d3ab9f47p-8, 0x1.421da0b43e9f9p-8, 0x1.38f3145dff36ap-8, 0x1.3008a63435d34p-8, 0x1.275cd491ea2e5p-8, 0x1.1eee249504625p-8, 0x1.16bb22110033p-8, 0x1.0ec25f812ca52p-8, 0x1.070275fa7d874p-8, 0x1.fef40a39ed0ccp-9, 0x1.f04f6609677b3p-9, 0x1.e21458752c77p-9, 0x1.d4404749331afp-9, 0x1.c6d0a4ebb1957p-9, 0x1.b9c2f03c8d8eep-9, 0x1.ad14b4743eb2cp-9, 0x1.a0c389022e0ebp-9, 0x1.94cd116a9a276p-9, 0x1.892efd240a77p-9, 0x1.7de7077457f59p-9, 0x1.72f2f74d5c1f1p-9, 0x1.68509f2941f65p-9, 0x1.5dfddce690194p-9, 0x1.53f899a3e5b55p-9, 0x1.4a3ec99b7c604p-9, 0x1.40ce6bfe7595ap-9, 0x1.37a58acfef58fp-9, 0x1.2ec23abffc21ep-9, 0x1.26229b066fffep-9, 0x1.1dc4d53d96a8bp-9, 0x1.15a71d3cd4231p-9, 0x1.0dc7b0f335ad8p-9, 0x1.0624d841feb5p-9, 0x1.fd79c9ae58725p-10, 0x1.ef1c640fff047p-10, 0x1.e12e495723b16p-10, 0x1.d3ac55eae39e4p-10, 0x1.c69378a0ae20cp-10, 0x1.b9e0b271d2a3ap-10, 0x1.ad9116314b578p-10, 0x1.a1a1c841ca514p-10, 0x1.960ffe4c05b5ap-10, 0x1.8ad8fef560372p-10, 0x1.7ffa2196e064dp-10, 0x1.7570cdf48f8d6p-10, 0x1.6b3a7bf53f182p-10, 0x1.6154b35ab0f19p-10, 0x1.57bd0b7a44d35p-10, 0x1.4e712af615032p-10, 0x1.456ec77696cc8p-10, 0x1.3cb3a564beb55p-10, 0x1.343d97a4b3bp-10, 0x1.2c0a7f51114a9p-10, 0x1.24184b76bc3bfp-10, 0x1.1c64f8d15370ep-10, 0x1.14ee91883d99ap-10, 0x1.0db32cec57b7ap-10, 0x1.06b0ef364b6e5p-10, 0x1.ffcc128b0fcf9p-11, 0x1.f2a170bfe4f29p-11, 0x1.e5de8be47296ep-11, 0x1.d9800ea1c0b21p-11, 0x1.cd82baf400dd6p-11, 0x1.c1e369af7a072p-11, 0x1.b69f0a06e7af3p-11, 0x1.abb2a1134e0a3p-11, 0x1.a11b495d491e7p-11, 0x1.96d63267d9c91p-11, 0x1.8ce0a03cb1914p-11, 0x1.8337eafa0190ep-11, 0x1.79d97e61cfd4p-11, 0x1.70c2d96ad2813p-11, 0x1.67f18dd2d3f28p-11, 0x1.5f633fb2a1525p-11, 0x1.5715a51383826p-11, 0x1.4f068586453abp-11, 0x1.4733b9bbc53fdp-11, 0x1.3f9b2b1f13568p-11, 0x1.383ad3711e09ap-11, 0x1.3110bc65e8b3ap-11, 0x1.2a1aff4350529p-11, 0x1.2357c4815b8e1p-11, 0x1.1cc5436c141fdp-11, 0x1.1661c1c6ea4d8p-11, 0x1.102b9371a1c66p-11, 0x1.0a211a0ec362ep-11, 0x1.0440c4ab94e84p-11, 0x1.fd121ed3298f6p-12, 0x1.f1f10652ec7f1p-12, 0x1.e71b6a6f3a629p-12, 0x1.dc8e8df42c984p-12, 0x1.d247cb4016a33p-12, 0x1.c84493a55b34ep-12, 0x1.be826ecf2db5cp-12, 0x1.b4fefa2939ffdp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.94d877a11364bp-3, -0x1.a8ed7d9adff07p-3, -0x1.bcf081485a2dfp-3, -0x1.d0dec5b5a784ep-3, -0x1.e4b57dd941937p-3, -0x1.f871d09050b78p-3, -0x1.06086e320ad27p-2, -0x1.0fc7dd8aa7634p-2, -0x1.1975c275f4543p-2, -0x1.2310a9e536c5dp-2, -0x1.2c972302e235p-2, -0x1.3607c0812f12bp-2, -0x1.3f6119cc46fdfp-2, -0x1.48a1cc2112e72p-2, -0x1.51c87b89d0761p-2, -0x1.5ad3d3c1acaddp-2, -0x1.63c28900a54d3p-2, -0x1.6c9358b0f1facp-2, -0x1.75450a0f356a1p-2, -0x1.7dd66eb6af2d5p-2, -0x1.8646631a98d3cp-2, -0x1.8e93ceedd8153p-2, -0x1.96bda57a1a3c5p-2, -0x1.9ec2e5e76c21p-2, -0x1.a6a29b755696p-2, -0x1.ae5bdda67ad95p-2, -0x1.b5edd05fa2afep-2, -0x1.bd57a3fb328c2p-2, -0x1.c4989551e2002p-2, -0x1.cbafedb995837p-2, -0x1.d29d02fb2ca5bp-2, -0x1.d95f374011a28p-2, -0x1.dff5f8f8503f1p-2, -0x1.e660c2b9e995dp-2, -0x1.ec9f1b1a1a02dp-2, -0x1.f2b0948138c1dp-2, -0x1.f894ccf9d54a1p-2, -0x1.fe4b6dfb9f956p-2, -0x1.01ea161958ddep-1, -0x1.049763a1dc1e3p-1, -0x1.072d84c6b9d4p-1, -0x1.09ac63f40292bp-1, -0x1.0c13f0b1350b1p-1, -0x1.0e641f7f443f3p-1, -0x1.109ce9b60fa84p-1, -0x1.12be4d6172065p-1, -0x1.14c84d1e0ce69p-1, -0x1.16baeff5ed3ccp-1, -0x1.1896413d2303bp-1, -0x1.1a5a506e67d18p-1, -0x1.1c073107e3c4bp-1, -0x1.1d9cfa6828c21p-1, -0x1.1f1bc7ab6e91cp-1, -0x1.2083b7891ecf1p-1, -0x1.21d4ec31bddd8p-1, -0x1.230f8b2d369ap-1, -0x1.2433bd3992e6p-1, -0x1.2541ae2a27354p-1, -0x1.26398cc7346a2p-1, -0x1.271b8aae07423p-1, -0x1.27e7dc319439cp-1, -0x1.289eb83b95d6fp-1, -0x1.2940582e2eacbp-1, -0x1.29ccf7c60c029p-1, -0x1.2a44d4fd125ep-1, -0x1.2aa82fed8a77p-1, -0x1.2af74ab5d72d6p-1, -0x1.2b32695cafa6ep-1, -0x1.2b59d1b5dfc97p-1, -0x1.2b6dcb478d882p-1, -0x1.2b6e9f3004539p-1, -0x1.2b5c980c05245p-1, -0x1.2b3801dd9ae71p-1, -0x1.2b0129f3750c8p-1, -0x1.2ab85ed0c561ap-1, -0x1.2a5df015a2492p-1, -0x1.29f22e67edc78p-1, -0x1.29756b5cc07fep-1, -0x1.28e7f96258a1dp-1, -0x1.284a2baa8baeap-1, -0x1.279c5615be63p-1, -0x1.26decd1e5e5e1p-1, -0x1.2611e5c4e09b1p-1, -0x1.2535f57c42c28p-1, -0x1.244b521710a47p-1, -0x1.235251b4ec8a6p-1, -0x1.224b4ab09a60cp-1, -0x1.2136938e8e98fp-1, -0x1.201482ebfe20cp-1, -0x1.1ee56f6e71693p-1, -0x1.1da9afb3d84adp-1, -0x1.1c619a431fdfbp-1, -0x1.1b0d857d46974p-1, -0x1.19adc78ef2403p-1, -0x1.1842b66283326p-1, -0x1.16cca792a5b1ep-1, -0x1.154bf05d60017p-1, -0x1.13c0e5979c43p-1, -0x1.122bdba12c2bbp-1, -0x1.108d265946fbbp-1, -0x1.0ee519137e356p-1, -0x1.0d34068d286b3p-1, -0x1.0b7a40e341eb6p-1, -0x1.09b81988bfc4fp-1, -0x1.07ede13d54455p-1, -0x1.061be804a2baep-1, -0x1.04427d1de2449p-1, -0x1.0261eefbeb106p-1, -0x1.007a8b3dae087p-1, -0x1.fd193d4e2b3a8p-2, -0x1.f930ea34945b3p-2, -0x1.f53cb322b8ee3p-2, -0x1.f13d2c30a2026p-2, -0x1.ed32e78f13bc7p-2, -0x1.e91e757d202adp-2, -0x1.e500643e6b565p-2, -0x1.e0d94012272a4p-2, -0x1.dca9932ab60b6p-2, -0x1.d871e5a5fd5bap-2, -0x1.d432bd8655e0fp-2, -0x1.cfec9eac21fafp-2, -0x1.cba00acffb94p-2, -0x1.c74d817d7b907p-2, -0x1.c2f5800e910e3p-2, -0x1.be9881a76b198p-2, -0x1.ba36ff32e8146p-2, -0x1.b5d16f5f8de62p-2, -0x1.b168469d0063dp-2, -0x1.acfbf719f977p-2, -0x1.a88cf0c2b47ebp-2, -0x1.a41ba13fd2327p-2, -0x1.9fa873f5ac3b2p-2, -0x1.9b33d20414fc9p-2, -0x1.96be224681ce4p-2, -0x1.9247c95495f6p-2, -0x1.8dd1298313aaep-2, -0x1.895aa2e52741cp-2, -0x1.84e4934e0cf33p-2, -0x1.806f56530bf33p-2, -0x1.7bfb454dc51a3p-2, -0x1.7788b75ed0469p-2, -0x1.73180170a4129p-2, -0x1.6ea9763ac84e3p-2, -0x1.6a3d66454a719p-2, -0x1.65d41fec79bfcp-2, -0x1.616def64dad3bp-2, -0x1.5d0b1ebf5c445p-2, -0x1.58abf5edc475fp-2, -0x1.5450bac7526f3p-2, -0x1.4ff9b10d94c78p-2, -0x1.4ba71a7170f58p-2, -0x1.47593698577aap-2, -0x1.43104321a4798p-2, -0x1.3ecc7bac2a853p-2, -0x1.3a8e19dbe1107p-2, -0x1.3655555fbb53p-2, -0x1.322263f79df87p-2, -0x1.2df5797a74e99p-2, -0x1.29cec7dc69319p-2, -0x1.25ae7f352f83cp-2, -0x1.2194cdc672e72p-2, -0x1.1d81e00254eefp-2, -0x1.1975e092030f9p-2, -0x1.1570f85c6504fp-2, -0x1.11734e8cd5c72p-2, -0x1.0d7d0899f12afp-2, -0x1.098e4a4c71573p-2, -0x1.05a735c61495cp-2, -0x1.01c7eb88936a2p-2, -0x1.fbe114f93a81cp-3, -0x1.f4425ff1bcb75p-3, -0x1.ecb3ef921b4f1p-3, -0x1.e535f869fed44p-3, -0x1.ddc8ac0f76054p-3, -0x1.d66c392d2e87bp-3, -0x1.cf20cb90a4d08p-3, -0x1.c7e68c3864c28p-3, -0x1.c0bda16239967p-3, -0x1.b9a62e99630a6p-3, -0x1.b2a054c4c549dp-3, -0x1.abac323509e1ap-3, -0x1.a4c9e2b2c0b45p-3, -0x1.9df97f8c6af08p-3, -0x1.973b1fa480c07p-3, -0x1.908ed77f61dd2p-3, -0x1.89f4b95138fp-3, -0x1.836cd50bc7347p-3, -0x1.7cf7386c22e79p-3, -0x1.7693ef0858b18p-3, -0x1.7043025cf9b4p-3, -0x1.6a0479da9017dp-3, -0x1.63d85af2f8546p-3, -0x1.5dbea9269f33cp-3, -0x1.57b76611a654p-3, -0x1.51c29178e65a8p-3, -0x1.4be02956d501dp-3, -0x1.461029e849ba4p-3, -0x1.40528db927064p-3, -0x1.3aa74db0d5381p-3, -0x1.350e611eaab68p-3, -0x1.2f87bdc6213dbp-3, -0x1.2a1357eaf603p-3, -0x1.24b1225d15129p-3, -0x1.1f610e846c0b5p-3, -0x1.1a230c6c8f1e6p-3, -0x1.14f70ad03759bp-3, -0x1.0fdcf7249ea54p-3, -0x1.0ad4bda4ac406p-3, -0x1.05de495bffd23p-3, -0x1.00f98431cc18fp-3, -0x1.f84cade71e981p-4, -0x1.eec952bf37facp-4, -0x1.e568c45ef8515p-4, -0x1.dc2ace444eccap-4, -0x1.d30f3a0c1c09p-4, -0x1.ca15cf85f9165p-4, -0x1.c13e54c79dbep-4, -0x1.b8888e3ffce67p-4, -0x1.aff43eca01f62p-4, -0x1.a78127bef641bp-4, -0x1.9f2f090893ca5p-4, -0x1.96fda132c7f14p-4, -0x1.8eecad7d099fep-4, -0x1.86fbe9eb70fbfp-4, -0x1.7f2b115768e63p-4, -0x1.7779dd800f8cp-4, -0x1.6fe8071a3e222p-4, -0x1.687545e03d0f6p-4, -0x1.612150a11ff43p-4, -0x1.59ebdd4fcd40bp-4, -0x1.52d4a111b078dp-4, -0x1.4bdb504d17255p-4, -0x1.44ff9eb73a626p-4, -0x1.3e413f61f4839p-4, -0x1.379fe4c922cdep-4, -0x1.311b40dfb5bdfp-4, -0x1.2ab3051c6deb4p-4, -0x1.2466e28648ep-4, -0x1.1e3689c09c7d9p-4, -0x1.1821ab16e2dbdp-4, -0x1.1227f68835f14p-4, -0x1.0c491bd27ee06p-4, -0x1.0684ca7d54866p-4, -0x1.00dab1e490534p-4, -0x1.f69502852a0c4p-5, -0x1.eba7cf74954a8p-5, -0x1.e0ed28c1a17fbp-5, -0x1.d6646c8dcce5ep-5, -0x1.cc0cf90415a89p-5, -0x1.c1e62c6aab2dep-5, -0x1.b7ef65340ec35p-5, -0x1.ae28020fafa5ep-5, -0x1.a48f61f9f6c8dp-5, -0x1.9b24e44bd0132p-5, -0x1.91e7e8c9abcdfp-5, -0x1.88d7cfb1fc211p-5, -0x1.7ff3f9cb34f4ap-5, -0x1.773bc87146791p-5, -0x1.6eae9da2a068bp-5, -0x1.664bdc0cb6455p-5, -0x1.5e12e7180ae74p-5, -0x1.560322f3c7f07p-5, -0x1.4e1bf4a0db28dp-5, -0x1.465cc1fca5b9ap-5, -0x1.3ec4f1cb396a3p-5, -0x1.3753ebc124eadp-5, -0x1.3009188cd6389p-5, -0x1.28e3e1df9264ep-5, -0x1.21e3b27603cfcp-5, -0x1.1b07f620630d4p-5, -0x1.145019ca3b2a5p-5, -0x1.0dbb8b81cc217p-5, -0x1.0749ba7f0f044p-5, -0x1.00fa172a58af4p-5, -0x1.f5982645485a3p-6, -0x1.e97e4287033f3p-6, -0x1.dda56b555bccep-6, -0x1.d20c8b7aaa41cp-6, -0x1.c6b2905a00139p-6, -0x1.bb9669f8639ecp-6, -0x1.b0b70b0567e0dp-6, -0x1.a61368e32e4fap-6, -0x1.9baa7badcbc4bp-6, -0x1.917b3e421ddb2p-6, -0x1.8784ae440d3bap-6, -0x1.7dc5cc2448cc8p-6, -0x1.743d9b257208cp-6, -0x1.6aeb2160cb615p-6, -0x1.61cd67ca619efp-6, -0x1.58e37a34b8b6dp-6, -0x1.502c6754031aep-6, -0x1.47a740c0d9ac8p-6, -0x1.3f531afa8c3d7p-6, -0x1.372f0d68fbd8dp-6, -0x1.2f3a325e09629p-6, -0x1.2773a716a1b1fp-6, -0x1.1fda8bbb5be5fp-6, -0x1.186e0360bda75p-6, -0x1.112d34071b7e3p-6, -0x1.0a17469a2299cp-6, -0x1.032b66f0044cdp-6, -0x1.f8d187909fd34p-7, -0x1.eb9d1d94f5f9dp-7, -0x1.deb7f9082fd0ep-7, -0x1.d22088cd80fb7p-7, -0x1.c5d5418b6ed4p-7, -0x1.b9d49da683b6ep-7, -0x1.ae1d1d3b7f69ap-7, -0x1.a2ad4618fd96cp-7, -0x1.9783a3b8a1d7ep-7, -0x1.8c9ec737c7e6cp-7, -0x1.81fd474fca40ap-7, -0x1.779dc04dce58bp-7, -0x1.6d7ed40a2b75ap-7, -0x1.639f29df7343fp-7, -0x1.59fd6ea10b397p-7, -0x1.509854917b61ep-7, -0x1.476e9358588a3p-7, -0x1.3e7ee7f7e2b5p-7, -0x1.35c814c251ee5p-7, -0x1.2d48e14ed9a78p-7, -0x1.25001a6e64ddbp-7, -0x1.1cec92200fd1fp-7, -0x1.150d1f8562fc9p-7, -0x1.0d609ed6532cfp-7, -0x1.05e5f1550a594p-7, -0x1.fd37fa82f797fp-8, -0x1.ef035b99920f9p-8, -0x1.e12be618f1db2p-8, -0x1.d3af83db0bdd2p-8, -0x1.c68c284e89643p-8, -0x1.b9bfd05c51a14p-8, -0x1.ad48824cce26fp-8, -0x1.a1244dacf9a67p-8, -0x1.95514b3334f88p-8, -0x1.89cd9ca3ee8cbp-8, -0x1.7e976cb62079p-8, -0x1.73aceef7a6002p-8, -0x1.690c5fb175831p-8, -0x1.5eb403cbbb7bbp-8, -0x1.54a228b1e05b9p-8, -0x1.4ad524367cae6p-8, -0x1.414b54773fba8p-8, -0x1.38031fc0cbfeep-8, -0x1.2efaf4728f782p-8, -0x1.263148e299ed7p-8, -0x1.1da49b41772e3p-8, -0x1.1553717e0dd06p-8, -0x1.0d3c592989c1ap-8, -0x1.055de75b51d23p-8, -0x1.fb6d712a23994p-9, -0x1.ec8ae14da65ffp-9, -0x1.de117526638fap-9, -0x1.cffe90e74c72p-9, -0x1.c24fa6b9e0291p-9, -0x1.b502368739d12p-9, -0x1.a813cdc166217p-9, -0x1.9b82072cfe4acp-9, -0x1.8f4a8aab1476dp-9, -0x1.836b0d036d677p-9, -0x1.77e14faf13985p-9, -0x1.6cab20a343e28p-9, -0x1.61c65a1cb8238p-9, -0x1.5730e26b53489p-9, -0x1.4ce8abbe33ce5p-9, -0x1.42ebb3f02dd5fp-9, -0x1.39380454b1e0bp-9, -0x1.2fcbb18521e1dp-9, -0x1.26a4db2e9897dp-9, -0x1.1dc1abe0232d2p-9, -0x1.152058d97502p-9, -0x1.0cbf21da108e1p-9, -0x1.049c50f0ee5bbp-9, -0x1.f96c74993fba3p-10, -0x1.ea167817e2f5dp-10, -0x1.db337c1e1b1b3p-10, -0x1.ccc063924081fp-10, -0x1.beba24250647p-10, -0x1.b11dc5f6d2204p-10, -0x1.a3e8633e2928p-10, -0x1.971727ef21debp-10, -0x1.8aa75163f426ap-10, -0x1.7e962e068b14cp-10, -0x1.72e11cfb3eddbp-10, -0x1.67858dcc8e577p-10, -0x1.5c81001801b7bp-10, -0x1.51d1033c1828cp-10, -0x1.477336074ff84p-10, -0x1.3d6546684de0fp-10, -0x1.33a4f11f128b2p-10, -0x1.2a30016f53a96p-10, -0x1.210450d3dfeb9p-10, -0x1.181fc6b32f8f7p-10, -0x1.0f805814f7e63p-10, -0x1.07240758e6f6ap-10, -0x1.fe11c7dcdbcd9p-11, -0x1.ee5a141b494abp-11, -0x1.df1d44e28a0c2p-11, -0x1.d057c4236d91ep-11, -0x1.c20613c264223p-11, -0x1.b424cd11e75a1p-11, -0x1.a6b0a04f0373dp-11, -0x1.99a65420029d4p-11, -0x1.8d02c51530af2p-11, -0x1.80c2e52bbc72fp-11, -0x1.74e3bb52aac24p-11, -0x1.696262f1dd12dp-11, -0x1.5e3c0b7326b45p-11, -0x1.536df7cd6b59cp-11, -0x1.48f57e11c4726p-11, -0x1.3ed006faa85f8p-11, -0x1.34fb0d7d0ecc3p-11, -0x1.2b741e5b8fac3p-11, -0x1.2238d7bb753adp-11, -0x1.1946e8bbbf662p-11, -0x1.109c110e1137ep-11, -0x1.08362091854e8p-11, -0x1.0012f6ef638cap-11, -0x1.f06106736853p-12, -0x1.e11987174e433p-12, -0x1.d24b8957a2c19p-12, -0x1.c3f3436068552p-12, -0x1.b60d074818fe7p-12, -0x1.a895425ecc6e4p-12, -0x1.9b887c80d331bp-12, -0x1.8ee3576cc2c5p-12, -0x1.82a28e1ce74c5p-12, -0x1.76c2f42408ed3p-12, -0x1.6b41750d83e36p-12, -0x1.601b13c0a0663p-12, -0x1.554ce9e720e93p-12, -0x1.4ad42756fff71p-12, -0x1.40ae117f4a48fp-12, -0x1.36d802d811f35p-12, -0x1.2d4f6a556c3fp-12, -0x1.2411cadd69845p-12, -0x1.1b1cbac10862cp-12, -0x1.126de3380c02bp-12, -0x1.0a02ffdfaffa5p-12, -0x1.01d9de3c33876p-12, -0x1.f3e0ba7a49644p-13, -0x1.e488d988db361p-13, -0x1.d5a81a601ca81p-13, -0x1.c73a9dccfe70dp-13, -0x1.b93ca3cb58e67p-13, -0x1.abaa8aa90531dp-13, -0x1.9e80ce2dfe896p-13, -0x1.91bc06c97a566p-13, -0x1.8558e8c3dd259p-13, -0x1.795443757a5ffp-13, -0x1.6dab008208464p-13, -0x1.625a2318b1abcp-13, -0x1.575ec738b61efp-13, -0x1.4cb620fa7c953p-13, -0x1.425d7bdd0862ap-13, -0x1.38523a17badfap-13, -0x1.2e91d3f04d051p-13, -0x1.2519d714f37c6p-13, -0x1.1be7e5fa8a02cp-13, -0x1.12f9b73ec36b4p-13, -0x1.0a4d150e433b2p-13, -0x1.01dfdc8e888dcp-13, -0x1.f35ffa974d4ccp-14, -0x1.e376f153454e4p-14, -0x1.d400c2b2f976dp-14, -0x1.c4f9b5a372f3ap-14, -0x1.b65e3194d6fa9p-14, -0x1.a82abd7950fcbp-14, -0x1.9a5bfeca98efep-14, -0x1.8ceeb89613875p-14, -0x1.7fdfca8f5000cp-14, -0x1.732c3028d0126p-14, -0x1.66d0ffb2f4aefp-14, -0x1.5acb6980eb98fp-14, -0x1.4f18b71380f1cp-14, -0x1.43b64a49b2e77p-14, -0x1.38a19c96e79ddp-14, -0x1.2dd83e3ea7c7fp-14, -0x1.2357d595bbb81p-14, -0x1.191e1e4890f4fp-14, -0x1.0f28e8a6c7007p-14, -0x1.057618f3c7647p-14, -0x1.f8074d7897acp-15, -0x1.e59f38616caabp-15, -0x1.d3b02b083c929p-15, -0x1.c236809fef218p-15, -0x1.b12eb5f8721f6p-15, -0x1.a0956857cd949p-15, -0x1.9067545bcb997p-15, -0x1.80a154e40205ap-15, -0x1.7140620407f43p-15, -0x1.62418ffda7321p-15, -0x1.53a20e42d94e5p-15, -0x1.455f267f5e95ap-15, -0x1.37763ba9c0d9dp-15, -0x1.29e4c91b921a3p-15, -0x1.1ca861b0bd43p-15, -0x1.0fbeaeedb6edfp-15, -0x1.0325702c6683p-15, -0x1.edb4f39f355fep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b02642b9850abp-1, 0x1.aad63a17e383bp-1, 0x1.a588aee4af659p-1, 0x1.a03ef0419c1ddp-1, 0x1.9af9c913d39b6p-1, 0x1.95b9905ea50cp-1, 0x1.907e390a93a0ap-1, 0x1.8b4760e7065c7p-1, 0x1.86145ec36f3b9p-1, 0x1.80e44f88b9dep-1, 0x1.7bb62245a0137p-1, 0x1.7688a328671b9p-1, 0x1.715a8566cc2c4p-1, 0x1.6c2a6c19c7dcap-1, 0x1.66f6f216948f9p-1, 0x1.61beb0d119553p-1, 0x1.5c804655d6083p-1, 0x1.573a5a6aaf5e7p-1, 0x1.51eba2e6b373cp-1, 0x1.4c92e7513891dp-1, 0x1.472f03d8a5b4ep-1, 0x1.41beebb0dbe9bp-1, 0x1.3c41aae8aa38fp-1, 0x1.36b667c4fce53p-1, 0x1.311c63afaa7cp-1, 0x1.2b72fbc6d8598p-1, 0x1.25b9a91906ee8p-1, 0x1.1ff00098de41fp-1, 0x1.1a15b2d2e53a9p-1, 0x1.142a8b6e635fdp-1, 0x1.0e2e7081c6beap-1, 0x1.082161c2116d3p-1, 0x1.0203779407336p-1, 0x1.f7a9c40a1e13cp-2, 0x1.eb2bcf622e71cp-2, 0x1.de8dc93433abbp-2, 0x1.d1d091eaa9416p-2, 0x1.c4f52fe37d5fcp-2, 0x1.b7fcccf589aafp-2, 0x1.aae8b3f3e87acp-2, 0x1.9dba4e3391446p-2, 0x1.907321171d47bp-2, 0x1.8314cba3d1dbfp-2, 0x1.75a10422ab365p-2, 0x1.681995cf8c1a5p-2, 0x1.5a805e98603e7p-2, 0x1.4cd74ceda1f47p-2, 0x1.3f205da554a3ep-2, 0x1.315d99f15afc9p-2, 0x1.23911569beda5p-2, 0x1.15bcec2b58cd7p-2, 0x1.07e3410b1b027p-2, 0x1.f40c77bc3055dp-3, 0x1.d8500fac92f55p-3, 0x1.bc95a3e7e65bfp-3, 0x1.a0e18f16f8fefp-3, 0x1.853829bedded7p-3, 0x1.699dc79cac828p-3, 0x1.4e16b52831951p-3, 0x1.32a7353ccb5bp-3, 0x1.17537ee78fb29p-3, 0x1.f83f76b3a0697p-4, 0x1.c22007fe0482fp-4, 0x1.8c50c16a1b098p-4, 0x1.56d98c4c09042p-4, 0x1.21c2288467221p-4, 0x1.da245366178f7p-5, 0x1.71a1e94cbf49ep-5, 0x1.0a0b7a0a504a4p-5, 0x1.46de0cc2bca2ap-6, 0x1.eed125d325ed8p-8, -0x1.353012175b018p-8, -0x1.14096d641b69fp-6, -0x1.d86b682791776p-6, -0x1.4d2d2b940eb27p-5, -0x1.acdfc5f7944b5p-5, -0x1.05a1529a84ce7p-4, -0x1.3425b2dee19d2p-4, -0x1.61f80fbcd3667p-4, -0x1.8f13b33d00ab4p-4, -0x1.bb7425b37c40fp-4, -0x1.e7152dd58b94p-4, -0x1.08f968581ee1p-3, -0x1.1e04a8c0c4177p-3, -0x1.32aa98bac1269p-3, -0x1.46e997a4c1215p-3, -0x1.5ac0236b3e2e9p-3, -0x1.6e2cd8422f736p-3, -0x1.812e7053e51ap-3, -0x1.93c3c365cb2cbp-3, -0x1.a5ebc673d84c9p-3, -0x1.b7a58b4336c47p-3, -0x1.c8f03fecf86e8p-3, -0x1.d9cb2e614fb17p-3, -0x1.ea35bbe40ab22p-3, -0x1.fa2f6882d2e92p-3, -0x1.04dbe742e8993p-2, -0x1.0c6750ed9a0fbp-2, -0x1.13b9d7bf18cd8p-2, -0x1.1ad36e6cf8068p-2, -0x1.21b4139473a11p-2, -0x1.285bd1688d5c9p-2, -0x1.2ecabd5ed9f55p-2, -0x1.3500f7db2b92bp-2, -0x1.3afeabda52ab9p-2, -0x1.40c40e9c207b9p-2, -0x1.46515f4ce2e3cp-2, -0x1.4ba6e6ae7b23bp-2, -0x1.50c4f6c140acap-2, -0x1.55abea6cd652bp-2, -0x1.5a5c2529150a9p-2, -0x1.5ed612a72f64p-2, -0x1.631a267b35c56p-2, -0x1.6728dbc60fa48p-2, -0x1.6b02b4e00e3d7p-2, -0x1.6ea83b0435ce3p-2, -0x1.7219fdfc4f5eep-2, -0x1.755893cde1708p-2, -0x1.786498682209bp-2, -0x1.7b3ead52fa525p-2, -0x1.7de7795f2960ep-2, -0x1.805fa8579c365p-2, -0x1.82a7eab4088adp-2, -0x1.84c0f54cd87ecp-2, -0x1.86ab811077e5cp-2, -0x1.88684aba0873bp-2, -0x1.89f812898f43p-2, -0x1.8b5b9bfd9fabap-2, -0x1.8c93ad8e8ca4ep-2, -0x1.8da1106b2c23p-2, -0x1.8e84903729ccdp-2, -0x1.8f3efacafb105p-2, -0x1.8fd11ff56dff4p-2, -0x1.903bd13ed91a8p-2, -0x1.907fe1adf5495p-2, -0x1.909e258e59306p-2, -0x1.90977238a31a9p-2, -0x1.906c9ddc4603fp-2, -0x1.901e7f4b02222p-2, -0x1.8fadedc606b75p-2, -0x1.8f1bc0ccb6266p-2, -0x1.8e68cfed15139p-2, -0x1.8d95f295d67fdp-2, -0x1.8ca3ffea0a94fp-2, -0x1.8b93ce966839ap-2, -0x1.8a6634a82fa98p-2, -0x1.891c0765a2fe5p-2, -0x1.87b61b280b6cap-2, -0x1.863543374d687p-2, -0x1.849a51a70040fp-2, -0x1.82e6173507e28p-2, -0x1.81196329a8637p-2, -0x1.7f3503391047ap-2, -0x1.7d39c366511f6p-2, -0x1.7b286de7c0597p-2, -0x1.7901cb0cbbe29p-2, -0x1.76c6a124c955cp-2, -0x1.7477b4680a768p-2, -0x1.7215c6e0ff7aep-2, -0x1.6fa19857924eap-2, -0x1.6d1be63d5e7f5p-2, -0x1.6a856b9b35d15p-2, -0x1.67dee0ffd2189p-2, -0x1.6528fc6fb84b8p-2, -0x1.6264715635efcp-2, -0x1.5f91f077821f2p-2, -0x1.5cb227e3eec8bp-2, -0x1.59c5c2ec28de3p-2, -0x1.56cd6a167c6dcp-2, -0x1.53c9c3151a048p-2, -0x1.50bb70bd50293p-2, -0x1.4da312ffb8edfp-2, -0x1.4a8146e14ae2dp-2, -0x1.4756a675507dfp-2, -0x1.4423c8d837e5cp-2, -0x1.40e9422b34849p-2, -0x1.3da7a390b1849p-2, -0x1.3a5f7b29847d6p-2, -0x1.37115412e368p-2, -0x1.33bdb6650e02fp-2, -0x1.30652732ae2c3p-2, -0x1.2d082888dbd68p-2, -0x1.29a7396fccf57p-2, -0x1.2642d5ec1a814p-2, -0x1.22db7700a6025p-2, -0x1.1f7192b108549p-2, -0x1.1c059c0491fe4p-2, -0x1.18980309cb823p-2, -0x1.152934da78c21p-2, -0x1.11b99ba01553p-2, -0x1.0e499e98c2babp-2, -0x1.0ad9a21ca6627p-2, -0x1.076a07a3b188dp-2, -0x1.03fb2dcbcbb6dp-2, -0x1.008d705f5a729p-2, -0x1.fa4250b84c5dbp-3, -0x1.f36d57f51f6dcp-3, -0x1.ec9c9d6a2b4a4p-3, -0x1.e5d0c2a052ea3p-3, -0x1.df0a63c488b58p-3, -0x1.d84a17b8824cbp-3, -0x1.d1907023e9386p-3, -0x1.caddf985fd111p-3, -0x1.c4333b47990bfp-3, -0x1.bd90b7cda4d7ep-3, -0x1.b6f6ec8bdbae5p-3, -0x1.b0665217e6124p-3, -0x1.a9df5c3cc016fp-3, -0x1.a3627a0e619e5p-3, -0x1.9cf015fda6cdbp-3, -0x1.968895ec6fed3p-3, -0x1.902c5b41e9bcfp-3, -0x1.89dbc2ff0e164p-3, -0x1.839725d339a89p-3, -0x1.7d5ed830e5c76p-3, -0x1.77332a6281e25p-3, -0x1.7114689f52444p-3, -0x1.6b02db2065b14p-3, -0x1.64fec63594b16p-3, -0x1.5f086a5a7e383p-3, -0x1.5920044b87d08p-3, -0x1.5345cd1ada442p-3, -0x1.4d79fa454f4e9p-3, -0x1.47bcbdc75928ap-3, -0x1.420e4631cece6p-3, -0x1.3c6ebebeaf7a2p-3, -0x1.36de4f65c04bfp-3, -0x1.315d1cf1185a5p-3, -0x1.2beb4911852d1p-3, -0x1.2688f272d3f43p-3, -0x1.213634cfeec34p-3, -0x1.1bf32906d5bccp-3, -0x1.16bfe52c6a7fdp-3, -0x1.119c7ca00f9b8p-3, -0x1.0c89001f1a43cp-3, -0x1.07857dd809f97p-3, -0x1.0292017d989cbp-3, -0x1.fb5d28b30bc6fp-4, -0x1.f1b67abe72f17p-4, -0x1.e830027c3bb71p-4, -0x1.dec9c4e795bc1p-4, -0x1.d583c2bbd38a9p-4, -0x1.cc5df897ccca7p-4, -0x1.c3585f20a92d6p-4, -0x1.ba72eb243c871p-4, -0x1.b1ad8dbad6282p-4, -0x1.a908346893516p-4, -0x1.a082c93e189a1p-4, -0x1.981d32f8e1c8ap-4, -0x1.8fd75522e4087p-4, -0x1.87b11031c0f12p-4, -0x1.7faa41a55f9f7p-4, -0x1.77c2c425fc68ep-4, -0x1.6ffa6fa1ab1e5p-4, -0x1.685119694a75ap-4, -0x1.60c6944ce8f3fp-4, -0x1.595ab0b79bdfdp-4, -0x1.520d3ccac4b6fp-4, -0x1.4ade0478cac81p-4, -0x1.43ccd19f4322cp-4, -0x1.3cd96c208abcdp-4, -0x1.360399fcd3536p-4, -0x1.2f4b1f6a9f294p-4, -0x1.28afbeeeb38d7p-4, -0x1.223139737a6bdp-4, -0x1.1bcf4e5fdaa5dp-4, -0x1.1589bbad83815p-4, -0x1.0f603dfeaeb23p-4, -0x1.095290b3584b1p-4, -0x1.03606dfdeeb07p-4, -0x1.fb131deef5204p-5, -0x1.ef9b57668464dp-5, -0x1.e458f6a3cd7cfp-5, -0x1.d94b6827fcdddp-5, -0x1.ce7216d858d4ap-5, -0x1.c3cc6c2171c7ep-5, -0x1.b959d0195037ep-5, -0x1.af19a9a0abc08p-5, -0x1.a50b5e8326898p-5, -0x1.9b2e5396942fp-5, -0x1.9181ecd950b48p-5, -0x1.88058d8fa7294p-5, -0x1.7eb898604d43fp-5, -0x1.759a6f6ff7d57p-5, -0x1.6caa747c0bf13p-5, -0x1.63e808f46cca8p-5, -0x1.5b528e14707cp-5, -0x1.52e964faf7d9dp-5, -0x1.4aabeec1b219dp-5, -0x1.42998c938f7dbp-5, -0x1.3ab19fc263583p-5, -0x1.32f389dbbe394p-5, -0x1.2b5eacbcfd16ap-5, -0x1.23f26aa69b2a5p-5, -0x1.1cae264ebf21cp-5, -0x1.159142f30f963p-5, -0x1.0e9b2469cfdaep-5, -0x1.07cb2f32457c1p-5, -0x1.0120c88472bebp-5, -0x1.f536acc03ee46p-6, -0x1.e8747f3678139p-6, -0x1.dbf9d7df3d48ap-6, -0x1.cfc588103c75bp-6, -0x1.c3d6631a1fa93p-6, -0x1.b82b3e60582cdp-6, -0x1.acc2f16fb56c2p-6, -0x1.a19c5613db597p-6, -0x1.96b6486b96322p-6, -0x1.8c0fa6fc1defep-6, -0x1.81a752c33f8bfp-6, -0x1.777c2f4882996p-6, -0x1.6d8d22ad4ebabp-6, -0x1.63d915bc0cba7p-6, -0x1.5a5ef3f65c9b9p-6, -0x1.511daba253432p-6, -0x1.48142dd6dbe0ap-6, -0x1.3f416e872ac9bp-6, -0x1.36a4648d6173ap-6, -0x1.2e3c09b45847fp-6, -0x1.26075ac096c67p-6, -0x1.1e0557788cf3ap-6, -0x1.163502ac00b63p-6, -0x1.0e95623ac70edp-6, -0x1.07257f1ac16e5p-6, -0x1.ffc8caba5eaf6p-7, -0x1.f1a248669ec69p-7, -0x1.e3d59be4c6a91p-7, -0x1.d660f02e169c5p-7, -0x1.c94276901be78p-7, -0x1.bc7866b113e94p-7, -0x1.b000fe932a71ap-7, -0x1.a3da8296a7144p-7, -0x1.98033d7b107bep-7, -0x1.8c79805f4f997p-7, -0x1.813ba2c0ce761p-7, -0x1.76480279bfb11p-7, -0x1.6b9d03be6ce2bp-7, -0x1.61391119af135p-7, -0x1.571a9b6898502p-7, -0x1.4d4019d553feep-7, -0x1.43a809d135ea9p-7, -0x1.3a50ef0e27773p-7, -0x1.313953774e88dp-7, -0x1.285fc729163a4p-7, -0x1.1fc2e06891cap-7, -0x1.17613b9a46439p-7, -0x1.0f397b386062bp-7, -0x1.074a47c85efe1p-7, -0x1.ff249fa07055bp-8, -0x1.f0208f9602cc4p-8, -0x1.e185d43a3d6cdp-8, -0x1.d351ee10041b3p-8, -0x1.c582693aff22ap-8, -0x1.b814dd657a3d3p-8, -0x1.ab06eda587946p-8, -0x1.9e5648616e9dbp-8, -0x1.9200a733788cdp-8, -0x1.8603cecd1ce5fp-8, -0x1.7a5d8ed99feacp-8, -0x1.6f0bc1e029a3ap-8, -0x1.640c4d2560c79p-8, -0x1.595d208c911c2p-8, -0x1.4efc367869b03p-8, -0x1.44e793ab5ad31p-8, -0x1.3b1d47279b615p-8, -0x1.319b6a0edeb13p-8, -0x1.28601f81c4f96p-8, -0x1.1f69947f0bd22p-8, -0x1.16b5ffc286b33p-8, -0x1.0e43a1a3e9904p-8, -0x1.0610c3f568accp-8, -0x1.fc3773c47021bp-9, -0x1.ecc5bf99df626p-9, -0x1.ddc9365bb4f3cp-9, -0x1.cf3eb4e26f1dep-9, -0x1.c12329aae3f57p-9, -0x1.b3739492af088p-9, -0x1.a62d0694a02afp-9, -0x1.994ca1853cd7p-9, -0x1.8ccf97cf5db3fp-9, -0x1.80b32c30ea81fp-9, -0x1.74f4b177c941dp-9, -0x1.69918a3f0095cp-9, -0x1.5e8728ac18a02p-9, -0x1.53d30e2cc630dp-9, -0x1.4972cb34dfb19p-9, -0x1.3f63fefcad457p-9, -0x1.35a4573f94aadp-9, -0x1.2c318ffb2560cp-9, -0x1.2309732e97a4bp-9, -0x1.1a29d89ab3947p-9, -0x1.1190a582339a5p-9, -0x1.093bcc6aa221cp-9, -0x1.01294cddb716cp-9, -0x1.f2ae665679008p-10, -0x1.e3873056fd6f6p-10, -0x1.d4d942048bf8dp-10, -0x1.c6a0fdc4db4e5p-10, -0x1.b8dadda40a946p-10, -0x1.ab8372de2ea5ap-10, -0x1.9e97656a0d147p-10, -0x1.921373851daeap-10, -0x1.85f47140d1647p-10, -0x1.7a37481128b39p-10, -0x1.6ed8f65c99974p-10, -0x1.63d68f0d485d8p-10, -0x1.592d39239ea4p-10, -0x1.4eda2f4a3e3c5p-10, -0x1.44dabf6b54781p-10, -0x1.3b2c4a474cbcfp-10, -0x1.31cc430cf6a52p-10, -0x1.28b82ef30144dp-10, -0x1.1feda4d2ef9dap-10, -0x1.176a4cc5755b5p-10, -0x1.0f2bdfc03aba2p-10, -0x1.0730273512d8fp-10, -0x1.fee9f9654e559p-11, -0x1.eff0930d05bafp-11, -0x1.e1700cc1396fbp-11, -0x1.d36475f08eafdp-11, -0x1.c5c9fb65270c2p-11, -0x1.b89ce69441943p-11, -0x1.abd99cf0b6ee6p-11, -0x1.9f7c9f404e92ep-11, -0x1.938288f3ecee7p-11, -0x1.87e80f8293e63p-11, -0x1.7caa01c7374eep-11, -0x1.71c547615d045p-11, -0x1.6736e0188a6c5p-11, -0x1.5cfbe34274978p-11, -0x1.53117f2bf699dp-11, -0x1.4974f884c22b5p-11, -0x1.4023a9cdc9ab2p-11, -0x1.371b02ca5f3c8p-11, -0x1.2e5887f3ff16ep-11, -0x1.25d9d1f0c420ep-11, -0x1.1d9c8d0c7f2f1p-11, -0x1.159e78b46a5edp-11, -0x1.0ddd66f572056p-11, -0x1.06573bfd0eb1dp-11, -0x1.fe13db39521bep-12, -0x1.efe7059efd374p-12, -0x1.e224268608506p-12, -0x1.d4c78dc377a5ep-12, -0x1.c7cdaac0f3673p-12, -0x1.bb330b9c1c3b8p-12, -0x1.aef45c4aa11c6p-12, -0x1.a30e65c300711p-12, -0x1.977e0d29ee907p-12, -0x1.8c4053044a3edp-12, -0x1.8152526d9370fp-12, -0x1.76b14052d65edp-12, -0x1.6c5a6ab1f9c9cp-12, -0x1.624b37dd5d89ep-12, -0x1.588125c3c1bcbp-12, -0x1.4ef9c93c5c74ep-12, -0x1.45b2cd571ac42p-12, -0x1.3ca9f2b0ed268p-12, -0x1.33dd0ecc211a9p-12, -0x1.2b4a0b6ca9bbbp-12, -0x1.22eee5f84fb4ep-12, -0x1.1ac9aedab4bc9p-12, -0x1.12d888ed1bbc2p-12, -0x1.0b19a8e1e8934p-12, -0x1.038b54b3c3342p-12, -0x1.f857c6309d8e6p-13, -0x1.e9f375ecd5dfp-13, -0x1.dbe6a5bfd239ap-13, -0x1.ce2e611d4c528p-13, -0x1.c0c7d0ca0134fp-13, -0x1.b3b039e322cdap-13, -0x1.a6e4fcec42c87p-13, -0x1.9a6394e38a9edp-13, -0x1.8e29965c2c1efp-13, -0x1.8234ae9ee664bp-13, -0x1.7682a2d083583p-13, -0x1.6b114f1e32ac7p-13, -0x1.5fdea5efa2d74p-13, -0x1.54e8af1eb87cap-13, -0x1.4a2d8734cce2p-13, -0x1.3fab5ead53e2bp-13, -0x1.3560793dd1fb4p-13, -0x1.2b4b2d22f647ap-13, -0x1.2169e272da431p-13, -0x1.17bb12742da2cp-13, -0x1.0e3d46fa454a7p-13, -0x1.04ef19c5efa11p-13, -0x1.f79e67d5e119fp-14, -0x1.e5b89a741d236p-14, -0x1.d42a575f26af8p-14, -0x1.c2f145cc57985p-14, -0x1.b20b271c160b5p-14, -0x1.a175d5d072a83p-14, -0x1.912f448be7d2fp-14, -0x1.81357d1812f57p-14, -0x1.71869f7433146p-14, -0x1.6220e0eb4121bp-14, -0x1.53028b317051fp-14, -0x1.4429fb88ededcp-14, -0x1.3595a1edb13e4p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.de985be415d02p-1, 0x1.dc41c6849010dp-1, 0x1.d9e3d6ea5368bp-1, 0x1.d77fa619cb428p-1, 0x1.d516296810ef6p-1, 0x1.d2a834a802aa3p-1, 0x1.d0367c752a899p-1, 0x1.cdc1988e4a867p-1, 0x1.cb4a0633eddf5p-1, 0x1.c8d02a8193f51p-1, 0x1.c65454b9f07c2p-1, 0x1.c3d6c080657dcp-1, 0x1.c15797fb38322p-1, 0x1.bed6f5db3b17ap-1, 0x1.bc54e746a1b24p-1, 0x1.b9d16da588572p-1, 0x1.b74c804f6ba3dp-1, 0x1.b4c60e195cd58p-1, 0x1.b23dfec533df6p-1, 0x1.afb434525e753p-1, 0x1.ad288c31340a3p-1, 0x1.aa9ae059edbbfp-1, 0x1.a80b08488c3d9p-1, 0x1.a578d9df0d5cp-1, 0x1.a2e42a2f6dc37p-1, 0x1.a04cce2ef1e93p-1, 0x1.9db29b543fba8p-1, 0x1.9b156821c5462p-1, 0x1.98750c9de7b5dp-1, 0x1.95d162ba69d3fp-1, 0x1.932a46ac69853p-1, 0x1.907f9736458a6p-1, 0x1.8dd135e4adb2cp-1, 0x1.8b1f07400a1a3p-1, 0x1.8868f2f35638bp-1, 0x1.85aee3e97cb53p-1, 0x1.82f0c86226bfbp-1, 0x1.802e91feeb597p-1, 0x1.7d6835c9ad77ap-1, 0x1.7a9dac34f2a77p-1, 0x1.77cef116e4531p-1, 0x1.74fc039f9fb26p-1, 0x1.7224e64b6fe11p-1, 0x1.6f499ed178e69p-1, 0x1.6c6a360f53734p-1, 0x1.6986b7f20897dp-1, 0x1.669f335cd9e1p-1, 0x1.63b3ba0e2dccfp-1, 0x1.60c46082f8c8cp-1, 0x1.5dd13dd8ed42bp-1, 0x1.5ada6bafb6529p-1, 0x1.57e006097b6d2p-1, 0x1.54e22b2ae3aafp-1, 0x1.51e0fb7ac7b25p-1, 0x1.4edc9961bfc8dp-1, 0x1.4bd52929b2fedp-1, 0x1.48cad0dd8a6acp-1, 0x1.45bdb829265d6p-1, 0x1.42ae0839af48cp-1, 0x1.3f9beb9e5a1a8p-1, 0x1.3c878e29b3d2bp-1, 0x1.39711cd38629p-1, 0x1.3658c59b63518p-1, 0x1.333eb76be7651p-1, 0x1.302321feb6e7cp-1, 0x1.2d0635c1487fdp-1, 0x1.29e823ba7b2e8p-1, 0x1.26c91d71055c9p-1, 0x1.23a954d2bb2eap-1, 0x1.2088fc1cb4ef2p-1, 0x1.1d6845c453c9ap-1, 0x1.1a47646129772p-1, 0x1.17268a97c26a1p-1, 0x1.1405eb05500ecp-1, 0x1.10e5b82c36a57p-1, 0x1.0dc624617a4f7p-1, 0x1.0aa761bb09c6p-1, 0x1.0789a1fee4f7dp-1, 0x1.046d16931cb1ep-1, 0x1.0151f06ea644dp-1, 0x1.fc70c016087f8p-2, 0x1.f6412aad72853p-2, 0x1.f0157f511229ap-2, 0x1.e9ee1b66f7d1cp-2, 0x1.e3cb5af748791p-2, 0x1.ddad989745e1p-2, 0x1.d7952d55c044fp-2, 0x1.d18270a8f355dp-2, 0x1.cb75b85dba419p-2, 0x1.c56f58881a56bp-2, 0x1.bf6fa375131bbp-2, 0x1.b976e99daa2f1p-2, 0x1.b385799b2cc5ap-2, 0x1.ad9ba01c9926cp-2, 0x1.a7b9a7dd26e8cp-2, 0x1.a1dfd99be2ef7p-2, 0x1.9c0e7c1455f01p-2, 0x1.9645d3f82c3eap-2, 0x1.908623e9d222ep-2, 0x1.8acfac77fccb3p-2, 0x1.8522ac1a17108p-2, 0x1.7f7f5f2d854b3p-2, 0x1.79e5fff3bcb3bp-2, 0x1.7456c6911af4bp-2, 0x1.6ed1e90c7fb1bp-2, 0x1.69579b4f9ad01p-2, 0x1.63e80f27e1e05p-2, 0x1.5e8374482df91p-2, 0x1.5929f84aef8bbp-2, 0x1.53dbc6b4f9837p-2, 0x1.4e9908f8d2182p-2, 0x1.4961e67a8b876p-2, 0x1.44368494146dap-2, 0x1.3f170699fe6edp-2, 0x1.3a038de0b17ffp-2, 0x1.34fc39c20458ap-2, 0x1.300127a336882p-2, 0x1.2b1272fb404c6p-2, 0x1.26303559797eep-2, 0x1.215a866c8982dp-2, 0x1.1c917c099fc5p-2, 0x1.17d52a33ece22p-2, 0x1.1325a32459d09p-2, 0x1.0e82f751712d3p-2, 0x1.09ed35777ea0ep-2, 0x1.05646aa0d87eap-2, 0x1.00e8a22e51678p-2, 0x1.f8f3cbbf9dbf4p-3, 0x1.f0307bb9fb982p-3, 0x1.e787617c44694p-3, 0x1.def88729fe6dp-3, 0x1.d683f3eba2df2p-3, 0x1.ce29ac00b27d9p-3, 0x1.c5e9b0d1e2aacp-3, 0x1.bdc401035ecaep-3, 0x1.b5b89887134dfp-3, 0x1.adc770aefb5d9p-3, 0x1.a5f0803f79fa5p-3, 0x1.9e33bb819fbe8p-3, 0x1.969114556fc06p-3, 0x1.8f087a4412dc5p-3, 0x1.8799da91f5e32p-3, 0x1.80452050d2ab8p-3, 0x1.790a347199796p-3, 0x1.71e8fdd63c7d1p-3, 0x1.6ae1616359046p-3, 0x1.63f34211b591cp-3, 0x1.5d1e80ff9b024p-3, 0x1.5662fd81f9cd6p-3, 0x1.4fc095356a53ep-3, 0x1.4937240eec16cp-3, 0x1.42c6846c7c787p-3, 0x1.3c6e8f256f09bp-3, 0x1.362f1b9a91f17p-3, 0x1.3007ffc6113ccp-3, 0x1.29f9104b23a63p-3, 0x1.2402208572c09p-3, 0x1.1e2302984ad6ap-3, 0x1.185b877d80e76p-3, 0x1.12ab7f141e94bp-3, 0x1.0d12b82ec50fdp-3, 0x1.079100a1d0b11p-3, 0x1.0226255130089p-3, 0x1.f9a3e47c01c37p-4, 0x1.ef286527b6f09p-4, 0x1.e4d9616bbe73dp-4, 0x1.dab66c96e4402p-4, 0x1.d0bf1899832bdp-4, 0x1.c6f2f61de320cp-4, 0x1.bd5194a01a659p-4, 0x1.b3da828550921p-4, 0x1.aa8d4d3282d9bp-4, 0x1.a1698122a83f3p-4, 0x1.986ea9fc59c27p-4, 0x1.8f9c52a6dc932p-4, 0x1.86f2055eaa429p-4, 0x1.7e6f4bc968867p-4, 0x1.7613af09565b5p-4, 0x1.6ddeb7d02f957p-4, 0x1.65cfee7186849p-4, 0x1.5de6daf496229p-4, 0x1.562305258dda7p-4, 0x1.4e83f4a656baep-4, 0x1.470930fed72ep-4, 0x1.3fb241acb12b3p-4, 0x1.387eae328326ep-4, 0x1.316dfe26a6201p-4, 0x1.2a7fb941713c5p-4, 0x1.23b3676afff54p-4, 0x1.1d0890c87e2f1p-4, 0x1.167ebdc8fd08ep-4, 0x1.10157731d00c1p-4, 0x1.09cc462a777b8p-4, 0x1.03a2b44815d3p-4, 0x1.fb309730ec892p-5, 0x1.ef592d5948c2bp-5, 0x1.e3be41462d064p-5, 0x1.d85eea62d9cbdp-5, 0x1.cd3a415b93548p-5, 0x1.c24f602f81651p-5, 0x1.b79d6241c672cp-5, 0x1.ad236469d2d6ep-5, 0x1.a2e08502f3ad8p-5, 0x1.98d3e3fb28486p-5, 0x1.8efca2e13bbfdp-5, 0x1.8559e4f22bc66p-5, 0x1.7beacf25dc667p-5, 0x1.72ae883b200c5p-5, 0x1.69a438c317622p-5, 0x1.60cb0b2beb73bp-5, 0x1.58222bcae7618p-5, 0x1.4fa8c8e5f581ep-5, 0x1.475e12bc82c07p-5, 0x1.3f413b8fcf45ep-5, 0x1.375177aaab59p-5, 0x1.2f8dfd68a99fdp-5, 0x1.27f6053cc4fdcp-5, 0x1.2088c9b785ab9p-5, 0x1.1945878c9f338p-5, 0x1.122b7d9813fc9p-5, 0x1.0b39ece2dbee1p-5, 0x1.047018a717ab9p-5, 0x1.fb9a8ca79644ep-6, 0x1.eea17b205dc6ep-6, 0x1.e1f3907d1c29dp-6, 0x1.d58f64fd852ap-6, 0x1.c97395608ae3bp-6, 0x1.bd9ec2e7c2e0ap-6, 0x1.b20f935a0786p-6, 0x1.a6c4b105655dap-6, 0x1.9bbccac05655fp-6, 0x1.90f693ea4fe77p-6, 0x1.8670c46bb0c9p-6, 0x1.7c2a18b50891dp-6, 0x1.722151bdce663p-6, 0x1.685535027cd4cp-6, 0x1.5ec48c82247abp-6, 0x1.556e26bb74bd1p-6, 0x1.4c50d6a9419e4p-6, 0x1.436b73be8b9ep-6, 0x1.3abcd9e21215cp-6, 0x1.3243e9696bd7bp-6, 0x1.29ff8713b85c8p-6, 0x1.21ee9c03e4935p-6, 0x1.1a1015ba878c4p-6, 0x1.1262e60f6678ap-6, 0x1.0ae6032a94befp-6, 0x1.0398677d448a8p-6, 0x1.f8f223747a90fp-7, 0x1.eb0e099c0f1bfp-7, 0x1.dd828fad9e35ap-7, 0x1.d04dcc37f5f29p-7, 0x1.c36dde0b09c0cp-7, 0x1.b6e0ec2626bbfp-7, 0x1.aaa525a5a24ddp-7, 0x1.9eb8c1b030246p-7, 0x1.9319ff63bc4f2p-7, 0x1.87c725c1ee19ep-7, 0x1.7cbe839c4b34ap-7, 0x1.71fe6f800669bp-7, 0x1.678547a183bcep-7, 0x1.5d5171c7908aap-7, 0x1.53615b3656b1dp-7, 0x1.49b3789a17712p-7, 0x1.404645f1b15a9p-7, 0x1.37184678e4f8cp-7, 0x1.2e28049280af8p-7, 0x1.257411b255b99p-7, 0x1.1cfb064710037p-7, 0x1.14bb81a3ee14cp-7, 0x1.0cb429ea5e176p-7, 0x1.04e3abf386769p-7, 0x1.fa91767376b4ap-8, 0x1.ebc42383cdcfcp-8, 0x1.dd5ce009d1d95p-8, 0x1.cf5939b1dc2e5p-8, 0x1.c1b6cab58ea83p-8, 0x1.b47339ae805eep-8, 0x1.a78c3968f63c9p-8, 0x1.9aff88b6a7acfp-8, 0x1.8ecaf2419aa82p-8, 0x1.82ec4c5f1be47p-8, 0x1.776178e2d32cfp-8, 0x1.6c2864f20431cp-8, 0x1.613f08d6f50fep-8, 0x1.56a367d48933ap-8, 0x1.4c538ffa0e9d9p-8, 0x1.424d99f746436p-8, 0x1.388fa8f0a9cd4p-8, 0x1.2f17ea53f2a1p-8, 0x1.25e495ace7db2p-8, 0x1.1cf3ec7a74572p-8, 0x1.14443a040b87bp-8, 0x1.0bd3d32f5c46bp-8, 0x1.03a1165659373p-8, 0x1.f754d63b2e00fp-9, 0x1.e7dc84960426ap-9, 0x1.d8d62b39e4548p-9, 0x1.ca3ecf43370a7p-9, 0x1.bc13871dc1f1bp-9, 0x1.ae517a350da31p-9, 0x1.a0f5e0a59a97dp-9, 0x1.93fe02eede835p-9, 0x1.876739a617985p-9, 0x1.7b2eed29eb085p-9, 0x1.6f529556e4207p-9, 0x1.63cfb93cc681ap-9, 0x1.58a3eed4be262p-9, 0x1.4dccdab86d34dp-9, 0x1.43482fd9db01dp-9, 0x1.3913af3c428dcp-9, 0x1.2f2d27adc6b3p-9, 0x1.259275820b72ep-9, 0x1.1c41824db1003p-9, 0x1.133844a2bc5aap-9, 0x1.0a74bfcde118bp-9, 0x1.01f50394b8314p-9, 0x1.f36e57e9b6a95p-10, 0x1.e372c1c7df0cfp-10, 0x1.d3f3ac2122ea8p-10, 0x1.c4ed95485ec68p-10, 0x1.b65d120b995d6p-10, 0x1.a83ecd3b54f23p-10, 0x1.9a8f8733b85d7p-10, 0x1.8d4c15678259dp-10, 0x1.807161eccdd05p-10, 0x1.73fc6b0ba061ap-10, 0x1.67ea42ce48cf1p-10, 0x1.5c380e937a1dep-10, 0x1.50e306a23d5b5p-10, 0x1.45e875bf9b9a7p-10, 0x1.3b45b8c60a4e6p-10, 0x1.30f83e3e9e817p-10, 0x1.26fd85fbf185p-10, 0x1.1d5320b6c5bd3p-10, 0x1.13f6afac5bc4ap-10, 0x1.0ae5e43e7eaabp-10, 0x1.021e7f953a92p-10, 0x1.f33ca484837b5p-11, 0x1.e2c677cbeaef2p-11, 0x1.d2d655ac2a93fp-11, 0x1.c368378c198edp-11, 0x1.b47832e1b900cp-11, 0x1.a602788936ac4p-11, 0x1.9803541f13b93p-11, 0x1.8a772b5d6b4f9p-11, 0x1.7d5a7d7c4e739p-11, 0x1.70a9e2952a543p-11, 0x1.64620b0934fefp-11, 0x1.587fbeead20e8p-11, 0x1.4cffdd69ea9aep-11, 0x1.41df5c432c7bp-11, 0x1.371b47322849ap-11, 0x1.2cb0bf6646119p-11, 0x1.229cfafa8479fp-11, 0x1.18dd446ffc958p-11, 0x1.0f6efa2b1d0dep-11, 0x1.064f8df396952p-11, 0x1.faf908eddb5cfp-12, 0x1.e9e6e99b5126fp-12, 0x1.d964100622329p-12, 0x1.c96bf13f00036p-12, 0x1.b9fa246a4c02ap-12, 0x1.ab0a61de9cdcdp-12, 0x1.9c9882481734fp-12, 0x1.8ea07dd08df8ap-12, 0x1.811e6b4c59ab6p-12, 0x1.740e7f6bc8ef9p-12, 0x1.676d0bf125589p-12, 0x1.5b367eeb2c8cdp-12, 0x1.4f6761f3f59c9p-12, 0x1.43fc5974286dbp-12, 0x1.38f223ea79474p-12, 0x1.2e45993751f7fp-12, 0x1.23f3a9ec9bfafp-12, 0x1.19f95ea192638p-12, 0x1.1053d74a8fd8fp-12, 0x1.07004a94c21edp-12, 0x1.fbf80a8b697f6p-13, 0x1.ea88d33d3a7aap-13, 0x1.d9addd86bbeb1p-13, 0x1.c962404a46bcdp-13, 0x1.b9a139e13395bp-13, 0x1.aa662eff3216ep-13, 0x1.9baca99c8cbb8p-13, 0x1.8d7057e71a48ep-13, 0x1.7fad0b39d200bp-13, 0x1.725eb71ad58b6p-13, 0x1.6581703fd3c98p-13, 0x1.59116b98a6d12p-13, 0x1.4d0afd60065d4p-13, 0x1.416a98323e785p-13, 0x1.362ccc29b7f14p-13, 0x1.2b4e460145fe8p-13, 0x1.20cbce3c0c066p-13, 0x1.16a24852eef02p-13, 0x1.0cceb1e7640e1p-13, 0x1.034e21fb89d01p-13, 0x1.f43b905edca35p-14, 0x1.e275d806c87d5p-14, 0x1.d145d83e99a81p-14, 0x1.c0a67b3d76256p-14, 0x1.b092d6c3a86e2p-14, 0x1.a1062ac5a9332p-14, 0x1.91fbe020476c8p-14, 0x1.836f8755a0e4cp-14, 0x1.755cd752d65a4p-14, 0x1.67bfac3e3919ap-14, 0x1.5a94064dc64bcp-14, 0x1.4dd608a5bef62p-14, 0x1.4181f83f2dd8ep-14, 0x1.35943ad62e4dcp-14, 0x1.2a0955dfc40fep-14, 0x1.1edded8718de2p-14, 0x1.140ec3b1f34afp-14, 0x1.0998b70c3d1cdp-14, 0x1.fef18434d7574p-15, 0x1.eb57f4a5475c5p-15, 0x1.d85f1e78dc444p-15, 0x1.c601932da9bf8p-15, 0x1.b43a150985ffap-15, 0x1.a303957efc0c8p-15, 0x1.9259339e2a19p-15, 0x1.82363a913e059p-15, 0x1.7296202446ecp-15, 0x1.63748358179ddp-15, 0x1.54cd2affedb1fp-15, 0x1.469c04699ca59p-15, 0x1.38dd220ff952cp-15, 0x1.2b8cba5740911p-15, 0x1.1ea726533aabp-15, 0x1.1228e096dacecp-15, 0x1.060e840d1c252p-15, 0x1.f4a995b5c23a3p-16, 0x1.ddf11a932bbbfp-16, 0x1.c7ed8174bcca3p-16, 0x1.b298ed432be11p-16, 0x1.9dedb714cd94bp-16, 0x1.89e66c4488d23p-16, 0x1.767dcc9822fc8p-16, 0x1.63aec8757d932p-16, 0x1.51747f265c2e5p-16, 0x1.3fca3d2a4a545p-16, 0x1.2eab7a9649401p-16, 0x1.1e13d981d8c93p-16, 0x1.0dff248107d81p-16, 0x1.fcd29a5657aep-17, 0x1.de9cd55bbe94fp-17, 0x1.c15570d80073dp-17, 0x1.a4f5295086171p-17, 0x1.8974fe7636459p-17, 0x1.6ece30a728bfp-17, 0x1.54fa3e85b947fp-17, 0x1.3bf2e2a450da9p-17, 0x1.23b2114541d8p-17, 0x1.0c31f62e3e072p-17, 0x1.ead9e51d7452ap-18, 0x1.bebb35f1805b8p-18, 0x1.93fd6ad741cfdp-18, 0x1.6a966edffcca4p-18, 0x1.427c888958e9ep-18, 0x1.1ba65637c9a3ap-18, 0x1.ec1595a150886p-19, 0x1.a34254e60d313p-19, 0x1.5cc20e9c9d859p-19, 0x1.18847d2b8f3e6p-19, 0x1.acf3d6406b964p-20, 0x1.2d265b07fc535p-20, 0x1.630679999d318p-21, 0x1.cf71799ea1a35p-23, -0x1.cda125db354bp-23, -0x1.52fc54b4e6056p-21, -0x1.15896acb11a69p-20, -0x1.7dee96048e8fap-20, -0x1.e2c58b8a4aee4p-20, -0x1.2212b1671b538p-19, -0x1.511239a0f946bp-19, -0x1.7e6c2e0ca2a83p-19, -0x1.aa2b05e03318bp-19, -0x1.d458e38456c47p-19, -0x1.fcff98070839ep-19, -0x1.12145335efcb7p-18, -0x1.24eea36d8f1dcp-18, -0x1.371334d84906cp-18, -0x1.48865d35b3f09p-18, -0x1.594c513ffb63dp-18, -0x1.6969260647de6p-18, -0x1.78e0d239263bfp-18, -0x1.87b72f696c5a2p-18, -0x1.95effb3a116fdp-18, -0x1.a38ed8856e3f1p-18, -0x1.b09750765b4fp-18, -0x1.bd0cd39591c43p-18, -0x1.c8f2bacbc54f7p-18, -0x1.d44c4858d5287p-18, -0x1.df1ca8c07c6b4p-18, -0x1.e966f3ace46c5p-18, -0x1.f32e2cc774ab2p-18, -0x1.fc754488405e1p-18, -0x1.029f8c7e31deap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9bbf3494cdad8p-8, -0x1.b3e5c1d588e47p-8, -0x1.c93652701c45bp-8, -0x1.db2ad0ab1ade9p-8, -0x1.e93f39d92b84fp-8, -0x1.f2f2a637f7804p-8, -0x1.f7c832f36676ep-8, -0x1.f747ce3457935p-8, -0x1.f0fee5e33083ap-8, -0x1.e480fa5c1ec5ap-8, -0x1.d16816beebcb1p-8, -0x1.b75530cacb28cp-8, -0x1.95f0725d04caap-8, -0x1.6ce96eb5b3942p-8, -0x1.3bf7459dfe24bp-8, -0x1.02d8b674c8bp-8, -0x1.82a84a0d75006p-9, -0x1.dcde47c32eebdp-10, -0x1.22c44123d2736p-11, 0x1.bb5ff818d054ap-11, 0x1.38637fa41fa08p-9, 0x1.0a0d574cbcf61p-8, 0x1.810c743a8d415p-8, 0x1.009b06a05f392p-7, 0x1.45454d9db4383p-7, 0x1.8e822b8c4b3a6p-7, 0x1.dc4bbd45c675p-7, 0x1.174ca0bf960dcp-6, 0x1.42af9d8d71272p-6, 0x1.7047ca0a0da58p-6, 0x1.a00ce064c2a73p-6, 0x1.d1f571b92b24cp-6, 0x1.02fb7be35b504p-5, 0x1.1e02f347c0c98p-5, 0x1.3a0adee569928p-5, 0x1.570c8d0ce6997p-5, 0x1.7500e2f76d3d1p-5, 0x1.93e0650d381e5p-5, 0x1.b3a33ef8cebfap-5, 0x1.d4414b825c0bep-5, 0x1.f5b21c2f20378p-5, 0x1.0bf68050ec223p-4, 0x1.1d7486dcdf84ap-4, 0x1.2f4e92373ce4cp-4, 0x1.417ffc33fac02p-4, 0x1.54040b28def8dp-4, 0x1.66d5f4f4f418fp-4, 0x1.79f0e1e60a76fp-4, 0x1.8d4fef7cbc266p-4, 0x1.a0ee330f8eb25p-4, 0x1.b4c6bc4df424ep-4, 0x1.c8d497a3fdc2cp-4, 0x1.dd12d07fbe833p-4, 0x1.f17c73793f53p-4, 0x1.0306482f0b9cap-3, 0x1.0d5f1e10d7894p-3, 0x1.17c6495997fc1p-3, 0x1.22395c5d10591p-3, 0x1.2cb5ee9d5985bp-3, 0x1.37399d9157432p-3, 0x1.41c20d5ff0555p-3, 0x1.4c4ce99081f7ap-3, 0x1.56d7e5b0e8581p-3, 0x1.6160bdf18d909p-3, 0x1.6be537b7d552fp-3, 0x1.7663222737148p-3, 0x1.80d856a1677b3p-3, 0x1.8b42b93dca398p-3, 0x1.95a03938828cp-3, 0x1.9feed159547c7p-3, 0x1.aa2c8852a7d68p-3, 0x1.b4577118d2a17p-3, 0x1.be6dab31f41fbp-3, 0x1.c86d62fe84662p-3, 0x1.d254d1fad53acp-3, 0x1.dc223ef9b57ebp-3, 0x1.e5d3fe58588edp-3, 0x1.ef68722bbf2e5p-3, 0x1.f8de0a67c368p-3, 0x1.0119a27ffef7dp-2, 0x1.05b3570150945p-2, 0x1.0a3b6fd6c6c66p-2, 0x1.0eb1413ed9674p-2, 0x1.1314269c80b7cp-2, 0x1.1763827984089p-2, 0x1.1b9ebe8639f4fp-2, 0x1.1fc54b96d02c7p-2, 0x1.23d6a19e344fp-2, 0x1.27d23fa6af01ap-2, 0x1.2bb7abc853191p-2, 0x1.2f86731d4eee5p-2, 0x1.333e29b43f153p-2, 0x1.36de6a8097932p-2, 0x1.3a66d7493e68ep-2, 0x1.3dd718956c1b3p-2, 0x1.412edd97ef41ap-2, 0x1.446ddc18e605p-2, 0x1.4793d05e0da79p-2, 0x1.4aa07d11b5badp-2, 0x1.4d93ab2877fd7p-2, 0x1.506d29c5c6ebp-2, 0x1.532cce1f6b9dcp-2, 0x1.55d2736008ffap-2, 0x1.585dfa88bab9dp-2, 0x1.5acf4a51e5df2p-2, 0x1.5d264f0b4f1c5p-2, 0x1.5f62fa7b8c6bcp-2, 0x1.618543bee4549p-2, 0x1.638d2725ad9fp-2, 0x1.657aa61245eb3p-2, 0x1.674dc6d6abecap-2, 0x1.69069491cee0ep-2, 0x1.6aa51f0ca8cf5p-2, 0x1.6c297a972daeap-2, 0x1.6d93bfe51d83ap-2, 0x1.6ee40beacf76ap-2, 0x1.701a7fb9f8f37p-2, 0x1.7137405e88233p-2, 0x1.723a76bb90df7p-2, 0x1.73244f6866f15p-2, 0x1.73f4fa8de289dp-2, 0x1.74acabc3e0fadp-2, 0x1.754b99ef06877p-2, 0x1.75d1ff1ed03f8p-2, 0x1.7640186bf1f19p-2, 0x1.769625d718d3bp-2, 0x1.76d46a2807e47p-2, 0x1.76fb2acd20ee3p-2, 0x1.770aafbb5a2b7p-2, 0x1.7703434ea8e8ep-2, 0x1.76e5322ae0b2bp-2, 0x1.76b0cb1d13602p-2, 0x1.76665efd6af13p-2, 0x1.760640918f48bp-2, 0x1.7590c46f8a1fap-2, 0x1.750640e139069p-2, 0x1.74670dc849811p-2, 0x1.73b38482c1dd4p-2, 0x1.72ebffd0196bfp-2, 0x1.7210dbb6e16b3p-2, 0x1.7122756afe31ap-2, 0x1.70212b34710cep-2, 0x1.6f0d5c56b8f95p-2, 0x1.6de768f8c24a6p-2, 0x1.6cafb20d69a81p-2, 0x1.6b66993c93439p-2, 0x1.6a0c80ccd32e3p-2, 0x1.68a1cb8da9e79p-2, 0x1.6726dcc24f6adp-2, 0x1.659c180d12725p-2, 0x1.6401e15b42b65p-2, 0x1.62589cd1b0b4p-2, 0x1.60a0aeb9b5cb1p-2, 0x1.5eda7b6ecc2dp-2, 0x1.5d06674cb0e4ep-2, 0x1.5b24d69e0ff8dp-2, 0x1.59362d8bbb85cp-2, 0x1.573ad00c665bap-2, 0x1.553321d4e8b2fp-2, 0x1.531f8649046d2p-2, 0x1.5100606cb21cbp-2, 0x1.4ed612d5e7703p-2, 0x1.4ca0ff9ee512bp-2, 0x1.4a618858fa6a5p-2, 0x1.48180dffccd7ep-2, 0x1.45c4f0ed114edp-2, 0x1.436890ccc65a6p-2, 0x1.41034c91ddd82p-2, 0x1.3e95826b5fa4ep-2, 0x1.3c1f8fb9fdc1cp-2, 0x1.39a1d1061a622p-2, 0x1.371ca1f63cce6p-2, 0x1.34905d45f4aa4p-2, 0x1.31fd5cbd27aaap-2, 0x1.2f63f927c9b9cp-2, 0x1.2cc48a4dfe384p-2, 0x1.2a1f66ec9e664p-2, 0x1.2774e4ae2331dp-2, 0x1.24c55823f57e4p-2, 0x1.221114c019e72p-2, 0x1.1f586ccf3e95dp-2, 0x1.1c9bb17327365p-2, 0x1.19db329d71519p-2, 0x1.17173f0ab3425p-2, 0x1.1450243df31f7p-2, 0x1.11862e7c73d9cp-2, 0x1.0eb9a8c9d5eaap-2, 0x1.0beadce4895edp-2, 0x1.091a134291affp-2, 0x1.0647930e9775ap-2, 0x1.0373a22548602p-2, 0x1.009e8512ff53ap-2, 0x1.fb90fe2372145p-3, 0x1.f5e3a40e9e277p-3, 0x1.f0357d07efc6fp-3, 0x1.ea87078217d24p-3, 0x1.e4d8bf4019463p-3, 0x1.df2b1d53d98fap-3, 0x1.d97e981d2ce4cp-3, 0x1.d3d3a34961482p-3, 0x1.ce2aafd3377fp-3, 0x1.c8842c035c74ap-3, 0x1.c2e083714602p-3, 0x1.bd401f0485944p-3, 0x1.b7a364f6829e4p-3, 0x1.b20ab8d4978e8p-3, 0x1.ac767b8295ae5p-3, 0x1.a6e70b3da8019p-3, 0x1.a15cc39f92819p-3, 0x1.9bd7fda2486ccp-3, 0x1.96590fa3de11cp-3, 0x1.90e04d6ac8e2ap-3, 0x1.8b6e082a72379p-3, 0x1.86028e8814d5cp-3, 0x1.809e2c9fe6fdp-3, 0x1.7b412c0a8ad35p-3, 0x1.75ebd3e2bf075p-3, 0x1.709e68cb56b1ap-3, 0x1.6b592cf569824p-3, 0x1.661c6026c2612p-3, 0x1.60e83fc0881d6p-3, 0x1.5bbd06c6159b6p-3, 0x1.569aede40b307p-3, 0x1.51822b778bf8ap-3, 0x1.4c72f395ac6f6p-3, 0x1.476d7813089c9p-3, 0x1.4271e88b847afp-3, 0x1.3d80726a2eabep-3, 0x1.389940f14f268p-3, 0x1.33bc7d428b031p-3, 0x1.2eea4e672d38p-3, 0x1.2a22d95890c39p-3, 0x1.256641089563ep-3, 0x1.20b4a66a3da61p-3, 0x1.1c0e287a523d1p-3, 0x1.1772e44825e39p-3, 0x1.12e2f4fe5f669p-3, 0x1.0e5e73ebdc507p-3, 0x1.09e5788c97198p-3, 0x1.057818929e0e7p-3, 0x1.011667ef14c4ep-3, 0x1.f980f1b66b20bp-4, 0x1.f0ecb7c2c3d5ep-4, 0x1.e8703fcc5424bp-4, 0x1.e00ba462cc78ep-4, 0x1.d7befcee81af8p-4, 0x1.cf8a5dc28fab3p-4, 0x1.c76dd82ef4de4p-4, 0x1.bf697a929e003p-4, 0x1.b77d506d68f72p-4, 0x1.afa9627220b7ap-4, 0x1.a7edb69855f5ep-4, 0x1.a04a502e3613ep-4, 0x1.98bf2fea3b5c2p-4, 0x1.914c53fcd4703p-4, 0x1.89f1b821df359p-4, 0x1.82af55b211496p-4, 0x1.7b8523b43afb9p-4, 0x1.747316ee6af9ep-4, 0x1.6d7921f6eb197p-4, 0x1.669735451802p-4, 0x1.5fcd3f4212529p-4, 0x1.591b2c5942e93p-4, 0x1.5280e708b65b2p-4, 0x1.4bfe57f14aafp-4, 0x1.459365e6adf1fp-4, 0x1.3f3ff5ff2da66p-4, 0x1.3903eba3554b8p-4, 0x1.32df289d5958cp-4, 0x1.2cd18d284fbc2p-4, 0x1.26daf7ff33378p-4, 0x1.20fb466bb08f1p-4, 0x1.1b325454be3ccp-4, 0x1.157ffc4cfbd7ep-4, 0x1.0fe417a0d904cp-4, 0x1.0a5e7e648391p-4, 0x1.04ef07819cbdfp-4, 0x1.ff2b1189651a8p-5, 0x1.f4a3add4ff67dp-5, 0x1.ea478b59df202p-5, 0x1.e0164f9fcc9d3p-5, 0x1.d60f9e5b9a80bp-5, 0x1.cc331987c6be6p-5, 0x1.c280617c9fcccp-5, 0x1.b8f71507f2358p-5, 0x1.af96d1843c0ecp-5, 0x1.a65f32ef665d5p-5, 0x1.9d4fd40102f7dp-5, 0x1.94684e4013d79p-5, 0x1.8ba83a1853bf4p-5, 0x1.830f2eef0903dp-5, 0x1.7a9cc3375d2ffp-5, 0x1.72508c863aeaep-5, 0x1.6a2a1fa5b65adp-5, 0x1.622910a7f7ecp-5, 0x1.5a4cf2f9b6806p-5, 0x1.5295597433a9ep-5, 0x1.4b01d66ec7a79p-5, 0x1.4391fbcff459cp-5, 0x1.3c455b1e05833p-5, 0x1.351b858f3c93fp-5, 0x1.2e140c198b836p-5, 0x1.272e7f81dada5p-5, 0x1.206a706ae35ecp-5, 0x1.19c76f63950c6p-5, 0x1.13450cf51262fp-5, 0x1.0ce2d9b03bd1cp-5, 0x1.06a0663ad2fddp-5, 0x1.007d435c309b9p-5, 0x1.f4f2041325af3p-6, 0x1.e92666e405cbbp-6, 0x1.dd96d213ab2cp-6, 0x1.d242692b8bbe5p-6, 0x1.c728506b57b23p-6, 0x1.bc47acdda3cbp-6, 0x1.b19fa46bd4ff7p-6, 0x1.a72f5df149e14p-6, 0x1.9cf6014dc98a9p-6, 0x1.92f2b7773fcf4p-6, 0x1.8924aa8abcd72p-6, 0x1.7f8b05dcc8511p-6, 0x1.7624f60904ba3p-6, 0x1.6cf1a901263dap-6, 0x1.63f04e1b42ce7p-6, 0x1.5b20161f7b7b1p-6, 0x1.52803355055p-6, 0x1.4a0fd98e93e69p-6, 0x1.41ce3e362706cp-6, 0x1.39ba98584267p-6, 0x1.31d420ae8b505p-6, 0x1.2a1a11a9dd0a5p-6, 0x1.228ba77bc8187p-6, 0x1.1b28201f856fp-6, 0x1.13eebb62682d7p-6, 0x1.0cdebaebc34ffp-6, 0x1.05f7624450b75p-6, 0x1.fe6fedba34757p-7, 0x1.f13f802bcaf0dp-7, 0x1.e45c0e864ea23p-7, 0x1.d7c42f670960cp-7, 0x1.cb767d69b4986p-7, 0x1.bf719731bb4eap-7, 0x1.b3b41f7296c0ap-7, 0x1.a83cbcf75d873p-7, 0x1.9d0a1aa985409p-7, 0x1.921ae796daf94p-7, 0x1.876dd6f6bc2dbp-7, 0x1.7d01a02e96058p-7, 0x1.72d4fed5aac98p-7, 0x1.68e6b2b8276ccp-7, 0x1.5f357fd9919c2p-7, 0x1.55c02e768a1a8p-7, 0x1.4c858b05f2e4cp-7, 0x1.438466397ca2fp-7, 0x1.3abb94fd9630ap-7, 0x1.3229f078d3a1dp-7, 0x1.29ce560ac3e5dp-7, 0x1.21a7a74a421f3p-7, 0x1.19b4ca0343acap-7, 0x1.11f4a83429a4bp-7, 0x1.0a66300a99003p-7, 0x1.030853dfdea98p-7, 0x1.f7b41469ca218p-8, 0x1.e9b49b5b79eb7p-8, 0x1.dc103a19812adp-8, 0x1.cec4f65aa785ep-8, 0x1.c1d0ddfc8bb2ap-8, 0x1.b53206f7b1cd2p-8, 0x1.a8e68f52e5fadp-8, 0x1.9cec9d15fa1bep-8, 0x1.91425e3be624bp-8, 0x1.85e608a453005p-8, 0x1.7ad5da0496be3p-8, 0x1.701017d829a3cp-8, 0x1.65930f509b747p-8, 0x1.5b5d15450ff86p-8, 0x1.516c862146b3ap-8, 0x1.47bfc5d438c7cp-8, 0x1.3e553fbe5017ep-8, 0x1.352b669f3d99ap-8, 0x1.2c40b48378f3fp-8, 0x1.2393aab16924p-8, 0x1.1b22d1964122bp-8, 0x1.12ecb8b292cb6p-8, 0x1.0aeff686a074ap-8, 0x1.032b287e6e5c5p-8, 0x1.f739e5bb3af0ap-9, 0x1.e88801562228dp-9, 0x1.da3e0738cc8d8p-9, 0x1.cc5968028136dp-9, 0x1.bed7a15ce2a13p-9, 0x1.b1b63dd1fa274p-9, 0x1.a4f2d4a20aa0dp-9, 0x1.988b09992e16ap-9, 0x1.8c7c8ce4cb7dep-9, 0x1.80c51ae8ebcdbp-9, 0x1.75627c156f8d2p-9, 0x1.6a5284bb35bf2p-9, 0x1.5f9314e1315a5p-9, 0x1.552218197fe15p-9, 0x1.4afd85567668ep-9, 0x1.41235ebfbf81dp-9, 0x1.3791b1877f53cp-9, 0x1.2e4695bf8bfc7p-9, 0x1.25402e2ebeb3dp-9, 0x1.1c7ca82662c66p-9, 0x1.13fa3b57c5364p-9, 0x1.0bb729a9ee049p-9, 0x1.03b1bf0f82935p-9, 0x1.f7d0a2b9b9e4cp-10, 0x1.e8b2803cacccfp-10, 0x1.da05e8dd8ed6dp-10, 0x1.cbc7c19c96885p-10, 0x1.bdf501f280ae7p-10, 0x1.b08ab37f1b926p-10, 0x1.a385f1b8600cp-10, 0x1.96e3e99a2713dp-10, 0x1.8aa1d95673f3cp-10, 0x1.7ebd100662d98p-10, 0x1.7332ed5bc70ccp-10, 0x1.6800e15365a54p-10, 0x1.5d246be7f3095p-10, 0x1.529b1cc5bb8e9p-10, 0x1.486292ff0b826p-10, 0x1.3e787cc15338cp-10, 0x1.34da970b14a41p-10, 0x1.2b86ad628bd3bp-10, 0x1.227a998d269c3p-10, 0x1.19b44347d10bdp-10, 0x1.11319ffffba4ap-10, 0x1.08f0b28d8e07p-10, 0x1.00ef8aed9448ep-10, 0x1.f2588bfbae534p-11, 0x1.e34a1a727cbf3p-11, 0x1.d4b02cea27407p-11, 0x1.c687473e3f431p-11, 0x1.b8cc04f945514p-11, 0x1.ab7b18d4580bdp-11, 0x1.9e914c38a0c38p-11, 0x1.920b7ec27db4dp-11, 0x1.85e6a5c66df22p-11, 0x1.7a1fcbd7be511p-11, 0x1.6eb41050f805fp-11, 0x1.63a0a6de12496p-11, 0x1.58e2d70865ac9p-11, 0x1.4e77fbc461c98p-11, 0x1.445d830105167p-11, 0x1.3a90ed39149aap-11, 0x1.310fcd0614df3p-11, 0x1.27d7c6b500bbdp-11, 0x1.1ee68fdcbd50cp-11, 0x1.1639eef64abc8p-11, 0x1.0dcfbaf6acd1cp-11, 0x1.05a5daea8d9bp-11, 0x1.fb748b2726baap-12, 0x1.ec16020ed75d5p-12, 0x1.dd2c44a108d44p-12, 0x1.ceb39a20eae0ap-12, 0x1.c0a866482549p-12, 0x1.b30728924e1bfp-12, 0x1.a5cc7b8ba9ab6p-12, 0x1.98f5142329e53p-12, 0x1.8c7dc0ffac228p-12, 0x1.806369d86b128p-12, 0x1.74a30ed09dfe1p-12, 0x1.6939c7d63a96cp-12, 0x1.5e24c403dc038p-12, 0x1.53614905b580bp-12, 0x1.48ecb2819e885p-12, 0x1.3ec4718219e3dp-12, 0x1.34e60be462e83p-12, 0x1.2b4f1bc968191p-12, 0x1.21fd4f09b8993p-12, 0x1.18ee66ac5023fp-12, 0x1.102036603e69fp-12, 0x1.0790a3f92228p-12, 0x1.fe7b4ddcd79e6p-13, 0x1.ee4a8fbab8f9bp-13, 0x1.de8b401b7fcf3p-13, 0x1.cf39b1f2a049dp-13, 0x1.c05257ab7ca5p-13, 0x1.b1d1c242a9c3bp-13, 0x1.a3b4a0645506dp-13, 0x1.95f7bd8fbc13ep-13, 0x1.8898013f9e39dp-13, 0x1.7b926e17973d8p-13, 0x1.6ee421165270cp-13, 0x1.628a50cc7cdbap-13, 0x1.56824c98702ap-13, 0x1.4ac97be6716eep-13, 0x1.3f5d5d7582d7ep-13, 0x1.343b86a0a6fc3p-13, 0x1.2961a2ac9146dp-13, 0x1.1ecd7219a05b4p-13, 0x1.147cc9fa1df31p-13, 0x1.0a6d934cacc9ep-13, 0x1.009dca5ace13p-13, 0x1.ee16fc36e585bp-14, 0x1.db699f3302824p-14, 0x1.c92fe2bc8067cp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8f45b95c24b5p-3, -0x1.a011411e08b1ep-3, -0x1.b0422dd6642b1p-3, -0x1.bfd83d4380c52p-3, -0x1.ced4c5add4e57p-3, -0x1.dd3a8474e14d1p-3, -0x1.eb0d6cb4598a3p-3, -0x1.f852772233cadp-3, -0x1.0287b9feb515bp-2, -0x1.08a56fd452ed2p-2, -0x1.0e85dd2d28ea9p-2, -0x1.142cb1917fda5p-2, -0x1.199dbb35437fep-2, -0x1.1edcd7f55b9b4p-2, -0x1.23ede80d325bep-2, -0x1.28d4c2764438ep-2, -0x1.2d952ade0ac79p-2, -0x1.3232c91a99236p-2, -0x1.36b12203c7964p-2, -0x1.3b1391952d783p-2, -0x1.3f5d463cafb7dp-2, -0x1.43913d395b1aep-2, -0x1.47b23feee4e02p-2, -0x1.4bc2e21330ca1p-2, -0x1.4fc5809c70c89p-2, -0x1.53bc4157f8921p-2, -0x1.57a913137ab5ep-2, -0x1.5b8dae44044d6p-2, -0x1.5f6b9617d3a58p-2, -0x1.634419e1c01fcp-2, -0x1.671856ce9d616p-2, -0x1.6ae939d68e6acp-2, -0x1.6eb781ddc117p-2, -0x1.7283c1f9747bap-2, -0x1.764e63cf77ca7p-2, -0x1.7a17aa078f161p-2, -0x1.7ddfb2c7422f3p-2, -0x1.81a67a319cdb7p-2, -0x1.856bdce563399p-2, -0x1.892f9a74f8f17p-2, -0x1.8cf157d413126p-2, -0x1.90b0a1b7e2ebcp-2, -0x1.946ceee70bc7fp-2, -0x1.9825a27731e76p-2, -0x1.9bda0df66d21bp-2, -0x1.9f89737f49719p-2, -0x1.a33307b66154bp-2, -0x1.a6d5f3b0db7a5p-2, -0x1.aa7156c36b6f5p-2, -0x1.ae04483997b5cp-2, -0x1.b18dd8f54cc15p-2, -0x1.b50d14f6d7ac6p-2, -0x1.b88104cd97d11p-2, -0x1.bbe8aef1c3309p-2, -0x1.bf431907bcc34p-2, -0x1.c28f490d83b77p-2, -0x1.c5cc4672dbb5p-2, -0x1.c8f91b1ccc7a1p-2, -0x1.cc14d4553118bp-2, -0x1.cf1e83a701ea5p-2, -0x1.d2153fa81d60ap-2, -0x1.d4f824b13f2ecp-2, -0x1.d7c65584ee588p-2, -0x1.da7efbe618abdp-2, -0x1.dd21491f19332p-2, -0x1.dfac7679e2c8ap-2, -0x1.e21fc5aa0a26bp-2, -0x1.e47a81295d2cfp-2, -0x1.e6bbfc87be512p-2, -0x1.e8e394aeed8dcp-2, -0x1.eaf0b01aea54cp-2, -0x1.ece2bf078e9dbp-2, -0x1.eeb93b940476fp-2, -0x1.f073a9dcb5c0ep-2, -0x1.f211980c41ee5p-2, -0x1.f3929e6412d76p-2, -0x1.f4f65f3d1ceb6p-2, -0x1.f63c87014b2dcp-2, -0x1.f764cc1e20a6dp-2, -0x1.f86eeef1083a6p-2, -0x1.f95ab9adccb7ep-2, -0x1.fa28003fb054p-2, -0x1.fad6a0258a04cp-2, -0x1.fb6680495dbdap-2, -0x1.fbd790d3cd391p-2, -0x1.fc29cafbc676ap-2, -0x1.fc5d30d2cc4afp-2, -0x1.fc71cd0e31669p-2, -0x1.fc67b2cd9a45ep-2, -0x1.fc3efd5f15a5p-2, -0x1.fbf7d001178cdp-2, -0x1.fb9255a2a3f14p-2, -0x1.fb0ec0a1e2eeep-2, -0x1.fa6d4a896c7edp-2, -0x1.f9ae33cc7ce4dp-2, -0x1.f8d1c38255208p-2, -0x1.f7d84720f7531p-2, -0x1.f6c2123772fdbp-2, -0x1.f58f7e27f5707p-2, -0x1.f440e9e1c58d5p-2, -0x1.f2d6b99b589c9p-2, -0x1.f151568ca3d2ep-2, -0x1.efb12ea9d36f6p-2, -0x1.edf6b45e855abp-2, -0x1.ec225e49a60efp-2, -0x1.ea34a6fa1055bp-2, -0x1.e82e0cac072a6p-2, -0x1.e60f1107a3435p-2, -0x1.e3d838e046badp-2, -0x1.e18a0bf533de8p-2, -0x1.df2514b34e9f6p-2, -0x1.dca9dff81f108p-2, -0x1.da18fcd623e8ap-2, -0x1.d772fc5a7e42dp-2, -0x1.d4b8715405217p-2, -0x1.d1e9f01bca617p-2, -0x1.cf080e5f15823p-2, -0x1.cc1362eae4191p-2, -0x1.c90c8578eaa7cp-2, -0x1.c5f40e7e2378fp-2, -0x1.c2ca96faec648p-2, -0x1.bf90b84cb3094p-2, -0x1.bc470c0136171p-2, -0x1.b8ee2bab59e54p-2, -0x1.b586b0b98cd21p-2, -0x1.b211344dc4352p-2, -0x1.ae8e4f170212p-2, -0x1.aafe992c70ba8p-2, -0x1.a762a9ea033adp-2, -0x1.a3bb17cea1986p-2, -0x1.a008785bd6c6ep-2, -0x1.9c4b5ff6fe1eap-2, -0x1.988461cbe94d1p-2, -0x1.94b40fb0fc1ap-2, -0x1.90dafa0cb6f93p-2, -0x1.8cf9afbca72bbp-2, -0x1.8910bdfdbd51bp-2, -0x1.8520b055f8d5fp-2, -0x1.812a107f6d799p-2, -0x1.7d2d665492493p-2, -0x1.792b37bdd596dp-2, -0x1.752408a071913p-2, -0x1.71185ace74b8bp-2, -0x1.6d08adf7f8791p-2, -0x1.68f57f9d80313p-2, -0x1.64df4b0375a95p-2, -0x1.60c68926bbef8p-2, -0x1.5cabb0b2503d5p-2, -0x1.588f35f5f3312p-2, -0x1.54718addce792p-2, -0x1.50531eeb10c99p-2, -0x1.4c345f2d7ad5ap-2, -0x1.4815b63dce583p-2, -0x1.43f78c39207cdp-2, -0x1.3fda46bcfe133p-2, -0x1.3bbe48e4626c1p-2, -0x1.37a3f34572cefp-2, -0x1.338ba3effb02p-2, -0x1.2f75b66ca0573p-2, -0x1.2b6283bcc667bp-2, -0x1.2752625b1d934p-2, -0x1.2345a63cd1251p-2, -0x1.1f3ca0d352ecep-2, -0x1.1b37a10eba9d4p-2, -0x1.1736f360af43ep-2, -0x1.133ae1bfdd7e7p-2, -0x1.0f43b3abe5c06p-2, -0x1.0b51ae31cbe62p-2, -0x1.076513f0d44bdp-2, -0x1.037e251fd1099p-2, -0x1.ff3a3f25ac34bp-3, -0x1.f7847d829ba84p-3, -0x1.efdb7798d0d38p-3, -0x1.e83f9b0bcb2c7p-3, -0x1.e0b150ee52179p-3, -0x1.d930fdd13ddddp-3, -0x1.d1bf01d2c8f8bp-3, -0x1.ca5bb8ae6630dp-3, -0x1.c30779cd0d7bap-3, -0x1.bbc29855fa51dp-3, -0x1.b48d633fcf2cbp-3, -0x1.ad6825621b883p-3, -0x1.a65325872d8a6p-3, -0x1.9f4ea67e3f257p-3, -0x1.985ae72dd63e4p-3, -0x1.917822a676a09p-3, -0x1.8aa690357722cp-3, -0x1.83e66378153cbp-3, -0x1.7d37cc6ea6878p-3, -0x1.769af78fef2e4p-3, -0x1.70100ddc97282p-3, -0x1.699734f2aca4cp-3, -0x1.63308f213d565p-3, -0x1.5cdc3b7bf5e4dp-3, -0x1.569a55eec5c69p-3, -0x1.506af7518156dp-3, -0x1.4a4e357b7ea51p-3, -0x1.444423572cfd1p-3, -0x1.3e4cd0f5912aep-3, -0x1.38684ba1bb95fp-3, -0x1.32969df41eb24p-3, -0x1.2cd7cfe5cdb16p-3, -0x1.272be6e399c69p-3, -0x1.2192e5e110a1cp-3, -0x1.1c0ccd6b51934p-3, -0x1.16999bbbbb19cp-3, -0x1.11394cca6f198p-3, -0x1.0bebda60a24c7p-3, -0x1.06b13c2ac4fe3p-3, -0x1.018967ca6b924p-3, -0x1.f8e8a1d017e0ep-4, -0x1.eee3d288fabc2p-4, -0x1.e504419481db7p-4, -0x1.db49cb3d16f4ep-4, -0x1.d1b448642968ep-4, -0x1.c8438ea34db0ep-4, -0x1.bef7706cde24bp-4, -0x1.b5cfbd2c0f029p-4, -0x1.accc41648c99bp-4, -0x1.a3ecc6d18066ap-4, -0x1.9b3114841b0b7p-4, -0x1.9298ef01880a6p-4, -0x1.8a241860608d5p-4, -0x1.81d250658222dp-4, -0x1.79a354a061b64p-4, -0x1.7196e086c9e16p-4, -0x1.69acad9009831p-4, -0x1.61e4734f90d98p-4, -0x1.5a3de78efda65p-4, -0x1.52b8be6795d66p-4, -0x1.4b54aa5b2f9e9p-4, -0x1.44115c6c88a28p-4, -0x1.3cee84370c532p-4, -0x1.35ebd00607c1fp-4, -0x1.2f08eceb4e6e2p-4, -0x1.284586d54ed04p-4, -0x1.21a148a496fe7p-4, -0x1.1b1bdc40cbdf5p-4, -0x1.14b4eaad13199p-4, -0x1.0e6c1c1befbf5p-4, -0x1.0841180294591p-4, -0x1.0233852baad78p-4, -0x1.f886139327a8bp-5, -0x1.ecde97103c60dp-5, -0x1.e16fdf3b71fc6p-5, -0x1.d63935b841e95p-5, -0x1.cb39e38114ef7p-5, -0x1.c071310695b59p-5, -0x1.b5de664e04e3fp-5, -0x1.ab80cb0e8e30dp-5, -0x1.a157a6cda8e4cp-5, -0x1.976240fa81badp-5, -0x1.8d9fe1087362dp-5, -0x1.840fce889347fp-5, -0x1.7ab151425240ap-5, -0x1.7183b14b3b5c9p-5, -0x1.6886371dcdff6p-5, -0x1.5fb82baf7aaccp-5, -0x1.5718d885c825bp-5, -0x1.4ea787ca9fca2p-5, -0x1.4663845fc9553p-5, -0x1.3e4c19f19c4a6p-5, -0x1.36609508e1ccap-5, -0x1.2ea0431bf5a51p-5, -0x1.270a729f2512ep-5, -0x1.1f9e73144e8d6p-5, -0x1.185b9519ca918p-5, -0x1.11412a789ee11p-5, -0x1.0a4e8631ff606p-5, -0x1.0382fc8c23f4ap-5, -0x1.f9bbc63cebb35p-6, -0x1.ecbd21ba2992ap-6, -0x1.e008bc47808a4p-6, -0x1.d39d49803f75cp-6, -0x1.c7797ff6ec5d7p-6, -0x1.bb9c19477793dp-6, -0x1.b003d2285829cp-6, -0x1.a4af6a7a850f8p-6, -0x1.999da55862ce3p-6, -0x1.8ecd49239f863p-6, -0x1.843d1f9210e5p-6, -0x1.79ebf5b994133p-6, -0x1.6fd89c1af8c07p-6, -0x1.6601e6abfe569p-6, -0x1.5c66ace06d2e5p-6, -0x1.5305c9b24c797p-6, -0x1.49de1ba94240fp-6, -0x1.40ee84e12318ap-6, -0x1.3835eb0fb5c16p-6, -0x1.2fb33789ae3ddp-6, -0x1.27655746f5767p-6, -0x1.1f4b3ae62df22p-6, -0x1.1763d6af8fabcp-6, -0x1.0fae229716cc8p-6, -0x1.08291a3e0c545p-6, -0x1.00d3bcf3f1d5fp-6, -0x1.f35a1b6da4c78p-7, -0x1.e568266607dd6p-7, -0x1.d7cfaf84ac8f3p-7, -0x1.ca8ed2d57a42ap-7, -0x1.bda3b3b8f1302p-7, -0x1.b10c7cdf787d4p-7, -0x1.a4c76043c41efp-7, -0x1.98d297244fb45p-7, -0x1.8d2c61fc04dd7p-7, -0x1.81d30879fac3p-7, -0x1.76c4d9788e242p-7, -0x1.6c002af392944p-7, -0x1.618359fded23p-7, -0x1.574ccab66f9cp-7, -0x1.4d5ae83c1356cp-7, -0x1.43ac24a192509p-7, -0x1.3a3ef8e0728e7p-7, -0x1.3111e4cb7f202p-7, -0x1.28236f00bcfcap-7, -0x1.1f7224dae17c9p-7, -0x1.16fc9a6252e4dp-7, -0x1.0ec16a3db87ddp-7, -0x1.06bf35a222f19p-7, -0x1.fde94885a44bbp-8, -0x1.eec0c8813e165p-8, -0x1.e00254322315cp-8, -0x1.d1ab612a4cc1dp-8, -0x1.c3b9716f98649p-8, -0x1.b62a13583a744p-8, -0x1.a8fae166b6ec2p-8, -0x1.9c298225687dfp-8, -0x1.8fb3a801a02e5p-8, -0x1.839711266bb6bp-8, -0x1.77d18757057dfp-8, -0x1.6c60dfc9002abp-8, -0x1.6142fafe2dcfdp-8, -0x1.5675c49e51e5ep-8, -0x1.4bf73350a6839p-8, -0x1.41c5489536cd3p-8, -0x1.37de109e1f375p-8, -0x1.2e3fa228b2c31p-8, -0x1.24e81e569420bp-8, -0x1.1bd5b086c3475p-8, -0x1.13068e2eaa34bp-8, -0x1.0a78f6b32d9dep-8, -0x1.022b3341c971fp-8, -0x1.f4372d5378906p-9, -0x1.e490fa6a94e5ep-9, -0x1.d5609906367f7p-9, -0x1.c6a2e6bf735d6p-9, -0x1.b854d33e6f027p-9, -0x1.aa735fedfd737p-9, -0x1.9cfb9faf9e09bp-9, -0x1.8feab68fe1ca8p-9, -0x1.833dd97b3e65cp-9, -0x1.76f24df3591c2p-9, -0x1.6b0569c4cfc02p-9, -0x1.5f7492bd87b1bp-9, -0x1.543d3e6387e6dp-9, -0x1.495cf1ac64314p-9, -0x1.3ed140b545052p-9, -0x1.3497ce7b87cep-9, -0x1.2aae4c9605562p-9, -0x1.21127aeefdaffp-9, -0x1.17c2277eb4e31p-9, -0x1.0ebb2e06babcep-9, -0x1.05fb77cdeb46bp-9, -0x1.fb01f6ba4d829p-10, -0x1.ea93787987ee1p-10, -0x1.daa795658aaa8p-10, -0x1.cb3a870394192p-10, -0x1.bc489f5193b4fp-10, -0x1.adce484726159p-10, -0x1.9fc803582d062p-10, -0x1.923268f8ee4c4p-10, -0x1.850a2823e1a78p-10, -0x1.784c05e106a09p-10, -0x1.6bf4dccee2cf7p-10, -0x1.60019cad2778cp-10, -0x1.546f49e8f0fdep-10, -0x1.493afd2aaa44p-10, -0x1.3e61e2e5a3d4p-10, -0x1.33e13ae93e0c6p-10, -0x1.29b657f3ceee8p-10, -0x1.1fde9f471e5eep-10, -0x1.1657883e961ebp-10, -0x1.0d1e9be70ef93p-10, -0x1.043174984e2ddp-10, -0x1.f71b7b2043433p-11, -0x1.e662651e43e18p-11, -0x1.d6333eee3125fp-11, -0x1.c689bfd60d9d4p-11, -0x1.b761bde198086p-11, -0x1.a8b72d28d4298p-11, -0x1.9a861f19c8cc4p-11, -0x1.8ccac1c5713cp-11, -0x1.7f815f2fda0d5p-11, -0x1.72a65ca365d8dp-11, -0x1.66363a07339aap-11, -0x1.5a2d91389f479p-11, -0x1.4e891567d8505p-11, -0x1.4345927787521p-11, -0x1.385fec5f7825p-11, -0x1.2dd51e9247d58p-11, -0x1.23a23b660978ep-11, -0x1.19c46b7fdd5bfp-11, -0x1.1038ed4271511p-11, -0x1.06fd143f635b6p-11, -0x1.fc1c9156fdab6p-12, -0x1.ead40dab9373cp-12, -0x1.da1bbd42b941bp-12, -0x1.c9eee603f557cp-12, -0x1.ba48f2f6c5a07p-12, -0x1.ab2573469f6aap-12, -0x1.9c80194c3e56p-12, -0x1.8e54b99c2db77p-12, -0x1.809f4a1a7f66cp-12, -0x1.735be11395d59p-12, -0x1.6686b459f9c8cp-12, -0x1.5a1c18692121p-12, -0x1.4e187f8d1609ap-12, -0x1.4278790ef2d75p-12, -0x1.3738b066146acp-12, -0x1.2c55ec6dfd3bdp-12, -0x1.21cd0ea0ce08dp-12, -0x1.179b12564464ep-12, -0x1.0dbd0c072e0a1p-12, -0x1.043028953d90cp-12, -0x1.f5e3592e5b445p-13, -0x1.e3fde75243f84p-13, -0x1.d2aadf82631e3p-13, -0x1.c1e5511013e56p-13, -0x1.b1a8756b37f4ap-13, -0x1.a1efaee36cc97p-13, -0x1.92b6877116176p-13, -0x1.83f8af85fc4e2p-13, -0x1.75b1fce5755dcp-13, -0x1.67de6983dfe0bp-13, -0x1.5a7a126d5b0e3p-13, -0x1.4d8136b3959f6p-13, -0x1.40f036628eba2p-13, -0x1.34c3917c2c0eep-13, -0x1.28f7e6fa7bb9dp-13, -0x1.1d89f3d888afcp-13, -0x1.127692219be1ep-13, -0x1.07bab806cd45fp-13, -0x1.faa6edf57c0e7p-14, -0x1.e67bf5a6c5513p-14, -0x1.d2ef11e373ec6p-14, -0x1.bffafedea0b4ap-14, -0x1.ad9aa8a2ee86ap-14, -0x1.9bc9298410af5p-14, -0x1.8a81c89b398ebp-14, -0x1.79bff84e37191p-14, -0x1.697f54e0f91cdp-14, -0x1.59bba311504dcp-14, -0x1.4a70cebca5f52p-14, -0x1.3b9ae98f7a5e1p-14, -0x1.2d3629be6ceebp-14, -0x1.1f3ee8c89924fp-14, -0x1.11b1a24315a98p-14, -0x1.048af2ad58969p-14, -0x1.ef8f2c9cac23ep-15, -0x1.d6c8d0343a1e4p-15, -0x1.bebcc13f8bd3p-15, -0x1.a76529fef9395p-15, -0x1.90bc6bd0ef8a5p-15, -0x1.7abd1d3d57e6cp-15, -0x1.656208101332ep-15, -0x1.50a6278234adbp-15, -0x1.3c84a67199a28p-15, -0x1.28f8dda6864a5p-15, -0x1.15fe5226ef985p-15, -0x1.0390b3971a089p-15, -0x1.e357b54e6c804p-16, -0x1.c0978f1b5a9f7p-16, -0x1.9ed9411b822c3p-16, -0x1.7e15611474479p-16, -0x1.5e44cb4795b69p-16, -0x1.3f609fc5bbe2dp-16, -0x1.21623fd90fc6fp-16, -0x1.04434b848a8d3p-16, -0x1.cffb3e312889p-17, -0x1.9916a1b84683p-17, -0x1.63cd5d93999p-17, -0x1.301478c0a4ca8p-17, -0x1.fbc2c2181b4c3p-18, -0x1.9a53cdfa7f465p-18, -0x1.3bc873cb8f5dap-18, -0x1.c01b904dd0455p-19, -0x1.0e231c91026a3p-19, -0x1.861187b17bf94p-21, 0x1.178a22b810542p-21, 0x1.d064b02defeecp-20, 0x1.858a99ab11651p-19, 0x1.0f04dfc747a03p-18, 0x1.58e6963fd7d02p-18, 0x1.a0789f9d62f6ep-18, 0x1.e5c8aeb9a9ab5p-18, 0x1.1471ff99533cep-17, 0x1.34ebad406aeep-17, 0x1.54578e6e525f5p-17, 0x1.72bb9cfa40272p-17, 0x1.901da0ba7ee05p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d6832c16b32f8p-1, 0x1.d3c19535e0206p-1, 0x1.d0ed3dacc6feep-1, 0x1.ce06a4d8684d8p-1, 0x1.cb0e7ff7b0e0cp-1, 0x1.c805b606d9df9p-1, 0x1.c4ed5a66c0ab7p-1, 0x1.c1c6a6c198b2bp-1, 0x1.be92f488b0c83p-1, 0x1.bb53b6541259ap-1, 0x1.b80a715c63b8bp-1, 0x1.b4b8b7398d21fp-1, 0x1.b1602004f656fp-1, 0x1.ae0244f483734p-1, 0x1.aaa0bb7b92f55p-1, 0x1.a73d10f8e109ep-1, 0x1.a3d8c6f32ed38p-1, 0x1.a0754fe2a6b69p-1, 0x1.9d140c820516fp-1, 0x1.99b649a06ce91p-1, 0x1.965d3e6b51827p-1, 0x1.930a0b26f07bap-1, 0x1.8fbdb84b50fadp-1, 0x1.8c7935fb985cdp-1, 0x1.893d5bcd935e6p-1, 0x1.860ae8d7ab4d7p-1, 0x1.82e283fbe4d4p-1, 0x1.7fc4bc67190aep-1, 0x1.7cb20a3c348b5p-1, 0x1.79aacf63eeac9p-1, 0x1.76af587a138dbp-1, 0x1.73bfddd22ace6p-1, 0x1.70dc848de4f07p-1, 0x1.6e055fc058c93p-1, 0x1.6b3a7199b5e39p-1, 0x1.687bac9797ef5p-1, 0x1.65c8f4b6abf6p-1, 0x1.632220a2cfac7p-1, 0x1.6086fae34397bp-1, 0x1.5df74300e3ff6p-1, 0x1.5b72aea4c00ap-1, 0x1.58f8eaadab37ap-1, 0x1.56899c3bb3b59p-1, 0x1.542461b0a3d79p-1, 0x1.51c8d3a4e8776p-1, 0x1.4f7685d06ba34p-1, 0x1.4d2d07e715535p-1, 0x1.4aebe668ce4c6p-1, 0x1.48b2ab64fa32cp-1, 0x1.4680df317a64p-1, 0x1.445609155ec11p-1, 0x1.4231afe7811bbp-1, 0x1.40135aa14beb9p-1, 0x1.3dfa90e6063e9p-1, 0x1.3be6db7efdb8ap-1, 0x1.39d7c4ccf4ae2p-1, 0x1.37ccd92f3de53p-1, 0x1.35c5a760f462fp-1, 0x1.33c1c0ccbf69dp-1, 0x1.31c0b9d7953c1p-1, 0x1.2fc22a22ef33ap-1, 0x1.2dc5acc6e036p-1, 0x1.2bcae0848169bp-1, 0x1.29d167f12205p-1, 0x1.27d8e99aa8636p-1, 0x1.25e11025905a1p-1, 0x1.23e98a64ed0c6p-1, 0x1.21f20b6cd562bp-1, 0x1.1ffa4a9f990a5p-1, 0x1.1e0203b621d33p-1, 0x1.1c08f6c3d615fp-1, 0x1.1a0ee836580d3p-1, 0x1.1813a0d171f53p-1, 0x1.1616eda781d9p-1, 0x1.1418a00eaeb85p-1, 0x1.12188d9330e89p-1, 0x1.10168fe6f4102p-1, 0x1.0e1284cecf349p-1, 0x1.0c0c4e0d99aabp-1, 0x1.0a03d14d4d829p-1, 0x1.07f8f8067885p-1, 0x1.05ebaf6629f2ap-1, 0x1.03dbe8328fcedp-1, 0x1.01c996ae75323p-1, 0x1.ff6964f78fce6p-2, 0x1.fb3a6cfaa8c05p-2, 0x1.f706416fae81dp-2, 0x1.f2cce4651f9b5p-2, 0x1.ee8e5daedad5ap-2, 0x1.ea4abaa5f728fp-2, 0x1.e6020de85006cp-2, 0x1.e1b46f17f821ep-2, 0x1.dd61fa9ac5b82p-2, 0x1.d90ad15a29a06p-2, 0x1.d4af18836fe6bp-2, 0x1.d04ef9489c898p-2, 0x1.cbeaa0a1fc887p-2, 0x1.c7823f1090375p-2, 0x1.c31608616c4bbp-2, 0x1.bea6337224ff1p-2, 0x1.ba32f9f660be5p-2, 0x1.b5bc983ea3fc6p-2, 0x1.b1434d0066e02p-2, 0x1.acc7591f89079p-2, 0x1.a848ff7929f92p-2, 0x1.a3c884affbd16p-2, 0x1.9f462efa0ed92p-2, 0x1.9ac245f0272d4p-2, 0x1.963d125ea06b8p-2, 0x1.91b6de17e0475p-2, 0x1.8d2ff3c861b2p-2, 0x1.88a89ecc5978dp-2, 0x1.84212b06f0d3p-2, 0x1.7f99e4bb1cea5p-2, 0x1.7b1318660e86fp-2, 0x1.768d129b35e93p-2, 0x1.72081fe1dec7ap-2, 0x1.6d848c9459005p-2, 0x1.6902a4c0b1131p-2, 0x1.6482b40aea50ep-2, 0x1.60050590c31cp-2, 0x1.5b89e3ceea97cp-2, 0x1.57119887b488bp-2, 0x1.529c6cab35d9p-2, 0x1.4e2aa840c7fdfp-2, 0x1.49bc9251ee686p-2, 0x1.455270d68f0c9p-2, 0x1.40ec88a27cae3p-2, 0x1.3c8b1d5445503p-2, 0x1.382e71453e9e4p-2, 0x1.33d6c57ac7861p-2, 0x1.2f845998b5c1dp-2, 0x1.2b376bd4e4575p-2, 0x1.26f038ebde33ap-2, 0x1.22aefc169823p-2, 0x1.1e73ef01331b2p-2, 0x1.1a3f49c2baf89p-2, 0x1.161142d5dcd7cp-2, 0x1.11ea0f12892a8p-2, 0x1.0dc9e1a878be2p-2, 0x1.09b0ec1a8b754p-2, 0x1.059f5e3afafe1p-2, 0x1.0195662854c44p-2, 0x1.fb2660966acbbp-3, 0x1.f331cea9755b4p-3, 0x1.eb4d687b4e768p-3, 0x1.e3797c8c58d5dp-3, 0x1.dbb655eca7c58p-3, 0x1.d4043c3e053cdp-3, 0x1.cc6373b712502p-3, 0x1.c4d43d27803aap-3, 0x1.bd56d5fd40947p-3, 0x1.b5eb784ab9045p-3, 0x1.ae925acdcd918p-3, 0x1.a74bb0f7d0896p-3, 0x1.a017aaf63307fp-3, 0x1.98f675bbfd2b4p-3, 0x1.91e83b0bf390bp-3, 0x1.8aed2183614d5p-3, 0x1.84054ca57f5adp-3, 0x1.7d30dce76c451p-3, 0x1.766fefbca1a0ep-3, 0x1.6fc29fa3e82c8p-3, 0x1.69290434b9026p-3, 0x1.62a3322d0312bp-3, 0x1.5c313b7f4ebacp-3, 0x1.55d32f6132497p-3, 0x1.4f891a5a0b1f4p-3, 0x1.4953065203553p-3, 0x1.4330faa1427d8p-3, 0x1.3d22fc1f5db96p-3, 0x1.37290d32e150cp-3, 0x1.31432de10e2fdp-3, 0x1.2b715bdda0305p-3, 0x1.25b3929abdba4p-3, 0x1.2009cb58e2fefp-3, 0x1.1a73fd36e08d8p-3, 0x1.14f21d41dd6ccp-3, 0x1.0f841e85522afp-3, 0x1.0a29f21afdc5ep-3, 0x1.04e3873ad0e59p-3, 0x1.ff6196958d3cfp-4, 0x1.f52353dd4924dp-4, 0x1.eb0c1a2f52f41p-4, 0x1.e11bba282bb71p-4, 0x1.d752013d3a02ep-4, 0x1.cdaeb9db50687p-4, 0x1.c431ab84f4922p-4, 0x1.bada9af04ae78p-4, 0x1.b1a94a24a877ep-4, 0x1.a89d7897c7a84p-4, 0x1.9fb6e34a95162p-4, 0x1.96f544e599147p-4, 0x1.8e5855d4f2276p-4, 0x1.85dfcc63dd807p-4, 0x1.7d8b5cd7ce5c9p-4, 0x1.755ab98b0ed01p-4, 0x1.6d4d9306e6213p-4, 0x1.6563981d4349bp-4, 0x1.5d9c7601ea63bp-4, 0x1.55f7d86321d71p-4, 0x1.4e756981dcd18p-4, 0x1.4714d2496443cp-4, 0x1.3fd5ba667a85cp-4, 0x1.38b7c85dfaafap-4, 0x1.31baa1a2f0a9cp-4, 0x1.2addeaac2cf28p-4, 0x1.242147094e49cp-4, 0x1.1d84597748205p-4, 0x1.1706c3f45e668p-4, 0x1.10a827d39d974p-4, 0x1.0a6825cfc9305p-4, 0x1.04465e1dc6c18p-4, 0x1.fc84e0fd05276p-5, 0x1.f0b7f8a09b773p-5, 0x1.e525413f77daap-5, 0x1.d9cbf86ff62a8p-5, 0x1.ceab5b6555be4p-5, 0x1.c3c2a70e66385p-5, 0x1.b911183335f13p-5, 0x1.ae95eb91c4768p-5, 0x1.a4505df9bb3b2p-5, 0x1.9a3fac6732196p-5, 0x1.9063141c7e98cp-5, 0x1.86b9d2bb1669bp-5, 0x1.7d43265b84083p-5, 0x1.73fe4da4748fap-5, 0x1.6aea87e0df19p-5, 0x1.620715154c53ap-5, 0x1.595336144128bp-5, 0x1.50ce2c91cfee3p-5, 0x1.48773b365353ep-5, 0x1.404da5b05a6e4p-5, 0x1.3850b0c5c52aep-5, 0x1.307fa26418eb8p-5, 0x1.28d9c1b011dbep-5, 0x1.215e57146f98cp-5, 0x1.1a0cac5009798p-5, 0x1.12e40c8328b96p-5, 0x1.0be3c43c2e222p-5, 0x1.050b218388246p-5, 0x1.fcb2e7cdfeb3bp-6, 0x1.ef9c1908b00f5p-6, 0x1.e2d07c26a5adap-6, 0x1.d64eb9de1e6eep-6, 0x1.ca157e3da0487p-6, 0x1.be2378bc576e7p-6, 0x1.b2775c4952299p-6, 0x1.a70fdf599d924p-6, 0x1.9bebbbf54aefp-6, 0x1.9109afc36bc7fp-6, 0x1.86687c150780ep-6, 0x1.7c06e5ef1453dp-6, 0x1.71e3b6137a00dp-6, 0x1.67fdb90925f13p-6, 0x1.5e53bf233b5c4p-6, 0x1.54e49c8760d5p-6, 0x1.4baf29333d8e1p-6, 0x1.42b241011c788p-6, 0x1.39ecc3abcddfp-6, 0x1.315d94d1c4ad3p-6, 0x1.29039bf7793c6p-6, 0x1.20ddc48913c31p-6, 0x1.18eafddb6e959p-6, 0x1.112a3b2c6e1c5p-6, 0x1.099a73a2b7a46p-6, 0x1.023aa24cd032p-6, 0x1.f6138c3f453d7p-7, 0x1.e80dc3e8fbd16p-7, 0x1.da61f90d0246bp-7, 0x1.cd0e40df23c8dp-7, 0x1.c010b84991894p-7, 0x1.b36783e4dbfacp-7, 0x1.a710cfef06a64p-7, 0x1.9b0ad041bad16p-7, 0x1.8f53c047b51c9p-7, 0x1.83e9e2f162d6bp-7, 0x1.78cb82a8cdfc8p-7, 0x1.6df6f144cca17p-7, 0x1.636a87fb941ffp-7, 0x1.5924a754a2001p-7, 0x1.4f23b71a0fae6p-7, 0x1.456626495fa7fp-7, 0x1.3bea6b03b9f8bp-7, 0x1.32af027db13d5p-7, 0x1.29b270ee904c8p-7, 0x1.20f3417f38457p-7, 0x1.187006389901ep-7, 0x1.102757f1c88fdp-7, 0x1.0817d63dc1b97p-7, 0x1.00402758d10ffp-7, 0x1.f13df02b6ace6p-8, 0x1.e265f794f6b59p-8, 0x1.d3f5d87a32fdp-8, 0x1.c5eb131fa5fdbp-8, 0x1.b843345acd36p-8, 0x1.aafbd56a1dcaap-8, 0x1.9e129bccb637p-8, 0x1.91853919c3fefp-8, 0x1.85516ad7aed36p-8, 0x1.7974fa530fa5p-8, 0x1.6dedbc757945bp-8, 0x1.62b9919c2332cp-8, 0x1.57d6656e76d26p-8, 0x1.4d422eb48dc54p-8, 0x1.42faef2da3d5bp-8, 0x1.38feb366880fp-8, 0x1.2f4b929012e5ap-8, 0x1.25dfae55a6812p-8, 0x1.1cb932b3c22aap-8, 0x1.13d655ceadefdp-8, 0x1.0b3557c9453c2p-8, 0x1.02d4829be411ap-8, 0x1.f56453d70175p-9, 0x1.e59955c1e2371p-9, 0x1.d644d800cc236p-9, 0x1.c763ba023bf64p-9, 0x1.b8f2ed4aac99dp-9, 0x1.aaef7524f59afp-9, 0x1.9d5666533adb8p-9, 0x1.9024e6c06a224p-9, 0x1.83582d325409fp-9, 0x1.76ed80fc63b16p-9, 0x1.6ae239b2facc8p-9, 0x1.5f33bedf7f0aap-9, 0x1.53df87b5117eap-9, 0x1.48e31ac604deap-9, 0x1.3e3c0dba0a28ep-9, 0x1.33e805051dd03p-9, 0x1.29e4b39f3d51p-9, 0x1.202fdabcdefeap-9, 0x1.16c749883aab1p-9, 0x1.0da8dcdb5f387p-9, 0x1.04d27efb1ab61p-9, 0x1.f8844ea56a109p-10, 0x1.e7ebb46109f9bp-10, 0x1.d7d75106bc37fp-10, 0x1.c8435f31a9ea6p-10, 0x1.b92c31b8d115cp-10, 0x1.aa8e332f0594p-10, 0x1.9c65e564b8e0cp-10, 0x1.8eafe0eb7c605p-10, 0x1.8168d49b52652p-10, 0x1.748d8519b52f3p-10, 0x1.681acc626caa2p-10, 0x1.5c0d99522566bp-10, 0x1.5062ef32cd51fp-10, 0x1.4517e549b868fp-10, 0x1.3a29a6678588bp-10, 0x1.2f957079ce9bap-10, 0x1.2558941e94622p-10, 0x1.1b70743971185p-10, 0x1.11da858a87d64p-10, 0x1.08944e4739ad9p-10, 0x1.ff36cb6913fddp-11, 0x1.eddae78698876p-11, 0x1.dd10615bfaeb2p-11, 0x1.ccd2c930b0545p-11, 0x1.bd1dce6134153p-11, 0x1.aded3ea4ee8c7p-11, 0x1.9f3d05577513fp-11, 0x1.91092ac51a695p-11, 0x1.834dd37ac9436p-11, 0x1.76073f99204b6p-11, 0x1.6931ca2aca863p-11, 0x1.5cc9e87e08eb4p-11, 0x1.50cc29816a01ep-11, 0x1.453535239fc23p-11, 0x1.3a01cbb674d91p-11, 0x1.2f2ec554cf867p-11, 0x1.24b9114bbeb3ap-11, 0x1.1a9db58688b46p-11, 0x1.10d9cdfdad48fp-11, 0x1.076a8c28d8d9dp-11, 0x1.fc9a6ce772c9p-12, 0x1.eafe4f6b5fd56p-12, 0x1.d9fb9d58a31cap-12, 0x1.c98d5af164ff9p-12, 0x1.b9aeb23edb5d6p-12, 0x1.aa5af216c0e9fp-12, 0x1.9b8d8d262528cp-12, 0x1.8d4219017a07bp-12, 0x1.7f744d39d362fp-12, 0x1.722002773d6d3p-12, 0x1.654131981b933p-12, 0x1.58d3f2d579c83p-12, 0x1.4cd47cec3d521p-12, 0x1.413f244b1fe9ap-12, 0x1.36105a45632c1p-12, 0x1.2b44ac4a2a599p-12, 0x1.20d8c3205e749p-12, 0x1.16c96227175bp-12, 0x1.0d13669a696bdp-12, 0x1.03b3c6dc89c2fp-12, 0x1.f54f23866fdd9p-13, 0x1.e3d7dbd2aa807p-13, 0x1.d2fc320935b23p-13, 0x1.c2b6ce7eb29c7p-13, 0x1.b302852c5b30fp-13, 0x1.a3da5473410dp-13, 0x1.953963e722503p-13, 0x1.871b0320cc4bap-13, 0x1.797aa897cfb1p-13, 0x1.6c53f083760a1p-13, 0x1.5fa29bc2c43adp-13, 0x1.53628ecb738adp-13, 0x1.478fd09fb8abbp-13, 0x1.3c2689cab4b6cp-13, 0x1.3123036374355p-13, 0x1.2681a61651dd9p-13, 0x1.1c3ef934a766fp-13, 0x1.1257a1caa1396p-13, 0x1.08c861bb148aap-13, 0x1.ff1c2dc28bcb9p-14, 0x1.ed4b7470d424p-14, 0x1.dc18be11b7e24p-14, 0x1.cb7e64359993dp-14, 0x1.bb76f1dcd32d2p-14, 0x1.abfd21f296046p-14, 0x1.9d0bddd21e68dp-14, 0x1.8e9e3bd619b1ep-14, 0x1.80af7df1ec161p-14, 0x1.733b1054b046bp-14, 0x1.663c8815af3e6p-14, 0x1.59afa1ea1d757p-14, 0x1.4d9040e3e7cc5p-14, 0x1.41da6d395a7f2p-14, 0x1.368a53156d57dp-14, 0x1.2b9c417085ee1p-14, 0x1.210ca8f177ee3p-14, 0x1.16d81ad697436p-14, 0x1.0cfb47e6a8cf9p-14, 0x1.0372ff6982ab5p-14, 0x1.f4785c505a8b9p-15, 0x1.e2a7bae8aeeap-15, 0x1.d16e646de136bp-15, 0x1.c0c6d80b769d3p-15, 0x1.b0abc87f5d0fp-15, 0x1.a1181a5ff43aep-15, 0x1.9206e26f08cebp-15, 0x1.837363f97039fp-15, 0x1.75590f42f5adbp-15, 0x1.67b37ffe45d8ep-15, 0x1.5a7e7bd09209ep-15, 0x1.4db5f0e0960b5p-15, 0x1.4155f470c099bp-15, 0x1.355ac1842c4d1p-15, 0x1.29c0b78e281cdp-15, 0x1.1e84592c05fd2p-15, 0x1.13a24ae8ec936p-15, 0x1.0917520b678cep-15, 0x1.fdc0a6d8ef15fp-16, 0x1.e9f4a4afbf6afp-16, 0x1.d6c4deeae0343p-16, 0x1.c42bcf7624f44p-16, 0x1.b22426cebce17p-16, 0x1.a0a8ca08ea583p-16, 0x1.8fb4d0e5da7b5p-16, 0x1.7f4383f93315bp-16, 0x1.6f505adddfd7ep-16, 0x1.5fd6fa79b72eap-16, 0x1.50d3334f8c0d5p-16, 0x1.4240ffdf47c9fp-16, 0x1.341c8313a671ep-16, 0x1.266206bd32269p-16, 0x1.190dfa1a236efp-16, 0x1.0c1cf06abd4a5p-16, 0x1.ff173f23b145fp-17, 0x1.e6adbd82719b9p-17, 0x1.cef74a62b235ap-17, 0x1.b7ee11c8b9ff4p-17, 0x1.a18c7ae7a16a6p-17, 0x1.8bcd25d1c6327p-17, 0x1.76aae93dae808p-17, 0x1.6220d05ea188dp-17, 0x1.4e2a18d07684ep-17, 0x1.3ac23095ff67fp-17, 0x1.27e4b4297d75bp-17, 0x1.158d6c9e9a6c4p-17, 0x1.03b84dd55b798p-17, 0x1.e4c2e97b1280fp-18, 0x1.c30a4b541ac8dp-18, 0x1.a23f95678eb4ep-18, 0x1.825be456bd76bp-18, 0x1.63589a3334e9cp-18, 0x1.452f5b9b96e07p-18, 0x1.27da0cf3ad099p-18, 0x1.0b52cfb6e4b4bp-18, 0x1.df27ffc8b3fa7p-19, 0x1.a930630743621p-19, 0x1.74b45c8310eddp-19, 0x1.41a9e647fef11p-19, 0x1.10075ca8f66a9p-19, 0x1.bf86f4000eaaap-20, 0x1.61aaa5311365ap-20, 0x1.0668a183b5df2p-20, 0x1.5b60c42584a37p-21, 0x1.5dc7f4d41a9e9p-22, 0x1.cf0fc35647798p-27, -0x1.3767eb19f8322p-22, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      119, 0x1.8cccccccccccdp+2, 0x1.31e00294b9b26p+0, 0x1.d434f0b614fedp+1, -0x1.b7c0bffe6e09ep+0, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.e1bce8533b107p+2, -0x1.61797bb388c9fp+3, 0x1.a6570a3d70aa1p+2, 0x1.2d70150f527c9p-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.c6235b4edb2f6p+2, -0x1.507d923915bdcp+3, 0x1.aadc8fad07a95p+2, -0x1.78cc1a532756p+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.abe3c968943e1p+2, -0x1.3fde42c7900e1p+3, 0x1.9440f47f14a95p+2, -0x1.f05737ee72bc6p+0}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.92f06f6944674p+2, -0x1.2ffef0ca4058dp+3, 0x1.855d0efa7cbd3p+2, -0x1.0e8575cffa8cdp+1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.7b3bddfc9ff93p+2, -0x1.20bef65fb6a4p+3, 0x1.7521d9d46896p+2, -0x1.fb7d1991c566p+0}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.64b91b3f20a74p+2, -0x1.122009e321bb1p+3, 0x1.65e85680ace77p+2, -0x1.f100ae18bc6bbp+0}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.4f5b9628cbd12p+2, -0x1.041b679b5651dp+3, 0x1.56ff5b850da6dp+2, -0x1.e0802e0b5d65fp+0}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.3b171e29b6b2bp+2, -0x1.ed59d4a5149e8p+2, 0x1.48951cb2cad98p+2, -0x1.d0fe99b9e46adp+0}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.27dfe32a0663cp+2, -0x1.d39f4ed8d7ea9p+2, 0x1.3aa1f43f22b79p+2, -0x1.bf856b0cee4b3p+0}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.15aa79bbadc0ap+2, -0x1.bafd1c342a9f2p+2, 0x1.2d34fdd5c9a5fp+2, -0x1.b4ebba128e328p+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.046bdb1a6d699p+2, -0x1.a36a9ce84ee25p+2, 0x1.20197092abc84p+2, -0x1.a4cbaca8d0fa4p+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e832a0663c75p+1, -0x1.8cdf9b2ca6279p+2, 0x1.1379bac0ce792p+2, -0x1.93e5934a09abdp+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.c95104d551d69p+1, -0x1.7751f1e3a9838p+2, 0x1.075bcd5fdd8bp+2, -0x1.8b9e062f1c9c9p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.ac1ef73c0c1fdp+1, -0x1.62b9e4f2c8428p+2, 0x1.f6faec4c439bfp+1, -0x1.79a253f98bed7p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.908919ef954ebp+1, -0x1.4f0f62f85357bp+2, 0x1.e052769e9240ep+1, -0x1.6dd8a9eaa9c54p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.767cd03537197p+1, -0x1.3c4946ac1eccp+2, 0x1.ca5f1043b106ep+1, -0x1.62fb045bd3085p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.5de81cb46bacfp+1, -0x1.2a609a81caa83p+2, 0x1.b5129000bdf71p+1, -0x1.523b44a614adfp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.46b9991361dc9p+1, -0x1.194ce2c17301bp+2, 0x1.a0c7539060908p+1, -0x1.4c17e90bbb75cp+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.30e08f2170931p+1, -0x1.09071780319f3p+2, 0x1.8cda5f2e64ad5p+1, -0x1.3965172b0d8e9p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.1c4cc6822ff09p+1, -0x1.f30f2f052d245p+1, 0x1.7a0ca059e3dd1p+1, -0x1.3253ba4814fe7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.08eebf65dbfcfp+1, -0x1.d58cf0df7028fp+1, 0x1.67ab715590af1p+1, -0x1.254bffb49c027p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.ed6eefa1e3eafp+0, -0x1.b97b1b6a3ac53p+1, 0x1.5612671ca60b2p+1, -0x1.1c7c46e571d6ap+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.cb30f8c64fdb1p+0, -0x1.9ecc43426542ep+1, 0x1.4500b4c733b16p+1, -0x1.0cc2e4b5a6739p+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.ab07bfe7e1fc1p+0, -0x1.8571554b78aadp+1, 0x1.34e08855e7255p+1, -0x1.08782643f2708p+0}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.8cd8a979e16d7p+0, -0x1.6d5e0541e51e9p+1, 0x1.25024899818f4p+1, -0x1.f2b90475186dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.7089e34330d74p+0, -0x1.568667cce5bd7p+1, 0x1.160c17d36ee81p+1, -0x1.e42ba1a3c6058p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.5602c9081c2e3p+0, -0x1.40dcbc34e8ad4p+1, 0x1.0785aa0447af8p+1, -0x1.cc9874fbe34c4p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.3d2ba16e7a312p+0, -0x1.2c554c0838ec8p+1, 0x1.f36894b1c44b9p+0, -0x1.c1728a6c6db38p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.25edaec4a4096p+0, -0x1.18e56c8c4d0e8p+1, 0x1.d87111824d12cp+0, -0x1.a59d61528bc4bp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1032fcac8e68ep+0, -0x1.0681242e9cad1p+1, 0x1.bf2510ca25f76p+0, -0x1.9817f0495c59bp-1}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f7cd67fd3f5b6p-1, -0x1.ea377d75c7546p+0, 0x1.a6a8bfcffc95cp+0, -0x1.8a02dd8807eb7p-1}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.d1e98dcdb37cap-1, -0x1.c95982b79749dp+0, 0x1.8f04bcc2b46e2p+0, -0x1.77dc99968555cp-1}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.ae93c03bc4d23p-1, -0x1.aa548a834e9ap+0, 0x1.7877805864cp+0, -0x1.5e8abc1de1e3dp-1}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.8da72a7bd48cbp-1, -0x1.8d0ddfb956717p+0, 0x1.636f2d60d7324p+0, -0x1.5df875f1eee63p-1}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.6f00ef1348b22p-1, -0x1.71759a0586502p+0, 0x1.4e6fa12e7c0ffp+0, -0x1.41936c1a6675dp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.527f1b6912125p-1, -0x1.5779ed700d38fp+0, 0x1.3b24396a5732p+0, -0x1.3bb9d9a474319p-1}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.3801b43526528p-1, -0x1.3f05cfc44dcbbp+0, 0x1.2832ac5b5a76ap+0, -0x1.27852d53cc329p-1}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.1f69ec2ce464ap-1, -0x1.28093ecf6c871p+0, 0x1.16777b8ea5403p+0, -0x1.1e31710c5a3dp-1}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.089a88ace24bcp-1, -0x1.12721573f7139p+0, 0x1.054b8e5fd3099p+0, -0x1.07b50e7ada24dp-1}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.e6ef3d3a1d324p-2, -0x1.fc598fe51104dp-1, 0x1.eaf20687f24c4p-1, -0x1.0afa55081c834p-1}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.bfcdab191dde3p-2, -0x1.d65b0ffc39fbap-1, 0x1.cae877350d98ap-1, -0x1.d8c33ac986235p-2}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.9b9cf9a06a6e3p-2, -0x1.b2c7172db6c26p-1, 0x1.ae8ad4f5c2fcep-1, -0x1.d6fe6ac9b1292p-2}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.7a2db61bb05fbp-2, -0x1.9176f66c74fffp-1, 0x1.92485de9a8ff8p-1, -0x1.bb431a0fb7fbep-2}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.5b52007dd4413p-2, -0x1.72588db174d2ep-1, 0x1.77afdc595b662p-1, -0x1.9bf52cf76adep-2}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.3ede54b48d3aep-2, -0x1.554797695d96dp-1, 0x1.5ef830b0e9778p-1, -0x1.94e832129ba89p-2}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.24a9cdc443915p-2, -0x1.3a2c82d7c6932p-1, 0x1.46acd186d5e32p-1, -0x1.706a0abe29519p-2}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.0c8d1958969a1p-2, -0x1.20ec8f3028a92p-1, 0x1.3091f9d795f7dp-1, -0x1.696fa2f4c1091p-2}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.ecc70867ad8e4p-3, -0x1.096d070f8664cp-1, 0x1.1ae2515842b4bp-1, -0x1.49d7696ece763p-2}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.c413db7f17375p-3, -0x1.e72c6ef9b40d5p-2, 0x1.0717f3fa927a6p-1, -0x1.3f32b75005d4fp-2}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.9ebf22c01e68ap-3, -0x1.be9c5a059b014p-2, 0x1.e7e223e14d374p-2, -0x1.295db9511ad59p-2}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.7c8a7a41e57dap-3, -0x1.9901e766a89ep-2, 0x1.c4330da45e79dp-2, -0x1.1b56636b8ee06p-2}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.5d3b29a1b9f99p-3, -0x1.7631065378c9p-2, 0x1.a232ed3b4d54ap-2, -0x1.0948b900b582fp-2}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.40999dcb5781cp-3, -0x1.56024aa940ae5p-2, 0x1.825d66642d4f8p-2, -0x1.df0d71230215cp-3}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.2671ef30a4e38p-3, -0x1.383fde981b44dp-2, 0x1.659f274879fc4p-2, -0x1.f138c972ab9e8p-3}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.0e93e1c9b413ap-3, -0x1.1cd54533c2de8p-2, 0x1.47c9d3842802p-2, -0x1.9c0f69124ea92p-3}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.f1a08bfc2224fp-4, -0x1.03995581805e8p-2, 0x1.2f1094e4567cfp-2, -0x1.9e899244174b2p-3}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.c9fa54c554328p-4, -0x1.d8b284bc63a6cp-3, 0x1.1631498e55173p-2, -0x1.89ca4ddd531f4p-3}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.a5e4606748e47p-4, -0x1.ae13a45943981p-3, 0x1.fd215691773f1p-3, -0x1.5a4d36469cec1p-3}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.8512231832fcbp-4, -0x1.870230baeb586p-3, 0x1.d392f3e526f9dp-3, -0x1.4d00d9083a79dp-3}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.673e681a9b8ccp-4, -0x1.633377f6735cbp-3, 0x1.ab9d174a90994p-3, -0x1.31af65987a0eep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.4c282c6ef3d3ap-4, -0x1.4275913607b6fp-3, 0x1.86ee717ff2975p-3, -0x1.2c419095d9ce6p-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.33929ed3953dfp-4, -0x1.24a03f18da519p-3, 0x1.62e693597c4b7p-3, -0x1.fa94b02044e13p-4}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.1d441355475a3p-4, -0x1.09731fa952cb1p-3, 0x1.44817e8abfd77p-3, -0x1.fd2a1e5333194p-4}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.0909289dadfb5p-4, -0x1.e16c264e75864p-4, 0x1.25f4ba2998ef9p-3, -0x1.d0c2d692fd441p-4}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.ed612c6ac215cp-5, -0x1.b49ecfcbfd9b3p-4, 0x1.0a11ff35420fap-3, -0x1.7fca8760befadp-4}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.cc1a8ac5c13fdp-5, -0x1.8be42cbbbde2dp-4, 0x1.e615ee2bb4e26p-4, -0x1.b0130bea12381p-4}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.adeebb341e14cp-5, -0x1.671412c610fccp-4, 0x1.b23c9ad22d93cp-4, -0x1.3fe948f6f8f98p-4}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.928e0c9d9d346p-5, -0x1.45e0030d45d5p-4, 0x1.8bd8ee39a94cep-4, -0x1.5047d03a0b07ep-4}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.79b56323bbc6fp-5, -0x1.27d2476b3e135p-4, 0x1.637e6499189ddp-4, -0x1.3ef77620d9cabp-4}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.6323bbc6eb0b8p-5, -0x1.0ce9b6b8dad8fp-4, 0x1.3d37bcd29814dp-4, -0x1.e7b4ae851c3f5p-5}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.4e9c4545846e9p-5, -0x1.e9697b7ce3f2dp-5, 0x1.1ff493a1a5bf1p-4, -0x1.e33e59a9d9a82p-5}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.3becaab8a5ce6p-5, -0x1.bda8a3c903687p-5, 0x1.02f5f4a6d101cp-4, -0x1.05a8f569c0e98p-4}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.2ae4b018611fdp-5, -0x1.96bca998667b2p-5, 0x1.c71f8571b1279p-5, -0x1.6f79fb0818bep-5}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.1b54195cc857fp-5, -0x1.74174bbf445b6p-5, 0x1.9b06a4c2a3f21p-5, -0x1.36c6290c1d4e9p-5}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.0d1526d8b1dd6p-5, -0x1.54b35d12e08bep-5, 0x1.75bbaa131b4efp-5, -0x1.b56d60c773541p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.00064a9cdc444p-5, -0x1.38e6d22f63376p-5, 0x1.413de62421f2ep-5, -0x1.e708a7ac2ef73p-6}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.e80389f83be66p-6, -0x1.205f05cee830dp-5, 0x1.24050f47e1b0dp-5, -0x1.f9029fc0552abp-6}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.d1d8a54823854p-6, -0x1.0a38bc784ffdap-5, 0x1.05b81a2cfb4cfp-5, -0x1.1a766ca93ecfdp-5}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.bd5992428d435p-6, -0x1.ed47a2d9d9739p-6, 0x1.c7a5b3df6ca56p-6, -0x1.3349faf5ba57dp-6}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.aa53fc0096febp-6, -0x1.ca4d939e259f6p-6, 0x1.a2c5c8f52315ap-6, -0x1.fdeb3ad68f82p-6}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.98a222d5171e3p-6, -0x1.ab3fb3bf2cecdp-6, 0x1.659513d12658p-6, -0x1.aa1233602580ap-7}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.881a1554fbdadp-6, -0x1.8faa31ab9a2d9p-6, 0x1.4c04a0182e555p-6, -0x1.adf05e6919f26p-6}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.789e774eebf66p-6, -0x1.772ac5e10f04bp-6, 0x1.186ce6af68a8dp-6, -0x1.ccd5b2ae8daep-8}, 
        {0x1.2147ae147ae14p+2, 0x1.23d70a3d70a3dp+2, 0x1.6a0dbad3a604ep-6, -0x1.61493ab44f856p-6, 0x1.0a99b0af4acf7p-6, -0x1.8539eee826fcep-6}, 
        {0x1.23d70a3d70a3dp+2, 0x1.2666666666666p+2, 0x1.5c52e72da123p-6, -0x1.4dd3890e9eebap-6, 0x1.b7c950fde86c7p-7, -0x1.df8b5ecf6b485p-8}, 
        {0x1.2666666666666p+2, 0x1.28f5c28f5c28fp+2, 0x1.4f50a02b84125p-6, -0x1.3ccf705326da7p-6, 0x1.9b03839f8af25p-7, -0x1.36756490dc99bp-7}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2b851eb851eb8p+2, 0x1.42f61ed5ae1cep-6, -0x1.2d1d6768f8746p-6, 0x1.75c23a1d84f42p-7, -0x1.1b325f2a68bcbp-6}, 
        {0x1.2b851eb851eb8p+2, 0x1.2e147ae147ae1p+2, 0x1.37329c347e8cdp-6, -0x1.1f861b67956e7p-6, 0x1.31ca9e27d2378p-7, 0x1.0085de41ed56cp-11}, 
        {0x1.2e147ae147ae1p+2, 0x1.30a3d70a3d70ap+2, 0x1.2bf11f926c7ebp-6, -0x1.1340f3aceb281p-6, 0x1.33b7244d6f846p-7, -0x1.04de5c9dd3296p-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.3333333333333p+2, 0x1.21294573a7979p-6, -0x1.08328063b7c94p-6, 0x1.ea36bffd31feep-8, 0x1.6ea870a71aed5p-11}, 
        {0x1.3333333333333p+2, 0x1.35c28f5c28f5cp+2, 0x1.16ca46e08f217p-6, -0x1.fcad0dc02005dp-7, 0x1.efb6b7705785p-8, -0x1.28f6b1770ac4fp-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.3851eb851eb85p+2, 0x1.0ccbc05d52c17p-6, -0x1.ebb2c34dc5ca3p-7, 0x1.612bd2e5481c3p-8, 0x1.30cb04addbb07p-7}, 
        {0x1.3851eb851eb85p+2, 0x1.3ae147ae147aep+2, 0x1.031ceaf251c19p-6, -0x1.dc1bc2a0befbbp-7, 0x1.aa524ee60c321p-8, -0x1.389f57e4a8df6p-6}, 
        {0x1.3ae147ae147aep+2, 0x1.3d70a3d70a3d7p+2, 0x1.f37b8d3f1843cp-7, -0x1.ce0e87619fc22p-7, 0x1.1443436e0d0e6p-8, 0x1.285f74eeccf38p-8}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.4p+2, 0x1.e13b18dac258dp-7, -0x1.c24b81bdb95e5p-7, 0x1.37d3d694f2735p-8, -0x1.df803a1446899p-7}, 
        {0x1.4p+2, 0x1.428f5c28f5c29p+2, 0x1.cf70153bd1676p-7, -0x1.b81f9a9d3d524p-7, 0x1.897e9b868fd7ap-9, 0x1.d3a25bb3696fp-8}, 
        {0x1.428f5c28f5c29p+2, 0x1.451eb851eb852p+2, 0x1.be0157eed45e9p-7, -0x1.af2198ec09a76p-7, 0x1.f9ba0db19ee81p-9, -0x1.c7c47d529024cp-7}, 
        {0x1.451eb851eb852p+2, 0x1.47ae147ae147bp+2, 0x1.aceee0f3cb3e5p-7, -0x1.a73452cc6a15ep-7, 0x1.1ef556a8b5e08p-9, 0x1.aa063b8485ae7p-10}, 
        {0x1.47ae147ae147bp+2, 0x1.4a3d70a3d70a4p+2, 0x1.9c1f85d744f5dp-7, -0x1.a135a8c951aedp-7, 0x1.3885128cd260dp-9, -0x1.0d3ea06fb50bfp-7}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4cccccccccccdp+2, 0x1.8b8ae31d712a1p-7, -0x1.9c4067dab31b4p-7, 0x1.6e9095523ea18p-10, -0x1.1916c6f3c8d7cp-17}, 
        {0x1.4cccccccccccdp+2, 0x1.4f5c28f5c28f6p+2, 0x1.7b2031ceaf252p-7, -0x1.9896564fc606p-7, 0x1.6e4d1f36f9e1dp-10, -0x1.e3509192b2bacp-8}, 
        {0x1.4f5c28f5c28f6p+2, 0x1.51eb851eb851fp+2, 0x1.6ad70e6f2e8cp-7, -0x1.96158df3b9196p-7, 0x1.0c9ed1663df15p-11, -0x1.c8c4b946b454ep-10}, 
        {0x1.51eb851eb851fp+2, 0x1.547ae147ae148p+2, 0x1.5a9eb2074ea8ep-7, -0x1.9503e14a99f93p-7, 0x1.3dfdedb4c92a7p-12, -0x1.4faad49ab25b3p-10}, 
        {0x1.547ae147ae148p+2, 0x1.570a3d70a3d71p+2, 0x1.4a6eb91b3f20ap-7, -0x1.946bec7903756p-7, 0x1.39be4283248c4p-13, -0x1.1f11fe89c7082p-7}, 
        {0x1.570a3d70a3d71p+2, 0x1.599999999999ap+2, 0x1.3a3ec02f2f987p-7, -0x1.9568472272001p-7, -0x1.d8bd395d81ce7p-11, 0x1.4c7aa974dc1p-8}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x1.29fe004b7f5a5p-7, -0x1.96f91bda63a1dp-7, -0x1.331e4c181569p-12, -0x1.79e3545ff117bp-7}, 
        {0x1.5c28f5c28f5c3p+2, 0x1.5eb851eb851ecp+2, 0x1.19ac79702e664p-7, -0x1.998e0369592b2p-7, -0x1.b78d54a9ce155p-10, 0x1.414ffcc559947p-7}, 
        {0x1.5eb851eb851ecp+2, 0x1.6147ae147ae14p+2, 0x1.093964a59c066p-7, -0x1.9c687019d146ap-7, -0x1.062f2a680ee41p-11, -0x1.8b5c9eb59357bp-7}, 
        {0x1.6147ae147ae14p+2, 0x1.63d70a3d70a3dp+2, 0x1.f15a4acf312b2p-8, -0x1.9f9ddab345f99p-7, -0x1.fea3b2af24381p-10, 0x1.d844fc2250412p-8}, 
        {0x1.63d70a3d70a3dp+2, 0x1.6666666666666p+2, 0x1.cfede97d06bbep-8, -0x1.a396edcd5048p-7, -0x1.1bf339a8e9375p-10, -0x1.296acc793b6c9p-10}, 
        {0x1.6666666666666p+2, 0x1.68f5c28f5c28fp+2, 0x1.ae3e6c4c5974ep-8, -0x1.a69b86421216p-7, -0x1.3fa3e18e7fb54p-10, -0x1.5db45f521a67ap-9}, 
        {0x1.68f5c28f5c28fp+2, 0x1.6b851eb851eb8p+2, 0x1.8c4bd33d29564p-8, -0x1.aa393b8555c02p-7, -0x1.9391bafe5d15ap-10, 0x1.82e1b8e13e049p-7}, 
        {0x1.6b851eb851eb8p+2, 0x1.6e147ae147ae1p+2, 0x1.6a161e4f765fep-8, -0x1.ac66f833da7abp-7, -0x1.014d6acaa5f94p-13, 0x1.2f98d13e3d473p-9}, 
        {0x1.6e147ae147ae1p+2, 0x1.70a3d70a3d70ap+2, 0x1.47cfa26a22b39p-8, -0x1.ac5c0a94b927ap-7, 0x1.459a8d5aee66fp-13, -0x1.64f5143ef5dcap-8}, 
        {0x1.70a3d70a3d70ap+2, 0x1.7333333333333p+2, 0x1.25892684cf074p-8, -0x1.accf29a8c460cp-7, -0x1.054732a844e89p-11, 0x1.1f80fd0b96b25p-5}, 
        {0x1.7333333333333p+2, 0x1.75c28f5c28f5cp+2, 0x1.035371971c10dp-8, -0x1.a89875b1ae2adp-7, 0x1.e6b0192ebe312p-9, -0x1.516551a67ae54p-5}, 
        {0x1.75c28f5c28f5cp+2, 0x1.7851eb851eb85p+2, 0x1.c3265add9c27fp-9, -0x1.a556fc49a6943p-7, -0x1.423959178ebd4p-10, 0x1.4985126394e51p-3}, 
        {0x1.7851eb851eb85p+2, 0x1.7ae147ae147aep+2, 0x1.80d3cff64cf8dp-9, -0x1.8f41418030beap-7, 0x1.28333467b9dbep-6, -0x1.0c6ebd492d295p-1}, 
        {0x1.7ae147ae147aep+2, 0x1.8cccccccccccdp+2, 0x1.4057082491afcp-9, -0x1.b2534cc31abcap-7, -0x1.6f4a60961361dp-5, 0x1.8692c2c8327cfp-2}, 
      }}, 
      -0x1.29d4e0ebaf3bcp-1, -0x1.1f37b93dd9ccfp-7
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.751f62632a72fp-13, -0x1.7307e7a104a7fp-11, -0x1.9da09d8f3a2a1p-10, -0x1.6b9e73419c2a7p-9, -0x1.1845643cc2a04p-8, -0x1.8d6cfbc04fb8p-8, -0x1.09ebb90cfc8f3p-7, -0x1.55028a6f9c475p-7, -0x1.a736da538a467p-7, -0x1.ffcebadbcecd7p-7, -0x1.2f0921a91841bp-6, -0x1.60a548c6df48ep-6, -0x1.9468b1fc2cd47p-6, -0x1.ca01419daddf5p-6, -0x1.008ffae1e1daep-5, -0x1.1cc010ee3d62ep-5, -0x1.396e42a518182p-5, -0x1.567afb5432e35p-5, -0x1.73c94fe9f02d8p-5, -0x1.913e0f4ca72cbp-5, -0x1.aec0c3fa374adp-5, -0x1.cc39c9354edf3p-5, -0x1.e992035792ab4p-5, -0x1.035d2ff912e1bp-4, -0x1.11cfe7fb41de9p-4, -0x1.20162011001f5p-4, -0x1.2e2c2cfc0524ap-4, -0x1.3c0dfa667fd69p-4, -0x1.49afd6b0e2602p-4, -0x1.57095daf527f4p-4, -0x1.641fd03e3117bp-4, -0x1.70e899943be52p-4, -0x1.7d61480c6bbc9p-4, -0x1.8986895d7724ep-4, -0x1.95555d2b3349ap-4, -0x1.a0cb374bb55dcp-4, -0x1.abe5ea45c3d17p-4, -0x1.b6a3996893f78p-4, -0x1.c102b148d7713p-4, -0x1.cb01e0598f229p-4, -0x1.d4a01e12ea881p-4, -0x1.dddcb75741f5bp-4, -0x1.e6b74281124fcp-4, -0x1.ef2f7ba295be5p-4, -0x1.f74534e28f319p-4, -0x1.fef87ba343f28p-4, -0x1.0324e8e796b99p-3, -0x1.069d1af4c9976p-3, -0x1.09e571f7d607ap-3, -0x1.0cfe841b5ace4p-3, -0x1.0fe8d7b94cf87p-3, -0x1.12a50163ce0efp-3, -0x1.1533cc4e98eddp-3, -0x1.17964a3d31f6ep-3, -0x1.19cdbd41786edp-3, -0x1.1bdb69af49b87p-3, -0x1.1dc06e06ee796p-3, -0x1.1f7db9b17a5a9p-3, -0x1.211426d734672p-3, -0x1.2284a4f7e4bd7p-3, -0x1.23d0584eeb978p-3, -0x1.24f89b720e5dep-3, -0x1.25ffc49b1ac23p-3, -0x1.26e5d1597eaa8p-3, -0x1.27ac367f75247p-3, -0x1.28542c0043b53p-3, -0x1.28def7a79704p-3, -0x1.294de1a709abcp-3, -0x1.29a225178958p-3, -0x1.29dce65a70954p-3, -0x1.29ff3520c0f95p-3, -0x1.2a0a1879d6658p-3, -0x1.29fe9d75f6d9fp-3, -0x1.29dde057cbbbp-3, -0x1.29a90ba470f0fp-3, -0x1.29614e0c13377p-3, -0x1.2907cc5b0d049p-3, -0x1.289d95eb52265p-3, -0x1.2823a011f2b14p-3, -0x1.279ac98fc96c4p-3, -0x1.2703e394acbf7p-3, -0x1.265fbc347706p-3, -0x1.25af262f85d56p-3, -0x1.24f2fb72223ep-3, -0x1.242c1a50f5025p-3, -0x1.235b5f2800ea8p-3, -0x1.22819d7d9bfefp-3, -0x1.219f98efa6646p-3, -0x1.20b60605c703ep-3, -0x1.1fc58809e50d8p-3, -0x1.1eceb5eac3c4ap-3, -0x1.1dd21e183cb06p-3, -0x1.1cd04a1311ed4p-3, -0x1.1bc9c0869e7a4p-3, -0x1.1abf05c54fd3ap-3, -0x1.19b09a62979fdp-3, -0x1.189ef9b4ace8cp-3, -0x1.178a98191d401p-3, -0x1.1673e1b034ef9p-3, -0x1.155b39fdec2efp-3, -0x1.1440fc3aee166p-3, -0x1.13257c179e5dp-3, -0x1.120906b9e14a3p-3, -0x1.10ebe39445b94p-3, -0x1.0fce55123f842p-3, -0x1.0eb099120037bp-3, -0x1.0d92e8ceea2bp-3, -0x1.0c757928e610fp-3, -0x1.0b587a643ca9dp-3, -0x1.0a3c1817055afp-3, -0x1.0920791866f73p-3, -0x1.0805bf83a85bcp-3, -0x1.06ec08da46295p-3, -0x1.05d36e0bc846bp-3, -0x1.04bc04093730bp-3, -0x1.03a5dba217e0fp-3, -0x1.029102a861f76p-3, -0x1.017d8307cc3p-3, -0x1.006b64102124fp-3, -0x1.feb554efd3c4dp-4, -0x1.fc96b0fa835fap-4, -0x1.fa7adc3cf153cp-4, -0x1.f861d2756c938p-4, -0x1.f64b8b51c3802p-4, -0x1.f437fa8fd1551p-4, -0x1.f227101bb8f56p-4, -0x1.f018c4d09af9fp-4, -0x1.ee0ced9aae4b3p-4, -0x1.ec0375b3382c2p-4, -0x1.e9fc3ff900e0ep-4, -0x1.e7f72c4cbe815p-4, -0x1.e5f417a6f10cbp-4, -0x1.e3f2dc626923p-4, -0x1.e1f35262487fep-4, -0x1.dff54fb28e9a1p-4, -0x1.ddf89dd9f4559p-4, -0x1.dbfd30c3feef9p-4, -0x1.da02bae427519p-4, -0x1.d80919f69cfcfp-4, -0x1.d610207fb7ebep-4, -0x1.d417a1fba2cbcp-4, -0x1.d21f724f89267p-4, -0x1.d02765f3f6b94p-4, -0x1.ce2f51ea37b4fp-4, -0x1.cc370b9c331dap-4, -0x1.ca3e68db53138p-4, -0x1.c8453f82c752ap-4, -0x1.c64b659afe49p-4, -0x1.c450b1589ef72p-4, -0x1.c254ef56426cdp-4, -0x1.c058127f38f51p-4, -0x1.be59c98b45e7bp-4, -0x1.bc5a17e20909ap-4, -0x1.ba58b2febdefdp-4, -0x1.b8557f7a0e248p-4, -0x1.b6505806fc177p-4, -0x1.b4491853e3668p-4, -0x1.b23f9e2fecc7p-4, -0x1.b033c93517f4fp-4, -0x1.ae257afcf7f16p-4, -0x1.ac14972e74f72p-4, -0x1.aa01037e441b2p-4, -0x1.a7eaa78957691p-4, -0x1.a5d16d48d4b38p-4, -0x1.a3b53fe470ad8p-4, -0x1.a1960c55536f3p-4, -0x1.9f73c257c2e64p-4, -0x1.9d4e5132f2f46p-4, -0x1.9b25a71bea2d4p-4, -0x1.98f9c21bb6dffp-4, -0x1.96ca8b263b23ap-4, -0x1.9497fb4b9432cp-4, -0x1.92620903883acp-4, -0x1.9028ac1098612p-4, -0x1.8debdd1ca6825p-4, -0x1.8bab9710097aap-4, -0x1.8967d4ddf9df6p-4, -0x1.872093a724ca5p-4, -0x1.84d5d1de605e5p-4, -0x1.82878f6f8639fp-4, -0x1.8035cdc8231e4p-4, -0x1.7de090861cc52p-4, -0x1.7b87da961f5d1p-4, -0x1.792bb130b74e8p-4, -0x1.76cc23303cb4dp-4, -0x1.746931fedfb4ep-4, -0x1.7202eacfd021ap-4, -0x1.6f99597704d82p-4, -0x1.6d2c8bd73d4e7p-4, -0x1.6abc8ff55454fp-4, -0x1.684975b74a897p-4, -0x1.65d352ce26ddbp-4, -0x1.635a2a7f1d568p-4, -0x1.60de1e2514051p-4, -0x1.5e5f41134ccdp-4, -0x1.5bdd9a3c2ceb4p-4, -0x1.59594c6b6cef5p-4, -0x1.56d268fb28b08p-4, -0x1.544906ed10a75p-4, -0x1.51bd3d31012e8p-4, -0x1.4f2f23d40822ap-4, -0x1.4c9ed34bfe947p-4, -0x1.4a0c649bba0ffp-4, -0x1.4777f1625f23ap-4, -0x1.44e1938e1fb6ep-4, -0x1.424965aa75fbep-4, -0x1.3faf82df2d70ep-4, -0x1.3d140658cc18bp-4, -0x1.3a770bda5760cp-4, -0x1.37d8af80f20c7p-4, -0x1.35390e8354704p-4, -0x1.329843500094cp-4, -0x1.2ff66ce4aabc2p-4, -0x1.2d53a805b1d4fp-4, -0x1.2ab01084f49e3p-4, -0x1.280bc6616569bp-4, -0x1.2566e355cc2cep-4, -0x1.22c1877cfa9d7p-4, -0x1.201bcf37a0ca8p-4, -0x1.1d75d80232p-4, -0x1.1acfbecc1b34cp-4, -0x1.1829a082f2f57p-4, -0x1.158399ed430c2p-4, -0x1.12ddc78191f9dp-4, -0x1.103845e02336ap-4, -0x1.0d93309f86bfp-4, -0x1.0aee9fd551a05p-4, -0x1.084aba112db3cp-4, -0x1.05a78f16c4f35p-4, -0x1.03053d4a5a36ap-4, -0x1.0063dfa1b31a9p-4, -0x1.fb871b7017717p-5, -0x1.f648c6a498723p-5, -0x1.f10cf1364d5ddp-5, -0x1.ebd3ccb60c784p-5, -0x1.e69d891d97c82p-5, -0x1.e16a5619a1193p-5, -0x1.dc3a625b5ccc1p-5, -0x1.d70ddb5432256p-5, -0x1.d1e4ef235475dp-5, -0x1.ccbfc8da343c1p-5, -0x1.c79e94352d99fp-5, -0x1.c2817b8c43011p-5, -0x1.bd68a8b37fe8bp-5, -0x1.b85444900ee11p-5, -0x1.b344803760988p-5, -0x1.ae3968d38e7dcp-5, -0x1.a9333e8c394aap-5, -0x1.a4321f1d53a62p-5, -0x1.9f36301fe2c51p-5, -0x1.9a3f96453578ap-5, -0x1.954e751869b81p-5, -0x1.9062eecf63d49p-5, -0x1.8b7d33ad271ap-5, -0x1.84f2e704e51acp-5, -0x1.8018fec1a85f1p-5, -0x1.7b46063c0bdf5p-5, -0x1.767a1a17f7a38p-5, -0x1.71b55a2b6a1a6p-5, -0x1.6cf7e43b07544p-5, -0x1.6841d4c990e0cp-5, -0x1.63934746336c2p-5, -0x1.5eec559e2795cp-5, -0x1.5a4d181fd646bp-5, -0x1.55b5a6340cb09p-5, -0x1.512615e909382p-5, -0x1.4c9e7ada8ebdbp-5, -0x1.481eec4a34b33p-5, -0x1.43a7799f4499ep-5, -0x1.3f38351be0b7cp-5, -0x1.3ad12f76fc4a7p-5, -0x1.367278454c8e7p-5, -0x1.321c1e5c6215bp-5, -0x1.2dce2f98d007dp-5, -0x1.2988b857605b2p-5, -0x1.254bbe24bb3fcp-5, -0x1.211762bf09752p-5, -0x1.1ceb9b05a6933p-5, -0x1.18c8788d7861ap-5, -0x1.14ae0543269fap-5, -0x1.109c46c8da15bp-5, -0x1.0c93514192022p-5, -0x1.089320f471248p-5, -0x1.049bc27152e82p-5, -0x1.00ad3dbe98848p-5, -0x1.f98f36783ca84p-6, -0x1.f1d5bf1e9c3c8p-6, -0x1.ea2e224a2bdd7p-6, -0x1.e298718918cebp-6, -0x1.db14b7f0846d5p-6, -0x1.d3a3003ceb932p-6, -0x1.cc435528e2bep-6, -0x1.c4f5c48d682ep-6, -0x1.bdba55f0d2a37p-6, -0x1.b69113c35b297p-6, -0x1.af7a0b0d60fp-6, -0x1.a87540a4e4d39p-6, -0x1.a182be55b2b22p-6, -0x1.9aa28be671792p-6, -0x1.93d4b30a53bap-6, -0x1.8d1934a17b6d2p-6, -0x1.86701bfb6b8dcp-6, -0x1.7fd96ccf66683p-6, -0x1.79552bc8ae81ep-6, -0x1.72e35cfaa90d7p-6, -0x1.6c83e52d2fc8ep-6, -0x1.6637213107fc7p-6, -0x1.5ffcb6cbb787ep-6, -0x1.59d4c91062e3dp-6, -0x1.53bf4f12f0fbep-6, -0x1.4dbc4f373fcd4p-6, -0x1.47cbc4c6295fap-6, -0x1.41edab6951f8ep-6, -0x1.3c21ff8561f2fp-6, -0x1.3668bb7e3c482p-6, -0x1.30c1d06e05a4fp-6, -0x1.2b2d4dfb378e7p-6, -0x1.25ab148b3b53bp-6, -0x1.203b208ba08d1p-6, -0x1.1add6c88f3269p-6, -0x1.1591df5d913fap-6, -0x1.105874dc67cc8p-6, -0x1.0b312146bebcdp-6, -0x1.061bcf2fa5cf8p-6, -0x1.011899bf00429p-6, -0x1.f84ddb5db3ac5p-7, -0x1.ee8e70b852691p-7, -0x1.e4f2783e5ddb4p-7, -0x1.db79c5866b204p-7, -0x1.d2242b68cce71p-7, -0x1.c8f17cfc0ff24p-7, -0x1.bfe13b9e5b737p-7, -0x1.b6f416dfc5f7fp-7, -0x1.ae28f535ccefp-7, -0x1.a57feebf327b6p-7, -0x1.9cf8cc088db4bp-7, -0x1.94933b6fb30ep-7, -0x1.8c4f171c1cbc4p-7, -0x1.842c5b3016ad5p-7, -0x1.7c2a51a52ea1fp-7, -0x1.74491a32db87ap-7, -0x1.6c883c39912a4p-7, -0x1.64e78669557b4p-7, -0x1.5d66b39482e16p-7, -0x1.56057db30759cp-7, -0x1.4ec39d99be02ep-7, -0x1.47a0caee3cfd7p-7, -0x1.409cc518654b2p-7, -0x1.39b728b39d6e4p-7, -0x1.32efc38bfa7c7p-7, -0x1.2c464188d2fedp-7, -0x1.25ba582551dcap-7, -0x1.1f4c578a7d338p-7, -0x1.18fa0ba64582cp-7, -0x1.12c50dc7b9c15p-7, -0x1.0cac6eb932e4dp-7, -0x1.06afdbe82bca6p-7, -0x1.00cf0603c67b4p-7, -0x1.f6133830311c7p-8, -0x1.eabe99d78f398p-8, -0x1.df9f7cef37374p-8, -0x1.d4b572c070644p-8, -0x1.c9ffa1be8726cp-8, -0x1.bf7d77491049dp-8, -0x1.b52e4d08b9dc9p-8, -0x1.ab1182211b1c7p-8, -0x1.a12674f293ad4p-8, -0x1.976c6659ad69p-8, -0x1.8de288d483f81p-8, -0x1.8488e2655088ep-8, -0x1.7b5e1e7a4612cp-8, -0x1.7261ced40b112p-8, -0x1.69934b67e4a3ap-8, -0x1.60f1ed0585bb6p-8, -0x1.587d0af23d0eep-8, -0x1.503403579a72bp-8, -0x1.4816209e87b8ep-8, -0x1.40226cdb8cf53p-8, -0x1.385954c101887p-8, -0x1.30b90d53960fbp-8, -0x1.29415c4d05da3p-8, -0x1.21f195d2ecacdp-8, -0x1.1ac91389d445cp-8, -0x1.13c72fd47a2dfp-8, -0x1.0ceb45c28b293p-8, -0x1.0634b1a44d4c9p-8, -0x1.ff4567f2e3255p-9, -0x1.f26a82c91e087p-9, -0x1.e5d5d7476037ap-9, -0x1.d98605f6edc1dp-9, -0x1.cd7b31310b135p-9, -0x1.c1b386173d622p-9, -0x1.b62dd210b34e8p-9, -0x1.aae8c6eb73854p-9, -0x1.9fe377b89e6edp-9, -0x1.951c304bdd764p-9, -0x1.8a9248cc7ed03p-9, -0x1.804473c00b55dp-9, -0x1.7631951c191f2p-9, -0x1.6c5884be04bb5p-9, -0x1.62b83ce9d1d2ep-9, -0x1.594fa761d1ea4p-9, -0x1.501db844cde1fp-9, -0x1.472176e0c903cp-9, -0x1.3e59b8433b81ep-9, -0x1.35c5a9d90585dp-9, -0x1.2d644aff1beadp-9, -0x1.25345dc9a4114p-9, -0x1.1d35c5877c5c7p-9, -0x1.1566aacd0d1c1p-9, -0x1.0dc69add1dfbap-9, -0x1.0654a68567a57p-9, -0x1.fe1fdd6709c8dp-10, -0x1.efef35aa62c9fp-10, -0x1.e21582484ea69p-10, -0x1.d4919e7aa28e8p-10, -0x1.c7616ae990e6dp-10, -0x1.ba8384bc9236ep-10, -0x1.adf65a8380139p-10, -0x1.a1b86a6a980adp-10, -0x1.95c6aa3634df2p-10, -0x1.8a242d4185b0ep-10, -0x1.7eca99dd962f4p-10, -0x1.73ba44dd14e13p-10, -0x1.68f22756d61edp-10, -0x1.5e70544d623bep-10, -0x1.5431f9ebba78dp-10, -0x1.4a3a14aeaff18p-10, -0x1.4082fcf6d5296p-10, -0x1.370cd26cd075ep-10, -0x1.2dd634dac5aa9p-10, -0x1.24ddd112e335ap-10, -0x1.1c2257e56e27ep-10, -0x1.13a27e4e4f269p-10, -0x1.0b5cfd3656955p-10, -0x1.0350917d19a49p-10, -0x1.f6f7f805a91abp-11, -0x1.e7bc0365ec0dbp-11, -0x1.d8ead71b1453bp-11, -0x1.ca820d6a6dd46p-11, -0x1.bc7f490ce6875p-11, -0x1.aee0351675f87p-11, -0x1.a1a269ab36ce4p-11, -0x1.94c41152bb61ep-11, -0x1.8842518945e4fp-11, -0x1.7c1b5d057d598p-11, -0x1.704d5df13d6bdp-11, -0x1.64d7ff753d70bp-11, -0x1.59b15cdbd33f4p-11, -0x1.4edfc2b0c0925p-11, -0x1.445e8ccdc6c63p-11, -0x1.3a2b954667562p-11, -0x1.3045177cd9d91p-11, -0x1.26a8be7f4dbf4p-11, -0x1.1d5500058f95ep-11, -0x1.144691d1b7124p-11, -0x1.0b7fb8f528794p-11, -0x1.02faba018e123p-11, -0x1.f56e075db00fap-12, -0x1.e565a85ed7a6ep-12, -0x1.d5d96149667bap-12, -0x1.c6c5c7b4f094bp-12, -0x1.b827a5033b4c9p-12, -0x1.a9fbd186fb6e6p-12, -0x1.9c3f4ed3ca8ap-12, -0x1.8eece72bf9753p-12, -0x1.8208100f90966p-12, -0x1.758746cb9c423p-12, -0x1.696aa1efcb035p-12, -0x1.5dae94ce8ce8fp-12, -0x1.52565362ca371p-12, -0x1.474e62d53ec2bp-12, -0x1.3ca526941fdbep-12, -0x1.3253d3733b7cbp-12, -0x1.28535c786f89bp-12, -0x1.1ea5e4d698afp-12, -0x1.1547ca3a5e0d1p-12, -0x1.0c36bcfac9449p-12, -0x1.037070dc2ac3ep-12, -0x1.f5e6e077642e3p-13, -0x1.e59ef821f1674p-13, -0x1.d591b156e8aaap-13, -0x1.c62f79a94db4fp-13, -0x1.b74ec8c49e9e7p-13, -0x1.a8eb0196d3983p-13, -0x1.9b0053c0e0de6p-13, -0x1.8d8b132822b4fp-13, -0x1.8087bbc017865p-13, -0x1.73f1468990bc1p-13, -0x1.67c8dc98eab35p-13, -0x1.5c06388dafe86p-13, -0x1.50a827594f43bp-13, -0x1.45acc1a6b161cp-13, -0x1.3b0d00b399077p-13, -0x1.30c9cdd812813p-13, -0x1.26def85e1ed4dp-13, -0x1.1d49a6ce2cd9cp-13, -0x1.1406d193353a5p-13, -0x1.0b0aeb52951a8p-13, -0x1.026fbf8b6a599p-13, -0x1.f42c38edb50bp-14, -0x1.e409d2ce66711p-14, -0x1.d47595d701214p-14, -0x1.c56ef70fbff79p-14, -0x1.b6daa909f3cbap-14, -0x1.a8ccefc33399ap-14, -0x1.9b396dcab90bcp-14, -0x1.8e1d8760f6db3p-14, -0x1.8173bc3e96389p-14, -0x1.75386123f2bc4p-14, -0x1.69645fb421efdp-14, -0x1.5dfab55ed9305p-14, -0x1.52f44e8ee7fa7p-14, -0x1.484e26ada1235p-14, -0x1.3e056277d92bp-14, -0x1.342d05f802cb1p-14, -0x1.2a80733928bffp-14, -0x1.2130b6d7bccb9p-14, -0x1.1838b4c541663p-14, -0x1.0f8e0bd369a2bp-14, -0x1.072dc3591a437p-14, -0x1.fe2a45ecbdb07p-15, -0x1.ee831c764d35ep-15, -0x1.df5dd1265928p-15, -0x1.d0bef6404632ep-15, -0x1.c2981c4bae485p-15, -0x1.b4e818abc00a9p-15, -0x1.a7a51b4fd77dep-15, -0x1.9ad0a42448dabp-15, -0x1.8e73619e83782p-15, -0x1.82756baef519ap-15, -0x1.76d7e24c147fdp-15, -0x1.6b987938e31efp-15, -0x1.60b3b51db5dadp-15, -0x1.56261e829f841p-15, -0x1.4bec56cc06847p-15, -0x1.4202ee37efda8p-15, -0x1.3862bd640a175p-15, -0x1.2f15f7a56c816p-15, -0x1.260c577f27d2p-15, -0x1.1d4760db8e926p-15, -0x1.14c4e4bfdf11dp-15, -0x1.0c85fdd608384p-15, -0x1.04f32fcd933b8p-15, -0x1.f9637ca04d03cp-16, -0x1.ea0ae7eec1d76p-16, -0x1.db7716a3b581p-16, -0x1.cd222177c2be4p-16, -0x1.bf30339def2bdp-16, -0x1.b114de802143bp-16, -0x1.a45177234d7f3p-16, -0x1.978a4d14b9951p-16, -0x1.8b037674349cdp-16, -0x1.7ecc18e1eb0ccp-16, -0x1.72e2923011823p-16, -0x1.67440655fcbcap-16, -0x1.5bedc5ed63bc1p-16, -0x1.50df015d507a8p-16, -0x1.45df50df35767p-16, -0x1.3b01b94c960a6p-16, -0x1.313161461ab7ep-16, -0x1.26e8941138994p-16, -0x1.1d34a2aaf95dep-16, -0x1.13911299ab595p-16, -0x1.0a1d60256b3f5p-16, -0x1.00dc1a1ca1425p-16, -0x1.efba2bffba798p-17, -0x1.de449fae176c4p-17, -0x1.cc7e9400f0f71p-17, -0x1.bb6611d326ad2p-17, -0x1.aaa80a3be049bp-17, -0x1.9a400ed810246p-17, -0x1.8a2509ef0acf5p-17, -0x1.7a561895a5ccbp-17, -0x1.6ad7cc0391f7cp-17, -0x1.5b96fb5294587p-17, -0x1.4c964ff505c2ap-17, -0x1.3ddd9a1deddadp-17, -0x1.2f63e2dc4f367p-17, -0x1.21499146e5683p-17, -0x1.130419ec84399p-17, -0x1.05712af7b9f02p-17, -0x1.efd38f909ce8cp-18, -0x1.d5282b4b3b83ep-18, -0x1.bb178f8b6001bp-18, -0x1.a117453d449b6p-18, -0x1.87e7d3067e3c3p-18, -0x1.6f15590399fp-18, -0x1.56592031682ep-18, -0x1.3e23aaa246413p-18, -0x1.26580d7897abap-18, -0x1.0ee524ce71871p-18, -0x1.ef9bed1bce59fp-19, -0x1.c2230ae13ebe4p-19, -0x1.955ce558f19e6p-19, -0x1.6946d93c2ae1dp-19, -0x1.3dde6bb84c7f3p-19, -0x1.132124cca8a01p-19, -0x1.d269f16efb3dep-20, -0x1.7f3f2192087ddp-20, -0x1.2db48ac3b7b9fp-20, -0x1.bade2b630f1d5p-21, -0x1.1cdf8093ec419p-21, -0x1.032e9f4b9e504p-22, 0x1.790febb7bc0ffp-25, 0x1.5bde2b887b868p-22, 0x1.416cd061734e6p-21, 0x1.ca63e5a031172p-21, 0x1.311a684e64769p-20, 0x1.7d397db450407p-20, 0x1.bd6e28b311f92p-20, 0x1.007280a7b2e11p-19, 0x1.21df274a7d9adp-19, 0x1.42aa338478b38p-19, 0x1.62d0a31d91beep-19, 0x1.823556346f8d6p-19, 0x1.9aed6aa2c0627p-19, 0x1.c07e95de24dd9p-19, 0x1.ddc68434df7bep-19, }}, 
      {{-0x1.7953855821c72p-7, -0x1.703de3cf49188p-6, -0x1.09ed9226d0e9ep-5, -0x1.51b9df72bedfdp-5, -0x1.8e155dd04ba28p-5, -0x1.be4e4e0931142p-5, -0x1.e2196bf412a88p-5, -0x1.f98f7cab75815p-5, -0x1.02834f1d5fbb1p-4, -0x1.02809b44ec532p-4, -0x1.fa2698f54d9dcp-5, -0x1.e52b99bc2d5dep-5, -0x1.c6cd49df93356p-5, -0x1.9fe32b5328e25p-5, -0x1.7130ef8846e8ap-5, -0x1.3b7d88984d029p-5, -0x1.ff21a5c0e0ae4p-6, -0x1.7c4d805fe6ecdp-6, -0x1.dfc03b3e56f83p-7, -0x1.6cb6738ae862p-8, 0x1.02046f0d48a07p-8, 0x1.c3f9b0d9aa3cp-7, 0x1.8834915a1d398p-6, 0x1.1911a505639cap-5, 0x1.6f71dc7c0a416p-5, 0x1.c6d21603e10bcp-5, 0x1.0f610d388aefp-4, 0x1.3b6f9e442ed26p-4, 0x1.6770b82b89a9bp-4, 0x1.9340f5c5e1864p-4, 0x1.beb68fbe4a8bfp-4, 0x1.e9b9e591ecc5p-4, 0x1.0a167f3e16e99p-3, 0x1.1efbafd66f2e8p-3, 0x1.33819d99f5a6fp-3, 0x1.479e9181ce22dp-3, 0x1.5b4a029f79668p-3, 0x1.6e7c8b50d7b24p-3, 0x1.812fd59279a99p-3, 0x1.935e8467a99bep-3, 0x1.a5041544e93c2p-3, 0x1.b61cc03e65c37p-3, 0x1.c6a567d3e39c1p-3, 0x1.d69b9944ee91ep-3, 0x1.e5fd87576cefap-3, 0x1.f4c9eed0ef7b4p-3, 0x1.017ffa865ba87p-2, 0x1.084f91214b99ep-2, 0x1.0ed3bf4078655p-2, 0x1.150cd81e1c6ecp-2, 0x1.1afb7ace9495cp-2, 0x1.20a079fa4d51bp-2, 0x1.25fcbf0d69e1fp-2, 0x1.2b113c45bf3edp-2, 0x1.2fdef39dfd959p-2, 0x1.346707ff6ea63p-2, 0x1.38aac8617d9ddp-2, 0x1.3cabac0b20683p-2, 0x1.406b42dcfc3edp-2, 0x1.43eb229130c28p-2, 0x1.472cd88cdaae2p-2, 0x1.4a31e3d4d1a6dp-2, 0x1.4cfb4e640af24p-2, 0x1.4f8ae0b06a614p-2, 0x1.51e25ac998b4ep-2, 0x1.5403625c47b1bp-2, 0x1.55efa3ff19742p-2, 0x1.57a8cc6696048p-2, 0x1.59308076be7e5p-2, 0x1.5a885855600c4p-2, 0x1.5bb1dfe4a2b0bp-2, 0x1.5cae9bd40ca1bp-2, 0x1.5d801063423edp-2, 0x1.5e27c5c1f09a8p-2, 0x1.5ea747dc0b7b2p-2, 0x1.5f00219d63bdp-2, 0x1.5f33d5fc0cb3fp-2, 0x1.5f43d9da73776p-2, 0x1.5f31910df5e6fp-2, 0x1.5efe4f59ea7b8p-2, 0x1.5eab5c582230ep-2, 0x1.5e39f8350841ap-2, 0x1.5dab5ff638a5cp-2, 0x1.5d00ce9aaf8b8p-2, 0x1.5c3b7c446d987p-2, 0x1.5b5c9b571b50fp-2, 0x1.5a65554b554dcp-2, 0x1.5956c6c538deap-2, 0x1.583200bec5c01p-2, 0x1.56f8065febde1p-2, 0x1.55a9cfac71235p-2, 0x1.54484b38c85cp-2, 0x1.52d45ff81028cp-2, 0x1.514eee86e518cp-2, 0x1.4fb8d19b0a53bp-2, 0x1.4e12ddbb82e56p-2, 0x1.4c5de0fc99c04p-2, 0x1.4a9aa2627a655p-2, 0x1.48c9e183e62e7p-2, 0x1.46ec56783326dp-2, 0x1.4502b2076f5ecp-2, 0x1.430d9dc783913p-2, 0x1.410dbcc9717b2p-2, 0x1.3f03ab895afe4p-2, 0x1.3cf00055e987fp-2, 0x1.3ad34b7e67c95p-2, 0x1.38ae1772aaa57p-2, 0x1.3680e90afa892p-2, 0x1.344c3fb6e4f9cp-2, 0x1.321095be92caap-2, 0x1.2fce6082823abp-2, 0x1.2d8610b6d8f7ep-2, 0x1.2b3812a49958ep-2, 0x1.28e4ce1a44c08p-2, 0x1.268ca70a6bd32p-2, 0x1.242ffd25a2119p-2, 0x1.21cf2c692b9f7p-2, 0x1.1f6a8cbdeafb6p-2, 0x1.1d0272735c69p-2, 0x1.1a972e3922096p-2, 0x1.18290d3f6317ep-2, 0x1.15b85960d9e4dp-2, 0x1.1345594e211bep-2, 0x1.10d050bb18492p-2, 0x1.0e59808c520a9p-2, 0x1.0be127081117dp-2, 0x1.09675967c6d0ap-2, 0x1.06ec9338b6e7fp-2, 0x1.0470f3215e3ccp-2, 0x1.01f4aea430becp-2, 0x1.feeff21d36e86p-3, 0x1.f9f606fe22ef4p-3, 0x1.f4fbfa25ba3d9p-3, 0x1.f00225d36bb33p-3, 0x1.eb08e0bbec543p-3, 0x1.e6107b401703bp-3, 0x1.e1194e4e5b6ep-3, 0x1.dc239ea9ca0bap-3, 0x1.d72fba19ed3d6p-3, 0x1.d23de913255a7p-3, 0x1.cd4e71e9e34cp-3, 0x1.c86198d250972p-3, 0x1.c3779ff49c17fp-3, 0x1.be90c76e53b19p-3, 0x1.b9ad4d40f2876p-3, 0x1.b4cd6d8f6e4efp-3, 0x1.aff16204a6ef8p-3, 0x1.ab19625b35f17p-3, 0x1.a645a42cadb7fp-3, 0x1.a17657d37c185p-3, 0x1.9cabb7b46052p-3, 0x1.97e5e800707acp-3, 0x1.93251fee73e54p-3, 0x1.8e6984bf019efp-3, 0x1.89b34300477b6p-3, 0x1.850283aeda3a7p-3, 0x1.80576e7d99f06p-3, 0x1.7bb22a09dd21ep-3, 0x1.7712dbec1e633p-3, 0x1.7279a8cce3027p-3, 0x1.6de6b46f28a47p-3, 0x1.695a21b96b1fap-3, 0x1.64d41290f788dp-3, 0x1.6054a884c7a7p-3, 0x1.5bdc0361ee178p-3, 0x1.576a426867d48p-3, 0x1.52ff8444f3113p-3, 0x1.4e9be5bae89cap-3, 0x1.4a3f8238f2403p-3, 0x1.45ea772ffdc64p-3, 0x1.419cdc0cb379ap-3, 0x1.3d56ca623dc48p-3, 0x1.391859d50034ep-3, 0x1.34e1a0f71322fp-3, 0x1.30b2b54cc075ep-3, 0x1.2c8bab64bea56p-3, 0x1.286c96ceab53cp-3, 0x1.24558a3d3d2d1p-3, 0x1.2046978751105p-3, 0x1.1c3fcfbd98651p-3, 0x1.1841432fb435p-3, 0x1.144b015278046p-3, 0x1.105d1952f3d29p-3, 0x1.0c77998d9239bp-3, 0x1.089a8e6b529d8p-3, 0x1.04c606187b636p-3, 0x1.00fa0c6c76e36p-3, 0x1.fa6d59e77ad77p-4, 0x1.f2f7e595041d9p-4, 0x1.eb93d0124098p-4, 0x1.e4412c9c12ad7p-4, 0x1.dd000e356946fp-4, 0x1.d5d08157103ap-4, 0x1.ceb298acc1f3cp-4, 0x1.c7a660c581d75p-4, 0x1.c0abe42f45c76p-4, 0x1.b9c32eb659b18p-4, 0x1.b2ec48df50095p-4, 0x1.ac273a303c5b7p-4, 0x1.a57408c13076cp-4, 0x1.9ed2b93f6af09p-4, 0x1.98434ef82bac5p-4, 0x1.91c5cbdee165p-4, 0x1.8b5a30fd66fe9p-4, 0x1.85007c788bbcdp-4, 0x1.7eb8ada6c7b37p-4, 0x1.7882c0e6a52ep-4, 0x1.725eb1fefc11ep-4, 0x1.6c4c7b690be16p-4, 0x1.664c16a5bb30cp-4, 0x1.605d7ae9bfc84p-4, 0x1.5a80a23a7e526p-4, 0x1.54b57fee3ebf3p-4, 0x1.4efc05787e634p-4, 0x1.49543463b0647p-4, 0x1.43bdf533402fp-4, 0x1.3e39356c7b02p-4, 0x1.38c5eee5d6f29p-4, 0x1.33640eacc305ep-4, 0x1.2e1383c9d40f6p-4, 0x1.28d43c4671d1ep-4, 0x1.23a6253fc73aap-4, 0x1.1e892ae6ef97ep-4, 0x1.197d388559ae6p-4, 0x1.1482387734d25p-4, 0x1.0f98144ef6d58p-4, 0x1.0abeb5bed43f7p-4, 0x1.05f6018d2c65dp-4, 0x1.013de1e80cfa7p-4, 0x1.f92c78294804cp-5, 0x1.effdea680c516p-5, 0x1.e6efe6786e228p-5, 0x1.de023398bf3dfp-5, 0x1.d534984c0a21ep-5, 0x1.cc86da9ed2a5ap-5, 0x1.c3f8bf98a977cp-5, 0x1.bb8a0aaf900a8p-5, 0x1.b33a7e633dc52p-5, 0x1.ab09dbf85acfap-5, 0x1.a2f7e4c6860f3p-5, 0x1.9b0458f1f1a7ep-5, 0x1.932ef487217e9p-5, 0x1.8b7777d7d20eap-5, 0x1.83dda07c23b1bp-5, 0x1.7c612acf6fb41p-5, 0x1.7501d41915816p-5, 0x1.6dbf554a85292p-5, 0x1.66996b4b399ap-5, 0x1.5f8fd0a8ada2dp-5, 0x1.58a23ff6fc4fbp-5, 0x1.51d0731f842f3p-5, 0x1.4b1a23a88a1edp-5, 0x1.447f09e33cd9dp-5, 0x1.3dfee62732a8p-5, 0x1.36d70d08569d4p-5, 0x1.308d82b6362c2p-5, 0x1.2a5e684abb9f2p-5, 0x1.244973e67a0bdp-5, 0x1.1e4e5bcd730ffp-5, 0x1.186cd64868f61p-5, 0x1.12a49950c01d8p-5, 0x1.0cf55a7d90ae8p-5, 0x1.075ecf38313c9p-5, 0x1.01e0acc726bf5p-5, 0x1.f8f55098edf15p-6, 0x1.ee58ee153835p-6, 0x1.e3eb81c3095e7p-6, 0x1.d9acc177cb3c5p-6, 0x1.cf9bcde8c45bp-6, 0x1.c5b82896e2f99p-6, 0x1.bc013cf0bd65ep-6, 0x1.b2767624811ffp-6, 0x1.a9173f9b43ad5p-6, 0x1.9fe306eb8e63cp-6, 0x1.96d9363a3668p-6, 0x1.8df93309ba84ep-6, 0x1.8542896501753p-6, 0x1.7cb489da8b4dap-6, 0x1.744eaf2981a59p-6, 0x1.6c106a292a86cp-6, 0x1.63f922c6e255p-6, 0x1.5c086a6b18aaep-6, 0x1.543d963efacap-6, 0x1.4c98268586ef7p-6, 0x1.45179047c059p-6, 0x1.3dbb4fafe3e07p-6, 0x1.3682d8bb7f45ap-6, 0x1.2f6da6ac7a507p-6, 0x1.287b35e602092p-6, 0x1.21ab0338eaf7dp-6, 0x1.1afc8c18d9c1p-6, 0x1.146f5026b4e32p-6, 0x1.0e02cf7aac151p-6, 0x1.07b68d0be64c4p-6, 0x1.0189f15b67e6dp-6, 0x1.f6f99b53d6cb4p-7, 0x1.eb1cb784c5caep-7, 0x1.df7c78219ef94p-7, 0x1.d417ed550b6b6p-7, 0x1.c8ee28bb9464ep-7, 0x1.bdfe494b55fadp-7, 0x1.b3475bf7a05ap-7, 0x1.a8c87f92295cfp-7, 0x1.9e80d12e2aeaap-7, 0x1.946f7090c0fb1p-7, 0x1.8a934d0431648p-7, 0x1.80ec21efbbe4ep-7, 0x1.77787bb7c02d9p-7, 0x1.6e37bb6d31d71p-7, 0x1.6529058a2df16p-7, 0x1.5c4b8c1a762efp-7, 0x1.539e7ddd6c24bp-7, 0x1.4b210995b3fa4p-7, 0x1.42d265b0b1a2fp-7, 0x1.3ab1c78cd6757p-7, 0x1.32be60f8b1f2cp-7, 0x1.2af77b50da597p-7, 0x1.235c48a82eecdp-7, 0x1.1bec0620356dap-7, 0x1.14a5fb1315d7fp-7, 0x1.0d895b0e3c5p-7, 0x1.069570fd0c724p-7, 0x1.ff9337b18a5c4p-8, 0x1.f24a031a94da1p-8, 0x1.e54e1898b830ep-8, 0x1.d89db346b87cp-8, 0x1.cc37c9bc940c8p-8, 0x1.c01ae0c93272ap-8, 0x1.b4459e14899d7p-8, 0x1.a8b6ac20e3871p-8, 0x1.9d6cb44572c6ap-8, 0x1.926667489bef9p-8, 0x1.87a28d21c0797p-8, 0x1.7d1fcb944efa5p-8, 0x1.72dce725025f3p-8, 0x1.68d8a7634589dp-8, 0x1.5f11cfc280623p-8, 0x1.5586d8a686f3ep-8, 0x1.4c3780142ba62p-8, 0x1.4321a9d583f1fp-8, 0x1.3a4479fdbdc78p-8, 0x1.319ed494617adp-8, 0x1.292f93ca62f0fp-8, 0x1.20f59b06f1debp-8, 0x1.18efd1b8ce13cp-8, 0x1.111d235c80585p-8, 0x1.097c7f8710469p-8, 0x1.020ced03fc1b8p-8, 0x1.f59a54dd4888dp-9, 0x1.e778d8c149bb4p-9, 0x1.d9b3401cf4c99p-9, 0x1.cc479564d1dc3p-9, 0x1.bf34b32e67a44p-9, 0x1.b2763e24948f2p-9, 0x1.a60ccb32fdf97p-9, 0x1.99f5b481e16bbp-9, 0x1.8e2f238a533fcp-9, 0x1.82b75188ee0a4p-9, 0x1.778c7c423a66ap-9, 0x1.6cace709ec942p-9, 0x1.6216bc5e7a483p-9, 0x1.57c8cb0f92767p-9, 0x1.4dc0ef11207a2p-9, 0x1.43fdb8a3b166dp-9, 0x1.3a7d90dc621c1p-9, 0x1.313eedda31d4bp-9, 0x1.284045bc36503p-9, 0x1.1f802588fdef2p-9, 0x1.16fc42fb0cef1p-9, 0x1.0eb549e1784a8p-9, 0x1.06a7cc5b2024p-9, 0x1.fda61e21dc27ep-10, 0x1.ee6b63896e354p-10, 0x1.df9cc3cd208acp-10, 0x1.d1377b4857469p-10, 0x1.c339160a23cd6p-10, 0x1.b59eeab08feb7p-10, 0x1.a866db68cfdeap-10, 0x1.9b8d9825d1fd3p-10, 0x1.8f1196bf5e5fap-10, 0x1.82f02ad7c1cc8p-10, 0x1.77270a669bc21p-10, 0x1.6bb3f2f5b5324p-10, 0x1.6094ad6dc30d9p-10, 0x1.55c70e67cd8acp-10, 0x1.4b48f77e36fcfp-10, 0x1.4117db71f323bp-10, 0x1.373282b9382a1p-10, 0x1.2d97ad0cf5336p-10, 0x1.2442d6e0c90c8p-10, 0x1.1b33fcee3ec5fp-10, 0x1.1268d6636462cp-10, 0x1.09df836e15e9dp-10, 0x1.019656d54654cp-10, 0x1.f3159715d0139p-11, 0x1.e37aaca34f239p-11, 0x1.d453fb5ab9e02p-11, 0x1.c5a030afc56bp-11, 0x1.b75b72a86072cp-11, 0x1.a9844ddc4d1c6p-11, 0x1.9c162075eb466p-11, 0x1.8f0e86c79c42cp-11, 0x1.826aa83d1b717p-11, 0x1.7628378990496p-11, 0x1.6a431e3f2525bp-11, 0x1.5eba2303466a5p-11, 0x1.538a3d7fc629p-11, 0x1.48b0edd1f1c8fp-11, 0x1.3e2bb5a06ad96p-11, 0x1.33f8397ac9132p-11, 0x1.2a1479ee3cc32p-11, 0x1.207dd4c963783p-11, 0x1.1732498fe1764p-11, 0x1.0e2fb34c8ece1p-11, 0x1.0573ebe34dbc7p-11, 0x1.f9fa5c55674c3p-12, 0x1.e99285fd899efp-12, 0x1.d9acb306400ccp-12, 0x1.ca452815815bp-12, 0x1.bb585225f919bp-12, 0x1.acdf8b83f62e9p-12, 0x1.9ee0bb539a7fap-12, 0x1.914e8132844eep-12, 0x1.842988a6e91aap-12, 0x1.776ea1fe36b29p-12, 0x1.6b1a2c53dd90cp-12, 0x1.5f2d2a3abbe11p-12, 0x1.5399e7209436p-12, 0x1.4867bdd6eacfcp-12, 0x1.3d90aa136e751p-12, 0x1.3311d8cfdcd03p-12, 0x1.28e8a80f17db4p-12, 0x1.1f12708970f34p-12, 0x1.158cab78f141cp-12, 0x1.0c54e09ba3fd8p-12, 0x1.0368a76e7a259p-12, 0x1.f58b4ee535603p-13, 0x1.e4d33009357e3p-13, 0x1.d4a47fd7a7588p-13, 0x1.c4fae9faaa7dbp-13, 0x1.b5d2349cb35cep-13, 0x1.a726057a2cc5bp-13, 0x1.98e8ca0fbd824p-13, 0x1.8b353aa9fbb6dp-13, 0x1.7de817eecf20cp-13, 0x1.7108fee741ca3p-13, 0x1.64940a5d0575dp-13, 0x1.587e2a9684d14p-13, 0x1.4cd8c086e633ep-13, 0x1.418ca890eeafp-13, 0x1.369d79e7b52fep-13, 0x1.2c07e14b7f3d7p-13, 0x1.21c9a164e3793p-13, 0x1.17de3dd07302fp-13, 0x1.0e44339ff5297p-13, 0x1.04f2c94f4ff79p-13, 0x1.f7f0f547879c7p-14, 0x1.e683fb932ea74p-14, 0x1.d5a3d4183c1e5p-14, 0x1.c54bf2997ba65p-14, 0x1.b5782847c8afep-14, 0x1.a623d41fa3ab6p-14, 0x1.974aa79201bf1p-14, 0x1.88e883b2720bep-14, 0x1.7af70bd1dda57p-14, 0x1.6d73356adf0bcp-14, 0x1.6063382917535p-14, 0x1.53b33b4b472a2p-14, 0x1.476af0d9a0e15p-14, 0x1.3b814e82a7caep-14, 0x1.2ff90cf50c1c1p-14, 0x1.24c25e89a3cfdp-14, 0x1.19e65114d96ap-14, 0x1.0f58c62edcfcdp-14, 0x1.0527c1387e5cfp-14, 0x1.f67fc1ceb181dp-15, 0x1.e3460212513b2p-15, 0x1.d09d8f064c203p-15, 0x1.be803453a202ep-15, 0x1.acefde1b5c0d4p-15, 0x1.9bfc1aa9042aap-15, 0x1.8b4e6d687a91ap-15, 0x1.7b374e55ee68bp-15, 0x1.6b96fbd9a96a5p-15, 0x1.5c69071528638p-15, 0x1.4da987dabfc09p-15, 0x1.3f54c150e39ffp-15, 0x1.316716192275dp-15, 0x1.23de1d73a29d9p-15, 0x1.16b427a364608p-15, 0x1.09e7209f18e58p-15, 0x1.fae8ccb966921p-16, 0x1.e2af7b76a6b95p-16, 0x1.cb235bfa2ef2cp-16, 0x1.b437c232f50f8p-16, 0x1.9de9b7605d0ddp-16, 0x1.8833e70c18a21p-16, 0x1.730e39dba29b7p-16, 0x1.5e13ad85d5fa3p-16, 0x1.4a74df047f63ep-16, 0x1.36f4b5c592672p-16, 0x1.23f4f36a4ba1cp-16, 0x1.1177108d8cec2p-16, 0x1.feffa4e1d00ebp-17, 0x1.dba1be0b726d5p-17, 0x1.b9767d7ba16a1p-17, 0x1.98108a5276f3dp-17, 0x1.7789c238eb2efp-17, 0x1.57d4a2f6b27f4p-17, 0x1.38ebba3036f4fp-17, 0x1.1ac31ae575491p-17, 0x1.fac4244ce60e9p-18, 0x1.c17f38b9ba5bbp-18, 0x1.89712e170d654p-18, 0x1.532ae4c6dff0ep-18, 0x1.1d7b1de8d79e9p-18, 0x1.d3ecb9d830bb3p-19, 0x1.6f323499f6ac1p-19, 0x1.0c9da7481f59bp-19, 0x1.58f058b18535p-20, 0x1.3acccd8789fc8p-21, -0x1.97f69ee690ed2p-24, -0x1.97ba7705d7338p-21, -0x1.79931857ecc22p-20, -0x1.11b593839aa95p-19, -0x1.6464d18a10beep-19, -0x1.b50484e9c8163p-19, -0x1.01deca539dfbbp-18, -0x1.2853ca837d39cp-18, -0x1.4d79c71e13261p-18, -0x1.71d20ab41af45p-18, -0x1.95434cc1cad6p-18, -0x1.b7caeda6d8133p-18, -0x1.d96cb1b23636cp-18, -0x1.fa2cc17089116p-18, -0x1.0d07ac7b8d5dep-17, -0x1.1c8deb7ad2d5p-17, -0x1.2bce2aff150b4p-17, -0x1.3a566922febc3p-17, -0x1.489dc722b4058p-17, -0x1.568074c587601p-17, -0x1.63ff02086b9ddp-17, -0x1.711ad6725fdc1p-17, -0x1.7dd66e301a6e2p-17, -0x1.8a2e7ffa8070dp-17, -0x1.967e6fd981b8dp-17, -0x1.a1ccaf89de176p-17, -0x1.ad131c35fc623p-17, -0x1.b80061818349cp-17, -0x1.c2eece0f97b47p-17, -0x1.cd298fcda4c1bp-17, -0x1.d6b1bd03f8163p-17, -0x1.e037b508d30afp-17, -0x1.e96f48850e562p-17, -0x1.f25417d2edd41p-17, -0x1.fae699d7ad98dp-17, -0x1.0193c6b0e22f1p-16, -0x1.058b3027721dp-16, -0x1.096e411135e2bp-16, -0x1.0d33d5e4bfeaap-16, -0x1.10855e397cbdep-16, -0x1.143f16ed7749p-16, -0x1.17224f092192cp-16, -0x1.1a2ca1b8e7813p-16, -0x1.1d1a881e16e6cp-16, -0x1.1fe2e93b5693bp-16, -0x1.22834d0c4ecadp-16, -0x1.24fbe6aa94e08p-16, -0x1.276697086997cp-16, -0x1.299dff87c0655p-16, -0x1.2bb5b39f0c855p-16, -0x1.2dab373309c5ap-16, -0x1.2f7f3fd121cfcp-16, -0x1.31320204db43cp-16, -0x1.32c2a97e9a92p-16, -0x1.3434953e189p-16, -0x1.35873a86c67f1p-16, -0x1.36b9455017294p-16, -0x1.37cc098001548p-16, -0x1.38bc9aea06a36p-16, -0x1.39c05df9cc83fp-16, -0x1.3a4c08d0ca4eep-16, -0x1.3ae64cc55ec1fp-16, -0x1.3b6488e017b9dp-16, -0x1.3bc08a4604707p-16, -0x1.3bf71361ba67ap-16, -0x1.3c14ab0f4f2cep-16, -0x1.3bf999603cb0ep-16, -0x1.3c27ab1958ca6p-16, -0x1.3bfc0c07a343fp-16, -0x1.3bb3d55764e7cp-16, -0x1.3b5325c0b23f8p-16, -0x1.3ad8d4a4a34dap-16, -0x1.3a4514d7ac0e4p-16, -0x1.39984336b3d73p-16, -0x1.38d2c1762b764p-16, -0x1.37f4f3de8fe64p-16, -0x1.36ff50f1e940bp-16, -0x1.35e40db8a73acp-16, -0x1.34ce17a8c65fp-16, -0x1.33926f2e7968bp-16, -0x1.3240e2c363cap-16, -0x1.30d96094aec42p-16, -0x1.2f5c3f821fd02p-16, -0x1.2dc9da9cabd57p-16, -0x1.2c2203decd82dp-16, -0x1.2a61ecec158ddp-16, -0x1.2854f3911e5e2p-16, -0x1.26b56f2ce60b6p-16, -0x1.248f9aace101fp-16, -0x1.22b15e527468ap-16, -0x1.209a6a86a75fdp-16, -0x1.1e6bf04c3e292p-16, -0x1.1c2c697479c3bp-16, -0x1.19db65e06f225p-16, -0x1.1778ecd9543d7p-16, -0x1.14ed18b2ee891p-16, -0x1.12a4741d50ad9p-16, -0x1.0ff39f312f9bcp-16, }}, 
      {{-0x1.04be0a4611f52p-2, -0x1.0139b81d5af0dp-2, -0x1.f93b49da3b556p-3, -0x1.ef499078b58b1p-3, -0x1.e5a64f8d6ad61p-3, -0x1.dd0cd7226f401p-3, -0x1.d5f8de3993596p-3, -0x1.d0ba74c31c275p-3, -0x1.cd7dfd154072ep-3, -0x1.cc55b88a7b9b7p-3, -0x1.cd410357b27dep-3, -0x1.d030d5d3683bp-3, -0x1.d50a87e7d2489p-3, -0x1.dbaf88a6a96b7p-3, -0x1.e3fb209a3921ap-3, -0x1.edc4b7d1798d8p-3, -0x1.f8e47ecac16cap-3, -0x1.0298e5e0de14fp-2, -0x1.09420a92274fap-2, -0x1.105a2195bdb35p-2, -0x1.17ced5ecdd64bp-2, -0x1.1f8eb1d5f49c8p-2, -0x1.278912078a566p-2, -0x1.2faebd0620da1p-2, -0x1.37f0ed731ea31p-2, -0x1.404210ffee887p-2, -0x1.4897140597db9p-2, -0x1.50e5652d03489p-2, -0x1.592220c67647ap-2, -0x1.61443e0d3d537p-2, -0x1.69459432d8867p-2, -0x1.711cf22a5a4cdp-2, -0x1.78c4d040063d8p-2, -0x1.8037a35ea4077p-2, -0x1.87709859afc68p-2, -0x1.8e6b8da6e3486p-2, -0x1.9524ffaf67522p-2, -0x1.9b99f6c1bccbap-2, -0x1.a1c7f7b9cc8bep-2, -0x1.a7acf7d434386p-2, -0x1.ad475649c7505p-2, -0x1.b295d84cb54b9p-2, -0x1.b797a0ac9abb5p-2, -0x1.bc4c2332e7487p-2, -0x1.c0b31bef1024p-2, -0x1.c4cc8faf121ffp-2, -0x1.c898cee3545adp-2, -0x1.cc186f1656ec4p-2, -0x1.cf4c3915a4c44p-2, -0x1.d235175ab9b51p-2, -0x1.d4d41118aee19p-2, -0x1.d72a5212f5cc4p-2, -0x1.d93933cd311e1p-2, -0x1.db023c7d607dbp-2, -0x1.dc8711691517cp-2, -0x1.ddc963ccefa47p-2, -0x1.decae2acea664p-2, -0x1.df8d3879286e7p-2, -0x1.e0121431f189ep-2, -0x1.e05b36c589b8fp-2, -0x1.e06a7b02cba2fp-2, -0x1.e041d26977189p-2, -0x1.dfe34a37849dcp-2, -0x1.df50e6e043fdbp-2, -0x1.de8c4a6220b14p-2, -0x1.dd9750fbb6659p-2, -0x1.dc73d8a7f92cep-2, -0x1.db23bcdc4910ep-2, -0x1.d9a8d082f28e4p-2, -0x1.d804d9b14a568p-2, -0x1.d639914d6c9dap-2, -0x1.d448a652d9a74p-2, -0x1.d233c269898efp-2, -0x1.cffc8cf5e0d24p-2, -0x1.cda4aae832d44p-2, -0x1.cb2dbb62e1da3p-2, -0x1.c89952dd1dae1p-2, -0x1.c5e8f6f18526bp-2, -0x1.c31e1c7b65ed5p-2, -0x1.c03a287e15773p-2, -0x1.bd3e731db583ep-2, -0x1.ba2c4b3adaedcp-2, -0x1.b704f95725882p-2, -0x1.b3c9c0a6ff093p-2, -0x1.b07bde5f370bp-2, -0x1.ad1c87b37b47p-2, -0x1.a9ace786b338ap-2, -0x1.a62e1c69299eep-2, -0x1.a2a1384129d2dp-2, -0x1.9f07404cf527ep-2, -0x1.9b612e9543318p-2, -0x1.97aff378f7b9bp-2, -0x1.93f4771a02aa9p-2, -0x1.902f9a4e6bba1p-2, -0x1.8c6236f22e399p-2, -0x1.888d1fb3358fdp-2, -0x1.84b11fabae102p-2, -0x1.80cef9ee9d19fp-2, -0x1.7ce769493e424p-2, -0x1.78fb204d0caaap-2, -0x1.750ac99b73eaap-2, -0x1.7117085171625p-2, -0x1.6d20789505c8ep-2, -0x1.6927affa87f8ep-2, -0x1.652d3de823589p-2, -0x1.6131abd8eb956p-2, -0x1.5d357d883478dp-2, -0x1.59393117c0209p-2, -0x1.553d3f286b07p-2, -0x1.51421af46d1bdp-2, -0x1.4d48326b1bb03p-2, -0x1.494fee511e0bp-2, -0x1.4559b269407c8p-2, -0x1.4165dd95b5ab1p-2, -0x1.3d74ca23818fp-2, -0x1.3986cde734bdap-2, -0x1.359c3a8f22d29p-2, -0x1.31b55dbed05bdp-2, -0x1.2dd2815a17066p-2, -0x1.29f3ebad15c21p-2, -0x1.2619df969d4abp-2, -0x1.22449caefa10bp-2, -0x1.1e745f69245edp-2, -0x1.1aa9612f217c1p-2, -0x1.16e3d87a0ac72p-2, -0x1.1323f8e7a44cbp-2, -0x1.0f69e4449a175p-2, -0x1.0bb5e8119d6d3p-2, -0x1.08081f747f0e8p-2, -0x1.0460b37488273p-2, -0x1.00bfcaa3221c3p-2, -0x1.fa4b125657997p-3, -0x1.f32421d8a2207p-3, -0x1.ec0b0320bce4cp-3, -0x1.e4fff15ea86f8p-3, -0x1.de0322fda2a8ap-3, -0x1.d714ce23a72f5p-3, -0x1.d03520820522cp-3, -0x1.c96447f941773p-3, -0x1.c2a26e8c349f4p-3, -0x1.bbefbb6c0346dp-3, -0x1.b54c530bab4cdp-3, -0x1.aeb85735780b9p-3, -0x1.a833e7167b5c2p-3, -0x1.a1bf1f41aee9cp-3, -0x1.9b5a19c46eaa5p-3, -0x1.9504ee06af9a4p-3, -0x1.8ebfb0f2b561ep-3, -0x1.888a74f40b545p-3, -0x1.8265490ba4232p-3, -0x1.7c503da4d27e7p-3, -0x1.764b5a7c11aefp-3, -0x1.7056ac1c9f481p-3, -0x1.6a72375b89068p-3, -0x1.649e0262695e7p-3, -0x1.5eda10dbfe5e9p-3, -0x1.592664d76949dp-3, -0x1.5382fef0de0b3p-3, -0x1.4defde659a9f1p-3, -0x1.486d01296dd38p-3, -0x1.42fa63f59478ep-3, -0x1.3d980254299ap-3, -0x1.3845d69c84bd2p-3, -0x1.3303da2806d86p-3, -0x1.2dd204eef7d54p-3, -0x1.28b04de07f335p-3, -0x1.239eaaeb153bdp-3, -0x1.1e9d108f2a51bp-3, -0x1.19ab7204c94ep-3, -0x1.14c9c29d47d79p-3, -0x1.0ff7f29f3f2cp-3, -0x1.0b35f2834354dp-3, -0x1.0683b160c9269p-3, -0x1.01e11d4dd67ep-3, -0x1.fa9c46ce3375fp-4, -0x1.f1955fd98eb3p-4, -0x1.e8ad5c6ed5a1ep-4, -0x1.dfe411bda3d3p-4, -0x1.d739537ae7192p-4, -0x1.ceacf402ec77p-4, -0x1.c63ec46fcc739p-4, -0x1.bdee94af63533p-4, -0x1.b5bc338fb6b8cp-4, -0x1.ada76ecd5b35dp-4, -0x1.a5b0138ee6e52p-4, -0x1.9dd5ed66fbbbbp-4, -0x1.9618c770abeacp-4, -0x1.8e786bc010638p-4, -0x1.86f4a3bcb4d0cp-4, -0x1.7f8d37b1afc4ep-4, -0x1.7841ef42f03c8p-4, -0x1.711291fa049ebp-4, -0x1.69fee3977a046p-4, -0x1.6306ab8eab259p-4, -0x1.5c29ae1a7408p-4, -0x1.5567ad61b8f13p-4, -0x1.4ec06df9df414p-4, -0x1.4833b1b1b0d3cp-4, -0x1.41c13a473efc4p-4, -0x1.3b68c8cd84248p-4, -0x1.352a1dd617f7dp-4, -0x1.2f04f96b6e64bp-4, -0x1.28f91b20196dfp-4, -0x1.2306423beeb4cp-4, -0x1.1d2c2d2621757p-4, -0x1.176a9aacb8fdep-4, -0x1.11c148d5cbca7p-4, -0x1.0c2ff583aa06dp-4, -0x1.06b65e5e62721p-4, -0x1.015440e94e666p-4, -0x1.f812b4c9dce33p-5, -0x1.edaad06f3e08ep-5, -0x1.e3704e940912dp-5, -0x1.d962a861494b3p-5, -0x1.cf815ae5884e9p-5, -0x1.c5cbddf4fdca1p-5, -0x1.bc41a9da8545ap-5, -0x1.b2e23b00e798p-5, -0x1.a9ad0a9421b1ap-5, -0x1.a0a192be1332p-5, -0x1.97bf4dac2afedp-5, -0x1.8f05b5c2c0da4p-5, -0x1.8674459ec3b09p-5, -0x1.7e0a78163571ep-5, -0x1.75c7c86197fdbp-5, -0x1.6dabb1dfaae6bp-5, -0x1.65b5afae4a26ap-5, -0x1.5de5403cb6c3bp-5, -0x1.5639de00898bcp-5, -0x1.4eb306dea65b7p-5, -0x1.475038a761202p-5, -0x1.4010f101807ccp-5, -0x1.38f4afb5a0c1dp-5, -0x1.31faf39dc5d4p-5, -0x1.2b233d0854d58p-5, -0x1.246d0cddf416ep-5, -0x1.1dd7e4c33a13p-5, -0x1.17634726c1b8dp-5, -0x1.110eb72834efbp-5, -0x1.0ad9b946b8604p-5, -0x1.04c3d249f0ce9p-5, -0x1.fd990f9fa8324p-6, -0x1.f1e6c1f179842p-6, -0x1.e66fcb39fe313p-6, -0x1.db333cf8c5372p-6, -0x1.d0302e25f09fdp-6, -0x1.c565aab5ea4p-6, -0x1.bad2d3ebdae02p-6, -0x1.b076c0bfcd515p-6, -0x1.a6508d794fc1ep-6, -0x1.9c5f587a30eebp-6, -0x1.92a2424657c1ep-6, -0x1.89186d7d3723bp-6, -0x1.7fc1029a58a16p-6, -0x1.75fb0369c4545p-6, -0x1.6d07b4d1747bp-6, -0x1.64448e367ce12p-6, -0x1.5bb0ba5a3d4d5p-6, -0x1.534b680e70719p-6, -0x1.4b13c8355ef25p-6, -0x1.43090df0f2c05p-6, -0x1.3b2a6e9cf9cc2p-6, -0x1.337721c719a05p-6, -0x1.2bee6121d8ca9p-6, -0x1.248f68c607cep-6, -0x1.1d59771aa7e8cp-6, -0x1.164bc8ffd2409p-6, -0x1.0f65ac22d7cb8p-6, -0x1.08a65bfbc313p-6, -0x1.020d22dcbf51ap-6, -0x1.f732966f05248p-7, -0x1.ea94431ce69a5p-7, -0x1.de3de9b01473ep-7, -0x1.d22e2cf65a713p-7, -0x1.c663b3d4ed9b2p-7, -0x1.badd1f2bf2776p-7, -0x1.af99449f773p-7, -0x1.a496b612181b2p-7, -0x1.99d43a8f9da36p-7, -0x1.8f50922049efp-7, -0x1.850a805fc68abp-7, -0x1.7b00d2cbfeb58p-7, -0x1.713253abcc8d3p-7, -0x1.679dd7dcf6719p-7, -0x1.5e42386381245p-7, -0x1.551e517c4bee3p-7, -0x1.4c31047308e0cp-7, -0x1.4379376efb515p-7, -0x1.3af5d613ed408p-7, -0x1.32a5d00a43c2bp-7, -0x1.2a88190fda032p-7, -0x1.229ba99d472d2p-7, -0x1.1adf7fb0e6e32p-7, -0x1.13529c2f10adfp-7, -0x1.0bf3fda64ae7ap-7, -0x1.04c2c489b3c32p-7, -0x1.fb7bd2815674p-8, -0x1.edc90b79b0f72p-8, -0x1.e06b613566003p-8, -0x1.d3610d296191dp-8, -0x1.c6a846c8c735fp-8, -0x1.ba3f582877445p-8, -0x1.ae248dc472aa1p-8, -0x1.a2563cdcb7c3cp-8, -0x1.96d2c263f661bp-8, -0x1.8b986b1d83015p-8, -0x1.80a5e8b20cdb5p-8, -0x1.75f967322f664p-8, -0x1.6b917ca7994d7p-8, -0x1.616c9ef9dbcc5p-8, -0x1.5789608e6cb7p-8, -0x1.4de64c7e388d2p-8, -0x1.4481f80dd7061p-8, -0x1.3b5aff39da887p-8, -0x1.327004759aba3p-8, -0x1.29bfac6360775p-8, -0x1.2148b29b873a2p-8, -0x1.1909bebb9bdb9p-8, -0x1.11019168349eep-8, -0x1.092eed68b5396p-8, -0x1.019096edfde7ap-8, -0x1.f44aad6fe3d05p-9, -0x1.e5d826a8fd741p-9, -0x1.d7c7200763f66p-9, -0x1.ca1588d99299cp-9, -0x1.bcc0bf13e62fdp-9, -0x1.afc6fc7a6d548p-9, -0x1.a325fc967a8e3p-9, -0x1.96dba6276c19bp-9, -0x1.8ae5eadd4dd35p-9, -0x1.7f42c84dd3876p-9, -0x1.73f028155e5eep-9, -0x1.68ec6c00072dp-9, -0x1.5e355b9f1e4ecp-9, -0x1.53c9365711f8ep-9, -0x1.49a62f827918cp-9, -0x1.3fca6f9fdc546p-9, -0x1.363429e9c98bp-9, -0x1.2ce1fe8beda53p-9, -0x1.23d1d349b0a18p-9, -0x1.1b023c145a31dp-9, -0x1.127189f064e6ap-9, -0x1.0a1e2f7db0f2fp-9, -0x1.0206a1b533d77p-9, -0x1.f452bc21643abp-10, -0x1.e509d4883f45ap-10, -0x1.d62fa7bc80eeep-10, -0x1.c7c16447a2cb4p-10, -0x1.b9bc412360b52p-10, -0x1.ac1d8c6a199aap-10, -0x1.9ee29f7c71bcep-10, -0x1.9208e5e450ac5p-10, -0x1.858e7c88df938p-10, -0x1.796eecc3111fdp-10, -0x1.6da9caa5ccdcap-10, -0x1.623c107c14805p-10, -0x1.57236cb9edf04p-10, -0x1.4c5d9d947d6e4p-10, -0x1.41e86df8619b1p-10, -0x1.37c1b39af4ba9p-10, -0x1.2de755822108ep-10, -0x1.24574d3f0b7cfp-10, -0x1.1b0f8bb394037p-10, -0x1.120e1f5ab64d6p-10, -0x1.09511dd0410eap-10, -0x1.00d6a925367d4p-10, -0x1.f139e1da6e846p-11, -0x1.e1444c6846989p-11, -0x1.d1c87d74de4dap-11, -0x1.c2c4d6c7eedebp-11, -0x1.b4344fb18034p-11, -0x1.a6143d61e698bp-11, -0x1.9861764103bcfp-11, -0x1.8b18e5380d821p-11, -0x1.7e378a9384b09p-11, -0x1.71ba89597e3b9p-11, -0x1.659ecf210b611p-11, -0x1.59e185b722fcdp-11, -0x1.4e80b3c988098p-11, -0x1.4378d7e4c19ebp-11, -0x1.38c7aeb3b365ep-11, -0x1.2e6aaf93f92cdp-11, -0x1.245f661b88aap-11, -0x1.1aa36e1d6318dp-11, -0x1.1134735974013p-11, -0x1.081031589a81fp-11, -0x1.fe68ca4f6360ap-12, -0x1.ed3e8f7777a8bp-12, -0x1.dc9ca02fbb4b6p-12, -0x1.cc7e12af0d44fp-12, -0x1.bce0bac02bb01p-12, -0x1.adc0098c6ba0fp-12, -0x1.9f184d2469de5p-12, -0x1.90e5ab0c304f9p-12, -0x1.8324e577e0335p-12, -0x1.75d23004b0086p-12, -0x1.68ea5dc51d01p-12, -0x1.5c6a3fd0fd175p-12, -0x1.504eabe9b7be7p-12, -0x1.44946aeb6783ep-12, -0x1.3938aa1516331p-12, -0x1.2e38798516e25p-12, -0x1.23910ae7025a1p-12, -0x1.19401c48b48c3p-12, -0x1.0f41af97ffbcbp-12, -0x1.059496996ea63p-12, -0x1.f86bbddc5d9aap-13, -0x1.e645c56898e94p-13, -0x1.d4b4179c528b1p-13, -0x1.c3b080ce3240dp-13, -0x1.b3375dd0d433fp-13, -0x1.a34468b262f5cp-13, -0x1.93d3755d33475p-13, -0x1.84e085c3b8523p-13, -0x1.7667a21d85487p-13, -0x1.68654ed97178ap-13, -0x1.5ad59c655c57bp-13, -0x1.4db51db33b5f9p-13, -0x1.41006376e5f75p-13, -0x1.34b422e09601dp-13, -0x1.28cb12a340e69p-13, -0x1.1d48415b7831dp-13, -0x1.1221fc2c4876dp-13, -0x1.0757fd0bf5b7p-13, -0x1.f9cec85555ad9p-14, -0x1.e59a716954c8bp-14, -0x1.d20adff67dc46p-14, -0x1.bf229dd6ff3f1p-14, -0x1.acd50318cfe88p-14, -0x1.9b1fb8de1c8b2p-14, -0x1.89fdea1f5fda3p-14, -0x1.796b012f4a014p-14, -0x1.69626f9668cep-14, -0x1.59dfdd09273a8p-14, -0x1.4adf1032c00f6p-14, -0x1.3c5befaedf10dp-14, -0x1.2e5281ef279e5p-14, -0x1.20beec85a3f29p-14, -0x1.139d7343bc881p-14, -0x1.06ea77887677fp-14, -0x1.f544ef8213685p-15, -0x1.dd8425c96cf28p-15, -0x1.c68d4c944f27cp-15, -0x1.b055f77101fecp-15, -0x1.9adbe8031ab62p-15, -0x1.8617f7f7b2206p-15, -0x1.720574e1121a2p-15, -0x1.5e9da325a0883p-15, -0x1.4bd7cd68c5ba8p-15, -0x1.39b39150d6b86p-15, -0x1.282a9e985fe06p-15, -0x1.17377091ada82p-15, -0x1.06d7235e806ffp-15, -0x1.ee0228a08e7dcp-16, -0x1.cf68ae9003fb6p-16, -0x1.b1d58fcddddc3p-16, -0x1.9544d2b2c4916p-16, -0x1.79aa5a2097cb8p-16, -0x1.5eff8d750e7d9p-16, -0x1.453cb21151d73p-16, -0x1.2c5b0671028ep-16, -0x1.14535a288f319p-16, -0x1.fa3dd4eead6e2p-17, -0x1.cd6e6bf23c09cp-17, -0x1.a22a1155d40a9p-17, -0x1.786659eb175d8p-17, -0x1.501b94175699ap-17, -0x1.2936b74212e3cp-17, -0x1.03b14b4f926d4p-17, -0x1.befe22f356111p-18, -0x1.794abd3999a11p-18, -0x1.35da1426f4e51p-18, -0x1.e9e8b0e29e587p-19, -0x1.6ce7f6072b886p-19, -0x1.e884f20c70755p-20, -0x1.00407b7fa5bb7p-20, -0x1.049c5343df94p-23, 0x1.6d8150419c429p-21, 0x1.860dc576e7dbfp-20, 0x1.269f40666738ap-19, 0x1.8522819b6a306p-19, 0x1.e2ad0b5816457p-19, 0x1.1da311557debap-18, 0x1.482c83a4d7514p-18, 0x1.7102ba1574729p-18, 0x1.98322d4cfc5a9p-18, 0x1.bdc6b8ab43c5fp-18, 0x1.e1cb9367747efp-18, 0x1.0228f60bfd408p-17, 0x1.12a95419cb652p-17, 0x1.2275767175012p-17, 0x1.318eb6a8fcbbfp-17, 0x1.3ff728aca4a7fp-17, 0x1.4dbc29b206a49p-17, 0x1.5ad9ad0f89798p-17, 0x1.6756ec0ca2bb3p-17, 0x1.73382a79fb746p-17, 0x1.7e81a29dbf133p-17, 0x1.893b54c5fed26p-17, 0x1.935c52ab69562p-17, 0x1.9cf52d8b2f342p-17, 0x1.a6052901c1ef9p-17, 0x1.ae8d22f45c951p-17, 0x1.b68aa3366b7ddp-17, 0x1.be213715d6b44p-17, 0x1.c531e3fc4a10ap-17, 0x1.cbcc2c9180425p-17, 0x1.d1ed8de4dfca8p-17, 0x1.d79d5b68e7d44p-17, 0x1.dcddbd77bafd3p-17, 0x1.e1b3ea4fc3e2fp-17, 0x1.e61da4ea559cap-17, 0x1.ea1f9b442cd24p-17, 0x1.edc062bd11d06p-17, 0x1.f0f4e5745d2f9p-17, 0x1.f3bb8b5d500c4p-17, 0x1.f64881048c0a3p-17, 0x1.f874acae9452ap-17, 0x1.fa3e63a9d6dafp-17, 0x1.fbb100a265a5p-17, 0x1.fcced04950e7fp-17, 0x1.fd99e870b0b69p-17, 0x1.fe144b21b825p-17, 0x1.fe42983713dddp-17, 0x1.fe1ec309fda2ap-17, 0x1.fdb2d56363d8cp-17, 0x1.fcfdb684d8676p-17, 0x1.fc03257349d3dp-17, 0x1.fac148f354f85p-17, 0x1.f93a211702c16p-17, 0x1.f771f021d51f1p-17, 0x1.f5699f1cd0656p-17, 0x1.f3227fec967a3p-17, 0x1.f09e226c6bcc6p-17, 0x1.edde152fa6cfep-17, 0x1.eae3e75f458ddp-17, 0x1.e7b1b33c101c9p-17, 0x1.e4555d5265a47p-17, 0x1.e0a781ab16768p-17, 0x1.dcd2e5b6769e3p-17, 0x1.d8cbb608d7eaep-17, 0x1.d492bf1d7de24p-17, 0x1.d027671f35e34p-17, 0x1.cb53465b0a8bfp-17, 0x1.c6cb25cb63e0ap-17, 0x1.c1e240a6fba86p-17, 0x1.bcbef6b5f77bap-17, 0x1.b7786c38d1593p-17, 0x1.b2093a6d86aeap-17, 0x1.ac85bbdadb7d7p-17, 0x1.a6b6eddb0dcd3p-17, 0x1.a0d51be57412ep-17, 0x1.9acfb184f02c6p-17, 0x1.94a7a74fc936fp-17, 0x1.8e5e0e6ac3d2cp-17, 0x1.87f3fcda3af07p-17, 0x1.816a76b061a13p-17, 0x1.7ac1eaaf167c1p-17, 0x1.740c97c02a80cp-17, 0x1.6d445750b28b8p-17, 0x1.661e7bd52a18cp-17, 0x1.5f2ce9b30b3b1p-17, 0x1.57dd4c3fc517dp-17, 0x1.5093174da3e5dp-17, 0x1.493523b582a5ap-17, 0x1.41c0b22a9d508p-17, 0x1.3a348c49edb7cp-17, 0x1.3291085aff496p-17, 0x1.2ae51c5416b78p-17, 0x1.23234375935a3p-17, 0x1.1b4f07b0bd50bp-17, 0x1.1368c553d7e42p-17, 0x1.0b7355294faabp-17, 0x1.036f219800c3cp-17, 0x1.f6b88af9d12fbp-18, 0x1.e67aad944fa63p-18, 0x1.d6255e45c36bap-18, 0x1.c5b83217bd625p-18, 0x1.b5362ae80df99p-18, 0x1.a49b8582a7db3p-18, 0x1.93fe110faebacp-18, 0x1.83403cc67af89p-18, 0x1.7279903a991d8p-18, 0x1.61a684045ce35p-18, 0x1.50c49ddf0b0b3p-18, 0x1.3fee32100150ep-18, 0x1.2eed8545192eep-18, 0x1.1df7390be8b25p-18, 0x1.0cf1e2aca5415p-18, 0x1.f7e1ddf7b6613p-19, 0x1.d5cf4ee632563p-19, 0x1.b3be8370cd943p-19, 0x1.91ade05bcd154p-19, 0x1.6f9f93466ceb5p-19, 0x1.4d96317a284eep-19, 0x1.2b94501bab10fp-19, 0x1.099c7a23ed47p-19, 0x1.cf6228f7a7272p-20, 0x1.8bd35b52e0574p-20, 0x1.4812f0b30dafap-20, 0x1.04a69e482d4fep-20, 0x1.82ca900491965p-21, 0x1.f952d7a71f3f7p-22, 0x1.dbb27e3fd39fep-23, -0x1.c9f6f047c328bp-26, -0x1.26378cb76544p-22, -0x1.177bce9b03bbap-21, -0x1.9d0bf032be6adp-21, -0x1.0f31e420e517p-20, -0x1.4f9b89ee0dad1p-20, -0x1.912ab762e34edp-20, -0x1.d1cf71d4e6c2p-20, -0x1.09030ec6b4ad3p-19, -0x1.28f0959b6fff1p-19, -0x1.48ae44d2729bbp-19, -0x1.683ef5fe0c391p-19, -0x1.886557a650ba1p-19, -0x1.a68bcbb960e6cp-19, -0x1.c58db78e66b03p-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.cfbeefcc02b57p-14, 0x1.cf88bb24ac0efp-12, 0x1.048a46ede45c1p-10, 0x1.ceb15944de996p-10, 0x1.68fd75da13547p-9, 0x1.037c78621d739p-8, 0x1.608264e8f4569p-8, 0x1.cb67bed9cf29bp-8, 0x1.21ff3d027b02dp-7, 0x1.6509c72026bb7p-7, 0x1.aeb7a3155a941p-7, 0x1.feeac6b2a4adep-7, 0x1.2ac18f6a9fb34p-6, 0x1.592f5a92076e7p-6, 0x1.8aacea6638dfdp-6, 0x1.bf27970c4d715p-6, 0x1.f68bfc61e4252p-6, 0x1.1863053ea02fcp-5, 0x1.36e08abf765c4p-5, 0x1.56b3f259fb0d1p-5, 0x1.77d2608568854p-5, 0x1.9a30c16f8184ep-5, 0x1.bdc3cf9082c43p-5, 0x1.e28019f05eb26p-5, 0x1.042d051045d57p-4, 0x1.17a2f4f6d7a62p-4, 0x1.2b9bf46628712p-4, 0x1.40121081c6aa7p-4, 0x1.54ff4e4c478ebp-4, 0x1.6a5dacfead385p-4, 0x1.80272842a7dc8p-4, 0x1.9655ba50cdf27p-4, 0x1.ace35df3dd01p-4, 0x1.c3ca1071fea47p-4, 0x1.db03d35d24691p-4, 0x1.f28aae4b4a6bep-4, 0x1.052c583be6ca2p-3, 0x1.1133f92749153p-3, 0x1.1d594b7108d08p-3, 0x1.299966a69b036p-3, 0x1.35f16900f0649p-3, 0x1.425e78028b4c4p-3, 0x1.4eddc10cd000fp-3, 0x1.5b6c79ed045d6p-3, 0x1.6807e16156c4cp-3, 0x1.74ad3f965f9ffp-3, 0x1.8159e69d6e4fep-3, 0x1.8e0b32dbf0c09p-3, 0x1.9abe8b74573e1p-3, 0x1.a77162a8a7913p-3, 0x1.b42136371130ap-3, 0x1.c0cb8fb0af63ep-3, 0x1.cd6e04cab98c9p-3, 0x1.da0637aa4aef6p-3, 0x1.e691d72aed14bp-3, 0x1.f30e9f20062f5p-3, 0x1.ff7a589156a1dp-3, 0x1.05e96cf94c0e1p-2, 0x1.0c0b03ab2ccacp-2, 0x1.1220e94e1cc83p-2, 0x1.182a1dcd457bbp-2, 0x1.1e25a821bc67ep-2, 0x1.24129662e0b1p-2, 0x1.29effdd48da8ap-2, 0x1.2fbcfaf328087p-2, 0x1.3578b17d914b5p-2, 0x1.3b224c7d0de65p-2, 0x1.40b8fe4b2093cp-2, 0x1.463c00956c48dp-2, 0x1.4baa945fa28c7p-2, 0x1.510402038bd2cp-2, 0x1.5647992f33893p-2, 0x1.5b74b0e145e6bp-2, 0x1.608aa763abd06p-2, 0x1.6588e2446efp-2, 0x1.6a6ece4cf956cp-2, 0x1.6f3bdf77b9e81p-2, 0x1.73ef90e43e436p-2, 0x1.788964c9d120bp-2, 0x1.7d08e468aba37p-2, 0x1.816d9ff9cacabp-2, 0x1.85b72e9d746dep-2, 0x1.89e52e488234bp-2, 0x1.8df743b07e69p-2, 0x1.91ed1a369fd5ap-2, 0x1.95c663d1bb1f9p-2, 0x1.9982d8f7365a9p-2, 0x1.9d2238830b9a8p-2, 0x1.a0a4479eeebc7p-2, 0x1.a408d1a8a399cp-2, 0x1.a74fa8179397fp-2, 0x1.aa78a261b0392p-2, 0x1.ad839ddfb524dp-2, 0x1.b0707db0d0422p-2, 0x1.b33f2a9dc884dp-2, 0x1.b5ef92fba28b8p-2, 0x1.b881aa8ddfa56p-2, 0x1.baf56a68534afp-2, 0x1.bd4ad0d0ac0f7p-2, 0x1.bf81e11faac4cp-2, 0x1.c19aa3a220026p-2, 0x1.c3952579b4e51p-2, 0x1.c571787d87d3cp-2, 0x1.c72fb31aaa0a6p-2, 0x1.c8cff03489cb4p-2, 0x1.ca524f0547e42p-2, 0x1.cbb6f2fe0e852p-2, 0x1.ccfe03a76504p-2, 0x1.ce27ac8192225p-2, 0x1.cf341ce50f0a4p-2, 0x1.d02387e30e86cp-2, 0x1.d0f6242628bc4p-2, 0x1.d1ac2bd3292fcp-2, 0x1.d245dc6a0776ep-2, 0x1.d2c376a710b9bp-2, 0x1.d3253e64474cdp-2, 0x1.d36b7a7afb07fp-2, 0x1.d39674a5a3946p-2, 0x1.d3a67961fb62fp-2, 0x1.d39bd7d362518p-2, 0x1.d376e1a58e292p-2, 0x1.d337eaef87a32p-2, 0x1.d2df4a16f8cacp-2, 0x1.d26d57b3d4369p-2, 0x1.d1e26e7452754p-2, 0x1.d13eeb0149a3p-2, 0x1.d0832be2e4e05p-2, 0x1.cfaf9165bac79p-2, 0x1.cec47d8046671p-2, 0x1.cdc253b8c3a01p-2, 0x1.cca9790b75143p-2, 0x1.cb7a53d14de7bp-2, 0x1.ca354ba709077p-2, 0x1.c8dac954a83ap-2, 0x1.c76b36b563c75p-2, 0x1.c5e6fea005711p-2, 0x1.c44e8ccfb2af6p-2, 0x1.c2a24dcd2866ep-2, 0x1.c0e2aed866c41p-2, 0x1.bf101dd2cf70ep-2, 0x1.bd2b0929b6233p-2, 0x1.bb33dfc164d7p-2, 0x1.b92b10e095e6p-2, 0x1.b7110c1c5c83fp-2, 0x1.b4e641448a21fp-2, 0x1.b2ab205082a73p-2, 0x1.b060194c899b1p-2, 0x1.ae059c478138ep-2, 0x1.ab9c19412518ap-2, 0x1.a9240018b17a3p-2, 0x1.a69dc07c0a1bp-2, 0x1.a409c9d74d3d7p-2, 0x1.a1688b44e326ap-2, 0x1.9eba737dfc00cp-2, 0x1.9bfff0cb8790bp-2, 0x1.993970f79ed42p-2, 0x1.9667613f5ea7dp-2, 0x1.938a2e453aef5p-2, 0x1.90a24403bded8p-2, 0x1.8db00dc0bfaecp-2, 0x1.8ab3f60108c29p-2, 0x1.87ae667c6981dp-2, 0x1.849fc8123df6cp-2, 0x1.818882be625bep-2, 0x1.7e68fd8e92eadp-2, 0x1.7b419e983c424p-2, 0x1.7812caeeb2459p-2, 0x1.74dce699d6412p-2, 0x1.71a0548d2388cp-2, 0x1.6e5d769f2532cp-2, 0x1.6b14ad81540fp-2, 0x1.67c658b858e44p-2, 0x1.6472d694b2f44p-2, 0x1.611a842bc3a7ap-2, 0x1.5dbdbd513b6bbp-2, 0x1.5a5cdc90e51fap-2, 0x1.56f83b28d3246p-2, 0x1.53903103e9a96p-2, 0x1.502514b4c1d15p-2, 0x1.4cb73b70ed979p-2, 0x1.4946f90c8d842p-2, 0x1.45d49ff6440d2p-2, 0x1.426081337c179p-2, 0x1.3eeaec5d02273p-2, 0x1.3b742f9bf5139p-2, 0x1.37fc97a701f2ap-2, 0x1.34846fbff321bp-2, 0x1.310c01b18d98bp-2, 0x1.2d9395cdb5ec9p-2, 0x1.2a1b72ebe47c7p-2, 0x1.26a3de67df1bdp-2, 0x1.232d1c20b98bdp-2, 0x1.1fb76e781ef65p-2, 0x1.1c431651d88b3p-2, 0x1.18d053139aec4p-2, 0x1.155f62a5119ccp-2, 0x1.11f0817027224p-2, 0x1.0e83ea618d5b3p-2, 0x1.0b19d6e97c5f3p-2, 0x1.07b27efcad2f7p-2, 0x1.044e19158a0e9p-2, 0x1.00ecda3594816p-2, 0x1.fb1debce02ce8p-3, 0x1.f4693c7d04c02p-3, 0x1.edbc07ba8b756p-3, 0x1.e716abe63bf22p-3, 0x1.e0798481b991bp-3, 0x1.d9e4ea35ac045p-3, 0x1.d35932d718dc4p-3, 0x1.ccd6b16d0fc9ep-3, 0x1.c65db6369fd9ep-3, 0x1.bfee8eb11a1b1p-3, 0x1.b989859e98e08p-3, 0x1.b32ee30ccb9f4p-3, 0x1.acdeec5c005f6p-3, 0x1.a699e4466c81p-3, 0x1.a0600ae7b233ap-3, 0x1.9a319dc493aa9p-3, 0x1.940ed7d2e92a7p-3, 0x1.8df7f181b884cp-3, 0x1.87ed20c18a24ap-3, 0x1.81ee990cdc05p-3, 0x1.7bfc8b70c88b6p-3, 0x1.76172695cfb14p-3, 0x1.703e96c8c19a2p-3, 0x1.6a730603ca965p-3, 0x1.64b49bf7a5d9fp-3, 0x1.5f037e14de466p-3, 0x1.595fcf953344ap-3, 0x1.53c9b185155efp-3, 0x1.4e4142cd2c87dp-3, 0x1.48c6a03c00af3p-3, 0x1.4359e48fa4fa6p-3, 0x1.3dfb287f78faap-3, 0x1.38aa82c5f470dp-3, 0x1.3368082a7bdd8p-3, 0x1.2e33cb8b3ddcdp-3, 0x1.290ddde7178b6p-3, 0x1.23f64e677b8f2p-3, 0x1.1eed2a6a5a013p-3, 0x1.19f27d8c0e801p-3, 0x1.150651b148198p-3, 0x1.1028af10ef71fp-3, 0x1.0b599c3e08863p-3, 0x1.06991e318f26p-3, 0x1.01e738544c653p-3, 0x1.fa87d911413a9p-4, 0x1.f15e766887851p-4, 0x1.e8524693f816fp-4, 0x1.df6344a68d0bep-4, 0x1.d69168f3da66ap-4, 0x1.cddca92328b18p-4, 0x1.c544f84265668p-4, 0x1.bcca46d8f0284p-4, 0x1.b46c82fa43091p-4, 0x1.ac2b985875e0fp-4, 0x1.a407705690612p-4, 0x1.9bfff21abe3fap-4, 0x1.941502a03c7d5p-4, 0x1.8c4684c938f31p-4, 0x1.8494597064773p-4, 0x1.7cfe5f7a60c56p-4, 0x1.758473e6f891dp-4, 0x1.6e2671e220b8bp-4, 0x1.66e432d4c44d1p-4, 0x1.5fbd8e75585c8p-4, 0x1.58b25ad83847ap-4, 0x1.51c26c7fc6ff7p-4, 0x1.4aed966c57155p-4, 0x1.4433aa2bd5929p-4, 0x1.3d9477e93aef9p-4, 0x1.370fce7bbc2e5p-4, 0x1.30a57b75c1335p-4, 0x1.2a554b3399d9dp-4, 0x1.241f08e9f70bp-4, 0x1.1e027eb42263dp-4, 0x1.17ff75a1f739bp-4, 0x1.1215b5c59ab55p-4, 0x1.0c450640f51f6p-4, 0x1.068d2d52e880ap-4, 0x1.00edf06447933p-4, 0x1.f6ce282917922p-5, 0x1.ebf0b88c94d2p-5, 0x1.e1431856cf0a7p-5, 0x1.d6c4cca2111fp-5, 0x1.cc7559568dc76p-5, 0x1.c25441413ef1dp-5, 0x1.b861062a45c6fp-5, 0x1.ae9b28eac9e78p-5, 0x1.a502298256d5ap-5, 0x1.9b95872bb94bap-5, 0x1.9254c0715cdabp-5, 0x1.893f53412bee2p-5, 0x1.8054bcffef082p-5, 0x1.77947a9c307fp-5, 0x1.6efe08a0a4619p-5, 0x1.6690e3461048fp-5, 0x1.5e4c8684bf0e9p-5, 0x1.56306e2574ca8p-5, 0x1.4e3c15d1ee5bap-5, 0x1.466ef924e6245p-5, 0x1.3ec893b9a66e9p-5, 0x1.3748613b22c6cp-5, 0x1.2feddd729f57p-5, 0x1.28b88455e643ep-5, 0x1.21a7d2150b63p-5, 0x1.1abb4327bea71p-5, 0x1.13f2545a322d6p-5, 0x1.0d4c82d992854p-5, 0x1.06c94c40134cdp-5, 0x1.00682ea09132dp-5, 0x1.f4515123990cdp-6, 0x1.e814727277f86p-6, 0x1.dc18c0aaf388fp-6, 0x1.d05d3c909b862p-6, 0x1.c4e0e840a7b5ap-6, 0x1.b9a2c7448673p-6, 0x1.aea1dea3a9c47p-6, 0x1.a3dd34f49aa8ep-6, 0x1.9953d26d54bd2p-6, 0x1.8f04c0f2edbbcp-6, 0x1.84ef0c288ba8dp-6, 0x1.7b11c17daa5d4p-6, 0x1.716bf03bbb00dp-6, 0x1.67fca99318847p-6, 0x1.5ec300a757732p-6, 0x1.55be0a9afba77p-6, 0x1.4cecde9a8686bp-6, 0x1.444e95e6f391ep-6, 0x1.3be24bdf99739p-6, 0x1.33a71e0b77fb3p-6, 0x1.2b9c2c21f95b5p-6, 0x1.23c098132056bp-6, 0x1.1c13860f343dbp-6, 0x1.14941c8ddbf6ap-6, 0x1.0d418454c1658p-6, 0x1.061ae87dac4fdp-6, 0x1.fe3eecf8459e9p-7, 0x1.f09cbc4522dfcp-7, 0x1.e34da34df051ep-7, 0x1.d6500b4e55ef5p-7, 0x1.c9a2625932e29p-7, 0x1.bd431b5f5c5f6p-7, 0x1.b130ae3586905p-7, 0x1.a56997995a692p-7, 0x1.99ec5935bf677p-7, 0x1.8eb779a6712e7p-7, 0x1.83c9847ac09f3p-7, 0x1.79210a37b0475p-7, 0x1.6ebca0595168p-7, 0x1.649ae1537f24fp-7, 0x1.5aba6c91e58d3p-7, 0x1.5119e67770a5dp-7, 0x1.47b7f85d1b036p-7, 0x1.3e9350902223cp-7, 0x1.35aaa24facc72p-7, 0x1.2cfca5c9e1738p-7, 0x1.248818187377fp-7, 0x1.1c4bbb3caf297p-7, 0x1.1446561b0439bp-7, 0x1.0c76b47618909p-7, 0x1.04dba6e964a63p-7, 0x1.fae805c6bcda5p-8, 0x1.ec7d453e731fp-8, 0x1.de74ca3c7bf2ep-8, 0x1.d0cc5c4178e1p-8, 0x1.c381cc3d44ad8p-8, 0x1.b692f47f65debp-8, 0x1.a9fdb8a6d42b2p-8, 0x1.9dc005911504ep-8, 0x1.91d7d148bb5d1p-8, 0x1.86431af35087cp-8, 0x1.7affeabead4b8p-8, 0x1.700c51cdcb8c2p-8, 0x1.65666a2515139p-8, 0x1.5b0c56963c221p-8, 0x1.50fc42ab9dc63p-8, 0x1.47346293381eep-8, 0x1.3db2f3093d894p-8, 0x1.3476394243e1dp-8, 0x1.2b7c82d51ec44p-8, 0x1.22c425a463f2p-8, 0x1.1a4b7fc7a1784p-8, 0x1.1210f7745090cp-8, 0x1.0a12fae681037p-8, 0x1.025000494ad4fp-8, 0x1.f58d0b3e1221dp-9, 0x1.e6ea2152c225ep-9, 0x1.d8b45da236bap-9, 0x1.cae8ea1bb03dfp-9, 0x1.bd84ff9b378bbp-9, 0x1.b085e5b87d1a1p-9, 0x1.a3e8f29582a47p-9, 0x1.97ab8aad16a8bp-9, 0x1.8bcb20a12d8eap-9, 0x1.804535091c68fp-9, 0x1.7517563fc122p-9, 0x1.6a3f20319ae64p-9, 0x1.5fba3c2adf2d1p-9, 0x1.558660a59222fp-9, 0x1.4ba15117a0c39p-9, 0x1.4208ddc110e8ap-9, 0x1.38bae37a42cc5p-9, 0x1.2fb54b824d90dp-9, 0x1.26f60b4d7e1fbp-9, 0x1.1e7b2453fd705p-9, 0x1.1642a3e0a107dp-9, 0x1.0e4aa2dfef433p-9, 0x1.069145af576bep-9, 0x1.fe2977d953f43p-10, 0x1.efa6808b9363dp-10, 0x1.e196309152a19p-10, 0x1.d3f5286713efcp-10, 0x1.c6c01d8b1aef9p-10, 0x1.b9f3da1f25d69p-10, 0x1.ad8d3c8ad9a8dp-10, 0x1.a189371ed635fp-10, 0x1.95e4cfb884fb9p-10, 0x1.8a9d1f66a0ae2p-10, 0x1.7faf520e864acp-10, 0x1.7518a612434fdp-10, 0x1.6ad66bf77c21bp-10, 0x1.60e6060f1f59ap-10, 0x1.5744e81df0205p-10, 0x1.4df09705f0969p-10, 0x1.44e6a870a8eb3p-10, 0x1.3c24c27a52ff2p-10, 0x1.33a89b5def1a2p-10, 0x1.2b6ff9223e4d6p-10, 0x1.2378b147b489fp-10, 0x1.1bc0a87753c5ep-10, 0x1.1445d2327ed4dp-10, 0x1.0d063083bd314p-10, 0x1.05ffd3b0800acp-10, 0x1.fe61b3d7b08b6p-11, 0x1.f12ede145e31ep-11, 0x1.e463986bf224dp-11, 0x1.d7fc6f4ad2468p-11, 0x1.cbf608a2455f8p-11, 0x1.c04d2357dd9cfp-11, 0x1.b4fe96b6e2365p-11, 0x1.aa0751e3c178p-11, 0x1.9f645b5187242p-11, 0x1.9512d03959308p-11, 0x1.8b0fe413fd22ap-11, 0x1.8158e0156187dp-11, 0x1.77eb22aa2f25ap-11, 0x1.6ec41ef760f97p-11, 0x1.65e15c5bdf35ep-11, 0x1.5d4075f41e5c2p-11, 0x1.54df1a1fc272ap-11, 0x1.4cbb0a093f96cp-11, 0x1.44d2192f7d51ep-11, 0x1.3d222cf1733bep-11, 0x1.35a93c1bc1d8dp-11, 0x1.2e654e78424acp-11, 0x1.27547c5f8c29ap-11, 0x1.2074ee4c6dae8p-11, 0x1.19c4dc7150c9ep-11, 0x1.13428e4f8ef2p-11, 0x1.0cec5a50ac75ep-11, 0x1.06c0a56177b8bp-11, 0x1.00bde28f0ac3bp-11, 0x1.f5c5254b54e6cp-12, 0x1.ea5a87a2f9e35p-12, 0x1.df39228232954p-12, 0x1.d45e4593c68cp-12, 0x1.c9c7591c700b4p-12, 0x1.bf71dd4ac21ccp-12, 0x1.b55b698a95266p-12, 0x1.ab81abdbf3b88p-12, 0x1.a1e2682d7cc44p-12, 0x1.987b77ba2db77p-12, 0x1.8f4ac86a91ca6p-12, 0x1.864e5c3945629p-12, 0x1.7d84489acb498p-12, 0x1.74eab5e89fe6fp-12, 0x1.6c7fdecf8a7e9p-12, 0x1.64420fc11b543p-12, 0x1.5c2fa6684e279p-12, 0x1.5447112148062p-12, 0x1.4c86ce74227c7p-12, 0x1.44ed6c92be4d8p-12, 0x1.3d7988d98ed15p-12, 0x1.3629cf5354fb1p-12, 0x1.2efcfa3fbf365p-12, 0x1.27f1d19ce600bp-12, 0x1.21072ab39255dp-12, 0x1.1a3be7a64ed39p-12, 0x1.138ef7032edfap-12, 0x1.0cff5358450d1p-12, 0x1.068c02cac032fp-12, 0x1.003416b09efdep-12, 0x1.f3ed5659ea0f8p-13, 0x1.e7a5cd9d60b2ep-13, 0x1.db8ff463ba2a5p-13, 0x1.cfaa3f46a7d84p-13, 0x1.c3f3358d9cd77p-13, 0x1.b869707ea73dfp-13, 0x1.ad0b9ab3ed6c5p-13, 0x1.a1d86f75aa7c9p-13, 0x1.96ceba18a9cebp-13, 0x1.8bed55611af9bp-13, 0x1.81332ae9b51dep-13, 0x1.769f328f0bdffp-13, 0x1.6c3071df0df1p-13, 0x1.61e5fb8c8a035p-13, 0x1.57beeee6b7778p-13, 0x1.4dba77549cee2p-13, 0x1.43d7cbd45122dp-13, 0x1.3a162e7df4bdcp-13, 0x1.3074ec0a5de6dp-13, 0x1.26f35b5d5c615p-13, 0x1.1d90dd138260ep-13, 0x1.144cdb1360121p-13, 0x1.0b26c82227efep-13, 0x1.021e1f7b96109p-13, 0x1.f264c8da46d7dp-14, 0x1.e0c643e8a7222p-14, 0x1.cf5fd4c05669cp-14, 0x1.be30adeb4e215p-14, 0x1.ad380f2e4eb82p-14, 0x1.9c7544dd96084p-14, 0x1.8be7a73724ba8p-14, 0x1.7b8e99c2a784ap-14, 0x1.6b698ab6b69ddp-14, 0x1.5b77f263651bcp-14, 0x1.4bb952a1f6c83p-14, 0x1.3c2d36499f701p-14, 0x1.2cd330a92bc75p-14, 0x1.1daadd0576b45p-14, 0x1.0eb3de1c8ba9bp-14, 0x1.ffdbbb5ab38c5p-15, 0x1.e2b11807b3a67p-15, 0x1.c5e73f1315588p-15, 0x1.a97da8b4509fep-15, 0x1.8d73d7b902a72p-15, 0x1.71c958be9f096p-15, 0x1.567dc173f3ed2p-15, 0x1.3b90afe249d64p-15, 0x1.2101c9bdea95ap-15, 0x1.06d0bbbde07f7p-15, 0x1.d9fa71f5712ccp-16, 0x1.a70df4a82be49p-16, 0x1.74db7bb9d425dp-16, 0x1.43628c9c3bbf7p-16, 0x1.12a2b4ff03ccdp-16, 0x1.c537139b494acp-17, 0x1.66994c729ed86p-17, 0x1.096b559c941dfp-17, 0x1.5b58f251c70bp-18, 0x1.4d7021d47b29cp-19, -0x1.61a959ea11cb6p-23, -0x1.73f0d47374529p-19, -0x1.660a91194d891p-18, -0x1.07a28025067e3p-17, -0x1.5ad47c266ba9p-17, -0x1.ac9bddd854652p-17, -0x1.fcf948ac8f23ep-17, -0x1.25f6b1a8d58c7p-16, -0x1.4cbc6c5a8b2b6p-16, -0x1.72ce2c7aca1bep-16, -0x1.982c4d23335d9p-16, -0x1.bcd72ce1e9b88p-16, -0x1.e0cf2e1cb525p-16, -0x1.020a5bb6a73d9p-15, -0x1.135419fb83a5cp-15, -0x1.244509db0c68bp-15, -0x1.34dd65e45e4b2p-15, -0x1.451d6b59329e7p-15, -0x1.55055a4c996b8p-15, -0x1.649575bef6228p-15, -0x1.73ce03b756f33p-15, -0x1.82af4d5a3b575p-15, -0x1.91399efded7ap-15, -0x1.9f6d483c7b744p-15, -0x1.ad4a9c03729a1p-15, -0x1.bad1f0a16a2aap-15, -0x1.c8039fd17fa06p-15, -0x1.d4e006c4cf112p-15, -0x1.e167862a069c7p-15, -0x1.ed9a823322984p-15, -0x1.f97962996d246p-15, -0x1.0282494fe90acp-14, -0x1.081e4089cb882p-14, -0x1.0d90d025c9ca1p-14, -0x1.12da3312f89e9p-14, -0x1.17faa60246bbdp-14, -0x1.1cf2676405585p-14, -0x1.21c1b764d0415p-14, -0x1.2668d7e9dfe1cp-14, -0x1.2ae80c8cca452p-14, -0x1.2f3f9a96bd2cap-14, -0x1.336fc8fb36ccfp-14, -0x1.3778e05246072p-14, -0x1.3b5b2ad2589a3p-14, -0x1.3f16f4499bcd1p-14, -0x1.42ac8a16fb198p-14, -0x1.461c3b22be19dp-14, -0x1.496657d6ceeap-14, -0x1.4c8b3216adab2p-14, -0x1.4f8b1d3718018p-14, -0x1.52666df5690e1p-14, -0x1.551d7a6eb6efp-14, -0x1.57b09a16b52a1p-14, -0x1.5a2025ae5f3e7p-14, -0x1.5c6c773a6f26ep-14, -0x1.5e95e9f9a7e77p-14, -0x1.609cda5af50d5p-14, -0x1.6281a5f366835p-14, -0x1.6444ab740a5a8p-14, -0x1.65e64a9faaa68p-14, -0x1.6766e44070b0bp-14, -0x1.68c6da1d7627ap-14, -0x1.6a068ef040de7p-14, -0x1.6b26665a33615p-14, -0x1.6c26c4d9f0edap-14, -0x1.6d080fc0baed6p-14, -0x1.6dcaad27c8de2p-14, }}, 
      {{-0x1.5abc62c85750ep-7, -0x1.5acf6c5cea99ap-6, -0x1.0432ad631de12p-5, -0x1.5b17a36ac8377p-5, -0x1.b21cbab835b43p-5, -0x1.04a33103f229ep-4, -0x1.304b9e2fad531p-4, -0x1.5c080dbe88b56p-4, -0x1.87d803d7efab2p-4, -0x1.b3ba289f444aep-4, -0x1.dfac5438afac1p-4, -0x1.05d5ce80b71d4p-3, -0x1.1bda33918c921p-3, -0x1.31e13a6f4300dp-3, -0x1.47e87b89f87bdp-3, -0x1.5ded4ed6e77dp-3, -0x1.73ecd3d60910bp-3, -0x1.89e3f9503f2p-3, -0x1.9fcf84bd80d1cp-3, -0x1.b5ac19482c8e9p-3, -0x1.cb763e66bd78bp-3, -0x1.e12a660879201p-3, -0x1.f6c4f254181fap-3, -0x1.06211d7ca1739p-2, -0x1.10cf490b8fa8ap-2, -0x1.1b6b245d9f7c2p-2, -0x1.25f2d97e6ac29p-2, -0x1.306495dc69b42p-2, -0x1.3abe8bf9cad3fp-2, -0x1.44fef4f2aa682p-2, -0x1.4f2411db22d48p-2, -0x1.592c2cf7cc31p-2, -0x1.63159ad328618p-2, -0x1.6cdebb326a746p-2, -0x1.7685f9ebf9f5cp-2, -0x1.8009cfa1eca76p-2, -0x1.8968c262a7cc1p-2, -0x1.92a16631a9669p-2, -0x1.9bb25d7a6fae1p-2, -0x1.a49a596f41142p-2, -0x1.ad581a55909ecp-2, -0x1.b5ea6fc186e66p-2, -0x1.be5038c22d766p-2, -0x1.c68863ff9088cp-2, -0x1.ce91efcc1bb0fp-2, -0x1.d66bea2a53b9cp-2, -0x1.de1570c8041ddp-2, -0x1.e58db0efd42ffp-2, -0x1.ecd3e7722adacp-2, -0x1.f3e760863645p-2, -0x1.fac777a3d5c9dp-2, -0x1.00b9cbab8c6aap-1, -0x1.03f59c86f9253p-1, -0x1.0716f2705e82dp-1, -0x1.0a1d98ab06f9p-1, -0x1.0d0961912f55cp-1, -0x1.0fda2671fd1e9p-1, -0x1.128fc76dccbep-1, -0x1.152a2b5108521p-1, -0x1.17a93f6db4d8p-1, -0x1.1a0cf773dc32p-1, -0x1.1c554d490000dp-1, -0x1.1e8240deb1075p-1, -0x1.2093d80874a75p-1, -0x1.228a1e510f567p-1, -0x1.246524cf54cedp-1, -0x1.262501fa97eecp-1, -0x1.27c9d17ed15ep-1, -0x1.2953b41093674p-1, -0x1.2ac2cf40e3a61p-1, -0x1.2c174d5109b63p-1, -0x1.2d515d0669c2fp-1, -0x1.2e71317e79b25p-1, -0x1.2f770202e0c0cp-1, -0x1.306309ddd2448p-1, -0x1.3135882eb21bbp-1, -0x1.31eebfbf0c01bp-1, -0x1.328ef6d7ee49dp-1, -0x1.33167717b1ac1p-1, -0x1.33858d4837d1ep-1, -0x1.33dc8935ac108p-1, -0x1.341bbd85cc7b2p-1, -0x1.34437f8fc87d4p-1, -0x1.34542734b6f85p-1, -0x1.344e0eb8ae72cp-1, -0x1.3431929c85f14p-1, -0x1.33ff117841ff4p-1, -0x1.33b6ebd634efap-1, -0x1.3359840ed569cp-1, -0x1.32e73e25539efp-1, -0x1.32607fa4eabb8p-1, -0x1.31c5af7ef6b86p-1, -0x1.311735e9cf6c2p-1, -0x1.30557c406c623p-1, -0x1.2f80ece2d1772p-1, -0x1.2e99f3174867cp-1, -0x1.2da0faec678bbp-1, -0x1.2c96711be511fp-1, -0x1.2b7ac2ee3aedcp-1, -0x1.2a4e5e1f18cfdp-1, -0x1.2911b0c2a50cdp-1, -0x1.27c5292b8caa4p-1, -0x1.266935d1e1af8p-1, -0x1.24fe453ac74bap-1, -0x1.2384c5e0ea0c3p-1, -0x1.21fd261dc4266p-1, -0x1.2067d413aabdap-1, -0x1.1ec53d98a5414p-1, -0x1.1d15d0220961ap-1, -0x1.1b59f8b0dd602p-1, -0x1.199223befc527p-1, -0x1.17bebd2cfa279p-1, -0x1.15e03030c6fd5p-1, -0x1.13f6e7450d60dp-1, -0x1.12034c1947bc7p-1, -0x1.1005c7828eedfp-1, -0x1.0dfec16d1a1b2p-1, -0x1.0beea0ce6f1a9p-1, -0x1.09d5cb984095fp-1, -0x1.07b4a6abf6d0cp-1, -0x1.058b95cedeaebp-1, -0x1.035afb9efe4fbp-1, -0x1.0123398888007p-1, -0x1.fdc95f77da839p-2, -0x1.f93f7a49162b6p-2, -0x1.f4a97ebfd7a95p-2, -0x1.f008256b3ca77p-2, -0x1.eb5c241f37832p-2, -0x1.e6a62de678066p-2, -0x1.e1e6f2f560683p-2, -0x1.dd1f209e0c4d2p-2, -0x1.d84f6145582fbp-2, -0x1.d3785c58ea118p-2, -0x1.ce9ab6462ba13p-2, -0x1.c9b710723d4dp-2, -0x1.c4ce0932c851ep-2, -0x1.bfe03bc7bcf65p-2, -0x1.baee4055e613fp-2, -0x1.b5f8abe254928p-2, -0x1.b100104e9927ap-2, -0x1.ac04fc55c5521p-2, -0x1.a707fb8a2f9a8p-2, -0x1.a2099653efab5p-2, -0x1.9d0a51f0115d9p-2, -0x1.980ab07077417p-2, -0x1.930b30bc5f70bp-2, -0x1.8e0c4e919224p-2, -0x1.890e828625d23p-2, -0x1.8412420adb099p-2, -0x1.7f17ff6e09ddfp-2, -0x1.7a2029df165a9p-2, -0x1.752b2d726b18ep-2, -0x1.70397325f361cp-2, -0x1.6b4b60e60abcep-2, -0x1.66615992e571cp-2, -0x1.617bbd0662263p-2, -0x1.5c9ae81a488eap-2, -0x1.57bf34aeeb13fp-2, -0x1.52e8f9b22545p-2, -0x1.4e188b26b6a45p-2, -0x1.494e3a2bf2c89p-2, -0x1.448a5505c0a6ep-2, -0x1.3fcd2724e5f32p-2, -0x1.3b16f92f9bf33p-2, -0x1.3668110a6255p-2, -0x1.31c0b1e117115p-2, -0x1.2d211c3043f6dp-2, -0x1.28898dcea5d1bp-2, -0x1.23fa41f6e1c23p-2, -0x1.1f7371516ee89p-2, -0x1.1af551fea5739p-2, -0x1.168017a0f8c89p-2, -0x1.1213f36752378p-2, -0x1.0db114178dfcep-2, -0x1.0957a61914d9dp-2, -0x1.0507d37f8cfbap-2, -0x1.00c1c415a2a33p-2, -0x1.f90b3acfcd94p-3, -0x1.f0a7059f6fc88p-3, -0x1.e8572afc7dbd6p-3, -0x1.e01be90ee2c67p-3, -0x1.d7f579da41bd3p-3, -0x1.cfe41354114a4p-3, -0x1.c7e7e779cfee2p-3, -0x1.c001246727543p-3, -0x1.b82ff46c178f6p-3, -0x1.b0747e2316079p-3, -0x1.a8cee4872399fp-3, -0x1.a13f4709ccbcdp-3, -0x1.99c5c1a91b8fcp-3, -0x1.92626d056f893p-3, -0x1.8b155e77373b1p-3, -0x1.83dea8249095dp-3, -0x1.7cbe5916c439bp-3, -0x1.75b47d4f98516p-3, -0x1.6ec11dde811f5p-3, -0x1.67e440f5a20aep-3, -0x1.611de9fea4749p-3, -0x1.5a6e19af59c47p-3, -0x1.53d4ce1e2fbap-3, -0x1.4d5202d669cdbp-3, -0x1.46e5b0ec2bf4p-3, -0x1.408fcf1042864p-3, -0x1.3a5051a3b5654p-3, -0x1.34272acb1e69fp-3, -0x1.2e144a81bdde2p-3, -0x1.28179eac4f9fap-3, -0x1.2231132ba473fp-3, -0x1.1c6091eeedf34p-3, -0x1.16a60305d3099p-3, -0x1.11014cb232aa6p-3, -0x1.0b725379ab946p-3, -0x1.05f8fa36d870cp-3, -0x1.0095222a3f6afp-3, -0x1.f68d561604e82p-4, -0x1.ec1ae62e7ef51p-4, -0x1.e1d2ae484f401p-4, -0x1.d7b4655ba568ep-4, -0x1.cdbfbfcd7abcap-4, -0x1.c3f46f8e08d3dp-4, -0x1.ba522436a39ddp-4, -0x1.b0d88b26ffa64p-4, -0x1.a7874fa1dd8aep-4, -0x1.9e5e1ae91fe8ap-4, -0x1.955c94594bc08p-4, -0x1.8c82618470286p-4, -0x1.83cf264c76deep-4, -0x1.7b4284fce1184p-4, -0x1.72dc1e63ec1fap-4, -0x1.6a9b91eb22048p-4, -0x1.62807daf55746p-4, -0x1.5a8a7e9809cd8p-4, -0x1.52b9306e48a73p-4, -0x1.4b0c2df2e528dp-4, -0x1.438310f42e6bap-4, -0x1.3c1d7263132f9p-4, -0x1.34daea67b5229p-4, -0x1.2dbb1075712c7p-4, -0x1.26bd7b5e59697p-4, -0x1.1fe1c16626cd5p-4, -0x1.192778549fcc4p-4, -0x1.128e358778f68p-4, -0x1.0c158e03ad3c8p-4, -0x1.05bd168655137p-4, -0x1.ff08c729edaf6p-5, -0x1.f2d6131ab326dp-5, -0x1.e6e13969aad42p-5, -0x1.db29628e4f45dp-5, -0x1.cfadb709971d5p-5, -0x1.c46d5f81ae19p-5, -0x1.b96784dcc1aep-5, -0x1.ae9b505ade61p-5, -0x1.a407ebaee541ep-5, -0x1.99ac81169af16p-5, -0x1.8f883b71d5d4p-5, -0x1.859a4658cfa88p-5, -0x1.7be1ce319a845p-5, -0x1.725e0044c3681p-5, -0x1.690e0ad121057p-5, -0x1.5ff11d1ed3fc5p-5, -0x1.570667917ff33p-5, -0x1.4e4d1bb9bb14dp-5, -0x1.45c46c65be261p-5, -0x1.3d6b8db15480dp-5, -0x1.3541b51515196p-5, -0x1.2d461974e109cp-5, -0x1.2577f32db399p-5, -0x1.1dd67c22c094ap-5, -0x1.1660efc9ebe37p-5, -0x1.0f168b379728p-5, -0x1.07f68d29d0002p-5, -0x1.01003612daa91p-5, -0x1.f46590464f9efp-6, -0x1.e71b0ea55b998p-6, -0x1.da1f72d361decp-6, -0x1.cd714c11f7b68p-6, -0x1.c10f2d631877fp-6, -0x1.b4f7ad9768f83p-6, -0x1.a929675b7a217p-6, -0x1.9da2f94400226p-6, -0x1.926305d9178cep-6, -0x1.876833a08b03ep-6, -0x1.7cb12d2737072p-6, -0x1.723ca1097fe6bp-6, -0x1.680941faeac0ap-6, -0x1.5e15c6ccdc5a9p-6, -0x1.5460ea748647fp-6, -0x1.4ae96c1008b2ep-6, -0x1.41ae0eeaca2fcp-6, -0x1.38ad9a81189b2p-6, -0x1.2fe6da8308747p-6, -0x1.27589ed6a5005p-6, -0x1.1f01bb99735p-6, -0x1.16e109214dce1p-6, -0x1.0ef563fca00fp-6, -0x1.073dacf20013dp-6, -0x1.ff7191fe79d98p-7, -0x1.f0cb42afa518dp-7, -0x1.e28646c5afce2p-7, -0x1.d4a08170c91d2p-7, -0x1.c717de3ceddf6p-7, -0x1.b9ea510ac03d9p-7, -0x1.ad15d60768fe6p-7, -0x1.a09871a3a0185p-7, -0x1.94703089d145ep-7, -0x1.889b27937cf8fp-7, -0x1.7d1773bdbdc17p-7, -0x1.71e33a1d263ap-7, -0x1.66fca7d0d2e28p-7, -0x1.5c61f1f4e3fbbp-7, -0x1.521155943c349p-7, -0x1.48091799bb0c5p-7, -0x1.3e4784c0c628bp-7, -0x1.34caf18560888p-7, -0x1.2b91ba13a94bp-7, -0x1.229a4236e5175p-7, -0x1.19e2f5480ceeep-7, -0x1.116a461beea95p-7, -0x1.092eaef0e39a5p-7, -0x1.012eb15c23dbap-7, -0x1.f2d1ac6d7cc8p-8, -0x1.e3b75b1475b1fp-8, -0x1.d50b9cf9d64f3p-8, -0x1.c6cbae7be7056p-8, -0x1.b8f4d9e21ccdap-8, -0x1.ab84773423fb1p-8, -0x1.9e77ec107679dp-8, -0x1.91ccab828ef94p-8, -0x1.858035d8b871fp-8, -0x1.799018798fb41p-8, -0x1.6df9edb936252p-8, -0x1.62bb5cae46916p-8, -0x1.57d2190690014p-8, -0x1.4d3be2dba2656p-8, -0x1.42f6868733da7p-8, -0x1.38ffdc776666bp-8, -0x1.2f55c902f80b3p-8, -0x1.25f63c3d6160ep-8, -0x1.1cdf31caec9dp-8, -0x1.140eb0b4cc4c8p-8, -0x1.0b82cb3d34e0dp-8, -0x1.03399eb3844efp-8, -0x1.f662a690f525p-9, -0x1.e6d037c5143a3p-9, -0x1.d7b86be48d58dp-9, -0x1.c917d28debcdfp-9, -0x1.baeb0fc694f34p-9, -0x1.ad2edba4948bcp-9, -0x1.9fe001f8d3861p-9, -0x1.92fb61f9b6542p-9, -0x1.867dedee37ac6p-9, -0x1.7a64aad97ce33p-9, -0x1.6eacb026f8227p-9, -0x1.6353275712dbfp-9, -0x1.58554bac703b7p-9, -0x1.4db069d9d129dp-9, -0x1.4361dfb0928f5p-9, -0x1.39671bcfde0adp-9, -0x1.2fbd9d54841bbp-9, -0x1.2662f3898e60ep-9, -0x1.1d54bd9989ee3p-9, -0x1.1490aa409228cp-9, -0x1.0c14777f1d4b1p-9, -0x1.03ddf24d93027p-9, -0x1.f7d5eca1580b1p-10, -0x1.e872db1d462bep-10, -0x1.d98ea04a6ff8ap-10, -0x1.cb2548010fc14p-10, -0x1.bd32f925813dcp-10, -0x1.afb3f5195ad0dp-10, -0x1.a2a4972e45c63p-10, -0x1.9601541a934b7p-10, -0x1.89c6b96f9a868p-10, -0x1.7df16d11d7e8bp-10, -0x1.727e2cb2e0e08p-10, -0x1.6769cd4d1b08ap-10, -0x1.5cb13aa148d6ep-10, -0x1.525176b5e5096p-10, -0x1.4847995858155p-10, -0x1.3e90cf9ff4726p-10, -0x1.352a5b72d949fp-10, -0x1.2c11930c9d234p-10, -0x1.2343e086d3b12p-10, -0x1.1abec1636c807p-10, -0x1.127fc618e064fp-10, -0x1.0a8491a03e88cp-10, -0x1.02cad904fec4cp-10, -0x1.f6a0c5ed6770bp-11, -0x1.e8260eb9119f2p-11, -0x1.da215dd520fbcp-11, -0x1.cc8ea571c069ep-11, -0x1.bf69f7b8f2d26p-11, -0x1.b2af8603f5d52p-11, -0x1.a65ba014338e2p-11, -0x1.9a6ab34fbd93cp-11, -0x1.8ed94a0149c03p-11, -0x1.83a40a9bad64fp-11, -0x1.78c7b700cdad2p-11, -0x1.6e412bcc0193cp-11, -0x1.640d5f9fdb86dp-11, -0x1.5a29627755fadp-11, -0x1.50925cfa58ce4p-11, -0x1.47458fd5936eap-11, -0x1.3e4053159f96p-11, -0x1.3580158568942p-11, -0x1.2d025c0fcaf9ap-11, -0x1.24c4c1246691p-11, -0x1.1cc4f41f9ac3ep-11, -0x1.1500b8b59fe9dp-11, -0x1.0d75e660bb402p-11, -0x1.062267d27dc72p-11, -0x1.fe0874d014638p-12, -0x1.f032db42a8c73p-12, -0x1.e2c04536a6205p-12, -0x1.d5ad171a347e2p-12, -0x1.c8f5d68fa7598p-12, -0x1.bc97297318f2ep-12, -0x1.b08dd4e599c72p-12, -0x1.a4d6bc5de3725p-12, -0x1.996ee0be79d51p-12, -0x1.8e535f7128063p-12, -0x1.83817187c04aap-12, -0x1.78f66ae21278bp-12, -0x1.6eafb958fd4c7p-12, -0x1.64aae3ee8d2b7p-12, -0x1.5ae58a0310061p-12, -0x1.515d628f099e1p-12, -0x1.48103b61fa3d8p-12, -0x1.3efbf865db7d8p-12, -0x1.361e92e7460e5p-12, -0x1.2d7618e2282e8p-12, -0x1.2500ac52fd0dap-12, -0x1.1cbc828c6be33p-12, -0x1.14a7e39140c23p-12, -0x1.0cc12972a6d92p-12, -0x1.0506bfb295b41p-12, -0x1.faee4554b25e3p-13, -0x1.ec21bdea4513p-13, -0x1.dda521bd22108p-13, -0x1.cf75c7aa3d95bp-13, -0x1.c19123c0b8691p-13, -0x1.b3f4c635d5337p-13, -0x1.a69e5a60468e9p-13, -0x1.998ba5baa9a56p-13, -0x1.8cba86ed1513fp-13, -0x1.8028f4dd8d306p-13, -0x1.73d4fdc740ea7p-13, -0x1.67bcc65865d2dp-13, -0x1.5bde88d69af81p-13, -0x1.503894499e5bep-13, -0x1.44c94bac48641p-13, -0x1.398f25239908fp-13, -0x1.2e88a93bc03e1p-13, -0x1.23b4722af9f16p-13, -0x1.19112b1a25515p-13, -0x1.0e9d8f72e968p-13, -0x1.04586a335d248p-13, -0x1.f4812a8de956ep-14, -0x1.e0a9f1c96f123p-14, -0x1.cd2915e508a49p-14, -0x1.b9fc9cdaa8643p-14, -0x1.a722a5acb4b84p-14, -0x1.94996749cf94cp-14, -0x1.825f2f79d3de4p-14, -0x1.707261d3f3734p-14, -0x1.5ed176bd9f62ep-14, -0x1.4d7afa7213c4dp-14, -0x1.3c6d8c124b62fp-14, -0x1.2ba7dcbd27af3p-14, -0x1.1b28aeaf9757ap-14, -0x1.0aeed46c89bf3p-14, -0x1.f5f25fd8f3b74p-15, -0x1.d68d63a8c4586p-15, -0x1.b7acb167cb14fp-15, -0x1.994e6094fd156p-15, -0x1.7b70a1a70c12cp-15, -0x1.5e11bcb1c4226p-15, -0x1.413010185f08dp-15, -0x1.24ca0f4c7302bp-15, -0x1.08de4199296d3p-15, -0x1.dad681f4bc606p-16, -0x1.a4df71febcd4ap-16, -0x1.6fd4cb71d5b77p-16, -0x1.3bb4256461334p-16, -0x1.087b33e8ceaadp-16, -0x1.ac4f8c53263d3p-17, -0x1.496f893250599p-17, -0x1.d0a4bcd64a47fp-18, -0x1.11e86f7b4ce26p-18, -0x1.5a8b4bfb6e7a6p-20, 0x1.84cc9378a77acp-20, 0x1.15a03f159661fp-18, 0x1.c6ab02e9514acp-18, 0x1.3a2cde97e4c8bp-17, 0x1.8f5942b0bbc8ap-17, 0x1.e2dda134b7779p-17, 0x1.1a5e6bcebaefep-16, 0x1.427cd7cb6e342p-16, 0x1.69cb7088d453p-16, 0x1.904b8a1d9df66p-16, 0x1.b5fe71adc96eep-16, 0x1.dae56e4d195c8p-16, 0x1.ff01c1d576a08p-16, 0x1.112a54d8d366fp-15, 0x1.226fafce5e588p-15, 0x1.33518d2b5106fp-15, 0x1.43d08727129bep-15, 0x1.53ed372070daep-15, 0x1.63a835e8b29c2p-15, 0x1.73021c09f298ap-15, 0x1.81fb8208f43e2p-15, 0x1.909500a2946aep-15, 0x1.9ecf31050bbe6p-15, 0x1.acaaad051faeap-15, 0x1.ba280f4f70809p-15, 0x1.c747f39609f67p-15, 0x1.d40af6ba5b75ep-15, 0x1.e071b6f3baf37p-15, 0x1.ec7cd3f29930dp-15, 0x1.f82cef0085edbp-15, 0x1.01c1558e95d68p-14, 0x1.073f568c2e51ap-14, 0x1.0c90cdd4aa0e3p-14, 0x1.11b60fc1a6ed8p-14, 0x1.16af71b3c5129p-14, 0x1.1b7d4a1a72e06p-14, 0x1.201ff07a8b0d5p-14, 0x1.2497bd73d8108p-14, 0x1.28e50ac586a44p-14, 0x1.2d08335195c74p-14, 0x1.3101931f504d7p-14, 0x1.34d1875cdbb69p-14, 0x1.38786e5fea57ep-14, 0x1.3bf6a7a59783p-14, 0x1.3f4c93d17ec6cp-14, 0x1.427a94ac12cb8p-14, 0x1.45810d204400ep-14, 0x1.486061387bccbp-14, 0x1.4b18f61af9bd1p-14, 0x1.4dab32059a7cfp-14, 0x1.50177c4911032p-14, 0x1.525e3d439cc9fp-14, 0x1.547fde5b42777p-14, 0x1.567cc9f7927e1p-14, 0x1.58556b7b02c03p-14, 0x1.5a0a2f3be466fp-14, 0x1.5b9b827cfc68bp-14, 0x1.5d09d365c5f3ap-14, 0x1.5e5590fa66a99p-14, 0x1.5f7f2b1358d1bp-14, 0x1.60871254d4b04p-14, 0x1.616db825fb5bep-14, 0x1.62338ea7cdb0ep-14, 0x1.62d908abf049fp-14, 0x1.635e99ab4522dp-14, 0x1.63c4b5bc5df62p-14, 0x1.640bd189cd753p-14, 0x1.643462485c09ap-14, 0x1.643eddad2416ep-14, 0x1.642bb9e39a994p-14, 0x1.63fb6d83878e7p-14, 0x1.63ae6f86f2d6p-14, 0x1.634537400a3a5p-14, 0x1.62c03c4f012aap-14, 0x1.621ff697f18a6p-14, 0x1.6164de38bd94bp-14, 0x1.608f6b7ef83ccp-14, 0x1.5fa016ddd5a8ap-14, 0x1.5e9758e427628p-14, 0x1.5d75aa3266c47p-14, 0x1.5c3b8370cf10fp-14, 0x1.5ae95d458c9e8p-14, 0x1.597fb04aff788p-14, 0x1.57fef50616ad8p-14, 0x1.5667a3dcc47ap-14, 0x1.54ba350c8f17cp-14, 0x1.52f720a13da72p-14, 0x1.511ede6ba5298p-14, 0x1.4f31e5f895303p-14, 0x1.4d30ae87e7abcp-14, 0x1.4b1baf03b29a1p-14, 0x1.48f35df7a1553p-14, 0x1.46b831886fef2p-14, 0x1.446a9f6b91f74p-14, 0x1.420b1cdefd473p-14, 0x1.3f9a1ea1214edp-14, 0x1.3d1818e905491p-14, 0x1.3a857f5e93a88p-14, 0x1.37e2c5130f209p-14, 0x1.35305c79b48a3p-14, 0x1.326eb76088bcap-14, 0x1.2f9e46e9536fdp-14, 0x1.2cbf7b82c8f4cp-14, 0x1.29d2c4e1df589p-14, 0x1.26d891fb53ce2p-14, 0x1.23d150fd5d21dp-14, 0x1.20bd6f498d02ep-14, 0x1.1d9d596ee0adep-14, 0x1.1a717b23fefccp-14, 0x1.173a3f41a747fp-14, 0x1.13f80fbd4c99p-14, 0x1.10ab55a3e1dc9p-14, 0x1.0d547914d31d7p-14, 0x1.09f3e13d2eab4p-14, 0x1.0689f452fb77ep-14, 0x1.03171790be79cp-14, 0x1.ff375e625976p-15, 0x1.f8303cd61a4b5p-15, 0x1.f1198eda8a5eep-15, 0x1.e9f416b62a296p-15, 0x1.e2c09490fbbc8p-15, 0x1.db7fc66dac7b7p-15, 0x1.d4326823154b9p-15, 0x1.ccd933560d46fp-15, 0x1.c574df7399625p-15, 0x1.be0621ab6bb3ap-15, 0x1.b68daceab877cp-15, 0x1.af0c31d75e523p-15, 0x1.a7825ecb6055dp-15, }}, 
      {{0x1.6018fe1d55959p-1, 0x1.601bccb29ced3p-1, 0x1.6020b6900c5b4p-1, 0x1.6027fed82f3f2p-1, 0x1.6031ea2569084p-1, 0x1.603eb5ca72d2ap-1, 0x1.604e91ff80e21p-1, 0x1.60619e3f1e45bp-1, 0x1.6077e742aaa41p-1, 0x1.609166309766fp-1, 0x1.60ae00a8b59d2p-1, 0x1.60cd896ed1701p-1, 0x1.60efc18325d49p-1, 0x1.61145983dabfap-1, 0x1.613af33bb8275p-1, 0x1.616323491f03fp-1, 0x1.618c72cd9f0f3p-1, 0x1.61b6611a9aaf5p-1, 0x1.61e0655293f4ap-1, 0x1.6209eff92ac71p-1, 0x1.62326c6db6a0cp-1, 0x1.6259424ddb60bp-1, 0x1.627dd6be95bc3p-1, 0x1.629f8d9b0f648p-1, 0x1.62bdca89383bfp-1, 0x1.62d7f1f493704p-1, 0x1.62ed69f005dcbp-1, 0x1.62fd9affaf591p-1, 0x1.6307f0cc05adep-1, 0x1.630bdabf8130ep-1, 0x1.6308cc903aa99p-1, 0x1.62fe3eb6de12p-1, 0x1.62ebaed455214p-1, 0x1.62d0a00783867p-1, 0x1.62ac9b34626cap-1, 0x1.627f2f3dc04adp-1, 0x1.6247f132ce178p-1, 0x1.62067c719ec7dp-1, 0x1.61ba72bfa3d8cp-1, 0x1.61637c592078dp-1, 0x1.610147f87f473p-1, 0x1.60938ad65f14cp-1, 0x1.601a00a3204dcp-1, 0x1.5f946b7aa9913p-1, 0x1.5f0293d308d37p-1, 0x1.5e6448668fd11p-1, 0x1.5db95e19f4291p-1, 0x1.5d01afdef38a6p-1, 0x1.5c3d1e93f4e7ap-1, 0x1.5b6b90e10b9f3p-1, 0x1.5a8cf312bee52p-1, 0x1.59a136f2f0071p-1, 0x1.58a853a028c54p-1, 0x1.57a24563a0093p-1, 0x1.568f0d862ecf9p-1, 0x1.556eb22477e76p-1, 0x1.54413e026fd21p-1, 0x1.5306c05e78ab3p-1, 0x1.51bf4cc43d695p-1, 0x1.506afadf6efe4p-1, 0x1.4f09e64e8b246p-1, 0x1.4d9c2e75c8562p-1, 0x1.4c21f65243856p-1, 0x1.4a9b644d8915p-1, 0x1.4908a2118f4b6p-1, 0x1.4769dc5d34b51p-1, 0x1.45bf42d9567c3p-1, 0x1.440907ee8940cp-1, 0x1.4247609b8a012p-1, 0x1.407a844c6a246p-1, 0x1.3ea2acb2875efp-1, 0x1.3cc0159d56415p-1, 0x1.3ad2fcd407244p-1, 0x1.38dba1f00c423p-1, 0x1.36da463886471p-1, 0x1.34cf2c7e9c9adp-1, 0x1.32ba98fac445ap-1, 0x1.309cd12af927ap-1, 0x1.2e761bb1eaa09p-1, 0x1.2c46c0371e80ep-1, 0x1.2a0f0748099cep-1, 0x1.27cf3a3a1ee22p-1, 0x1.2587a30dd6eabp-1, 0x1.23388c52aa8ep-1, 0x1.20e2410c03f47p-1, 0x1.1e850c9723c27p-1, 0x1.1c213a91f4a36p-1, 0x1.19b716c2d1d2ap-1, 0x1.1746ed0138b73p-1, 0x1.14d1091f63d19p-1, 0x1.1255b6d4cfa24p-1, 0x1.0fd541a9a04e9p-1, 0x1.0d4ff4e2ebf7ep-1, 0x1.0ac61b6fde566p-1, 0x1.0837ffd7b9546p-1, 0x1.05a5ec28a96ddp-1, 0x1.031029e76cf22p-1, 0x1.007701ffc8aa3p-1, 0x1.fbb5796b8cba3p-2, 0x1.f677432f727bdp-2, 0x1.f133eee206d9cp-2, 0x1.ebec087b30bbbp-2, 0x1.e6a01a3c6f7ccp-2, 0x1.e150ac9aba3c1p-2, 0x1.dbfe4629bdb42p-2, 0x1.d6a96b88703cbp-2, 0x1.d1529f4ef5d02p-2, 0x1.cbfa61fdc6705p-2, 0x1.c6a131ee11a5cp-2, 0x1.c1478b43556a9p-2, 0x1.bbede7de1ca2p-2, 0x1.b694bf4fe35a9p-2, 0x1.b13c86d00fb26p-2, 0x1.abe5b131faf9bp-2, 0x1.a690aedc0478ep-2, 0x1.a13dedbfa11a8p-2, 0x1.9bedd952600d4p-2, 0x1.96a0da87df17ep-2, 0x1.915757cca39fep-2, 0x1.8c11b501d23acp-2, 0x1.86d05379b6b65p-2, 0x1.819391f521705p-2, 0x1.7c5bcca1815a1p-2, 0x1.77295d17c223ap-2, 0x1.71fc9a5bdcf6ep-2, 0x1.6cd5d8dd19ff2p-2, 0x1.67b56a76f74eep-2, 0x1.629b9e72afdc6p-2, 0x1.5d88c1895f106p-2, 0x1.587d1de6b111p-2, 0x1.5378fb2c234fp-2, 0x1.4e7c9e74c65ffp-2, 0x1.49884a597f638p-2, 0x1.449c3ef5c2cbep-2, 0x1.3fb8b9ecbedbcp-2, 0x1.3addf66ef0934p-2, 0x1.360c2d4023ecep-2, 0x1.314394bdcd61ep-2, 0x1.2c8460e5c34f9p-2, 0x1.27cec35d47d8bp-2, 0x1.2322eb786737ap-2, 0x1.1e8106419bfedp-2, 0x1.19e93e81bbea7p-2, 0x1.155bbcc824776p-2, 0x1.10d8a77321889p-2, 0x1.0c6022b88fdbfp-2, 0x1.07f250aeacccep-2, 0x1.038f515518393p-2, 0x1.fe6e853bff7c1p-3, 0x1.f5d480eedeadep-3, 0x1.ed50c9a98f9eap-3, 0x1.e4e38f709ac96p-3, 0x1.dc8cfe79afabp-3, 0x1.d44d3f3f2e382p-3, 0x1.cc247693d624ap-3, 0x1.c412c5b69a3c8p-3, 0x1.bc184a669285ap-3, 0x1.b4351ef6f9d0cp-3, 0x1.ac695a6347709p-3, 0x1.a4b51063464ccp-3, 0x1.9d18517f3a08bp-3, 0x1.95932b23fe00dp-3, 0x1.8e25a7b71fe36p-3, 0x1.86cfceaaf33e8p-3, 0x1.7f91a4928d4f4p-3, 0x1.786b2b35bc6a7p-3, 0x1.715c61a4d7d04p-3, 0x1.6a65444c832fep-3, 0x1.6385cd0947108p-3, 0x1.5cbdf33b109ap-3, 0x1.560dabd88805dp-3, 0x1.4f74e9823a338p-3, 0x1.48f39c95a1b23p-3, 0x1.4289b33ff5bb7p-3, 0x1.3c371990cc52ap-3, 0x1.35fbb98c8ce3ep-3, 0x1.2fd77b3ea9b72p-3, 0x1.29ca44cb9d921p-3, 0x1.23d3fa82b6566p-3, 0x1.1df47eef9f698p-3, 0x1.182bb2ebb12d4p-3, 0x1.127975aefcbdcp-3, 0x1.0cdda4e11cc07p-3, 0x1.07581ca9be11ep-3, 0x1.01e8b7c0eca3cp-3, 0x1.f91e9efe24234p-4, 0x1.ee9777d976121p-4, 0x1.e43ba7a412432p-4, 0x1.da0ad98bcc822p-4, 0x1.d004b679dfbe3p-4, 0x1.c628e5302f084p-4, 0x1.bc770a65ed842p-4, 0x1.b2eec8e3c5ed6p-4, 0x1.a98fc19f63c77p-4, 0x1.a05993d66380ep-4, 0x1.974bdd28b9314p-4, 0x1.8e6639b27efdep-4, 0x1.85a844252ed74p-4, 0x1.7d1195e047e8fp-4, 0x1.74a1c70960caap-4, 0x1.6c586ea3a6449p-4, 0x1.643522a6c75c9p-4, 0x1.5c3778154dc93p-4, 0x1.545f031266ab3p-4, 0x1.4cab56f719154p-4, 0x1.451c0666ec801p-4, 0x1.3db0a3640281p-4, 0x1.3668bf62a06c9p-4, 0x1.2f43eb5c2da45p-4, 0x1.2841b7e1a6905p-4, 0x1.2161b52d86063p-4, 0x1.1aa37335254b7p-4, 0x1.140681b996912p-4, 0x1.0d8a7057f8ae6p-4, 0x1.072ece99479d4p-4, 0x1.00f32c01abd83p-4, 0x1.f5ae303e8da81p-5, 0x1.e9b4453107f59p-5, 0x1.ddf7b673d3291p-5, 0x1.d277a406e3c51p-5, 0x1.c7332e6ad00ep-5, 0x1.bc2976b99fdfep-5, 0x1.b1599ebeaf056p-5, 0x1.a6c2c90daadc5p-5, 0x1.9c641918aba0ep-5, 0x1.923cb3456fb61p-5, 0x1.884bbd01bc6fp-5, 0x1.7e905cd6e676p-5, 0x1.7509ba7c898f3p-5, 0x1.6bb6feea711e9p-5, 0x1.62975469b5505p-5, 0x1.59a9e6a513931p-5, 0x1.50ede2b8820ap-5, 0x1.4862774009926p-5, 0x1.4006d465e0bcdp-5, 0x1.37da2befd3af3p-5, 0x1.2fdbb14bf9febp-5, 0x1.280a999cbeb9cp-5, 0x1.20661bc43d73ap-5, 0x1.18ed706efd1c1p-5, 0x1.119fd21e046bap-5, 0x1.0a7c7d3056506p-5, 0x1.0382afebcf526p-5, 0x1.f963550ae4045p-6, 0x1.ec115e523d267p-6, 0x1.df0e04017cdafp-6, 0x1.d257d275c8d4ap-6, 0x1.c5ed5a21cebccp-6, 0x1.b9cd2f98f6518p-6, 0x1.adf5eb9994c85p-6, 0x1.a2662b1627153p-6, 0x1.971c8f3da2925p-6, 0x1.8c17bd82d9eb5p-6, 0x1.81565fa305137p-6, 0x1.76d723ab6b923p-6, 0x1.6c98bbfe3f39dp-6, 0x1.6299df56a8af2p-6, 0x1.58d948cc1051cp-6, 0x1.4f55b7d4a9255p-6, 0x1.460df0473fd81p-6, 0x1.3d00ba5c5b45fp-6, 0x1.342ce2aeae782p-6, 0x1.2b913a3ae97efp-6, 0x1.232c965ee5a2fp-6, 0x1.1afdd0d83afe9p-6, 0x1.1303c7c240e98p-6, 0x1.0b3d5d93803eep-6, 0x1.03a9791a9ff03p-6, 0x1.f88e0af592285p-7, 0x1.ea29e44f23da5p-7, 0x1.dc2465c0dcfcp-7, 0x1.ce7b7f57589eep-7, 0x1.c12d29a2067edp-7, 0x1.b43765a7727bfp-7, 0x1.a7983cd8c874fp-7, 0x1.9b4dc1049318ap-7, 0x1.8f560c48c7fb1p-7, 0x1.83af410423beap-7, 0x1.785789c6dd5acp-7, 0x1.6d4d1942c86cep-7, 0x1.628e2a3ad2df4p-7, 0x1.5818ff7201166p-7, 0x1.4debe399e469ap-7, 0x1.4405294091f71p-7, 0x1.3a632abe23aa6p-7, 0x1.31044a21cede3p-7, 0x1.27e6f11e90bbfp-7, 0x1.1f0990f77a7b7p-7, 0x1.166aa26ba5f57p-7, 0x1.0e08a5a1d557dp-7, 0x1.05e22213c6b71p-7, 0x1.fbeb4cf281a93p-8, 0x1.ec839165bdc02p-8, 0x1.dd8a4b694359dp-8, 0x1.cefcc2e09570dp-8, 0x1.c0d84d7f0eac3p-8, 0x1.b31a4e9be14efp-8, 0x1.a5c03705cc8fep-8, 0x1.98c784d68eabcp-8, 0x1.8c2dc3461dd3ap-8, 0x1.7ff08a7db3ca6p-8, 0x1.740d7f6aaf91p-8, 0x1.688253915aa5cp-8, 0x1.5d4cc4df984e1p-8, 0x1.526a9d7f84d6p-8, 0x1.47d9b3aa0fbdfp-8, 0x1.3d97e9799510bp-8, 0x1.33a32cbc7e9a9p-8, 0x1.29f976c7f40c3p-8, 0x1.2098cc4a9ed0ep-8, 0x1.177f3d1f885aap-8, 0x1.0eaae4211b553p-8, 0x1.0619e6fc49288p-8, 0x1.fb94ec07b6387p-9, 0x1.eb759807f03bdp-9, 0x1.dbd25c2bb6724p-9, 0x1.cca7d6e79509ep-9, 0x1.bdf2ba9a90aa2p-9, 0x1.afafcd371863bp-9, 0x1.a1dbe7ec818cfp-9, 0x1.9473f6d11ddd3p-9, 0x1.8774f88cefb95p-9, 0x1.7adbfe0501c0cp-9, 0x1.6ea62a076fafap-9, 0x1.62d0b0f81b83ap-9, 0x1.5758d87e2057bp-9, 0x1.4c3bf731ff064p-9, 0x1.4177744c92139p-9, 0x1.3708c756c5805p-9, 0x1.2ced77da1dc73p-9, 0x1.23231d120d73bp-9, 0x1.19a75d9e22562p-9, 0x1.1077ef3509c2bp-9, 0x1.079296586c6d6p-9, 0x1.fdea4c1362298p-10, 0x1.ed3afeff35731p-10, 0x1.dd1323b9990b2p-10, 0x1.cd6eb3ce66c32p-10, 0x1.be49c380b6d5ep-10, 0x1.afa0813d5ab31p-10, 0x1.a16f350f29e93p-10, 0x1.93b2401537b41p-10, 0x1.86661bfade0b1p-10, 0x1.79875a71a3d0fp-10, 0x1.6d12a4ad0cc77p-10, 0x1.6104bae045c4ap-10, 0x1.555a73bdbaac5p-10, 0x1.4a10bbf8854a8p-10, 0x1.3f2495c7ca726p-10, 0x1.3493186bf5a02p-10, 0x1.2a596fb5dc1d5p-10, 0x1.2074db8fbc67ep-10, 0x1.16e2af8823fc1p-10, 0x1.0da0525eb820ep-10, 0x1.04ab3d92d7062p-10, 0x1.f801f9e837556p-11, 0x1.e73e5c6975819p-11, 0x1.d70700fb72405p-11, 0x1.c7576809f30a1p-11, 0x1.b82b334a3b577p-11, 0x1.a97e24ee7317ap-11, 0x1.9b4c1edca90fbp-11, 0x1.8d9121e96bbcfp-11, 0x1.80494d15f1be6p-11, 0x1.7370dcd1cc97cp-11, 0x1.67042a401afeap-11, 0x1.5affaa80366b1p-11, 0x1.4f5fedf9d3968p-11, 0x1.44219fac8adffp-11, 0x1.39418482c61cp-11, 0x1.2ebc7aa8052d3p-11, 0x1.248f78e273fd6p-11, 0x1.1ab78defca69bp-11, 0x1.1131dfe5689ebp-11, 0x1.07fbab93aab64p-11, 0x1.fe2487d8d11e4p-12, 0x1.ece622d930d0ap-12, 0x1.dc37231217d8dp-12, 0x1.cc12ac3c75389p-12, 0x1.bc7409c629befp-12, 0x1.ad56adbda1b9dp-12, 0x1.9eb62fc3576a4p-12, 0x1.908e4c011eb43p-12, 0x1.82dae227342fep-12, 0x1.7597f46eed619p-12, 0x1.68c1a6a300301p-12, 0x1.5c543d2d45ad5p-12, 0x1.504c1c29e9c89p-12, 0x1.44a5c67feeb02p-12, 0x1.395ddcfef0fabp-12, 0x1.2e711d821a1f3p-12, 0x1.23dc621828774p-12, 0x1.199ca0307ac82p-12, 0x1.0faee7cd0bf55p-12, 0x1.061062b946fcap-12, 0x1.f97ca78b4441dp-13, 0x1.e76c2c0fd82d7p-13, 0x1.d5ea384065c4ap-13, 0x1.c4f1df04707b7p-13, 0x1.b47e5f86b01bdp-13, 0x1.a48b23d9a161bp-13, 0x1.9513bfa4ae25fp-13, 0x1.8613eed9d0457p-13, 0x1.7787947372047p-13, 0x1.696ab93a82ecep-13, 0x1.5bb98a947f663p-13, 0x1.4e705959539c3p-13, 0x1.418b98b0f12c4p-13, 0x1.3507dcf86e2a1p-13, 0x1.28e1daae8fc2ep-13, 0x1.1d1665678ef48p-13, 0x1.11a26ec801bacp-13, 0x1.06830586b8f63p-13, 0x1.f76aa8eaec717p-14, 0x1.e26d43209e47fp-14, 0x1.ce089a2746a51p-14, 0x1.ba37a130f8896p-14, 0x1.a6f57c6e6dc66p-14, 0x1.943d7f60ac566p-14, 0x1.820b2b36b344p-14, 0x1.705a2d36f801bp-14, 0x1.5f265d34699cdp-14, 0x1.4e6bbc0ebe2b9p-14, 0x1.3e26723dcb0d1p-14, 0x1.2e52ce67a6c41p-14, 0x1.1eed44015a3e5p-14, 0x1.0ff269f9e1378p-14, 0x1.015ef96f41556p-14, 0x1.e65f98daf3aefp-15, 0x1.cac3b96e26eep-15, 0x1.afe4852e2e004p-15, 0x1.95bc677863cbcp-15, 0x1.7c460439a4751p-15, 0x1.637c35c801e58p-15, 0x1.4b5a0acd922bdp-15, 0x1.33dac443e527dp-15, 0x1.1cf9d37fbe6a3p-15, 0x1.06b2d84caf21dp-15, 0x1.e2033e3048b49p-16, 0x1.b7c43e571e3f2p-16, 0x1.8ea0f1ea811c9p-16, 0x1.6691e8bf36da1p-16, 0x1.3f8ffe6c804d8p-16, 0x1.19945731a982dp-16, 0x1.e930b9ec3f4a9p-17, 0x1.a12b78c6ba28ap-17, 0x1.5b0cc42ff7a09p-17, 0x1.16c8efe689659p-17, 0x1.a8a989e260a92p-18, 0x1.274af9281fb64p-18, 0x1.52c2edcc1be6bp-19, 0x1.76c8cdff3c552p-21, -0x1.21850d62861aep-20, -0x1.78c013bdc4185p-19, -0x1.2d34f0256a416p-18, -0x1.9af10171c21dfp-18, -0x1.02d252e5ebfbcp-17, -0x1.36afd4c1ad70ap-17, -0x1.6918a236880cbp-17, -0x1.9a14106d269adp-17, -0x1.c9a931263cec4p-17, -0x1.f7ded5f366c97p-17, -0x1.125dc9a8030a9p-16, -0x1.2822e1cd8b7fdp-16, -0x1.3d41c4f97af5dp-16, -0x1.51bd6a79fca2fp-16, -0x1.6598b0ad5823bp-16, -0x1.78d65e4562243p-16, -0x1.8b79237da109p-16, -0x1.9d839b448f849p-16, -0x1.aef84c586876ep-16, -0x1.bfd9aa57de16ep-16, -0x1.d02a16c7208ecp-16, -0x1.dfebe2099499p-16, -0x1.ef214c5095a32p-16, -0x1.fdcc867fa0687p-16, -0x1.05f7d98321d9ap-15, -0x1.0cc6735811766p-15, -0x1.135314b5b7ae8p-15, -0x1.199ebb830bc28p-15, -0x1.1faa5ff10ae2bp-15, -0x1.2576f4d088062p-15, -0x1.2b0567e3d7c98p-15, -0x1.3056a22c75855p-15, -0x1.356b8834c8e18p-15, -0x1.3a44fa562d0a5p-15, -0x1.3ee3d4fb6015bp-15, -0x1.4348f0df78da6p-15, -0x1.4775234981dafp-15, -0x1.4b693e44dfcfbp-15, -0x1.4f2610d69ae05p-15, -0x1.52ac672fae928p-15, -0x1.55fd0adc777fp-15, -0x1.5918c2f16442dp-15, -0x1.5c005434f8183p-15, -0x1.5eb4814748848p-15, -0x1.61360ac70371p-15, -0x1.6385af741e76bp-15, -0x1.65a42c5044fbdp-15, -0x1.67923cbd1dff9p-15, -0x1.69509a987e1c1p-15, -0x1.6adffe56a17ep-15, -0x1.6c411f1a7a6dp-15, -0x1.6d74b2cc34767p-15, -0x1.6e7b6e2df879dp-15, -0x1.6f5604ef067cdp-15, -0x1.700529bd3bf9ap-15, -0x1.70898e5515c98p-15, -0x1.70e3e39040c3p-15, -0x1.7114d972cb6dbp-15, -0x1.711d1f3705658p-15, -0x1.70fd635823219p-15, -0x1.70b6539bb0918p-15, -0x1.70489d19e37f3p-15, -0x1.6fb4ec44dc7b4p-15, -0x1.6efbeceee62efp-15, -0x1.6e1e4a4fbb5b7p-15, -0x1.6d1caf08e8c9fp-15, -0x1.6bf7c5294e698p-15, -0x1.6ab0362fd7067p-15, -0x1.6946ab0d67536p-15, -0x1.67bbcc2616a43p-15, -0x1.66104151bbcd3p-15, -0x1.6444b1dbd614ap-15, -0x1.6259c482de74cp-15, -0x1.60501f770a326p-15, -0x1.5e28685888dcap-15, -0x1.5be3443547cddp-15, -0x1.598157863e6a9p-15, -0x1.5703462c56f08p-15, -0x1.5469b36ceca01p-15, -0x1.51b541edf7081p-15, -0x1.4ee693b1dbf7ap-15, -0x1.4bfe4a12f7f06p-15, -0x1.48fd05bee2806p-15, -0x1.45e366b1721e7p-15, -0x1.42b20c2f888a2p-15, -0x1.3f6994c1ab4a6p-15, -0x1.3c0a9e2e73194p-15, -0x1.3895c574d014p-15, -0x1.350ba6c6305f5p-15, -0x1.316cdd8084ee8p-15, -0x1.2dba0428338dbp-15, -0x1.29f3b461f1812p-15, -0x1.261a86ec9188bp-15, -0x1.222f139ac5468p-15, -0x1.1e31f14cd8862p-15, -0x1.1a23b5ea68e95p-15, -0x1.1604f65c1d945p-15, -0x1.11d64685638a2p-15, -0x1.0d98393e2da21p-15, -0x1.094b604cc343ap-15, -0x1.04f04c5f96b31p-15, -0x1.00878d072dbdbp-15, -0x1.f823616034815p-16, -0x1.ef1e893a11544p-16, -0x1.e601a9c1c7779p-16, -0x1.dccdd8b21d48dp-16, -0x1.d384294f7ce25p-16, -0x1.ca25ac5cd51cfp-16, -0x1.c0b37010bc235p-16, -0x1.b72e800acdd4ap-16, -0x1.ad97e5494d2a5p-16, -0x1.a3f0a61f0b837p-16, -0x1.9a39c629923b2p-16, -0x1.9074464798a02p-16, -0x1.86a1248fc4ddbp-16, -0x1.7cc15c47b88c9p-16, -0x1.72d5e5db6a5efp-16, -0x1.68dfb6d4d6442p-16, -0x1.5edfc1d3f59aap-16, -0x1.54d6f68710044p-16, -0x1.4ac641a361414p-16, -0x1.40ae8cde09fbap-16, -0x1.3690bee5634b4p-16, -0x1.2c6dbb5a9b006p-16, -0x1.224662cbaf0cap-16, -0x1.181b92adb99fap-16, -0x1.0dee2557969e4p-16, -0x1.03bef1fce049bp-16, -0x1.f31d9952806c3p-17, -0x1.debd0c7831c4p-17, -0x1.ca5dd8c904577p-17, -0x1.b601933b45766p-17, -0x1.a1a9ca56ad0b5p-17, -0x1.8d58062e5ec7cp-17, -0x1.790dc85b955eep-17, -0x1.64cc8bf8ef28fp-17, -0x1.5095c59e64d4cp-17, -0x1.3c6ae35de86d7p-17, -0x1.284d4cc09b1dbp-17, -0x1.143e62c4b4124p-17, -0x1.003f7fdbfc15dp-17, -0x1.d8a3efd5d4979p-18, -0x1.b0ee3090b561bp-18, -0x1.89604f7bbf592p-18, -0x1.61fccd114f937p-18, -0x1.3ac61cb5f5cadp-18, -0x1.13bea4bc8bcc3p-18, -0x1.d9d17cd6e40cdp-19, -0x1.8c8d6c05c3e83p-19, -0x1.3fb59588ade7bp-19, -0x1.e69cbbec13a2ap-20, -0x1.4eb820156a7c2p-20, -0x1.6f8b72fc34bd4p-21, -0x1.0e6db5df87636p-23, 0x1.cc9fb310f6a1ep-22, 0x1.07136888d44f7p-20, 0x1.99ed26d1ee538p-20, 0x1.15d6e22e2728bp-19, 0x1.5e27081059c4p-19, 0x1.a5e38587e845ep-19, 0x1.ed08f3e56e0c6p-19, 0x1.19ca029639688p-18, 0x1.3cc0c1f63fd81p-18, 0x1.5f67298c54f2p-18, 0x1.81bbb6eed161cp-18, 0x1.a3bcf3bb291a4p-18, 0x1.c569757f8702bp-18, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      44, 0x1.999999999999ap+1, 0x1.addd71d79d635p+0, 0x1.3091487489ff6p+1, -0x1.4fea21c6d9cp-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.1c964628027d9p+0, -0x1.3570bd902680cp+1, 0x1.03ccccccccc87p+1, 0x1.f3eccee01b169p-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.04aac96cc5fcp+0, -0x1.2081a469bc001p+1, 0x1.078ca7f399c96p+1, -0x1.3874014c10ea5p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.dcd1e96c3fc44p-1, -0x1.0c2c1ef79b42p+1, 0x1.e99ac063318adp+0, -0x1.915b29577ad47p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.b37414a4d2b2cp-1, -0x1.f223bc28d1912p+0, 0x1.d185ebfcaa2c3p+0, -0x1.b9ab5809f513cp-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.8d104d551d68cp-1, -0x1.cdf52ed10b9b5p+0, 0x1.b705e195aad3fp+0, -0x1.9ff77680b80b9p-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.697c3d68405b4p-1, -0x1.abd58ff26fd7ap+0, 0x1.9e10a2278b4e6p+0, -0x1.8e76cdf318bap-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.488ede54b48d4p-1, -0x1.8baa53f49132fp+0, 0x1.862839a332c83p+0, -0x1.862d51b2f1352p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.2a20ddc619546p-1, -0x1.6d63a27c02dc7p+0, 0x1.6ebf1b22b3ab7p+0, -0x1.70d3eb411c8bfp-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.0e0c176577532p-1, -0x1.50ef4626db5d9p+0, 0x1.589de92e27b78p+0, -0x1.66830148a2172p-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.e8583621fafc9p-2, -0x1.3639ca702388ap+0, 0x1.431b2ba9cc122p+0, -0x1.55200f9c5aaaep-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.b8bb906466b1ep-2, -0x1.1d322a1b0ba49p+0, 0x1.2ea37ca58930dp+0, -0x1.44fcc045f8a07p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.8cff21b3aeee9p-2, -0x1.05c3cc37bfef1p+0, 0x1.1b23ae8cdb8dep+0, -0x1.3eecef4bb224dp-1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.64e2b063e07a3p-2, -0x1.dfc21a1f926e8p-1, 0x1.0800fc5a3c628p+0, -0x1.274f828b4acfdp-1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.40281ba7fc32fp-2, -0x1.b6ef61c8e4e12p-1, 0x1.ec9207c27a087p-1, -0x1.1bd5068721871p-1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.1e94ee392e1efp-2, -0x1.90e44ffdfa684p-1, 0x1.ca82b50e6bc5p-1, -0x1.115c63582c0a8p-1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.ffe2a3cea6c1ap-3, -0x1.6d85ebf7ec433p-1, 0x1.a9b50f88f5d83p-1, -0x1.fd72d83062febp-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.c80f98fa37692p-3, -0x1.4cb0712f071ep-1, 0x1.8b23ee156ac8ep-1, -0x1.e77bd88e228ecp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.954c122749f0ep-3, -0x1.2e3f7a4e0392cp-1, 0x1.6de42de3edd4fp-1, -0x1.d49dc596ff431p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.67381d7dbf488p-3, -0x1.1219f0f6b6fefp-1, 0x1.51c63ba28c989p-1, -0x1.a60d1115eca09p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.3d78811b1d92bp-3, -0x1.f02f42f6c0abbp-2, 0x1.38738768e9eb1p-1, -0x1.a32df6114a15cp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.17b8d3f1843c4p-3, -0x1.c0345842359bdp-2, 0x1.1f4cee67e05a6p-1, -0x1.7d3b16a4eff8p-2}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.eb4fa48301a7ap-4, -0x1.9410f8e0ded83p-2, 0x1.086d39d8dc31ep-1, -0x1.67e5af5af27c9p-2}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.adf3f961804dap-4, -0x1.6b7c4c370824ep-2, 0x1.e5aa68e43f218p-2, -0x1.532e2bef47c92p-2}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.76d117b5286b6p-4, -0x1.4642a656a9bc4p-2, 0x1.bcf6ca04f913ap-2, -0x1.3b61a0e7ee4fbp-2}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.4561d4306e5cdp-4, -0x1.242d53c6614bap-2, 0x1.971e461219eb6p-2, -0x1.1f4b5070fdc35p-2}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.192a737110e45p-4, -0x1.04fc928c8a381p-2, 0x1.74a49893e6fcdp-2, -0x1.17711d541b3f5p-2}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.e37154003254ep-5, -0x1.d108722366868p-3, 0x1.531c246b16eafp-2, -0x1.e5e0747d36cf5p-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.9d40ee06d9381p-5, -0x1.9d1b8c68e2197p-3, 0x1.35f51330606e4p-2, -0x1.d99bf362d3a05p-3}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.5f00abf76a2f5p-5, -0x1.6dc9aaddb9e1bp-3, 0x1.198a701b164afp-2, -0x1.b3afbdf78a1f8p-3}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.27f8012dfd695p-5, -0x1.42d521024fc22p-3, 0x1.fecc9637307d9p-3, -0x1.77a514bf02f05p-3}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.eefa1e3eaf683p-6, -0x1.1bc58dec619a3p-3, 0x1.d1b8c6ed116bp-3, -0x1.6dbbef0c692e3p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.99f1ae2da554cp-6, -0x1.f089f8fd169f8p-4, 0x1.a5d56cccdbd6p-3, -0x1.516b2f0f59fap-3}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.4fb97bb730835p-6, -0x1.b048e79f6d8e2p-4, 0x1.7d57ec45e584cp-3, -0x1.2c9754b62d79ap-3}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.0f49491f2dc2bp-6, -0x1.7627cf5475186p-4, 0x1.5945c3633c38cp-3, -0x1.f86efc2fe16d8p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.af6c69b5a63fap-7, -0x1.41554bb29517ap-4, 0x1.3b01aa0433d0ep-3, -0x1.228ab2ea0fcfap-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.505d0fa58f712p-7, -0x1.11b8aa39afc5p-4, 0x1.18243862feb7fp-3, -0x1.733b6c7f9f654p-4}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.ff822bbecaab9p-8, -0x1.cd5c7abe98c65p-5, 0x1.01de1846db8ep-3, -0x1.edfce82d632dfp-4}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.7891e215336dfp-8, -0x1.7f95fe6bbcbc9p-5, 0x1.c874e17e075e2p-4, -0x1.54d0f2cad3b9dp-4}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.09289dadfb507p-8, -0x1.39d31f700c3bcp-5, 0x1.9f8f01cc16eb5p-4, -0x1.7ebf4ca751936p-4}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.5df6555c52e73p-9, -0x1.f604f6741fcf8p-6, 0x1.71a102d6bb368p-4, -0x1.3031da97ddb44p-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.9f3c70c996b76p-10, -0x1.8594231c9e058p-6, 0x1.4d20260c2ff7ep-4, -0x1.003ca47c9e167p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.8bd66277c45ccp-11, -0x1.24d166923d167p-6, 0x1.0fa0f454adddfp-4, 0x1.b216fe7cce577p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.40dd3fe1975f3p-13, -0x1.8b1fdfba62d2ap-7, 0x1.43b83196db1bbp-4, -0x1.78fc561f3fa4dp-1}, 
        {0x1.75c28f5c28f5cp+1, 0x1.999999999999ap+1, -0x1.0624dd2f1a9fcp-12, -0x1.2fc107e9c9606p-7, -0x1.317e7957dcbb2p-7, 0x1.d8ada45a9e6abp-1}, 
      }}, 
      -0x1.1615832b7b844p+2, 0x1.7485cdc0cde41p+2
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.50b2221291939p-5, 0x1.305b6843fc3b2p-4, 0x1.bb879eab6dc8bp-4, 0x1.246de64523606p-3, 0x1.6bb5644971a8ep-3, 0x1.b32ceb4349879p-3, 0x1.fa712ec44a2f9p-3, 0x1.2094ef809c7d5p-2, 0x1.43845f0a86cap-2, 0x1.65e3df9ea916ep-2, 0x1.879405b19767cp-2, 0x1.a8791dadb1101p-2, 0x1.c87b6847cc285p-2, 0x1.e7870ad571e55p-2, 0x1.02c5d0b7fdbbp-1, 0x1.113dd0492b5cap-1, 0x1.1f25e3f4a9d0dp-1, 0x1.2c796984e61e3p-1, 0x1.3934b4e28538ep-1, 0x1.4555195420c24p-1, 0x1.50d8f19367cc8p-1, 0x1.5bbf1b4f51d6fp-1, 0x1.6609a6822c718p-1, 0x1.6fb82d3ec3b26p-1, 0x1.78cbea849e195p-1, 0x1.814696914bf03p-1, 0x1.892a58ea7f64ep-1, 0x1.9079ba8e740fep-1, 0x1.9737990bfc334p-1, 0x1.9d671b3b8bcc5p-1, 0x1.a30ba7031891p-1, 0x1.a828d6f19d98ap-1, 0x1.acc26f56eaeeap-1, 0x1.b0dc53d2b0b0ap-1, 0x1.b47a7ed690ab4p-1, 0x1.b7a0fbe0c5cc9p-1, 0x1.ba53e3f5a2a9ap-1, 0x1.bc975b0b16d0ep-1, 0x1.be6f8d279ef06p-1, 0x1.bfe0aaa79f81cp-1, 0x1.c0eee3d97de81p-1, 0x1.c19e64750dec1p-1, 0x1.c1f34f4f3903bp-1, 0x1.c1f1ba5457fffp-1, 0x1.c19daa9f840e1p-1, 0x1.c0fb109aea802p-1, 0x1.c00dc45e0cadbp-1, 0x1.bed982c1883b7p-1, 0x1.bd61ebac79c3dp-1, 0x1.bbaa81eacc19cp-1, 0x1.b9b6ac7e1aad5p-1, 0x1.b789b8fb8cdbp-1, 0x1.b526de494de5ep-1, 0x1.b2913efeebee5p-1, 0x1.afcbeacd10a94p-1, 0x1.acd9de9648757p-1, 0x1.a9be0337999b9p-1, 0x1.a67b2b4de7cebp-1, 0x1.a31410793d0d2p-1, 0x1.9f8b50af2c2a4p-1, 0x1.9be36c1acb634p-1, 0x1.981ec3de014f3p-1, 0x1.943f99d44f83p-1, 0x1.904b2efd8fed1p-1, 0x1.8c3d1450854e3p-1, 0x1.881a57b9d90e2p-1, 0x1.83e4d45d966bfp-1, 0x1.7f9e51a2704c2p-1, 0x1.7b48840e78aeep-1, 0x1.76e50ddfcc26p-1, 0x1.72757f6bf6a51p-1, 0x1.6dfb5756a639ep-1, 0x1.697802b24f1dcp-1, 0x1.64ecdd1c41a32p-1, 0x1.605b30e238563p-1, 0x1.5bc4373ab89e8p-1, 0x1.57291894f3aeap-1, 0x1.528aed00f6401p-1, 0x1.4deabcae3dd2p-1, 0x1.4949807d677p-1, 0x1.44a822a12ee34p-1, 0x1.40077f4b1a24dp-1, 0x1.3b6865608c565p-1, 0x1.36cb97353a6ap-1, 0x1.3231cb481e647p-1, 0x1.2d9bacffe013cp-1, 0x1.2909dd637786bp-1, 0x1.247cf3cba97d1p-1, 0x1.1ff57e8a01c72p-1, 0x1.1b7403824e8a5p-1, 0x1.16f900b443a4dp-1, 0x1.1284ecb3e7aa3p-1, 0x1.0e18371075265p-1, 0x1.09b348aa84237p-1, 0x1.055683fb39e8bp-1, 0x1.0102454ef2fcap-1, 0x1.f96dc5ec9180fp-2, 0x1.f0e95ae0d148fp-2, 0x1.e877df231b29ep-2, 0x1.e019dd502d665p-2, 0x1.d7cfd5448272ap-2, 0x1.cf9a3c6c11211p-2, 0x1.c7797e18633ep-2, 0x1.bf6dfbde07db7p-2, 0x1.b7780df995a14p-2, 0x1.af9803bb9b4a3p-2, 0x1.a7ce23fa4ed4ep-2, 0x1.a01aad8745cf6p-2, 0x1.987dd7a7350b5p-2, 0x1.90f7d289a4014p-2, 0x1.8988c7be7b545p-2, 0x1.8230daa799a02p-2, 0x1.7af028e4dfaa4p-2, 0x1.73c6cab994562p-2, 0x1.6cb4d36a66c1p-2, 0x1.65ba5193b0d97p-2, 0x1.5ed74f780a474p-2, 0x1.580bd34768c58p-2, 0x1.5157df5f48a41p-2, 0x1.4abb72846e217p-2, 0x1.44368816e177ap-2, 0x1.3dc91840bc755p-2, 0x1.377318206e906p-2, 0x1.313479eef85p-2, 0x1.2b0d2d22b4e75p-2, 0x1.24fd1e8f23087p-2, 0x1.1f0438822f905p-2, 0x1.192262df69d4fp-2, 0x1.13578339930f6p-2, 0x1.0da37ceae309bp-2, 0x1.0806312c5b59bp-2, 0x1.027f7f2c6dc3p-2, 0x1.fa1e884a694c4p-3, 0x1.ef6ab6e4d20ccp-3, 0x1.e4e33d4e5e703p-3, 0x1.da87cb47aa177p-3, 0x1.d0580d5701281p-3, 0x1.c653acf3a2944p-3, 0x1.bc7a50b0de522p-3, 0x1.b2cb9c68e8cfbp-3, 0x1.a94731675e5ap-3, 0x1.9fecae934ee51p-3, 0x1.96bbb098afe4cp-3, 0x1.8db3d2112c4c4p-3, 0x1.84d4abac2a3fp-3, 0x1.7c1dd455f2364p-3, 0x1.738ee15de7c72p-3, 0x1.6b28938e3e6a6p-3, 0x1.62e7fffd457afp-3, 0x1.5ace04f647097p-3, 0x1.52da33e58557ap-3, 0x1.4b0c1d3f994b8p-3, 0x1.43635098ff46dp-3, 0x1.3bdf5cbd3529cp-3, 0x1.347fcfc56ec8ap-3, 0x1.2d44372ee7dcdp-3, 0x1.262c1ff0cf0bep-3, 0x1.1f371691c0579p-3, 0x1.1864a73cd0b98p-3, 0x1.11b45dd60c202p-3, 0x1.0b25c60e6bf6ep-3, 0x1.04b86b77284f9p-3, 0x1.fcd7b328d0296p-4, 0x1.f07f37de6678ap-4, 0x1.e4667c4d64d7p-4, 0x1.d88c980154e5bp-4, 0x1.ccf0a2f25e7b5p-4, 0x1.c191b5a331852p-4, 0x1.b66ee93d5d0b4p-4, 0x1.ab8757ac2a37ap-4, 0x1.a0da1bb605ecep-4, 0x1.966651147bbebp-4, 0x1.8c2b148add357p-4, 0x1.822783fba234bp-4, 0x1.785abe7c90c53p-4, 0x1.6ec3e469c5c3dp-4, 0x1.65621777a930fp-4, 0x1.5c347ac3e748dp-4, 0x1.533a32e5791efp-4, 0x1.4a7265fbcf642p-4, 0x1.41dc3bbd2f846p-4, 0x1.3976dd844bea6p-4, 0x1.3141765d28777p-4, 0x1.293b3311520dfp-4, 0x1.21634233746eap-4, 0x1.19b8d42a54663p-4, 0x1.123b1b3b3714ap-4, 0x1.0ae94b93ba2f8p-4, 0x1.03c29b5321cfcp-4, 0x1.f98c852641ce6p-5, 0x1.ebe6f6e03dff4p-5, 0x1.de930421f5d4dp-5, 0x1.d18f295ca5497p-5, 0x1.c4d9e7329708p-5, 0x1.b871c283c1a47p-5, 0x1.ac554479742b3p-5, 0x1.a082fa910c667p-5, 0x1.94f976a5cae6cp-5, 0x1.89b74ef9b3386p-5, 0x1.7ebb1e3d8e143p-5, 0x1.7403839806defp-5, 0x1.698f22abec8c9p-5, 0x1.5f5ca39d95e87p-5, 0x1.556ab31775edbp-5, 0x1.4bb8024ddb9b4p-5, 0x1.42434701e8e13p-5, 0x1.390b3b83c31d9p-5, 0x1.300e9eb402c97p-5, 0x1.274c340469064p-5, 0x1.1ec2c377df438p-5, 0x1.167119a1c96f8p-5, 0x1.0e5607a4ac744p-5, 0x1.0670633033ea3p-5, 0x1.fd7e0cfd3508ep-6, 0x1.ee81a0a2f4471p-6, 0x1.dfe947dc1cef9p-6, 0x1.d1b2d231d464bp-6, 0x1.c3dc182254c3ep-6, 0x1.b662fb1654e28p-6, 0x1.a9456555810a1p-6, 0x1.9c8149fa0e4d7p-6, 0x1.9014a4e37521cp-6, 0x1.83fd7aa85af85p-6, 0x1.7839d887c0aaap-6, 0x1.6cc7d4596b296p-6, 0x1.61a58c7da6ce2p-6, 0x1.56d127cc63e6dp-6, 0x1.4c48d583b384p-6, 0x1.420acd35b4ba9p-6, 0x1.38154eb5f3bfcp-6, 0x1.2e66a2064e945p-6, 0x1.24fd17435564ap-6, 0x1.1bd70690420f5p-6, 0x1.12f2d0027b904p-6, 0x1.0a4edb8cbdf09p-6, 0x1.01e998e9e2832p-6, 0x1.f382ff0e9d867p-7, 0x1.e3aa1cde2b953p-7, 0x1.d4459863a56b5p-7, 0x1.c5528da07518bp-7, 0x1.b6ce2748ea577p-7, 0x1.a8b59e9670852p-7, 0x1.9b063b19702b4p-7, 0x1.8dbd528ac5917p-7, 0x1.80d8489cef88fp-7, 0x1.74548eccfd7b7p-7, 0x1.682fa43331796p-7, 0x1.5c6715537db1ep-7, 0x1.50f87bedda819p-7, 0x1.45e17ece6c844p-7, 0x1.3b1fd19d9e8bfp-7, 0x1.30b134b030c1bp-7, 0x1.269374d731d1bp-7, 0x1.1cc46b300702cp-7, 0x1.1341fcf475b5ep-7, 0x1.0a0a1b4abd396p-7, 0x1.011ac315cb353p-7, 0x1.f0e3f98b13f8bp-8, 0x1.e01bb84ead1ebp-8, 0x1.cfd9006d3e93bp-8, 0x1.c01825db5f347p-8, 0x1.b0d5922d7c953p-8, 0x1.a20dc43a54766p-8, 0x1.93bd4fbe0098p-8, 0x1.85e0dcfd8ac7fp-8, 0x1.7875286b0daep-8, 0x1.6b77024a89bc3p-8, 0x1.5ee34e574ebd9p-8, 0x1.52b7036a1749ap-8, 0x1.46ef2b1fe7d79p-8, 0x1.3b88e1818db26p-8, 0x1.308154ac08f4dp-8, 0x1.25d5c479a4c14p-8, 0x1.1b83822be75dbp-8, 0x1.1187f01661cd4p-8, 0x1.07e0814a3d691p-8, 0x1.fd1572859deb9p-9, 0x1.eb085725e686dp-9, 0x1.d994f726ada8cp-9, 0x1.c8b6b8237130bp-9, 0x1.b8691e01f6829p-9, 0x1.a8a7ca549cc38p-9, 0x1.996e7bbe62cf6p-9, 0x1.8ab90d58ece76p-9, 0x1.7c83761c8bc95p-9, 0x1.6ec9c84a1af7bp-9, 0x1.618830d6f65efp-9, 0x1.54baf6dae2c12p-9, 0x1.485e7afff1e91p-9, 0x1.3c6f36f486ad3p-9, 0x1.30e9bcdf35c3ap-9, 0x1.25cab6d4c154bp-9, 0x1.1b0ee65029aa9p-9, 0x1.10b323acc069cp-9, 0x1.06b45da230d0dp-9, 0x1.fa1f31853488p-10, 0x1.e783ddf5c7fb1p-10, 0x1.d5911e2999d1cp-10, 0x1.c44178767486ep-10, 0x1.b38f9b01040aap-10, 0x1.a3765acd5a421p-10, 0x1.93f0b2d38a9d1p-10, 0x1.84f9c3186c854p-10, 0x1.768ccfca3937dp-10, 0x1.68a540611b8d1p-10, 0x1.5b3e9ec3e69ap-10, 0x1.4e5496707cf34p-10, 0x1.41e2f3a85ec8fp-10, 0x1.35e5a2a0d6a0cp-10, 0x1.2a58aeb7582b4p-10, 0x1.1f3841a96f148p-10, 0x1.1480a2d07f1bcp-10, 0x1.0a2e366185ddcp-10, 0x1.003d7cb030068p-10, 0x1.ed5622ec0b32ap-11, 0x1.dac32d55da06bp-11, 0x1.c901ab678cd2dp-11, 0x1.b7e9d25a34484p-11, 0x1.a775a6a3670cp-11, 0x1.979f5c984f09fp-11, 0x1.886157284873bp-11, 0x1.79b6269e68a3fp-11, 0x1.6b98876968b5bp-11, 0x1.5e0360ead2f8dp-11, 0x1.50f1c44c7e436p-11, 0x1.445eeb5cb1e04p-11, 0x1.38463770c7c46p-11, 0x1.2ca3304e11d36p-11, 0x1.21718318c819p-11, 0x1.16ad0149f1971p-11, 0x1.0c519faa3f7cdp-11, 0x1.025b7553a0847p-11, 0x1.f18d7570be596p-12, 0x1.df1f91607ee69p-12, 0x1.cd662f15da30ep-12, 0x1.bc5a7c506723cp-12, 0x1.abf5e22b8380bp-12, 0x1.9c3203643d504p-12, 0x1.8d08baaa3f20fp-12, 0x1.7e7418fa6a9a8p-12, 0x1.706e6403c795p-12, 0x1.62f2149793434p-12, 0x1.55f9d5218e33dp-12, 0x1.4980802aa9a4p-12, 0x1.3d811ee58c973p-12, 0x1.31f6e7c335164p-12, 0x1.26dd3d12143aep-12, 0x1.1c2faba481213p-12, 0x1.11e9e98205ac1p-12, 0x1.0807d49f0bd6cp-12, 0x1.fd0ae33d6b50bp-13, 0x1.eabdd536d773bp-13, 0x1.d9211bf1e311ap-13, 0x1.c82d9a7a87746p-13, 0x1.b7dc77e3cc951p-13, 0x1.a8271d18df0bfp-13, 0x1.990732bdeea1cp-13, 0x1.8a769f1e6e50fp-13, 0x1.7c6f84291e32dp-13, 0x1.6eec3d7d7ffd2p-13, 0x1.61e75e829acd8p-13, 0x1.555bb08e468a4p-13, 0x1.4944311791082p-13, 0x1.3d9c0ff6d4caap-13, 0x1.325eadb2a116ep-13, 0x1.278799d85069fp-13, 0x1.1d129160ae9aep-13, 0x1.12fb7d2104388p-13, 0x1.093e7046143d8p-13, 0x1.ffaf4db8d996p-14, 0x1.ed8708c27caa6p-14, 0x1.dbfd24c080f6cp-14, 0x1.cb0afe32c5be2p-14, 0x1.baaa3867cd3f5p-14, 0x1.aad4baf084741p-14, 0x1.9b84af2c9722cp-14, 0x1.8cb47de4cf11fp-14, 0x1.7e5eccfc7d549p-14, 0x1.707e7d31cfe6p-14, 0x1.630ea7f24c138p-14, 0x1.560a9d3bce04cp-14, 0x1.496de194cfcabp-14, 0x1.3d342c0fa14eap-14, 0x1.3159645fa47c3p-14, 0x1.25d9a0fd4fe6p-14, 0x1.1ab1255b17c1ep-14, 0x1.0fdc6025160cfp-14, 0x1.0557e993093d9p-14, 0x1.f641038d38e6ep-15, 0x1.e2661e67a76c5p-15, 0x1.cf193a3d90155p-15, 0x1.bc54b43a89562p-15, 0x1.aa132d56efe53p-15, 0x1.984f878dff0e2p-15, 0x1.8704e33519b0bp-15, 0x1.762e9c652610ep-15, 0x1.65c8487ad4952p-15, 0x1.55cdb3acb5e6ap-15, 0x1.463adeb62eb26p-15, 0x1.370bfc9613eb2p-15, 0x1.283d7064f7c59p-15, 0x1.19cbcb35c7413p-15, 0x1.0bb3ca17a0a6dp-15, 0x1.fbe4a829983cbp-16, 0x1.e108f0b9346a9p-16, 0x1.c6ced8d5585e6p-16, 0x1.ad31148f35c6ap-16, 0x1.942a9daf72faap-16, 0x1.7bb6b0790bf7bp-16, 0x1.63d0c880a4e99p-16, 0x1.4c749da9cec82p-16, 0x1.359e2140dd156p-16, 0x1.1f497b2d3cf0ep-16, 0x1.0973074248b9dp-16, 0x1.e82ea5509fda7p-17, 0x1.be6632cc1c6b9p-17, 0x1.958687f01e58fp-17, 0x1.6d89ca0ef8e4cp-17, 0x1.466a6e7909a42p-17, 0x1.2023363d859bbp-17, 0x1.f55e544b221bfp-18, 0x1.ac132d9f93e2ep-18, 0x1.645c11eede95fp-18, 0x1.1e3093f53ab7fp-18, 0x1.b311717d3cd96p-19, 0x1.2cb9e290f6d4ep-19, 0x1.529850ac7da55p-20, 0x1.45d57be12998ep-22, -0x1.541d9ccb17e64p-21, -0x1.a00ca34166877p-20, -0x1.484da6c91e735p-19, -0x1.bde86887accdfp-19, -0x1.1870868cb4ae1p-18, -0x1.50a0c3e85fabfp-18, -0x1.8789a9155eb0dp-18, -0x1.bd2fb99d0853dp-18, -0x1.f19743e8acb04p-18, -0x1.126232725d464p-17, -0x1.2b5d85b7ccad2p-17, -0x1.43bf7de1188bbp-17, -0x1.5b89e93d818cp-17, -0x1.72be83db5f304p-17, -0x1.895ef8e97eccap-17, -0x1.9f6ce41127a43p-17, -0x1.b4e9d2bc02f08p-17, -0x1.c9d745496d693p-17, -0x1.de36b0287f892p-17, -0x1.f2097cf96a33ep-17, -0x1.02a885c37f9abp-16, -0x1.0c07595f52657p-16, -0x1.1521e0caf105cp-16, -0x1.1df8bfef14f64p-16, -0x1.268c9793abd6ap-16, -0x1.2ede05aea3f1cp-16, -0x1.36eda5ca3d2dp-16, -0x1.3ebc11515667cp-16, -0x1.4649dfe573b96p-16, -0x1.4d97a7a1e0e5fp-16, -0x1.54a5fd688a886p-16, -0x1.5b7575107a626p-16, -0x1.6206a1b53e166p-16, -0x1.685a15e0c5p-16, -0x1.6e7063c1d5e8bp-16, -0x1.744a1d593a1c1p-16, -0x1.79e7d4a5c5609p-16, -0x1.7f4a1bcb586d7p-16, -0x1.8471853125458p-16, -0x1.895ea3af3e748p-16, -0x1.8e120a9c48a9ep-16, -0x1.928c4df052026p-16, -0x1.96ce025a4b4e4p-16, -0x1.9ad7bd548e81bp-16, -0x1.9eaa153719e0ep-16, -0x1.a245a1473d9afp-16, -0x1.a5aaf9c3a4f97p-16, -0x1.a8dab7f45a73ap-16, -0x1.abd57628fed64p-16, -0x1.ae9bcfcc5ab53p-16, -0x1.b12e616398fb7p-16, -0x1.b38dc89206b9ap-16, -0x1.b5baa418732e6p-16, -0x1.b7b593e1f395ep-16, -0x1.b97f38f03efc8p-16, -0x1.bb18356586d19p-16, -0x1.bc812c7d4febcp-16, -0x1.bdbac288dd3dfp-16, -0x1.bec59ce81fea7p-16, -0x1.bfa2620321d5ap-16, -0x1.c051b9439ce5dp-16, -0x1.c0d44b052c419p-16, -0x1.c12ac096a1257p-16, -0x1.c155c42833cep-16, -0x1.c15600c2a37e4p-16, -0x1.c12c223a4c7edp-16, -0x1.c0d8d524c196fp-16, -0x1.c05cc6cad8dfbp-16, -0x1.bfb8a51c4659ap-16, -0x1.beed1e9fa9dc4p-16, -0x1.bdfae26a82f62p-16, -0x1.bce2a0079690ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cfbb958c36b3ap-3, -0x1.e8033e34a104p-3, -0x1.001bb2d67dc47p-2, -0x1.0c279e98de93p-2, -0x1.1820fc20033a7p-2, -0x1.24036e56742a6p-2, -0x1.2fcaa86cb1661p-2, -0x1.3b72740ff8f3fp-2, -0x1.46f6b6cd2bc1p-2, -0x1.525376af85395p-2, -0x1.5d84de2ae9abep-2, -0x1.68873f612dedp-2, -0x1.735716d13253fp-2, -0x1.7df10d7e040fep-2, -0x1.8851fa9b5a274p-2, -0x1.9276e4cbf4bf1p-2, -0x1.9c5d02fd82578p-2, -0x1.a601bcecc672dp-2, -0x1.af62ab5be83ffp-2, -0x1.b87d9803f469p-2, -0x1.c1507d49da536p-2, -0x1.c9d985be5fb94p-2, -0x1.d2170b6fe5df9p-2, -0x1.da07971428ab6p-2, -0x1.e1a9df0f881cap-2, -0x1.e8fcc65ee935fp-2, -0x1.efff5b68b21f4p-2, -0x1.f6b0d6b8f135ep-2, -0x1.fd1099ac5fbe7p-2, -0x1.018f1686bdf6cp-1, -0x1.046c9fd35bfd9p-1, -0x1.0720d2662a4ccp-1, -0x1.09aba97023f8p-1, -0x1.0c0d30e924646p-1, -0x1.0e4584ceef532p-1, -0x1.1054d06410aeap-1, -0x1.123b4d6f5217ep-1, -0x1.13f9437c6d8d8p-1, -0x1.158f071e94e81p-1, -0x1.16fcf9354db5cp-1, -0x1.18438634186e2p-1, -0x1.1963256d442fep-1, -0x1.1a5c58604a4abp-1, -0x1.1b2faa0bfb089p-1, -0x1.1bddae44bbebbp-1, -0x1.1c67010f11376p-1, -0x1.1ccc45fe9e15ap-1, -0x1.1d0e2799c0bbdp-1, -0x1.1d2d56c1eb52p-1, -0x1.1d2a8a20ce491p-1, -0x1.1d067d9a665fdp-1, -0x1.1cc1f1c3faa83p-1, -0x1.1c5dab600e482p-1, -0x1.1bda72df4be83p-1, -0x1.1b3913e663fdp-1, -0x1.1a7a5cd8dad7dp-1, -0x1.199f1e68bad7bp-1, -0x1.18a82b2b209bbp-1, -0x1.179657318e871p-1, -0x1.166a77a7f9125p-1, -0x1.1525627775442p-1, -0x1.13c7eded754e1p-1, -0x1.1252f0677c6f4p-1, -0x1.10c740032f108p-1, -0x1.0f25b252a678ap-1, -0x1.0d6f1c14eecf3p-1, -0x1.0ba450f28fc38p-1, -0x1.09c6233e06c55p-1, -0x1.07d563b816021p-1, -0x1.05d2e157c728dp-1, -0x1.03bf691608e44p-1, -0x1.019bc5bcc7601p-1, -0x1.fed17f72c2912p-2, -0x1.fa4e39e4bc005p-2, -0x1.f5af41408abf9p-2, -0x1.f0f61652fc5e2p-2, -0x1.ec24340226e11p-2, -0x1.e73b0f1090a43p-2, -0x1.e23c15e5b0769p-2, -0x1.dd28b05b9faeep-2, -0x1.d8023f91b6f88p-2, -0x1.d2ca1dc3ed62cp-2, -0x1.cd819e26be52ep-2, -0x1.c82a0cc765f7ep-2, -0x1.c2c4ae70444f3p-2, -0x1.bd52c09132d5fp-2, -0x1.b7d5792ba0094p-2, -0x1.b24e06c24136bp-2, -0x1.acbd904c30d49p-2, -0x1.a725352b4c152p-2, -0x1.a1860d25a349ap-2, -0x1.9be12861da55ap-2, -0x1.96378f664e1a5p-2, -0x1.908a431ad50fcp-2, -0x1.8ada3ccd00aacp-2, -0x1.85286e36af9d3p-2, -0x1.7f75c186d68efp-2, -0x1.79c3196c5d003p-2, -0x1.74115122eb26bp-2, -0x1.6e613c818bbeep-2, -0x1.68b3a80b061b1p-2, -0x1.630958ffce23dp-2, -0x1.5d630d71760d5p-2, -0x1.57c17c5781a76p-2, -0x1.522555a58154ap-2, -0x1.4c8f426262a18p-2, -0x1.46ffe4c0d6cfdp-2, -0x1.4177d838bea0bp-2, -0x1.3bf7b1a180fa1p-2, -0x1.367fff4d3de2ep-2, -0x1.31114924c222dp-2, -0x1.2bac10c42ec27p-2, -0x1.2650d1983e6f5p-2, -0x1.210000fc187eap-2, -0x1.1bba0e57a2289p-2, -0x1.167f633e3aa3p-2, -0x1.1150638dd78e3p-2, -0x1.0c2d6d8e6ad2ep-2, -0x1.0716da1191f3dp-2, -0x1.020cfc926f97ap-2, -0x1.fa2046ab6a057p-3, -0x1.f0412f13807a9p-3, -0x1.e67d3acd9a456p-3, -0x1.dcd4e89e54cb7p-3, -0x1.d348added29cdp-3, -0x1.c9d8f6bcf9818p-3, -0x1.c086267b87309p-3, -0x1.b75097b1d89edp-3, -0x1.ae389c8b684b8p-3, -0x1.a53e7f06e6849p-3, -0x1.9c628134daeb3p-3, -0x1.93a4dd75d0fbcp-3, -0x1.8b05c6b7f1b03p-3, -0x1.828568b404f6ep-3, -0x1.7a23e829d697p-3, -0x1.71e1631be41fbp-3, -0x1.69bdf10a57668p-3, -0x1.61b9a32d42259p-3, -0x1.59d484ae0ca72p-3, -0x1.520e9ae014da5p-3, -0x1.4a67e5787505ep-3, -0x1.42e05ec4e94ccp-3, -0x1.3b77fbe1d6a81p-3, -0x1.342eacef60ddep-3, -0x1.2d045d4593da6p-3, -0x1.25f8f3a79c05ep-3, -0x1.1f0c527604cbfp-3, -0x1.183e57dffb906p-3, -0x1.118ede1399b6fp-3, -0x1.0afdbb6d2c0ffp-3, -0x1.048ac2a575e74p-3, -0x1.fc6b85fded7fep-4, -0x1.effd10e44cd6bp-4, -0x1.e3c9b7b15d0a5p-4, -0x1.d7d1062f381b4p-4, -0x1.cc12829115c84p-4, -0x1.c08dadc39b8b2p-4, -0x1.b54203bb2218ap-4, -0x1.aa2efbbfe4135p-4, -0x1.9f5408b833d88p-4, -0x1.94b09970aa555p-4, -0x1.8a4418e24f97fp-4, -0x1.800dee76c425cp-4, -0x1.760d7e4a762c7p-4, -0x1.6c42296cdb846p-4, -0x1.62ab4e1ebd2edp-4, -0x1.5948480e95038p-4, -0x1.5018709306b52p-4, -0x1.471b1ee37565fp-4, -0x1.3e4fa84ec1103p-4, -0x1.35b560702c76p-4, -0x1.2d4b996278707p-4, -0x1.2511a3f1349dbp-4, -0x1.1d06cfc852733p-4, -0x1.152a6ba1fe65p-4, -0x1.0d7bc572c62c9p-4, -0x1.05fa2a941770dp-4, -0x1.fd49cfda33994p-5, -0x1.eef69433dde06p-5, -0x1.e0f93b22bf16ap-5, -0x1.d3505d91fca8ep-5, -0x1.c5fa94af8d99fp-5, -0x1.b8f67a2e84a32p-5, -0x1.ac42a88675b2fp-5, -0x1.9fddbb30031acp-5, -0x1.93c64edeab67p-5, -0x1.87fb01b7e0ac9p-5, -0x1.7c7a73877ca68p-5, -0x1.714345f1a178dp-5, -0x1.66541ca21b804p-5, -0x1.5bab9d794cfb7p-5, -0x1.514870b6ba117p-5, -0x1.4729412143fd4p-5, -0x1.3d4cbc2d227edp-5, -0x1.33b1921fab0d3p-5, -0x1.2a567630f97dbp-5, -0x1.213a1eab839fdp-5, -0x1.185b4509aead2p-5, -0x1.0fb8a6116ea3dp-5, -0x1.075101ee06c5cp-5, -0x1.fe46388fe1b99p-6, -0x1.ee5b78b609e5fp-6, -0x1.dedf5a15cb711p-6, -0x1.cfcf79eb8e1adp-6, -0x1.c1297d0b39822p-6, -0x1.b2eb0fff7125bp-6, -0x1.a511e725e18dfp-6, -0x1.979bbec89f566p-6, -0x1.8a865b34cd8fbp-6, -0x1.7dcf88ce8b7c1p-6, -0x1.71751c225db6ap-6, -0x1.6574f1f4115fep-6, -0x1.59ccef4b48728p-6, -0x1.4e7b017dbbecfp-6, -0x1.437d1e37499f4p-6, -0x1.38d1437fef646p-6, -0x1.2e7577bfbcecdp-6, -0x1.2467c9c0e0b1fp-6, -0x1.1aa650afd667bp-6, -0x1.112f2c19da1b2p-6, -0x1.080083e9a7bc4p-6, -0x1.fe3110c5531b1p-7, -0x1.eceae4353364cp-7, -0x1.dc2b03e368d46p-7, -0x1.cbee0213137f7p-7, -0x1.bc3081750086cp-7, -0x1.acef35103d439p-7, -0x1.9e26e028463f5p-7, -0x1.8fd456210e7a8p-7, -0x1.81f47a60e33b3p-7, -0x1.7484403063476p-7, -0x1.6780aa989a6d4p-7, -0x1.5ae6cc3f5947ep-7, -0x1.4eb3c741fd512p-7, -0x1.42e4cd0ea1193p-7, -0x1.37771e3bf8778p-7, -0x1.2c680a5fc9ccp-7, -0x1.21b4efe43b0ep-7, -0x1.175b3bdbfc609p-7, -0x1.0d5869d5697ffp-7, -0x1.03aa03acb9f5ep-7, -0x1.f49b42baa8697p-8, -0x1.e281d1a4b1b36p-8, -0x1.d1031b6cf2bc2p-8, -0x1.c01aa28659de6p-8, -0x1.afc4041eaff3cp-8, -0x1.9ffaf7baea171p-8, -0x1.90bb4ed2a382fp-8, -0x1.8200f46ae07abp-8, -0x1.73c7ecb0358b5p-8, -0x1.660c5490757c3p-8, -0x1.58ca6153ffd37p-8, -0x1.4bfe6036caf4ep-8, -0x1.3fa4b60145284p-8, -0x1.33b9dea12504ap-8, -0x1.283a6cc240541p-8, -0x1.1d2309677f665p-8, -0x1.1270738404751p-8, -0x1.081f7f9499f7cp-8, -0x1.fc5a2e72f4f15p-9, -0x1.e92c71a10cf2ep-9, -0x1.d6afee1fec60ap-9, -0x1.c4def1433c676p-9, -0x1.b3b3ef7d9849ap-9, -0x1.a3298399ab9d9p-9, -0x1.933a6df4be76ap-9, -0x1.83e193bad1d02p-9, -0x1.7519fe2463df5p-9, -0x1.66ded9b5f1b03p-9, -0x1.592b75814a51bp-9, -0x1.4bfb4268ca158p-9, -0x1.3f49d26490783p-9, -0x1.3312d7c9ba422p-9, -0x1.27522493bc085p-9, -0x1.1c03a9afe0fd5p-9, -0x1.1123764aff861p-9, -0x1.06adb7217114bp-9, -0x1.f93d6ba2a5d78p-10, -0x1.e5e5b05e46f96p-10, -0x1.d34d3f397202bp-10, -0x1.c16d50c543483p-10, -0x1.b03f5217e90f3p-10, -0x1.9fbce38921bbap-10, -0x1.8fdfd773bb44cp-10, -0x1.80a230fc042c6p-10, -0x1.71fe22db46bep-10, -0x1.63ee0e3044747p-10, -0x1.566c8154c4a89p-10, -0x1.497436b830e9ap-10, -0x1.3d0013bf45beap-10, -0x1.310b27a8cc907p-10, -0x1.2590aa776c3ep-10, -0x1.1a8bfbe088792p-10, -0x1.0ff8a2402c8c9p-10, -0x1.05d24991f3596p-10, -0x1.f82984de06d17p-11, -0x1.e5780221ec2b4p-11, -0x1.d38838b37acb3p-11, -0x1.c25299c0e8d2ep-11, -0x1.b1cfd806297d1p-11, -0x1.a1f8e5fa0fe98p-11, -0x1.92c6f4051775dp-11, -0x1.84336ec1b951p-11, -0x1.7637fd463d458p-11, -0x1.68ce7f77ea08bp-11, -0x1.5bf10c6782975p-11, -0x1.4f99f0b6f18c7p-11, -0x1.43c3ad080cd51p-11, -0x1.3868f474547a2p-11, -0x1.2d84ab0d92d5p-11, -0x1.2311e4674002bp-11, -0x1.190be2288dc8ap-11, -0x1.0f6e12a6fbb93p-11, -0x1.06340f895a97dp-11, -0x1.fab338e635062p-12, -0x1.e9b54b6f938a5p-12, -0x1.d9667e2d47487p-12, -0x1.c9bf44fc1ee59p-12, -0x1.bab85dade3664p-12, -0x1.ac4acdaf58ce2p-12, -0x1.9e6fdfbd677f7p-12, -0x1.912121a92071ep-12, -0x1.8458622a68755p-12, -0x1.780faec102e5ep-12, -0x1.6c4151a3bbdd3p-12, -0x1.60e7cfbd73ba7p-12, -0x1.55fde6b7c71a5p-12, -0x1.4b7e8b1319253p-12, -0x1.4164e64bb8256p-12, -0x1.37ac550be3a6cp-12, -0x1.2e50656a6faadp-12, -0x1.254cd535c6579p-12, -0x1.1c9d904b09fc4p-12, -0x1.143eaef918cfdp-12, -0x1.0c2c746f32052p-12, -0x1.04634d370300ap-12, -0x1.f9bf9b73b078p-13, -0x1.eb3d61a1779abp-13, -0x1.dd39acbe88a0dp-13, -0x1.cfae83f1a5ccdp-13, -0x1.c29633201c9b9p-13, -0x1.b5eb4860b2a34p-13, -0x1.a9a891821a582p-13, -0x1.9dc919a4873a3p-13, -0x1.924826e5ddec2p-13, -0x1.87213820261f4p-13, -0x1.7c5002b9bf56p-13, -0x1.71d07086f81a7p-13, -0x1.679e9dbc97138p-13, -0x1.5db6d6f2ef499p-13, -0x1.5415973918047p-13, -0x1.4ab78637e3636p-13, -0x1.419976642a4a3p-13, -0x1.38b8634011c62p-13, -0x1.30116faae9884p-13, -0x1.27a1e43f3760dp-13, -0x1.1f672dbea15cfp-13, -0x1.175edb8b57f54p-13, -0x1.0f869e2e951c1p-13, -0x1.07dc45ebf2ed1p-13, -0x1.005dc1612798ep-13, -0x1.f2123863cf00dp-14, -0x1.e3b8fb7f04a0fp-14, -0x1.d5ac4fd80856fp-14, -0x1.c7e8ebd0df64bp-14, -0x1.ba6bb61ba7588p-14, -0x1.ad31c381c4768p-14, -0x1.a03854bf9bcc2p-14, -0x1.937cd4741717p-14, -0x1.86fcd52388f0ap-14, -0x1.7ab60f4d4d4ecp-14, -0x1.6ea65f939f99ep-14, -0x1.62cbc4f51d9f3p-14, -0x1.57245f17726b7p-14, -0x1.4bae6ca2a4d55p-14, -0x1.406849ac8b128p-14, -0x1.35506e33e5f6dp-14, -0x1.2a656caaa95dep-14, -0x1.1fa5f08efa7d3p-14, -0x1.1510bd127217cp-14, -0x1.0aa4abcf2c094p-14, -0x1.0060ab8a3a999p-14, -0x1.ec877e06188f5p-15, -0x1.d899f79ebe56cp-15, -0x1.c4f71286ac0cbp-15, -0x1.b19d3eca9e594p-15, -0x1.9e8b0bda2d2fdp-15, -0x1.8bbf269c316bp-15, -0x1.7938579867281p-15, -0x1.66f581359f944p-15, -0x1.54f59e0bcdabdp-15, -0x1.4337bf4941b27p-15, -0x1.31bb0b2a6e627p-15, -0x1.207ebb839216cp-15, -0x1.0f821c5ba5c58p-15, -0x1.fd89152ff09f7p-16, -0x1.dc8ae56fbfcf7p-16, -0x1.bc089f3fde921p-16, -0x1.9c0152e83a633p-16, -0x1.7c742900b98b4p-16, -0x1.5d60605e2c0f3p-16, -0x1.3ec54c1a093aap-16, -0x1.20a251b3f20a4p-16, -0x1.02f6e74c09398p-16, -0x1.cb8523ea52288p-17, -0x1.9209c83c3add5p-17, -0x1.597af821e7f1bp-17, -0x1.21d8050f11328p-17, -0x1.d640a5522814ep-18, -0x1.6aa6a8804a221p-18, -0x1.00e114dc7d021p-18, -0x1.31de0368ea11ep-19, -0x1.967cc1da4a3a1p-21, 0x1.8bef83425f2c5p-21, 0x1.27f4ad9b9b39ep-19, 0x1.e94ca57f54274p-19, 0x1.5382987542aebp-18, 0x1.b08fdb94d136ep-18, 0x1.05e768ffc6043p-17, 0x1.32a01b3532f34p-17, 0x1.5e726562d164cp-17, 0x1.895ead3abbdecp-17, 0x1.b3655e2ee17c5p-17, 0x1.dc86ea617f9d4p-17, 0x1.0261e5c09381ap-16, 0x1.160e41c8a0d35p-16, 0x1.2948ced00a4bfp-16, 0x1.3c11d7358549bp-16, 0x1.4e69aa7914c4bp-16, 0x1.60509d7dc9f69p-16, 0x1.71c70ac3e2ce2p-16, 0x1.82cd529bb97a2p-16, 0x1.9363db51d16cbp-16, 0x1.a38b11546ea62p-16, 0x1.b3436752fe9cfp-16, 0x1.c28d5657b85d8p-16, 0x1.d1695ddbb1d93p-16, 0x1.dfd803d5cdd5dp-16, 0x1.edd9d4c4bb69bp-16, 0x1.fb6f63b4592abp-16, 0x1.044ca51f62c75p-15, 0x1.0aac1444a82fep-15, 0x1.10d6529ecf58dp-15, 0x1.16cbb6bf99875p-15, 0x1.1c8c9a6ecf859p-15, 0x1.22195aa1c4612p-15, 0x1.277257716680fp-15, 0x1.2c97f40ef2891p-15, 0x1.318a96b7619edp-15, 0x1.364aa8a5afe2p-15, 0x1.3ad896040c64ap-15, 0x1.3f34cddc0c37p-15, 0x1.435fc205f2e7fp-15, 0x1.4759e717289bap-15, 0x1.4b23b44feab34p-15, 0x1.4ebda388503c7p-15, 0x1.5228311cafda4p-15, 0x1.5563dbd97533cp-15, 0x1.587124e67e69ap-15, 0x1.5b508fb206406p-15, 0x1.5e02a1db309dep-15, 0x1.6087e31c459a8p-15, 0x1.62e0dd34a5f3cp-15, 0x1.650e1bd287a75p-15, 0x1.67102c7c84139p-15, 0x1.68e79e7b0663ap-15, 0x1.6a9502c1a17b9p-15, 0x1.6c18ebd8571fp-15, 0x1.6d73edc4de02ep-15, 0x1.6ea69df3e9507p-15, 0x1.6fb1932280bacp-15, 0x1.709565476bac8p-15, 0x1.7152ad7cb948dp-15, 0x1.71ea05e96ccfap-15, 0x1.725c09ab53ccdp-15, 0x1.72a954c10b1dep-15, 0x1.72d283f43d415p-15, 0x1.72d834c418211p-15, 0x1.72bb05500584ep-15, 0x1.727b9442a8b14p-15, 0x1.721a80bd23b91p-15, 0x1.71986a42a9e91p-15, 0x1.70f5f0a466de4p-15, 0x1.7033b3edb25a5p-15, 0x1.6f525450a3eep-15, 0x1.6e527212fa398p-15, 0x1.6d34ad7b614b6p-15, 0x1.6bf9a6bf181bfp-15, 0x1.6aa1fdeff6988p-15, 0x1.692e52ead551p-15, 0x1.679f45465b78bp-15, 0x1.65f57442310f5p-15, 0x1.64317eb698157p-15, 0x1.625403046e3c7p-15, 0x1.605d9f0598271p-15, 0x1.5e4eeffdd3583p-15, 0x1.5c28928bf494dp-15, 0x1.59eb229b908dfp-15, 0x1.57973b570c4e7p-15, 0x1.552d771a1b8c5p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_s_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.5ebe3be55e691p-6, -0x1.08381b4f66c58p-2, -0x1.4290801564155p-1, 0x0p+0, 0x1.40cc78e9f6a94p-2, 0x1.60956c0d6f545p-2, 0x1.50b0f27bb2fecp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1968c7ce35bdbp-2, -0x1.0d32deea23cep-2, -0x1.011039e6d158cp-2, -0x1.ea16e31998efcp-3, -0x1.d25d5abfac143p-3, -0x1.bb0468e401e06p-3, -0x1.a41bb89c33c7ap-3, -0x1.8db26064fdabbp-3, -0x1.77d507b68460cp-3, -0x1.628eab1284bacp-3, -0x1.4de99131971efp-3, -0x1.39eeaa3d72d66p-3, -0x1.26a5487911c37p-3, -0x1.14139b838ad27p-3, -0x1.023ee391d7a23p-3, -0x1.e256935a3e537p-4, -0x1.c1b7b6f1555a7p-4, -0x1.a2a563e615568p-4, -0x1.85221599d5f8dp-4, -0x1.692e93c0033b6p-4, -0x1.4eca03eced5f5p-4, -0x1.35ee8dc338a48p-4, -0x1.1e9fce5706913p-4, -0x1.08d7e82b8be06p-4, -0x1.e91d0fbbacc88p-5, -0x1.c37472618deaep-5, -0x1.a0a4a99c72e14p-5, -0x1.809ed911b4541p-5, -0x1.63547779c983p-5, -0x1.48b44b306c69bp-5, -0x1.30a8c3e3fc1c2p-5, -0x1.1b189f3ce5ff8p-5, -0x1.07e9293b17c96p-5, -0x1.ee011f6d5b93ep-6, -0x1.d08dfcb67753ap-6, -0x1.b74c55d861884p-6, -0x1.a20fd82ce7409p-6, -0x1.90a9ba1bd944p-6, -0x1.82e7a7fcab7bap-6, -0x1.7894b1d7b0c0ep-6, -0x1.717b78af541bfp-6, -0x1.6d685e56bf118p-6, -0x1.6c2ab8b5b4d62p-6, -0x1.6d94b8127cf2cp-6, -0x1.717a6039c6466p-6, -0x1.77b04f1960125p-6, -0x1.800af7b329dbdp-6, -0x1.8a5e99d4ea428p-6, -0x1.967fd59f2ef1p-6, -0x1.a4447a73f423ap-6, -0x1.b3842df62111ep-6, -0x1.c418b1fdd0188p-6, -0x1.d5ddc7f7d64ddp-6, -0x1.e8b0d8dbf1b12p-6, -0x1.fc7095ed245p-6, -0x1.087e5d5561802p-5, -0x1.131affc201af5p-5, -0x1.1dff1a21e1199p-5, -0x1.291c3537b151ep-5, -0x1.34648b627d9c9p-5, -0x1.3fcb0d8f8e001p-5, -0x1.4b435c3791a0cp-5, -0x1.56c1b9cb09511p-5, -0x1.624444cf58f98p-5, -0x1.6dca7fcdb4103p-5, -0x1.793095b2cbaabp-5, -0x1.8469e1935f808p-5, -0x1.8f6bf312938e1p-5, -0x1.9a2ea03605e0dp-5, -0x1.a4abd048301b5p-5, -0x1.aedf10dd2e269p-5, -0x1.b8c50c1b4f364p-5, -0x1.c25af87d292a8p-5, -0x1.cb9e1739fb126p-5, -0x1.d48b50dac4fffp-5, -0x1.dd1ef8cf31632p-5, -0x1.e554ba5675e59p-5, -0x1.ed27ab8c641dfp-5, -0x1.f4927f3b0bda7p-5, -0x1.fb8fcb52f33cp-5, -0x1.010d2c50bcc55p-4, -0x1.0416b8411a8eep-4, -0x1.06e28f6221cf1p-4, -0x1.096f304982442p-4, -0x1.0bbb9e3c102f2p-4, -0x1.0dc7617f3f625p-4, -0x1.0f927d45667a8p-4, -0x1.111d5da0a3148p-4, -0x1.1268c084f81d2p-4, -0x1.13759cfb4e846p-4, -0x1.14450b52621f7p-4, -0x1.14d8307ccd8ep-4, -0x1.15302e0bb961ap-4, -0x1.154e177702356p-4, -0x1.1532ecbd7c813p-4, -0x1.14df99e8176c2p-4, -0x1.1454faa216d12p-4, -0x1.1393e0e41125ep-4, -0x1.129d1d96f0fb9p-4, -0x1.11718a110091bp-4, -0x1.1012115ce2d2cp-4, -0x1.0e7fb8574484fp-4, -0x1.0cbba3dc89414p-4, -0x1.0ac71c7aa511fp-4, -0x1.08a38f6259d0bp-4, -0x1.06528ca02a82dp-4, -0x1.03d5c2ef51fap-4, -0x1.012ef9b68f6b4p-4, -0x1.fcc013ce1e414p-5, -0x1.f6d5ad077e51cp-5, -0x1.f0a28b1558524p-5, -0x1.ea2a73ae485cfp-5, -0x1.e3711cc2e149fp-5, -0x1.dc7a26140a5bbp-5, -0x1.d54915d530588p-5, -0x1.cde157fcbdd1dp-5, -0x1.c6463fafba6f5p-5, -0x1.be7b0a1d1d70dp-5, -0x1.b682e21f2c29bp-5, -0x1.ae60e40d7a7a5p-5, -0x1.a6182149610c8p-5, -0x1.9daba331690fbp-5, -0x1.951e6d48b6629p-5, -0x1.8c737e7b88576p-5, -0x1.83add18024505p-5, -0x1.7ad05c6468ffdp-5, -0x1.71de0f655903cp-5, -0x1.68d9d33762b81p-5, -0x1.5fc686eced22ap-5, -0x1.56a6fdabfe9f1p-5, -0x1.4d7dfc63af1eap-5, -0x1.444e37ad65e76p-5, -0x1.3b1a51fdb0013p-5, -0x1.31e4da3c91a71p-5, -0x1.28b04acfc5744p-5, -0x1.1f7f091408301p-5, -0x1.1653653700c0cp-5, -0x1.0d2f9a5bafe5fp-5, -0x1.0415ceef90039p-5, -0x1.f6102a2eec624p-6, -0x1.e410d63f26c15p-6, -0x1.d23177c115a7ap-6, -0x1.c075be25699aap-6, -0x1.aee1331eaa658p-6, -0x1.9d773b082d1e8p-6, -0x1.8c3b153ecc5e6p-6, -0x1.7b2fdc78f7951p-6, -0x1.6a42159fa688ep-6, -0x1.59a40ce2c2721p-6, -0x1.49403c1687a29p-6, -0x1.3919148ad535bp-6, -0x1.2930dca46cf1ap-6, -0x1.1989b1e6bb56ep-6, -0x1.0a258b543c2dp-6, -0x1.f60c78190ef18p-7, -0x1.d85aec1ae8ap-7, -0x1.bb3999f8e8d19p-7, -0x1.9eab71bb9f148p-7, -0x1.82b33141ea0cap-7, -0x1.675368d7ca0dfp-7, -0x1.4c8e7f25b2697p-7, -0x1.3266b45c29ab6p-7, -0x1.18de24883e527p-7, -0x1.ffed921132336p-8, -0x1.cf64f24bb1eb3p-8, -0x1.a025d3b58e6a3p-8, -0x1.723359c6a78a1p-8, -0x1.45905e616406p-8, -0x1.1a3f6dcf65c74p-8, -0x1.e0858448d4e0ap-9, -0x1.8f387cb9bb1bfp-9, -0x1.409ad3183fde5p-9, -0x1.e95da9a5fb125p-10, -0x1.56ec0e09f1f0bp-10, -0x1.93c4825fb9acfp-11, -0x1.090033ed4459bp-12, 0x1.ffe35c17364b5p-13, 0x1.79ad541f6bcadp-11, 0x1.3453ce5e81a2p-10, 0x1.a67a8a736b6f8p-10, 0x1.09a989556b4e7p-9, 0x1.3d7384f402701p-9, 0x1.6ea0b54437f4dp-9, 0x1.9d373666e2c44p-9, 0x1.c93db5bc95f0dp-9, 0x1.f2bb63abb5769p-9, 0x1.0cdbf29df7592p-8, 0x1.1f1da2efec4cfp-8, 0x1.3026f4de7276fp-8, 0x1.3ffc405ce2faep-8, 0x1.4ea1fd4723854p-8, 0x1.5c1cbe03ac2p-8, 0x1.68712acfdb88ep-8, 0x1.73a3fdc442cbap-8, 0x1.7db9ff944c326p-8, 0x1.86b805095e7abp-8, 0x1.8ea2ed32b3545p-8, 0x1.957fa03e3a5e8p-8, 0x1.9b530eea18dfdp-8, 0x1.a022327b854eep-8, 0x1.a3f20d23cb8e2p-8, 0x1.a6c7aabb243eap-8, 0x1.a8a821b847e87p-8, 0x1.a998944b1f0a5p-8, 0x1.a99e318264868p-8, 0x1.a8be36659b146p-8, 0x1.a6fdeeef4cacbp-8, 0x1.a462b6d607519p-8, 0x1.a0f1fa169e006p-8, 0x1.9cb13534f884fp-8, 0x1.97a5f52c55088p-8, 0x1.91d5d70bff715p-8, 0x1.8b46873f8b183p-8, 0x1.83fdc08565992p-8, 0x1.7c014a98bfccp-8, 0x1.7356f895d5c64p-8, 0x1.6a04a7210907dp-8, 0x1.60103a5b0d4c5p-8, 0x1.557f9bac6951dp-8, 0x1.4a58b773a54p-8, 0x1.3ea17aa0d96f5p-8, 0x1.325fd049debe6p-8, 0x1.25999f4108444p-8, 0x1.1854c7b832e0cp-8, 0x1.0a9720f8d859ep-8, 0x1.f8ccee7126345p-9, 0x1.db911321cd9f1p-9, 0x1.bd86103eeb7d6p-9, 0x1.9eb724a5498d2p-9, 0x1.7f2f6acba47edp-9, 0x1.5ef9d61c91e5fp-9, 0x1.3e2130b430d3ep-9, 0x1.1cb0197f09761p-9, 0x1.f562056f32c5ep-10, 0x1.b05c617b025bfp-10, 0x1.6a63727ef8f8fp-10, 0x1.238b0560e9108p-10, 0x1.b7cd0ffbdc6dcp-11, 0x1.2712121683f9fp-11, 0x1.2a14e155a6dd3p-12, 0x1.dace953199d0ap-19, -0x1.24b1d90c94441p-12, -0x1.276d926c35a4dp-11, -0x1.bd40ac4eb431dp-11, -0x1.29d83c63a798ap-10, -0x1.754df4eea89adp-10, -0x1.c0f151988eeeep-10, -0x1.06593e1720917p-9, -0x1.2c40fae52e7e2p-9, -0x1.52284b260ee4bp-9, -0x1.7807c5fb7783dp-9, -0x1.9dd82d9d60ef7p-9, -0x1.c3926f524119ap-9, -0x1.e92fa37a6b76bp-9, -0x1.075486d6594c6p-8, -0x1.19fc0e70ef2a3p-8, -0x1.2c8b35d6bfc09p-8, -0x1.3efee04003b8p-8, -0x1.515406f80ffe4p-8, -0x1.6387b983fd078p-8, -0x1.75971dc9dde41p-8, -0x1.877f7036fa033p-8, -0x1.993e03e3cbd7fp-8, -0x1.aad042b46171bp-8, -0x1.bc33ad73eec02p-8, -0x1.cd65dbeaa753cp-8, -0x1.de647cecc8a9cp-8, -0x1.ef2d566235b2ap-8, -0x1.ffbe4546392d6p-8, -0x1.080a9ecf407fbp-7, -0x1.10182534ced79p-7, -0x1.1806c6c242f8dp-7, -0x1.1fd59fc3bbe4ep-7, -0x1.2783d7cd1230bp-7, -0x1.2f10a19fd084dp-7, -0x1.367b3b0d36cf1p-7, -0x1.3dc2ecd48e3a6p-7, -0x1.44e70a7e338aep-7, -0x1.4be6f23375fc2p-7, -0x1.52c20c93c679fp-7, -0x1.5977cc87a3937p-7, -0x1.6007af1161d1bp-7, -0x1.66713b1c726f4p-7, -0x1.6cb4014b3eaep-7, -0x1.72cf9bc413eb4p-7, -0x1.78c3adfd791d7p-7, -0x1.7e8fe489e81a2p-7, -0x1.8433f4e389abdp-7, -0x1.89af9d37ec078p-7, -0x1.8f02a433fe379p-7, -0x1.942cd8d05ff87p-7, -0x1.992e121e509dbp-7, -0x1.9e062f153054dp-7, -0x1.a2b5166093c67p-7, -0x1.a73ab62f4e017p-7, -0x1.ab97040305baep-7, -0x1.afc9fc80b9cefp-7, -0x1.b3d3a341dc584p-7, -0x1.b7b402a662a9cp-7, -0x1.bb6b2ba75993bp-7, -0x1.bef935aa309d7p-7, -0x1.c25e3e54b25b7p-7, -0x1.c59a69618c523p-7, -0x1.c8ade0754607ep-7, -0x1.cb98d2f3aa159p-7, -0x1.ce5b75d5c89fdp-7, -0x1.d0f6038018c52p-7, -0x1.d368bb98fb292p-7, -0x1.d5b3e2df8174dp-7, -0x1.d7d7c3026cbb1p-7, -0x1.d9d4aa774da36p-7, -0x1.dbaaec51d8a78p-7, -0x1.dd5ae01b3d217p-7, -0x1.dee4e1a9c6f13p-7, -0x1.e04950f85b8a7p-7, -0x1.e1888d58a9614p-7, -0x1.e2a30783a2c6ep-7, -0x1.e39926c0d72a8p-7, -0x1.e46b5a09d079ap-7, -0x1.e51a13b419e9fp-7, -0x1.e5a5c94973fdp-7, -0x1.e60ef3601d9fcp-7, -0x1.e6560d735e077p-7, -0x1.e67b95bc2ab48p-7, -0x1.e6800d0a31617p-7, -0x1.e663f69cfb479p-7, -0x1.e627d7fd72e6fp-7, -0x1.e5cc38d7b466cp-7, -0x1.e551a2d547824p-7, -0x1.e4b8a177a8463p-7, -0x1.e401c1f33d954p-7, -0x1.e32d930ad3f68p-7, -0x1.e23ca4eb7547bp-7, -0x1.e12f8908d4359p-7, -0x1.e006d1fa1e70fp-7, -0x1.dec313578e4b5p-7, -0x1.dd64e19850c48p-7, -0x1.dbecd1f12aff9p-7, -0x1.da5b7a33a6d36p-7, -0x1.d8b170addfcbdp-7, -0x1.d6ef4c0b0f926p-7, -0x1.d515a33496304p-7, -0x1.d3250d33dc747p-7, -0x1.d11e2114df3d2p-7, -0x1.cf0175c956f88p-7, -0x1.cccfa20cca2dfp-7, -0x1.ca893c4944b0ep-7, -0x1.c82eda7cdae53p-7, -0x1.c5c1121ff4dcfp-7, -0x1.c340780c7c0bdp-7, -0x1.c0ada065be886p-7, -0x1.be091e814fa0cp-7, -0x1.bb5384d08d193p-7, -0x1.b88d64cb57393p-7, -0x1.b5b74edb542d7p-7, -0x1.b2d1d2485dc68p-7, -0x1.afdd7d25b2d7dp-7, -0x1.acdadc402481ep-7, -0x1.a9ca7b0d3e003p-7, -0x1.a6ace39b42626p-7, -0x1.a3829e82387d5p-7, -0x1.a04c32d5dc424p-7, -0x1.9d0a26188a9a3p-7, -0x1.99bcfc2f1c81ap-7, -0x1.96653755c5194p-7, -0x1.93035815c2d23p-7, -0x1.8f97dd3c21a1ep-7, -0x1.8c2343d164054p-7, -0x1.88a607120357bp-7, -0x1.8520a067e945ap-7, -0x1.81938764b5503p-7, -0x1.7dff31bcfe3ccp-7, -0x1.7a64134449119p-7, -0x1.76c29de9d1c55p-7, -0x1.731b41b633b46p-7, -0x1.6f6e6cc9b2871p-7, -0x1.6bbc8b5b373cap-7, -0x1.680607b82322p-7, -0x1.644b4a447739dp-7, -0x1.608cb97bf086cp-7, -0x1.5ccab9f35f718p-7, -0x1.5905ae5ab4bc8p-7, -0x1.553df77f65b9p-7, -0x1.5173f44f51f6fp-7, -0x1.4da801dbfd65fp-7, -0x1.49da7b5e1ee77p-7, -0x1.460bba3982568p-7, -0x1.423c16010c79bp-7, -0x1.3e6be47b1a948p-7, -0x1.3a9b79a5ee7eep-7, -0x1.36cb27bc39b31p-7, -0x1.32fb3f39c6e5fp-7, -0x1.2f2c0ee01d924p-7, -0x1.2b5de3bb425dp-7, -0x1.279109265012bp-7, -0x1.23c5c8d015fd1p-7, -0x1.1ffc6abf9d5p-7, -0x1.1c35355882d14p-7, -0x1.18706d5f4cb3dp-7, -0x1.14ae55fd79f03p-7, -0x1.10ef30c581023p-7, -0x1.0d333db67b308p-7, -0x1.097abb3fd696cp-7, -0x1.05c5e64494373p-7, -0x1.0214fa1e951bap-7, -0x1.fcd06142e39c4p-8, -0x1.f57f843aaa659p-8, -0x1.ee37cac3066fep-8, -0x1.e6f99f7d87099p-8, -0x1.dfc56a12eaec7p-8, -0x1.d89b8f377f62ap-8, -0x1.d17c70aeb239cp-8, -0x1.ca686d4e74fc3p-8, -0x1.c35fe1029e7a5p-8, -0x1.bc6324cfd6f3ap-8, -0x1.b5728ed651953p-8, -0x1.ae8e7254b0316p-8, -0x1.a7b71faa684dp-8, -0x1.a0ece45a7d2e5p-8, -0x1.9a300b0de2a9dp-8, -0x1.9380db9633409p-8, -0x1.8cdf9af038ecbp-8, -0x1.864c8b46c03d7p-8, -0x1.7fc7ebf58798dp-8, -0x1.7951f98c54c54p-8, -0x1.72eaedd24bc08p-8, -0x1.6c92ffc99aep-8, -0x1.664a63b332c37p-8, -0x1.60114b133daf1p-8, -0x1.59e7e4b5891a9p-8, -0x1.53ce5cb274639p-8, -0x1.4dc4dc744d464p-8, -0x1.47cb8abd1554p-8, -0x1.41e28bac85e63p-8, -0x1.3c0a00c6bcf3fp-8, -0x1.364208fb242bcp-8, -0x1.308ac0abfbdeap-8, -0x1.2ae441b626603p-8, -0x1.254ea3797b5aep-8, -0x1.1fc9fae182294p-8, -0x1.1a565a6e9c35dp-8, -0x1.14f3d23f82f49p-8, -0x1.0fa2701b5b0a6p-8, -0x1.0a623f7bf315ep-8, -0x1.053349987d796p-8, -0x1.00159570bd43fp-8, -0x1.f6124fb02b19fp-9, -0x1.ec1c070330c79p-9, -0x1.e2485217913ecp-9, -0x1.d8972e19c353bp-9, -0x1.cf08943eba706p-9, -0x1.c59c79dcce8d8p-9, -0x1.bc52d0862659bp-9, -0x1.b32b86224ed68p-9, -0x1.aa268508a8e08p-9, -0x1.a143b41b2196fp-9, -0x1.9882f6e08de07p-9, -0x1.8fe42d9fed4efp-9, -0x1.8767357b21f76p-9, -0x1.7f0be889fdda8p-9, -0x1.76d21df50f90dp-9, -0x1.6eb9aa10c5a8p-9, -0x1.66c25e781747ap-9, -0x1.5eec0a2722b32p-9, -0x1.57367995c08ap-9, -0x1.4fa176d1e4edcp-9, -0x1.482cc9995193bp-9, -0x1.40d83773b3ecfp-9, -0x1.39a383cbd37ddp-9, -0x1.328e7008df2abp-9, -0x1.2b98bba70ae1ep-9, -0x1.24c22450015bdp-9, -0x1.1e0a65f2e9c53p-9, -0x1.17713adbab322p-9, -0x1.10f65bca697bbp-9, -0x1.0a998009fc597p-9, -0x1.045a5d861b0a3p-9, -0x1.fc7151c244319p-10, -0x1.f0682b128242ap-10, -0x1.e498ab9a85638p-10, -0x1.d90235e180384p-10, -0x1.cda42a7fc602cp-10, -0x1.c27de8451c9a1p-10, -0x1.b78ecc5eb0ee8p-10, -0x1.acd6327ac9f78p-10, -0x1.a25374ecb3ed5p-10, -0x1.9805eccf150f3p-10, -0x1.8decf2255839bp-10, -0x1.8407dbfc32eeap-10, -0x1.7a560088eb9aep-10, -0x1.70d6b54828847p-10, -0x1.67894f1b530dcp-10, -0x1.5e6d226546d41p-10, -0x1.558183260a3bdp-10, -0x1.4cc5c515a4aep-10, -0x1.44393bbe19493p-10, -0x1.3bdb3a9446f8cp-10, -0x1.33ab15107d1bep-10, -0x1.2ba81ec5a5a3ap-10, -0x1.23d1ab77f7d76p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29fd18f63649bp-2, -0x1.1dd5f6e7a2481p-2, -0x1.11939d38dfef1p-2, -0x1.053f5dba1b7c8p-2, -0x1.f1c3d7ceac439p-3, -0x1.d906b3b0f2ca7p-3, -0x1.c056e92198cfbp-3, -0x1.a7c2e8246fb15p-3, -0x1.8f5809d6ba30cp-3, -0x1.7722e24002da5p-3, -0x1.5f2f27576c07p-3, -0x1.47879bb783bcdp-3, -0x1.303628570a4cep-3, -0x1.1943f0c235ca3p-3, -0x1.02b9504c0d1dp-3, -0x1.d93bb4bc4a355p-4, -0x1.adf0d0e7a527dp-4, -0x1.839e42c5d4e14p-4, -0x1.5a4ef763a5aa5p-4, -0x1.320c98c3b5196p-4, -0x1.0adf9a6f0df2bp-4, -0x1.c99da1e586028p-5, -0x1.7fc330656f967p-5, -0x1.3837fa6b056bap-5, -0x1.e606f4d8637c1p-6, -0x1.6057cb59e18f7p-6, -0x1.bed888662dbecp-7, -0x1.8d2b20f0932a1p-8, 0x1.40a46559ce43bp-10, 0x1.0d2907267dcaep-7, 0x1.e8b1b7a6f7efbp-7, 0x1.5d5ea63cc4ea6p-6, 0x1.c1af00022b03ap-6, 0x1.10aa5040b6558p-5, 0x1.3e2e067c2cca5p-5, 0x1.6969f1192befep-5, 0x1.926677abb7056p-5, 0x1.b92d039304e9dp-5, 0x1.ddc7cd466a6e6p-5, 0x1.0020d1ffae96dp-4, 0x1.1052e1f6069f2p-4, 0x1.1f7fe1d214b5p-4, 0x1.2dadca21e3428p-4, 0x1.3ae2c4176ac74p-4, 0x1.47252a94eb278p-4, 0x1.527b85e5f52p-4, 0x1.5cec823c4e5cep-4, 0x1.667ee37fa2c28p-4, 0x1.6f397a0c6d57ep-4, 0x1.77231b0d574e9p-4, 0x1.7e429cbf95cb5p-4, 0x1.849ed4e8ce5c2p-4, 0x1.8a3e97696cd63p-4, 0x1.8f28b3ec3aba8p-4, 0x1.9363f2e495208p-4, 0x1.96f7125fdee62p-4, 0x1.99e8c2d3c56a3p-4, 0x1.9c3fa3ced78fap-4, 0x1.9e0240a5f3291p-4, 0x1.9f370d9708865p-4, 0x1.9fe465dfb80d4p-4, 0x1.a0108ad66ffffp-4, 0x1.9fc1a38ac0a55p-4, 0x1.9ef9ba985dbc2p-4, 0x1.9dc6f2b4ad5d2p-4, 0x1.9c2b8023c55f3p-4, 0x1.9a2cee46bb68fp-4, 0x1.97d09ba1696d9p-4, 0x1.951bc26d2a0d4p-4, 0x1.921380a589a47p-4, 0x1.8ebcde4f248ecp-4, 0x1.8b1cd1391842dp-4, 0x1.87383dff31571p-4, 0x1.8313f6872dacbp-4, 0x1.7eb4b6878d82fp-4, 0x1.7a1f1ed6c1624p-4, 0x1.7557b04ec9719p-4, 0x1.7062c70101f36p-4, 0x1.6b44964ec8bb1p-4, 0x1.66012646ceda3p-4, 0x1.609c526e5f723p-4, 0x1.5b19c9eb26dffp-4, 0x1.557d10dad2e05p-4, 0x1.4fc9828cc0e7dp-4, 0x1.4a025445c5e95p-4, 0x1.442a9834ea41dp-4, 0x1.3e454047c704bp-4, 0x1.3855209c6574ep-4, 0x1.325cf16350074p-4, 0x1.2c5f501c4b5dp-4, 0x1.265ec02fff9f8p-4, 0x1.205daafce91c8p-4, 0x1.1a5e5f7c5e272p-4, 0x1.146311ab1d426p-4, 0x1.0e6dd9e0be7cbp-4, 0x1.0880b43b8973ep-4, 0x1.029d803d1b9bp-4, 0x1.f98c01540f56ep-5, 0x1.edf7b769bb641p-5, 0x1.e28136e9d401fp-5, 0x1.d72b5d4473df2p-5, 0x1.cbf8d31742389p-5, 0x1.c0ec0e6fb755ap-5, 0x1.b6075541f5db2p-5, 0x1.ab4cbff1b628cp-5, 0x1.a0be3bcda9cf6p-5, 0x1.965d8d63cffbfp-5, 0x1.8c2c529d61834p-5, 0x1.822c049a2cb81p-5, 0x1.785df94b85487p-5, 0x1.6ec364d5a321dp-5, 0x1.655d5ac20750ap-5, 0x1.5c2ccf0f8b76dp-5, 0x1.5332972c0d064p-5, 0x1.4a6f6ae2388c8p-5, 0x1.41e3e54389341p-5, 0x1.399085942d76ep-5, 0x1.3175b03c77db2p-5, 0x1.2993afc1e2593p-5, 0x1.21eab5c8de9bfp-5, 0x1.1a7adc2006e32p-5, 0x1.134425d4f8b4cp-5, 0x1.0c46805286b0fp-5, 0x1.0581c4872379bp-5, 0x1.fdeb702202eb9p-6, 0x1.f1441cd854d5dp-6, 0x1.e50cd43ae9132p-6, 0x1.d944bbaa0d993p-6, 0x1.cdeadb065b601p-6, 0x1.c2fe1eb776476p-6, 0x1.b87d598c12061p-6, 0x1.ae674673ac08cp-6, 0x1.a4ba8a1686247p-6, 0x1.9b75b452f567ep-6, 0x1.929741a7812fdp-6, 0x1.8a1d9c915b4d7p-6, 0x1.82071ee3cd538p-6, 0x1.7a52131a9011p-6, 0x1.72fcb5a73068dp-6, 0x1.6c053636e7d66p-6, 0x1.6569b8ee1e5ffp-6, 0x1.5f285796e893dp-6, 0x1.593f22c0d93cep-6, 0x1.53ac22d1fc955p-6, 0x1.4e6d5909d0143p-6, 0x1.4980c07867ab2p-6, 0x1.44e44eebf909p-6, 0x1.409326d26cfaap-6, 0x1.3c91425824775p-6, 0x1.38d9650346703p-6, 0x1.356971419a71bp-6, 0x1.323f4855685bep-6, 0x1.2f58cb6a2a449p-6, 0x1.2cb3dc9597af3p-6, 0x1.2a4e5fc2cf6b4p-6, 0x1.28263b8547259p-6, 0x1.263959d2d0c01p-6, 0x1.2485a8a521cf1p-6, 0x1.23091a82d1f93p-6, 0x1.21c1a6f274786p-6, 0x1.20ad4ad8b43fap-6, 0x1.1fca08c4f8318p-6, 0x1.1f15e92ea2b08p-6, 0x1.1e8efaa60e08dp-6, 0x1.1e3351fbfe5acp-6, 0x1.1e010a627c138p-6, 0x1.1df6458940c22p-6, 0x1.1e112bb826744p-6, 0x1.1e4febe951688p-6, 0x1.1eb0bbe46ac8fp-6, 0x1.1f31d85c2c9a9p-6, 0x1.1fd1850ea4374p-6, 0x1.208e0ce86edf8p-6, 0x1.2165c22b34a6p-6, 0x1.2256fe96943b3p-6, 0x1.23602393133a8p-6, 0x1.247f9a5ebf3cp-6, 0x1.25b3d439ed285p-6, 0x1.26fb4a938d96dp-6, 0x1.28547f346beadp-6, 0x1.29bdfc679ef9ep-6, 0x1.2b36552053576p-6, 0x1.2cbc251b3122p-6, 0x1.2e4e10fb9923p-6, 0x1.2feac663a567ep-6, 0x1.3190fc06e4e37p-6, 0x1.333f71b770fbp-6, 0x1.34f4f06d8c25ep-6, 0x1.36b04a499423p-6, 0x1.38705a90aa4a2p-6, 0x1.3a3405a438ab6p-6, 0x1.3bfa38f4ed657p-6, 0x1.3dc1eaf142b68p-6, 0x1.3f8a1af05fd9fp-6, 0x1.4151d1199207ap-6, 0x1.43181e494fa6p-6, 0x1.44dc1bf3cb50ep-6, 0x1.469cec05d5677p-6, 0x1.4859b8c4d616cp-6, 0x1.4a11b4adb7c4cp-6, 0x1.4bc41a538142ep-6, 0x1.4d702c3e1e721p-6, 0x1.4f1534c8fb297p-6, 0x1.50b2860271ecbp-6, 0x1.5247798b69c76p-6, 0x1.53d37077ce4d7p-6, 0x1.5555d32f7e881p-6, 0x1.56ce11500fb15p-6, 0x1.583ba18ef0584p-6, 0x1.599e019c2e11cp-6, 0x1.5af4b6058d7e6p-6, 0x1.5c3f4a19de207p-6, 0x1.5d7d4fccab153p-6, 0x1.5eae5f99b4369p-6, 0x1.5fd218687603bp-6, 0x1.60e81f6f5e80fp-6, 0x1.61f02016e4897p-6, 0x1.62e9cbdbfdfbfp-6, 0x1.63d4da3234176p-6, 0x1.64b1086532d8ap-6, 0x1.657e1979cc4f1p-6, 0x1.663bd60e45b05p-6, 0x1.66ea0c3a31044p-6, 0x1.67888f6db0ee2p-6, 0x1.681738501d6d4p-6, 0x1.6895e49e52c4ap-6, 0x1.69047708826bap-6, 0x1.6962d70fae267p-6, 0x1.69b0f0e2d501bp-6, 0x1.69eeb53c13a3bp-6, 0x1.6a1c193d86b11p-6, 0x1.6a39164e321e4p-6, 0x1.6a45a9f6fb813p-6, 0x1.6a41d5bfdb45dp-6, 0x1.6a2d9f0d2197p-6, 0x1.6a090efd209bfp-6, 0x1.69d432462f5fbp-6, 0x1.698f1915099cp-6, 0x1.6939d6ebbb8c6p-6, 0x1.68d48280fcf07p-6, 0x1.685f35a0197e6p-6, 0x1.67da0d09785f1p-6, 0x1.67452853b49ecp-6, 0x1.66a0a9cd4acdp-6, 0x1.65ecb65ee929bp-6, 0x1.6529756e4df6dp-6, 0x1.645710c1e2617p-6, 0x1.6375b464d4c81p-6, 0x1.62858e8bc126bp-6, 0x1.6186cf7a13488p-6, 0x1.6079a967cd9a3p-6, 0x1.5f5e506802b8fp-6, 0x1.5e34fa4fbc13dp-6, 0x1.5cfdde9d6f66p-6, 0x1.5bb93660fed21p-6, 0x1.5a673c240ed5ep-6, 0x1.59082bd31a3e8p-6, 0x1.579c42a6c082ep-6, 0x1.5623bf0d9e0bdp-6, 0x1.549ee096a48d3p-6, 0x1.530de7dbd6987p-6, 0x1.5171166d64fe2p-6, 0x1.4fc8aebd6ebd7p-6, 0x1.4e14f40bf93efp-6, 0x1.4c562a53781cap-6, 0x1.4a8c9635bc5b6p-6, 0x1.48b87ce957bffp-6, 0x1.46da24275e6f5p-6, 0x1.44f1d219cbd0ap-6, 0x1.42ffcd4a1ce9ap-6, 0x1.41045c9090cdbp-6, 0x1.3effc703c1b65p-6, 0x1.3cf253e8b9f5bp-6, 0x1.3adc4aa38f4ffp-6, 0x1.38bdf2a85d54ap-6, 0x1.3697936cce91p-6, 0x1.34697459f5466p-6, 0x1.3233dcbee3885p-6, 0x1.2ff713c36cdeap-6, 0x1.2db3605b8a74ep-6, 0x1.2b69093b2dc4dp-6, 0x1.291854ca7eea5p-6, 0x1.26c1891a98ed6p-6, 0x1.2464ebdab80b6p-6, 0x1.2202c24dbf425p-6, 0x1.1f9b514063399p-6, 0x1.1d2edcff8aa61p-6, 0x1.1abda94f394e6p-6, 0x1.1847f961dc2adp-6, 0x1.15ce0fcffe5f4p-6, 0x1.13502e905a636p-6, 0x1.10ce96f064e82p-6, 0x1.0e49898d2037fp-6, 0x1.0bc1464c5bf4fp-6, 0x1.09360c5645102p-6, 0x1.06a81a0f643a3p-6, 0x1.0417ad12d6bd6p-6, 0x1.0185022cf956p-6, 0x1.fde0aaac9db61p-7, 0x1.f8b3c35d862cdp-7, 0x1.f383c2f271cf9p-7, 0x1.ee511c2ec32ddp-7, 0x1.e91c400bbee22p-7, 0x1.e3e59db1713e3p-7, 0x1.deada26fdbbd7p-7, 0x1.d974b9b9256cbp-7, 0x1.d43b4d1bc9e95p-7, 0x1.cf01c43d9a13cp-7, 0x1.c9c884d719a46p-7, 0x1.c48ff2af65451p-7, 0x1.bf586f9879c5fp-7, 0x1.ba225b6c0c485p-7, 0x1.b4ee14089243p-7, 0x1.afbbf54f19d18p-7, 0x1.aa8c59212d456p-7, 0x1.a55f979989a11p-7, 0x1.a036061c9744ep-7, 0x1.9b0ff8c51f2fp-7, 0x1.95edc16acd7fp-7, 0x1.90cfafe1c4579p-7, 0x1.8bb611face891p-7, 0x1.86a13383e815ap-7, 0x1.81915e492d71dp-7, 0x1.7c86da160ceb4p-7, 0x1.7781ecb6c9afep-7, 0x1.7282d9fa4ad49p-7, 0x1.6d89e3b430ba5p-7, 0x1.689749bf21569p-7, 0x1.63ab49ff867b2p-7, 0x1.5ec620664ab54p-7, 0x1.59e806f40afd2p-7, 0x1.551135bc729dfp-7, 0x1.5041e2e9c426ap-7, 0x1.4b7a42c0c20f4p-7, 0x1.46ba87a48c3efp-7, 0x1.4202e21b02018p-7, 0x1.3d5380d11e384p-7, 0x1.38ac909f8f362p-7, 0x1.340e3c8f8a48bp-7, 0x1.2f78addfba467p-7, 0x1.2aec0c097ced7p-7, 0x1.26687cc601db4p-7, 0x1.21ee2413eb23fp-7, 0x1.1d7d243cce1a3p-7, 0x1.19159ddae9029p-7, 0x1.14b7afdf1917ap-7, 0x1.10637796c29f4p-7, 0x1.0c1910b1f4405p-7, 0x1.07d89549a0dccp-7, 0x1.03a21de5ef3c3p-7, 0x1.feeb83094ae03p-8, 0x1.f6a72b3f5699bp-8, 0x1.ee775c674bdfbp-8, 0x1.e65c3b8d41d8dp-8, 0x1.de55eadd8fe01p-8, 0x1.d66489b287bbep-8, 0x1.ce8834a20ceep-8, 0x1.c6c1058b7141ap-8, 0x1.bf0f13a5805b4p-8, 0x1.b772738c502bfp-8, 0x1.afeb374f5df4ep-8, 0x1.a8796e7faf3b6p-8, 0x1.a11d263de852cp-8, 0x1.99d669489500bp-8, 0x1.92a5400a2d939p-8, 0x1.8b89b0a73b7f1p-8, 0x1.8483bf0cbbe6p-8, 0x1.7d936cfe06927p-8, 0x1.76b8ba22fd44ap-8, 0x1.6ff3a4160e40dp-8, 0x1.694426723ba65p-8, 0x1.62aa3ae0ef43cp-8, 0x1.5c25d927dcc5fp-8, 0x1.55b6f736b8d6fp-8, 0x1.4f5d8934cde4fp-8, 0x1.4919818e9522cp-8, 0x1.42ead10303d07p-8, 0x1.3cd166b0d643fp-8, 0x1.36cd3023a64e2p-8, 0x1.30de1960f195ap-8, 0x1.2b040cf4d9923p-8, 0x1.253ef3fed6de2p-8, 0x1.1f8eb63e2358ep-8, 0x1.19f33a1e0cebfp-8, 0x1.146c64c227625p-8, 0x1.0efa1a121bba9p-8, 0x1.099c3cc57c8aep-8, 0x1.0452ae6f45f31p-8, 0x1.fe3a9f129ef8dp-9, 0x1.f3f7fefeade7dp-9, 0x1.e9dd3973fdc44p-9, 0x1.dfea0953140aep-9, 0x1.d61e27a0d656bp-9, 0x1.cc794b9b6b963p-9, 0x1.c2fb2acdf1345p-9, 0x1.b9a37924c3be5p-9, 0x1.b071e900c2e56p-9, 0x1.a7662b4a7efbp-9, 0x1.9e7fef8498f38p-9, 0x1.95bee3de0fd4bp-9, 0x1.8d22b5443e347p-9, 0x1.84ab0f74052b9p-9, 0x1.7c579d0af5993p-9, 0x1.74280797aacbp-9, 0x1.6c1bf7aa8a7b1p-9, 0x1.643314e574551p-9, 0x1.5c6d060aee514p-9, 0x1.54c9710dcc589p-9, 0x1.4d47fb1fcda2p-9, 0x1.45e848c049d38p-9, 0x1.3ea9fdc9c89ap-9, 0x1.378cbd8048e4fp-9, 0x1.30902a9e9fa34p-9, 0x1.29b3e763895f6p-9, 0x1.22f7959ebcfc4p-9, 0x1.1c5ad6bd2c774p-9, 0x1.15dd4bd58c083p-9, 0x1.0f7e95b418ba4p-9, 0x1.093e54e66d17ep-9, 0x1.031c29c6da8dp-9, 0x1.fa2f690ef9f69p-10, 0x1.ee612a7a993c3p-10, 0x1.e2ccd7d4ff747p-10, 0x1.d771b11216883p-10, 0x1.cc4ef62953d9dp-10, 0x1.c163e729cf61dp-10, 0x1.b6afc44ce07dcp-10, 0x1.ac31ce0975a54p-10, 0x1.a1e94525f0b1cp-10, 0x1.97d56aca188a5p-10, 0x1.8df58090c3e13p-10, 0x1.8448c897b0b18p-10, 0x1.7ace8592246efp-10, 0x1.7185fad61db8dp-10, 0x1.686e6c6d9542p-10, 0x1.5f871f2577812p-10, 0x1.56cf589bc093fp-10, 0x1.4e465f4e151b8p-10, 0x1.45eb7aa766c74p-10, 0x1.3dbdf30d6f36dp-10, 0x1.35bd11ed13a31p-10, 0x1.2de821c7d23d8p-10, 0x1.263e6e3f1200ap-10, 0x1.1ebf441f89056p-10, 0x1.1769f16d2c34p-10, 0x1.103dc56deef76p-10, 0x1.093a10b36615ap-10, 0x1.025e252535c29p-10, 0x1.f752ac151df47p-11, 0x1.ea35f02683cb7p-11, 0x1.dd64c2c0349c4p-11, 0x1.d0ddd3191ecf7p-11, 0x1.c49fd369206ap-11, 0x1.b8a978fad4b1fp-11, 0x1.acf97c388d228p-11, 0x1.a18e98bbc8c31p-11, 0x1.96678d56ecd7dp-11, 0x1.8b831c22e8123p-11, 0x1.80e00a8a08c8bp-11, 0x1.767d215247921p-11, 0x1.6c592ca7109f5p-11, 0x1.6272fc21ff185p-11, 0x1.58c962d2fca58p-11, 0x1.4f5b3748abbbcp-11, 0x1.46275395bc6d4p-11, 0x1.3d2c9558766dep-11, 0x1.3469ddbf47bbcp-11, 0x1.2bde118e5fb1bp-11, 0x1.238819233f74cp-11, 0x1.1b66e078efaabp-11, 0x1.1379572a8f4cbp-11, 0x1.0bbe7075dfffep-11, 0x1.0435233d6fcd4p-11, 0x1.f9b8d411d78b1p-12, 0x1.eb66861196767p-12, 0x1.dd716023b0973p-12, 0x1.cfd76d41ad2f6p-12, 0x1.c296bfb02048p-12, 0x1.b5ad70fbc071ap-12, 0x1.a919a1f87646bp-12, 0x1.9cd97abb24d8bp-12, 0x1.90eb2a94f9ee6p-12, 0x1.854ce80d0b34cp-12, 0x1.79fcf0db16d2dp-12, 0x1.6ef989ddaba6p-12, 0x1.6440ff135736ap-12, 0x1.59d1a3914465bp-12, 0x1.4fa9d17989f1cp-12, 0x1.45c7e9f086af6p-12, 0x1.3c2a55131c3d1p-12, 0x1.32cf81e95046ap-12, 0x1.29b5e65b63d69p-12, 0x1.20dbff24db486p-12, 0x1.18404fc75189bp-12, 0x1.0fe1627ccff55p-12, 0x1.07bdc82976fd7p-12, 0x1.ffa8309a522d9p-13, 0x1.f045e1e777921p-13, 0x1.e151ed5686187p-13, 0x1.d2c9a8d3470d9p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.89e26b522cd41p-2, -0x1.8500aa8dd08aap-2, -0x1.8001dcdb2c64dp-2, -0x1.7ae91d5040bf6p-2, -0x1.75b8f9366d65bp-2, -0x1.70741768c1e16p-2, -0x1.6b1cfff627e7dp-2, -0x1.65b61746605f5p-2, -0x1.6041b3922a0e1p-2, -0x1.5ac20e4627094p-2, -0x1.5539494d216f7p-2, -0x1.4fa96e09ba846p-2, -0x1.4a146e790020ep-2, -0x1.447c252c5df2ap-2, -0x1.3ee25560719c1p-2, -0x1.3948acd8f877ap-2, -0x1.33b0c1d451df3p-2, -0x1.2e1c143c14237p-2, -0x1.288c12b25bb01p-2, -0x1.2302153bf43b2p-2, -0x1.1d7f5bcaa4b46p-2, -0x1.180519c547d52p-2, -0x1.12946b1ffc753p-2, -0x1.0d2e59668d69bp-2, -0x1.07d3dde36830ep-2, -0x1.0285e16f842c9p-2, -0x1.fa8a77ba9c4adp-3, -0x1.f02567fb7a77dp-3, -0x1.e5de00e154ea6p-3, -0x1.dbb59199277adp-3, -0x1.d1ad4d5ca34cdp-3, -0x1.c7c64cdb1d5e8p-3, -0x1.be018ee405b5ap-3, -0x1.b45ff8bc91cadp-3, -0x1.aae256a706465p-3, -0x1.a1895cdc4dd1dp-3, -0x1.9855a8e45c55dp-3, -0x1.8f47c31481fb8p-3, -0x1.86601feffa203p-3, -0x1.7d9f213e2855fp-3, -0x1.750516dfae3d1p-3, -0x1.6c923f86c7d58p-3, -0x1.6446c96abb54dp-3, -0x1.5c22d30ccb79bp-3, -0x1.54266c2847355p-3, -0x1.4c5196c4a9c7fp-3, -0x1.44a4483401e7bp-3, -0x1.3d1e69d7664b1p-3, -0x1.35bfd9c458c65p-3, -0x1.2e886b7fcef27p-3, -0x1.2777e8d437481p-3, -0x1.208e12903d07ap-3, -0x1.19caa108ac18cp-3, -0x1.132d447997fdbp-3, -0x1.0cb5a5890d868p-3, -0x1.066366091c1d3p-3, -0x1.003621cf40e03p-3, -0x1.f45adeb0beb37p-4, -0x1.e891c02f948b6p-4, -0x1.dd10012afcbe2p-4, -0x1.d1d4b14682451p-4, -0x1.c6ded7ac388b9p-4, -0x1.bc2d746bdab58p-4, -0x1.b1bf8d921b59cp-4, -0x1.a793f466c2924p-4, -0x1.9da9b2c3d1e35p-4, -0x1.93ffb5dfdc2bep-4, -0x1.8a94e67308522p-4, -0x1.8168292ae8967p-4, -0x1.78785f39a9a78p-4, -0x1.6fc466fbd0b32p-4, -0x1.674b1caa8734dp-4, -0x1.5f0b5b0e0c0f8p-4, -0x1.5703fc24e2b43p-4, -0x1.4f33d9b893009p-4, -0x1.4799cdddacacap-4, -0x1.4034b3602e42ap-4, -0x1.3903661e2b80ep-4, -0x1.3204c351dab07p-4, -0x1.2b37a9cc65f93p-4, -0x1.249afa24208b1p-4, -0x1.1e2d96dac018cp-4, -0x1.17ee648154f13p-4, -0x1.11dc49ded6294p-4, -0x1.0bf6301b9e789p-4, -0x1.063b02f1d428dp-4, -0x1.00a9b0e077e7ap-4, -0x1.f68256bddd203p-5, -0x1.ec00ce1e67dp-5, -0x1.e1ccb7db7ce36p-5, -0x1.d7e40afcf8fedp-5, -0x1.ce44c5ecc5ccap-5, -0x1.c4eceec1502cfp-5, -0x1.bbda937dee8d9p-5, -0x1.b30bca47c435dp-5, -0x1.aa7eb18f2dd8ep-5, -0x1.a231702ec549fp-5, -0x1.9a223581cf394p-5, -0x1.924f397422635p-5, -0x1.8ab6bc8d08685p-5, -0x1.835707f68583bp-5, -0x1.7c2e6d8152148p-5, -0x1.753b47a6439afp-5, -0x1.6e7bf985a26dbp-5, -0x1.67eeeee54596ep-5, -0x1.61929c2e2f52dp-5, -0x1.5b657e6a563e3p-5, -0x1.55661b424ed99p-5, -0x1.4f9300fa4c845p-5, -0x1.49eac66d50fa7p-5, -0x1.446c0b05431e7p-5, -0x1.3f1576af420f6p-5, -0x1.39e5b9cbe345dp-5, -0x1.34db8d1bfe439p-5, -0x1.2ff5b1aaf4be5p-5, -0x1.2b32f0b7a79c6p-5, -0x1.26921b9cfe857p-5, -0x1.22120bba4e605p-5, -0x1.1db1a25b81e42p-5, -0x1.196fc8a05a4cp-5, -0x1.154b6f61f7887p-5, -0x1.11438f15ffc0dp-5, -0x1.0d5727af2cc98p-5, -0x1.0985407b8919ep-5, -0x1.05cce80139e9bp-5, -0x1.022d33dac3416p-5, -0x1.fd4a812835d8cp-6, -0x1.f6686312687e3p-6, -0x1.efb2618cd841p-6, -0x1.e926ddd536952p-6, -0x1.e2c4461416f6p-6, -0x1.dc891522d021ep-6, -0x1.d673d24f2c7efp-6, -0x1.d083111b84e43p-6, -0x1.cab570fac5006p-6, -0x1.c5099d08e7842p-6, -0x1.bf7e4bc0fb169p-6, -0x1.ba123eb2eac5cp-6, -0x1.b4c4423ac8162p-6, -0x1.af932d3b4d162p-6, -0x1.aa7de0dc6fe77p-6, -0x1.a583484e13b3ap-6, -0x1.a0a2588e136bdp-6, -0x1.9bda10303b3a7p-6, -0x1.97297726db5bap-6, -0x1.928f9e8a2e7c8p-6, -0x1.8e0ba05db48f7p-6, -0x1.899ca2af992d5p-6, -0x1.8541ca213efb6p-6, -0x1.80fa4d0e93661p-6, -0x1.7cc5669182b4fp-6, -0x1.78a25977eced3p-6, -0x1.7490700b32e4fp-6, -0x1.708efbd909d91p-6, -0x1.6c9d557cdd286p-6, -0x1.68badc6a5df02p-6, -0x1.64e6f6b8fa2c8p-6, -0x1.612110f0003fdp-6, -0x1.5d689dd410ba5p-6, -0x1.59bd16353bd56p-6, -0x1.561df8be4b67dp-6, -0x1.528ac9c50c4a7p-6, -0x1.4f03131ba6a86p-6, -0x1.4b8663e2e1576p-6, -0x1.4814505d9479ep-6, -0x1.44ac71c501884p-6, -0x1.414e661e4b294p-6, -0x1.3df9d010c8969p-6, -0x1.3aae56bd6e431p-6, -0x1.376ba5973daep-6, -0x1.34316c3c70654p-6, -0x1.30ff5e50cbfbdp-6, -0x1.2dd53358e5f5cp-6, -0x1.2ab2a69616377p-6, -0x1.279776e3904d9p-6, -0x1.248366943c1c4p-6, -0x1.21763b51782d8p-6, -0x1.1e6fbdfa93a9dp-6, -0x1.1b6fba8561cap-6, -0x1.1875ffdf3c781p-6, -0x1.15825fcf2d13fp-6, -0x1.1294aed899839p-6, -0x1.0facc41ef21b5p-6, -0x1.0cca7949f07c4p-6, -0x1.09edaa6ac0c65p-6, -0x1.071635e1d515p-6, -0x1.0443fc459a2afp-6, -0x1.0176e049aeff1p-6, -0x1.fd5d8d4e27fb9p-7, -0x1.f7d72c09b1e5bp-7, -0x1.f25a6dc3b5278p-7, -0x1.ece726fd55eccp-7, -0x1.e77d2f914a31ep-7, -0x1.e21c628ab931cp-7, -0x1.dcc49dfdcae3ep-7, -0x1.d775c2e115d7ep-7, -0x1.d22fb4e8a8053p-7, -0x1.ccf25a622d4d6p-7, -0x1.c7bd9c123d8a7p-7, -0x1.c2916512cc89p-7, -0x1.bd6da2b2f0003p-7, -0x1.b852445794ca6p-7, -0x1.b33f3b5d874bcp-7, -0x1.ae347afc2e94cp-7, -0x1.a931f829ab961p-7, -0x1.a437a97fbec4fp-7, -0x1.9f458721dc553p-7, -0x1.9a5b8aa3de13fp-7, -0x1.9579aef1e26f6p-7, -0x1.909ff03902d35p-7, -0x1.8bce4bd0c0fa8p-7, -0x1.8704c02586b08p-7, -0x1.82434ca3b2502p-7, -0x1.7d89f1a39f2dap-7, -0x1.78d8b05678aa4p-7, -0x1.742f8ab3b1f17p-7, -0x1.6f8e836742be7p-7, -0x1.6af59dc0abfabp-7, -0x1.6664dda2b8f3p-7, -0x1.61dc4773db5c3p-7, -0x1.5d5be00f2ed21p-7, -0x1.58e3acb634b43p-7, -0x1.5473b3032f0b2p-7, -0x1.500bf8dc06c22p-7, -0x1.4bac8465e49d9p-7, -0x1.47555bf9498f7p-7, -0x1.43068616b01f8p-7, -0x1.3ec0095bdc33bp-7, -0x1.3a81ec79a5493p-7, -0x1.364c362a0e157p-7, -0x1.321eed274a9p-7, -0x1.2dfa1822de313p-7, -0x1.29ddbdbd7dacfp-7, -0x1.25c9e47f20f38p-7, -0x1.21be92cfe0477p-7, -0x1.1dbbcef0d97d8p-7, -0x1.19c19ef5e48b3p-7, -0x1.15d008bf672fp-7, -0x1.11e711f4b0d52p-7, -0x1.0e06bffea7d4cp-7, -0x1.0a2f1802f3ee8p-7, -0x1.06601edf3a1b3p-7, -0x1.0299d92511238p-7, -0x1.fdb8962bb7862p-8, -0x1.f64ef13e9562fp-8, -0x1.eef6cab019194p-8, -0x1.e7b028f938e32p-8, -0x1.e07b11d947dedp-8, -0x1.d9578a5123c9dp-8, -0x1.d245969e0549cp-8, -0x1.cb453a3636dfdp-8, -0x1.c45677c52b23fp-8, -0x1.bd7951288e5b6p-8, -0x1.b6adc76d98844p-8, -0x1.aff3dacee28bfp-8, -0x1.a94b8ab2c9aabp-8, -0x1.a2b4d5a992023p-8, -0x1.9c2fb96cb470cp-8, -0x1.95bc32de1868dp-8, -0x1.8f5a3e07ae9cap-8, -0x1.8909d61b4244p-8, -0x1.82caf573592acp-8, -0x1.7c9d9592cab31p-8, -0x1.7681af2630909p-8, -0x1.70773a04d020bp-8, -0x1.6a7e2d31ef8ffp-8, -0x1.64967ede49664p-8, -0x1.5ec02469df7e7p-8, -0x1.58fb1265e82bp-8, -0x1.53473c97574b1p-8, -0x1.4da495f89293bp-8, -0x1.481310bc546ecp-8, -0x1.42929e507fef9p-8, -0x1.3d232f60c69d2p-8, -0x1.37c4b3d9c1eccp-8, -0x1.32771aebfbd8bp-8, -0x1.2d3a530f91b7p-8, -0x1.280e4a072d54fp-8, -0x1.22f2ece3a61d3p-8, -0x1.1de82807b2495p-8, -0x1.18ede72b8b206p-8, -0x1.14041560b4ad1p-8, -0x1.0f2a9d15d6574p-8, -0x1.0a61681a96ddcp-8, -0x1.05a85fa3afc47p-8, -0x1.00ff6c4f193e1p-8, -0x1.f8ccec4f2fcep-9, -0x1.efbac9528f159p-9, -0x1.e6c83d8b3e2d3p-9, -0x1.ddf515cf25538p-9, -0x1.d5411defcd406p-9, -0x1.ccac20c22c7dbp-9, -0x1.c435e827d377bp-9, -0x1.bbde3d16478e4p-9, -0x1.b3a4e7a15bc32p-9, -0x1.ab89af016b8fep-9, -0x1.a38c599d2d98cp-9, -0x1.9bacad117f54cp-9, -0x1.93ea6e3a2a194p-9, -0x1.8c456139fac1ap-9, -0x1.84bd49831e95bp-9, -0x1.7d51e9df63797p-9, -0x1.7603047863494p-9, -0x1.6ed05adf780a8p-9, -0x1.67b9ae166b026p-9, -0x1.60bebe96d1779p-9, -0x1.59df4c59eaee4p-9, -0x1.531b16e0cb643p-9, -0x1.4c71dd3bf4de3p-9, -0x1.45e35e12f608p-9, -0x1.3f6f57abfa2fap-9, -0x1.391587f31ac58p-9, -0x1.32d5ac8225f2fp-9, -0x1.2caf82a73383cp-9, -0x1.26a2c76bea926p-9, -0x1.20af379bd0a3p-9, -0x1.1ad48fd19ecdap-9, -0x1.15128c7121ed2p-9, -0x1.0f68e9b863e29p-9, -0x1.09d763c2d24ap-9, -0x1.045db6902473fp-9, -0x1.fdf73c14f8ac6p-10, -0x1.f361ac18d22ddp-10, -0x1.e8fa34cfb751ap-10, -0x1.dec04dd58e7bp-10, -0x1.d4b36ecbb46b6p-10, -0x1.cad30f63e59dep-10, -0x1.c11ea76b48498p-10, -0x1.b795aed63dac3p-10, -0x1.ae379dc97a675p-10, -0x1.a503eca588fa8p-10, -0x1.9bfa1410a968ep-10, -0x1.93198d00b8bfcp-10, -0x1.8a61d0c48d00fp-10, -0x1.81d2590e88ecfp-10, -0x1.796a9ffbfe658p-10, -0x1.712a201f453e4p-10, -0x1.691054881af35p-10, -0x1.611cb8cc2787ap-10, -0x1.594ec90e33fe7p-10, -0x1.51a60208f5511p-10, -0x1.4a21e11285e4cp-10, -0x1.42c1e42717babp-10, -0x1.3b8589eeca821p-10, -0x1.346c51c547669p-10, -0x1.2d75bbbfc8abep-10, -0x1.26a148b41b3d3p-10, -0x1.1fee7a3ea768fp-10, -0x1.195cd2c8ad679p-10, -0x1.12ebd58dee63ep-10, -0x1.0c9b06a253437p-10, -0x1.0669eaf6d5274p-10, -0x1.00580860740f2p-10, -0x1.f4c9cb34c4f71p-11, -0x1.e92014995ab9fp-11, -0x1.ddb1fe203d2cdp-11, -0x1.d27e9ae55a7dep-11, -0x1.c784fff65de0ap-11, -0x1.bcc4445d4271p-11, -0x1.b23b812383074p-11, -0x1.a7e9d15bee9abp-11, -0x1.9dce5228817aap-11, -0x1.93e822c0adc43p-11, -0x1.8a366476fe567p-11, -0x1.80b83abe58457p-11, -0x1.776ccb30f6554p-11, -0x1.6e533d9206679p-11, -0x1.656abbd43953ep-11, -0x1.5cb2721d3e9dcp-11, -0x1.54298ec9bc04bp-11, -0x1.4bcf426fa1912p-11, -0x1.43a2bfe210411p-11, -0x1.3ba33c35fb60bp-11, -0x1.33cfeec060c7p-11, -0x1.2c28111b68f53p-11, -0x1.24aadf2756ae8p-11, -0x1.1d57970c3cb7cp-11, -0x1.162d793afcbeep-11, -0x1.0f2bc86ec6295p-11, -0x1.0851c9ace61d4p-11, -0x1.019ec446048f9p-11, -0x1.f62403ab94d54p-12, -0x1.e9559c8622975p-12, -0x1.dcd0ef7ef3ccep-12, -0x1.d0949d8d8fbb3p-12, -0x1.c49f4c3c780d8p-12, -0x1.b8efa5a530d2ap-12, -0x1.ad845874ea63fp-12, -0x1.a25c17dedd4e5p-12, -0x1.97759ba0225b6p-12, -0x1.8ccf9ffa818e8p-12, -0x1.8268e5b029f77p-12, -0x1.784031fda4759p-12, -0x1.6e544e9b90ac7p-12, -0x1.64a409aff7a95p-12, -0x1.5b2e35cf2fc54p-12, -0x1.51f1a9f497c19p-12, -0x1.48ed417c6ef8dp-12, -0x1.401fdc1dae02fp-12, -0x1.37885de37fdfp-12, -0x1.2f25af25b65bcp-12, -0x1.26f6bc82b44b7p-12, -0x1.1efa76d71fd17p-12, -0x1.172fd337bdb98p-12, -0x1.0f95cae7a8915p-12, -0x1.082b5b5242f7fp-12, -0x1.00ef86003136p-12, -0x1.f3c2a125ecfc5p-13, -0x1.e5ff896def549p-13, -0x1.d893e04a48bdfp-13, -0x1.cb7dc9185dc47p-13, -0x1.bebb6f2132562p-13, -0x1.b24b05828bfb7p-13, -0x1.a62ac71c94152p-13, -0x1.9a58f67e40a74p-13, -0x1.8ed3ddd2d375dp-13, -0x1.8399cecfebf3bp-13, -0x1.78a9229f53b73p-13, -0x1.6e0039cd209f5p-13, -0x1.639d7c336a601p-13, -0x1.597f58e6ac183p-13, -0x1.4fa4462112488p-13, -0x1.460ac12ee905fp-13, -0x1.3cb14e59e0eedp-13, -0x1.339678d4d7a1ap-13, -0x1.2ab8d2a6df724p-13, -0x1.2216f4945987ap-13, -0x1.19af7e15f79e5p-13, -0x1.11811531c1db5p-13, -0x1.098a6672d69c2p-13, -0x1.01ca24d1117b4p-13, -0x1.f47e1334353d7p-14, -0x1.e5cfa8ceb820ap-14, -0x1.d78695f0d14b8p-14, -0x1.c9a0725316be5p-14, -0x1.bc1ae1b7a4ccdp-14, -0x1.aef393c18769ep-14, -0x1.a22843ca91ba6p-14, -0x1.95b6b8ba1e0aep-14, -0x1.899cc4dd1bc1ep-14, -0x1.7dd845b73a409p-14, -0x1.726723e218f38p-14, -0x1.674752e121cf9p-14, -0x1.5c76d0f12c903p-14, -0x1.51f3a6ee35144p-14, -0x1.47bbe81bfd46bp-14, -0x1.3dcdb20cdbc95p-14, -0x1.34272c6b966a9p-14, -0x1.2ac688db2702ep-14, -0x1.21aa02cd5aa14p-14, -0x1.18cfdf533c06fp-14, -0x1.10366d168bbcdp-14, -0x1.07dc04015e883p-14, -0x1.ff7e0a711ceb7p-15, -0x1.efbbb5d8322a7p-15, -0x1.e06df0683e3a4p-15, -0x1.d191b1ccc93d1p-15, -0x1.c32402e75ed46p-15, -0x1.b521fd8370accp-15, -0x1.a788cc0c60ff7p-15, -0x1.9a55a94415fccp-15, -0x1.8d85dffa51928p-15, -0x1.8116cac55ac88p-15, -0x1.7505d3b75e346p-15, -0x1.6950741ea55cbp-15, -0x1.5df43433fa586p-15, -0x1.52eeaae2c2f86p-15, -0x1.483d7d7afe047p-15, -0x1.3dde5f7166158p-15, -0x1.33cf121a302c6p-15, -0x1.2a0d64681f9c7p-15, -0x1.209732aa5bd3ap-15, -0x1.176a66414f19ap-15, -0x1.0e84f576f1c22p-15, -0x1.05e4e33db0b1cp-15, -0x1.fb107d8b8eee6p-16, -0x1.eada46d54b4b4p-16, -0x1.db2370dadd76p-16, -0x1.cbe86158a81eap-16, -0x1.bd2594eec2dcdp-16, -0x1.aed79e95c8fc4p-16, -0x1.a0fb273043801p-16, -0x1.938ced25e8d72p-16, -0x1.8689c3bb2f098p-16, -0x1.79ee92f64ed66p-16, -0x1.6db856f8983dap-16, -0x1.61e41fa0b528ap-16, -0x1.566f10200e528p-16, -0x1.4b565e924ec7fp-16, -0x1.40975393e3ff8p-16, -0x1.362f49df3e9a7p-16, -0x1.2c1bade66a669p-16, -0x1.2259fd70d6973p-16, -0x1.18e7c73a27e2fp-16, -0x1.0fc2aa9291e6dp-16, -0x1.06e85700e0e28p-16, -0x1.fcad17bbe4b32p-17, -0x1.ec163002e1fedp-17, -0x1.dc07b32da04f7p-17, -0x1.cc7d7ab143b55p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ab7787afaa82p-5, 0x1.9bb77f2116cf2p-5, 0x1.17376f93c109fp-4, 0x1.60d0c1ad13267p-4, 0x1.aa18ad2484379p-4, 0x1.f28f06952f17p-4, 0x1.1ce0cc0252b03p-3, 0x1.3fa5cbe3e28bbp-3, 0x1.616a5b0e20d81p-3, 0x1.820816adf2c98p-3, 0x1.a15e235e3b3d2p-3, 0x1.bf50c74b1f378p-3, 0x1.dbc8ea545a36ap-3, 0x1.f6b3aa91534bdp-3, 0x1.08010331ca33bp-2, 0x1.13d447744be26p-2, 0x1.1ecf8f90aa094p-2, 0x1.28f04de9186c3p-2, 0x1.32355a38daf56p-2, 0x1.3a9ecb2495adep-2, 0x1.422dd18fbba1p-2, 0x1.48e4b56d43d89p-2, 0x1.4ec62e6cb9706p-2, 0x1.53d65d55f579p-2, 0x1.5819c68cf547fp-2, 0x1.5b9580fc4fdcbp-2, 0x1.5e4f33f12ed52p-2, 0x1.604d0f739780fp-2, 0x1.6195b7184295ap-2, 0x1.6230233e1af97p-2, 0x1.6223839e67b09p-2, 0x1.61772c2faacfcp-2, 0x1.60328ddc58dcdp-2, 0x1.5e5d357e99e16p-2, 0x1.5bfec93c6c113p-2, 0x1.591eff4225eaap-2, 0x1.55c58e34479e2p-2, 0x1.51fa1bd3cc2ep-2, 0x1.4dc42f0e50485p-2, 0x1.492b285bf8a2cp-2, 0x1.44363fd2f4efep-2, 0x1.3eec85d23a57p-2, 0x1.3954e2b7e6b3fp-2, 0x1.33761396f3d8ep-2, 0x1.2d56a41dde88ap-2, 0x1.26fce789c40d7p-2, 0x1.206ef2e43daf8p-2, 0x1.19b29a05bf906p-2, 0x1.12cd6f877e5p-2, 0x1.0bc4c6a89933bp-2, 0x1.049db5a860e7dp-2, 0x1.faba2eb8ad25dp-3, 0x1.ec0f17232facdp-3, 0x1.dd42ed30a951p-3, 0x1.ce5e0180a9474p-3, 0x1.bf682ce36e95p-3, 0x1.b068d240c36c4p-3, 0x1.a166e1dc026dcp-3, 0x1.9268dd3ddd269p-3, 0x1.8374db2b82dfp-3, 0x1.74908b6cbf637p-3, 0x1.65c13a69e1186p-3, 0x1.570bd4bd8dde5p-3, 0x1.48758887ec765p-3, 0x1.3a02f9999479bp-3, 0x1.2bb6a2f8b3a11p-3, 0x1.1d93df9198985p-3, 0x1.0f9dd5b75a6d4p-3, 0x1.01d77dd905ap-3, 0x1.e88748d9156dbp-4, 0x1.cdc9cf9dc0ceep-4, 0x1.b37b66c4f0f23p-4, 0x1.99a072de3e8dep-4, 0x1.803cda6fa0eedp-4, 0x1.6753fced7905p-4, 0x1.4ee8ae18c0e9dp-4, 0x1.36fd368153513p-4, 0x1.1f93591c6c289p-4, 0x1.08ac5d393336ep-4, 0x1.e49237587f2fdp-5, 0x1.b8d41ba2972dfp-5, 0x1.8e1eb9f1ae5b5p-5, 0x1.6471e1e7c552cp-5, 0x1.3bccf952360ap-5, 0x1.142f0fdb986fbp-5, 0x1.db2dd8e7f9e4ep-6, 0x1.900628c7b0f37p-6, 0x1.46e3996e24c2p-6, 0x1.ff845d1530aacp-7, 0x1.753ab406a9a53p-7, 0x1.ddbfbb2ea0851p-8, 0x1.b1a0ab94f18cbp-9, -0x1.2397549019d09p-11, -0x1.1a26ed53519b9p-8, -0x1.0435a048c4fap-7, -0x1.77b0ee7fc1a8bp-7, -0x1.e797688684e89p-7, -0x1.29fdf6d0004e8p-6, -0x1.5e78ff558536dp-6, -0x1.9146c46a9a48dp-6, -0x1.c2715ab44753dp-6, -0x1.f202e0b3a95e7p-6, -0x1.1002b78c0cebap-5, -0x1.264186c210388p-5, -0x1.3bc2d5986fc12p-5, -0x1.508b8d49f9c48p-5, -0x1.64a0878f42dd7p-5, -0x1.78068e259851ap-5, -0x1.8ac25ab343288p-5, -0x1.9cd896dab3558p-5, -0x1.ae4ddc62df7aep-5, -0x1.bf26b565cc94dp-5, -0x1.cf679c76fc3adp-5, -0x1.df14fcaf47a06p-5, -0x1.ee3331868f967p-5, -0x1.fcc6866242eb2p-5, -0x1.05699ae22d89cp-4, -0x1.0c2eb4088d061p-4, -0x1.12b498f867e8ap-4, -0x1.18fd4931815dap-4, -0x1.1f0ab8530f2a6p-4, -0x1.24decd0fb8274p-4, -0x1.2a7b603864622p-4, -0x1.2fe23bf1e32bp-4, -0x1.35151b23d01f5p-4, -0x1.3a15a927d9cc1p-4, -0x1.3ee581b916855p-4, -0x1.4386311c9131ap-4, -0x1.47f93477c4e1ap-4, -0x1.4c3ffa478c7cep-4, -0x1.505be2ea2416cp-4, -0x1.544e413083ec7p-4, -0x1.58185aee0c339p-4, -0x1.5bbb698051058p-4, -0x1.5f389a4b6995p-4, -0x1.62910f292840ap-4, -0x1.65c5decb03beep-4, -0x1.68d8150f6ace8p-4, -0x1.6bc8b34bd322cp-4, -0x1.6e98b08d67dbdp-4, -0x1.7148f9d2a6d03p-4, -0x1.73da7240a68aep-4, -0x1.764df356f9f9dp-4, -0x1.78a44d2524dd7p-4, -0x1.7ade468430cd8p-4, -0x1.7cfc9d564f969p-4, -0x1.7f0006cd8761ep-4, -0x1.80e058e160b7fp-4, -0x1.82ae997282e8bp-4, -0x1.8464523fbef33p-4, -0x1.86021e0e47a01p-4, -0x1.87888ab4934bdp-4, -0x1.88f819dcafc9fp-4, -0x1.8a51420273029p-4, -0x1.8b946fa01147fp-4, -0x1.8cc2067a71801p-4, -0x1.8dda62fe69294p-4, -0x1.8edddba07534ep-4, -0x1.8fccc231885d2p-4, -0x1.90a7651d23ca7p-4, -0x1.916e1086dd33dp-4, -0x1.92210f3fb89a5p-4, -0x1.92c0ab8e22408p-4, -0x1.934d2fc5bd08fp-4, -0x1.93c6e6aea859fp-4, -0x1.942e1bbdeba6fp-4, -0x1.94831b22b5826p-4, -0x1.94c631ad99dabp-4, -0x1.94f7ac981c103p-4, -0x1.9517d9339aa3ap-4, -0x1.9527048708cdap-4, -0x1.95257ae2cc228p-4, -0x1.95138771c26bdp-4, -0x1.94f173cdcfecbp-4, -0x1.94bf879d6a873p-4, -0x1.947e083ea9173p-4, -0x1.942d38834183ep-4, -0x1.93cd587fc2b25p-4, -0x1.935ea56f5215bp-4, -0x1.92e159ac29363p-4, -0x1.9255acbc3d77ep-4, -0x1.91bbd370a97e3p-4, -0x1.91140015dccfap-4, -0x1.905e62b21fccfp-4, -0x1.8f9b294f95985p-4, -0x1.8eca804ec500ep-4, -0x1.8dec92be92bbp-4, -0x1.8d018ab6a97afp-4, -0x1.8c0991b168accp-4, -0x1.8b04d0e2b1d8fp-4, -0x1.89f37189383ecp-4, -0x1.88d59d384d6dfp-4, -0x1.87ab7e188b2bdp-4, -0x1.86753f1e29105p-4, -0x1.85330c34316fap-4, -0x1.83e5125c441b3p-4, -0x1.828b7fc2e7b0cp-4, -0x1.812683c8d8fd5p-4, -0x1.7fb64f02131dep-4, -0x1.7e3b132b945f6p-4, -0x1.7cb5031911cc4p-4, -0x1.7b24529bfbb5bp-4, -0x1.79893665444e8p-4, -0x1.77e3e3e368611p-4, -0x1.7634911e25ee6p-4, -0x1.747b7491495abp-4, -0x1.72b8c507d1aeap-4, -0x1.70ecb9788973p-4, -0x1.6f1788e507a03p-4, -0x1.6d396a3bdaacbp-4, -0x1.6b52943e7531fp-4, -0x1.69633d6b3a19dp-4, -0x1.676b9bebe4239p-4, -0x1.656be58851e77p-4, -0x1.63644f9d9ca9p-4, -0x1.61550f19447dp-4, -0x1.5f3e587818654p-4, -0x1.5d205fc87459p-4, -0x1.5afb58af5d99ep-4, -0x1.58cf766ff71ap-4, -0x1.569cebf4ca8abp-4, -0x1.5463ebda5d61bp-4, -0x1.5224a87a88ca1p-4, -0x1.4fdf53f81c5a4p-4, -0x1.4d94204a53ecep-4, -0x1.4b433f47b4f4p-4, -0x1.48ece2affbd75p-4, -0x1.46913c34c89d4p-4, -0x1.44307d80cb5ddp-4, -0x1.41cad83d46fa7p-4, -0x1.3f607e15c4a18p-4, -0x1.3cf1a0b9e9defp-4, -0x1.3a7e71dd72facp-4, -0x1.3807233655584p-4, -0x1.358be679270a2p-4, -0x1.330ced53ec52cp-4, -0x1.308a69676d8d6p-4, -0x1.2e048c3f52038p-4, -0x1.2b7b874929602p-4, -0x1.28ef8bcaa1db9p-4, -0x1.2660cad72477bp-4, -0x1.23cf75450be83p-4, -0x1.213bbba2b060ep-4, -0x1.1ea5ce2b7af44p-4, -0x1.1c0ddcbd2d5f2p-4, -0x1.197416cd88798p-4, -0x1.16d8ab60766b5p-4, -0x1.143bc8fed3e9cp-4, -0x1.119d9dadef5c1p-4, -0x1.0efe56e7cfabcp-4, -0x1.0c5e21944ee47p-4, -0x1.09bd2a0306b39p-4, -0x1.071b9be616b2ep-4, -0x1.0479a24dbacfdp-4, -0x1.01d767a4a7436p-4, -0x1.fe6a2b5a4948dp-5, -0x1.f925aafdab219p-5, -0x1.f3e19f0a311ep-5, -0x1.ee9e56fbeb95ap-5, -0x1.e95c20f302ea2p-5, -0x1.e41b49b34acf3p-5, -0x1.dedc1ca470bbdp-5, -0x1.d99ee3d2b3942p-5, -0x1.d463e7eff1866p-5, -0x1.cf2b7054f64b6p-5, -0x1.c9f5c302eeb2dp-5, -0x1.c4c324a4e3384p-5, -0x1.bf93d8912b8f6p-5, -0x1.ba6820cac339ep-5, -0x1.b5403e0275a69p-5, -0x1.b01c6f97db854p-5, -0x1.aafcf39a148cep-5, -0x1.a5e206c8510dbp-5, -0x1.a0cbe49212542p-5, -0x1.9bbac71737adep-5, -0x1.96aee727cff81p-5, -0x1.91a87c43bfe73p-5, -0x1.8ca7bc9a370c3p-5, -0x1.87acdd0915058p-5, -0x1.82b8111c2b255p-5, -0x1.7dc98b0c7cb0fp-5, -0x1.78e17bbf7ca8dp-5, -0x1.740012c65c1a3p-5, -0x1.6f257e5d6791dp-5, -0x1.6a51eb6b8fd59p-5, -0x1.658585820e69cp-5, -0x1.60c076dc4be1fp-5, -0x1.5c02e85ff286ap-5, -0x1.574d019d491bcp-5, -0x1.529ee8cfcb3a2p-5, -0x1.4df8c2df101e7p-5, -0x1.495ab35ff4525p-5, -0x1.44c4dc96165ep-5, -0x1.40375f7597627p-5, -0x1.3bb25ba52c456p-5, -0x1.3735ef80742dbp-5, -0x1.32c2381a977b1p-5, -0x1.2e575141217edp-5, -0x1.29f5557f26353p-5, -0x1.259c5e2095615p-5, -0x1.214c8335c91f8p-5, -0x1.1d05db9743f74p-5, -0x1.18c87ce99b9c9p-5, -0x1.14947ba186e04p-5, -0x1.1069eb0811fa2p-5, -0x1.0c48dd3ee849cp-5, -0x1.08316344c145fp-5, -0x1.04238cf9d8af5p-5, -0x1.001f69247859bp-5, -0x1.f84a0aeb24fe8p-6, -0x1.f068dd1abfe54p-6, -0x1.e89b600011093p-6, -0x1.e0e1a8b49ddep-6, -0x1.d93bca4c73296p-6, -0x1.d1a9d5df805d5p-6, -0x1.ca2bd5cfe76aap-6, -0x1.c2c1e1372ed09p-6, -0x1.bb6bfe51cb13bp-6, -0x1.b42a36a454749p-6, -0x1.acfc91e56728p-6, -0x1.a5e31606ccbbap-6, -0x1.9eddc73e7f797p-6, -0x1.97eca80fa8df3p-6, -0x1.910fb9538af93p-6, -0x1.8a46fa4265843p-6, -0x1.8392687c43227p-6, -0x1.7cf20011b444fp-6, -0x1.7665bb8c8d999p-6, -0x1.6fed93f8796fcp-6, -0x1.698980eb9eeddp-6, -0x1.6339788f2075dp-6, -0x1.5cfd6fa79a0aap-6, -0x1.56d5599d8b4c8p-6, -0x1.50c12885bbd4ap-6, -0x1.4ac0cd298ead8p-6, -0x1.44d4370f49204p-6, -0x1.3efb54824d8bcp-6, -0x1.3936129b4fe69p-6, -0x1.33845d4873bbfp-6, -0x1.2de61f5566a45p-6, -0x1.285b427369266p-6, -0x1.22e3af4151f69p-6, -0x1.1d7f4d537cceap-6, -0x1.182e033bb674bp-6, -0x1.12efb691145a2p-6, -0x1.0dc44bf7c1abdp-6, -0x1.08aba728c559cp-6, -0x1.03a5aaf9af7cfp-6, -0x1.fd6472c895ed1p-7, -0x1.f3a2671c68a2ap-7, -0x1.ea04f3a0d3339p-7, -0x1.e08bd77d99af4p-7, -0x1.d736d05f25a5ep-7, -0x1.ce059a8567ecp-7, -0x1.c4f7f0d28212dp-7, -0x1.bc0d8cd95c2bdp-7, -0x1.b34626ec26d9p-7, -0x1.aaa1762abfce7p-7, -0x1.a21f3090e7e34p-7, -0x1.99bf0b047ec28p-7, -0x1.9180b9638218fp-7, -0x1.8963ee91fbde3p-7, -0x1.81685c87ced82p-7, -0x1.798db45e6426dp-7, -0x1.71d3a65e3872cp-7, -0x1.6a39e20c47537p-7, -0x1.62c0163748454p-7, -0x1.5b65f104def3dp-7, -0x1.542b1ffe895fcp-7, -0x1.4d0f501e7d203p-7, -0x1.46122ddc442f8p-7, -0x1.3f3365394f2a1p-7, -0x1.3872a1cd2aa95p-7, -0x1.31cf8ed1b9d4ap-7, -0x1.2b49d72f1ad03p-7, -0x1.24e12587637bdp-7, -0x1.1e95244226524p-7, -0x1.18657d97c47a4p-7, -0x1.1251db9c84977p-7, -0x1.0c59e84b66554p-7, -0x1.067d4d90b5a13p-7, -0x1.00bbb55474fp-7, -0x1.f6299308cf581p-8, -0x1.eb10683bd1206p-8, -0x1.e02b3e6ee3cebp-8, -0x1.d5796a13cca59p-8, -0x1.cafa3ff30d9edp-8, -0x1.c0ad153d466a3p-8, -0x1.b6913f9bed61p-8, -0x1.aca6154193624p-8, -0x1.a2eaecf94eaa5p-8, -0x1.995f1e35bcf4fp-8, -0x1.9002011f48c0bp-8, -0x1.86d2eea1c9591p-8, -0x1.7dd14079adc7bp-8, -0x1.74fc51404f523p-8, -0x1.6c537c77c66dcp-8, -0x1.63d61e960dce9p-8, -0x1.5b83950fa2044p-8, -0x1.535b3e616af94p-8, -0x1.4b5c7a1a23af3p-8, -0x1.4386a8e30eafp-8, -0x1.3bd92c883bda5p-8, -0x1.34536800324cep-8, -0x1.2cf4bf72f8accp-8, -0x1.25bc9840b35d4p-8, -0x1.1eaa5907b5648p-8, -0x1.17bd69aa1c812p-8, -0x1.10f53352eb7e1p-8, -0x1.0a51207a9cd99p-8, -0x1.03d09ceb854b2p-8, -0x1.fae62b8b1a3d3p-9, -0x1.ee6ff30342707p-9, -0x1.e23d6fe99f4fep-9, -0x1.d64d84a5f3accp-9, -0x1.ca9f166282e7fp-9, -0x1.bf310d102b68fp-9, -0x1.b402536a2ca37p-9, -0x1.a911d6f95abf1p-9, -0x1.9e5e88167bc33p-9, -0x1.93e759ecb7e6dp-9, -0x1.89ab427b4958bp-9, -0x1.7fa93a96f56c9p-9, -0x1.75e03deb1c831p-9, -0x1.6c4f4afa84b2bp-9, -0x1.62f5631fcb7fap-9, -0x1.59d18a8db2fbp-9, -0x1.50e2c84f2ac52p-9, -0x1.482826470acf2p-9, -0x1.3fa0b12fc6cb6p-9, -0x1.374b789ad47dfp-9, -0x1.2f278ef0156dfp-9, -0x1.2734096ce4d3ep-9, -0x1.1f700023450ecp-9, -0x1.17da8df8c59a2p-9, -0x1.1072d0a550cfbp-9, -0x1.0937e8b200f9fp-9, -0x1.0228f977becbep-9, -0x1.f68a523bac8d6p-10, -0x1.e9174130f337cp-10, -0x1.dbf7174e4c71fp-10, -0x1.cf2831a5f0c04p-10, -0x1.c2a8f2da05622p-10, -0x1.b677c318adc44p-10, -0x1.aa9310187ca67p-10, -0x1.9ef94d1454033p-10, -0x1.93a8f2c76ea06p-10, -0x1.88a07f68a9183p-10, -0x1.7dde76a6411a5p-10, -0x1.736161a106d03p-10, -0x1.6927cee7757c3p-10, -0x1.5f3052704a9e2p-10, -0x1.55798595880dep-10, -0x1.4c02070e9066dp-10, -0x1.42c87aea6e3c5p-10, -0x1.39cb8a89702acp-10, -0x1.3109e497345fap-10, -0x1.28823d03d0b34p-10, -0x1.20334cfcf521p-10, -0x1.181bd2e6ce128p-10, -0x1.103a92549119ap-10, -0x1.088e5400d39eep-10, -0x1.0115e5c592869p-10, -0x1.f3a03527c888p-11, -0x1.e57794d6e0887p-11, -0x1.d7afa4a3fe74ep-11, -0x1.ca4628939b2a2p-11, -0x1.bd38ee913092p-11, -0x1.b085ce5bec835p-11, -0x1.a42aa972cf76cp-11, -0x1.98256b008bf5ep-11, -0x1.8c7407c6b98c4p-11, -0x1.81147e0862aaap-11, -0x1.7604d5751a52dp-11, -0x1.6b431f1145b07p-11, -0x1.60cd75211bb36p-11, -0x1.56a1fb109ae49p-11, -0x1.4cbedd5c7d753p-11, -0x1.4322517a29abfp-11, -0x1.39ca95bfa084ep-11, -0x1.30b5f14ad9472p-11, -0x1.27e2b3e8e21a3p-11, -0x1.1f4f35fca7e3ep-11, -0x1.16f9d8658dbb7p-11, -0x1.0ee104658deb4p-11, -0x1.07032b8751f0dp-11, -0x1.febd8f07ec895p-12, -0x1.efe4b451438c9p-12, -0x1.e178da77f1ce5p-12, -0x1.d37724c66f533p-12, -0x1.c5dcc60f179a1p-12, -0x1.b8a70075dff33p-12, -0x1.abd3253a3eefp-12, -0x1.9f5e9480da9a2p-12, -0x1.9346bd1d1c27ap-12, -0x1.87891c5a3dd8fp-12, -0x1.7c233dc6d04e1p-12, -0x1.7112bafa86cfdp-12, -0x1.66553b62ec2aep-12, -0x1.5be8740bb1a3dp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.73742edd2d08bp-4, -0x1.53c0709606ac3p-4, -0x1.312fe5d271caep-4, -0x1.0c1719cbe4488p-4, -0x1.c9909ca8cf0bbp-5, -0x1.77233741c6e0ap-5, -0x1.217a7acab8fcp-5, -0x1.9245846d0c22ap-6, -0x1.ba7faa8570f56p-7, -0x1.26d8be280e7a3p-9, 0x1.2c045302f865dp-7, 0x1.52818b53731bbp-6, 0x1.07ee354a90648p-5, 0x1.66adb7a95a7bfp-5, 0x1.c52afcdb63aebp-5, 0x1.118c63042a805p-4, 0x1.40183fa20a547p-4, 0x1.6e18fcec56025p-4, 0x1.9b719f6e03218p-4, 0x1.c80804dc65cacp-4, 0x1.f3c4b55105e5bp-4, 0x1.0f496e85fa11bp-3, 0x1.243010767071dp-3, 0x1.388e2a8a3eb07p-3, 0x1.4c5cb815bbfb3p-3, 0x1.5f95b7cb019eap-3, 0x1.72341b387969ep-3, 0x1.8433b4cad7e74p-3, 0x1.959125d204e35p-3, 0x1.a649ce190e205p-3, 0x1.b65bbe086787bp-3, 0x1.c5c5aad5549b2p-3, 0x1.d486e356beafp-3, 0x1.e29f445a7740cp-3, 0x1.f00f2c45fe2edp-3, 0x1.fcd76e911a9ap-3, 0x1.047ca3fb67334p-2, 0x1.0a3b2a05ea101p-2, 0x1.0fa842245444bp-2, 0x1.14c50c039284ep-2, 0x1.1992ca727b137p-2, 0x1.1e12df94a9ef5p-2, 0x1.2246c901a1d79p-2, 0x1.26301bed5067ep-2, 0x1.29d0819f0cebdp-2, 0x1.2d29b45e66cd3p-2, 0x1.303d7cb9de107p-2, 0x1.330daefd33b9ap-2, 0x1.359c28da752f4p-2, 0x1.37eacf5f22147p-2, 0x1.39fb8d24d79c2p-2, 0x1.3bd050810e5d7p-2, 0x1.3d6b0992ba139p-2, 0x1.3ecda85a1d5d7p-2, 0x1.3ffa1b2d40a32p-2, 0x1.40f24daa1b49ap-2, 0x1.41b827f04a538p-2, 0x1.424d8dc83b505p-2, 0x1.42b45d8df5ec2p-2, 0x1.42ee6f07baa1bp-2, 0x1.42fd9277dace9p-2, 0x1.42e390181524ap-2, 0x1.42a227e6c752p-2, 0x1.423b351e1f77dp-2, 0x1.41b020303b7acp-2, 0x1.4102ab96b733ep-2, 0x1.4034737dbbc39p-2, 0x1.3f470a96b0b62p-2, 0x1.3e3bf994c0721p-2, 0x1.3d14beb34ceb4p-2, 0x1.3bd2cd539cbdp-2, 0x1.3a778dba3956cp-2, 0x1.39045ceecd51fp-2, 0x1.377a8cbca5bf1p-2, 0x1.35db63cf5c4ap-2, 0x1.34281de5f44b4p-2, 0x1.3261ec15d6531p-2, 0x1.3089f5160d682p-2, 0x1.2ea1558aa856ap-2, 0x1.2ca92048f72b2p-2, 0x1.2aa25e8fe84f3p-2, 0x1.288e103350f97p-2, 0x1.266d2bbbeb387p-2, 0x1.24409e7fb8187p-2, 0x1.22094cb6a92bp-2, 0x1.1fc8118f025f1p-2, 0x1.1d7dbf442f722p-2, 0x1.1b2b1f3a3feefp-2, 0x1.18d0f21fddad7p-2, 0x1.166ff017eb16ap-2, 0x1.1408c8eb4768p-2, 0x1.119c2442186d2p-2, 0x1.0f2aa1e34233ap-2, 0x1.0cb4d9f81e625p-2, 0x1.0a3b5d526c3b3p-2, 0x1.07beb5b2b67b5p-2, 0x1.053f660dcb4bep-2, 0x1.02bdead03f43p-2, 0x1.003aba1f4f0d3p-2, 0x1.fb6c882d28a96p-3, 0x1.f661e60457a64p-3, 0x1.f156572a52baep-3, 0x1.ec4a9a38cb96ep-3, 0x1.e73f635c5f026p-3, 0x1.e2355caf302a3p-3, 0x1.dd2d2690c6df5p-3, 0x1.d82757fd0f4c8p-3, 0x1.d3247ee401ac4p-3, 0x1.ce25208298402p-3, 0x1.c929b9bd26007p-3, 0x1.c432bf7a67c6dp-3, 0x1.bf409efea0e7ap-3, 0x1.ba53be45e9162p-3, 0x1.b56c7c5d3da02p-3, 0x1.b08b31b9f9a4cp-3, 0x1.abb0308f8160dp-3, 0x1.a6dbc522e21d5p-3, 0x1.a20e361bf0e17p-3, 0x1.9d47c4d348b35p-3, 0x1.9888ad9c74f57p-3, 0x1.93d1280ba6096p-3, 0x1.8f2167368f745p-3, 0x1.8a7999f081ff7p-3, 0x1.85d9eb0237b1dp-3, 0x1.8142815e38187p-3, 0x1.7cb38052dda08p-3, 0x1.782d07bb11f86p-3, 0x1.73af342e7081dp-3, 0x1.6f3a1f3142f1cp-3, 0x1.6acddf64129fbp-3, 0x1.666a88b256e54p-3, 0x1.62102c7f66681p-3, 0x1.5dbed9d0d20b9p-3, 0x1.59769d75a051ep-3, 0x1.5537822a1d86fp-3, 0x1.510190b87900bp-3, 0x1.4cd4d016cc073p-3, 0x1.48b14583520f8p-3, 0x1.4496f49faff3cp-3, 0x1.4085df8bf0669p-3, 0x1.3c7e0701a639ap-3, 0x1.387f6a6f1931fp-3, 0x1.348a081238ce7p-3, 0x1.309ddd12ade0ap-3, 0x1.2cbae59a5b0acp-3, 0x1.28e11cebadd04p-3, 0x1.25107d7555c81p-3, 0x1.2148fa6262a13p-3, 0x1.1d8a9db6a3cadp-3, 0x1.19d55552e2771p-3, 0x1.162918a9ec60ap-3, 0x1.1285dea1d7bd4p-3, 0x1.0eeb9da2e06e4p-3, 0x1.0b5a4ba5258f6p-3, 0x1.07d1de3d33288p-3, 0x1.04524aa750f9p-3, 0x1.00db85d1a46f6p-3, 0x1.fadb08ca49d91p-4, 0x1.f410759af4235p-4, 0x1.ed573a7fbb37dp-4, 0x1.e6af3f82268bfp-4, 0x1.e0186c5530396p-4, 0x1.d992a85e49164p-4, 0x1.d31ddabd3c4aap-4, 0x1.ccb9ea5323a48p-4, 0x1.c666bdc898a63p-4, 0x1.c0243b935c5cfp-4, 0x1.b9f249fba3bbdp-4, 0x1.b3d0cf210336p-4, 0x1.adbfb0ff4c455p-4, 0x1.a7bed57345ffcp-4, 0x1.a1ce223f6227ep-4, 0x1.9bed7d106b33ep-4, 0x1.961ccb8232dc3p-4, 0x1.905bf32438beap-4, 0x1.8aaad97e3672p-4, 0x1.850964149270dp-4, 0x1.7f77786ca3dfp-4, 0x1.79f4fc10b5ebdp-4, 0x1.7481d493c968cp-4, 0x1.6f1de794f9aa4p-4, 0x1.69c91ac287836p-4, 0x1.648353dc783c9p-4, 0x1.5f4c78b6cfbddp-4, 0x1.5a246f3b585ebp-4, 0x1.550b1d6aff93bp-4, 0x1.5000695ec7ffcp-4, 0x1.4b043948584dbp-4, 0x1.4616737228391p-4, 0x1.4136fe3f5abbcp-4, 0x1.3c65c02b42347p-4, 0x1.37a29fc8ac9bfp-4, 0x1.32ed83c0eb783p-4, 0x1.2e4652d2b494fp-4, 0x1.29acf3d0db807p-4, 0x1.25214da0f9715p-4, 0x1.20a3473a0583fp-4, 0x1.1c32c7a2ebbc6p-4, 0x1.17cfb5f12e69fp-4, 0x1.1379f94798f4cp-4, 0x1.0f3178d50605cp-4, 0x1.0af61bd34666fp-4, 0x1.06c7c98623dcbp-4, 0x1.02a6693a8a58fp-4, 0x1.fd23c48b9a4d6p-5, 0x1.f514380a24858p-5, 0x1.ed1dfbb9af214p-5, 0x1.e540de713460bp-5, 0x1.dd7caf1528b1ap-5, 0x1.d5d13c9723c84p-5, 0x1.ce3e55f5b3efcp-5, 0x1.c6c3ca3c515fcp-5, 0x1.bf6168836db77p-5, 0x1.b816fff0983bp-5, 0x1.b0e45fb6b1e67p-5, 0x1.a9c957162cc24p-5, 0x1.a2c5b55d55c6dp-5, 0x1.9bd949e89a2c5p-5, 0x1.9503e422ce7d8p-5, 0x1.8e45538571cb6p-5, 0x1.879d6798ea319p-5, 0x1.810beff4b50ap-5, 0x1.7a90bc3f91da2p-5, 0x1.742b9c2fa1fcfp-5, 0x1.6ddc5f8a7d658p-5, 0x1.67a2d62542ce3p-5, 0x1.617ecfe4a3551p-5, 0x1.5b701cbce4f23p-5, 0x1.55768cb1e9dbap-5, 0x1.4f91efd73b13p-5, 0x1.49c2165012f43p-5, 0x1.4406d04f76e42p-5, 0x1.3e5fee1855394p-5, 0x1.38cd3ffdb83fdp-5, 0x1.334e96630156p-5, 0x1.2de3c1bc3ca8fp-5, 0x1.288c928e81f6cp-5, 0x1.2348d970695e3p-5, 0x1.1e18670a96b37p-5, 0x1.18fb0c1854a98p-5, 0x1.13f0996842a21p-5, 0x1.0ef8dfdd1a0fcp-5, 0x1.0a13b06e7db29p-5, 0x1.0540dc29e00dp-5, 0x1.0080343373b35p-5, 0x1.f7a3138e5a643p-6, 0x1.ee695c73a3f3ep-6, 0x1.e552e5f42249ap-6, 0x1.dc5f53234a0e6p-6, 0x1.d38e474d15d7ep-6, 0x1.cadf65f861ec5p-6, 0x1.c25252e976771p-6, 0x1.b9e6b2248cd1p-6, 0x1.b19c27f0687c6p-6, 0x1.a97258d8f50dfp-6, 0x1.a168e9b1e4ca4p-6, 0x1.997f7f995e09ep-6, 0x1.91b5bffaa2482p-6, 0x1.8a0b5090b0f99p-6, 0x1.827fd768ef4ebp-6, 0x1.7b12fae5c34cap-6, 0x1.73c461c12673ep-6, 0x1.6c93b30f3f709p-6, 0x1.65809640dc2p-6, 0x1.5e8ab325f4bc8p-6, 0x1.57b1b1f019ec9p-6, 0x1.50f53b34dc7cdp-6, 0x1.4a54f7f02bf44p-6, 0x1.43d09186ac025p-6, 0x1.3d67b1c7f4d1p-6, 0x1.371a02f0e2d1cp-6, 0x1.30e72fadcbcd4p-6, 0x1.2acee31ca964ep-6, 0x1.24d0c8cf4a9d6p-6, 0x1.1eec8ccd71b6p-6, 0x1.1921db96f14b2p-6, 0x1.13706225b6791p-6, 0x1.0dd7cdefdfa99p-6, 0x1.0857cce9b3b6ap-6, 0x1.02f00d879dfaap-6, 0x1.fb407d80389a8p-7, 0x1.f0d0201b491e1p-7, 0x1.e68e62e0f8431p-7, 0x1.dc7aa6e1164e7p-7, 0x1.d2944e3e381ddp-7, 0x1.c8dabc31282bep-7, 0x1.bf4d550c43e09p-7, 0x1.b5eb7e3eb9eaep-7, 0x1.acb49e57ac753p-7, 0x1.a3a81d093e3d2p-7, 0x1.9ac5632b8d5f4p-7, 0x1.920bdabf8823dp-7, 0x1.897aeef1ae16ep-7, 0x1.81120c1cc1a54p-7, 0x1.78d09fcc38fcbp-7, 0x1.70b618bed0b24p-7, 0x1.68c1e6e8cb606p-7, 0x1.60f37b763f579p-7, 0x1.594a48cd20c0fp-7, 0x1.51c5c28f559b6p-7, 0x1.4a655d9c916ccp-7, 0x1.4328901429e9bp-7, 0x1.3c0ed156b4727p-7, 0x1.35179a07a226fp-7, 0x1.2e42640e9ee6ep-7, 0x1.278eaa98f736ap-7, 0x1.20fbea1abf17ep-7, 0x1.1a89a04fecc74p-7, 0x1.14374c3d4f2aep-7, 0x1.0e046e316c2fcp-7, 0x1.07f087c53b203p-7, 0x1.01fb1bdccc41ap-7, 0x1.f8475d4f87ac3p-8, 0x1.ecd38b439e208p-8, 0x1.e199cf25e4a63p-8, 0x1.d6993906c53b6p-8, 0x1.cbd0dbe144aa8p-8, 0x1.c13fccf09482cp-8, 0x1.b6e52429295f2p-8, 0x1.acbffc1853449p-8, 0x1.a2cf71e38153ep-8, 0x1.9912a547a0807p-8, 0x1.8f88b8983310bp-8, 0x1.8630d0be21303p-8, 0x1.7d0a15369b84fp-8, 0x1.7413b01198709p-8, 0x1.6b4ccdf0421ddp-8, 0x1.62b49e033cde5p-8, 0x1.5a4a5208bd1e5p-8, 0x1.520d1e4a7e62p-8, 0x1.49fc399b96cbcp-8, 0x1.4216dd561d98dp-8, 0x1.3a5c4558b8497p-8, 0x1.32cbb00404e11p-8, 0x1.2b645e37d3753p-8, 0x1.242593505e0bbp-8, 0x1.1d0e95234a6dep-8, 0x1.161eabfc91866p-8, 0x1.0f55229b4dfap-8, 0x1.08b1462e812e6p-8, 0x1.023266517cd61p-8, 0x1.f7afaa11465cap-9, 0x1.eb41cd7b26edcp-9, 0x1.df19e47724bbp-9, 0x1.d336a1577afe6p-9, 0x1.c796bb22566a4p-9, 0x1.bc38ed89df484p-9, 0x1.b11bf8e45b3d3p-9, 0x1.a63ea223aaab6p-9, 0x1.9b9fb2cd1f96fp-9, 0x1.913df8f0ea24ep-9, 0x1.87184721875a1p-9, 0x1.7d2d746ac9f5bp-9, 0x1.737c5c493e7e6p-9, 0x1.6a03dea104d2cp-9, 0x1.60c2dfb4b34c3p-9, 0x1.57b8481c1dbbbp-9, 0x1.4ee304bb09d3p-9, 0x1.464206b7c1c6cp-9, 0x1.3dd44371960d4p-9, 0x1.3598b4773b15ep-9, 0x1.2d8e577d242fap-9, 0x1.25b42e53b8b8ap-9, 0x1.1e093edd9d00bp-9, 0x1.168c9305a8fc2p-9, 0x1.0f3d38b4eb581p-9, 0x1.081a41c8d2d7ap-9, 0x1.0122c408f01acp-9, 0x1.f4abb239bfdd5p-10, 0x1.e7653d0419091p-10, 0x1.da706b0348488p-10, 0x1.cdcb864c0ac42p-10, 0x1.c174e061479acp-10, 0x1.b56ad21f33bc9p-10, 0x1.a9abbba68e8bcp-10, 0x1.9e360447e53dep-10, 0x1.93081a6e89ae9p-10, 0x1.8820738bb75a9p-10, 0x1.7d7d8c01a7782p-10, 0x1.731de70e67223p-10, 0x1.69000eb7313f1p-10, 0x1.5f2293b2e738ap-10, 0x1.55840d554ebccp-10, 0x1.4c231979f0eaep-10, 0x1.42fe5c6f2449ep-10, 0x1.3a1480e0df92cp-10, 0x1.316437c3e8ce5p-10, 0x1.28ec384055ef6p-10, 0x1.20ab3f9d4d2d7p-10, 0x1.18a0112bb7299p-10, 0x1.10c976314462cp-10, 0x1.09263dd3c29bfp-10, 0x1.01b53d045c864p-10, 0x1.f4ea9cd5975efp-11, 0x1.e6caa4a195741p-11, 0x1.d9085d1b0c037p-11, 0x1.cba19ce24383p-11, 0x1.be944560d75e1p-11, 0x1.b1de42a101fafp-11, 0x1.a57d8b254e4ecp-11, 0x1.99701fc0e784dp-11, 0x1.8db40b6f27abap-11, 0x1.8247632c4c03cp-11, 0x1.772845ce3217ap-11, 0x1.6c54dbdd16d98p-11, 0x1.61cb576cbfd11p-11, 0x1.5789f3f6cb7f4p-11, 0x1.4d8ef6331c447p-11, 0x1.43d8abf3755b9p-11, 0x1.3a656bfc585e7p-11, 0x1.313395e163aebp-11, 0x1.284191df8f41dp-11, 0x1.1f8dd0b8df74p-11, 0x1.1716cb90231cap-11, 0x1.0edb03c56387cp-11, 0x1.06d902d1ed4cep-11, 0x1.fe1eb44c793ap-12, 0x1.eef9460bef5ffp-12, 0x1.e03efccd81828p-12, 0x1.d1ed299b3f118p-12, 0x1.c4012c5b5a524p-12, 0x1.b678738e0e19p-12, 0x1.a9507c0badd7cp-12, 0x1.9c86d0c426f8dp-12, 0x1.90190a7ee8e7dp-12, 0x1.8404cf9c0bf5ap-12, 0x1.7847d3d5e044fp-12, 0x1.6cdfd80204778p-12, 0x1.61caa9d6fcd42p-12, 0x1.570623ae78988p-12, 0x1.4c902c4ad29a9p-12, 0x1.4266b69bf93ep-12, 0x1.3887c186df617p-12, 0x1.2ef157ab4cb68p-12, 0x1.25a18f2c8c308p-12, 0x1.1c96897a19ff1p-12, 0x1.13ce7318b343dp-12, 0x1.0b47836cc3b5bp-12, 0x1.02fffc8543db9p-12, 0x1.f5ec55ce61b26p-13, 0x1.e650cab5a8365p-13, 0x1.d72a196f752fcp-13, 0x1.c875176598325p-13, 0x1.ba2ead5d6bcc1p-13, 0x1.ac53d710486f7p-13, 0x1.9ee1a2d17bedp-13, 0x1.91d5312b679eap-13, 0x1.852bb4850917dp-13, 0x1.78e270c54fe32p-13, 0x1.6cf6baf8de0a8p-13, 0x1.6165f8f9e6dc2p-13, 0x1.562da115182d1p-13, 0x1.4b4b39b85bd38p-13, 0x1.40bc591a7f796p-13, 0x1.367ea4e733059p-13, 0x1.2c8fd1f12813p-13, 0x1.22eda3da1dbe7p-13, 0x1.1995ecc791a3fp-13, 0x1.10868d130da9ep-13, 0x1.07bd72fcc111p-13, 0x1.fe7134bedbfa4p-14, 0x1.edec18caead7dp-14, 0x1.dde7be7df6964p-14, 0x1.ce606bb46900cp-14, 0x1.bf527f34ea5ebp-14, 0x1.b0ba702921c75p-14, 0x1.a294cd8e2650ep-14, 0x1.94de3db0db881p-14, 0x1.87937da6b5e7fp-14, 0x1.7ab160cbb6301p-14, 0x1.6e34d040c51afp-14, 0x1.621aca6d4e726p-14, 0x1.56606284f1df6p-14, 0x1.4b02c006ccc75p-14, 0x1.3fff1e4d29e04p-14, 0x1.3552cc1388d59p-14, 0x1.2afb2b03d5bbep-14, 0x1.20f5af42a0e58p-14, 0x1.173fdf0409794p-14, 0x1.0dd752184bbeap-14, 0x1.04b9b183d856p-14, 0x1.f7c96e2987dfcp-15, 0x1.e6ac59efdc1cap-15, 0x1.d617dac052f6cp-15, 0x1.c607c41e4d661p-15, 0x1.b67808011038ap-15, 0x1.a764b60d623dep-15, 0x1.98c9fad964a8p-15, 0x1.8aa41f33d801fp-15, 0x1.7cef87704ba2p-15, 0x1.6fa8b2b462e49p-15, 0x1.62cc3a4b2b9a2p-15, 0x1.5656d0fab7153p-15, 0x1.4a45425d69a84p-15, 0x1.3e94723eb6p-15, 0x1.33415bfaf2ed7p-15, 0x1.284911e0e40d2p-15, 0x1.1da8bca4a6839p-15, 0x1.135d9ab165d82p-15, 0x1.0964ffacf7e81p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.72f2a43ae781dp-3, -0x1.29ebb58db0753p-3, -0x1.e4edf786652ddp-4, -0x1.9573307b8f6f9p-4, -0x1.61cacc64d5fbbp-4, -0x1.46774e88a97b4p-4, -0x1.402c69d69e73ap-4, -0x1.4bd494441c476p-4, -0x1.669052c131515p-4, -0x1.8dba75424c4cap-4, -0x1.bee9e0e2be4e6p-4, -0x1.f7eea574c9d9ep-4, -0x1.1b67bf4ca4cbep-3, -0x1.3ce42c3e6657bp-3, -0x1.5fa3cb83f54f9p-3, -0x1.82f53db97c573p-3, -0x1.a63cfde521fadp-3, -0x1.c8f3f0b367c5fp-3, -0x1.eaa5d5f88810cp-3, -0x1.0577d9bd89f05p-2, -0x1.14bf24aa051a6p-2, -0x1.23059f33c9377p-2, -0x1.30309d393148bp-2, -0x1.3c29bb2a896ap-2, -0x1.46df66f8aa4f5p-2, -0x1.5044e8f97bbaep-2, -0x1.58524c170fccp-2, -0x1.5f03de56c5bbap-2, -0x1.6459633948696p-2, -0x1.685547a9afd83p-2, -0x1.6afc1a62fb383p-2, -0x1.6c54567654f95p-2, -0x1.6c665c602600ep-2, -0x1.6b3c65ba9bf1p-2, -0x1.68e2518a60ff9p-2, -0x1.656548a869054p-2, -0x1.60d353ca02c17p-2, -0x1.5b3b021aa808cp-2, -0x1.54ab326c950dfp-2, -0x1.4d32fd6853bd2p-2, -0x1.44e1b0ce3d82fp-2, -0x1.3bc6c8dee5df2p-2, -0x1.31f1dc1642a5p-2, -0x1.277278830fb5ap-2, -0x1.1c57fab0d7b27p-2, -0x1.10b168d022dccp-2, -0x1.048d59b90fc28p-2, -0x1.eff3d2c06f68cp-3, -0x1.d6096dd136b41p-3, -0x1.bb75cc439ep-3, -0x1.a0523ea9517efp-3, -0x1.84b7168a90331p-3, -0x1.68bb987aba009p-3, -0x1.4c75ecef45b49p-3, -0x1.2ffb1484aa2c7p-3, -0x1.135ee2735a3ffp-3, -0x1.ed67fb1ccf70bp-4, -0x1.b417cc67e0613p-4, -0x1.7aedfd47fe902p-4, -0x1.420926cdd205bp-4, -0x1.0985c50e7a7bbp-4, -0x1.a2fc870095cdap-5, -0x1.341612a181658p-5, -0x1.8d2fcc748e3f7p-6, -0x1.6a54845b735f8p-7, 0x1.f9f19e4f078eep-10, 0x1.e1d53d934d81ap-7, 0x1.be7ad6721186ap-6, 0x1.440b3353a51bdp-5, 0x1.a6c423f7bad82p-5, 0x1.03a80ab13af7p-4, 0x1.32ccba61ad50bp-4, 0x1.60c6ba6c362b8p-4, 0x1.8d8e15c21f019p-4, 0x1.b91c4b485c036p-4, 0x1.e36c433f6ef65p-4, 0x1.063d1c869e947p-3, 0x1.1a21ce0d15ad6p-3, 0x1.2d6375954c185p-3, 0x1.4001c6e2e270dp-3, 0x1.51fcd7778c45ap-3, 0x1.63550deba4296p-3, 0x1.740b142cd8e63p-3, 0x1.841fcd1aaa4ccp-3, 0x1.93944d89b0095p-3, 0x1.a269d8579d8f6p-3, 0x1.b0a1dcf311327p-3, 0x1.be3df79074748p-3, 0x1.cb3ff238c1a2dp-3, 0x1.d7a9c5ebc8592p-3, 0x1.e37d9b2f923e3p-3, 0x1.eebdc992cf0d9p-3, 0x1.f96cd5da80e6p-3, 0x1.01c6b7633eab5p-2, 0x1.069134441263dp-2, 0x1.0b175b9791dcbp-2, 0x1.0f5ab436924d4p-2, 0x1.135cce903c7cfp-2, 0x1.171f418aa34d9p-2, 0x1.1aa3a7aeb79f3p-2, 0x1.1deb9cc2589ap-2, 0x1.20f8bbe289e16p-2, 0x1.23cc9e1ef7acp-2, 0x1.2668d98985067p-2, 0x1.28cf00a2ddfd5p-2, 0x1.2b00a2089615bp-2, 0x1.2cff484a2164bp-2, 0x1.2ecc79ce62a5dp-2, 0x1.3069b8ba1e74ap-2, 0x1.31d882ce5a902p-2, 0x1.331a513b4ffa9p-2, 0x1.343098685ad3ep-2, 0x1.351cc7b33f645p-2, 0x1.35e049295ce1ap-2, 0x1.367c813cf3403p-2, 0x1.36f2ce77d8d43p-2, 0x1.3744892c79e67p-2, 0x1.377303261b2c5p-2, 0x1.377f8759c27e4p-2, 0x1.376b599a1557p-2, 0x1.3737b6513e98cp-2, 0x1.36e5d2445866dp-2, 0x1.3676da63d27adp-2, 0x1.35ebf3ab88c54p-2, 0x1.35463b1410e66p-2, 0x1.3486c59543551p-2, 0x1.33aea0388354cp-2, 0x1.32bed0381ffdbp-2, 0x1.31b853285c885p-2, 0x1.309c1f267946p-2, 0x1.2f6b230a722c1p-2, 0x1.2e264698b574ap-2, 0x1.2cce6ab1ff41dp-2, 0x1.2b64698055e69p-2, 0x1.29e916a0d73a9p-2, 0x1.285d3f4a948bp-2, 0x1.26c1aa72f8becp-2, 0x1.251718f061904p-2, 0x1.235e459b7fa34p-2, 0x1.2197e57008004p-2, 0x1.1fc4a7ad263b3p-2, 0x1.1de535f5fcacdp-2, 0x1.1bfa3472798ep-2, 0x1.1a0441f0aa4c5p-2, 0x1.1803f806acc29p-2, 0x1.15f9eb3541694p-2, 0x1.13e6ab0afa897p-2, 0x1.11c8fbf8b3118p-2, 0x1.0fa4b290243f7p-2, 0x1.0d78e055ed58cp-2, 0x1.0b4602f0c45a1p-2, 0x1.090c929fcb03bp-2, 0x1.06cd027bd7ddap-2, 0x1.0487c0c2935b8p-2, 0x1.023d37285c77dp-2, 0x1.ffdb965ba2842p-3, 0x1.fb33bcebfa763p-3, 0x1.f6839e34d495ap-3, 0x1.f1cbeff54795p-3, 0x1.ed0d620a4bf8p-3, 0x1.e8489ef0552e2p-3, 0x1.e37e4c3281bb3p-3, 0x1.deaf0ac6383cbp-3, 0x1.d9db7752fac46p-3, 0x1.d5042a67060fdp-3, 0x1.d029b89a3a5cap-3, 0x1.cb4cb2a131a39p-3, 0x1.c66da5530a9dfp-3, 0x1.c18d19a4aae93p-3, 0x1.bcab949c5099ap-3, 0x1.b7c997405e066p-3, 0x1.b2e79e8423e43p-3, 0x1.ae0623350de41p-3, 0x1.a92599ea6f57fp-3, 0x1.a44672f997d5p-3, 0x1.9f691a6f9959ep-3, 0x1.9a8df81188849p-3, 0x1.95b56f63c8dcep-3, 0x1.90dfdfb86fc0ep-3, 0x1.8c0da4447f8p-3, 0x1.873f143b79575p-3, 0x1.827482f08308bp-3, 0x1.7dae3ffc36138p-3, 0x1.78ec9766134fap-3, 0x1.742fd1d0879a7p-3, 0x1.6f7834a66577ep-3, 0x1.6ac60248ce691p-3, 0x1.66197a3c879c1p-3, 0x1.6172d955da885p-3, 0x1.5cd259e238ea7p-3, 0x1.583833cf00853p-3, 0x1.53a49ccce0dd8p-3, 0x1.4f17c86f82305p-3, 0x1.4a91e84946eebp-3, 0x1.46132c0301ecbp-3, 0x1.419bc16fc7f7bp-3, 0x1.3d2bd49cf5746p-3, 0x1.38c38fdec623bp-3, 0x1.34631bd9bf43bp-3, 0x1.300a9f8978ca2p-3, 0x1.2bba404517862p-3, 0x1.277221c20f737p-3, 0x1.233266159df5fp-3, 0x1.1efb2db56ad1ap-3, 0x1.1acc9777d04b4p-3, 0x1.16a6c0941c3fep-3, 0x1.1289c4a32f5a3p-3, 0x1.0e75bda0b8da2p-3, 0x1.0a6ac3ed4d629p-3, 0x1.0668ee5180616p-3, 0x1.0270520217d2cp-3, 0x1.fd02054ad4685p-4, 0x1.f53624b3c9ca8p-4, 0x1.ed7d237b5d4b8p-4, 0x1.e5d71fee995c8p-4, 0x1.de44357e76dfep-4, 0x1.d6c47cd48fed7p-4, 0x1.cf580be9245bbp-4, 0x1.c7fef61a0bc79p-4, 0x1.c0b94c425788dp-4, 0x1.b9871cd247545p-4, 0x1.b26873e751393p-4, 0x1.ab5d5b63f3144p-4, 0x1.a465db07055ap-4, 0x1.9d81f8826c06dp-4, 0x1.96b1b790f2b24p-4, 0x1.8ff51a0b1a97dp-4, 0x1.894c1ffae2da3p-4, 0x1.82b6c7ae58b09p-4, 0x1.7c350dc8f498p-4, 0x1.75c6ed53bff6bp-4, 0x1.6f6c5fcc43b6ap-4, 0x1.69255d32509p-4, 0x1.62f1dc14ab8fbp-4, 0x1.5cd1d19cb8036p-4, 0x1.56c5319936037p-4, 0x1.50cbee882ffdfp-4, 0x1.4ae5f9a03449bp-4, 0x1.451342d8f7c8cp-4, 0x1.3f53b8f37ecddp-4, 0x1.39a74981e83d6p-4, 0x1.340de0eef4132p-4, 0x1.2e876a855e9ffp-4, 0x1.2913d07724e9ep-4, 0x1.23b2fbe4c4ffcp-4, 0x1.1e64d4e489e9ap-4, 0x1.19294289ee4a7p-4, 0x1.14002aed1eac4p-4, 0x1.0ee97332a38f2p-4, 0x1.09e4ff9331d1p-4, 0x1.04f2b363a73e3p-4, 0x1.0012711d2d4ebp-4, 0x1.f68834caffe6fp-5, 0x1.ed0f202ea92bcp-5, 0x1.e3b96495ad19cp-5, 0x1.da86c0bc6ee79p-5, 0x1.d176f1fc8cba8p-5, 0x1.c889b45e11373p-5, 0x1.bfbec2a892c63p-5, 0x1.b715d674370dbp-5, 0x1.ae8ea83a86907p-5, 0x1.a628ef66ff901p-5, 0x1.9de4626765bbbp-5, 0x1.95c0b6bbb6bd5p-5, 0x1.8dbda105c45b5p-5, 0x1.85dad51864b22p-5, 0x1.7e18060638ep-5, 0x1.7674e62ffe871p-5, 0x1.6ef127526faa3p-5, 0x1.678c7a93ad05bp-5, 0x1.604690902df6fp-5, 0x1.591f196740814p-5, 0x1.5215c4c712c02p-5, 0x1.4b2a41f84ddf7p-5, 0x1.445c3fe944b52p-5, 0x1.3dab6d38b9815p-5, 0x1.37177840412a9p-5, 0x1.30a00f1e4888ap-5, 0x1.2a44dfbfbff75p-5, 0x1.240597e973dfap-5, 0x1.1de1e54116177p-5, 0x1.17d97555fe119p-5, 0x1.11ebf5a9a4186p-5, 0x1.0c1913b7dd8cfp-5, 0x1.06607cfed8c33p-5, 0x1.00c1df06e57ffp-5, 0x1.f679ced409a0fp-6, 0x1.eba287b68b096p-6, 0x1.e0fd445be521cp-6, 0x1.d68960b926b12p-6, 0x1.cc46391f756e5p-6, 0x1.c2332a495ea99p-6, 0x1.b84f9167cde34p-6, 0x1.ae9acc2ea7e86p-6, 0x1.a51438e11edc6p-6, 0x1.9bbb365da1a23p-6, 0x1.928f2429837ecp-6, 0x1.898f627c41ebcp-6, 0x1.80bb524a7e6a2p-6, 0x1.781255509abe2p-6, 0x1.6f93ce1cfa648p-6, 0x1.673f2019f0febp-6, 0x1.5f13af9753dcp-6, 0x1.5710e1d3abcf3p-6, 0x1.4f361d0513fb5p-6, 0x1.4782c861b6d02p-6, 0x1.3ff64c27f1a89p-6, 0x1.389011a61cee3p-6, 0x1.314f8341f75a1p-6, 0x1.2a340c7fb722cp-6, 0x1.233d1a08c3349p-6, 0x1.1c6a19b20f86cp-6, 0x1.15ba7a8225b37p-6, 0x1.0f2dacb6d4e5bp-6, 0x1.08c321ca8bedep-6, 0x1.027a4c934cc6bp-6, 0x1.f8a542183a2ecp-7, 0x1.ec9728d2c7a53p-7, 0x1.e0c93a8e68062p-7, 0x1.d53a6728ca815p-7, 0x1.c9e9a12c2c98cp-7, 0x1.bed5ddd5c8c12p-7, 0x1.b3fe151bb6de3p-7, 0x1.a96141b248732p-7, 0x1.9efe6110ea627p-7, 0x1.94d4737675b81p-7, 0x1.8ae27bed12acep-7, 0x1.8127804d9fd0ep-7, 0x1.77a28942a7364p-7, 0x1.6e52a24aea0eap-7, 0x1.6536d9bb7778ap-7, 0x1.5c4e40c16501cp-7, 0x1.5397eb63233c5p-7, 0x1.4b12f08172a17p-7, 0x1.42be69d7f1fe3p-7, 0x1.3a9973fd6bdb7p-7, 0x1.32a32e63b6f77p-7, 0x1.2adabb575572p-7, 0x1.233f3ffebdfbp-7, 0x1.1bcfe45959d9bp-7, 0x1.148bd33e3dd9dp-7, 0x1.0d723a5a9cfe2p-7, 0x1.06824a2ff811ap-7, 0x1.ff766c241e072p-8, 0x1.f23868491ff45p-8, 0x1.e548fab12ad6ep-8, 0x1.d8a69ad3ce426p-8, 0x1.cc4fc5b804331p-8, 0x1.c042fdedef75fp-8, 0x1.b47ecb882a529p-8, 0x1.a901bc14bd1ap-8, 0x1.9dca6295bffd4p-8, 0x1.92d75779a1b06p-8, 0x1.882738932f013p-8, 0x1.7db8a91137e99p-8, 0x1.738a517603179p-8, 0x1.699adf8e752e2p-8, 0x1.5fe90668f507dp-8, 0x1.56737e4c1405ap-8, 0x1.4d3904ad01bacp-8, 0x1.44385c25c8252p-8, 0x1.3b704c6b4d59dp-8, 0x1.32dfa2432f31fp-8, 0x1.2a852f795b219p-8, 0x1.225fcad59de49p-8, 0x1.1a6e5010e4ec6p-8, 0x1.12af9fca6ab07p-8, 0x1.0b229f7cbb06ep-8, 0x1.03c639728f855p-8, 0x1.f932b9771dc6ap-9, 0x1.eb35fa41b1b48p-9, 0x1.dd942633306dcp-9, 0x1.d04b377e90b5bp-9, 0x1.c359318405dp-9, 0x1.b6bc20b93d647p-9, 0x1.aa721a9164869p-9, 0x1.9e793d650ee77p-9, 0x1.92cfb059e2eb9p-9, 0x1.8773a349fe41bp-9, 0x1.7c634eab601b2p-9, 0x1.719cf376e62d9p-9, 0x1.671edb0f5b286p-9, 0x1.5ce7572836ea6p-9, 0x1.52f4c1ac45619p-9, 0x1.49457ca41ac16p-9, 0x1.3fd7f21c82174p-9, 0x1.36aa940ca971bp-9, 0x1.2dbbdc3c4a16bp-9, 0x1.250a4c299d7f8p-9, 0x1.1c946cef4561cp-9, 0x1.1458cf2a2996ap-9, 0x1.0c560adf25982p-9, 0x1.048abf60b3bd9p-9, 0x1.f9eb266901a7cp-10, 0x1.eb2a67f21b8fdp-10, 0x1.dcd0ac964bf18p-10, 0x1.cedb6b56ca993p-10, 0x1.c14828c766077p-10, 0x1.b41476d9977ccp-10, 0x1.a73df4a78bc31p-10, 0x1.9ac24e3f2896fp-10, 0x1.8e9f3c6d69e2p-10, 0x1.82d28489ba754p-10, 0x1.7759f84155c49p-10, 0x1.6c3375632d5dbp-10, 0x1.615ce5abb7da2p-10, 0x1.56d43e911b04p-10, 0x1.4c97810fcb13p-10, 0x1.42a4b9771ea66p-10, 0x1.38f9ff368ba28p-10, 0x1.2f9574ab20d9cp-10, 0x1.267546ed5c095p-10, 0x1.1d97ad9f760d7p-10, 0x1.14faeabc2aef3p-10, 0x1.0c9d4a65d7844p-10, 0x1.047d22b6558e6p-10, 0x1.f931a71ddcfa3p-11, 0x1.e9dd8cd2da939p-11, 0x1.dafadc52368b9p-11, 0x1.cc868dd9a1821p-11, 0x1.be7dabc29ee02p-11, 0x1.b0dd52288720cp-11, 0x1.a3a2ae8fef3d4p-11, 0x1.96caff8f13f4bp-11, 0x1.8a539477a94f8p-11, 0x1.7e39cd01c4bd5p-11, 0x1.727b18f84f021p-11, 0x1.6714f7e681a7cp-11, 0x1.5c04f8c6c6a49p-11, 0x1.5148b9b2ea739p-11, 0x1.46dde79574095p-11, 0x1.3cc23ddcab1a2p-11, 0x1.32f3862df9934p-11, 0x1.296f981c0cc37p-11, 0x1.203458dce2b37p-11, 0x1.173fbb01aa4a5p-11, 0x1.0e8fbe2ff4c36p-11, 0x1.06226edbee614p-11, 0x1.fbebcc07cffc7p-12, 0x1.ec1091da333bep-12, 0x1.dcaf91c2d299dp-12, 0x1.cdc545dd4aa63p-12, 0x1.bf4e3f4d8890bp-12, 0x1.b14725c1ce155p-12, 0x1.a3acb6f8b839dp-12, 0x1.967bc6474c5a5p-12, 0x1.89b13c22eb349p-12, 0x1.7d4a15ac754b8p-12, 0x1.7143643dabb3ap-12, 0x1.659a4cf8af8d5p-12, 0x1.5a4c08597d81fp-12, 0x1.4f55e1c93103cp-12, 0x1.44b537338c119p-12, 0x1.3a67789e048a9p-12, 0x1.306a27c127956p-12, 0x1.26bad7a24108fp-12, 0x1.1d572c31d136fp-12, 0x1.143cd9e8b3324p-12, 0x1.0b69a5688be6fp-12, 0x1.02db631d8e92bp-12, 0x1.f51fedc408feap-13, 0x1.e50aa7468a44ap-13, 0x1.d572f61105392p-13, 0x1.c654fa35d9e64p-13, 0x1.b7acefdf8fa8dp-13, 0x1.a9772ea699a84p-13, 0x1.9bb028ec5faefp-13, 0x1.8e546b36d806fp-13, 0x1.81609b90edeb5p-13, 0x1.74d178ec81cdcp-13, 0x1.68a3da88494cep-13, 0x1.5cd4af57d1e82p-13, 0x1.5160fd6e63961p-13, 0x1.4645e16d80655p-13, 0x1.3b808df3c47e2p-13, 0x1.310e4b122471p-13, 0x1.26ec75c054402p-13, 0x1.1d187f55f596p-13, 0x1.138fed04d601p-13, 0x1.0a505757875edp-13, 0x1.015769b0e6132p-13, 0x1.f145c39dc29dep-14, 0x1.e0611ea07c80ep-14, 0x1.cffca6736b102p-14, 0x1.c0143f07236e9p-14, 0x1.b0a3ed475321ap-14, 0x1.a1a7d6396b14ep-14, 0x1.931c3e1ec5111p-14, 0x1.84fd879b6581p-14, 0x1.774832e14d43ep-14, 0x1.69f8dce04be1cp-14, 0x1.5d0c3e7a3f366p-14, 0x1.507f2bbbba463p-14, 0x1.444e9318fee0dp-14, 0x1.38777caf3e2dbp-14, 0x1.2cf7098a0c245p-14, 0x1.21ca72ee03944p-14, 0x1.16ef09a2f2333p-14, 0x1.0c623549e861bp-14, 0x1.022173b16b31bp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.424de9fdd5167p+0, -0x1.34ede088ca146p+0, -0x1.2867ccf4b4b4cp+0, -0x1.1cb688d317d38p+0, -0x1.11d32f0066d03p+0, -0x1.07b5b811e49e8p+0, -0x1.fcaa912c04536p-1, -0x1.eb50d07fc506ep-1, -0x1.db4a8e8045d02p-1, -0x1.cc83d590c1954p-1, -0x1.bee8a88a05006p-1, -0x1.b2653c0d31b36p-1, -0x1.a6e628f988904p-1, -0x1.9c5892f72d4bp-1, -0x1.92aa43d57856ep-1, -0x1.89c9c107f8b06p-1, -0x1.81a65855f5b81p-1, -0x1.7a302994155ccp-1, -0x1.735830268506ap-1, -0x1.6d1040113968cp-1, -0x1.674b02492f438p-1, -0x1.61fbf7396a546p-1, -0x1.5d177e1269bd4p-1, -0x1.5892aabf7142dp-1, -0x1.54635e0c183a9p-1, -0x1.50803a06ad862p-1, -0x1.4ce09810898dap-1, -0x1.497c7d6d4b1c6p-1, -0x1.464c90d4fc1fep-1, -0x1.434a120ecbc89p-1, -0x1.406ed31d25cf9p-1, -0x1.3db531ac6f4bbp-1, -0x1.3b180fa60aee5p-1, -0x1.3892caa918e7ep-1, -0x1.362133002e04dp-1, -0x1.33bf82f1ad201p-1, -0x1.316a5705808fdp-1, -0x1.2f1ea75d7929ep-1, -0x1.2cd9c1cc46168p-1, -0x1.2a99442d5f73fp-1, -0x1.285b16aa428a5p-1, -0x1.261d65ded4463p-1, -0x1.23de9d00c674ep-1, -0x1.219d604ae1342p-1, -0x1.1f5887ec2b207p-1, -0x1.1d0f1b8d6e18ep-1, -0x1.1ac04e46a2e8p-1, -0x1.186b7ad1f180bp-1, -0x1.16101fecda1fp-1, -0x1.13addcf2cf0fbp-1, -0x1.11446eafd6e9bp-1, -0x1.0ed3ac53faa73p-1, -0x1.0c5b847b5328dp-1, -0x1.09dbfa636af74p-1, -0x1.07552377820b2p-1, -0x1.04c72540de0a6p-1, -0x1.023233990ca5dp-1, -0x1.ff2d1dd342a7fp-2, -0x1.f9e904c0dcc11p-2, -0x1.f498c45a0b9e1p-2, -0x1.ef3d13e4c023cp-2, -0x1.e9d6b70bf074ep-2, -0x1.e4667bdef5c1dp-2, -0x1.deed71cbd9295p-2, -0x1.d96bfd9307583p-2, -0x1.d3e33a01fdf87p-2, -0x1.ce540e41abab1p-2, -0x1.c8bf6340128c1p-2, -0x1.c32621e9c57bp-2, -0x1.bd8931a40b3c2p-2, -0x1.b7e97710a2bfap-2, -0x1.b247d31b040dfp-2, -0x1.aca522472ca0fp-2, -0x1.a7023c35651dbp-2, -0x1.a15ff34d61a95p-2, -0x1.9bbf148436ab8p-2, -0x1.962067325e9eap-2, -0x1.9084acf09f17dp-2, -0x1.8aeca1744e99bp-2, -0x1.8558fa661a963p-2, -0x1.7fca6731ce1dcp-2, -0x1.7a4190d121f57p-2, -0x1.74bf1995f24ebp-2, -0x1.6f439cf8e6b55p-2, -0x1.69cfaf70d6662p-2, -0x1.6463de55bc174p-2, -0x1.5f00afd0ac649p-2, -0x1.59a6a2d9510edp-2, -0x1.54562f40a4e1dp-2, -0x1.4f0fc5c824303p-2, -0x1.49d3d043da31ap-2, -0x1.44a2b1c527b4ep-2, -0x1.3f7cc6cbb447bp-2, -0x1.3a626579fe095p-2, -0x1.3553ddcb54542p-2, -0x1.305179c9ac946p-2, -0x1.2b5b7dc24d5f9p-2, -0x1.26722878dd72fp-2, -0x1.2195b358a6384p-2, -0x1.1cc652a4087f3p-2, -0x1.180435a23aba5p-2, -0x1.134f86cb6f18cp-2, -0x1.0ea86bf3ad926p-2, -0x1.0a0f0674ca92cp-2, -0x1.0583735807001p-2, -0x1.0105cb7fdb5c1p-2, -0x1.f92c47a4be0bap-3, -0x1.f0691ac8e03d5p-3, -0x1.e7c22b4b1f80ap-3, -0x1.df378d1827ed6p-3, -0x1.d6c94d82982dep-3, -0x1.ce77739a3de57p-3, -0x1.c6420081a85cp-3, -0x1.be28efc1ae092p-3, -0x1.b62c379a9e9fep-3, -0x1.ae4bc95320bb5p-3, -0x1.a687918491d2ap-3, -0x1.9edf78649f74fp-3, -0x1.9753620bdedb7p-3, -0x1.8fe32eb8e348fp-3, -0x1.888ebb0fa81b6p-3, -0x1.8155e05515639p-3, -0x1.7a3874a6e8e5dp-3, -0x1.73364b3052adcp-3, -0x1.6c4f345bfa68bp-3, -0x1.6582fe03fdc74p-3, -0x1.5ed173a09fbe3p-3, -0x1.583a5e75e5564p-3, -0x1.51bd85c053112p-3, -0x1.4b5aaee092963p-3, -0x1.45119d8591d4ap-3, -0x1.3ee213d4af671p-3, -0x1.38cbd28f83a45p-3, -0x1.32ce993700de1p-3, -0x1.2cea262be4a66p-3, -0x1.271e36ccc079dp-3, -0x1.216a8791f4684p-3, -0x1.1bced4281ecb4p-3, -0x1.164ad78976e99p-3, -0x1.10de4c166b5d7p-3, -0x1.0b88ebada0649p-3, -0x1.064a6fc3527eep-3, -0x1.01229177dc459p-3, -0x1.f822135a2eb13p-4, -0x1.ee2b223495f84p-4, -0x1.e45fc0bcccd81p-4, -0x1.dabf6020efe53p-4, -0x1.d14966cf6c1cap-4, -0x1.c7fd5f1919e9cp-4, -0x1.bedaaccc1a69bp-4, -0x1.b5e0c1a53c5d9p-4, -0x1.ad0f0fceed94ap-4, -0x1.a46509f93313bp-4, -0x1.9be2236fabdc6p-4, -0x1.9385d02ded7d4p-4, -0x1.8b4f84f1f70bcp-4, -0x1.833eb74cf10f3p-4, -0x1.7b52ddb236525p-4, -0x1.738b6f84c5458p-4, -0x1.6be7e52335ea8p-4, -0x1.6467b7f2525e1p-4, -0x1.5d0a626677a68p-4, -0x1.55cf600bde164p-4, -0x1.4eb62d8de677dp-4, -0x1.47be48bd9666dp-4, -0x1.40e7309756d8ap-4, -0x1.3a3065481341p-4, -0x1.33996831d84b9p-4, -0x1.2d21bbeffd108p-4, -0x1.26c8e45aec0edp-4, -0x1.208e668ba0273p-4, -0x1.1a71c8ded26c9p-4, -0x1.147292f7ea8ecp-4, -0x1.0e904dc3b12cp-4, -0x1.08ca837ac516ap-4, -0x1.0320bfa3ce1b5p-4, -0x1.fb251e2af27bbp-5, -0x1.f03efff04ec2dp-5, -0x1.e58e438ebaf9ep-5, -0x1.db120aa5cba44p-5, -0x1.d0c9797f56f54p-5, -0x1.c6b3b71087f3ep-5, -0x1.bccfecfa56cfcp-5, -0x1.b31d47896dc96p-5, -0x1.a99af5b56c9bbp-5, -0x1.a048291f9dc07p-5, -0x1.9724161116dfdp-5, -0x1.8e2df3785d0d3p-5, -0x1.8564fae6835p-5, -0x1.7cc8688bd4032p-5, -0x1.74577b341917cp-5, -0x1.6c1174427c33bp-5, -0x1.63f597ad1c381p-5, -0x1.5c032bf85451ap-5, -0x1.54397a31c51cfp-5, -0x1.4c97cdeb34fa2p-5, -0x1.451d753540e05p-5, -0x1.3dc9c099f274ap-5, -0x1.369c03173d7f2p-5, -0x1.2f93921978736p-5, -0x1.28afc575c3bb3p-5, -0x1.21eff76475949p-5, -0x1.1b53847b7f3ffp-5, -0x1.14d9cba8e041ap-5, -0x1.0e822e2d15101p-5, -0x1.084c0f958d7fbp-5, -0x1.0236d5b72a38ap-5, -0x1.f883d1517cc94p-6, -0x1.ecd9657b236edp-6, -0x1.e16d40ffcec86p-6, -0x1.d63e415711e33p-6, -0x1.cb4b485096257p-6, -0x1.c0933c092cbd4p-6, -0x1.b61506dfda6f5p-6, -0x1.abcf976ad76e5p-6, -0x1.a1c1e06c909b2p-6, -0x1.97ead8c897e18p-6, -0x1.8e497b788fa78p-6, -0x1.84dcc7810992bp-6, -0x1.7ba3bfe654698p-6, -0x1.729d6ba14cc56p-6, -0x1.69c8d59417f4bp-6, -0x1.61250c7ed9eeep-6, -0x1.58b122f45f535p-6, -0x1.506c2f4ecdbc5p-6, -0x1.48554ba4454bap-6, -0x1.406b95bb8453bp-6, -0x1.38ae2f009371fp-6, -0x1.311c3c7966675p-6, -0x1.29b4e6ba9b32cp-6, -0x1.227759dc2f518p-6, -0x1.1b62c56e48b42p-6, -0x1.14765c6e0f95ep-6, -0x1.0db1553a95b4p-6, -0x1.0712e989ccff6p-6, -0x1.009a565d9d44ap-6, -0x1.f48db7f1f3a94p-7, -0x1.e82f7baa50dd4p-7, -0x1.dc18852e10556p-7, -0x1.d0476808f7262p-7, -0x1.c4babdf3c309cp-7, -0x1.b97126bf655p-7, -0x1.ae69484047a87p-7, -0x1.a3a1ce39e9969p-7, -0x1.99196a4a93024p-7, -0x1.8eced3d731011p-7, -0x1.84c0c7f774c4dp-7, -0x1.7aee0962188a4p-7, -0x1.7155605944e5cp-7, -0x1.67f59a97312cfp-7, -0x1.5ecd8b3af2514p-7, -0x1.55dc0ab568b0ep-7, -0x1.4d1ff6b65f29dp-7, -0x1.44983219d8c2ep-7, -0x1.3c43a4d572bcp-7, -0x1.34213be617d41p-7, -0x1.2c2fe93db5f2ap-7, -0x1.246ea3b12cf5bp-7, -0x1.1cdc66e6640fp-7, -0x1.1578334283052p-7, -0x1.0e410dd8599d7p-7, -0x1.07360056dbb71p-7, -0x1.005618f7e5dfdp-7, -0x1.f340d4de0f161p-8, -0x1.e62817b10f179p-8, -0x1.d960315114f4ep-8, -0x1.cce76134c4ac8p-8, -0x1.c0bbef40045d7p-8, -0x1.b4dc2ba356b9p-8, -0x1.a9466ebb4df19p-8, -0x1.9df918f097c93p-8, -0x1.92f2929809e78p-8, -0x1.88314bd364dddp-8, -0x1.7db3bc7216525p-8, -0x1.737863d27b3ep-8, -0x1.697dc8c36eb9fp-8, -0x1.5fc2796632df2p-8, -0x1.56450b108b30bp-8, -0x1.4d041a2f7655fp-8, -0x1.43fe4a29f4c8p-8, -0x1.3b32454440ee2p-8, -0x1.329ebc835debep-8, -0x1.2a426790f346bp-8, -0x1.221c049f7e65fp-8, -0x1.1a2a584ee0accp-8, -0x1.126c2d911a9dep-8, -0x1.0ae0558f9be5dp-8, -0x1.0385a790a9a13p-8, -0x1.f8b601ba5ea34p-9, -0x1.eabe894dbd43cp-9, -0x1.dd22b7dd4fa9bp-9, -0x1.cfe06ad6d22ecp-9, -0x1.c2f58ae22db65p-9, -0x1.b6600bb005bf1p-9, -0x1.aa1debc93c777p-9, -0x1.9e2d345eeebaap-9, -0x1.928bf91b161f5p-9, -0x1.873857f177963p-9, -0x1.7c3078f1d88b5p-9, -0x1.71728e1a27a4fp-9, -0x1.66fcd3298d718p-9, -0x1.5ccd8d740943p-9, -0x1.52e30bb69404fp-9, -0x1.493ba5ebeb656p-9, -0x1.3fd5bd21fcde2p-9, -0x1.36afbb4f85195p-9, -0x1.2dc8132af9c9p-9, -0x1.251d40015128p-9, -0x1.1cadc58db1fa6p-9, -0x1.14782fd1a5982p-9, -0x1.0c7b12edd1a44p-9, -0x1.04b50afb44216p-9, -0x1.fa4977caa8493p-10, -0x1.eb91a287eac0ep-10, -0x1.dd3ffc6d88a9fp-10, -0x1.cf51fa410976ep-10, -0x1.c1c5200acf812p-10, -0x1.b496ff4083b3bp-10, -0x1.a7c5378e04881p-10, -0x1.9b4d764b6349bp-10, -0x1.8f2d7639ca3a6p-10, -0x1.8362ff404d53ap-10, -0x1.77ebe62a5efcfp-10, -0x1.6cc60c66fa08p-10, -0x1.61ef5fc91a108p-10, -0x1.5765da48efe32p-10, -0x1.4d2781c629bc8p-10, -0x1.433267cb7127ep-10, -0x1.3984a95211659p-10, -0x1.301c6e87e86a2p-10, -0x1.26f7ea9522f23p-10, -0x1.1e155b6369e1dp-10, -0x1.15730965ea112p-10, -0x1.0d0f47624ac8ep-10, -0x1.04e8723aa0ad6p-10, -0x1.f9f9e1701e57cp-11, -0x1.ea9666ad25d88p-11, -0x1.dba368230bd68p-11, -0x1.cd1dec6235a86p-11, -0x1.bf030c313358p-11, -0x1.b14ff22b1c34cp-11, -0x1.a401da5f73e2fp-11, -0x1.971611f456a2cp-11, -0x1.8a89f6c942c3ep-11, -0x1.7e5af71c84101p-11, -0x1.728691316236ep-11, -0x1.670a52f8c98f1p-11, -0x1.5be3d9ba28883p-11, -0x1.5110d1c000e5bp-11, -0x1.468ef603eeefap-11, -0x1.3c5c0fdd34e23p-11, -0x1.3275f6b0a03c7p-11, -0x1.28da8fa1c51c3p-11, -0x1.1f87cd45db888p-11, -0x1.167baf58170a3p-11, -0x1.0db4426efab0cp-11, -0x1.052f9fb38bd3ap-11, -0x1.f9d7d933ccb6ap-12, -0x1.e9ceb5342f0cp-12, -0x1.da404dd905975p-12, -0x1.cb29348ab9255p-12, -0x1.bc8611252539cp-12, -0x1.ae53a17560dd8p-12, -0x1.a08eb8ba8bcb4p-12, -0x1.93343f27f1e1bp-12, -0x1.8641316b1f646p-12, -0x1.79b2a032eaaedp-12, -0x1.6d85afb9cdee5p-12, -0x1.61b79752319bep-12, -0x1.5645a0f51a189p-12, -0x1.4b2d28d2bdee9p-12, -0x1.406b9ce691071p-12, -0x1.35fe7c8a029bep-12, -0x1.2be3580f4140bp-12, -0x1.2217d058753fcp-12, -0x1.18999673fb562p-12, -0x1.0f666b39c585dp-12, -0x1.067c1eeadd4a6p-12, -0x1.fbb121a7331dbp-13, -0x1.eaf35ddd06c0cp-13, -0x1.dabaeb1129eap-13, -0x1.cb03ddd5f9262p-13, -0x1.bbca6604be1e9p-13, -0x1.ad0ace14600e5p-13, -0x1.9ec17a72d914dp-13, -0x1.90eae8e1ca78bp-13, -0x1.8383afd6e14c3p-13, -0x1.76887ddf64d1p-13, -0x1.69f619070e214p-13, -0x1.5dc95e431b6a4p-13, -0x1.51ff40de39858p-13, -0x1.4694c9ea1eefbp-13, -0x1.3b8717b3e54efp-13, -0x1.30d35d374ca7p-13, -0x1.2676e19d78b34p-13, -0x1.1c6effb6518dfp-13, -0x1.12b92578dade1p-13, -0x1.0952d385b15c5p-13, -0x1.00399cac172aap-13, -0x1.eed64ae38f7a9p-14, -0x1.ddca473cc6cd8p-14, -0x1.cd4abb8f0c0d3p-14, -0x1.bd5355c2b278dp-14, -0x1.addfe3a236d04p-14, -0x1.9eec520360b8cp-14, -0x1.9074abf7c5d7cp-14, -0x1.827519fb90dfep-14, -0x1.74e9e134b07e1p-14, -0x1.67cf62acfe6d6p-14, -0x1.5b221a9098053p-14, -0x1.4ede9f796be6dp-14, -0x1.4301a1b683746p-14, -0x1.3787ea9b99428p-14, -0x1.2c6e5bd40456fp-14, -0x1.21b1eeba73969p-14, -0x1.174fb3b522323p-14, -0x1.0d44d18ee30cbp-14, -0x1.038e84e35e188p-14, -0x1.f4543f0548a2p-15, -0x1.e22a0fb1bd532p-15, -0x1.d09970bf4ff82p-15, -0x1.bf9d7e1f43632p-15, -0x1.af3179ab2b91cp-15, -0x1.9f50ca1755a24p-15, -0x1.8ff6f9eb362cep-15, -0x1.811fb681310ap-15, -0x1.72c6cf0afd099p-15, -0x1.64e833a06306ap-15, -0x1.577ff44e21ba7p-15, -0x1.4a8a403021324p-15, -0x1.3e03648f89061p-15, -0x1.31e7cc07c5b39p-15, -0x1.2633fda9919a6p-15, -0x1.1ae49c345ffe4p-15, -0x1.0ff66543cd434p-15, -0x1.0566308b64567p-15, -0x1.f661de2a1fd43p-16, -0x1.e2a7550a9d6d4p-16, -0x1.cf9708c7e4c43p-16, -0x1.bd2b6ad57dee8p-16, -0x1.ab5f19a755c63p-16, -0x1.9a2cdf6bb87bap-16, -0x1.898fb0be224a4p-16, -0x1.7982ab5717f81p-16, -0x1.6a0114ecf8a21p-16, -0x1.5b0659f56024p-16, -0x1.4c8e0c85ed5ddp-16, -0x1.3e93e32713222p-16, -0x1.3113b7c75bf1ep-16, -0x1.240986a7c28b1p-16, -0x1.17716d5458d31p-16, -0x1.0b47a99b26a09p-16, -0x1.ff1131383110dp-17, -0x1.e8616b9b2c0b6p-17, -0x1.d279342cccc8dp-17, -0x1.bd51f5a1f121bp-17, -0x1.a8e552168e204p-17, -0x1.952d212e00e47p-17, -0x1.82236e7504cd4p-17, -0x1.6fc277c4dc98dp-17, -0x1.5e04abb1d7c3ep-17, -0x1.4ce4a805546f4p-17, -0x1.3c5d3841c45c9p-17, -0x1.2c695434ee96fp-17, -0x1.1d041e873ba39p-17, -0x1.0e28e37c08fa1p-17, -0x1.ffa62ef13761ap-18, -0x1.e3fcababe9499p-18, -0x1.c94cbf33af8edp-18, -0x1.af8e34855883ap-18, -0x1.96b91d32c3858p-18, -0x1.7ec5cf1b61e2bp-18, -0x1.67ace22dc84a4p-18, -0x1.51672e74c9e6bp-18, -0x1.3bedc98068e2bp-18, -0x1.273a04f5c4277p-18, -0x1.13456c43106b2p-18, -0x1.0009c2cef66fp-18, -0x1.db02040742763p-19, -0x1.b74aaf5b5f123p-19, -0x1.94e2484393258p-19, -0x1.73bdf1268be1cp-19, -0x1.53d32af1bbcadp-19, -0x1.3517d1acc8616p-19, -0x1.178219c36a60fp-19, -0x1.f6111996c1c6ep-20, -0x1.bf440d5e8ac34p-20, -0x1.8a8b65c1fa962p-20, -0x1.57d61344f9d7p-20, -0x1.27139ac864454p-20, -0x1.f06820e253ff6p-21, -0x1.965025713cf02p-21, -0x1.3fc18b493ffbcp-21, -0x1.d93f389a85f8dp-22, -0x1.399d368209658p-22, -0x1.40ceeaa23e9bep-23, -0x1.ad45b8ea20406p-27, 0x1.fe32bc1c5ddc3p-24, 0x1.06ad7ae19a2f5p-22, 0x1.8826f0ebeeef5p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.03dd2efce8e2p-3, 0x1.21da8442b22adp-3, 0x1.3f86d88eed0eap-3, 0x1.5c9ec1eacf45ap-3, 0x1.78e481d6a2beep-3, 0x1.94236f82f73c2p-3, 0x1.ae2cf6b05cd85p-3, 0x1.c6d87fa809f7bp-3, 0x1.de04a19d96562p-3, 0x1.f395d901bfe8dp-3, 0x1.03bacea52cf6fp-2, 0x1.0cc94266b98ccp-2, 0x1.14f0040d0efa6p-2, 0x1.1c2ae25bd08a9p-2, 0x1.227783b05ffddp-2, 0x1.27d54b98f4d47p-2, 0x1.2c452d539c0d8p-2, 0x1.2fc9759322d92p-2, 0x1.3265a2e4991a9p-2, 0x1.341e3f899d911p-2, 0x1.34f8beb017876p-2, 0x1.34fbe82512ae8p-2, 0x1.342d8e06474c6p-2, 0x1.32957d1effb7p-2, 0x1.303c296b4e6f2p-2, 0x1.2d2a5b6f5ce86p-2, 0x1.2968d633f8e15p-2, 0x1.25004621dc9f3p-2, 0x1.1ff96a5e05f3p-2, 0x1.1a5d46244fc5p-2, 0x1.14352dfb2b4ccp-2, 0x1.0d8aa5e933ba9p-2, 0x1.0667260bb241dp-2, 0x1.fda7cda80f6eap-3, 0x1.edb39779c5d9ap-3, 0x1.dd02db8f7d386p-3, 0x1.cba66af489004p-3, 0x1.b9aedefa46b99p-3, 0x1.a72c9d99f2eacp-3, 0x1.942fb89ffc9d5p-3, 0x1.80c7bb345e1d2p-3, 0x1.6d037ec252b63p-3, 0x1.58f117f1f9107p-3, 0x1.449ddda97241p-3, 0x1.30167fad0275bp-3, 0x1.1b671dfd94c6bp-3, 0x1.069b55b8d5615p-3, 0x1.e37c80507ddbbp-4, 0x1.b9b4d01aa9262p-4, 0x1.8ff379bfcf158p-4, 0x1.664b15f719291p-4, 0x1.3cccf821380c1p-4, 0x1.13893dd53f43dp-4, 0x1.d51dcb43caee7p-5, 0x1.83d7c9735f917p-5, 0x1.335a6cc3949d3p-5, 0x1.c77b9208ddb78p-6, 0x1.2a3030332b1c1p-6, 0x1.1df706e384862p-7, -0x1.3fa6343db2367p-11, -0x1.41302d78c27c6p-7, -0x1.34b692f47e041p-6, -0x1.c63d1e0a1bfdcp-6, -0x1.2a94f6763d70ap-5, -0x1.70aa7557e7adbp-5, -0x1.b54ebe5e623a3p-5, -0x1.f8781d490cb72p-5, -0x1.1d0f7746e19bap-4, -0x1.3d1ec197dccccp-4, -0x1.5c67f2375801bp-4, -0x1.7ae9c1605f74p-4, -0x1.98a36e8c9b127p-4, -0x1.b594964bb5c9dp-4, -0x1.d1bd0f099c2ccp-4, -0x1.ed1ccfbd56d9bp-4, -0x1.03d9f0d5f678ap-3, -0x1.10c12e6856bddp-3, -0x1.1d44369ea739ap-3, -0x1.29632f77bb6cap-3, -0x1.351e569945794p-3, -0x1.4076095118902p-3, -0x1.4b6acb9a92a35p-3, -0x1.55fd4d25fea75p-3, -0x1.602e6bbf31913p-3, -0x1.69ff32d97a047p-3, -0x1.7370d86c49e87p-3, -0x1.7c84b7a0823d9p-3, -0x1.853c4a0727efcp-3, -0x1.8d992028d9ae2p-3, -0x1.959cda32b55f3p-3, -0x1.9d49216048cecp-3, -0x1.a49fa28e37424p-3, -0x1.aba20a2ab7fe1p-3, -0x1.b25201896a77dp-3, -0x1.b8b12d7d3bb1ep-3, -0x1.bec12e05a1535p-3, -0x1.c4839ed2774cdp-3, -0x1.c9fa185f4499p-3, -0x1.cf263167cde92p-3, -0x1.d409807ad50ccp-3, -0x1.d8a59d73e3befp-3, -0x1.dcfc22ab2d2d2p-3, -0x1.e10eadb3cc2c2p-3, -0x1.e4dedf8de0525p-3, -0x1.e86e5c4245b0cp-3, -0x1.ebbec9ef2d4d2p-3, -0x1.eed1cf5d5557ep-3, -0x1.f1a912423e05cp-3, -0x1.f446355af8d01p-3, -0x1.f6aad68c4cdbfp-3, -0x1.f8d88d304a745p-3, -0x1.fad0e8b0652dp-3, -0x1.fc956f7f62531p-3, -0x1.fe279e7a14653p-3, -0x1.ff88e8aa5374bp-3, -0x1.005d5baf3ed66p-2, -0x1.00df3540db29ep-2, -0x1.014aac8f22d86p-2, -0x1.01a068f9e4d2ap-2, -0x1.01e10e06c52cp-2, -0x1.020d3ba4ccdc8p-2, -0x1.02258e63483bbp-2, -0x1.022a9f996befap-2, -0x1.021d057e9e714p-2, -0x1.01fd53350e202p-2, -0x1.01cc18c983f58p-2, -0x1.0189e32c04c17p-2, -0x1.01373c24cd943p-2, -0x1.00d4aa48c7d0fp-2, -0x1.0062b0efd1347p-2, -0x1.ffc3a05ca799p-3, -0x1.fea509a5af4b1p-3, -0x1.fd6a90cf52e2cp-3, -0x1.fc152270a0748p-3, -0x1.faa5a4b4fd239p-3, -0x1.f91cf774656a1p-3, -0x1.f77bf451d928cp-3, -0x1.f5c36edfc15a7p-3, -0x1.f3f434ca3f963p-3, -0x1.f20f0e06e0cc1p-3, -0x1.f014bd08b3445p-3, -0x1.ee05fef7332d7p-3, -0x1.ebe38be600983p-3, -0x1.e9ae170b0fc97p-3, -0x1.e7664ef1433b7p-3, -0x1.e50cdda5a508fp-3, -0x1.e2a268de7490bp-3, -0x1.e0260c3de1a3ep-3, -0x1.dd9b7670bce49p-3, -0x1.db01c581724f3p-3, -0x1.d8598dd61fa1p-3, -0x1.d5a35f4b8b0b8p-3, -0x1.d2dfc56e10922p-3, -0x1.d00f47b91db3ep-3, -0x1.cd3269db2f20cp-3, -0x1.ca49abfbf8968p-3, -0x1.c7558b0290423p-3, -0x1.c45680d983548p-3, -0x1.c14d04aee49p-3, -0x1.be398b2ebf51dp-3, -0x1.bb1c86b67e863p-3, -0x1.b7f667805f514p-3, -0x1.b4c79bc634113p-3, -0x1.b1908fdb52c73p-3, -0x1.ae51ae3dbf9ebp-3, -0x1.ab0b5f9f2677dp-3, -0x1.a7be0ae6768f4p-3, -0x1.a46a152b3f055p-3, -0x1.a10fe1ac23504p-3, -0x1.9dafd1c1d664ep-3, -0x1.9a4a44d01894cp-3, -0x1.96df983628af2p-3, -0x1.9370274001338p-3, -0x1.8ffc4b198219cp-3, -0x1.8c845ac487254p-3, -0x1.8908ab12972c8p-3, -0x1.85898ea2b044bp-3, -0x1.820755e3675adp-3, -0x1.7e824f1965c8ap-3, -0x1.7afac66a12c25p-3, -0x1.777105ea0a7e2p-3, -0x1.73e555aef7c64p-3, -0x1.7057fbe420ea9p-3, -0x1.6cc93ce11d16cp-3, -0x1.69395b41eb438p-3, -0x1.65a897ffc644fp-3, -0x1.6217328a07cd1p-3, -0x1.5e8568de76c73p-3, -0x1.5af377a067fe4p-3, -0x1.57619a2e4239fp-3, -0x1.53d00ab4e565fp-3, -0x1.503f0240ae654p-3, -0x1.4caeb8cbd91dap-3, -0x1.491f654a1d8bfp-3, -0x1.45913db180d7ep-3, -0x1.420477005ecd4p-3, -0x1.3e794540ddddfp-3, -0x1.3aefdb89f0db8p-3, -0x1.37686bfe3ada2p-3, -0x1.33e327c919d8ap-3, -0x1.30603f1a364bfp-3, -0x1.2cdfe11ffcb5bp-3, -0x1.29623c0148858p-3, -0x1.25e77cd6bc4b5p-3, -0x1.226fcfa403ec7p-3, -0x1.1efb5f515b743p-3, -0x1.1b8a55a5a6268p-3, -0x1.181cdb414716p-3, -0x1.14b31799ed60dp-3, -0x1.114d30f780f06p-3, -0x1.0deb4c723b2bfp-3, -0x1.0a8d8df1fa911p-3, -0x1.0734182ee0272p-3, -0x1.03df0cb311db2p-3, -0x1.008e8bddb19a6p-3, -0x1.fa8569cda1be2p-4, -0x1.f3f74bc8b34dbp-4, -0x1.ed72f79f7c66fp-4, -0x1.e6f8a5189fd7ep-4, -0x1.e08889dc14b29p-4, -0x1.da22d98183117p-4, -0x1.d3c7c59ef1c86p-4, -0x1.cd777dd791fd7p-4, -0x1.c7322fea6792fp-4, -0x1.c0f807c090cf2p-4, -0x1.bac92f7af87bdp-4, -0x1.b4a5cf7f52d2cp-4, -0x1.ae8e0e843cc06p-4, -0x1.a882119c631a5p-4, -0x1.a281fc40ac817p-4, -0x1.9c8df05957dddp-4, -0x1.96a60e460f739p-4, -0x1.90ca74e5000c5p-4, -0x1.8afb4198f7326p-4, -0x1.8538904ea2012p-4, -0x1.7f827b8100968p-4, -0x1.79d91c3d29998p-4, -0x1.743c8a257918ep-4, -0x1.6eacdb74498bcp-4, -0x1.692a24fe5319cp-4, -0x1.63b47a34d23dfp-4, -0x1.5e4bed278eebbp-4, -0x1.58f08e86e2a6p-4, -0x1.53a26da5d5481p-4, -0x1.4e61987c65c8ap-4, -0x1.492e1baa1550ep-4, -0x1.44080278c17c1p-4, -0x1.3eef56dfde4c2p-4, -0x1.39e4218816264p-4, -0x1.34e669cf57966p-4, -0x1.2ff635cd53a97p-4, -0x1.2b138a586d0bdp-4, -0x1.263e6b0b124aep-4, -0x1.2176da4981d0ep-4, -0x1.1cbcd947eb1e1p-4, -0x1.18106810e8abdp-4, -0x1.1371858c42d1ep-4, -0x1.0ee02f85f2e1dp-4, -0x1.0a5c62b559197p-4, -0x1.05e61ac4980e8p-4, -0x1.017d52580b5e4p-4, -0x1.fa44062b9610cp-5, -0x1.f1a84b5a649c1p-5, -0x1.e92763bcbf69ap-5, -0x1.e0c13d03484c3p-5, -0x1.d875c31db3e91p-5, -0x1.d044e0493bf2fp-5, -0x1.c82e7d1ec7273p-5, -0x1.c03280a0c2d59p-5, -0x1.b850d048a3bd6p-5, -0x1.b08950140de69p-5, -0x1.a8dbe2919e2fdp-5, -0x1.a14868ed56f8ep-5, -0x1.99cec2fcadce9p-5, -0x1.926ecf4a41798p-5, -0x1.8b286b2133855p-5, -0x1.83fb72983025ep-5, -0x1.7ce7c09c2530fp-5, -0x1.75ed2efaad71dp-5, -0x1.6f0b966c36acdp-5, -0x1.6842ce9de631bp-5, -0x1.6192ae3b446dfp-5, -0x1.5afb0af7b2aa8p-5, -0x1.547bb997b1a3ap-5, -0x1.4e148dfa00047p-5, -0x1.47c55b2091d4bp-5, -0x1.418df3396cceep-5, -0x1.3b6e27a767dc8p-5, -0x1.3565c90ad24b4p-5, -0x1.2f74a74a0a79p-5, -0x1.299a919a0233fp-5, -0x1.23d75686b561bp-5, -0x1.1e2ac3fb923ap-5, -0x1.1894a74bd5306p-5, -0x1.1314cd3ad941bp-5, -0x1.0dab020459207p-5, -0x1.08571164a24e8p-5, -0x1.0318c6a0b96f3p-5, -0x1.fbdfd91cd464p-6, -0x1.f1b89b388a963p-6, -0x1.e7bb67b30ae15p-6, -0x1.dde7d1fbb76f5p-6, -0x1.d43d6ce23e2c6p-6, -0x1.cabbcaa5bcb06p-6, -0x1.c1627d03a2024p-6, -0x1.b8311546423f8p-6, -0x1.af2724532aeedp-6, -0x1.a6443ab92010fp-6, -0x1.9d87e8bdc7909p-6, -0x1.94f1be6b03c5dp-6, -0x1.8c814b9bf54fcp-6, -0x1.84362009a38f3p-6, -0x1.7c0fcb574c77cp-6, -0x1.740ddd1e5b028p-6, -0x1.6c2fe4fa038dfp-6, -0x1.64756e742cc7dp-6, -0x1.5cde11967136bp-6, -0x1.55695a1e1bac4p-6, -0x1.4e16d819b68c9p-6, -0x1.46e61bce7021dp-6, -0x1.3fd6b5c1a954fp-6, -0x1.38e836c228ebcp-6, -0x1.321a2ff100aa7p-6, -0x1.2b6c32ca1b341p-6, -0x1.24ddd12c7deadp-6, -0x1.1e6e9d623c00bp-6, -0x1.181e2a281fa48p-6, -0x1.11ec0ab503aafp-6, -0x1.0bd7d2c0ea5e2p-6, -0x1.05e1168bd00abp-6, -0x1.00076ae432422p-6, -0x1.f494ca5ab8002p-7, -0x1.e95336cadf568p-7, -0x1.de4948565f482p-7, -0x1.d3762d871ba8p-7, -0x1.c8d9163dfd70ep-7, -0x1.be7133bd240b6p-7, -0x1.b43db8b1a5fcdp-7, -0x1.aa3dd93ce537dp-7, -0x1.a070cafd79df6p-7, -0x1.96d5c517b2144p-7, -0x1.8d6c003dab04dp-7, -0x1.8432b6b70bb26p-7, -0x1.7b2924685628p-7, -0x1.724e86d9e2d8ap-7, -0x1.69a21d3e78102p-7, -0x1.6123287988ba7p-7, -0x1.58d0eb251eb98p-7, -0x1.50aaa99768583p-7, -0x1.48afa9e7f855p-7, -0x1.40df33f4aa06bp-7, -0x1.393891663fb1dp-7, -0x1.31bb0db4acfdcp-7, -0x1.2a65f62b14b5ap-7, -0x1.233899eb7f52dp-7, -0x1.1c3249f245881p-7, -0x1.1552591936d25p-7, -0x1.0e981c1a7b37ap-7, -0x1.0802e9932ecc1p-7, -0x1.01921a05c35e1p-7, -0x1.f68a0fb834718p-8, -0x1.ea361ed2cce5p-8, -0x1.de271dd7a05d9p-8, -0x1.d25bcd1bbe98ap-8, -0x1.c6d2f0cf5486p-8, -0x1.bb8b50ffa226ep-8, -0x1.b083b9987efdp-8, -0x1.a5bafa6574a4ap-8, -0x1.9b2fe71275c9dp-8, -0x1.90e1572c2cb0cp-8, -0x1.86ce261fe8e9ep-8, -0x1.7cf5333b2bea2p-8, -0x1.735561aad1b71p-8, -0x1.69ed9879ea32bp-8, -0x1.60bcc2902848fp-8, -0x1.57c1ceb00055bp-8, -0x1.4efbaf746b9f6p-8, -0x1.46695b4e55b02p-8, -0x1.3e09cc81b89e9p-8, -0x1.35dc01225f43fp-8, -0x1.2ddefb1057821p-8, -0x1.2611bff41a81ep-8, -0x1.1e73593a5d207p-8, -0x1.1702d40f957bfp-8, -0x1.0fbf415b355a3p-8, -0x1.08a7b5ba976e9p-8, -0x1.01bb497ba3b98p-8, -0x1.f5f2312e5b12fp-9, -0x1.e8c085560f795p-9, -0x1.dbdfd5e7aedb2p-9, -0x1.cf4e708d41121p-9, -0x1.c30aaa1423de6p-9, -0x1.b712de5f2d808p-9, -0x1.ab6570583cf5p-9, -0x1.a000c9e1737e8p-9, -0x1.94e35bc5e1731p-9, -0x1.8a0b9da9cff51p-9, -0x1.7f780dfaa5576p-9, -0x1.752731de585abp-9, -0x1.6b1795229259cp-9, -0x1.6147ca2b70124p-9, -0x1.57b669e1ee8bep-9, -0x1.4e6213a2065f7p-9, -0x1.45496d28851fap-9, -0x1.3c6b22809912ep-9, -0x1.33c5e5f129b1cp-9, -0x1.2b586fe9e4b6cp-9, -0x1.23217ef031d83p-9, -0x1.1b1fd78be775fp-9, -0x1.13524433daaefp-9, -0x1.0bb7953a5080fp-9, -0x1.044ea0b955028p-9, -0x1.fa2c84fdee0f8p-10, -0x1.ec1ab7f2e8078p-10, -0x1.de65a846b9305p-10, -0x1.d10b2edf5e067p-10, -0x1.c4092f6bc9357p-10, -0x1.b75d983c3c7b2p-10, -0x1.ab06621a8203fp-10, -0x1.9f01902240cdp-10, -0x1.934d2f9982903p-10, -0x1.87e757c95ff83p-10, -0x1.7cce29d6cfbb8p-10, -0x1.71ffd09bb4c49p-10, -0x1.677a808028061p-10, -0x1.5d3c77540a5dap-10, -0x1.5343fc28cb61fp-10, -0x1.498f5f2b9e86dp-10, -0x1.401cf97fd8ca3p-10, -0x1.36eb2d19c919ap-10, -0x1.2df86499d7a6dp-10, -0x1.25431328018e9p-10, -0x1.1cc9b44fb6744p-10, -0x1.148acbdc1b71ap-10, -0x1.0c84e5b4aeda9p-10, -0x1.04b695ba511c2p-10, -0x1.fa3cef495bbdcp-11, -0x1.eb765dc032b6p-11, -0x1.dd16ccd798f25p-11, -0x1.cf1ba1711af9ap-11, -0x1.c1824f0f73eb8p-11, -0x1.b448579599c27p-11, -0x1.a76b4b0668572p-11, -0x1.9ae8c7452c376p-11, -0x1.8ebe77d71c681p-11, -0x1.82ea15a57f49ap-11, -0x1.776966c0b157dp-11, -0x1.6c3a3e23bebabp-11, -0x1.615a7b7913d71p-11, -0x1.56c80adfc410fp-11, -0x1.4c80e4b19c575p-11, -0x1.42830d49f9d24p-11, -0x1.38cc94cd597p-11, -0x1.2f5b96f1aa73dp-11, -0x1.262e3ac757a37p-11, -0x1.1d42b282fab19p-11, -0x1.14973b47ee21fp-11, -0x1.0c2a1cf3588d4p-11, -0x1.03f9a9e812fe6p-11, -0x1.f8087db6596dp-12, -0x1.e89085424c792p-12, -0x1.d9884bf78865cp-12, -0x1.caecc6d131233p-12, -0x1.bcbafde08adb7p-12, -0x1.aef00bec4cdd4p-12, -0x1.a1891e1207f42p-12, -0x1.94837367e5ec3p-12, -0x1.87dc5ca061f02p-12, -0x1.7b913baef5e69p-12, -0x1.6f9f836e095dep-12, -0x1.6404b7462a94fp-12, -0x1.58be6ad66fda7p-12, -0x1.4dca419e237c6p-12, -0x1.4325eea7bc889p-12, -0x1.38cf34348971bp-12, -0x1.2ec3e36a651ecp-12, -0x1.2501dc01fecc7p-12, -0x1.1b870bf670ff3p-12, -0x1.12516f361f6c1p-12, -0x1.095f0f54c8797p-12, -0x1.00ae033ea737fp-12, -0x1.f078ddd9add39p-13, -0x1.e01106358b5p-13, -0x1.d020f9fa54adfp-13, -0x1.c0a54bf2f6d11p-13, -0x1.b19aa6be602a8p-13, -0x1.a2fdcc43afea4p-13, -0x1.94cb9528c8c6fp-13, -0x1.8700f04b26087p-13, -0x1.799ae23b2aae9p-13, -0x1.6c9684b9368d7p-13, -0x1.5ff1063579fa2p-13, -0x1.53a7a951bd5d9p-13, -0x1.47b7c4656ea49p-13, -0x1.3c1ec103e53ddp-13, -0x1.30da1b849ae44p-13, -0x1.25e7628eb14a2p-13, -0x1.1b4436a3fe2a9p-13, -0x1.10ee49b1adb35p-13, -0x1.06e35ea02a7bbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f4d029b1b4411p-2, 0x1.06c3ca30f4a35p-1, 0x1.0fb0938bb8ac2p-1, 0x1.1578ca5a50cfbp-1, 0x1.186bad1584bc7p-1, 0x1.18da7c799d23p-1, 0x1.17162126fca62p-1, 0x1.136d61b585ceep-1, 0x1.0e2b93f72bb7ep-1, 0x1.0797b590f9dbfp-1, 0x1.ffe7b92983163p-2, 0x1.eef9bcc4cb6cbp-2, 0x1.dcd44f63cb2abp-2, 0x1.c9db7819795b5p-2, 0x1.b668a22af7587p-2, 0x1.a2cafc6c5be64p-2, 0x1.8f47f3986923dp-2, 0x1.7c1bc49132ae1p-2, 0x1.697a1d54a5b2fp-2, 0x1.578eb8a4b3498p-2, 0x1.467dff087d7b4p-2, 0x1.3665a8c8aae78p-2, 0x1.275d8200b480dp-2, 0x1.1977a2f7e4a1ep-2, 0x1.0cc1373810728p-2, 0x1.014302513185ep-2, 0x1.ee03c7ccab5c2p-3, 0x1.dbfe98e197c26p-3, 0x1.cc73490002233p-3, 0x1.bf59575b0f1f4p-3, 0x1.b4a3a7f40a2dep-3, 0x1.ac413571df17cp-3, 0x1.a61db97e9442fp-3, 0x1.a22244e195e7p-3, 0x1.a035c34c8e164p-3, 0x1.a03d6bbb3c537p-3, 0x1.a21d2238697f4p-3, 0x1.a5b7d0cfe3469p-3, 0x1.aaefbb5457a5ep-3, 0x1.b1a6ce590e27bp-3, 0x1.b9bee776bfb7ap-3, 0x1.c31a145c7bdf1p-3, 0x1.cd9ac72505dc8p-3, 0x1.d924006a3f71ap-3, 0x1.e5997152b93abp-3, 0x1.f2df981ce5cbep-3, 0x1.006dec5a136b9p-2, 0x1.07ba48f31c434p-2, 0x1.0f4897b3cd3a6p-2, 0x1.170d1c4361491p-2, 0x1.1efcad7ce14b6p-2, 0x1.270cb8931e062p-2, 0x1.2f3342098f937p-2, 0x1.3766e52a58b6ap-2, 0x1.3f9ed2d02d3e3p-2, 0x1.47d2cff49341dp-2, 0x1.4ffb33d8011c4p-2, 0x1.5810e5566ba78p-2, 0x1.600d573b6cf1bp-2, 0x1.67ea83db9c595p-2, 0x1.6fa2e86c2d0e3p-2, 0x1.77318061aea3cp-2, 0x1.7e91c0c301804p-2, 0x1.85bfc2f47d74p-2, 0x1.8cb7c47e23c31p-2, 0x1.93765e4e41ffdp-2, 0x1.99f8b00535baap-2, 0x1.a03c3b7c070bdp-2, 0x1.a63edf0a30dafp-2, 0x1.abfecf62f0313p-2, 0x1.b17a91498ec45p-2, 0x1.b6b0f35cfb04dp-2, 0x1.bba108317074ap-2, 0x1.c04a20e016bc5p-2, 0x1.c4abc8241b8c2p-2, 0x1.c8c5be0d453fdp-2, 0x1.cc97f44180b16p-2, 0x1.d0228aba989bbp-2, 0x1.d365cce4177e2p-2, 0x1.d6622ef8cef2p-2, 0x1.d9184b7ffa862p-2, 0x1.db88e0ce6981bp-2, 0x1.ddb4ce774399p-2, 0x1.df9d12a0a7df3p-2, 0x1.e142c739b41ebp-2, 0x1.e2a71f18e414ep-2, 0x1.e3cb6311b051p-2, 0x1.e4b0ef1573826p-2, 0x1.e5592f746f3f3p-2, 0x1.e5c59e5012de9p-2, 0x1.e5f7c148a269fp-2, 0x1.e5f127682dbe9p-2, 0x1.e5b36745e2982p-2, 0x1.e5401d58f05bdp-2, 0x1.e498ea71e5506p-2, 0x1.e3bf7253ffc33p-2, 0x1.e2b55a6bc25edp-2, 0x1.e17c48a3870dfp-2, 0x1.e015e258580a3p-2, 0x1.de83cb70a4964p-2, 0x1.dcc7a593cd773p-2, 0x1.dae30f7e0952dp-2, 0x1.d8d7a469333d4p-2, 0x1.d6a6fb8194e92p-2, 0x1.d452a75e54ca8p-2, 0x1.d1dc357788dp-2, 0x1.cf452d97939acp-2, 0x1.cc8f11493fd7bp-2, 0x1.c9bb5b4749841p-2, 0x1.c6cb7ef3edf61p-2, 0x1.c3c0e7df834ebp-2, 0x1.c09cf964089ddp-2, 0x1.bd610e596e5f6p-2, 0x1.ba0e78e3adb7ep-2, 0x1.b6a6825910233p-2, 0x1.b32a6b3cd5e7bp-2, 0x1.af9b6b491b5c6p-2, 0x1.abfab18264917p-2, 0x1.a849644fbbbadp-2, 0x1.a488a1936c9dfp-2, 0x1.a0b97ec1ea492p-2, 0x1.9cdd08f5eb6dep-2, 0x1.98f44502283dcp-2, 0x1.95002f8202c31p-2, 0x1.9101bceaca796p-2, 0x1.8cf9d99f57cb7p-2, 0x1.88e96a0742b7p-2, 0x1.84d14aaa6b8c6p-2, 0x1.80b25050eca91p-2, 0x1.7c8d4826f2fdcp-2, 0x1.7862f7e3a33bap-2, 0x1.74341df21017ap-2, 0x1.7001719b4dfc8p-2, 0x1.6bcba330f753ep-2, 0x1.67935c37bb5d8p-2, 0x1.63593f91de127p-2, 0x1.5f1de9a9c8be9p-2, 0x1.5ae1f09ce4ee3p-2, 0x1.56a5e466ec57fp-2, 0x1.526a4f0dc0ad8p-2, 0x1.4e2fb4cdb0ef4p-2, 0x1.49f69445da03fp-2, 0x1.45bf66a443964p-2, 0x1.418a9fd135b66p-2, 0x1.3d58ae996922dp-2, 0x1.3929fcd6b79d5p-2, 0x1.34feef97298ecp-2, 0x1.30d71e20b148ap-2, 0x1.2cb460b81c297p-2, 0x1.2896661ed5ad7p-2, 0x1.247d81a36c6e1p-2, 0x1.206a01fa98076p-2, 0x1.1c5c317114a9dp-2, 0x1.185456214bf69p-2, 0x1.1452b22b619f6p-2, 0x1.105783ee2d158p-2, 0x1.0c63063fc4633p-2, 0x1.087570a45792bp-2, 0x1.048ef7824014ep-2, 0x1.00afcc52652c1p-2, 0x1.f9b03b9877847p-3, 0x1.f2103019f9e6fp-3, 0x1.ea7fc9738d8cbp-3, 0x1.e2ff563968867p-3, 0x1.db8f207a2f28dp-3, 0x1.d42f6de667b8ap-3, 0x1.cce07ff00b63dp-3, 0x1.c5a293e350a28p-3, 0x1.be75e2fa3912ap-3, 0x1.b75aa26c2e699p-3, 0x1.b051037b3508bp-3, 0x1.a959337ff1bdbp-3, 0x1.a2735bf5c662ap-3, 0x1.9b9fa287f73fdp-3, 0x1.94de2920ae0ffp-3, 0x1.8e2f0dfa6bc61p-3, 0x1.87926bb44f214p-3, 0x1.810859694d12bp-3, 0x1.7a90eaca5d9abp-3, 0x1.742c303b6d9dp-3, 0x1.6dda36f2c4bf8p-3, 0x1.679b091a76a6cp-3, 0x1.616eadf369b2ep-3, 0x1.5b5529f961387p-3, 0x1.554e7f079a9e2p-3, 0x1.4f5aac7d5f0b9p-3, 0x1.4979af6219114p-3, 0x1.43ab828875c8cp-3, 0x1.3df01eb02c452p-3, 0x1.38477aa616013p-3, 0x1.32b18b624e683p-3, 0x1.2d2e442432c5bp-3, 0x1.27bd968c18637p-3, 0x1.225f72b2af27fp-3, 0x1.1d13c73e1de8cp-3, 0x1.17da8174d86ecp-3, 0x1.12b38d4e65b6fp-3, 0x1.0d9ed5822d4dfp-3, 0x1.089c4394968a1p-3, 0x1.03abbfe2a13a1p-3, 0x1.fd9a63587fd04p-4, 0x1.f400fe3b62898p-4, 0x1.ea8b1ab037256p-4, 0x1.e13880f326d66p-4, 0x1.d808f749bbccfp-4, 0x1.cefc4212149bcp-4, 0x1.c61223d21b20cp-4, 0x1.bd4a5d471c2fbp-4, 0x1.b4a4ad75ce11ap-4, 0x1.ac20d1bb0c37ap-4, 0x1.a3be85dd384aep-4, 0x1.9b7d841e6ad38p-4, 0x1.935d854f54acdp-4, 0x1.8b5e40e2cd3a6p-4, 0x1.837f6d01f085p-4, 0x1.7bc0bea0b4cadp-4, 0x1.7421e992ce58ap-4, 0x1.6ca2a0a0bf5e2p-4, 0x1.6542959ceb19dp-4, 0x1.5e01797887111p-4, 0x1.56defc5843cd2p-4, 0x1.4fdacda88d192p-4, 0x1.48f49c3140264p-4, 0x1.422c1628bd8e1p-4, 0x1.3b80e94642155p-4, 0x1.34f2c2d37113bp-4, 0x1.2e814fbd061f7p-4, 0x1.282c3ca2a28d1p-4, 0x1.21f335e5b41fdp-4, 0x1.1bd5e7b772a1ap-4, 0x1.15d3fe25f8411p-4, 0x1.0fed25287bbeap-4, 0x1.0a2108aab481bp-4, 0x1.046f549773d69p-4, 0x1.fdaf69c504ee3p-5, 0x1.f2b3ab239e11dp-5, 0x1.e7eac58bfbd93p-5, 0x1.dd541184d7931p-5, 0x1.d2eee7e9600e3p-5, 0x1.c8baa1f7613cep-5, 0x1.beb6995cac713p-5, 0x1.b4e22843dcfdep-5, 0x1.ab3ca9608f0c4p-5, 0x1.a1c577fb25807p-5, 0x1.987beffc2bf24p-5, 0x1.8f5f6df76a2eep-5, 0x1.866f4f36b4878p-5, 0x1.7daaf1c482c61p-5, 0x1.7511b47654d19p-5, 0x1.6ca2f6f6ec0b9p-5, 0x1.645e19d058b31p-5, 0x1.5c427e75dbffcp-5, 0x1.544f874d9d8eep-5, 0x1.4c8497ba30f5ep-5, 0x1.44e11423e471ep-5, 0x1.3d646201d74cp-5, 0x1.360de7e2cf259p-5, 0x1.2edd0d75c5d8ap-5, 0x1.27d13b922c667p-5, 0x1.20e9dc3fda835p-5, 0x1.1a265abea73a6p-5, 0x1.1386238da5089p-5, 0x1.0d08a471fe9e5p-5, 0x1.06ad4c7d700e4p-5, 0x1.00738c14593fap-5, 0x1.f4b5a9e6d77efp-6, 0x1.e8c53469df71dp-6, 0x1.dd14a0ab43abap-6, 0x1.d1a2da7254c5ep-6, 0x1.c66ed05c610e8p-6, 0x1.bb7773e4131dep-6, 0x1.b0bbb968126e2p-6, 0x1.a63a9830e8c3cp-6, 0x1.9bf30a763371ep-6, 0x1.91e40d632dd7ep-6, 0x1.880ca11a902c4p-6, 0x1.7e6bc8b9d7b08p-6, 0x1.75008a5bfa6aap-6, 0x1.6bc9ef1b8d6ddp-6, 0x1.62c7031469a87p-6, 0x1.59f6d564d2085p-6, 0x1.5158782e2907ep-6, 0x1.48eb009535a43p-6, 0x1.40ad86c207374p-6, 0x1.389f25df7565cp-6, 0x1.30befc1a48cbp-6, 0x1.290c2aa0109c1p-6, 0x1.2185d59daa2e8p-6, 0x1.1a2b243d7c7fdp-6, 0x1.12fb40a56f7afp-6, 0x1.0bf557f4a0643p-6, 0x1.05189a40d858p-6, 0x1.fcc875278c8bep-7, 0x1.efaeddcffd06dp-7, 0x1.e2e2e04b89c6dp-7, 0x1.d662f43f3e6dfp-7, 0x1.ca2d971d6a46cp-7, 0x1.be414c1df9332p-7, 0x1.b29c9c366b7fep-7, 0x1.a73e16116f6c6p-7, 0x1.9c244e0616c66p-7, 0x1.914dde0ebc4cfp-7, 0x1.86b965bf83befp-7, 0x1.7c658a3c8b196p-7, 0x1.7250f62fc7641p-7, 0x1.687a59be88d4fp-7, 0x1.5ee06a7eb72bbp-7, 0x1.5581e36bc4df6p-7, 0x1.4c5d84db45687p-7, 0x1.4372147156157p-7, 0x1.3abe5d14b3fb3p-7, 0x1.32412ee2931fbp-7, 0x1.29f95f223cc9ap-7, 0x1.21e5c838716f5p-7, 0x1.1a05499a96db7p-7, 0x1.1256c67c306c1p-7, 0x1.0ad92acdb6e68p-7, 0x1.038b63afa23fep-7, 0x1.f8d8c8ab9fa67p-8, 0x1.eaf64983be683p-8, 0x1.dd6d436acf009p-8, 0x1.d03bb9481304p-8, 0x1.c35fb74ad4133p-8, 0x1.b6d752ce26734p-8, 0x1.aaa0aa3c870fbp-8, 0x1.9eb9e4f35182fp-8, 0x1.932133261d5abp-8, 0x1.87d4cdc20326cp-8, 0x1.7cd2f650ca2b9p-8, 0x1.7219f6dc14ac1p-8, 0x1.67a821d07957cp-8, 0x1.5d7bd1e09ef97p-8, 0x1.539369e858fdfp-8, 0x1.49ed54cfc9541p-8, 0x1.4088056e8e66cp-8, 0x1.3761f66efb81bp-8, 0x1.2e79aa3167ba6p-8, 0x1.25cdaaaf8f24fp-8, 0x1.1d5c89600f569p-8, 0x1.1524df19ff357p-8, 0x1.0d254bf8a64f4p-8, 0x1.055c773f58371p-8, 0x1.fb921e7aec55bp-9, 0x1.ecd392652d72p-9, 0x1.de7ac265b32dap-9, 0x1.d0853416d340ap-9, 0x1.c2f07a4e5c44p-9, 0x1.b5ba34e757682p-9, 0x1.a8e0108c40639p-9, 0x1.9c5fc6819bf58p-9, 0x1.90371c7102ef9p-9, 0x1.8463e434a0176p-9, 0x1.78e3fba327111p-9, 0x1.6db54c5c42a1cp-9, 0x1.62d5cb957f5bep-9, 0x1.584379e7b2249p-9, 0x1.4dfc631ce6653p-9, 0x1.43fe9dfeca561p-9, 0x1.3a484c2598439p-9, 0x1.30d799c79ce28p-9, 0x1.27aabd892b6b8p-9, 0x1.1ebff84d29b5ap-9, 0x1.16159506200b5p-9, 0x1.0da9e887d88d4p-9, 0x1.057b515983703p-9, 0x1.fb106f10d4704p-10, 0x1.eb9e18f660808p-10, 0x1.dc9c958b327d1p-10, 0x1.ce08ebf9cb0b5p-10, 0x1.bfe035195d42fp-10, 0x1.b21f9b18b1239p-10, 0x1.a4c4592a18c24p-10, 0x1.97cbbb3061abp-10, 0x1.8b331d6d12663p-10, 0x1.7ef7ec2f8149ep-10, 0x1.7317a3851d8adp-10, 0x1.678fceeabc61bp-10, 0x1.5c5e08fef6a8cp-10, 0x1.517ffb359db23p-10, 0x1.46f35d8c2a11ep-10, 0x1.3cb5f63f31dcfp-10, 0x1.32c5998108264p-10, 0x1.2920293135c72p-10, 0x1.1fc3949512635p-10, 0x1.16add81153ff5p-10, 0x1.0ddcfce4a06b3p-10, 0x1.054f18e31fb8dp-10, 0x1.fa049c660cc98p-11, 0x1.e9e996143d78dp-11, 0x1.da4992d898e35p-11, 0x1.cb211dd5fa971p-11, 0x1.bc6cd8cb3b2adp-11, 0x1.ae297b95fded4p-11, 0x1.a053d3b73adb5p-11, 0x1.92e8c3da024b6p-11, 0x1.85e5435bd083cp-11, 0x1.79465dd6e821bp-11, 0x1.6d0932ae85614p-11, 0x1.612af49ce5feep-11, 0x1.55a8e9432e06bp-11, 0x1.4a8068bb2ec0dp-11, 0x1.3faedd2ae8fe3p-11, 0x1.3531c259faf73p-11, 0x1.2b06a548d70dep-11, 0x1.212b23c9c7487p-11, 0x1.179cec1bcbb2ap-11, 0x1.0e59bc871c7c2p-11, 0x1.055f62fbb9e21p-11, 0x1.f95779631c897p-12, 0x1.e8796b94a2f18p-12, 0x1.d82091eab7e31p-12, 0x1.c848fe2a1fd63p-12, 0x1.b8eeddcc280d2p-12, 0x1.aa0e79507ebe9p-12, 0x1.9ba433928e2b1p-12, 0x1.8dac892236965p-12, 0x1.80240f9fa395fp-12, 0x1.7307751b2098dp-12, 0x1.66537f77b3a54p-12, 0x1.5a050bd108923p-12, 0x1.4e190de4daaa6p-12, 0x1.428c8f7f78befp-12, 0x1.375cafeb6d91dp-12, 0x1.2c86a3645c5afp-12, 0x1.2207b28ceebb3p-12, 0x1.17dd39e7dc38p-12, 0x1.0e04a953e15dbp-12, 0x1.047b838ad5d1dp-12, 0x1.f67ebb47066bep-13, 0x1.e49bbd2d00d12p-13, 0x1.d3497d8bbd65dp-13, 0x1.c2838f0f2a276p-13, 0x1.b245a565392d1p-13, 0x1.a28b945df5f08p-13, 0x1.93514f10560e2p-13, 0x1.8492e7048d732p-13, 0x1.764c8b6357a8bp-13, 0x1.687a882a505b9p-13, 0x1.5b1945652a7c4p-13, 0x1.4e25466bba421p-13, 0x1.419b292471b13p-13, 0x1.3577a54bff46bp-13, 0x1.29b78bc0ecc37p-13, 0x1.1e57c5d3716c4p-13, 0x1.1355549a81764p-13, 0x1.08ad504c2237ep-13, 0x1.fcb9cf34b4979p-14, 0x1.e8c2be275b402p-14, 0x1.d57021102dafp-14, 0x1.c2bcd4e3055e8p-14, 0x1.b0a3dec03cf33p-14, 0x1.9f206ad458cb9p-14, 0x1.8e2dcb3f73fd7p-14, 0x1.7dc777030357fp-14, 0x1.6de908f701213p-14, 0x1.5e8e3ec47a085p-14, 0x1.4fb2f7e9081dap-14, 0x1.415334be3bb7bp-14, 0x1.336b1588789c7p-14, 0x1.25f6d98ba0cfcp-14, 0x1.18f2de25b44d4p-14, 0x1.0c5b9def35945p-14, 0x1.002dafe137764p-14, 0x1.e8cb8d023377dp-15, 0x1.d2015e226ef98p-15, 0x1.bbf6a18ff5376p-15, 0x1.a6a55814b6f8bp-15, 0x1.9207b35a3512dp-15, 0x1.7e18147402d45p-15, 0x1.6ad10a7495becp-15, 0x1.582d510b3fcebp-15, 0x1.4627cf2b92a6dp-15, 0x1.34bb95bda0e6fp-15, 0x1.23e3de585eb4ap-15, 0x1.139c0a0087de6p-15, 0x1.03df9ff667523p-15, 0x1.e954990d20998p-16, 0x1.cbefbfc9f4eb6p-16, 0x1.af889a1dc537bp-16, 0x1.9417516c870d6p-16, 0x1.79945065bc8e5p-16, 0x1.5ff840f74c6b8p-16, 0x1.473c0a4ec4abap-16, 0x1.2f58cee6d06b2p-16, 0x1.1847eaa643c57p-16, 0x1.0202f108de728p-16, 0x1.d90756ae2dfb5p-17, 0x1.af882dd4c20a1p-17, 0x1.877cc6fc055c3p-17, 0x1.60d9e318b3386p-17, 0x1.3b94a16f8f086p-17, 0x1.17a27c7f53e8p-17, 0x1.e9f28e02665ebp-18, 0x1.a71e51ff684a5p-18, 0x1.66b53a06c1ad9p-18, 0x1.28a4daa670d1cp-18, 0x1.d9b6c54f36a9bp-19, 0x1.668f2b7c891fdp-19, 0x1.ef631ecee7b9bp-20, 0x1.19fb5db90c4fp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9316a2c8cda7dp+0, -0x1.8d40c167ca5p+0, -0x1.87034e811f30ap+0, -0x1.80565fd757b8ep+0, -0x1.793a42eab4d05p+0, -0x1.71b561e148d79p+0, -0x1.69d2b0e1491ep+0, -0x1.61a020c30187cp+0, -0x1.592d5d4e5cd5dp+0, -0x1.508af0498621bp+0, -0x1.47c997cdd97a3p+0, -0x1.3ef9adfb58669p+0, -0x1.362ac0d8b8e49p+0, -0x1.2d6b5153b6acep+0, -0x1.24c8a3a3d203ap+0, -0x1.1c4ea0494a06p+0, -0x1.1407c6abddf1bp+0, -0x1.0bfd2e9d925d1p+0, -0x1.0436929e32d92p+0, -0x1.f974b40a7d1b6p-1, -0x1.eb1b51def661bp-1, -0x1.dd68d4187b71dp-1, -0x1.d0634caa01fabp-1, -0x1.c40e637c250b9p-1, -0x1.b86bea260f788p-1, -0x1.ad7c212bc5885p-1, -0x1.a33df684fe59p-1, -0x1.99af2aab49623p-1, -0x1.90cc656649028p-1, -0x1.88914b14e519fp-1, -0x1.80f89daf00c73p-1, -0x1.79fc691c1ce82p-1, -0x1.739631e66c64ap-1, -0x1.6dbf1c47dc28ap-1, -0x1.687006b485b7bp-1, -0x1.63a199c94a07p-1, -0x1.5f4c53aea953ap-1, -0x1.5b6894e1313cp-1, -0x1.57eeb104e09afp-1, -0x1.54d702946efb7p-1, -0x1.5219fe12f4374p-1, -0x1.4fb0417ec7ec3p-1, -0x1.4d929e7b37029p-1, -0x1.4bba1fd4214ep-1, -0x1.4a200c6f7a554p-1, -0x1.48bde9cfff8a1p-1, -0x1.478d7f517572ep-1, -0x1.4688da2617806p-1, -0x1.45aa516f6f6e9p-1, -0x1.44ec899a9d3ap-1, -0x1.444a7649539f7p-1, -0x1.43bf5a76dbebbp-1, -0x1.4346c71c3e4b7p-1, -0x1.42dc990e82265p-1, -0x1.427cf6dc5c764p-1, -0x1.42244f07bab1fp-1, -0x1.41cf56715a8b3p-1, -0x1.417b068e2543ep-1, -0x1.41249b242d328p-1, -0x1.40c98fa006bdep-1, -0x1.40679c44caa21p-1, -0x1.3ffcb36a79977p-1, -0x1.3f86fecc5785ap-1, -0x1.3f0552130e54bp-1, -0x1.3e759f4dde54bp-1, -0x1.3dd6ac0db4049p-1, -0x1.3d275e8110eeep-1, -0x1.3c66cbceb09b6p-1, -0x1.3b94345b51667p-1, -0x1.3aaeff8ad8b0ap-1, -0x1.39b6b75a29a46p-1, -0x1.38ab0427d6c6dp-1, -0x1.378ba8edc75f3p-1, -0x1.365880142046fp-1, -0x1.351178ec339a5p-1, -0x1.33b695cc7c5b7p-1, -0x1.3247eab6125eep-1, -0x1.30c59c613b13bp-1, -0x1.2f2fdf89d412cp-1, -0x1.2d86f85534af2p-1, -0x1.2bcb39b0ab0c4p-1, -0x1.29fd04905bb1dp-1, -0x1.281cc70028655p-1, -0x1.262afb020d0e9p-1, -0x1.2428253e44c46p-1, -0x1.2214d390dbc7fp-1, -0x1.1ff19b858cdf1p-1, -0x1.1dbf18d51f4bp-1, -0x1.1b7debf6b7193p-1, -0x1.192eb8d3d3919p-1, -0x1.16d225a819ce4p-1, -0x1.1468da0fe4204p-1, -0x1.11f37e433639bp-1, -0x1.0f72ba7726274p-1, -0x1.0ce7365e46707p-1, -0x1.0a5198c0cfdc5p-1, -0x1.07b2872696ecep-1, -0x1.050aa58e60cbdp-1, -0x1.025a962f6c365p-1, -0x1.ff45f285686d7p-2, -0x1.f9c8d9a30ac35p-2, -0x1.f43f190de389cp-2, -0x1.eea9e30346c9dp-2, -0x1.e90a6447dbd1p-2, -0x1.e361c3c1a73a2p-2, -0x1.ddb1220ba340ep-2, -0x1.d7f99905213ep-2, -0x1.d23c3b614b3fp-2, -0x1.cc7a143c919edp-2, -0x1.c6b426be1e602p-2, -0x1.c0eb6dcacb74bp-2, -0x1.bb20dbcd8c6bdp-2, -0x1.b5555a9732d4cp-2, -0x1.af89cb55340ep-2, -0x1.a9bf069d15881p-2, -0x1.a3f5dc8893d9cp-2, -0x1.9e2f14ddb9978p-2, -0x1.986b6f3de76afp-2, -0x1.92aba35765c2p-2, -0x1.8cf06115f3725p-2, -0x1.873a50d01a68cp-2, -0x1.818a13705b94bp-2, -0x1.7be0429a50671p-2, -0x1.763d70cccdbep-2, -0x1.70a229826f1cap-2, -0x1.6b0ef15218367p-2, -0x1.65844610b86a8p-2, -0x1.60029ef5331e9p-2, -0x1.5a8a6cbecf7f2p-2, -0x1.551c19de137dfp-2, -0x1.4fb80a9f99784p-2, -0x1.4a5e9d5840deap-2, -0x1.45102a920ec89p-2, -0x1.3fcd05393e789p-2, -0x1.3a957ac92c0d7p-2, -0x1.3569d378fdabdp-2, -0x1.304a526812999p-2, -0x1.2b3735ca5a28cp-2, -0x1.2630b714a2b86p-2, -0x1.21370b28e3de1p-2, -0x1.1c4a62825de6ep-2, -0x1.176ae9614d271p-2, -0x1.1298c7f5d2fap-2, -0x1.0dd42289bcedbp-2, -0x1.091d19a8cdbd9p-2, -0x1.0473ca475de3cp-2, -0x1.ffb09bce6ad08p-3, -0x1.f694ad9d62822p-3, -0x1.ed9569d837996p-3, -0x1.e4b24934c8586p-3, -0x1.dbeb65be27c46p-3, -0x1.d340d35fdded4p-3, -0x1.cab2a03582b7bp-3, -0x1.c240d4dd38011p-3, -0x1.b9eb74cb8b869p-3, -0x1.b1b27e9f2161ep-3, -0x1.a995ec72c9054p-3, -0x1.a195b42ca146ap-3, -0x1.99b1c7c92f5a8p-3, -0x1.91ea15a1913f2p-3, -0x1.8a3e88ac0bd61p-3, -0x1.82af08b6a4a07p-3, -0x1.7b3b7a9b8ed3ap-3, -0x1.73e3c06f7d5c2p-3, -0x1.6ca7b9aa2e419p-3, -0x1.658743499736p-3, -0x1.5e8237f05b52bp-3, -0x1.57987000390c6p-3, -0x1.50c9c1b13ff5fp-3, -0x1.4a1601268a8e5p-3, -0x1.437d00814c906p-3, -0x1.3cfe8ff2eaf9p-3, -0x1.369a7dceb50d3p-3, -0x1.3050969bc87a7p-3, -0x1.2a20a5278f652p-3, -0x1.240a729914362p-3, -0x1.1e0dc6855fedbp-3, -0x1.182a6704f574ap-3, -0x1.126018ca55b0ep-3, -0x1.0cae9f39800c5p-3, -0x1.0715bc803560ep-3, -0x1.019531aed22f3p-3, -0x1.f8597da2e5713p-4, -0x1.edb846124c1a1p-4, -0x1.e3463949ddebcp-4, -0x1.d902d27487263p-4, -0x1.ceed8b79c669dp-4, -0x1.c505dd2b6a132p-4, -0x1.bb4b3f713344ep-4, -0x1.b1bd2971ea838p-4, -0x1.a85b11b9c7fb5p-4, -0x1.9f246e5e0375p-4, -0x1.9618b51d821fbp-4, -0x1.8d375b7e89e88p-4, -0x1.847fd6e9b0bc7p-4, -0x1.7bf19cc20b664p-4, -0x1.738c227ad209fp-4, -0x1.6b4eddaab25cfp-4, -0x1.6339441d094e7p-4, -0x1.5b4acbe14861bp-4, -0x1.5382eb58ca1bap-4, -0x1.4be1194359f21p-4, -0x1.4464cccaaeb8p-4, -0x1.3d0d7d8d18171p-4, -0x1.35daa3a790b1ep-4, -0x1.2ecbb7bf6a3dbp-4, -0x1.27e0330bb884fp-4, -0x1.21178f5e9b839p-4, -0x1.1a71472e840fap-4, -0x1.13ecd59f803f6p-4, -0x1.0d89b68c9b835p-4, -0x1.0747669153dcbp-4, -0x1.0125631323d6p-4, -0x1.f64654962e6dfp-5, -0x1.ea80769ec403ep-5, -0x1.def82c39d424bp-5, -0x1.d3ac7741692b1p-5, -0x1.c89c5b825079ap-5, -0x1.bdc6dece1f26dp-5, -0x1.b32b090c9fb79p-5, -0x1.a8c7e44c85ba5p-5, -0x1.9e9c7cd34ac21p-5, -0x1.94a7e12c22756p-5, -0x1.8ae92235ec02ep-5, -0x1.815f53301a4b9p-5, -0x1.780989c67c3d8p-5, -0x1.6ee6de1bed1e3p-5, -0x1.65f66ad3debp-5, -0x1.5d374d1ac7c1dp-5, -0x1.54a8a4ad7566ap-5, -0x1.4c4993df506bap-5, -0x1.44193f9f96b43p-5, -0x1.3c16cf7da2ddcp-5, -0x1.34416dac46bfep-5, -0x1.2c9847044f4b8p-5, -0x1.251a8b0643bcfp-5, -0x1.1dc76bdb6b61p-5, -0x1.169e1e563722fp-5, -0x1.0f9dd9f21429p-5, -0x1.08c5d8d2c07b4p-5, -0x1.021557c3307c1p-5, -0x1.f7172c681ecadp-6, -0x1.ea4fac73ddb3dp-6, -0x1.ddd2b9165708dp-6, -0x1.d19ee0fb29b29p-6, -0x1.c5b2b807bf6d5p-6, -0x1.ba0cd755d68eap-6, -0x1.aeabdd2dbb932p-6, -0x1.a38e6d003ae51p-6, -0x1.98b32f6057873p-6, -0x1.8e18d1fcbf99cp-6, -0x1.83be07990ab0dp-6, -0x1.79a18806c3635p-6, -0x1.6fc2101e301d2p-6, -0x1.661e61b6e72aap-6, -0x1.5cb543a0258adp-6, -0x1.53858198e5b99p-6, -0x1.4a8dec47b2eafp-6, -0x1.41cd59323b89fp-6, -0x1.3942a2b499d3ep-6, -0x1.30eca7f855615p-6, -0x1.28ca4ceb17fb3p-6, -0x1.20da7a351e2ep-6, -0x1.191c1d2f52039p-6, -0x1.118e27d927cffp-6, -0x1.0a2f90ce2524ep-6, -0x1.02ff533b2b40bp-6, -0x1.f7f8dda6e82bap-7, -0x1.ea4bcf8aa86bp-7, -0x1.dcf58d5d6cb97p-7, -0x1.cff43122ca157p-7, -0x1.c345dd8e281c7p-7, -0x1.b6e8bdea7e4c2p-7, -0x1.aadb0601a91e9p-7, -0x1.9f1af203748e7p-7, -0x1.93a6c66c5d6cfp-7, -0x1.887ccfec03e72p-7, -0x1.7d9b634b7adc7p-7, -0x1.7300dd535c18bp-7, -0x1.68aba2b1b7f7p-7, -0x1.5e9a1fdfe8de9p-7, -0x1.54cac90855dc6p-7, -0x1.4b3c19ec1be78p-7, -0x1.41ec95c8b8d59p-7, -0x1.38dac73db697dp-7, -0x1.3005403254373p-7, -0x1.276a99bb40b05p-7, -0x1.1f097400632e1p-7, -0x1.16e07622b71c7p-7, -0x1.0eee4e2242f8dp-7, -0x1.0731b0c4294f4p-7, -0x1.ff52b2f1b27d8p-8, -0x1.f0a81484c5c0dp-8, -0x1.e2611735d9838p-8, -0x1.d47b58b6a60e6p-8, -0x1.c6f48343d9651p-8, -0x1.b9ca4d72f83c9p-8, -0x1.acfa7a0090029p-8, -0x1.a082d79ec84fdp-8, -0x1.946140c449ecap-8, -0x1.88939b7b838ffp-8, -0x1.7d17d9324e52ap-8, -0x1.71ebf689ef053p-8, -0x1.670dfb277c026p-8, -0x1.5c7bf984a6a63p-8, -0x1.52340ec0e4301p-8, -0x1.4834627305444p-8, -0x1.3e7b267b2e889p-8, -0x1.350696d53ebfbp-8, -0x1.2bd4f96b9f026p-8, -0x1.22e49dea7fe6cp-8, -0x1.1a33dd9386f6ap-8, -0x1.11c11b11eb0c8p-8, -0x1.098ac24f021fcp-8, -0x1.018f484747419p-8, -0x1.f39a53f1733f8p-9, -0x1.e485df9dde8ddp-9, -0x1.d5de50490f69bp-9, -0x1.c7a0d53b82edcp-9, -0x1.b9caae440449dp-9, -0x1.ac592b676767p-9, -0x1.9f49ac91347b9p-9, -0x1.9299a14557b55p-9, -0x1.86468852cc868p-9, -0x1.7a4def8749a7dp-9, -0x1.6ead7363f2dfcp-9, -0x1.6362bed3066d7p-9, -0x1.586b8ade981aep-9, -0x1.4dc59e6844916p-9, -0x1.436ecde1f8874p-9, -0x1.3964fb07b3908p-9, -0x1.2fa6149a52654p-9, -0x1.2630161b609ecp-9, -0x1.1d010789f0393p-9, -0x1.1416fd20764b6p-9, -0x1.0b701713a9033p-9, -0x1.030a815265a79p-9, -0x1.f5c8e68d2c5e5p-10, -0x1.e5f85f2e3c9ap-10, -0x1.d6a007d57f3e6p-10, -0x1.c7bc91581289fp-10, -0x1.b94ac19c730b9p-10, -0x1.ab477326525e2p-10, -0x1.9daf94a445a42p-10, -0x1.9080287f8890bp-10, -0x1.83b6446d8e0eap-10, -0x1.774f110394915p-10, -0x1.6b47c94c13463p-10, -0x1.5f9dba5e158b7p-10, -0x1.544e42f66be6bp-10, -0x1.4956d312bb7dap-10, -0x1.3eb4eb8e60ce5p-10, -0x1.34661dc127e76p-10, -0x1.2a680b1fc93d2p-10, -0x1.20b864de389d9p-10, -0x1.1754eb93a7de4p-10, -0x1.0e3b6ee052a6cp-10, -0x1.0569cd14fcb84p-10, -0x1.f9bbe5b83817ap-11, -0x1.e92bb5c97c6bp-11, -0x1.d91f1b1e0b9bep-11, -0x1.c9924134a1527p-11, -0x1.ba816da9eea34p-11, -0x1.abe8ff9b48d87p-11, -0x1.9dc56f0c6ccfp-11, -0x1.90134c5067935p-11, -0x1.82cf3f75740acp-11, -0x1.75f607b3e22a1p-11, -0x1.69847adfea711p-11, -0x1.5d7784de65917p-11, -0x1.51cc271c5b69ep-11, -0x1.467f7809650f3p-11, -0x1.3b8ea294be4eap-11, -0x1.30f6e5ad2a045p-11, -0x1.26b593c363ea5p-11, -0x1.1cc8124f3d9a2p-11, -0x1.132bd9574a275p-11, -0x1.09de72fb111e5p-11, -0x1.00dd7affc29ap-11, -0x1.f04d3cbea17a3p-12, -0x1.df6f35b3d89d2p-12, -0x1.cf1c7d13ec151p-12, -0x1.bf50cef43a89cp-12, -0x1.b008067bb000ap-12, -0x1.a13e1d181e32dp-12, -0x1.92ef29b7f647ap-12, -0x1.851760084cfdp-12, -0x1.77b30fb723631p-12, -0x1.6abea3b9bbde2p-12, -0x1.5e36a197222bdp-12, -0x1.5217a8b68f0b7p-12, -0x1.465e71b1d5068p-12, -0x1.3b07cdaba302bp-12, -0x1.3010a5a976c75p-12, -0x1.2575f9f17990bp-12, -0x1.1b34e16bd618cp-12, -0x1.114a8907bd3abp-12, -0x1.07b43323ed816p-12, -0x1.fcde6df55ad53p-13, -0x1.eaf200226b562p-13, -0x1.d99e1b54e1c22p-13, -0x1.c8dde479fe4acp-13, -0x1.b8aca5d8f58d3p-13, -0x1.a905ce0bdbf1p-13, -0x1.99e4eefeb2147p-13, -0x1.8b45bcf4b39adp-13, -0x1.7d240d9373436p-13, -0x1.6f7bd6f43b302p-13, -0x1.62492ebae87dbp-13, -0x1.558849329171fp-13, -0x1.4935786fdd078p-13, -0x1.3d4d2b78bd79dp-13, -0x1.31cbed719d221p-13, -0x1.26ae64cfd34eap-13, -0x1.1bf152914b781p-13, -0x1.119191794ccf1p-13, -0x1.078c15520d78ep-13, -0x1.fbbbd46722c2ap-14, -0x1.e908679e13f06p-14, -0x1.d6f8597dbb2cep-14, -0x1.c5864bb70725cp-14, -0x1.b4ad0b2987141p-14, -0x1.a4678e9ec1b41p-14, -0x1.94b0f58e45208p-14, -0x1.858486ea1cdf9p-14, -0x1.76ddaff3999a5p-14, -0x1.68b803181e1b9p-14, -0x1.5b0f36d613ff6p-14, -0x1.4ddf24a92b09p-14, -0x1.4123c7fe93208p-14, -0x1.34d93d30630f6p-14, -0x1.28fbc0883f154p-14, -0x1.1d87ad48f0f7ep-14, -0x1.12797cbf0fd16p-14, -0x1.07cdc55821ea5p-14, -0x1.fb027380c645ep-15, -0x1.e721500dbe124p-15, -0x1.d3f1f18f8448cp-15, -0x1.c16e5cb9668b6p-15, -0x1.af90c82635d3ep-15, -0x1.9e539acff6613p-15, -0x1.8db16a93620ffp-15, -0x1.7da4fabdcf6cfp-15, -0x1.6e293aa542c7cp-15, -0x1.5f39444c25bbdp-15, -0x1.50d05b0db0f1fp-15, -0x1.42e9ea54f4f97p-15, -0x1.3581845c86943p-15, -0x1.2892e0f8555e4p-15, -0x1.1c19dc67fbc19p-15, -0x1.10127631e5849p-15, -0x1.0478d00701a87p-15, -0x1.f292595d5ae09p-16, -0x1.dcffddf569167p-16, -0x1.c833318693d3ap-16, -0x1.b42593d3b7148p-16, -0x1.a0d07ec9923ffp-16, -0x1.8e2da4a1b89ebp-16, -0x1.7c36ee14e19cp-16, -0x1.6ae6789aa1d8fp-16, -0x1.5a3694b64674fp-16, -0x1.4a21c450c3694p-16, -0x1.3aa2b91ef7757p-16, -0x1.2bb45314395b6p-16, -0x1.1d519ee0873fep-16, -0x1.0f75d47b3c9b3p-16, -0x1.021c55b6f0ea5p-16, -0x1.ea8159c4c7606p-17, -0x1.d1bd16e5972b9p-17, -0x1.b9e39171c0bf4p-17, -0x1.a2ecc13f7dd01p-17, -0x1.8cd0e4eb59c11p-17, -0x1.77887f7c2d3ffp-17, -0x1.630c561c1ad0ep-17, -0x1.4f556ddd46231p-17, -0x1.3c5d0998169f8p-17, -0x1.2a1ca7d480e55p-17, -0x1.188e00c6722c4p-17, -0x1.07ab04588ca52p-17, -0x1.eedbb09229028p-18, -0x1.cfa1aca6f094p-18, -0x1.b19d14d3ba4f9p-18, -0x1.94c361fa30ccp-18, -0x1.790a6aa1a8e57p-18, -0x1.5e685fc17f51p-18, -0x1.44d3c99ecc422p-18, -0x1.2c4384c720cfbp-18, -0x1.14aebf2369292p-18, -0x1.fc19ea460a612p-19, -0x1.d0abddfbde596p-19, -0x1.a7037c1cd8726p-19, -0x1.7f1174803178p-19, -0x1.58c6ff2998785p-19, -0x1.3415d77c8ff0dp-19, -0x1.10f0379848e76p-19, -0x1.de91a7b20bc34p-20, -0x1.9e25ad160ed7bp-20, -0x1.6083b7460ea93p-20, -0x1.2593d996979dap-20, -0x1.da7df5990fc02p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ca36bb58ccae1p-1, 0x1.c515f0cabc9f7p-1, 0x1.bfc6c65a78ba6p-1, 0x1.ba4b47a14c86ap-1, 0x1.b4a583e1fad41p-1, 0x1.aed78cc3b5fd5p-1, 0x1.a8e37523e4cf5p-1, 0x1.a2cb4ffdadbf6p-1, 0x1.9c912f66358dfp-1, 0x1.9637239c7652fp-1, 0x1.8fbf3a2b929e1p-1, 0x1.892b7d1e8cf41p-1, 0x1.827df2444f051p-1, 0x1.7bb89a82f41d5p-1, 0x1.74dd71395666ap-1, 0x1.6dee6bade4132p-1, 0x1.66ed7889d3906p-1, 0x1.5fdc7f5fd19fep-1, 0x1.58bd603d59151p-1, 0x1.5191f345e9b17p-1, 0x1.4a5c08576680cp-1, 0x1.431d66b6ebc87p-1, 0x1.3bd7ccc57dc66p-1, 0x1.348cefbbfaedcp-1, 0x1.2d3e7b6dccd07p-1, 0x1.25ee1211dbe67p-1, 0x1.1e9d4c11567ddp-1, 0x1.174db7dbe8bf6p-1, 0x1.1000d9c10abdep-1, 0x1.08b82bce1809ap-1, 0x1.01751db0e6e49p-1, 0x1.f472293d4a839p-2, 0x1.e60ad67d82242p-2, 0x1.d7b6e3336115cp-2, 0x1.c978da16d6419p-2, 0x1.bb533072e5533p-2, 0x1.ad484618919bdp-2, 0x1.9f5a655868d85p-2, 0x1.918bc30275ffep-2, 0x1.83de7e6c6c9a6p-2, 0x1.7654a17ddcaf1p-2, 0x1.68f020c23fcbdp-2, 0x1.5bb2db80b78f6p-2, 0x1.4e9e9bd951bb8p-2, 0x1.41b516e79e5b1p-2, 0x1.34f7ecea768ep-2, 0x1.2868a970bd726p-2, 0x1.1c08c38aed6dbp-2, 0x1.0fd99e0142c6ap-2, 0x1.03dc878e4fa9fp-2, 0x1.f025763b829e2p-3, 0x1.d8fac01e4ad4ep-3, 0x1.c23b14f8eadffp-3, 0x1.abe877085b2dcp-3, 0x1.9604c32d6c041p-3, 0x1.8091b18dc9c04p-3, 0x1.6b90d63ab53e9p-3, 0x1.5703a1dcfd2dp-3, 0x1.42eb6265be073p-3, 0x1.2f4943c373bcap-3, 0x1.1c1e509ae0fc8p-3, 0x1.096b730363797p-3, 0x1.ee62ea8c6b35fp-4, 0x1.cae20540681cep-4, 0x1.a855500b7d16fp-4, 0x1.86bda9d08b836p-4, 0x1.661bb7fa3f924p-4, 0x1.466fe80a9612p-4, 0x1.27ba712b72eb2p-4, 0x1.09fb55bfa507ap-4, 0x1.da64c9e75b13p-5, 0x1.a2be789b5b214p-5, 0x1.6d029277d76dcp-5, 0x1.392f9542ca198p-5, 0x1.0743a4bfda12cp-5, 0x1.ae791b7da362ap-6, 0x1.522f9246e3233p-6, 0x1.f349fb9781187p-7, 0x1.49a6242c1799dp-7, 0x1.4ecbb4a18cc36p-8, 0x1.8f4732bf8f0ap-12, -0x1.0e596eec1dadbp-8, -0x1.139ffbfd7fa5ep-7, -0x1.98f195c32c1fbp-7, -0x1.0b9a3d173a404p-6, -0x1.473e43c1d40abp-6, -0x1.7f6f3d24f3dbcp-6, -0x1.b437f16f961ddp-6, -0x1.e5a38d9d8cca5p-6, -0x1.09decf383abc8p-5, -0x1.1f4905c036f15p-5, -0x1.3316893247a48p-5, -0x1.454da0f9a12e5p-5, -0x1.55f4bacd2f7a1p-5, -0x1.651268678467dp-5, -0x1.72ad5d4a9b8dep-5, -0x1.7ecc6c8f5a5f1p-5, -0x1.897686c0c1cd3p-5, -0x1.92b2b7c2b434bp-5, -0x1.9a8824c434788p-5, -0x1.a0fe0a3d0ba9ep-5, -0x1.a61bb9f6a93fap-5, -0x1.a9e89920307f8p-5, -0x1.ac6c1e6d844cfp-5, -0x1.adadd0413d4fbp-5, -0x1.adb542e163bebp-5, -0x1.ac8a16b6d0a85p-5, -0x1.aa33f69714f24p-5, -0x1.a6ba9618c882bp-5, -0x1.a225aff222f5dp-5, -0x1.9c7d0461be361p-5, -0x1.95c857a168394p-5, -0x1.8e0f7062e817p-5, -0x1.855a165696cd9p-5, -0x1.7bb010bbb801cp-5, -0x1.711924fa74772p-5, -0x1.659d154760168p-5, -0x1.59439f507286fp-5, -0x1.4c147af35f59dp-5, -0x1.3e1758fd330ccp-5, -0x1.2f53e1f326199p-5, -0x1.1fd1b4e48c65ep-5, -0x1.0f986645d24a8p-5, -0x1.fd5efda8e5967p-6, -0x1.da3cf507a8b17p-6, -0x1.b5d98ee5f9f71p-6, -0x1.904389d61738ep-6, -0x1.698984ccc56c8p-6, -0x1.41b9fd40fa1a9p-6, -0x1.18e34d5c9fda6p-6, -0x1.de27547cd7fd6p-7, -0x1.88b2449933a83p-7, -0x1.31833730d593bp-7, -0x1.b16b494956d0fp-8, -0x1.f992ba75b52fp-9, -0x1.1558e9aea4292p-10, 0x1.d2e51dd53c59p-10, 0x1.31310e6996767p-8, 0x1.efddc30d23cd6p-8, 0x1.58466aa06eb76p-7, 0x1.b986404b1ec4p-7, 0x1.0dcaf41f2b57bp-6, 0x1.3f2ea90c4e248p-6, 0x1.70e26c9c4ed57p-6, 0x1.a2daa33c2469ep-6, 0x1.d50be8e50f28cp-6, 0x1.03b588ee3a4d3p-5, 0x1.1cf695b29609cp-5, 0x1.3643be31357bfp-5, 0x1.4f97c2f6382ecp-5, 0x1.68ed81eb9becp-5, 0x1.823ff695aba86p-5, 0x1.9b8a3a48a2eaap-5, 0x1.b4c784579d425p-5, 0x1.cdf32a3cef012p-5, 0x1.e7089fbc0687ep-5, 0x1.0001bb7e76af6p-4, 0x1.0c6fb050c6d8ep-4, 0x1.18cc15ea6a3bep-4, 0x1.2514e329ea132p-4, 0x1.31481e3882ee4p-4, 0x1.3d63dc88e42a2p-4, 0x1.496642d31f89dp-4, 0x1.554d850dd8c5fp-4, 0x1.6117e664c8112p-4, 0x1.6cc3b92c9cf1fp-4, 0x1.784f5ed456b9fp-4, 0x1.83b947d4218f3p-4, 0x1.8efff399cb346p-4, 0x1.9a21f072e0a0dp-4, 0x1.a51ddb7484693p-4, 0x1.aff260611ad52p-4, 0x1.ba9e398bc40ecp-4, 0x1.c5202fb9e1a62p-4, 0x1.cf771a02805a9p-4, 0x1.d9a1ddabfc02ap-4, 0x1.e39f6e07aa8f3p-4, 0x1.ed6ecc4bd9ce2p-4, 0x1.f70f076c11dbp-4, 0x1.003f9df7da6eep-3, 0x1.04df49e38fa34p-3, 0x1.0966230f9a96ep-3, 0x1.0dd3cb99d0b9bp-3, 0x1.1227ec0fd45afp-3, 0x1.16623356e0b12p-3, 0x1.1a825692fe97ap-3, 0x1.1e88110d9f5d2p-3, 0x1.2273241bbc6d4p-3, 0x1.264357036ce11p-3, 0x1.29f876e10a782p-3, 0x1.2d92568be5198p-3, 0x1.3110ce7a94b21p-3, 0x1.3473bca6e6cbdp-3, 0x1.37bb04717ddcap-3, 0x1.3ae68e851fa8p-3, 0x1.3df648b9ba9f5p-3, 0x1.40ea25f7375c1p-3, 0x1.43c21e180821ep-3, 0x1.467e2dcb8fea2p-3, 0x1.491e5678647ep-3, 0x1.4ba29e1e681a6p-3, 0x1.4e0b0f38cfb9ap-3, 0x1.5057b8a016e49p-3, 0x1.5288ad6be3ae7p-3, 0x1.549e04d4e72bfp-3, 0x1.5697da16c08dfp-3, 0x1.58764c51e4a1ep-3, 0x1.5a397e6d93655p-3, 0x1.5be196f9e0f34p-3, 0x1.5d6ec011d38ddp-3, 0x1.5ee1273da699ap-3, 0x1.6038fd552558ep-3, 0x1.617676623d10bp-3, 0x1.6299c983ab546p-3, 0x1.63a330cfef2a7p-3, 0x1.6492e9385f23p-3, 0x1.6569326c8bf4cp-3, 0x1.66264ebdd37b2p-3, 0x1.66ca83033e78bp-3, 0x1.6756167da3d67p-3, 0x1.67c952bc15c69p-3, 0x1.682483809ef2ap-3, 0x1.6867f6a54d11p-3, 0x1.6893fc0193716p-3, 0x1.68a8e550065f2p-3, 0x1.68a706146af63p-3, 0x1.688eb3822cffdp-3, 0x1.686044632cc62p-3, 0x1.681c10fef20ecp-3, 0x1.67c27302451edp-3, 0x1.6753c5672b23dp-3, 0x1.66d0645d4c2a8p-3, 0x1.6638ad32c3846p-3, 0x1.658cfe3d5a9bcp-3, 0x1.64cdb6c431bbcp-3, 0x1.63fb36e9da503p-3, 0x1.6315df96d8f0bp-3, 0x1.621e1264a1b03p-3, 0x1.61143188fedaap-3, 0x1.5ff89fc1ecb02p-3, 0x1.5ecbc041ebdf1p-3, 0x1.5d8df69cc1f2p-3, 0x1.5c3fa6b4b15ddp-3, 0x1.5ae134a8268cdp-3, 0x1.597304bfd6622p-3, 0x1.57f57b5d57e26p-3, 0x1.5668fcea2bcfap-3, 0x1.54cdedc73e89ap-3, 0x1.5324b23cdc471p-3, 0x1.516dae6b1b2d7p-3, 0x1.4fa9463ab9842p-3, 0x1.4dd7dd4e6abccp-3, 0x1.4bf9d6f4a406p-3, 0x1.4a0f9619cb634p-3, 0x1.48197d3ae64ebp-3, 0x1.4617ee58b3abap-3, 0x1.440b4aeb356f1p-3, 0x1.41f3f3d5aadeap-3, 0x1.3fd2495afb66dp-3, 0x1.3da6ab128cc19p-3, 0x1.3b7177dd862e6p-3, 0x1.39330ddc7fdc6p-3, 0x1.36ebca659a1f2p-3, 0x1.349c09fb00d4ap-3, 0x1.32442841d4d45p-3, 0x1.2fe47ff97b66ep-3, 0x1.2d7d6af352e5cp-3, 0x1.2b0f420acc82ap-3, 0x1.289a5d1de6cfep-3, 0x1.261f130609ed2p-3, 0x1.239db9913f2dcp-3, 0x1.2116a57bcde74p-3, 0x1.1e8a2a6a2bcfbp-3, 0x1.1bf89ae34fe0cp-3, 0x1.1962484b57e8cp-3, 0x1.16c782de86f3ep-3, 0x1.142899ac9c8cp-3, 0x1.1185da947ce51p-3, 0x1.0edf924029f64p-3, 0x1.0c360c2112c6ap-3, 0x1.0989926caadaap-3, 0x1.06da6e19536f5p-3, 0x1.0428e6db8cd65p-3, 0x1.0175432378be3p-3, 0x1.fd7f903530969p-4, 0x1.f8117343b7fcbp-4, 0x1.f2a0b49fe41d1p-4, 0x1.ed2dd6dfb4825p-4, 0x1.e7b959ff70699p-4, 0x1.e243bb5fcbc55p-4, 0x1.dccd75c491f3cp-4, 0x1.d7570153b2f8ep-4, 0x1.d1e0d394dbb38p-4, 0x1.cc6b5f716ed39p-4, 0x1.c6f71534fab86p-4, 0x1.c184628e01fdap-4, 0x1.bc13b28f49bbdp-4, 0x1.b6a56db171abcp-4, 0x1.b139f9d4fea36p-4, 0x1.abd1ba44b0b83p-4, 0x1.a66d0fb848369p-4, 0x1.a10c585792b91p-4, 0x1.9bafefbdccb21p-4, 0x1.96582efd5ef65p-4, 0x1.91056ca3d8724p-4, 0x1.8bb7fcbe440e6p-4, 0x1.867030ddbaea5p-4, 0x1.812e581c3e8c3p-4, 0x1.7bf2bf21d5354p-4, 0x1.76bdb029e47d8p-4, 0x1.718f7308c8192p-4, 0x1.6c684d31a2526p-4, 0x1.674881bc6285p-4, 0x1.6230516bff528p-4, 0x1.5d1ffab4e353cp-4, 0x1.5817b9c3861f5p-4, 0x1.5317c8833449p-4, 0x1.4e205ea4fec8fp-4, 0x1.4931b1a6d225p-4, 0x1.444bf4dab2e5fp-4, 0x1.3f6f596e1c2d4p-4, 0x1.3a9c0e717d6ecp-4, 0x1.35d240dfd82e7p-4, 0x1.31121ba676e68p-4, 0x1.2c5bc7acbfb93p-4, 0x1.27af6bdc1c992p-4, 0x1.230d2d27fa4fep-4, 0x1.1e752e95d9fdcp-4, 0x1.19e7914574311p-4, 0x1.15647478ebff7p-4, 0x1.10ebf59d0ef75p-4, 0x1.0c7e3051a1071p-4, 0x1.081b3e71b37a3p-4, 0x1.03c3381c02ffap-4, 0x1.feec6776ba806p-5, 0x1.f6688c1e166bep-5, 0x1.edfb04667e689p-5, 0x1.e5a3f35309c05p-5, 0x1.dd6378c263b84p-5, 0x1.d539b17faa185p-5, 0x1.cd26b75349f09p-5, 0x1.c52aa113d0c1fp-5, 0x1.bd4582b6b8065p-5, 0x1.b5776d6122ff4p-5, 0x1.adc06f788caf8p-5, 0x1.a62094b367683p-5, 0x1.9e97e629a5d0ap-5, 0x1.97266a6532b11p-5, 0x1.8fcc25724da5cp-5, 0x1.888918efd0993p-5, 0x1.815d441f5918bp-5, 0x1.7a48a3f555837p-5, 0x1.734b3328f1801p-5, 0x1.6c64ea43e53f6p-5, 0x1.6595bfb21e0a2p-5, 0x1.5edda7d148333p-5, 0x1.583c95002fdfp-5, 0x1.51b277adfe9bep-5, 0x1.4b3f3e694f1bdp-5, 0x1.44e2d5ef1877fp-5, 0x1.3e9d29396fef9p-5, 0x1.386e218e1fba4p-5, 0x1.3255a68d0fc2bp-5, 0x1.2c539e3e8374ap-5, 0x1.2667ed2129196p-5, 0x1.20927637f73e3p-5, 0x1.1ad31b17df878p-5, 0x1.1529bbf54c64p-5, 0x1.0f9637b170a78p-5, 0x1.0a186be762b9cp-5, 0x1.04b034f909535p-5, 0x1.febadc379fde3p-6, 0x1.f43fe2ca5d196p-6, 0x1.e9ef2faded618p-6, 0x1.dfc872d6e49bbp-6, 0x1.d5cb5a4294c3ap-6, 0x1.cbf7920e7685fp-6, 0x1.c24cc48f26303p-6, 0x1.b8ca9a66f2da8p-6, 0x1.af70ba9c0b0d3p-6, 0x1.a63ecaae381b3p-6, 0x1.9d346eac320b1p-6, 0x1.9451494885059p-6, 0x1.8b94fbee1223dp-6, 0x1.82ff26d41e3dep-6, 0x1.7a8f6911fb648p-6, 0x1.724560b245fd2p-6, 0x1.6a20aac5b79bep-6, 0x1.6220e375904fdp-6, 0x1.5a45a6159715dp-6, 0x1.528e8d35b226bp-6, 0x1.4afb32b312e62p-6, 0x1.438b2fc900027p-6, 0x1.3c3e1d213335cp-6, 0x1.351392e3d31afp-6, 0x1.2e0b28c70861dp-6, 0x1.2724761e28c18p-6, 0x1.205f11e885bc6p-6, 0x1.19ba92dfce513p-6, 0x1.13368f86174e2p-6, 0x1.0cd29e337c32cp-6, 0x1.068e552361127p-6, 0x1.00694a8154c33p-6, 0x1.f4c628eb29827p-7, 0x1.e8f69262658e6p-7, 0x1.dd62fdf3b99ecp-7, 0x1.d20a986a9a3d9p-7, 0x1.c6ec8ee8b6a1bp-7, 0x1.bc080efb6f131p-7, 0x1.b15c46b095c19p-7, 0x1.a6e864aa88224p-7, 0x1.9cab9833958f5p-7, 0x1.92a51150c2a6ep-7, 0x1.88d400d3e52fdp-7, 0x1.7f37986d144b1p-7, 0x1.75cf0abb83766p-7, 0x1.6c998b5db4ad1p-7, 0x1.63964f0113f12p-7, 0x1.5ac48b70ee2b7p-7, 0x1.522377a4e528ap-7, 0x1.49b24bceb67adp-7, 0x1.41704167826cfp-7, 0x1.395c933c769a9p-7, 0x1.31767d7af6e87p-7, 0x1.29bd3dbc3293ap-7, 0x1.223013103614ep-7, 0x1.1ace3e0876c18p-7, 0x1.139700c1db647p-7, 0x1.0c899eee459e6p-7, 0x1.05a55ddd9d06ep-7, 0x1.fdd3090cc0031p-8, 0x1.f0aab71b78335p-8, 0x1.e3d05a9e62d56p-8, 0x1.d7428bc782b85p-8, 0x1.caffe6515e0f1p-8, 0x1.bf07098b9f75cp-8, 0x1.b3569866e273ep-8, 0x1.a7ed397fad2b1p-8, 0x1.9cc997289e3c6p-8, 0x1.91ea5f73d1245p-8, 0x1.874e443b8137p-8, 0x1.7cf3fb29ee0ep-8, 0x1.72da3dc0862f4p-8, 0x1.68ffc95e5f403p-8, 0x1.5f635f45faa4p-8, 0x1.5603c4a26497ap-8, 0x1.4cdfc28ba7e32p-8, 0x1.43f6260aa3a29p-8, 0x1.3b45c01c40e5fp-8, 0x1.32cd65b4124bp-8, 0x1.2a8befbe5eafcp-8, 0x1.22803b219987cp-8, 0x1.1aa928bf54a58p-8, 0x1.13059d74a5d73p-8, 0x1.0b94821a0dd99p-8, 0x1.0454c382dc203p-8, 0x1.fa8aa4f838c9bp-9, 0x1.ecca479612fd7p-9, 0x1.df6660562334ap-9, 0x1.d25ce896cea3cp-9, 0x1.c5abe1985661ep-9, 0x1.b951547659947p-9, 0x1.ad4b522090e2ap-9, 0x1.a197f352cb117p-9, 0x1.9635588c30fa6p-9, 0x1.8b21aa05d79d6p-9, 0x1.805b17a8a9e0ap-9, 0x1.75dfd902ad5e2p-9, 0x1.6bae2d3baa21dp-9, 0x1.61c45b093f78ep-9, 0x1.5820b0a263935p-9, 0x1.4ec183b26089ep-9, 0x1.45a5314b4808ep-9, 0x1.3cca1dd7ecd14p-9, 0x1.342eb50d6691cp-9, 0x1.2bd169dc20a88p-9, 0x1.23b0b66080becp-9, 0x1.1bcb1bd3253fcp-9, 0x1.141f2278c2fb5p-9, 0x1.0cab5991a946dp-9, 0x1.056e5748eedb6p-9, 0x1.fccd714699088p-10, 0x1.ef2642db5d3a8p-10, 0x1.e1e47856f7657p-10, 0x1.d505740939483p-10, 0x1.c886a5668272p-10, 0x1.bc6588e2e2f76p-10, 0x1.b09fa7ccceb02p-10, 0x1.a532982768e0dp-10, 0x1.9a1bfc847db24p-10, 0x1.8f5983de2cda3p-10, 0x1.84e8e9703d914p-10, 0x1.7ac7f491421f5p-10, 0x1.70f4788b72393p-10, 0x1.676c547557344p-10, 0x1.5e2d730a50d2ap-10, 0x1.5535ca82ebe5bp-10, 0x1.4c835c6d202b2p-10, 0x1.4414358470e4bp-10, 0x1.3be66d8a034d7p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d30cfcf25ac4p-1, 0x1.ceab2d4394436p-1, 0x1.ca1d37f0b9585p-1, 0x1.c564650738bfdp-1, 0x1.c0820172a237fp-1, 0x1.bb775e40aadb1p-1, 0x1.b645cfef257cfp-1, 0x1.b0eeadc3b961ap-1, 0x1.ab73512d15568p-1, 0x1.a5d5152d52de4p-1, 0x1.a01555cd35375p-1, 0x1.9a356f97e8f9dp-1, 0x1.9436bf1ee9b48p-1, 0x1.8e1aa085ac1ccp-1, 0x1.87e26f14b0768p-1, 0x1.818f84d39dc3dp-1, 0x1.7b233a2a064c7p-1, 0x1.749ee5867ea02p-1, 0x1.6e03db0baa47fp-1, 0x1.67536c42ec1ffp-1, 0x1.608ee7d4637d6p-1, 0x1.59b79943ec75ap-1, 0x1.52cec8b2d1b1ap-1, 0x1.4bd5baa5ee0c3p-1, 0x1.44cdafcff56bap-1, 0x1.3db7e4dfa85b8p-1, 0x1.36959251b383ep-1, 0x1.2f67ec4606a71p-1, 0x1.2830225868df6p-1, 0x1.20ef5f7c21a7bp-1, 0x1.19a6c9da80cd5p-1, 0x1.125782b4244ffp-1, 0x1.0b02a644ce715p-1, 0x1.03a94ba9af97bp-1, 0x1.f8990993fb0d2p-2, 0x1.e9dabc83828f3p-2, 0x1.db19be9d74adep-2, 0x1.cc58137e87726p-2, 0x1.bd97b3c6420f1p-2, 0x1.aeda8cfc42d54p-2, 0x1.a022817907afdp-2, 0x1.9171685218981p-2, 0x1.82c90d4972265p-2, 0x1.742b30c014fa7p-2, 0x1.659987ab99e13p-2, 0x1.5715bb8eb4478p-2, 0x1.48a16a748828fp-2, 0x1.3a3e26eeb9856p-2, 0x1.2bed781623c74p-2, 0x1.1db0d98e1ac0fp-2, 0x1.0f89bb8a272e9p-2, 0x1.017982d622265p-2, 0x1.e70311c14105ap-3, 0x1.cb46378f20be7p-3, 0x1.afbefccdffb3cp-3, 0x1.946fd0d3d2fa6p-3, 0x1.795b0cb9fbe7ap-3, 0x1.5e82f386979c2p-3, 0x1.43e9b259712f1p-3, 0x1.2991609c58e7bp-3, 0x1.0f7c0036cc48bp-3, 0x1.eb56fb8959ed5p-4, 0x1.b843619fdf329p-4, 0x1.85c0b81a1b897p-4, 0x1.53d25b341c769p-4, 0x1.227b7e800e0fap-4, 0x1.e37e5adb84ef8p-5, 0x1.834097acfaf63p-5, 0x1.24432d195a101p-5, 0x1.8d168fbd08b2ap-6, 0x1.a8772402d2fc1p-7, 0x1.dfe8dfbc3970dp-10, -0x1.2b2fc3e5a4502p-7, -0x1.467fb3888be6fp-6, -0x1.f4b16a1ea46f2p-6, -0x1.50130a0eb14d7p-5, -0x1.a46ba434bcdeap-5, -0x1.f75f91e5d9146p-5, -0x1.24761194f473fp-4, -0x1.4c87742dea679p-4, -0x1.73e2d86bc8c6ap-4, -0x1.9a8744d3890e7p-4, -0x1.c073de173edb4p-4, -0x1.e5a7e66c14d74p-4, -0x1.05115e701d5a6p-3, -0x1.16f1ee58881a3p-3, -0x1.28756e50ccd9dp-3, -0x1.399bb728bd37dp-3, -0x1.4a64aeca3f849p-3, -0x1.5ad047e57a0ccp-3, -0x1.6ade819d67f21p-3, -0x1.7a8f6734ecad8p-3, -0x1.89e30fbc6f075p-3, -0x1.98d99dc011824p-3, -0x1.a7733ef682f32p-3, -0x1.b5b02bf07fe54p-3, -0x1.c390a7c90850dp-3, -0x1.d114ffd65513p-3, -0x1.de3d8b5b8fc9fp-3, -0x1.eb0aab3b5a481p-3, -0x1.f77cc9ab275fap-3, -0x1.01ca2cf3b8ac2p-2, -0x1.07a8ebf465441p-2, -0x1.0d5ae40ce7fedp-2, -0x1.12e05b870776dp-2, -0x1.18399c9ce1426p-2, -0x1.1d66f55548d7dp-2, -0x1.2268b7609a8d5p-2, -0x1.273f37f6086c8p-2, -0x1.2beacfb163ed3p-2, -0x1.306bda7161131p-2, -0x1.34c2b73657c52p-2, -0x1.38efc801812acp-2, -0x1.3cf371b4b1f11p-2, -0x1.40ce1bf2948b6p-2, -0x1.448030ff5f7a6p-2, -0x1.480a1da20aadcp-2, -0x1.4b6c510601cd7p-2, -0x1.4ea73c9d57dp-2, -0x1.51bb54037697cp-2, -0x1.54a90ce04b775p-2, -0x1.5770decbf5e4dp-2, -0x1.5a134332ef1f4p-2, -0x1.5c90b53ab2b0dp-2, -0x1.5ee9b1a6e2f79p-2, -0x1.611eb6bee943fp-2, -0x1.6330443415f2cp-2, -0x1.651edb0837b78p-2, -0x1.66eafd74b2713p-2, -0x1.68952ed211959p-2, -0x1.6a1df38010094p-2, -0x1.6b85d0ce2145ep-2, -0x1.6ccd4ce4705e2p-2, -0x1.6df4eead57f3cp-2, -0x1.6efd3dbf54e2dp-2, -0x1.6fe6c247708c9p-2, -0x1.70b204f421e2cp-2, -0x1.715f8ee0a682ap-2, -0x1.71efe980d3012p-2, -0x1.72639e8d5751fp-2, -0x1.72bb37f07a5eep-2, -0x1.72f73fb3494a2p-2, -0x1.73183feb3a5c2p-2, -0x1.731ec2a844eddp-2, -0x1.730b51e36c1d5p-2, -0x1.72de776db9385p-2, -0x1.7298bcdfa8f04p-2, -0x1.723aab890bc98p-2, -0x1.71c4cc6150f8cp-2, -0x1.7137a7f846aecp-2, -0x1.7093c667430f6p-2, -0x1.6fd9af42bff3bp-2, -0x1.6f09e98c5e064p-2, -0x1.6e24fba559575p-2, -0x1.6d2b6b41662d6p-2, -0x1.6c1dbd59f6f2ap-2, -0x1.6afc7621eec3cp-2, -0x1.69c818f9b8b67p-2, -0x1.68812863cb505p-2, -0x1.672825f98cc07p-2, -0x1.65bd9260a1871p-2, -0x1.6441ed409d30fp-2, -0x1.62b5b53916e8fp-2, -0x1.611967d8216ebp-2, -0x1.5f6d819122edfp-2, -0x1.5db27db40d97ap-2, -0x1.5be8d664f96dap-2, -0x1.5a1104941836fp-2, -0x1.582b7ff609c5bp-2, -0x1.5638befc89843p-2, -0x1.543936cf785eep-2, -0x1.522d5b463ea31p-2, -0x1.50159ee186b5dp-2, -0x1.4df272c54cac5p-2, -0x1.4bc446b345da4p-2, -0x1.498b89059cd16p-2, -0x1.4748a6a9fb39dp-2, -0x1.44fc0b1ceb9ffp-2, -0x1.42a6206588aa9p-2, -0x1.40474f1178d75p-2, -0x1.3ddffe313c053p-2, -0x1.3b709354c2712p-2, -0x1.38f972884d25ep-2, -0x1.367afe519c433p-2, -0x1.33f597ad5ece3p-2, -0x1.31699e0cefe88p-2, -0x1.2ed76f54519aap-2, -0x1.2c3f67d871f1bp-2, -0x1.29a1e25dad3f9p-2, -0x1.26ff381694155p-2, -0x1.2457c0a2edef9p-2, -0x1.21abd20efc18cp-2, -0x1.1efbc0d2f6995p-2, -0x1.1c47dfd2c4f82p-2, -0x1.1990805df0981p-2, -0x1.16d5f22fce804p-2, -0x1.1418836fdecc2p-2, -0x1.115880b261c32p-2, -0x1.0e9634f921474p-2, -0x1.0bd1e9b46b149p-2, -0x1.090be6c43a80cp-2, -0x1.0644727993edp-2, -0x1.037bd1980ca4p-2, -0x1.00b247577e41cp-2, -0x1.fbd02acbca6b3p-3, -0x1.f63af7d2d4bbep-3, -0x1.f0a57305240c3p-3, -0x1.eb10169d27963p-3, -0x1.e57b59d3ab5f3p-3, -0x1.dfe7b0e51a05p-3, -0x1.da558d16fec1cp-3, -0x1.d4c55cbdd2336p-3, -0x1.cf378b42fa282p-3, -0x1.c9ac812b142edp-3, -0x1.c424a41c6fa77p-3, -0x1.bea056e5c646fp-3, -0x1.b91ff98526be9p-3, -0x1.b3a3e92f1348fp-3, -0x1.ae2c8055d33b5p-3, -0x1.a8ba16b0eb4abp-3, -0x1.a34d0144c8d5fp-3, -0x1.9de5926a94c42p-3, -0x1.988419d82993p-3, -0x1.9328e4a832bc2p-3, -0x1.8dd43d626a029p-3, -0x1.88866c03fb749p-3, -0x1.833fb607fcc6cp-3, -0x1.7e005e700ee88p-3, -0x1.78c8a5cd0cc99p-3, -0x1.7398ca47d645cp-3, -0x1.6e7107aa3492ap-3, -0x1.69519767cda18p-3, -0x1.643ab0a72c9d7p-3, -0x1.5f2c884ad6ba1p-3, -0x1.5a2750fa735c4p-3, -0x1.552b3b2bfb4cp-3, -0x1.5038752cf7bbfp-3, -0x1.4b4f2b2bc7791p-3, -0x1.466f8740eb235p-3, -0x1.4199b1785a32dp-3, -0x1.3ccdcfdad7fc9p-3, -0x1.380c06774dfe6p-3, -0x1.3354776c28ce3p-3, -0x1.2ea742f0afc29p-3, -0x1.2a04875e61e24p-3, -0x1.256c613a49266p-3, -0x1.20deeb3e4e9e4p-3, -0x1.1c5c3e6286a88p-3, -0x1.17e471e675412p-3, -0x1.13779b5a4d096p-3, -0x1.0f15cea823c05p-3, -0x1.0abf1e1d1d0f9p-3, -0x1.06739a7288254p-3, -0x1.023352d6f5648p-3, -0x1.fbfca9ee6fb3p-4, -0x1.f3a95a0ec2cf6p-4, -0x1.eb6ccb974cac3p-4, -0x1.e34711426e5e2p-4, -0x1.db383b0e15952p-4, -0x1.d340564d1bea9p-4, -0x1.cb5f6db894978p-4, -0x1.c3958980ee303p-4, -0x1.bbe2af5ee15acp-4, -0x1.b446e2a448a7fp-4, -0x1.acc2244cc01f5p-4, -0x1.a554730e1c562p-4, -0x1.9dfdcb68be567p-4, -0x1.96be27b7a6c93p-4, -0x1.8f9580406ee9dp-4, -0x1.8883cb43027efp-4, -0x1.8188fd0931b73p-4, -0x1.7aa507f60d308p-4, -0x1.73d7dc9512531p-4, -0x1.6d2169a922e54p-4, -0x1.66819c3b4aa97p-4, -0x1.5ff85fa94f80cp-4, -0x1.59859db40d4e6p-4, -0x1.53293e8d9c328p-4, -0x1.4ce328e741fefp-4, -0x1.46b341ff2c40dp-4, -0x1.40996dadf4fdp-4, -0x1.3a958e73ef20bp-4, -0x1.34a785863d76cp-4, -0x1.2ecf32dbb1253p-4, -0x1.290c75397146ep-4, -0x1.235f2a3f6a93cp-4, -0x1.1dc72e7486eb4p-4, -0x1.18445d52adfabp-4, -0x1.12d691528cb72p-4, -0x1.0d7da3f726d5cp-4, -0x1.08396dd92e08ap-4, -0x1.0309c6b22393dp-4, -0x1.fbdd0ace821fcp-5, -0x1.f1cf002854381p-5, -0x1.e7e9182acc97bp-5, -0x1.de2afc254971ep-5, -0x1.d49454118fa08p-5, -0x1.cb24c6a774d1ep-5, -0x1.c1dbf9701f1b5p-5, -0x1.b8b990d8d55c7p-5, -0x1.afbd304566154p-5, -0x1.a6e67a222345ep-5, -0x1.9e350ff5724adp-5, -0x1.95a89270f4a19p-5, -0x1.8d40a182471ffp-5, -0x1.84fcdc6358abcp-5, -0x1.7cdce1aa5c526p-5, -0x1.74e04f5953947p-5, -0x1.6d06c2ed34119p-5, -0x1.654fd96ca8ecep-5, -0x1.5dbb2f76747eep-5, -0x1.5648614f6a951p-5, -0x1.4ef70af00e839p-5, -0x1.47c6c811d01a8p-5, -0x1.40b7343be8e7cp-5, -0x1.39c7eacfde586p-5, -0x1.32f88715a425fp-5, -0x1.2c48a44768909p-5, -0x1.25b7dd9d013fcp-5, -0x1.1f45ce57040b3p-5, -0x1.18f211c984fdap-5, -0x1.12bc436680408p-5, -0x1.0ca3fec7eee1bp-5, -0x1.06a8dfb986747p-5, -0x1.00ca8242265d2p-5, -0x1.f6110559ee01ep-6, -0x1.eac4fb246a711p-6, -0x1.dfb01fbf62d2bp-6, -0x1.d4d1adc1ff9c8p-6, -0x1.ca28e08ebe6f3p-6, -0x1.bfb4f462a4123p-6, -0x1.b5752663e31b5p-6, -0x1.ab68b4afe92e9p-6, -0x1.a18ede68e68b1p-6, -0x1.97e6e3c2c8dacp-6, -0x1.8e70060fab62p-6, -0x1.852987cbc22fep-6, -0x1.7c12aca8c5f0bp-6, -0x1.732ab998d8a41p-6, -0x1.6a70f4d8f4dp-6, -0x1.61e4a5fad8684p-6, -0x1.598515ee7e6a5p-6, -0x1.51518f0b1d551p-6, -0x1.49495d17b4545p-6, -0x1.416bcd53288ap-6, -0x1.39b82e7bf057fp-6, -0x1.322dd0d753b38p-6, -0x1.2acc063845088p-6, -0x1.23922205cfd9ep-6, -0x1.1c7f7941242a8p-6, -0x1.1593628b417e1p-6, -0x1.0ecd362a3bd1p-6, -0x1.082c4e0e27e65p-6, -0x1.01b005d5ae377p-6, -0x1.f6af75a47dc84p-7, -0x1.ea459817e0fa8p-7, -0x1.de21348a2437ep-7, -0x1.d2410ffaba218p-7, -0x1.c6a3f2e9c772bp-7, -0x1.bb48a95d5c02bp-7, -0x1.b02e02e60b554p-7, -0x1.a552d2a300e07p-7, -0x1.9ab5ef457c52ep-7, -0x1.90563313c6bf3p-7, -0x1.86327beba2133p-7, -0x1.7c49ab4432dc4p-7, -0x1.729aa62f69f92p-7, -0x1.6924555aff1d9p-7, -0x1.5fe5a510e5a1dp-7, -0x1.56dd853757c55p-7, -0x1.4e0ae9506ff13p-7, -0x1.456cc87958924p-7, -0x1.3d021d690edf8p-7, -0x1.34c9e66ec79e7p-7, -0x1.2cc3256fef462p-7, -0x1.24ecdfe5cdab8p-7, -0x1.1d461edacf2f5p-7, -0x1.15cdeee778a26p-7, -0x1.0e83602f052c9p-7, -0x1.0765865bb7139p-7, -0x1.0073789ad8019p-7, -0x1.f358a330e39a1p-8, -0x1.e61e5ef57e1c3p-8, -0x1.d93667baae0a8p-8, -0x1.cc9f079832ab4p-8, -0x1.c0568f7bb4438p-8, -0x1.b45b571da8595p-8, -0x1.a8abbcf5be9d6p-8, -0x1.9d46262ee6cfcp-8, -0x1.9228fe9aeb1e9p-8, -0x1.8752b8a5a9b0ap-8, -0x1.7cc1cd47efe5p-8, -0x1.7274bbf9fdc0bp-8, -0x1.686a0aa5b532dp-8, -0x1.5ea0459878908p-8, -0x1.5515ff74bf097p-8, -0x1.4bc9d12364b6dp-8, -0x1.42ba59c4b372fp-8, -0x1.39e63ea13245fp-8, -0x1.314c2b1a38ddep-8, -0x1.28ead09a4c6b4p-8, -0x1.20c0e6854b3c4p-8, -0x1.18cd2a28690d9p-8, -0x1.110e5eaa01234p-8, -0x1.09834cf94140cp-8, -0x1.022ac3bdaeea3p-8, -0x1.f6072e8d1ebd8p-9, -0x1.e81942f45cb9bp-9, -0x1.da89838a1d534p-9, -0x1.cd55ba120165fp-9, -0x1.c07bbb184d3bfp-9, -0x1.b3f965cfcaf2ap-9, -0x1.a7cca3ef96eb3p-9, -0x1.9bf36990cb043p-9, -0x1.906bb50c21f1dp-9, -0x1.85338ed785315p-9, -0x1.7a490963955bdp-9, -0x1.6faa40f934b91p-9, -0x1.65555b9707b09p-9, -0x1.5b4888cf06ae1p-9, -0x1.518201a40ee5ap-9, -0x1.480008678bdd3p-9, -0x1.3ec0e89728474p-9, -0x1.35c2f6ba9d441p-9, -0x1.2d0490419676ep-9, -0x1.24841b61b1b0dp-9, -0x1.1c4006f4a573ep-9, -0x1.1436ca5681eb6p-9, -0x1.0c66e54421bddp-9, -0x1.04cedfb9bdc65p-9, -0x1.fada93a3602eep-10, -0x1.ec817746ced06p-10, -0x1.de8faa4512746p-10, -0x1.d1027bfc98978p-10, -0x1.c3d74b020ec9p-10, -0x1.b70b84dff1fb3p-10, -0x1.aa9ca5d6988d1p-10, -0x1.9e88389cb3ac7p-10, -0x1.92cbd62051124p-10, -0x1.876525485bf8fp-10, -0x1.7c51dab6ad1p-10, -0x1.718fb88a9648ep-10, -0x1.671c8e2403428p-10, -0x1.5cf637e72af25p-10, -0x1.531a9f00cce9ep-10, -0x1.4987b92b069b8p-10, -0x1.403b8872c1beap-10, -0x1.37341afdb2d12p-10, -0x1.2e6f8ad103dc4p-10, -0x1.25ebfd9889b5cp-10, -0x1.1da7a46ea4641p-10, -0x1.15a0bba4bc026p-10, -0x1.0dd58a8c64473p-10, -0x1.0644634118097p-10, -0x1.fdd744e55282bp-11, -0x1.ef935e6093309p-11, -0x1.e1b9f568848c9p-11, -0x1.d44800609d413p-11, -0x1.c73a8935423d2p-11, -0x1.ba8eacf721d4fp-11, -0x1.ae419b77e0a9cp-11, -0x1.a25096e81b092p-11, -0x1.96b8f376ba523p-11, -0x1.8b7816f19d7a1p-11, -0x1.808b786797d5ep-11, -0x1.75f09fcbc2578p-11, -0x1.6ba5259a22d5fp-11, -0x1.61a6b27da63b9p-11, -0x1.57f2fef76d5fep-11, -0x1.4e87d3076dad2p-11, -0x1.456305d661be2p-11, -0x1.3c827d610ce12p-11, -0x1.33e42e24caf84p-11, -0x1.2b861acd70c5dp-11, -0x1.236653e47821dp-11, -0x1.1b82f78176c12p-11, -0x1.13da30fbde323p-11, -0x1.0c6a389e05112p-11, -0x1.0531535973237p-11, -0x1.fc5ba4f8e621ep-12, -0x1.eebc26d1c9877p-12, -0x1.e180fe989ea15p-12, -0x1.d4a715b25e805p-12, -0x1.c82b6c02fe626p-12, -0x1.bc0b1764f2f7ep-12, -0x1.b04343231d8ecp-12, -0x1.a4d12f751d46dp-12, -0x1.99b230fe02104p-12, -0x1.8ee3b04d5c0bap-12, -0x1.846329629b23bp-12, -0x1.7a2e2b32c206cp-12, -0x1.7042573062251p-12, -0x1.669d60d5d8252p-12, -0x1.5d3d0d31ca274p-12, -0x1.541f3275d816ap-12, -0x1.4b41b78781a07p-12, -0x1.42a2939333dc8p-12, -0x1.3a3fcda17cd97p-12, -0x1.32177c2e5b975p-12, -0x1.2a27c4c2a8632p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0bcc35d559e3p-1, 0x1.ef385645cf4bep-1, 0x1.eda3390652c47p-1, 0x1.ebfdb49861462p-1, 0x1.ea481391c14dp-1, 0x1.e882a2001917ap-1, 0x1.e6adad45e2dbep-1, 0x1.e4c983f8c3aecp-1, 0x1.e2d675c13f694p-1, 0x1.e0d4d33bcc9cfp-1, 0x1.dec4eddb3eec1p-1, 0x1.dca717cc8559bp-1, 0x1.da7ba3dbb436ap-1, 0x1.d842e55a501d4p-1, 0x1.d5fd3006d444p-1, 0x1.d3aad7f5664cap-1, 0x1.d14c3179b0f6ep-1, 0x1.cee19111d84cfp-1, 0x1.cc6b4b527eedfp-1, 0x1.c9e9b4d3ce9c9p-1, 0x1.c75d221f7de93p-1, 0x1.c4c5e79fc321fp-1, 0x1.c224598f2e617p-1, 0x1.bf78cbe95e322p-1, 0x1.bcc3925c86dcap-1, 0x1.ba05003bbef67p-1, 0x1.b73d68720d3c4p-1, 0x1.b46d1d76296cp-1, 0x1.b194713eec9acp-1, 0x1.aeb3b538640cp-1, 0x1.abcb3a39825e3p-1, 0x1.a8db507a655dcp-1, 0x1.a5e4478b2a905p-1, 0x1.a2e66e4b4bde3p-1, 0x1.9fe212e17c6fbp-1, 0x1.9cd782b40201fp-1, 0x1.99c70a6184516p-1, 0x1.96b0f5ba4b214p-1, 0x1.93958fb9e9fe4p-1, 0x1.907522815241cp-1, 0x1.8d4ff751460fdp-1, 0x1.8a2656852d304p-1, 0x1.86f8878e41349p-1, 0x1.83c6d0ef11cc8p-1, 0x1.809178375e6cdp-1, 0x1.7d58c2003e77ap-1, 0x1.7a1cf1e897ad7p-1, 0x1.76de4a91df62dp-1, 0x1.739d0d9d24471p-1, 0x1.70597ba85de0ep-1, 0x1.6d13d44bfd924p-1, 0x1.69cc5618c3904p-1, 0x1.66833e95d08b8p-1, 0x1.6338ca3ef4433p-1, 0x1.5fed3483381fep-1, 0x1.5ca0b7c3a1a97p-1, 0x1.59538d522c67cp-1, 0x1.5605ed70f8c1fp-1, 0x1.52b80f51ae52dp-1, 0x1.4f6a291510991p-1, 0x1.4c1c6fcac35f4p-1, 0x1.48cf17713c70bp-1, 0x1.458252f5e4cdcp-1, 0x1.4236543562571p-1, 0x1.3eeb4bfc0d027p-1, 0x1.3ba16a068b6d2p-1, 0x1.3858dd0296219p-1, 0x1.3511d28fe0e87p-1, 0x1.31cc774125bfp-1, 0x1.2e88f69d54f6cp-1, 0x1.2b477b20e376p-1, 0x1.28082e3f39f48p-1, 0x1.24cb3864413efp-1, 0x1.2190c0f60c9b1p-1, 0x1.1e58ee569daddp-1, 0x1.1b23e5e5c3de6p-1, 0x1.17f1cc031341p-1, 0x1.14c2c40ff379ap-1, 0x1.1196f071c5453p-1, 0x1.0e6e72941c3ddp-1, 0x1.0b496aeb0c319p-1, 0x1.0827f8f58a43ap-1, 0x1.050a3b3fde53p-1, 0x1.01f04f66246f4p-1, 0x1.fdb4a42dbfc91p-2, 0x1.f790be2b328cdp-2, 0x1.f175227b19108p-2, 0x1.eb620508c347ap-2, 0x1.e55797f9e0edbp-2, 0x1.df560bb42100fp-2, 0x1.d95d8ee2e0a27p-2, 0x1.d36e4e7ced4f8p-2, 0x1.cd8875ca552e4p-2, 0x1.c7ac2e6a479fep-2, 0x1.c1d9a058ff0fbp-2, 0x1.bc10f1f5b7f33p-2, 0x1.b6524808b026p-2, 0x1.b09dc5c93063p-2, 0x1.aaf38ce399423p-2, 0x1.a553bd7f77404p-2, 0x1.9fbe76459dcf5p-2, 0x1.9a33d46641866p-2, 0x1.94b3f39f15d6p-2, 0x1.8f3eee416dd0cp-2, 0x1.89d4dd385ac09p-2, 0x1.8475d80ec9db2p-2, 0x1.7f21f4f5a3485p-2, 0x1.79d948c9e21e9p-2, 0x1.749be71aac5f9p-2, 0x1.6f69e22f661edp-2, 0x1.6a434b0dbe7f4p-2, 0x1.6528317fb92c6p-2, 0x1.6018a419b05ap-2, 0x1.5b14b0404e678p-2, 0x1.561c622e84705p-2, 0x1.512fc4fb756c2p-2, 0x1.4c4ee2a05964bp-2, 0x1.4779c3fe57e04p-2, 0x1.42b070e459f03p-2, 0x1.3df2f014d1b1dp-2, 0x1.3941474b765fap-2, 0x1.349b7b42f8787p-2, 0x1.30018fbaa6f1cp-2, 0x1.2b73877c0e423p-2, 0x1.26f1646086453p-2, 0x1.227b2756b833cp-2, 0x1.1e10d06816facp-2, 0x1.19b25ebe4a601p-2, 0x1.155fd0a88e473p-2, 0x1.111923a106167p-2, 0x1.0cde5451fef4ep-2, 0x1.08af5e9b293c6p-2, 0x1.048c3d96c2f7cp-2, 0x1.0074eb9eb1aa7p-2, 0x1.f8d2c4a325b7cp-3, 0x1.f0d3352f76163p-3, 0x1.e8eb195050a3dp-3, 0x1.e11a601aca65ep-3, 0x1.d960f754be2dbp-3, 0x1.d1becb7e59085p-3, 0x1.ca33c7db8702bp-3, 0x1.c2bfd67d4c94cp-3, 0x1.bb62e04af4113p-3, 0x1.b41ccd0b2a5e6p-3, 0x1.aced836cf5dd5p-3, 0x1.a5d4e910912a5p-3, 0x1.9ed2e29029b8p-3, 0x1.97e753887b3b5p-3, 0x1.91121ea15519ap-3, 0x1.8a532595f9236p-3, 0x1.83aa493d5f09ep-3, 0x1.7d1769925baf6p-3, 0x1.769a65bba6292p-3, 0x1.70331c13c09bdp-3, 0x1.69e16a30c08cp-3, 0x1.63a52cebfbea7p-3, 0x1.5d7e406995946p-3, 0x1.576c801fe867p-3, 0x1.516fc6ded9b26p-3, 0x1.4b87eed70c01p-3, 0x1.45b4d1a0edcffp-3, 0x1.3ff64843ade2bp-3, 0x1.3a4c2b3c17d81p-3, 0x1.34b6528343e2p-3, 0x1.2f349595386b3p-3, 0x1.29c6cb775ee03p-3, 0x1.246ccabee9848p-3, 0x1.1f2669970aa95p-3, 0x1.19f37dc720747p-3, 0x1.14d3dcb8b3cbcp-3, 0x1.0fc75b7d6304fp-3, 0x1.0acdced4a9662p-3, 0x1.05e70b318fc81p-3, 0x1.0112e4c03a09p-3, 0x1.f8a25ed6bb419p-4, 0x1.ef437dc328494p-4, 0x1.e608cd35315d6p-4, 0x1.dcf1f3b8cb35dp-4, 0x1.d3fe978066f5cp-4, 0x1.cb2e5e6ec79c7p-4, 0x1.c280ee208bd13p-4, 0x1.b9f5ebf5947f5p-4, 0x1.b18cfd1a2514cp-4, 0x1.a945c68fd27d9p-4, 0x1.a11fed364462ap-4, 0x1.991b15d3b79a8p-4, 0x1.9136e51d4902bp-4, 0x1.8972ffbf1869fp-4, 0x1.81cf0a642cd98p-4, 0x1.7a4aa9be2a3fep-4, 0x1.72e5828cd1a11p-4, 0x1.6b9f39a5516c6p-4, 0x1.647773f961cp-4, 0x1.5d6dd69e301e7p-4, 0x1.568206d31ac34p-4, 0x1.4fb3aa083a5b7p-4, 0x1.490265e4bd4c6p-4, 0x1.426de04d12c72p-4, 0x1.3bf5bf68e769ap-4, 0x1.3599a9a8f4aa7p-4, 0x1.2f5945cca0975p-4, 0x1.29343ae7732dcp-4, 0x1.232a30665d6fcp-4, 0x1.1d3ace14d55e9p-4, 0x1.1765bc21c7353p-4, 0x1.11aaa3245b02ap-4, 0x1.0c092c2090924p-4, 0x1.0681008bb30adp-4, 0x1.0111ca50a2285p-4, 0x1.f77667a7e766p-5, 0x1.ecf9cfefdce02p-5, 0x1.e2ad2440b991cp-5, 0x1.d88fbc6c733eep-5, 0x1.cea0f1566efa5p-5, 0x1.c4e01cfa45467p-5, 0x1.bb4c9a723bf8p-5, 0x1.b1e5c5fd7ac97p-5, 0x1.a8aafd05f7cdp-5, 0x1.9f9b9e261d26ep-5, 0x1.96b7092e2f179p-5, 0x1.8dfc9f29698cp-5, 0x1.856bc262e2378p-5, 0x1.7d03d66a244efp-5, 0x1.74c4401792367p-5, 0x1.6cac659086174p-5, 0x1.64bbae4b37005p-5, 0x1.5cf1831262e99p-5, 0x1.554d4e08be507p-5, 0x1.4dce7aac2a1fdp-5, 0x1.467475d8b1a69p-5, 0x1.3f3eadcb53c7ep-5, 0x1.382c922495fbep-5, 0x1.313d93eae0c75p-5, 0x1.2a71258cacb38p-5, 0x1.23c6bae27ad99p-5, 0x1.1d3dc9309dee2p-5, 0x1.16d5c728d3ccfp-5, 0x1.108e2cebafdefp-5, 0x1.0a667409d7694p-5, 0x1.045e178515656p-5, 0x1.fce927a27c4bep-6, 0x1.f152cda9d942bp-6, 0x1.e5f81fd42bbbdp-6, 0x1.dad81fbce937fp-6, 0x1.cff1d1e79b2f9p-6, 0x1.c5443dc01db41p-6, 0x1.bace6d9a96498p-6, 0x1.b08f6eb32029bp-6, 0x1.a686512d34452p-6, 0x1.9cb22812d13a9p-6, 0x1.931209535f0d2p-6, 0x1.89a50dc254392p-6, 0x1.806a51159e44dp-6, 0x1.7760f1e3ce80bp-6, 0x1.6e8811a20dc83p-6, 0x1.65ded4a1d7f7p-6, 0x1.5d64620e84b41p-6, 0x1.5517e3ea951fep-6, 0x1.4cf8870cd9676p-6, 0x1.45057b1d5d56dp-6, 0x1.3d3df29229ffcp-6, 0x1.35a122abdbbe3p-6, 0x1.2e2e437209cc7p-6, 0x1.26e48faf85ba4p-6, 0x1.1fc344ee7430cp-6, 0x1.18c9a3743d998p-6, 0x1.11f6ee3d5811fp-6, 0x1.0b4a6af8f485p-6, 0x1.04c36204818bfp-6, 0x1.fcc23cce288bap-7, 0x1.f045db996038cp-7, 0x1.e4104102df24ep-7, 0x1.d82012d92611ep-7, 0x1.cc73fc16ec5e1p-7, 0x1.c10aacd8ce5f5p-7, 0x1.b5e2da52d1863p-7, 0x1.aafb3ec5bcdfbp-7, 0x1.a0529974448dep-7, 0x1.95e7ae980b084p-7, 0x1.8bb94756798b2p-7, 0x1.81c631b57c61bp-7, 0x1.780d40901a98ap-7, 0x1.6e8d4b8ae7b09p-7, 0x1.65452f085ecc3p-7, 0x1.5c33cc1d25f1ap-7, 0x1.535808842b4b9p-7, 0x1.4ab0ce92bcc9ep-7, 0x1.423d0d2c7955ap-7, 0x1.39fbb7b73cf4ap-7, 0x1.31ebc60ef2e38p-7, 0x1.2a0c34795c6d5p-7, 0x1.225c0399c8d84p-7, 0x1.1ada3864c1a4p-7, 0x1.1385dc13aceep-7, 0x1.0c5dfc18668bbp-7, 0x1.0561aa10d2f3ap-7, 0x1.fd1ff774d8331p-8, 0x1.efd015cb96aadp-8, 0x1.e2d1ead45eb3ep-8, 0x1.d623ba3205be7p-8, 0x1.c9c3cf62c45a1p-8, 0x1.bdb07da7465b7p-8, 0x1.b1e81fe9c0a39p-8, 0x1.a66918a50e37bp-8, 0x1.9b31d1cbda4cdp-8, 0x1.9040bcafd4bcdp-8, 0x1.859451e8f9573p-8, 0x1.7b2b113ce46d3p-8, 0x1.710381863f024p-8, 0x1.671c309c3eb0bp-8, 0x1.5d73b33a3ceafp-8, 0x1.5408a4e769d2ep-8, 0x1.4ad9a7de978dbp-8, 0x1.41e564f6248e6p-8, 0x1.392a8b88048e5p-8, 0x1.30a7d159e90cap-8, 0x1.285bf2858b93fp-8, 0x1.2045b1611db83p-8, 0x1.1863d667d92b5p-8, 0x1.10b53022bb29fp-8, 0x1.0938931163a81p-8, 0x1.01ecd9931eb68p-8, 0x1.f5a1c7a02d6fcp-9, 0x1.e7c72f45661f5p-9, 0x1.da47c10241822p-9, 0x1.cd215ece14202p-9, 0x1.c051f57ef415ep-9, 0x1.b3d77c9de21c9p-9, 0x1.a7aff63b4dc42p-9, 0x1.9bd96ec3fcc1bp-9, 0x1.9051fcd655529p-9, 0x1.8517c1180b233p-9, 0x1.7a28e60c321adp-9, 0x1.6f839fe9b5ec1p-9, 0x1.65262c723c9b5p-9, 0x1.5b0ed2c96ee9cp-9, 0x1.513be34ca8e5dp-9, 0x1.47abb76b1b12fp-9, 0x1.3e5cb17e4fc58p-9, 0x1.354d3ca32115ap-9, 0x1.2c7bcc9318183p-9, 0x1.23e6dd7e3e5e9p-9, 0x1.1b8cf3e5594c5p-9, 0x1.136c9c7492133p-9, 0x1.0b846bde9356dp-9, 0x1.03d2feb80ef63p-9, 0x1.f8adf2a769f82p-10, 0x1.ea1e0f3d388cep-10, 0x1.dbf3b9fa342a5p-10, 0x1.ce2c68500b5ccp-10, 0x1.c0c59e14e1155p-10, 0x1.b3bced3f98904p-10, 0x1.a70ff5a4ff074p-10, 0x1.9abc64b5d8d37p-10, 0x1.8ebff53dc6babp-10, 0x1.83186f23120d1p-10, 0x1.77c3a72750edbp-10, 0x1.6cbf7ea8e749p-10, 0x1.6209e36568f9bp-10, 0x1.57a0cf3cd539p-10, 0x1.4d8247f5ab5c8p-10, 0x1.43ac5f01dfa12p-10, 0x1.3a1d3144a040ep-10, 0x1.30d2e6d8fdf79p-10, 0x1.27cbb2d95f301p-10, 0x1.1f05d327d3409p-10, 0x1.167f90373710bp-10, 0x1.0e373cd52b2afp-10, 0x1.062b35f4dc596p-10, 0x1.fcb3c4f5428ddp-11, 0x1.ed836610c79c1p-11, 0x1.dec24395ac5bbp-11, 0x1.d06d648ef319fp-11, 0x1.c281e256d78b2p-11, 0x1.b4fce835ffeebp-11, 0x1.a7dbb3043af7dp-11, 0x1.9b1b90cacbd46p-11, 0x1.8eb9e0683c36fp-11, 0x1.82b41135b54ap-11, 0x1.7707a2add81f1p-11, 0x1.6bb2241514b1bp-11, 0x1.60b134237bac1p-11, 0x1.560280b0042ap-11, 0x1.4ba3c65d4783p-11, 0x1.4192d047a8bdcp-11, 0x1.37cd77b4e8cf2p-11, 0x1.2e51a3c521c87p-11, 0x1.251d4925243b7p-11, 0x1.1c2e69c2365fdp-11, 0x1.1383147f2bbf7p-11, 0x1.0b1964ead64fep-11, 0x1.02ef82f7ca70fp-11, 0x1.f607456ae5c63p-12, 0x1.e6a80814dd43dp-12, 0x1.d7bde4e071b63p-12, 0x1.c945896024021p-12, 0x1.bb3bb942513dbp-12, 0x1.ad9d4dcffe00bp-12, 0x1.a067356e0d664p-12, 0x1.93967320de594p-12, 0x1.87281e1248dd9p-12, 0x1.7b196119f16ccp-12, 0x1.6f677a47e9651p-12, 0x1.640fba7194e2cp-12, 0x1.590f84c0d1823p-12, 0x1.4e644e4551e32p-12, 0x1.440b9d882402ep-12, 0x1.3a030a2162e2bp-12, 0x1.30483c500175p-12, 0x1.26d8ec93afb9p-12, 0x1.1db2e348ca413p-12, 0x1.14d3f84652579p-12, 0x1.0c3a127de4d72p-12, 0x1.03e3279da6459p-12, 0x1.f79a77683ca48p-13, 0x1.e7ecc1abf9bfep-13, 0x1.d8b96d8b75457p-13, 0x1.c9fcd53a2c72bp-13, 0x1.bbb36cf0bdc9bp-13, 0x1.add9c2471456p-13, 0x1.a06c7b9213286p-13, 0x1.93685744b808dp-13, 0x1.86ca2b54a4407p-13, 0x1.7a8ee4a1fdf93p-13, 0x1.6eb3866293aedp-13, 0x1.6335299047febp-13, 0x1.5810fc5a9e356p-13, 0x1.4d44419b6ecep-13, 0x1.42cc504ea376dp-13, 0x1.38a6930d039dp-13, 0x1.2ed08789ebaa5p-13, 0x1.2547be13f28fep-13, 0x1.1c09d91869ccbp-13, 0x1.13148ca9ad20ep-13, 0x1.0a659e082e1d4p-13, 0x1.01fae32e3b8e7p-13, 0x1.f3a484bcdc7fcp-14, 0x1.e3d36369578bep-14, 0x1.d47e6d7387a11p-14, 0x1.c5a1cbf300c8ep-14, 0x1.b739c5367d327p-14, 0x1.a942bbf9c3d84p-14, 0x1.9bb92ea0637a1p-14, 0x1.8e99b6750987ep-14, 0x1.81e106ed6aba2p-14, 0x1.758becf2a6475p-14, 0x1.69974e2e0a7f6p-14, 0x1.5e00285a25e6ap-14, 0x1.52c3909810a3ep-14, 0x1.47deb2c8d5935p-14, 0x1.3d4ed0eae9564p-14, 0x1.3311427b97f5ap-14, 0x1.292373dc55cffp-14, 0x1.1f82e5bbdeed2p-14, 0x1.162d2c8311a05p-14, 0x1.0d1fefc570a67p-14, 0x1.0458e9b537dc1p-14, 0x1.f7abcd35e593ap-15, 0x1.e72988a102c85p-15, 0x1.d726e37eed481p-15, 0x1.c79fdcc587a2ap-15, 0x1.b89093972dd4ep-15, 0x1.a9f54652c7088p-15, 0x1.9bca51a9f8bcap-15, 0x1.8e0c2fbd672c6p-15, 0x1.80b7773ed6a12p-15, 0x1.73c8da991531ap-15, 0x1.673d271d854b1p-15, 0x1.5b11443730292p-15, 0x1.4f4232a33ac49p-15, 0x1.43cd0baea2eap-15, 0x1.38af007922408p-15, 0x1.2de5593d1ebf2p-15, 0x1.236d749c859e2p-15, 0x1.1944c6f278fe2p-15, 0x1.0f68d9a9af1e1p-15, 0x1.05d74a976ef3bp-15, 0x1.f91b96b60a152p-16, 0x1.e71441833e02fp-16, 0x1.d594445cdec6dp-16, 0x1.c497720dfdac6p-16, 0x1.b419c0472ab9ap-16, 0x1.a41746873c456p-16, 0x1.948c3d0be9c1p-16, 0x1.8574fbc9f488fp-16, 0x1.76cdf96cc7accp-16, 0x1.6893ca5d4e8d4p-16, 0x1.5ac31fcfde498p-16, 0x1.4d58c6d906bdfp-16, 0x1.4051a78918a6p-16, 0x1.33aac40e412aep-16, 0x1.276137dd041bdp-16, 0x1.1b7236defd093p-16, 0x1.0fdb0ca7ae54ep-16, 0x1.04991baf421dep-16, 0x1.f353b9262c3bbp-17, 0x1.de15bab7ca26dp-17, 0x1.c9738192ebe29p-17, 0x1.b5687b473e353p-17, 0x1.a1f03c210eaa5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ca523a59fd46p-3, -0x1.e0daa007566afp-3, -0x1.f72a6393722bbp-3, -0x1.069c91c02262ep-2, -0x1.117f41880c848p-2, -0x1.1c391c60532b5p-2, -0x1.26c60da8630f7p-2, -0x1.312216acf882cp-2, -0x1.3b4953c5a342ap-2, -0x1.453800cb754b9p-2, -0x1.4eea7cf262159p-2, -0x1.585d4e0f60cbcp-2, -0x1.618d2355be3b9p-2, -0x1.6a76d795fee7p-2, -0x1.73177308a07e6p-2, -0x1.7b6c2caeab06dp-2, -0x1.83726b51b0957p-2, -0x1.8b27c62c63c78p-2, -0x1.928a05447661bp-2, -0x1.9997217df1834p-2, -0x1.a04d446fc13adp-2, -0x1.a6aac800a16e2p-2, -0x1.acae35d32f97fp-2, -0x1.b256468755ee6p-2, -0x1.b7a1e0d6da169p-2, -0x1.bc90189268f33p-2, -0x1.c1202d83f8ad7p-2, -0x1.c5518a3afff21p-2, -0x1.c923c2c68c5cbp-2, -0x1.cc969360e6211p-2, -0x1.cfa9df1010738p-2, -0x1.d25dae3e11eb2p-2, -0x1.d4b22d4babebfp-2, -0x1.d6a7ab1fc7673p-2, -0x1.d83e97b5a0fcdp-2, -0x1.d97782ab71244p-2, -0x1.da5319d30d396p-2, -0x1.dad227c5cad9ep-2, -0x1.daf5927cb8e22p-2, -0x1.dabe59ee04ab6p-2, -0x1.da2d96b053a6p-2, -0x1.d94478a4922e8p-2, -0x1.d80445a6b9594p-2, -0x1.d66e5845d2f6bp-2, -0x1.d4841e83845f7p-2, -0x1.d247189b4105ep-2, -0x1.cfb8d7d14163p-2, -0x1.ccdafd4946997p-2, -0x1.c9af38e527bbep-2, -0x1.c637482b20594p-2, -0x1.c274f533d471dp-2, -0x1.be6a159fea279p-2, -0x1.ba18899529577p-2, -0x1.b5823ac30482cp-2, -0x1.b0a91b6e7036bp-2, -0x1.ab8f2584e864dp-2, -0x1.a63659b692159p-2, -0x1.a0a0be975879p-2, -0x1.9ad05fc6eee69p-2, -0x1.94c74d1fa4023p-2, -0x1.8e8799ebec13bp-2, -0x1.88135c2290f8dp-2, -0x1.816caba977dcep-2, -0x1.7a95a19ee6b7ep-2, -0x1.739057a9413abp-2, -0x1.6c5ee74d2649ap-2, -0x1.65036949e68ap-2, -0x1.5d7ff4fc434e8p-2, -0x1.55d69fc76c335p-2, -0x1.4e097c8427a07p-2, -0x1.461a9af6200a9p-2, -0x1.3e0c074743779p-2, -0x1.35dfc9892b9c9p-2, -0x1.2d97e53c75815p-2, -0x1.253658de0758cp-2, -0x1.1cbd1d7a24e3ap-2, -0x1.142e264547ceep-2, -0x1.0b8b603aa9253p-2, -0x1.02d6b1c062c1p-2, -0x1.f423f4a222e14p-3, -0x1.e27e2455d6159p-3, -0x1.d0bf94083e38dp-3, -0x1.beebd588ebbe7p-3, -0x1.ad066a8817365p-3, -0x1.9b12c41e1a5dbp-3, -0x1.8914425cb2506p-3, -0x1.770e33e9c47cp-3, -0x1.6503d5a378985p-3, -0x1.52f8524d54f54p-3, -0x1.40eec24623114p-3, -0x1.2eea2b4657db2p-3, -0x1.1ced8026bcc6fp-3, -0x1.0afba0af0e0eep-3, -0x1.f22eb2d8a2e09p-4, -0x1.ce86c71d20226p-4, -0x1.ab04c99b78498p-4, -0x1.87addeaaeb619p-4, -0x1.6487036ebdb4fp-4, -0x1.41950dc790169p-4, -0x1.1edcac50c523bp-4, -0x1.f8c4ccd2e83d5p-5, -0x1.b4553890b72fdp-5, -0x1.70730e349c62dp-5, -0x1.2d26725529b06p-5, -0x1.d4ee78530b71cp-6, -0x1.50d9ebfdf4f95p-6, -0x1.9c3b76fdad25ap-7, -0x1.331f2c3e1daffp-8, 0x1.98d4bb293baa2p-9, 0x1.62f965b882931p-7, 0x1.2e5261b906e2dp-6, 0x1.a990102a7f956p-6, 0x1.11955d3cf494ap-5, 0x1.4d8bf5a1d1501p-5, 0x1.88a6dcce0a7ddp-5, 0x1.c2e1639110355p-5, 0x1.fc371f003abadp-5, 0x1.1a51f3b7d09c1p-4, 0x1.3611ebb1dfa19p-4, 0x1.5159a53e46edep-4, 0x1.6c276e2d57a11p-4, 0x1.8679b3bf9e6dbp-4, 0x1.a04f0213632a7p-4, 0x1.b9a6039009525p-4, 0x1.d27d804f8acc2p-4, 0x1.ead45d86521c7p-4, 0x1.0154ce74d5b6cp-3, 0x1.0cfe2e0a825b6p-3, 0x1.1865e9f71a0bp-3, 0x1.238bac0479ec6p-3, 0x1.2e6f2b04e018bp-3, 0x1.39102a842f5c6p-3, 0x1.436e7a79053a4p-3, 0x1.4d89f6f5cd4bap-3, 0x1.576287d9dc8a7p-3, 0x1.60f82082a1b85p-3, 0x1.6a4abf7d06262p-3, 0x1.735a6e3705e5fp-3, 0x1.7c2740b199cacp-3, 0x1.84b15532f0929p-3, 0x1.8cf8d3f91b4adp-3, 0x1.94fdeeed2504dp-3, 0x1.9cc0e156ad9a2p-3, 0x1.a441ef9012fp-3, 0x1.ab8166bb2b5d6p-3, 0x1.b27f9c76a3acdp-3, 0x1.b93cee9409851p-3, 0x1.bfb9c2ce81585p-3, 0x1.c5f686823dd69p-3, 0x1.cbf3ae64b9c54p-3, 0x1.d1b1b63db5fd8p-3, 0x1.d73120a10eebfp-3, 0x1.dc7276a968bp-3, 0x1.e17647b3b1dbap-3, 0x1.e63d291b902c3p-3, 0x1.eac7b5f8b3b98p-3, 0x1.ef168edd1098cp-3, 0x1.f32a599414124p-3, 0x1.f703c0e2c2eecp-3, 0x1.faa37448da606p-3, 0x1.fe0a27c2e6548p-3, 0x1.009c49c6ada0dp-2, 0x1.0217b9f458672p-2, 0x1.0377c46f3ff9ap-2, 0x1.04bccb03d4f0ep-2, 0x1.05e73129c527ep-2, 0x1.06f75be8162fcp-2, 0x1.07edb1b9ccf1p-2, 0x1.08ca9a7315b8bp-2, 0x1.098e7f26f8923p-2, 0x1.0a39ca0d93c4bp-2, 0x1.0acce66ae06ap-2, 0x1.0b484075fe0a8p-2, 0x1.0bac454108526p-2, 0x1.0bf962a179837p-2, 0x1.0c3007190ea56p-2, 0x1.0c50a1bf3db98p-2, 0x1.0c5ba22b2f6f3p-2, 0x1.0c51785e44b3bp-2, 0x1.0c3294af22d6bp-2, 0x1.0bff67b54b8a8p-2, 0x1.0bb862353a26ap-2, 0x1.0b5df50d0a22fp-2, 0x1.0af09121a1f44p-2, 0x1.0a70a74c6aa54p-2, 0x1.09dea84984c89p-2, 0x1.093b04a689b5cp-2, 0x1.08862cb1ccc36p-2, 0x1.07c0906a22a3ap-2, 0x1.06ea9f6f26fb8p-2, 0x1.0604c8f209df7p-2, 0x1.050f7ba6d7945p-2, 0x1.040b25b643d1p-2, 0x1.02f834aff024bp-2, 0x1.01d7157d31e8ap-2, 0x1.00a8345453c7cp-2, 0x1.fed7f9589ceb3p-3, 0x1.fc45b261fe5ddp-3, 0x1.f99a676fa66c8p-3, 0x1.f6d6ea69d33fcp-3, 0x1.f3fc0b6156d85p-3, 0x1.f10a987bab158p-3, 0x1.ee035ddfeb4fdp-3, 0x1.eae725a4b0029p-3, 0x1.e7b6b7bec1f6bp-3, 0x1.e472d9f0ae9b7p-3, 0x1.e11c4fbb2db86p-3, 0x1.ddb3da4e5cddcp-3, 0x1.da3a387bcc2d7p-3, 0x1.d6b026a95493p-3, 0x1.d3165ec4b5a68p-3, 0x1.cf6d9837ffa1ep-3, 0x1.cbb687deb6ef1p-3, 0x1.c7f1dffbbcbe5p-3, 0x1.c420502fea2bep-3, 0x1.c04285716a469p-3, 0x1.bc592a03c07c7p-3, 0x1.b864e5707fd58p-3, 0x1.b4665c80b1391p-3, 0x1.b05e3136db8bep-3, 0x1.ac4d02c9b20dbp-3, 0x1.a8336d9f62cd4p-3, 0x1.a4120b4980cd8p-3, 0x1.9fe9728184944p-3, 0x1.9bba3725e403ep-3, 0x1.9784ea37b7d3p-3, 0x1.934a19d8ef839p-3, 0x1.8f0a514b0db05p-3, 0x1.8ac618ee66899p-3, 0x1.867df641e6a81p-3, 0x1.82326be34b58ep-3, 0x1.7de3f98fe25e7p-3, 0x1.79931c25b33f7p-3, 0x1.75404da5257d3p-3, 0x1.70ec0533094e3p-3, 0x1.6c96b71b1555bp-3, 0x1.6840d4d2c7c04p-3, 0x1.63eaccfca7419p-3, 0x1.5f950b6bea1a9p-3, 0x1.5b3ff92875f6dp-3, 0x1.56ebfc7335fdep-3, 0x1.529978cacf029p-3, 0x1.4e48cef0984e7p-3, 0x1.49fa5cedf0c91p-3, 0x1.45ae7e19d536dp-3, 0x1.41658b1ec2fep-3, 0x1.3d1fda00df884p-3, 0x1.38ddbe245c557p-3, 0x1.349f8854224dcp-3, 0x1.306586c8abb2dp-3, 0x1.2c30052f25502p-3, 0x1.27ff4cb0b65f3p-3, 0x1.23d3a3fa01991p-3, 0x1.1fad4f42d94b4p-3, 0x1.1b8c905613f99p-3, 0x1.1771a6999869p-3, 0x1.135ccf1685d19p-3, 0x1.0f4e44818728fp-3, 0x1.0b463f4341b27p-3, 0x1.0744f580e9613p-3, 0x1.034a9b24ecfacp-3, 0x1.feaec3cf7cbd8p-4, 0x1.f6d6f2b161994p-4, 0x1.ef0e1dcddf947p-4, 0x1.e7549bd5083a3p-4, 0x1.dfaabf5adbc1p-4, 0x1.d810d6e99b1dfp-4, 0x1.d0872d14282bap-4, 0x1.c90e08888ac1fp-4, 0x1.c1a5ac227cd7ep-4, 0x1.ba4e56fe04b7cp-4, 0x1.b308448a17ffap-4, 0x1.abd3ac9b51fb3p-4, 0x1.a4b0c37e915d3p-4, 0x1.9d9fba0bb21e3p-4, 0x1.96a0bdb836ff2p-4, 0x1.8fb3f8a9df2adp-4, 0x1.88d991c948af2p-4, 0x1.8211acd47676p-4, 0x1.7b5c6a714994ap-4, 0x1.74b9e83fe901fp-4, 0x1.6e2a40ed12156p-4, 0x1.67ad8c4452267p-4, 0x1.6143df42248dbp-4, 0x1.5aed4c25f4d9ep-4, 0x1.54a9e28400a7p-4, 0x1.4e79af57199d3p-4, 0x1.485cbd1243329p-4, 0x1.425313b22af47p-4, 0x1.3c5cb8ce7afd7p-4, 0x1.3679afab028d8p-4, 0x1.30a9f948b43bfp-4, 0x1.2aed9476782e9p-4, 0x1.25447de1d0935p-4, 0x1.1faeb0274fa8bp-4, 0x1.1a2c23e2dcddfp-4, 0x1.14bccfbfc7fd1p-4, 0x1.0f60a888aa8bap-4, 0x1.0a17a13714befp-4, 0x1.04e1ab0305223p-4, 0x1.ff7d6ae455ddbp-5, 0x1.f55d5ccde4c57p-5, 0x1.eb63045eae6b3p-5, 0x1.e18e372704354p-5, 0x1.d7dec7c853213p-5, 0x1.ce5486117a6ep-5, 0x1.c4ef3f1aa66d7p-5, 0x1.bbaebd60bb721p-5, 0x1.b292c8e04976fp-5, 0x1.a99b273006befp-5, 0x1.a0c79b9ad765ep-5, 0x1.9817e73958beap-5, 0x1.8f8bc90af6d34p-5, 0x1.8722fe0e8a445p-5, 0x1.7edd415a7a4f1p-5, 0x1.76ba4c34694f4p-5, 0x1.6eb9d62865c27p-5, 0x1.66db951fa2f5bp-5, 0x1.5f1f3d76bbd5ep-5, 0x1.5784821379322p-5, 0x1.500b147a227aap-5, 0x1.48b2a4e25576p-5, 0x1.417ae24b69279p-5, 0x1.3a637a9055e9bp-5, 0x1.336c1a7b2ad55p-5, 0x1.2c946dd80da54p-5, 0x1.25dc1f87c2447p-5, 0x1.1f42d991c43c6p-5, 0x1.18c84535e6661p-5, 0x1.126c0afd86973p-5, 0x1.0c2dd2cc4c7f3p-5, 0x1.060d43f078477p-5, 0x1.000a0532c36d1p-5, 0x1.f44779cba6f45p-6, 0x1.e8b421ea7a6bfp-6, 0x1.dd594de840c8ap-6, 0x1.d2364856a7f7cp-6, 0x1.c74a5b4e5ac3dp-6, 0x1.bc94d089b743dp-6, 0x1.b214f17ebe25cp-6, 0x1.a7ca077830fa2p-6, 0x1.9db35badee485p-6, 0x1.93d0375c81908p-6, 0x1.8a1fe3dbf6b78p-6, 0x1.80a1aab5e869fp-6, 0x1.7754d5bad29d7p-6, 0x1.6e38af16ad677p-6, 0x1.654c8164cd5bp-6, 0x1.5c8f97c31128bp-6, 0x1.54013de45b1aep-6, 0x1.4ba0c0226262cp-6, 0x1.436d6b8ecf8cbp-6, 0x1.3b668e03baa02p-6, 0x1.338b76337b702p-6, 0x1.2bdb73b7db96fp-6, 0x1.2455d720aad2p-6, 0x1.1cf9f201b2eccp-6, 0x1.15c7170012f83p-6, 0x1.0ebc99df08d8bp-6, 0x1.07d9cf8c2220bp-6, 0x1.011e0e2ae02e4p-6, 0x1.f5115a3f9c481p-7, 0x1.e8320a3619eb1p-7, 0x1.db9ce044ab0eep-7, 0x1.cf509334fded2p-7, 0x1.c34bdca0f1abep-7, 0x1.b78d7903a2a32p-7, 0x1.ac1427c96f739p-7, 0x1.a0deab5f18b6dp-7, 0x1.95ebc93ff2d72p-7, 0x1.8b3a4a0332801p-7, 0x1.80c8f9685948ep-7, 0x1.7696a662c9a38p-7, 0x1.6ca2232484decp-7, 0x1.62ea45281d17cp-7, 0x1.596de539df51ap-7, 0x1.502bdf80344c7p-7, 0x1.472313834c3b1p-7, 0x1.3e526434054cbp-7, 0x1.35b8b7f22b03fp-7, 0x1.2d54f891fe98cp-7, 0x1.252613611a8c7p-7, 0x1.1d2af92aaf2fbp-7, 0x1.15629e3b22182p-7, 0x1.0dcbfa6310aa5p-7, 0x1.066608f9bfb5p-7, 0x1.fe5f91bdeed59p-8, 0x1.f05078f8ac8e8p-8, 0x1.e29cd38c32602p-8, 0x1.d542b476c59f1p-8, 0x1.c84035cc07b23p-8, 0x1.bb9378b39051fp-8, 0x1.af3aa5669f8efp-8, 0x1.a333eb2ce87a8p-8, 0x1.977d8058847a4p-8, 0x1.8c15a24111887p-8, 0x1.80fa953e065adp-8, 0x1.762aa4a04409fp-8, 0x1.6ba422aaebb1ap-8, 0x1.6165688b80c51p-8, 0x1.576cd6515f679p-8, 0x1.4db8d2e48d437p-8, 0x1.4447cbfbec78bp-8, 0x1.3b183612d7f4ap-8, 0x1.32288c5e2ed45p-8, 0x1.297750c0d6fa4p-8, 0x1.21030bbfbc7a3p-8, 0x1.18ca4c7553c27p-8, 0x1.10cba884a5d59p-8, 0x1.0905bc0beb5cbp-8, 0x1.01772996be2c8p-8, 0x1.f43d341fc9c9cp-9, 0x1.e5f57965811b9p-9, 0x1.d8148df8be029p-9, 0x1.ca97e93876d9bp-9, 0x1.bd7d0ec95943ap-9, 0x1.b0c18e7616ae2p-9, 0x1.a463040f26593p-9, 0x1.985f174a07042p-9, 0x1.8cb37ba00670fp-9, 0x1.815df02c9c426p-9, 0x1.765c3f8b62e57p-9, 0x1.6bac3fb5ae86bp-9, 0x1.614bd1dfd1d73p-9, 0x1.5738e25616417p-9, 0x1.4d71685971b0fp-9, 0x1.43f365fbf95bep-9, 0x1.3abce7fd2783bp-9, 0x1.31cc05a5ea9a5p-9, 0x1.291ee0a49180ap-9, 0x1.20b3a4e897ae1p-9, 0x1.1888887e51d18p-9, 0x1.109bcb6a8bd01p-9, 0x1.08ebb786166f5p-9, 0x1.0176a0594b6ecp-9, 0x1.f475c5ef21007p-10, 0x1.e66dcbb5b7e1cp-10, 0x1.d8d2317e89297p-10, 0x1.cb9fe8fd32068p-10, 0x1.bed3f5d81871ap-10, 0x1.b26b6d5ff298ep-10, 0x1.a663764780f6p-10, 0x1.9ab9485b8410dp-10, 0x1.8f6a2c3b0111ep-10, 0x1.84737b0fcf83cp-10, 0x1.79d29e477a66p-10, 0x1.6f850f4c8574p-10, 0x1.65885740133fep-10, 0x1.5bda0eb3f5232p-10, 0x1.5277dd652ce66p-10, 0x1.495f79f6e9226p-10, 0x1.408ea9adf7d92p-10, 0x1.3803402cc14aep-10, 0x1.2fbb1f2fc6861p-10, 0x1.27b4364ab134ep-10, 0x1.1fec82a5ea86ep-10, 0x1.18620ebcd31afp-10, 0x1.1112f21c8d47bp-10, 0x1.09fd512367443p-10, 0x1.031f5cc0e020ep-10, 0x1.f8eea46cbb41cp-11, 0x1.ec06f5b0f9c6dp-11, 0x1.df8457a22815ap-11, 0x1.d3638bc3bfa0fp-11, 0x1.c7a16a4fc13f6p-11, 0x1.bc3ae1bed2b73p-11, 0x1.b12cf651c699ep-11, 0x1.a674c19c8e379p-11, 0x1.9c0f72129dfd1p-11, 0x1.91fa4a94c2e52p-11, 0x1.8832a2006ed55p-11, 0x1.7eb5e2c07defp-11, 0x1.75818a5f7580bp-11, 0x1.6c93291b40df3p-11, 0x1.63e8617a6c261p-11, 0x1.5b7ee7e2de3a8p-11, 0x1.535482321415dp-11, 0x1.4b670756dce5bp-11, 0x1.43b45eec99b4fp-11, 0x1.3c3a80d7fd3cbp-11, 0x1.34f774e54f77ep-11, 0x1.2de95268332c7p-11, 0x1.270e3fdced301p-11, 0x1.2064728b2b9b4p-11, 0x1.19ea2e2a4fd8dp-11, 0x1.139dc487345c6p-11, 0x1.0d7d952b73daep-11, 0x1.07880d062ad0cp-11, 0x1.01bba61634758p-11, 0x1.f82dce2bc3f99p-12, 0x1.ed30c6504deep-12, 0x1.e27d730e7bf12p-12, 0x1.d8112a697bbf8p-12, 0x1.cde9595640ccp-12, 0x1.c4038321705f9p-12, 0x1.ba5d40d821p-12, 0x1.b0f440b370b82p-12, 0x1.a7c64586e1981p-12, 0x1.9ed1263182477p-12, 0x1.9612cd11d35aep-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8b5bddab47a9bp-3, -0x1.9f43bb86d5e44p-3, -0x1.b3204ebfddf1p-3, -0x1.c6ee7bce650cfp-3, -0x1.daab10ff23627p-3, -0x1.ee52cbb972b28p-3, -0x1.00f12ebc18515p-2, -0x1.0aab3838ee78dp-2, -0x1.1455d5f70623p-2, -0x1.1def5c23d8763p-2, -0x1.2776214e72151p-2, -0x1.30e88016e5e6ep-2, -0x1.3a44d8b6797f6p-2, -0x1.43899261f6dfp-2, -0x1.4cb51c87bde1ep-2, -0x1.55c5efeb582a1p-2, -0x1.5eba8fa067debp-2, -0x1.679189e6c534p-2, -0x1.704978e9bde9ap-2, -0x1.78e1036448802p-2, -0x1.8156dd2c0cbbep-2, -0x1.89a9c7a509181p-2, -0x1.91d8921f94e35p-2, -0x1.99e21a226f58bp-2, -0x1.a1c54ba2752b6p-2, -0x1.a981212988c88p-2, -0x1.b114a3ee22b2ep-2, -0x1.b87eebdcece6fp-2, -0x1.bfbf1f95b9b79p-2, -0x1.c6d4745d110cap-2, -0x1.cdbe2e03787a3p-2, -0x1.d47b9ec3924dcp-2, -0x1.db0c27180e424p-2, -0x1.e16f358a5bfc6p-2, -0x1.e7a4467b04e39p-2, -0x1.edaae3e46b56cp-2, -0x1.f382a518bd101p-2, -0x1.f92b2e7bb3884p-2, -0x1.fea43138cf312p-2, -0x1.01f6b57b4a0dcp-1, -0x1.048352c3a5542p-1, -0x1.06f7db4be0251p-1, -0x1.09543fae36501p-1, -0x1.0b98761eae0cbp-1, -0x1.0dc47a409b63dp-1, -0x1.0fd84cfbd7f34p-1, -0x1.11d3f451d040dp-1, -0x1.13b77b32852d1p-1, -0x1.1582f1519bb17p-1, -0x1.17366afb94a3dp-1, -0x1.18d200eb3cfe8p-1, -0x1.1a55d01f6d89cp-1, -0x1.1bc1f9b124e79p-1, -0x1.1d16a2aa0dcfep-1, -0x1.1e53f3db7bd4p-1, -0x1.1f7a19b5e81dfp-1, -0x1.20894420f8488p-1, -0x1.2181a65417ac6p-1, -0x1.226376afa7875p-1, -0x1.232eee96ce58fp-1, -0x1.23e44a49e9c18p-1, -0x1.2483c8c1a69fap-1, -0x1.250dab8ac6064p-1, -0x1.258236a28df07p-1, -0x1.25e1b053eafb1p-1, -0x1.262c611545c75p-1, -0x1.266293670b95dp-1, -0x1.268493b2edd6dp-1, -0x1.2692b02bd8075p-1, -0x1.268d38aea0407p-1, -0x1.26747ea36ddb2p-1, -0x1.2648d4dfdc889p-1, -0x1.260a8f89d8934p-1, -0x1.25ba03fb360a4p-1, -0x1.255788a602676p-1, -0x1.24e374f9903e4p-1, -0x1.245e21483f608p-1, -0x1.23c7e6adfc2fep-1, -0x1.23211ef77a12dp-1, -0x1.226a248a26a17p-1, -0x1.21a3524cd5518p-1, -0x1.20cd03911f74fp-1, -0x1.1fe793fd7eeap-1, -0x1.1ef35f7817d6dp-1, -0x1.1df0c2123b8d4p-1, -0x1.1ce017f4980e1p-1, -0x1.1bc1bd4c1afd2p-1, -0x1.1a960e3782befp-1, -0x1.195d66b59a035p-1, -0x1.181822941fb67p-1, -0x1.16c69d5f57d56p-1, -0x1.156932523f6d2p-1, -0x1.14003c4767f2p-1, -0x1.128c15aa7123ep-1, -0x1.110d186a22d0dp-1, -0x1.0f839deb239a9p-1, -0x1.0deffefb46ce7p-1, -0x1.0c5293c572a18p-1, -0x1.0aabb3c619fb5p-1, -0x1.08fbb5c046493p-1, -0x1.0742efb32eefcp-1, -0x1.0581b6d05d413p-1, -0x1.03b85f7255ee2p-1, -0x1.01e73d13c7f1fp-1, -0x1.000ea2473d754p-1, -0x1.fc5dc15e92bf2p-2, -0x1.f89091ee64124p-2, -0x1.f4b6559823245p-2, -0x1.f0cfa9acda63ep-2, -0x1.ecdd296875d43p-2, -0x1.e8df6de6b2b54p-2, -0x1.e4d70e18de525p-2, -0x1.e0c49ebc67eb7p-2, -0x1.dca8b2523c7dfp-2, -0x1.d883d916e4f15p-2, -0x1.d456a0fb61d2ap-2, -0x1.d021959ebc436p-2, -0x1.cbe540484ac8bp-2, -0x1.c7a227e29fdf6p-2, -0x1.c358d0f71d0bfp-2, -0x1.bf09bdaa25202p-2, -0x1.bab56db7eaa29p-2, -0x1.b65c5e71ce065p-2, -0x1.b1ff0abc4fa9fp-2, -0x1.ad9deb0d8636dp-2, -0x1.a939756c1b257p-2, -0x1.a4d21d6ec6cc5p-2, -0x1.a068543c44f09p-2, -0x1.9bfc888bbc914p-2, -0x1.978f26a59c3efp-2, -0x1.93209864dc7c2p-2, -0x1.8eb14538aaca1p-2, -0x1.8a41922678fc5p-2, -0x1.85d1e1cc6725ap-2, -0x1.8162946406ccap-2, -0x1.7cf407c577682p-2, -0x1.7886976ad0b46p-2, -0x1.741a9c73d9fefp-2, -0x1.6fb06daa0df99p-2, -0x1.6b485f84e40a5p-2, -0x1.66e2c42e572ep-2, -0x1.627feb87b48b2p-2, -0x1.5e20232e9b46dp-2, -0x1.59c3b6823d70cp-2, -0x1.556aeea8d1c11p-2, -0x1.5116129536278p-2, -0x1.4cc5670cc4ee6p-2, -0x1.48792ead53351p-2, -0x1.4431a9f35af4cp-2, -0x1.3fef17404986ap-2, -0x1.3bb1b2e0f38bap-2, -0x1.3779b7142ab1ep-2, -0x1.33475c1170812p-2, -0x1.2f1ad80fca237p-2, -0x1.2af45f4ca9ba9p-2, -0x1.26d42412f2fa3p-2, -0x1.22ba56c2163p-2, -0x1.1ea725d53c732p-2, -0x1.1a9abdea8ab1cp-2, -0x1.169549ca702e9p-2, -0x1.1296f26f07061p-2, -0x1.0e9fdf0b7f421p-2, -0x1.0ab0351396aeap-2, -0x1.06c8184316d6ep-2, -0x1.02e7aaa55ee1cp-2, -0x1.fe1e1939e1066p-3, -0x1.f67cb9d605499p-3, -0x1.eeeb716e2e451p-3, -0x1.e76a772d2818cp-3, -0x1.dff9ff28b3a75p-3, -0x1.d89a3a70bbbcbp-3, -0x1.d14b571e7b40bp-3, -0x1.ca0d8063a7cf7p-3, -0x1.c2e0de998d5dap-3, -0x1.bbc5975021115p-3, -0x1.b4bbcd5d0a6d7p-3, -0x1.adc3a0ea9760ep-3, -0x1.a6dd2f86a5c7ep-3, -0x1.a00894317d17ep-3, -0x1.9945e76c877f9p-3, -0x1.92953f4907826p-3, -0x1.8bf6af76a43cep-3, -0x1.856a4951ebfb6p-3, -0x1.7ef01bf2af3c3p-3, -0x1.7888343a4e7fcp-3, -0x1.72329ce1dec18p-3, -0x1.6bef5e88346e7p-3, -0x1.65be7fbfd073ap-3, -0x1.5fa0051cacc0dp-3, -0x1.5993f141e217ap-3, -0x1.539a44ef3295bp-3, -0x1.4db2ff0e6ae75p-3, -0x1.47de1cc0a12ccp-3, -0x1.421b996b50af8p-3, -0x1.3c6b6ec54a7e1p-3, -0x1.36cd94e382d8dp-3, -0x1.31420245b5471p-3, -0x1.2bc8abe2e117p-3, -0x1.266185359f29dp-3, -0x1.210c804848406p-3, -0x1.1bc98dc0f574ap-3, -0x1.16989ced583d1p-3, -0x1.11799bce620f4p-3, -0x1.0c6c7723c2aafp-3, -0x1.07711a773fb0fp-3, -0x1.02877027d6929p-3, -0x1.fb5ec2e974e06p-4, -0x1.f1d1ad103fa9bp-4, -0x1.e8676d03bff6cp-4, -0x1.df1fcf03daea4p-4, -0x1.d5fa9d652f1d4p-4, -0x1.ccf7a0a551853p-4, -0x1.c4169f7e99c2cp-4, -0x1.bb575efbaf1c5p-4, -0x1.b2b9a28a9a527p-4, -0x1.aa3d2c0f99e2ap-4, -0x1.a1e1bbf78936dp-4, -0x1.99a71149efdfdp-4, -0x1.918ce9babf5b4p-4, -0x1.899301bba74c8p-4, -0x1.81b9148d1ca79p-4, -0x1.79fedc4f00476p-4, -0x1.72641210ed8dcp-4, -0x1.6ae86de22ec44p-4, -0x1.638ba6e15a684p-4, -0x1.5c4d734b96643p-4, -0x1.552d888b85155p-4, -0x1.4e2b9b47d920cp-4, -0x1.47475f7193c7fp-4, -0x1.40808851edbeep-4, -0x1.39d6c897e8ec7p-4, -0x1.3349d2658e142p-4, -0x1.2cd9575cd749ap-4, -0x1.268508ac45c6p-4, -0x1.204c971b25ef5p-4, -0x1.1a2fb31581652p-4, -0x1.142e0cb7c04dfp-4, -0x1.0e4753d9fa11bp-4, -0x1.087b381af6ea6p-4, -0x1.02c968eae40cdp-4, -0x1.fa632b2b7202p-5, -0x1.ef66da9aa250bp-5, -0x1.e49d3e6672e22p-5, -0x1.da05b4c467f32p-5, -0x1.cf9f9beee1df3p-5, -0x1.c56a5236ffabp-5, -0x1.bb653615f0f42p-5, -0x1.b18fa63dbac92p-5, -0x1.a7e901a9712d5p-5, -0x1.9e70a7ace8191p-5, -0x1.9525f803db415p-5, -0x1.8c0852e094651p-5, -0x1.831718fa0a253p-5, -0x1.7a51ab99819a2p-5, -0x1.71b76ca7b0323p-5, -0x1.6947beb95f992p-5, -0x1.6102051b9a5a8p-5, -0x1.58e5a3df5b413p-5, -0x1.50f1ffe4cc7acp-5, -0x1.49267ee60f1a2p-5, -0x1.4182878190f4ep-5, -0x1.3a058143f3acp-5, -0x1.32aed4b187b07p-5, -0x1.2b7deb4f59274p-5, -0x1.24722fabd44e2p-5, -0x1.1d8b0d67064ep-5, -0x1.16c7f13a73173p-5, -0x1.102849008e5afp-5, -0x1.09ab83bbd03e6p-5, -0x1.0351119d6d846p-5, -0x1.fa30c817638ccp-6, -0x1.ee01db4fffe99p-6, -0x1.e21444a8f72acp-6, -0x1.d666ee72b6e8dp-6, -0x1.caf8c593cadaap-6, -0x1.bfc8b99239986p-6, -0x1.b4d5bc9c39e37p-6, -0x1.aa1ec3904f3b6p-6, -0x1.9fa2c604cc574p-6, -0x1.9560be4ec1249p-6, -0x1.8b57a9885c09bp-6, -0x1.81868796b8c9cp-6, -0x1.77ec5b2f29b5dp-6, -0x1.6e8829dbfbde6p-6, -0x1.6558fc00b9cabp-6, -0x1.5c5ddcddee1d9p-6, -0x1.5395da946e99fp-6, -0x1.4b000628303b1p-6, -0x1.429b7382a731p-6, -0x1.3a673974b5919p-6, -0x1.326271b8334ccp-6, -0x1.2a8c38f106f23p-6, -0x1.22e3aeaddd5aap-6, -0x1.1b67f5687cb0dp-6, -0x1.14183285b7c75p-6, -0x1.0cf38e5508c34p-6, -0x1.05f9340fd1b59p-6, -0x1.fe50a3b084da2p-7, -0x1.f100316fe762ep-7, -0x1.e3ff793c5d825p-7, -0x1.d74ce8bbca964p-7, -0x1.cae6f356c8e41p-7, -0x1.becc123377a0dp-7, -0x1.b2fac42fcbb75p-7, -0x1.a7718ddb4e309p-7, -0x1.9c2ef9706a04ep-7, -0x1.913196cd3439ep-7, -0x1.8677fb6bcbdaep-7, -0x1.7c00c25a42516p-7, -0x1.71ca8c321e68p-7, -0x1.67d3ff0f72fp-7, -0x1.5e1bc6879e249p-7, -0x1.54a0939fa689dp-7, -0x1.4b611cc23f22p-7, -0x1.425c1db57c1e5p-7, -0x1.3990579032fa4p-7, -0x1.30fc90af16e56p-7, -0x1.289f94a986ecap-7, -0x1.207834461c3f4p-7, -0x1.1885456ef8fa1p-7, -0x1.10c5a325dab6dp-7, -0x1.09382d77f517cp-7, -0x1.01dbc97199853p-7, -0x1.f55ec22357a8ep-8, -0x1.e763c679d5c3p-8, -0x1.d9c487621d50cp-8, -0x1.cc7ef5ef7e34ap-8, -0x1.bf910cb2ceafp-8, -0x1.b2f8cf9fcf64bp-8, -0x1.a6b44bf25520fp-8, -0x1.9ac19813389bep-8, -0x1.8f1ed37d1b781p-8, -0x1.83ca26a0fbb64p-8, -0x1.78c1c2caa5f1ap-8, -0x1.6e03e2050395ap-8, -0x1.638ec6fe4ee58p-8, -0x1.5960bcec2daf6p-8, -0x1.4f78176fbad35p-8, -0x1.45d332797f776p-8, -0x1.3c70722d6532p-8, -0x1.334e42c69e5abp-8, -0x1.2a6b187b8f7a7p-8, -0x1.21c56f61b7e47p-8, -0x1.195bcb51a3084p-8, -0x1.112cb7cadf1d8p-8, -0x1.0936c7d803922p-8, -0x1.017895f2c5443p-8, -0x1.f3e187d03d6e4p-9, -0x1.e53bf5791c7c1p-9, -0x1.d6fdd520daf57p-9, -0x1.c9249508c734ep-9, -0x1.bbadb13beec26p-9, -0x1.ae96b35883b6ep-9, -0x1.a1dd3259899efp-9, -0x1.957ed260cdcc5p-9, -0x1.8979448130b8ap-9, -0x1.7dca46894468fp-9, -0x1.726fa2ce44541p-9, -0x1.67672ff7675afp-9, -0x1.5caed0c99686p-9, -0x1.524473f38405fp-9, -0x1.482613da2c0a3p-9, -0x1.3e51b665c08d7p-9, -0x1.34c56ccf00a7ep-9, -0x1.2b7f536d01994p-9, -0x1.227d91836bc9cp-9, -0x1.19be59112aa35p-9, -0x1.113fe69f9843cp-9, -0x1.0900811220874p-9, -0x1.00fe79765f5cbp-9, -0x1.f27055a982473p-10, -0x1.e357f4033ee94p-10, -0x1.d4b0aaddbc86dp-10, -0x1.c67769fc24ba1p-10, -0x1.b8a933a6465f4p-10, -0x1.ab431c4ef3bd9p-10, -0x1.9e424a3b6284ap-10, -0x1.91a3f52ba423fp-10, -0x1.8565660424776p-10, -0x1.7983f67848aecp-10, -0x1.6dfd10b616cc1p-10, -0x1.62ce2f12f0f97p-10, -0x1.57f4dbb9759b7p-10, -0x1.4d6eb05862583p-10, -0x1.433955d29cfaep-10, -0x1.395283f04bae3p-10, -0x1.2fb801110d728p-10, -0x1.2667a1df3b29ap-10, -0x1.1d5f490451df9p-10, -0x1.149ce6de690a1p-10, -0x1.0c1e7936c5a2bp-10, -0x1.03e20af97db82p-10, -0x1.f7cb67dc6da72p-11, -0x1.e84f30e3f0327p-11, -0x1.d94bd2641e42dp-11, -0x1.cabdc5d01119cp-11, -0x1.bca19c2d73efdp-11, -0x1.aef3fd90b976ap-11, -0x1.a1b1a89b6e034p-11, -0x1.94d771fca6d41p-11, -0x1.886243f385e3fp-11, -0x1.7c4f1dd3d7048p-11, -0x1.709b138cb8106p-11, -0x1.65434d3153dd6p-11, -0x1.5a450683a2debp-11, -0x1.4f9d8e8133453p-11, -0x1.454a46f1f0811p-11, -0x1.3b48a3f8e9ecfp-11, -0x1.31962ba71132ap-11, -0x1.2830758feb3cdp-11, -0x1.1f152a603427bp-11, -0x1.164203766a097p-11, -0x1.0db4ca7d410aap-11, -0x1.056b5907f6014p-11, -0x1.fac73060fea74p-12, -0x1.eb37006f2643ap-12, -0x1.dc22304d01d0cp-12, -0x1.cd84eae5aba81p-12, -0x1.bf5b774795c02p-12, -0x1.b1a237f2e7069p-12, -0x1.a455aa2b538a9p-12, -0x1.9772654d634e4p-12, -0x1.8af51a271c7c5p-12, -0x1.7eda925408011p-12, -0x1.731faf9c828ffp-12, -0x1.67c16b5851fa6p-12, -0x1.5cbcd5d4706f8p-12, -0x1.520f15bc07c85p-12, -0x1.47b5678489844p-12, -0x1.3dad1cdce3028p-12, -0x1.33f39c1fb7727p-12, -0x1.2a865fc89e22bp-12, -0x1.2162f5ec51d0cp-12, -0x1.1886ffb3ce44dp-12, -0x1.0ff030da47836p-12, -0x1.079c4f2df76cbp-12, -0x1.ff12642768904p-13, -0x1.ef69841a81d54p-13, -0x1.e039f084a6a3fp-13, -0x1.d17fbc187d943p-13, -0x1.c33719087b1e5p-13, -0x1.b55c5828919dep-13, -0x1.a7ebe814f42b3p-13, -0x1.9ae2545dcaf7dp-13, -0x1.8e3c44b7ce5fp-13, -0x1.81f67c31ae8afp-13, -0x1.760dd86e2d903p-13, -0x1.6a7f50e2e4caap-13, -0x1.5f47f61b908d5p-13, -0x1.5464f101d9248p-13, -0x1.49d382297e238p-13, -0x1.3f910120d7621p-13, -0x1.359adbc588894p-13, -0x1.2bee959d69e2fp-13, -0x1.2289c7337796p-13, -0x1.196a1d78cf69bp-13, -0x1.108d592993a26p-13, -0x1.07f14e35aadb7p-13, -0x1.ff27c65a8e824p-14, -0x1.eee621624bb31p-14, -0x1.df19c1ccd0488p-14, -0x1.cfbedddc10207p-14, -0x1.c0d1ccbf864e4p-14, -0x1.b24f0590e43ebp-14, -0x1.a4331e577cd6p-14, -0x1.967acb12374abp-14, -0x1.8922dcc7fbaf9p-14, -0x1.7c28409e668ep-14, -0x1.6f87fef6a9a0ap-14, -0x1.633f3a9078b54p-14, -0x1.574b2fb2df977p-14, -0x1.4ba9335ae2058p-14, -0x1.4056b26fc6592p-14, -0x1.355130fcebb8ep-14, -0x1.2a9649710a7e9p-14, -0x1.2023abe2c4e27p-14, -0x1.15f71d5a6668bp-14, -0x1.0c0e7720b56d6p-14, -0x1.0267a612bb3e7p-14, -0x1.f20153f4c8a3bp-15, -0x1.dfaf29d7bc3b8p-15, -0x1.cdd5154f2b7d3p-15, -0x1.bc6f800179e1ap-15, -0x1.ab7af49074b13p-15, -0x1.9af41d77d4dc1p-15, -0x1.8ad7c3f43230bp-15, -0x1.7b22cef22e4b1p-15, -0x1.6bd24205aba44p-15, -0x1.5ce33c68dd996p-15, -0x1.4e52f802fef8dp-15, -0x1.401ec8768321bp-15, -0x1.32441a3692825p-15, -0x1.24c071a3a005ep-15, -0x1.17916a2ef4215p-15, -0x1.0ab4b584f7754p-15, -0x1.fc50357c31fap-16, -0x1.e3d2eb2c41e93p-16, -0x1.cbed6b53948a5p-16, -0x1.b49bbb74ed054p-16, -0x1.9dda05efb0e7bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.af4352a406107p-1, 0x1.a9b1df5f7bd9cp-1, 0x1.a424a02ff19cfp-1, 0x1.9e9c8dfcf3021p-1, 0x1.991a153bea016p-1, 0x1.939d29a333d97p-1, 0x1.8e2558e7d642ap-1, 0x1.88b1dc52d8cb9p-1, 0x1.8341a90cb5dccp-1, 0x1.7dd37f0b9f6acp-1, 0x1.7865f69cc0f4bp-1, 0x1.72f78c89b158cp-1, 0x1.6d86ace247776p-1, 0x1.6811bc78407a6p-1, 0x1.6297211df13a9p-1, 0x1.5d1548bbd53b6p-1, 0x1.578aaf5268b3ep-1, 0x1.51f5e3fe83a7dp-1, 0x1.4c558d16a6cbcp-1, 0x1.46a86b774bb71p-1, 0x1.40ed5d13ab211p-1, 0x1.3b235edf686bbp-1, 0x1.35498e247b8f2p-1, 0x1.2f5f29576240dp-1, 0x1.2963907a53cfdp-1, 0x1.2356451ed552bp-1, 0x1.1d36ea13afa9fp-1, 0x1.170542cbfc59dp-1, 0x1.10c1328ab9acap-1, 0x1.0a6abb5d2278dp-1, 0x1.0401fcece9c7dp-1, 0x1.fb0e6664ddfcp-2, 0x1.edf56a1c14529p-2, 0x1.e0b9e59d56d4ep-2, 0x1.d35ce9568b2dbp-2, 0x1.c5dfb2676f335p-2, 0x1.b843a77a99b53p-2, 0x1.aa8a559ca04bep-2, 0x1.9cb56d1761f81p-2, 0x1.8ec6be5675f55p-2, 0x1.80c036d906be2p-2, 0x1.72a3de3497d1cp-2, 0x1.6473d32b9d0ffp-2, 0x1.563248da437a6p-2, 0x1.47e183fb4344cp-2, 0x1.3983d84638121p-2, 0x1.2b1ba5e894737p-2, 0x1.1cab571a04335p-2, 0x1.0e355dccb9046p-2, 0x1.ff7862f3f5b4p-3, 0x1.e2849a1617821p-3, 0x1.c59459bcb13eep-3, 0x1.a8ac99d177d75p-3, 0x1.8bd24de505823p-3, 0x1.6f0a61df92e49p-3, 0x1.5259b6e7566ebp-3, 0x1.35c5207b65e8ap-3, 0x1.195161c1da02ep-3, 0x1.fa06560f968a1p-4, 0x1.c1be2ee398129p-4, 0x1.89d355b6a2cdep-4, 0x1.524e9fc7138ecp-4, 0x1.1b38ac4c1e55dp-4, 0x1.c933c2776c25cp-5, 0x1.5cf4d0c38da3fp-5, 0x1.e388b3161eaaap-6, 0x1.0f636166ba26cp-6, 0x1.ecba3e8a0e865p-9, -0x1.237e23a5f4c8bp-7, -0x1.5e843d38c82e1p-6, -0x1.144ef556961aep-5, -0x1.77f9769d5ecdap-5, -0x1.da359ef61d10bp-5, -0x1.1d7bff8e8b0c4p-4, -0x1.4d1ade6bc620bp-4, -0x1.7bf249b3626ep-4, -0x1.a9fd69d0b9f0ep-4, -0x1.d737b1dc75c0cp-4, -0x1.01ce6fabd292ap-3, -0x1.17947ce0e5815p-3, -0x1.2cec29063a4ebp-3, -0x1.41d3c0f745fafp-3, -0x1.5649b58cf0d72p-3, -0x1.6a4c9b2a7b9c3p-3, -0x1.7ddb293da4467p-3, -0x1.90f439b312988p-3, -0x1.a396c85ff72p-3, -0x1.b5c1f261eba86p-3, -0x1.c774f575e12c9p-3, -0x1.d8af2f470eef1p-3, -0x1.e9701cb6aec9dp-3, -0x1.f9b7591d52c7fp-3, -0x1.04c24ec34c88ap-2, -0x1.0c6bdff3f77acp-2, -0x1.13d85929932dep-2, -0x1.1b07c112b4494p-2, -0x1.21fa2b999dd8ep-2, -0x1.28afb9791335bp-2, -0x1.2f2897d042979p-2, -0x1.3564ffb60572cp-2, -0x1.3b6535cbbcffdp-2, -0x1.412989d002c7fp-2, -0x1.46b25631618d4p-2, -0x1.4bffffa1517c7p-2, -0x1.5112f4a7a1011p-2, -0x1.55ebad367f01ap-2, -0x1.5a8aaa3f49b4p-2, -0x1.5ef075484d937p-2, -0x1.631da0039737bp-2, -0x1.6712c3e6fbac7p-2, -0x1.6ad081c5705b2p-2, -0x1.6e578169d8598p-2, -0x1.71a8713356113p-2, -0x1.74c405b340096p-2, -0x1.77aaf94ccc9dap-2, -0x1.7a5e0bd687fb5p-2, -0x1.7cde023d9fd4fp-2, -0x1.7f2ba62b1e4e1p-2, -0x1.8147c5ab18856p-2, -0x1.833332d5e102ep-2, -0x1.84eec37b46d5fp-2, -0x1.867b50cfe71a7p-2, -0x1.87d9b71c9fda6p-2, -0x1.890ad5701cd04p-2, -0x1.8a0f8d5291d5dp-2, -0x1.8ae8c27b99522p-2, -0x1.8b975a8a3e91p-2, -0x1.8c1c3cbf33239p-2, -0x1.8c7851b932cd5p-2, -0x1.8cac83338e14ap-2, -0x1.8cb9bbc6defa5p-2, -0x1.8ca0e6abe4539p-2, -0x1.8c62ef807cbdbp-2, -0x1.8c00c20ec35dcp-2, -0x1.8b7b4a1641ab1p-2, -0x1.8ad3731737266p-2, -0x1.8a0a281fee311p-2, -0x1.8920539c18be2p-2, -0x1.8816df262b2f2p-2, -0x1.86eeb35ab0f81p-2, -0x1.85a8b7ad92ae2p-2, -0x1.8445d2414526cp-2, -0x1.82c6e7bfd5c6ep-2, -0x1.812cdb35d402p-2, -0x1.7f788def035e2p-2, -0x1.7daadf54d89f1p-2, -0x1.7bc4acceaec08p-2, -0x1.79c6d1a3b18a5p-2, -0x1.77b226de708ecp-2, -0x1.7587833211556p-2, -0x1.7347bae115439p-2, -0x1.70f39fa5b02ebp-2, -0x1.6e8c009b9b5c8p-2, -0x1.6c11aa2b624e2p-2, -0x1.698565f7201ap-2, -0x1.66e7fac89c2cbp-2, -0x1.643a2c80c35d3p-2, -0x1.617cbc0871e53p-2, -0x1.5eb06742817c1p-2, -0x1.5bd5e8ff164dep-2, -0x1.58edf8f01bd96p-2, -0x1.55f94b9eece05p-2, -0x1.52f892631bd98p-2, -0x1.4fec7b5a4dd42p-2, -0x1.4cd5b16125979p-2, -0x1.49b4dc0d30edfp-2, -0x1.468a9fa7cfbd6p-2, -0x1.43579d2a0ec8ap-2, -0x1.401c72396792ap-2, -0x1.3cd9b92563a35p-2, -0x1.399008e613583p-2, -0x1.363ff51b5921dp-2, -0x1.32ea0e0cf4f32p-2, -0x1.2f8ee0ab51a5p-2, -0x1.2c2ef6910a307p-2, -0x1.28cad605198d7p-2, -0x1.256301fdb5374p-2, -0x1.21f7fa23c4b2dp-2, -0x1.1e8a3ad6f4c61p-2, -0x1.1b1a3d32561acp-2, -0x1.17a877118c223p-2, -0x1.14355b167aa36p-2, -0x1.10c158af7181fp-2, -0x1.0d4cdc1dcfb5ap-2, -0x1.09d84e7d12725p-2, -0x1.066415ca51d35p-2, -0x1.02f094ec1e483p-2, -0x1.fefc57757921ep-3, -0x1.f81a6e11719c7p-3, -0x1.f13c21579a44cp-3, -0x1.ea621f0c27eefp-3, -0x1.e38d0f1f068f4p-3, -0x1.dcbd93bf4f552p-3, -0x1.d5f4496f43991p-3, -0x1.cf31c718b0767p-3, -0x1.c8769e21c059p-3, -0x1.c1c35a8228057p-3, -0x1.bb1882d8af1bcp-3, -0x1.b476988105216p-3, -0x1.adde17a9d9643p-3, -0x1.a74f776b385b2p-3, -0x1.a0cb29dd1a488p-3, -0x1.9a519c2e24005p-3, -0x1.93e336ba91e65p-3, -0x1.8d805d233ff38p-3, -0x1.87296e64d1665p-3, -0x1.80dec4eeef50bp-3, -0x1.7aa0b6bb8ff2ep-3, -0x1.746f95664d09ap-3, -0x1.6e4bae43bcc06p-3, -0x1.68354a78c63d1p-3, -0x1.622caf11f46ap-3, -0x1.5c321d1abaaccp-3, -0x1.5645d1b4a8e66p-3, -0x1.5068062e8c1ap-3, -0x1.4a98f01b7834bp-3, -0x1.44d8c169b22a7p-3, -0x1.3f27a87978a6fp-3, -0x1.3985d033adf49p-3, -0x1.33f3602055e8ap-3, -0x1.2e707c7ce7d47p-3, -0x1.28fd4652755ccp-3, -0x1.2399db8ba2b28p-3, -0x1.1e46570a6138ep-3, -0x1.1902d0bd7ff34p-3, -0x1.13cf5db5fc9d7p-3, -0x1.0eac103c16508p-3, -0x1.0998f7e42c427p-3, -0x1.049621a357e8ap-3, -0x1.ff472fc7833cep-4, -0x1.f582c531783c1p-4, -0x1.ebdf0ea52c2d8p-4, -0x1.e25c12a441fdbp-4, -0x1.d8f9d337fd714p-4, -0x1.cfb84e172afe7p-4, -0x1.c6977ccb91c8bp-4, -0x1.bd9754d6be7bcp-4, -0x1.b4b7c7d63a60cp-4, -0x1.abf8c3a735b67p-4, -0x1.a35a3289805adp-4, -0x1.9adbfb42058ddp-4, -0x1.927e013c8cb2p-4, -0x1.8a4024acf50e6p-4, -0x1.822242afc6919p-4, -0x1.7a24356a2959ep-4, -0x1.7245d4293d274p-4, -0x1.6a86f380d24b8p-4, -0x1.62e7656984192p-4, -0x1.5b66f95e33c29p-4, -0x1.54057c78e64d3p-4, -0x1.4cc2b98f018ccp-4, -0x1.459e794ceed58p-4, -0x1.3e9882511d6b7p-4, -0x1.37b0994669f42p-4, -0x1.30e680fdeb194p-4, -0x1.2a39fa8820e4ap-4, -0x1.23aac54d8c77cp-4, -0x1.1d389f26ae013p-4, -0x1.16e344736b949p-4, -0x1.10aa7031e16bap-4, -0x1.0a8ddc149ccb8p-4, -0x1.048d409844053p-4, -0x1.fd50aa31577cp-5, -0x1.f1bd9fcab6845p-5, -0x1.e660ccab0564ep-5, -0x1.db3999b6c5bf3p-5, -0x1.d0476e2e523adp-5, -0x1.c589afd2846ebp-5, -0x1.baffc30847a6ap-5, -0x1.b0a90afb1f33cp-5, -0x1.a684e9bea4dafp-5, -0x1.9c92c06f006fap-5, -0x1.92d1ef505c1f5p-5, -0x1.8941d5ed5eedfp-5, -0x1.7fe1d334a984dp-5, -0x1.76b145955ed3p-5, -0x1.6daf8b1aba427p-5, -0x1.64dc0186b7061p-5, -0x1.5c36066bcfe49p-5, -0x1.53bcf745d78p-5, -0x1.4b703191ee608p-5, -0x1.434f12e59dcd1p-5, -0x1.3b58f90516bc4p-5, -0x1.338d41f89d50cp-5, -0x1.2beb4c212247fp-5, -0x1.2472764c10577p-5, -0x1.1d221fc64fef2p-5, -0x1.15f9a86e864cap-5, -0x1.0ef870c695284p-5, -0x1.081dda045d16cp-5, -0x1.01694621c841ap-5, -0x1.f5b42fd83d07bp-6, -0x1.e8df66255dc4ap-6, -0x1.dc52f8698bd9bp-6, -0x1.d00db1de0324dp-6, -0x1.c40e5fcffd129p-6, -0x1.b853d1b8c9d81p-6, -0x1.acdcd954b40e4p-6, -0x1.a1a84ab8b44e9p-6, -0x1.96b4fc66f639cp-6, -0x1.8c01c7624134ap-6, -0x1.818d874046f6ep-6, -0x1.77571a3adc253p-6, -0x1.6d5d614029bdbp-6, -0x1.639f4001d809fp-6, -0x1.5a1b9d033cf26p-6, -0x1.50d161a696d6dp-6, -0x1.47bf7a395826cp-6, -0x1.3ee4d5ff87f13p-6, -0x1.3640673e44cb6p-6, -0x1.2dd123456faf1p-6, -0x1.259602787e1cbp-6, -0x1.1d8e00567f775p-6, -0x1.15b81b8161919p-6, -0x1.0e1355c47031dp-6, -0x1.069eb41a1697fp-6, -0x1.feb27d61ed6f5p-7, -0x1.f08401e092fbep-7, -0x1.e2b012f732089p-7, -0x1.d534d46bba472p-7, -0x1.c8107087e119ep-7, -0x1.bb41181cf7ec6p-7, -0x1.aec5028683132p-7, -0x1.a29a6dabcdb66p-7, -0x1.96bf9e005ea2p-7, -0x1.8b32de8376cabp-7, -0x1.7ff280be8304fp-7, -0x1.74fcdcc2b22e5p-7, -0x1.6a505125950c9p-7, -0x1.5feb42fcde676p-7, -0x1.55cc1dd95cb0ep-7, -0x1.4bf153c11f2afp-7, -0x1.42595d28d01b4p-7, -0x1.3902b8ec6423cp-7, -0x1.2febec470d4d4p-7, -0x1.271382ca86974p-7, -0x1.1e780e55bd43p-7, -0x1.1618270ae04a7p-7, -0x1.0df26b44dc11ep-7, -0x1.06057f8c4b9c3p-7, -0x1.fca01d17c9398p-8, -0x1.eda19208ce3edp-8, -0x1.df0ccb802b682p-8, -0x1.d0df430b7bb6ep-8, -0x1.c3167e16b055p-8, -0x1.b5b00dd0870acp-8, -0x1.a8a98f0e477dfp-8, -0x1.9c00aa2ed3e69p-8, -0x1.8fb312fd1321p-8, -0x1.83be8891c549bp-8, -0x1.7820d534cac3cp-8, -0x1.6cd7ce3de8151p-8, -0x1.61e153f51071p-8, -0x1.573b517242c58p-8, -0x1.4ce3bc7d01728p-8, -0x1.42d8956b6c47p-8, -0x1.3917e70109b51p-8, -0x1.2f9fc64d43769p-8, -0x1.266e5289a10cp-8, -0x1.1d81b4f7ca38p-8, -0x1.14d820bf54484p-8, -0x1.0c6fd2cb65b55p-8, -0x1.044711a836dbbp-8, -0x1.f8b85ac0e5cdp-9, -0x1.e95afeb50f1c7p-9, -0x1.da72d46bbf76ep-9, -0x1.cbfcb3503230bp-9, -0x1.bdf584b46923p-9, -0x1.b05a438b8f5cdp-9, -0x1.a327fc2472e98p-9, -0x1.965bcbe4100a4p-9, -0x1.89f2e10048593p-9, -0x1.7dea7a3ac3948p-9, -0x1.723fe69c09455p-9, -0x1.66f0852eda93ep-9, -0x1.5bf9c4bbd4ba7p-9, -0x1.5159238563686p-9, -0x1.470c2f041008cp-9, -0x1.3d1083a329fa9p-9, -0x1.3363cc7ddd1ffp-9, -0x1.2a03c31cb0927p-9, -0x1.20ee2f337aff6p-9, -0x1.1820e65fd3fe3p-9, -0x1.0f99cbe8001f3p-9, -0x1.0756d07a66e7p-9, -0x1.feabe3db1c6aep-10, -0x1.ef2a760150138p-10, -0x1.e0258639654aep-10, -0x1.d1995c2c5f1bp-10, -0x1.c38257def0586p-10, -0x1.b5dcf1375a84ap-10, -0x1.a8a5b7849e766p-10, -0x1.9bd95106ef02bp-10, -0x1.8f747a79768c8p-10, -0x1.8374069d775a3p-10, -0x1.77d4ddc6c6b2dp-10, -0x1.6c93fd69a6228p-10, -0x1.61ae77aa02c88p-10, -0x1.572172ec1f2fp-10, -0x1.4cea2966a32c7p-10, -0x1.4305e8b623d2p-10, -0x1.3972117213a34p-10, -0x1.302c16c32bfb6p-10, -0x1.27317dfb47bdfp-10, -0x1.1e7fde2ebbb5ap-10, -0x1.1614dfcf227efp-10, -0x1.0dee3c47a2c0bp-10, -0x1.0609bd9aae1dep-10, -0x1.fcca7c0284adbp-11, -0x1.edfd4f1736f8dp-11, -0x1.dfa7e786ce299p-11, -0x1.d1c6569ee0a1fp-11, -0x1.c454cb318c389p-11, -0x1.b74f90e2b3918p-11, -0x1.aab30f782e0bap-11, -0x1.9e7bca2ce42cfp-11, -0x1.92a65f06d81bap-11, -0x1.872f863014823p-11, -0x1.7c14115281a4ap-11, -0x1.7150eaf69acc9p-11, -0x1.66e315e4ff183p-11, -0x1.5cc7ac8adaf71p-11, -0x1.52fbe061247b9p-11, -0x1.497cf956a6726p-11, -0x1.4048553cd344fp-11, -0x1.375b67375b606p-11, -0x1.2eb3b72e810b9p-11, -0x1.264ee14422eb5p-11, -0x1.1e2a954b78edep-11, -0x1.164496437b47dp-11, -0x1.0e9ab9d3eba1bp-11, -0x1.072ae7ccff8f4p-11, -0x1.ffe63353391a9p-12, -0x1.f1e2b4284ea61p-12, -0x1.e44788dbb1763p-12, -0x1.d71108b127f8bp-12, -0x1.ca3baa866d154p-12, -0x1.bdc403f0b0c8dp-12, -0x1.b1a6c85ef0976p-12, -0x1.a5e0c8410f10fp-12, -0x1.9a6ef033a5e6cp-12, -0x1.8f4e483078006p-12, -0x1.847bf2c37b743p-12, -0x1.79f52c4468064p-12, -0x1.6fb74a14b9106p-12, -0x1.65bfb9e21636fp-12, -0x1.5c0c00ed0f19fp-12, -0x1.5299bb541ab27p-12, -0x1.49669b62cbf24p-12, -0x1.407068e529302p-12, -0x1.37b5007f14cfp-12, -0x1.2f325307bbde7p-12, -0x1.26e664e8f2d5dp-12, -0x1.1ecf4d82784fp-12, -0x1.16eb3691056e5p-12, -0x1.0f385b9922f6cp-12, -0x1.07b50955ac11ap-12, -0x1.005f9d29f46efp-12, -0x1.f26d092efbd85p-13, -0x1.e470796e5eb44p-13, -0x1.d6c6a36bf76c6p-13, -0x1.c96cbca9d25cp-13, -0x1.bc6016d8da3dap-13, -0x1.af9e1ee608959p-13, -0x1.a3245c0dfe52dp-13, -0x1.96f06ef6e7d33p-13, -0x1.8b0010d07ac09p-13, -0x1.7f51127a05ac4p-13, -0x1.73e15bae67128p-13, -0x1.68aeea35cc407p-13, -0x1.5db7d11d244aap-13, -0x1.52fa37f322276p-13, -0x1.48745a0ab1192p-13, -0x1.3e2485c2c4e4ep-13, -0x1.34091bd35c65bp-13, -0x1.2a208e9fb3c97p-13, -0x1.2069618d63cf6p-13, -0x1.16e22860800ccp-13, -0x1.0d89869c70a8fp-13, -0x1.045e2ee98791dp-13, -0x1.f6bdc4fe513ecp-14, -0x1.e514e124ec7bfp-14, -0x1.d3bf6b92b5f97p-14, -0x1.c2bb3763c1616p-14, -0x1.b206307b77e8dp-14, -0x1.a19e5a83dac7p-14, -0x1.9181cff4c6a26p-14, -0x1.81aec12311373p-14, -0x1.7223735741fd5p-14, -0x1.62de3febc2da7p-14, -0x1.53dd9372552dp-14, -0x1.451fece0a3603p-14, -0x1.36a3dcc3bcf45p-14, -0x1.2868047a5640bp-14, -0x1.1a6b15759e5b5p-14, -0x1.0cabd0808213bp-14, -0x1.fe520a1a63b2cp-15, -0x1.e3c321118635bp-15, -0x1.c9a8bb6988141p-15, -0x1.b000c80d3390dp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e093f74ac8a51p-1, 0x1.de18d6d6f47cep-1, 0x1.db96bfaf58f63p-1, 0x1.d90ecf18d0617p-1, 0x1.d681fa2cce0b2p-1, 0x1.d3f110a974d09p-1, 0x1.d15cbfd8f18a2p-1, 0x1.cec5957ffb7c2p-1, 0x1.cc2c02c673fdap-1, 0x1.c9905f0fd3a43p-1, 0x1.c6f2eabb5f126p-1, 0x1.c453d1c617bc3p-1, 0x1.c1b32e4a04b63p-1, 0x1.bf110ad7d6842p-1, 0x1.bc6d64a9114bfp-1, 0x1.b9c82da9da429p-1, 0x1.b7214e5a4d481p-1, 0x1.b478a787da047p-1, 0x1.b1ce13dfa79c4p-1, 0x1.af21695b5792dp-1, 0x1.ac727a89cac4p-1, 0x1.a9c117b5b91d7p-1, 0x1.a70d0fec1301p-1, 0x1.a45631e42b96ep-1, 0x1.a19c4ccbc000fp-1, 0x1.9edf30f8dee2dp-1, 0x1.9c1eb083b8c05p-1, 0x1.995a9fca4405ap-1, 0x1.9692d5df9e397p-1, 0x1.93c72ce8ea81dp-1, 0x1.90f782696907ap-1, 0x1.8e23b77f59333p-1, 0x1.8b4bb1132c6dp-1, 0x1.886f57fa6cbfap-1, 0x1.858e990fa1dd4p-1, 0x1.82a965406f385p-1, 0x1.7fbfb19300093p-1, 0x1.7cd17723cae67p-1, 0x1.79deb31c9ade6p-1, 0x1.76e766a5b8dfp-1, 0x1.73eb96d1fedb9p-1, 0x1.70eb4c8685b45p-1, 0x1.6de6945e99d75p-1, 0x1.6add7e8c83901p-1, 0x1.67d01eb7aff9cp-1, 0x1.64be8bd8b0e45p-1, 0x1.61a8e0138328ap-1, 0x1.5e8f3890791a5p-1, 0x1.5b71b554268c4p-1, 0x1.5850791696f8cp-1, 0x1.552ba91a18caep-1, 0x1.52036d01d72dp-1, 0x1.4ed7eea87b89fp-1, 0x1.4ba959f7063fcp-1, 0x1.4877dcbc09d77p-1, 0x1.4543a6836c5fbp-1, 0x1.420ce86ed0591p-1, 0x1.3ed3d50ec0e7cp-1, 0x1.3b98a03cb943cp-1, 0x1.385b7ef61a88bp-1, 0x1.351ca73824204p-1, 0x1.31dc4fdcf98ebp-1, 0x1.2e9ab079c493fp-1, 0x1.2b58013df95a9p-1, 0x1.28147ad3c8932p-1, 0x1.24d05641bfb54p-1, 0x1.218bcccd9ff99p-1, 0x1.1e4717e069a0ep-1, 0x1.1b0270eba0275p-1, 0x1.17be114fc4f84p-1, 0x1.147a324407183p-1, 0x1.11370cbf26034p-1, 0x1.0df4d961843a9p-1, 0x1.0ab3d06064e37p-1, 0x1.0774297251d3ap-1, 0x1.04361bbca13fcp-1, 0x1.00f9ddc219492p-1, 0x1.fb7f4aa54f7cap-2, 0x1.f50f4ef853c01p-2, 0x1.eea430f87b258p-2, 0x1.e83e576622dbep-2, 0x1.e1de272e63cd4p-2, 0x1.db8403548cc88p-2, 0x1.d5304cdd7888ap-2, 0x1.cee362bca5377p-2, 0x1.c89da1c306d21p-2, 0x1.c25f648f8116p-2, 0x1.bc290380fa729p-2, 0x1.b5fad4a9f667ap-2, 0x1.afd52bc5ac524p-2, 0x1.a9b85a2e866d5p-2, 0x1.a3a4aed60038bp-2, 0x1.9d9a763dcc18p-2, 0x1.9799fa723ca37p-2, 0x1.91a38305dbacfp-2, 0x1.8bb7550e20e7ep-2, 0x1.85d5b3213fd6ep-2, 0x1.7ffedd54f935ep-2, 0x1.7a33113e6714bp-2, 0x1.747289f2b35bap-2, 0x1.6ebd8008ae9d6p-2, 0x1.6914299b3922bp-2, 0x1.6376ba4c75648p-2, 0x1.5de56349b099ep-2, 0x1.58605350015adp-2, 0x1.52e7b6b187ab1p-2, 0x1.4d7bb75b49269p-2, 0x1.481c7cdb9c1dcp-2, 0x1.42ca2c691b08bp-2, 0x1.3d84e8ea11cd8p-2, 0x1.384cd2fc6317fp-2, 0x1.332208fdd3b9fp-2, 0x1.2e04a714bc85ap-2, 0x1.28f4c7391108ep-2, 0x1.23f2813dbe3f9p-2, 0x1.1efdeada4fa33p-2, 0x1.1a1717b4d867p-2, 0x1.153e196c19d59p-2, 0x1.1072ffa1de751p-2, 0x1.0bb5d80585fd5p-2, 0x1.0706ae5eb7914p-2, 0x1.02658c98395a1p-2, 0x1.fba4f595ceb94p-3, 0x1.f29afe917fb7cp-3, 0x1.e9ad3d5009ae5p-3, 0x1.e0dbb79cdabc2p-3, 0x1.d8266ff8be7f1p-3, 0x1.cf8d65b06146ap-3, 0x1.c71094f2d428bp-3, 0x1.beaff6e811f6ep-3, 0x1.b66b81c771bb5p-3, 0x1.ae4328ee130d8p-3, 0x1.a636dcf526562p-3, 0x1.9e468bc81e34dp-3, 0x1.967220babe979p-3, 0x1.8eb9849efc527p-3, 0x1.871c9ddab5223p-3, 0x1.7f9b507d3044cp-3, 0x1.78357e546eb09p-3, 0x1.70eb070237912p-3, 0x1.69bbc810effccp-3, 0x1.62a79d0827e61p-3, 0x1.5bae5f80ec1e7p-3, 0x1.54cfe739c4c85p-3, 0x1.4e0c0a2a72b22p-3, 0x1.47629c975ae38p-3, 0x1.40d37124a7668p-3, 0x1.3a5e58e9101a2p-3, 0x1.3403238058c18p-3, 0x1.2dc19f1d73975p-3, 0x1.2799989c55993p-3, 0x1.218adb936d951p-3, 0x1.1b953264c5e52p-3, 0x1.15b8664ecc723p-3, 0x1.0ff43f7cc6463p-3, 0x1.0a488516e25b7p-3, 0x1.04b4fd51f395ep-3, 0x1.fe72dafda90ffp-4, 0x1.f3ab3432d870fp-4, 0x1.e9128daeb25fap-4, 0x1.dea86d6c83d7ap-4, 0x1.d46c581397369p-4, 0x1.ca5dd1126575fp-4, 0x1.c07c5ab92208p-4, 0x1.b6c776538530ap-4, 0x1.ad3ea441e9f71p-4, 0x1.a3e16411bfb01p-4, 0x1.9aaf349544932p-4, 0x1.91a793fa984ddp-4, 0x1.88c9ffe21fb9cp-4, 0x1.8015f5743d936p-4, 0x1.778af17664108p-4, 0x1.6f28705f7ecfap-4, 0x1.66edee6bb877ap-4, 0x1.5edae7af9ce91p-4, 0x1.56eed82a9c0ccp-4, 0x1.4f293bd8ed6cdp-4, 0x1.47898ec4d876ep-4, 0x1.400f4d1762a32p-4, 0x1.38b9f328675ddp-4, 0x1.3188fd8e1a3c2p-4, 0x1.2a7be92bf7864p-4, 0x1.239233412508p-4, 0x1.1ccb597645c9ap-4, 0x1.1626d9eac3b06p-4, 0x1.0fa433419012fp-4, 0x1.0942e4ad6003cp-4, 0x1.03026dfc6611fp-4, 0x1.f9c49f4717971p-5, 0x1.edc415925a38ap-5, 0x1.e202429eb5491p-5, 0x1.d67e2bbb4666ap-5, 0x1.cb36d7d4cf20cp-5, 0x1.c02b4f8777d85p-5, 0x1.b55a9d2fb4427p-5, 0x1.aac3ccfa498dfp-5, 0x1.a065ecf3832ffp-5, 0x1.96400d1592788p-5, 0x1.8c513f56286b6p-5, 0x1.829897b344eebp-5, 0x1.79152c3f46ed1p-5, 0x1.6fc6152c4149p-5, 0x1.66aa6cd697ccep-5, 0x1.5dc14fceea6cap-5, 0x1.5509dce35311bp-5, 0x1.4c833527fbeccp-5, 0x1.442c7bff12e08p-5, 0x1.3c04d7201b12bp-5, 0x1.340b6e9ea8f5p-5, 0x1.2c3f6cf0859abp-5, 0x1.249ffef341cc6p-5, 0x1.1d2c53f13d6d9p-5, 0x1.15e39da624f61p-5, 0x1.0ec51042eed87p-5, 0x1.07cfe271549e7p-5, 0x1.01034d56d3b04p-5, 0x1.f4bd192e6da9ep-6, 0x1.e7c1bcad57e4ap-6, 0x1.db130676d2694p-6, 0x1.ceaf7cddd4234p-6, 0x1.c295ab3d81f6dp-6, 0x1.b6c421fa12bf9p-6, 0x1.ab397680eb765p-6, 0x1.9ff4434807e61p-6, 0x1.94f327ccadd3cp-6, 0x1.8a34c8917a14ap-6, 0x1.7fb7cf1bbf1fdp-6, 0x1.757ae9f054c7fp-6, 0x1.6b7ccc8fc349dp-6, 0x1.61bc2f71e3bbep-6, 0x1.5837d000f6909p-6, 0x1.4eee709432fd6p-6, 0x1.45ded869d7b84p-6, 0x1.3d07d3a0c1f79p-6, 0x1.34683331948f7p-6, 0x1.2bfecce76e786p-6, 0x1.23ca7b5834f6fp-6, 0x1.1bca1ddc83b1ap-6, 0x1.13fc988734a17p-6, 0x1.0c60d41c92286p-6, 0x1.04f5be0938fp-6, 0x1.fb7490b140d35p-7, 0x1.ed5ad356be18dp-7, 0x1.df9c3a5a4f017p-7, 0x1.d236c514f93a5p-7, 0x1.c5287bcc55f61p-7, 0x1.b86f6f9d174fbp-7, 0x1.ac09ba650f035p-7, 0x1.9ff57eacdc7dap-7, 0x1.9430e79135954p-7, 0x1.88ba28abdda4dp-7, 0x1.7d8f7dfc4562p-7, 0x1.72af2bcfe457p-7, 0x1.68177eaa53069p-7, 0x1.5dc6cb2d21827p-7, 0x1.53bb6dff771e6p-7, 0x1.49f3cbb58682bp-7, 0x1.406e50b7d448bp-7, 0x1.3729712a53836p-7, 0x1.2e23a8d3671dfp-7, 0x1.255b7b02c48c7p-7, 0x1.1ccf727841179p-7, 0x1.147e214a8c053p-7, 0x1.0c6620cddcedfp-7, 0x1.0486117a97a8cp-7, 0x1.f9b935a7d91bcp-8, 0x1.ead0d69ceea2bp-8, 0x1.dc50706dc1ec9p-8, 0x1.ce357b3112b77p-8, 0x1.c07d7c4874fe6p-8, 0x1.b326062dd50d4p-8, 0x1.a62cb8411b1acp-8, 0x1.998f3e95fb5b9p-8, 0x1.8d4b51c1f1b63p-8, 0x1.815eb6aa73823p-8, 0x1.75c73e535a6b2p-8, 0x1.6a82c5ad8efp-8, 0x1.5f8f3565f7017p-8, 0x1.54ea81b4adce3p-8, 0x1.4a92aa2c86ff3p-8, 0x1.4085b98ae6f55p-8, 0x1.36c1c587edc7cp-8, 0x1.2d44eea6fc9d1p-8, 0x1.240d600799074p-8, 0x1.1b194f36afcbcp-8, 0x1.1266fc003b072p-8, 0x1.09f4b04151df2p-8, 0x1.01c0bfba9d40ap-8, 0x1.f3930fc67b8afp-9, 0x1.e41adf78388f5p-9, 0x1.d515cf475bb87p-9, 0x1.c680d254539b2p-9, 0x1.b858edcc6c2bcp-9, 0x1.aa9b38941303cp-9, 0x1.9d44daf20d27ep-9, 0x1.90530e3ba3f18p-9, 0x1.83c31c81c5b99p-9, 0x1.7792603f22b75p-9, 0x1.6bbe44074462p-9, 0x1.60444236a3471p-9, 0x1.5521e4a3bf44cp-9, 0x1.4a54c4513368ap-9, 0x1.3fda8920d0b36p-9, 0x1.35b0e987bea2dp-9, 0x1.2bd5aa43990f3p-9, 0x1.22469e109b1fbp-9, 0x1.1901a560caf3bp-9, 0x1.1004ae142d51ep-9, 0x1.074db33201ed5p-9, 0x1.fdb5794601debp-10, 0x1.ed53bdd9435p-10, 0x1.dd7275dad1677p-10, 0x1.ce0dfb346eccap-10, 0x1.bf22bf7944367p-10, 0x1.b0ad4b6494167p-10, 0x1.a2aa3e5a742e1p-10, 0x1.95164dea8bed4p-10, 0x1.87ee4554cfb9dp-10, 0x1.7b2f0510422p-10, 0x1.6ed58253ac4afp-10, 0x1.62dec6a04dc33p-10, 0x1.5747ef4e8c76bp-10, 0x1.4c0e2d1c8a03ep-10, 0x1.412ec3beb4cc8p-10, 0x1.36a70972378a7p-10, 0x1.2c746691614c3p-10, 0x1.22945529df8fbp-10, 0x1.19046094e6a36p-10, 0x1.0fc225112d466p-10, 0x1.06cb4f5ec1293p-10, 0x1.fc3b38b9641ep-11, 0x1.eb6db15107253p-11, 0x1.db29c07ee2145p-11, 0x1.cb6b3c42dfe73p-11, 0x1.bc2e17ebea607p-11, 0x1.ad6e6364e93cp-11, 0x1.9f284a852ce23p-11, 0x1.915814643cb87p-11, 0x1.83fa22b0fc013p-11, 0x1.770af10c1cf5fp-11, 0x1.6a871465d69edp-11, 0x1.5e6b3a5ed3b9bp-11, 0x1.52b428ac4f6e4p-11, 0x1.475ebc7f55e68p-11, 0x1.3c67e9ef1ca26p-11, 0x1.31ccbb666a6cdp-11, 0x1.278a5114021ap-11, 0x1.1d9de05e04955p-11, 0x1.1404b35842954p-11, 0x1.0abc283d70acfp-11, 0x1.01c1b0eb32058p-11, 0x1.f225a4c1e66fbp-12, 0x1.e15a48830a92ep-12, 0x1.d11ca0aee249p-12, 0x1.c1682437f1ecp-12, 0x1.b2386c8174519p-12, 0x1.a3893477d1913p-12, 0x1.955657ae2d951p-12, 0x1.879bd180f9be7p-12, 0x1.7a55bc3d7b343p-12, 0x1.6d80504e26c77p-12, 0x1.6117e36bc4ed3p-12, 0x1.5518e7d345065p-12, 0x1.497feb80318d6p-12, 0x1.3e49976ba4bd4p-12, 0x1.3372aecfb92f2p-12, 0x1.28f80e6f51827p-12, 0x1.1ed6abe233741p-12, 0x1.150b94e55584cp-12, 0x1.0b93eeaf50c55p-12, 0x1.026cf548e704ep-12, 0x1.f327f5d304b95p-13, 0x1.e20cceaf4044ep-13, 0x1.d1836e9a28af1p-13, 0x1.c186f7be20d38p-13, 0x1.b212b3d3b852bp-13, 0x1.a32213005facep-13, 0x1.94b0aabc37d17p-13, 0x1.86ba34bed3b38p-13, 0x1.793a8df2d55f9p-13, 0x1.6c2db5703d22ep-13, 0x1.5f8fcb7d4156p-13, 0x1.535d1095992c4p-13, 0x1.4791e47813cd5p-13, 0x1.3c2ac53a533p-13, 0x1.31244e629c4d9p-13, 0x1.267b380786a29p-13, 0x1.1c2c55f57babfp-13, 0x1.123496d9dec11p-13, 0x1.08910373c5dcap-13, 0x1.fe7d7b942c9c8p-14, 0x1.ec7600cdf5057p-14, 0x1.db063b310eed5p-14, 0x1.ca28fd6ce8313p-14, 0x1.b9d946d999f9fp-14, 0x1.aa1242170621bp-14, 0x1.9acf43b5759e9p-14, 0x1.8c0bc8e782741p-14, 0x1.7dc3763d1b14cp-14, 0x1.6ff216676084ap-14, 0x1.6293990535cd7p-14, 0x1.55a4117848056p-14, 0x1.491fb5c25efd4p-14, 0x1.3d02dd6ac50cep-14, 0x1.314a006b94fcbp-14, 0x1.25f1b626bf64dp-14, 0x1.1af6b46298d9dp-14, 0x1.1055ce4dc29a4p-14, 0x1.060bf38a416cap-14, 0x1.f82c5e7f2a353p-15, 0x1.e4e34e67505cfp-15, 0x1.d23735d4d4c04p-15, 0x1.c022c597d93c6p-15, 0x1.aea0dea1b21b2p-15, 0x1.9dac906a31c18p-15, 0x1.8d4117610dc45p-15, 0x1.7d59db6b08b6bp-15, 0x1.6df26e6a95666p-15, 0x1.5f068ad3af111p-15, 0x1.5092124a963a8p-15, 0x1.42910c4d314a3p-15, 0x1.34ffa4e6c7cb9p-15, 0x1.27da2b6dd54f1p-15, 0x1.1b1d114bb19fep-15, 0x1.0ec4e8cdc97ddp-15, 0x1.02ce64002e92fp-15, 0x1.ee6ca7226de26p-16, 0x1.d7f34b7befb6fp-16, 0x1.c22aca8eaec97p-16, 0x1.ad0d70df02c03p-16, 0x1.9895bfff029b4p-16, 0x1.84be6ca99447bp-16, 0x1.71825ceceb1d4p-16, 0x1.5edca6640ccb9p-16, 0x1.4cc88c7eeb953p-16, 0x1.3b417ed8b3d8cp-16, 0x1.2a43179bec59cp-16, 0x1.19c919f3fc7a7p-16, 0x1.09cf708bc4d03p-16, 0x1.f4a45831c4a02p-17, 0x1.d69b03e686e0bp-17, 0x1.b97b957178c69p-17, 0x1.9d3f01f870d3ap-17, 0x1.81de80006f15fp-17, 0x1.675384f8989bcp-17, 0x1.4d97c2da70f29p-17, 0x1.34a525ded4e3p-17, 0x1.1c75d24705dfbp-17, 0x1.0504223936091p-17, 0x1.dc9547600420fp-18, 0x1.b0882cf88dfc7p-18, 0x1.85d6d4b19470bp-18, 0x1.5c777a1e5171p-18, 0x1.3460b15b13702p-18, 0x1.0d89639924cc4p-18, 0x1.cfd197946f523p-19, 0x1.86ece6d4c14dep-19, 0x1.40545ecf5cb17p-19, 0x1.f7f07499d0079p-20, 0x1.73927e859316dp-20, 0x1.e6e2e524e52bbp-21, 0x1.ddc3a22c57fcfp-22, -0x1.1522e410006a1p-29, -0x1.d26e035c5402bp-22, -0x1.c9b7105945af8p-21, -0x1.5163703bad261p-20, -0x1.ba4b30ded866fp-20, -0x1.0fd4fcbee953fp-19, -0x1.40cb1c9ace105p-19, -0x1.7012d35838084p-19, -0x1.9db6a3d7fc431p-19, -0x1.c9c0bc26308f1p-19, -0x1.f43af8f55df43p-19, -0x1.0e97747b4ea8ap-18, -0x1.2252e807e25aap-18, -0x1.3554553869798p-18, -0x1.47a017c4d710ap-18, -0x1.593a6a70a930cp-18, -0x1.6a276867bf116p-18, -0x1.7a6b0e8cede88p-18, -0x1.8a093cbad6782p-18, -0x1.9905b6f7753c3p-18, -0x1.a764269ae7b92p-18, -0x1.b5281b69d62c8p-18, -0x1.c2550ca3f7828p-18, -0x1.ceee5a071a7fep-18, -0x1.daf74cc71feb9p-18, -0x1.e673187b49737p-18, -0x1.f164dc0145589p-18, -0x1.fbcfa256564abp-18, -0x1.02db31b379d75p-17, -0x1.078e026a9f46p-17, -0x1.0c01ad5b52873p-17, -0x1.103794248385ap-17, -0x1.1431104fd7b51p-17, -0x1.17ef73a43a703p-17, -0x1.1b740874a5bf4p-17, -0x1.1ec011eb4a4c5p-17, -0x1.21d4cc513c223p-17, -0x1.24b36d52c3ea8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7d8a12a9d9628p-7, -0x1.9959099ca3672p-7, -0x1.b3f2518176313p-7, -0x1.ccff703f079bp-7, -0x1.e42b548becacp-7, -0x1.f922ff68fcebdp-7, -0x1.05cb0ce447f08p-6, -0x1.0d9bbb4eca57ap-6, -0x1.13dec0f6dc6b4p-6, -0x1.18714ee4b5a8dp-6, -0x1.1b32b71f6fa28p-6, -0x1.1c048abec8b6ep-6, -0x1.1acab0b8a1ddap-6, -0x1.176b7610c82dp-6, -0x1.11cf980fdc9a5p-6, -0x1.09e249217b45ap-6, -0x1.ff2261e4d98e1p-7, -0x1.e598d0be2cb06p-7, -0x1.c70ce37170ec6p-7, -0x1.a3685bbc3ff97p-7, -0x1.7a999d34e278ap-7, -0x1.4c938d65ce67ap-7, -0x1.194d700625a4dp-7, -0x1.c1857ff89e745p-8, -0x1.45e60b8e8f815p-8, -0x1.7f86af6de208dp-9, -0x1.795d1718e0078p-11, 0x1.af2f1e3e1a7aep-10, 0x1.1106ed64ee5cap-8, 0x1.c063844eb5bebp-8, 0x1.3cdca86d121d7p-7, 0x1.9e6d427b36a63p-7, 0x1.02650766defd8p-6, 0x1.37eb8fca889a5p-6, 0x1.6fbb240b59e66p-6, 0x1.a9c3a48ca5147p-6, 0x1.e5f3fe1e83f11p-6, 0x1.121d1f89cca48p-5, 0x1.3241d5db20e86p-5, 0x1.535e690aae77ap-5, 0x1.7568ce9173221p-5, 0x1.9856b3902ef7fp-5, 0x1.bc1d85ab49219p-5, 0x1.e0b27b8bd961ep-5, 0x1.03054e82f7184p-4, 0x1.160d6572470aap-4, 0x1.296be32e3e6ddp-4, 0x1.3d1b1c1383a13p-4, 0x1.51155ba33a568p-4, 0x1.6554e7baf63b8p-4, 0x1.79d403a364141p-4, 0x1.8e8cf2f6b6f45p-4, 0x1.a379fc5ff18p-4, 0x1.b8956c342886bp-4, 0x1.cdd996e6de9f2p-4, 0x1.e340db5aa3a5bp-4, 0x1.f8c5a50efc4e3p-4, 0x1.073137166cda3p-3, 0x1.1208e0b94382fp-3, 0x1.1ce71e001b4ap-3, 0x1.27c9478319566p-3, 0x1.32acc0aad8a6ep-3, 0x1.3d8ef86a9ddc1p-3, 0x1.486d69ecd800fp-3, 0x1.53459d3250d7ap-3, 0x1.5e1527a49885p-3, 0x1.68d9ac9bff4aap-3, 0x1.7390ddd99f7d5p-3, 0x1.7e387bf5d170cp-3, 0x1.88ce56c374a83p-3, 0x1.93504da876179p-3, 0x1.9dbc4febed2d6p-3, 0x1.a8105cfa368ebp-3, 0x1.b24a849f68e29p-3, 0x1.bc68e7387ac02p-3, 0x1.c669b5db818cp-3, 0x1.d04b3277586e4p-3, 0x1.da0bafeb0e607p-3, 0x1.e3a9921570a7p-3, 0x1.ed234ddd0fd32p-3, 0x1.f67769310a123p-3, 0x1.ffa47b02faab1p-3, 0x1.0454959d30ac3p-2, 0x1.08c21950e6927p-2, 0x1.0d1a2d6715c64p-2, 0x1.115c3f003d2a3p-2, 0x1.1587c38122641p-2, 0x1.199c387e8e5ddp-2, 0x1.1d9923a6c0658p-2, 0x1.217e12a8ab45ap-2, 0x1.254a9b19318dbp-2, 0x1.28fe5a567b6e5p-2, 0x1.2c98f56990d1cp-2, 0x1.301a18e650c3p-2, 0x1.338178c9f7655p-2, 0x1.36ced05842c1cp-2, 0x1.3a01e1f761149p-2, 0x1.3d1a770ac6819p-2, 0x1.40185fcd03b3p-2, 0x1.42fb7328bded5p-2, 0x1.45c38e90e1aa6p-2, 0x1.487095d830b8p-2, 0x1.4b0273083acd8p-2, 0x1.4d791637e2e73p-2, 0x1.4fd4756185319p-2, 0x1.52148c38d1bfbp-2, 0x1.54395c00727abp-2, 0x1.5642eb5f955cp-2, 0x1.58314637634e3p-2, 0x1.5a047d7880b9fp-2, 0x1.5bbca6f8a16d8p-2, 0x1.5d59dd4841e67p-2, 0x1.5edc3f8895d24p-2, 0x1.6043f141b6c58p-2, 0x1.61911a3925a1fp-2, 0x1.62c3e648a06d6p-2, 0x1.63dc853565ac3p-2, 0x1.64db2a87e067ap-2, 0x1.65c00d63d4304p-2, 0x1.668b686105264p-2, 0x1.673d79646e112p-2, 0x1.67d6817a03a3dp-2, 0x1.6856c4af11affp-2, 0x1.68be89ed31d6cp-2, 0x1.690e1ad5e7279p-2, 0x1.6945c39edb96bp-2, 0x1.6965d2eeca4dp-2, 0x1.696e99bb165e5p-2, 0x1.69606b260ec85p-2, 0x1.693b9c5de8151p-2, 0x1.6900847c67ac4p-2, 0x1.68af7c6743051p-2, 0x1.6848deb13952fp-2, 0x1.67cd077bdf50fp-2, 0x1.673c545a25167p-2, 0x1.6697243392007p-2, 0x1.65ddd72839c35p-2, 0x1.6510ce75639b1p-2, 0x1.64306c5aeb152p-2, 0x1.633d1401544a4p-2, 0x1.6237296091c75p-2, 0x1.611f11277f386p-2, 0x1.5ff530a40b1e8p-2, 0x1.5eb9edac0e3e8p-2, 0x1.5d6dae86d28bcp-2, 0x1.5c10d9d744465p-2, 0x1.5aa3d686c8e85p-2, 0x1.59270bb0c27a6p-2, 0x1.579ae08eb2fe7p-2, 0x1.55ffbc6503769p-2, 0x1.545606706c542p-2, 0x1.529e25d3fa78bp-2, 0x1.50d88187ac63ap-2, 0x1.4f058047afe68p-2, 0x1.4d2588842c261p-2, 0x1.4b390051a6db5p-2, 0x1.49404d59f7a33p-2, 0x1.473bd4cdcb1f3p-2, 0x1.452bfb56af4dfp-2, 0x1.43112509aed3fp-2, 0x1.40ebb55a6e01ap-2, 0x1.3ebc0f0ece6ecp-2, 0x1.3c82943317675p-2, 0x1.3a3fa60e990d9p-2, 0x1.37f3a518cf774p-2, 0x1.359ef0ef00801p-2, 0x1.3341e84a51ac8p-2, 0x1.30dce8f652997p-2, 0x1.2e704fc7fb16fp-2, 0x1.2bfc78951d5e8p-2, 0x1.2981be2c4399ap-2, 0x1.27007a4cf9993p-2, 0x1.247905a08480cp-2, 0x1.21ebb7b2fd65ep-2, 0x1.1f58e6ecd65f2p-2, 0x1.1cc0e88cbf026p-2, 0x1.1a2410a1ebd86p-2, 0x1.1782b206bdb06p-2, 0x1.14dd1e5bc3fe8p-2, 0x1.1233a6031b25p-2, 0x1.0f86981c2476p-2, 0x1.0cd6427f9154dp-2, 0x1.0a22f1bbc79edp-2, 0x1.076cf11193ed2p-2, 0x1.04b48a7130b7bp-2, 0x1.01fa0677991e2p-2, 0x1.fe7b58d8515p-3, 0x1.f8ff847d0e352p-3, 0x1.f3811909b7febp-3, 0x1.ee009cf48f4eep-3, 0x1.e87e93fb4a623p-3, 0x1.e2fb7f2117c4p-3, 0x1.dd77dcad2251p-3, 0x1.d7f428299f527p-3, 0x1.d270da6349ac5p-3, 0x1.ccee69695e584p-3, 0x1.c76d488e09782p-3, 0x1.c1ede86746a2ep-3, 0x1.bc70b6d0273a3p-3, 0x1.b6f61eea8e9e7p-3, 0x1.b17e892149dd6p-3, 0x1.ac0a5b2a8f2bdp-3, 0x1.a699f80adc5f2p-3, 0x1.a12dc0183465cp-3, 0x1.9bc610fdb1315p-3, 0x1.966345bf711b6p-3, 0x1.9105b6becfef7p-3, 0x1.8badb9bef8ccap-3, 0x1.865ba1e9bf467p-3, 0x1.810fbfd4c0a65p-3, 0x1.7bca6186d295ap-3, 0x1.768bd27dabd4bp-3, 0x1.71545bb3d897dp-3, 0x1.6c2443a6e48c5p-3, 0x1.66fbce5dc26fcp-3, 0x1.61db3d6f6f77ep-3, 0x1.5cc2d009c477ap-3, 0x1.57b2c2f882d47p-3, 0x1.52ab50ac8910ap-3, 0x1.4dacb1433c1cbp-3, 0x1.48b71a8e191edp-3, 0x1.43cac01a69886p-3, 0x1.3ee7d339294e8p-3, 0x1.3a0e830704e32p-3, 0x1.353efc747de13p-3, 0x1.30796a4e2e82bp-3, 0x1.2bbdf5452779dp-3, 0x1.270cc3f7674c8p-3, 0x1.2265faf86eb6ep-3, 0x1.1dc9bcd9e07ccp-3, 0x1.19382a344389ep-3, 0x1.14b161afc5114p-3, 0x1.1035800d18953p-3, 0x1.0bc4a02e5ef8cp-3, 0x1.075edb2019006p-3, 0x1.03044822237f4p-3, 0x1.fd69f9617a64bp-4, 0x1.f4e2191b22018p-4, 0x1.ec71139189445p-4, 0x1.e417099413d16p-4, 0x1.dbd418b35c917p-4, 0x1.d3a85b5362d39p-4, 0x1.cb93e8bd9d0bep-4, 0x1.c396d53319a57p-4, 0x1.bbb131fe7ae1ap-4, 0x1.b3e30d860997ap-4, 0x1.ac2c735d91695p-4, 0x1.a48d6c5842405p-4, 0x1.9d05fe9a7aebap-4, 0x1.95962dab6cafdp-4, 0x1.8e3dfa86b9e9ep-4, 0x1.86fd63ade58c8p-4, 0x1.7fd46539af166p-4, 0x1.78c2f8eb49f11p-4, 0x1.71c9163d7281bp-4, 0x1.6ae6b2755f83ap-4, 0x1.641bc0b38abf7p-4, 0x1.5d68320454498p-4, 0x1.56cbf57079987p-4, 0x1.5046f80d6236p-4, 0x1.49d9250d3f669p-4, 0x1.438265cefd8c2p-4, 0x1.3d42a1ee0474dp-4, 0x1.3719bf51c909dp-4, 0x1.3107a23d29de7p-4, 0x1.2b0c2d5d9be5p-4, 0x1.252741da1ed7ep-4, 0x1.1f58bf620007p-4, 0x1.19a0843b64524p-4, 0x1.13fe6d519b9bp-4, 0x1.0e7256433dac4p-4, 0x1.08fc19700d423p-4, 0x1.039b9006a1b7ap-4, 0x1.fca12423b0d0ep-5, 0x1.f235ed0c14e0ap-5, 0x1.e7f5269c1003ep-5, 0x1.ddde7aafb305bp-5, 0x1.d3f1914287ecbp-5, 0x1.ca2e10882497dp-5, 0x1.c0939d0446154p-5, 0x1.b721d9a272f09p-5, 0x1.add867cd24777p-5, 0x1.a4b6e78478b91p-5, 0x1.9bbcf7746a138p-5, 0x1.92ea350a90897p-5, 0x1.8a3e3c8b67985p-5, 0x1.81b8a9271e30bp-5, 0x1.7959150decf19p-5, 0x1.711f1983f576fp-5, 0x1.690a4ef4aa62ep-5, 0x1.611a4d05bf6b2p-5, 0x1.594eaaa9a5ff8p-5, 0x1.51a6fe3191f5fp-5, 0x1.4a22dd5f090c2p-5, 0x1.42c1dd75011e3p-5, 0x1.3b83934888d99p-5, 0x1.34679350fe6fep-5, 0x1.2d6d71b7d667ap-5, 0x1.2694c267f0135p-5, 0x1.1fdd191c7c418p-5, 0x1.1946096f74bf3p-5, 0x1.12cf26e7a8892p-5, 0x1.0c78050659838p-5, 0x1.0640375470fd5p-5, 0x1.0027516f4bb4cp-5, 0x1.f459ce2a39506p-6, 0x1.e8a11861cf82ep-6, 0x1.dd23a9cc3616fp-6, 0x1.d1e0ab377e1cap-6, 0x1.c6d7460e93286p-6, 0x1.bc06a46e12ae9p-6, 0x1.b16df1387156ap-6, 0x1.a70c582956593p-6, 0x1.9ce105e849c29p-6, 0x1.92eb281aa1319p-6, 0x1.8929ed74c197ap-6, 0x1.7f9c85caab6b5p-6, 0x1.7642221fdc90ap-6, 0x1.6d19f4b68308dp-6, 0x1.6423311e109a1p-6, 0x1.5b5d0c412377fp-6, 0x1.52c6bc72d14bep-6, 0x1.4a5f797b5334cp-6, 0x1.42267ca4185f9p-6, 0x1.3a1b00c341546p-6, 0x1.323c424684ad8p-6, 0x1.2a897f3d865ccp-6, 0x1.2301f7639eafbp-6, 0x1.1ba4ec2915ff6p-6, 0x1.1471a0bbdc14ep-6, 0x1.0d675a0fb5a1bp-6, 0x1.06855ee5eddeap-6, 0x1.ff95efa90bf89p-7, 0x1.f26ede99d7152p-7, 0x1.e594234467769p-7, 0x1.d9045a1dcab26p-7, 0x1.ccbe23749bdedp-7, 0x1.c0c0237acf84p-7, 0x1.b509024ea5687p-7, 0x1.a9976c02d284cp-7, 0x1.9e6a10a5cb314p-7, 0x1.937fa44854f67p-7, 0x1.88d6df0356251p-7, 0x1.7e6e7cfcdd95dp-7, 0x1.74453e6c81865p-7, 0x1.6a59e79f03476p-7, 0x1.60ab40f95113p-7, 0x1.573816fad7f5ap-7, 0x1.4dff3a3f3ae8p-7, 0x1.44ff7f7f681p-7, 0x1.3c37bf922318dp-7, 0x1.33a6d76bee425p-7, 0x1.2b4ba81e71f6p-7, 0x1.232516d757c2dp-7, 0x1.1b320cdea396ap-7, 0x1.137177948d52p-7, 0x1.0be2486ee2727p-7, 0x1.048374f5f01d5p-7, 0x1.faa7ed81fcce5p-8, 0x1.eca596e4bbf25p-8, 0x1.defde9661bb22p-8, 0x1.d1aef05bfb61bp-8, 0x1.c4b6bf15dfa58p-8, 0x1.b81370d1ff84ep-8, 0x1.abc328b1a2208p-8, 0x1.9fc411acd386cp-8, 0x1.94145e857be74p-8, 0x1.88b249b9da8edp-8, 0x1.7d9c157673063p-8, 0x1.72d00b876e942p-8, 0x1.684c7d497854ap-8, 0x1.5e0fc39a208f1p-8, 0x1.54183ec7c823bp-8, 0x1.4a6456811b628p-8, 0x1.40f279c42744ep-8, 0x1.37c11ecd07a2ap-8, 0x1.2ecec3043c2c6p-8, 0x1.2619eaeca39b8p-8, 0x1.1da12211273a8p-8, 0x1.1562faf2194c9p-8, 0x1.0d5e0ef24ec7dp-8, 0x1.0590fe43f5c97p-8, 0x1.fbf4dfaa641ccp-9, 0x1.ed322279011f5p-9, 0x1.ded72d49d44adp-9, 0x1.d0e175740f6ffp-9, 0x1.c34e7d27bc61fp-9, 0x1.b61bd3452848dp-9, 0x1.a94713341467bp-9, 0x1.9ccde4baa625fp-9, 0x1.90adfbd42dffep-9, 0x1.84e51887c16e3p-9, 0x1.797106beb4b6dp-9, 0x1.6e4f9e1afa488p-9, 0x1.637ec1cd70129p-9, 0x1.58fc606c207a4p-9, 0x1.4ec673c87c8e6p-9, 0x1.44db00c5963b8p-9, 0x1.3b38172e6411cp-9, 0x1.31dbd18c0e9c5p-9, 0x1.28c454fc50dd9p-9, 0x1.1fefd107f06f4p-9, 0x1.175c7f7951c92p-9, 0x1.0f08a4332e4e1p-9, 0x1.06f28d0770a0fp-9, 0x1.fe31231c78a5dp-10, 0x1.eef225fa4bf5dp-10, 0x1.e024f7fd388f9p-10, 0x1.d1c6811312baep-10, 0x1.c3d3bb72655e5p-10, 0x1.b649b34aa6cb8p-10, 0x1.a9258674fb681p-10, 0x1.9c64642579d1fp-10, 0x1.90038c9d0ee37p-10, 0x1.840050dbe8d3cp-10, 0x1.7858125490daap-10, 0x1.6d08429f9bb34p-10, 0x1.620e633006621p-10, 0x1.5768050843bf1p-10, 0x1.4d12c86ff2e28p-10, 0x1.430c5caa54f8cp-10, 0x1.39527fad7199cp-10, 0x1.2fe2fdda05ca6p-10, 0x1.26bbb1b423c16p-10, 0x1.1dda839ca7785p-10, 0x1.153d698b61a17p-10, 0x1.0ce266ca1889fp-10, 0x1.04c78bb05060ep-10, 0x1.f9d5eabfc098ap-11, 0x1.ea959b04b32a3p-11, 0x1.dbca940e836a9p-11, 0x1.cd7159c63d349p-11, 0x1.bf86879eb3007p-11, 0x1.b206d015f0587p-11, 0x1.a4eefc385ad8dp-11, 0x1.983beb258601ep-11, 0x1.8bea9196b9a3bp-11, 0x1.7ff7f9672bc8ep-11, 0x1.7461411df148p-11, 0x1.69239b79a1d48p-11, 0x1.5e3c4efdb4836p-11, 0x1.53a8b581919c9p-11, 0x1.49663bc159b8ep-11, 0x1.3f7260f062ap-11, 0x1.35cab64d69e68p-11, 0x1.2c6cdeb87ad1cp-11, 0x1.23568e4a8540cp-11, 0x1.1a8589eea96f5p-11, 0x1.11f7a6fd2f1c7p-11, 0x1.09aacad82e63dp-11, 0x1.019cea89e22dep-11, 0x1.f39814c947fb7p-12, 0x1.e46c7b4923925p-12, 0x1.d5b34c25aa98fp-12, 0x1.c768e7552002dp-12, 0x1.b989c87eca62p-12, 0x1.ac12864b411a4p-12, 0x1.9effd1b7ee959p-12, 0x1.924e756db9f7bp-12, 0x1.85fb551adb045p-12, 0x1.7a036ccfc9ce2p-12, 0x1.6e63d05f46952p-12, 0x1.6319aac171b87p-12, 0x1.58223d79ecfa6p-12, 0x1.4d7ae000fc2e2p-12, 0x1.4320ff2f9fe84p-12, 0x1.39121caea1a29p-12, 0x1.2f4bce68876b3p-12, 0x1.25cbbdfe6a9ecp-12, 0x1.1c8fa83fa2cf8p-12, 0x1.13955ca443f42p-12, 0x1.0adabcca63419p-12, 0x1.025dbbf617e09p-12, 0x1.f438bd2867ca8p-13, 0x1.e429737f52be3p-13, 0x1.d489e5932165ep-13, 0x1.c5567d879a2f6p-13, 0x1.b68bc41c85329p-13, 0x1.a8265fcd203ffp-13, 0x1.9a2313f49f766p-13, 0x1.8c7ebff78f267p-13, 0x1.7f365e7217e7dp-13, 0x1.7247046b04756p-13, 0x1.65ade08b81339p-13, 0x1.59683a5b80aa3p-13, 0x1.4d737182a9059p-13, 0x1.41ccfd0dc8d12p-13, 0x1.36726ab8b3662p-13, 0x1.2b615e3c778bp-13, 0x1.209790a1dc724p-13, 0x1.1612cf9819647p-13, 0x1.0bd0fccfac278p-13, 0x1.01d00d593dee5p-13, 0x1.f01c1211266b6p-14, 0x1.dd1213b6b4d76p-14, 0x1.ca7e76c7bf604p-14, 0x1.b85db46f171d5p-14, 0x1.a6ac66c2235bp-14, 0x1.956747aca6155p-14, 0x1.848b2fe3908d5p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b0d317ae8b79p-3, -0x1.69fbed7b3675ep-3, -0x1.785f5ee5897a9p-3, -0x1.8637fff8b19efp-3, -0x1.9387fd9e56da7p-3, -0x1.a052fc4362024p-3, -0x1.ac9ddd7ff174p-3, -0x1.b86e87d5aa97cp-3, -0x1.c3cbb1739cdc2p-3, -0x1.cebcaea63f14ep-3, -0x1.d949445e4b548p-3, -0x1.e3797f0913dfcp-3, -0x1.ed558dce87167p-3, -0x1.f6e5a22b1af4bp-3, -0x1.0018e9e28c039p-2, -0x1.04a10425f099ap-2, -0x1.090eef91fca57p-2, -0x1.0d66504d630c4p-2, -0x1.11aa982c44315p-2, -0x1.15df016293921p-2, -0x1.1a068a8a4c1aep-2, -0x1.1e23f3d8b51aap-2, -0x1.2239bd5f72a3ap-2, -0x1.264a2637f5d67p-2, -0x1.2a572c7a03cc3p-2, -0x1.2e628de05eaa5p-2, -0x1.326dc900f9935p-2, -0x1.367a1f00822afp-2, -0x1.3a8895ab6b85p-2, -0x1.3e99f9e0de20cp-2, -0x1.42aee23e1dcdap-2, -0x1.46c7b1fafdbdcp-2, -0x1.4ae49be9cf014p-2, -0x1.4f05a58f01ab2p-2, -0x1.532aaa463850ap-2, -0x1.57535e6c04481p-2, -0x1.5b7f5284c8b62p-2, -0x1.5fadf65a6d871p-2, -0x1.63de9c0b990e2p-2, -0x1.68107b0808a0ep-2, -0x1.6c42b2f675642p-2, -0x1.70744e812f2c9p-2, -0x1.74a4460729c86p-2, -0x1.78d1822fcc5f9p-2, -0x1.7cfade604b16dp-2, -0x1.811f2b11b5a84p-2, -0x1.853d3007418eap-2, -0x1.8953ae64a1243p-2, -0x1.8d6162a47d42cp-2, -0x1.9165066f4f676p-2, -0x1.955d52531ef9ep-2, -0x1.9948ff5cac40cp-2, -0x1.9d26c892cf5d1p-2, -0x1.a0f56c54d0554p-2, -0x1.a4b3ad9ca7e14p-2, -0x1.a860552612f1bp-2, -0x1.abfa327b7cde5p-2, -0x1.af801ce9cc139p-2, -0x1.b2f0f45c11a74p-2, -0x1.b64ba2203a948p-2, -0x1.b98f1995c76d2p-2, -0x1.bcba58c7a3fa4p-2, -0x1.bfcc68f2263dp-2, -0x1.c2c45ef6449cdp-2, -0x1.c5a15bbb080ffp-2, -0x1.c8628c7e3b889p-2, -0x1.cb072b1557bbfp-2, -0x1.cd8e7e1f9bd66p-2, -0x1.cff7d92a4571cp-2, -0x1.d2429cc7d0e6p-2, -0x1.d46e369b1d6b8p-2, -0x1.d67a215750144p-2, -0x1.d865e4b54a78fp-2, -0x1.da31155f74dcep-2, -0x1.dbdb54d4a686cp-2, -0x1.dd645142de6e9p-2, -0x1.decbc55a83a61p-2, -0x1.e011781acf552p-2, -0x1.e1353c980b5f5p-2, -0x1.e236f1bc3513bp-2, -0x1.e3168202a2aa4p-2, -0x1.e3d3e32f2a3afp-2, -0x1.e46f16015b4fap-2, -0x1.e4e825e43a561p-2, -0x1.e53f289affb1bp-2, -0x1.e5743deb4549dp-2, -0x1.e5878f450910dp-2, -0x1.e5794f68ed2dep-2, -0x1.e549ba0d0c6fcp-2, -0x1.e4f91380bf62cp-2, -0x1.e487a84f9f735p-2, -0x1.e3f5cce413c12p-2, -0x1.e343dd29b2685p-2, -0x1.e2723c2fb12f3p-2, -0x1.e18153cba8018p-2, -0x1.e071943cda00ap-2, -0x1.df4373d03acffp-2, -0x1.ddf76e855b37ap-2, -0x1.dc8e05b46e5ffp-2, -0x1.db07bfb589f2fp-2, -0x1.d965278948491p-2, -0x1.d7a6cc82ec4bp-2, -0x1.d5cd41f420fc4p-2, -0x1.d3d91eda7225p-2, -0x1.d1cafd8e95dbcp-2, -0x1.cfa37b7596c3dp-2, -0x1.cd6338b3f33bep-2, -0x1.cb0ad7e2c232ep-2, -0x1.c89afdc6e5fecp-2, -0x1.c614510a5c285p-2, -0x1.c37779f7af749p-2, -0x1.c0c522379799bp-2, -0x1.bdfdf490c0e8bp-2, -0x1.bb229ca9cf453p-2, -0x1.b833c6cd8e593p-2, -0x1.b5321fb159213p-2, -0x1.b21e543db3fbfp-2, -0x1.aef9115916277p-2, -0x1.abc303b4e38ebp-2, -0x1.a87cd79c8cc8ep-2, -0x1.a52738c6d4698p-2, -0x1.a1c2d2292ff4cp-2, -0x1.9e504dcd3fa11p-2, -0x1.9ad054a8556cp-2, -0x1.97438e7501653p-2, -0x1.93aaa18e99f2ap-2, -0x1.900632ceb9e6p-2, -0x1.8c56e56ca6507p-2, -0x1.889d5ade950b5p-2, -0x1.84da32bcc5e28p-2, -0x1.810e0aa668392p-2, -0x1.7d397e283c70bp-2, -0x1.795d26a4ea7b8p-2, -0x1.75799b3eff157p-2, -0x1.718f70c484a59p-2, -0x1.6d9f399c2b061p-2, -0x1.69a985b3f87c9p-2, -0x1.65aee2716a5ecp-2, -0x1.61afdaa30c6e8p-2, -0x1.5dacf67366d11p-2, -0x1.59a6bb5d47e91p-2, -0x1.559dac2155d82p-2, -0x1.519248bcd8b3fp-2, -0x1.4d850e61be5p-2, -0x1.4976776fbc575p-2, -0x1.4566fb6e958dp-2, -0x1.41570f0966ee5p-2, -0x1.3d47240b003c2p-2, -0x1.3937a95b341fep-2, -0x1.35290afd16403p-2, -0x1.311bb20e234f2p-2, -0x1.2d1004c63ca45p-2, -0x1.290666787d1a7p-2, -0x1.24ff3794cdaep-2, -0x1.20fad5aa3cf1bp-2, -0x1.1cf99b6a058d3p-2, -0x1.18fbe0ab466a7p-2, -0x1.1501fa6f537fdp-2, -0x1.110c3ae6aaa65p-2, -0x1.0d1af1766f74ap-2, -0x1.092e6abe760a3p-2, -0x1.0546f09fcc13ap-2, -0x1.0164ca43b8fedp-2, -0x1.fb10784667396p-3, -0x1.f363101d79d58p-3, -0x1.ebc1da6d40e94p-3, -0x1.e42d50671f8p-3, -0x1.dca5e61f2534ep-3, -0x1.d52c0a9e8d225p-3, -0x1.cdc027f6cd137p-3, -0x1.c662a35528a6bp-3, -0x1.bf13dd16c3fafp-3, -0x1.b7d430dd18e16p-3, -0x1.b0a3f5a2dca5fp-3, -0x1.a9837dd135023p-3, -0x1.a273175540a08p-3, -0x1.9b730bb5e5fd2p-3, -0x1.9483a029d9b1dp-3, -0x1.8da515adddee9p-3, -0x1.86d7a91b2b492p-3, -0x1.801b933df7752p-3, -0x1.797108ec20ed7p-3, -0x1.72d83b1be60d4p-3, -0x1.6c5156faa95a7p-3, -0x1.65dc8603c301ep-3, -0x1.5f79ee174a692p-3, -0x1.5929b190d997cp-3, -0x1.52ebef5e49975p-3, -0x1.4cc0c31657f48p-3, -0x1.46a8450f339f8p-3, -0x1.40a28a74f6723p-3, -0x1.3aafa55ff1da3p-3, -0x1.34cfa4eadd9afp-3, -0x1.2f029548dd37fp-3, -0x1.29487fdb541d9p-3, -0x1.23a16b4789683p-3, -0x1.1e0d5b8c1a69dp-3, -0x1.188c52162f9d1p-3, -0x1.131e4dd67befcp-3, -0x1.0dc34b55faf69p-3, -0x1.087b44ca6eea9p-3, -0x1.0346322a9bcccp-3, -0x1.fc4812847d9e4p-4, -0x1.f2297b8b7976cp-4, -0x1.e83082cb0eb02p-4, -0x1.de5d07c270128p-4, -0x1.d4aee634bd97ap-4, -0x1.cb25f64e024a3p-4, -0x1.c1c20cc799187p-4, -0x1.b882fb0bec48cp-4, -0x1.af688f5991528p-4, -0x1.a67294e5c9e78p-4, -0x1.9da0d3fe4fca5p-4, -0x1.94f3122a88a59p-4, -0x1.8c69124c03a1ap-4, -0x1.840294be5ac2ap-4, -0x1.7bbf577662983p-4, -0x1.739f1620b1915p-4, -0x1.6ba18a3f7fa98p-4, -0x1.63c66b47d872bp-4, -0x1.5c0d6ebe2659dp-4, -0x1.5476485211b08p-4, -0x1.4d00a9f9b8c3dp-4, -0x1.45ac440c3da87p-4, -0x1.3e78c55bad9a4p-4, -0x1.3765db4e405b2p-4, -0x1.307331f6f3c8bp-4, -0x1.29a0742d7ff81p-4, -0x1.22ed4ba5ab0dfp-4, -0x1.1c596105f8f3ep-4, -0x1.15e45bfdbaf6cp-4, -0x1.0f8de35a81983p-4, -0x1.09559d1cf065ap-4, -0x1.033b2e8cf53cfp-4, -0x1.fa7c789acf7f6p-5, -0x1.eebcd4de1f70bp-5, -0x1.e336b9062bef1p-5, -0x1.d7e96b59c1c6fp-5, -0x1.ccd43166c023ep-5, -0x1.c1f650238e8d6p-5, -0x1.b74f0c0f76f38p-5, -0x1.acdda951ed4b7p-5, -0x1.a2a16bd8bdb23p-5, -0x1.98999775346fep-5, -0x1.8ec56ff836b59p-5, -0x1.8524394d58c03p-5, -0x1.7bb53794f53eep-5, -0x1.7277af3d47c06p-5, -0x1.696ae51a90d53p-5, -0x1.608e1e7e487bp-5, -0x1.57e0a14d64172p-5, -0x1.4f61b415b2777p-5, -0x1.47109e2256ff5p-5, -0x1.3eeca78f634c2p-5, -0x1.36f5195c9877dp-5, -0x1.2f293d7f53239p-5, -0x1.27885ef3a6ddfp-5, -0x1.2011c9ccae2b7p-5, -0x1.18c4cb441369fp-5, -0x1.11a0b1c8d6c9p-5, -0x1.0aa4cd0d585eep-5, -0x1.03d06e14a8782p-5, -0x1.fa45ce7e4783ep-6, -0x1.ed3718acbda9ap-6, -0x1.e0736530d1b85p-6, -0x1.d3f96184cab76p-6, -0x1.c7c7be350a536p-6, -0x1.bbdd2ef2c1762p-6, -0x1.b0386aa572c3bp-6, -0x1.a4d82b7b4c22ep-6, -0x1.99bb2ef85c3ddp-6, -0x1.8ee03604af3d6p-6, -0x1.844604f95c989p-6, -0x1.79eb63ac88cap-6, -0x1.6fcf1d7c67942p-6, -0x1.65f0015945df2p-6, -0x1.5c4ce1cea2eddp-6, -0x1.52e4950b5d215p-6, -0x1.49b5f4e901148p-6, -0x1.40bfdef23a58fp-6, -0x1.3801346873359p-6, -0x1.2f78da48a853cp-6, -0x1.2725b94f78cbcp-6, -0x1.1f06bdfc71ddap-6, -0x1.171ad894aef6ap-6, -0x1.0f60fd24bbb7ep-6, -0x1.07d82381d6403p-6, -0x1.007f474a8ab01p-6, -0x1.f2aacfcd5c795p-7, -0x1.e4b3110d8b907p-7, -0x1.d7156045bcabap-7, -0x1.c9cfd2f1a204ap-7, -0x1.bce0861419195p-7, -0x1.b0459e31a9e32p-7, -0x1.a3fd474a1f3fcp-7, -0x1.9805b4d12a778p-7, -0x1.8c5d21a62c9f2p-7, -0x1.8101d00b2cde3p-7, -0x1.75f2099af4915p-7, -0x1.6b2c1f3e8121p-7, -0x1.60ae69219fed3p-7, -0x1.567746a6f509ep-7, -0x1.4c851e5b4dd73p-7, -0x1.42d65de8513p-7, -0x1.39697a06a9c13p-7, -0x1.303cee6f94956p-7, -0x1.274f3dcdf23a7p-7, -0x1.1e9ef1aed7b1p-7, -0x1.162a9a71aa686p-7, -0x1.0df0cf37cd2f3p-7, -0x1.05f02dd3e6af8p-7, -0x1.fc4eb5718d555p-8, -0x1.ed2a01cfe3ae7p-8, -0x1.de6fa3bfb44afp-8, -0x1.d01d0b1396093p-8, -0x1.c22fb44f1bc22p-8, -0x1.b4a528819c13dp-8, -0x1.a77afd20833b4p-8, -0x1.9aaed3e139692p-8, -0x1.8e3e5a92a769cp-8, -0x1.82274af6664c1p-8, -0x1.76676a99a1e8dp-8, -0x1.6afc8aadb86bbp-8, -0x1.5fe487e0a0712p-8, -0x1.551d4a351f023p-8, -0x1.4aa4c4dad3e77p-8, -0x1.4078f606286edp-8, -0x1.3697e6c8244acp-8, -0x1.2cffaae632f7bp-8, -0x1.23ae60b1e13e9p-8, -0x1.1aa230e096c7bp-8, -0x1.11d94e635625fp-8, -0x1.0951f63e886d1p-8, -0x1.010a6f61d9ab3p-8, -0x1.f2021500585d4p-9, -0x1.e26843cf5855fp-9, -0x1.d34432b402f7dp-9, -0x1.c492bbc95aa23p-9, -0x1.b650cb732665dp-9, -0x1.a87b600f63324p-9, -0x1.9b0f89a8298a3p-9, -0x1.8e0a69a5fe2eap-9, -0x1.81693282a6849p-9, -0x1.7529277c7e74ep-9, -0x1.69479c4a59e95p-9, -0x1.5dc1f4cff666dp-9, -0x1.5295a4d30b683p-9, -0x1.47c02fb0f3d7fp-9, -0x1.3d3f2814febcep-9, -0x1.33102faf6b095p-9, -0x1.2930f6ed0d6dp-9, -0x1.1f9f3cafb34e3p-9, -0x1.1658ce0733b5bp-9, -0x1.0d5b85eb42734p-9, -0x1.04a54cf60459p-9, -0x1.f868323ec37c6p-10, -0x1.e80bdaf24cf73p-10, -0x1.d831b3d7c84p-10, -0x1.c8d5f5e95420ap-10, -0x1.b9f4f2c7043fbp-10, -0x1.ab8b14358e0a5p-10, -0x1.9d94db9e91b26p-10, -0x1.900ee1929144ap-10, -0x1.82f5d54c93964p-10, -0x1.76467c37730ap-10, -0x1.69fdb174e48fcp-10, -0x1.5e1865662cbb9p-10, -0x1.52939d3689b63p-10, -0x1.476c726756887p-10, -0x1.3ca0125de57fcp-10, -0x1.322bbdf3078adp-10, -0x1.280cc9045b936p-10, -0x1.1e409a07452fp-10, -0x1.14c4a99da24adp-10, -0x1.0b96822c36d13p-10, -0x1.02b3bf72c610ep-10, -0x1.f4341c4bd2a4ap-11, -0x1.e38e57151e753p-11, -0x1.d371ca266288cp-11, -0x1.c3da2ffd688e1p-11, -0x1.b4c361f1ee2aep-11, -0x1.a629577a10e7ap-11, -0x1.980825720bee3p-11, -0x1.8a5bfd673c95cp-11, -0x1.7d212ce668c49p-11, -0x1.70541ccd443dp-11, -0x1.63f1509f2a04dp-11, -0x1.57f565dd05a08p-11, -0x1.4c5d136065d42p-11, -0x1.412528b9ae548p-11, -0x1.364a8d9165b4ep-11, -0x1.2bca410c9281cp-11, -0x1.21a159342581ep-11, -0x1.17cd025f639a6p-11, -0x1.0e4a7ea149b6p-11, -0x1.05172538e3793p-11, -0x1.f860c40911a9ep-12, -0x1.e72769eff9ae2p-12, -0x1.d67d632ac72a5p-12, -0x1.c65dfcd20a956p-12, -0x1.b6c4a90fafd1p-12, -0x1.a7acfe21888c9p-12, -0x1.9912b5613be9ep-12, -0x1.8af1aa5189d23p-12, -0x1.7d45d9b0ce2b2p-12, -0x1.700b6090b1743p-12, -0x1.633e7b72f696dp-12, -0x1.56db856b4c3cdp-12, -0x1.4adef74616dedp-12, -0x1.3f4566b419dep-12, -0x1.340b857af1416p-12, -0x1.292e20aa451ccp-12, -0x1.1eaa1fd5a6ep-12, -0x1.147c8453052ffp-12, -0x1.0aa2687d9eddfp-12, -0x1.0118fefd677b8p-12, -0x1.efbb242594584p-13, -0x1.dddb05cd65af5p-13, -0x1.cc8c91bd9f8b7p-13, -0x1.bbcae1ebf33fcp-13, -0x1.ab913a315142cp-13, -0x1.9bdb070adbe61p-13, -0x1.8ca3dc62ab743p-13, -0x1.7de774604e16ep-13, -0x1.6fa1ae40d595bp-13, -0x1.61ce8d364dff3p-13, -0x1.546a374e8a52ap-13, -0x1.4770f461081cap-13, -0x1.3adf2d03e01f1p-13, -0x1.2eb1698791935p-13, -0x1.22e450f9909abp-13, -0x1.1774a82d6ca35p-13, -0x1.0c5f50cc6e514p-13, -0x1.01a1486b949d6p-13, -0x1.ee6f4f4f8a092p-14, -0x1.da3f429025ba1p-14, -0x1.c6ad02cc002eep-14, -0x1.b3b359371f95bp-14, -0x1.a14d3e6e2bd43p-14, -0x1.8f75d8e938a81p-14, -0x1.7e287b7981604p-14, -0x1.6d60a3d1de293p-14, -0x1.5d19f919b469ep-14, -0x1.4d504a8a24c37p-14, -0x1.3dff8e1541329p-14, -0x1.2f23df170e41ap-14, -0x1.20b97d1019cap-14, -0x1.12bcca696d43bp-14, -0x1.052a4b41a597cp-14, -0x1.effd4885f984cp-15, -0x1.d66d330417992p-15, -0x1.bd9e1aca2a67p-15, -0x1.a589ff2743631p-15, -0x1.8e2b17dc7b61bp-15, -0x1.777bd31c4c74ap-15, -0x1.6176d3996581bp-15, -0x1.4c16eea49bb4ep-15, -0x1.37572a5998e15p-15, -0x1.2332bbd9ea39dp-15, -0x1.0fa5059613ddap-15, -0x1.f9532b48a4117p-16, -0x1.d478484957574p-16, -0x1.b0b123640ab4fp-16, -0x1.8df5cbbfb5b9dp-16, -0x1.6c3e9b88a0efap-16, -0x1.4b84351c8c624p-16, -0x1.2bbf804e42106p-16, -0x1.0ce9a7bff3965p-16, -0x1.ddf82ca7932c9p-17, -0x1.a3e0e96416c4dp-17, -0x1.6b814dc8a1eb5p-17, -0x1.34cd940a5627cp-17, -0x1.ff74c80ecf9cbp-18, -0x1.98799de9ea9f6p-18, -0x1.3494966522699p-18, -0x1.a762c109a4474p-19, -0x1.d6f197284997dp-20, -0x1.aa2c2af7ae0d9p-22, 0x1.ed6e04b6acaa1p-21, 0x1.268d6e33a631p-19, 0x1.cc722bdd3f8bbp-19, 0x1.36953aaff8f35p-18, 0x1.846af1c3c1e52p-18, 0x1.cfc97c66689edp-18, 0x1.0c5fcb3eed522p-17, 0x1.2fadbe1adaabp-17, 0x1.51d577b3279e8p-17, 0x1.72dd9e641ba65p-17, 0x1.92cca07ad5985p-17, 0x1.b1a8b69dd3256p-17, 0x1.cf77e61de5cedp-17, 0x1.ec4003307a782p-17, 0x1.04035989d7f96p-16, 0x1.1168b70e93b6cp-16, 0x1.1e52c0da055b6p-16, 0x1.2ac4091b8570ap-16, 0x1.36bf0e677a2fdp-16, 0x1.42463c9737f55p-16, 0x1.4d5bed9fd0b95p-16, 0x1.58026a600a0bcp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d835ccb3b93b9p-1, 0x1.d537c3bc9a72ep-1, 0x1.d225e4d8daa6p-1, 0x1.cf00f7986eb3ap-1, 0x1.cbc9ff06af14fp-1, 0x1.c88233614f2f9p-1, 0x1.c52afabb7348ep-1, 0x1.c1c5e10b06e68p-1, 0x1.be54900420be4p-1, 0x1.bad8c70f8729cp-1, 0x1.b75453961e632p-1, 0x1.b3c909cade5ecp-1, 0x1.b038be0fa26f2p-1, 0x1.aca53f0643d23p-1, 0x1.a9105056d2352p-1, 0x1.a57ba62ce0e28p-1, 0x1.a1e8e168b5764p-1, 0x1.9e598c7d36b02p-1, 0x1.9acf18f0b37a2p-1, 0x1.974add74bd40ep-1, 0x1.93ce148821eeep-1, 0x1.9059db9586df6p-1, 0x1.8cef328109505p-1, 0x1.898efb977e11bp-1, 0x1.8639fbd272bfcp-1, 0x1.82f0db64b94cfp-1, 0x1.7fb4268416a76p-1, 0x1.7c844e658ee53p-1, 0x1.7961aa62b2ea5p-1, 0x1.764c793f3fe22p-1, 0x1.7344e2874b87ap-1, 0x1.704af7ff15712p-1, 0x1.6d5eb71e6d15ap-1, 0x1.6a800a926261ep-1, 0x1.67aecbc0b0f7fp-1, 0x1.64eac449010edp-1, 0x1.6233af80aee1dp-1, 0x1.5f893be65b33bp-1, 0x1.5ceb0c8b00c97p-1, 0x1.5a58ba6ebc048p-1, 0x1.57d1d5cfd1d98p-1, 0x1.5555e76adc021p-1, 0x1.52e471ab4b7b6p-1, 0x1.507cf1cbb45ccp-1, 0x1.4e1ee0e58915bp-1, 0x1.4bc9b4f026824p-1, 0x1.497ce1af2f12cp-1, 0x1.4737d9905cd5fp-1, 0x1.44fa0e790dadap-1, 0x1.42c2f283e2bf3p-1, 0x1.4091f8aee2d4ap-1, 0x1.3e66957a98305p-1, 0x1.3c403f7ab81a6p-1, 0x1.3a1e6fd8e1c4fp-1, 0x1.3800a2ca0e773p-1, 0x1.35e657f74f8fbp-1, 0x1.33cf12da7ae63p-1, 0x1.31ba5b0f6419bp-1, 0x1.2fa7bc9a44db9p-1, 0x1.2d96c823f0216p-1, 0x1.2b87132c73305p-1, 0x1.29783834b532dp-1, 0x1.2769d6dfb3065p-1, 0x1.255b940be6d75p-1, 0x1.234d19e564fdbp-1, 0x1.213e17f13e92cp-1, 0x1.1f2e4312a66fdp-1, 0x1.1d1d558a59e36p-1, 0x1.1b0b0ef0c6efap-1, 0x1.18f7342b63be7p-1, 0x1.16e18f5da342cp-1, 0x1.14c9efd5f4c2ep-1, 0x1.12b029f72e2cap-1, 0x1.1094171ec2d5ap-1, 0x1.0e7595881e2e1p-1, 0x1.0c54882d79093p-1, 0x1.0a30d6a676e44p-1, 0x1.080a6d04d9ac2p-1, 0x1.05e13baf8e341p-1, 0x1.03b5373c56681p-1, 0x1.018658484d0d5p-1, 0x1.fea9369eff809p-2, 0x1.fa4001079cf1fp-2, 0x1.f5d1174691507p-2, 0x1.f15c879c660fep-2, 0x1.ece266b9bd28ap-2, 0x1.e862cf6afaa49p-2, 0x1.e3dde24422116p-2, 0x1.df53c54d3935cp-2, 0x1.dac4a3af60dadp-2, 0x1.d630ad62dd471p-2, 0x1.d19816de408ep-2, 0x1.ccfb18c6e3207p-2, 0x1.c859efa2ce3cdp-2, 0x1.c3b4db8c42785p-2, 0x1.bf0c1fe6ee2b6p-2, 0x1.ba600316fd192p-2, 0x1.b5b0ce3a0d316p-2, 0x1.b0fecce21f4c5p-2, 0x1.ac4a4cd29c0fbp-2, 0x1.a7939dbf6cfe9p-2, 0x1.a2db110e43346p-2, 0x1.9e20f99a0c3d5p-2, 0x1.9965ab7899e17p-2, 0x1.94a97bc289a48p-2, 0x1.8fecc05d640f2p-2, 0x1.8b2fcfc7f9ea2p-2, 0x1.867300e8fe19cp-2, 0x1.81b6aadfd2dd3p-2, 0x1.7cfb24d79028dp-2, 0x1.7840c5dc32662p-2, 0x1.7387e4b1f35adp-2, 0x1.6ed0d7aebf949p-2, 0x1.6a1bf495c3844p-2, 0x1.6569907502a4dp-2, 0x1.60b9ff84f2865p-2, 0x1.5c0d950a09776p-2, 0x1.5764a3383b85dp-2, 0x1.52bf7b1852eccp-2, 0x1.4e1e6c6f1c76cp-2, 0x1.4981c5a659c0cp-2, 0x1.44e9d3b76918p-2, 0x1.4056e2179b78dp-2, 0x1.3bc93aa624e48p-2, 0x1.3741259b9e41p-2, 0x1.32bee97b080d5p-2, 0x1.2e42cb04435cp-2, 0x1.29cd0d27ee2a6p-2, 0x1.255df0fc9ab8fp-2, 0x1.20f5b5b553622p-2, 0x1.1c94989959c8p-2, 0x1.183ad4fd196e7p-2, 0x1.13e8a43c3ad81p-2, 0x1.0f9e3db4d08d9p-2, 0x1.0b5bd6c38ce87p-2, 0x1.0721a2c0f44fdp-2, 0x1.02efd2ff815a4p-2, 0x1.fd8d2d95616c9p-3, 0x1.f54c36cdc3e0dp-3, 0x1.ed1d182415c7fp-3, 0x1.e500240a5417bp-3, 0x1.dcf5a8ecea1f6p-3, 0x1.d4fdf138622a4p-3, 0x1.cd1943605ffb9p-3, 0x1.c547e1e7ce475p-3, 0x1.bd8a0b6a2aeb3p-3, 0x1.b5dffaa5db095p-3, 0x1.ae49e6877ffc5p-3, 0x1.a6c8023630fd5p-3, 0x1.9f5a7d208a892p-3, 0x1.9801830a88f61p-3, 0x1.90bd3c1c19feep-3, 0x1.898dccf051086p-3, 0x1.827356a53c5e9p-3, 0x1.7b6df6ec42c9p-3, 0x1.747dc81afc446p-3, 0x1.6da2e13c817b1p-3, 0x1.66dd56231ce0cp-3, 0x1.602d377a52e36p-3, 0x1.599292d93cca4p-3, 0x1.530d72d524acep-3, 0x1.4c9ddf14538d3p-3, 0x1.4643dc611a607p-3, 0x1.3fff6cbcf2d83p-3, 0x1.39d08f73c8a1ap-3, 0x1.33b7412f4fd67p-3, 0x1.2db37c0a66dd1p-3, 0x1.27c537a48114fp-3, 0x1.21ec69350a78ep-3, 0x1.1c29039ec7bd3p-3, 0x1.167af7831b28cp-3, 0x1.10e2335542656p-3, 0x1.0b5ea36d6cba1p-3, 0x1.05f0321bb35e2p-3, 0x1.0096c7baf3023p-3, 0x1.f6a49586dbdf3p-4, 0x1.ec453fba9b36fp-4, 0x1.e20f53e5c9cacp-4, 0x1.d80294858226fp-4, 0x1.ce1ec0e30a4ep-4, 0x1.c463953701292p-4, 0x1.bad0cacc0f116p-4, 0x1.b166182117aecp-4, 0x1.a823310adb95fp-4, 0x1.9f07c6d50d294p-4, 0x1.96138862ccc5ep-4, 0x1.8d46224e96cdp-4, 0x1.849f3f09940b7p-4, 0x1.7c1e86fa4b74p-4, 0x1.73c3a09ab8281p-4, 0x1.6b8e3095bc996p-4, 0x1.637dd9e3f34b7p-4, 0x1.5b923de7daeb1p-4, 0x1.53cafc895d35ap-4, 0x1.4c27b450afa06p-4, 0x1.44a802808c86cp-4, 0x1.3d4b832fc4b02p-4, 0x1.3611d1622af16p-4, 0x1.2efa8720d637bp-4, 0x1.28053d91be082p-4, 0x1.21318d0eb0397p-4, 0x1.1a7f0d3ba09bcp-4, 0x1.13ed551c536f5p-4, 0x1.0d7bfb29646d3p-4, 0x1.072a9564ab9c6p-4, 0x1.00f8b96cfeb88p-4, 0x1.f5cbf922ab598p-5, 0x1.e9e3e7c69defap-5, 0x1.de3868922ea13p-5, 0x1.d2c8a51d713p-5, 0x1.c793c6ed9b418p-5, 0x1.bc98f795429fep-5, 0x1.b1d760d36fb56p-5, 0x1.a74e2cb18d68cp-5, 0x1.9cfc85a0370ep-5, 0x1.92e19692eac0fp-5, 0x1.88fc8b1aa78ddp-5, 0x1.7f4c8f7f76b2cp-5, 0x1.75d0d0d8e9208p-5, 0x1.6c887d258c655p-5, 0x1.6372c3615f734p-5, 0x1.5a8ed39b457f6p-5, 0x1.51dbdf0983ff9p-5, 0x1.4959181d4ab77p-5, 0x1.4105b29551715p-5, 0x1.38e0e38f8784ep-5, 0x1.30e9e199e6c27p-5, 0x1.291fe4c2625f4p-5, 0x1.218226a600aacp-5, 0x1.1a0fe27f1fe6p-5, 0x1.12c85532ed46dp-5, 0x1.0baabd5e14226p-5, 0x1.04b65b60a75afp-5, 0x1.fbd4e2d29c6fp-6, 0x1.ee8c86ff6e35fp-6, 0x1.e1922f1cab78cp-6, 0x1.d4e46ad6e93c3p-6, 0x1.c881cdc3316a5p-6, 0x1.bc68ef6e888bcp-6, 0x1.b0986b6c2cfddp-6, 0x1.a50ee162a1f1cp-6, 0x1.99caf51791773p-6, 0x1.8ecb4e7a82c17p-6, 0x1.840e99ae8180dp-6, 0x1.79938712a9a68p-6, 0x1.6f58cb49b5d49p-6, 0x1.655d1f408807ap-6, 0x1.5b9f4033bf7cp-6, 0x1.521defb462d5ep-6, 0x1.48d7f3aba15ddp-6, 0x1.3fcc165dbf061p-6, 0x1.36f9266c2596ap-6, 0x1.2e5df6d6ad4cbp-6, 0x1.25f95efc228dcp-6, 0x1.1dca3a9a0d9c6p-6, 0x1.15cf69cbc5736p-6, 0x1.0e07d108d41dfp-6, 0x1.06725922bb526p-6, 0x1.fe1bde8421bdcp-7, 0x1.efb309c614416p-7, 0x1.e1a81fa2e7696p-7, 0x1.d3f914483ba7ap-7, 0x1.c6a3e46f88c82p-7, 0x1.b9a69552f7c96p-7, 0x1.acff34a143994p-7, 0x1.a0abd870be44fp-7, 0x1.94aa9f317c04cp-7, 0x1.88f9af9eac945p-7, 0x1.7d9738af368cbp-7, 0x1.728171859d305p-7, 0x1.67b6995f37b47p-7, 0x1.5d34f782c2779p-7, 0x1.52fadb2e5dda9p-7, 0x1.49069b84f3b21p-7, 0x1.3f56977b241b5p-7, 0x1.35e935c3ab595p-7, 0x1.2cbce4bb52524p-7, 0x1.23d01a54796fcp-7, 0x1.1b2154023a398p-7, 0x1.12af16a32f025p-7, 0x1.0a77ee6be5268p-7, 0x1.027a6ed101e36p-7, 0x1.f56a64e242bfdp-8, 0x1.e64db5fcec79ap-8, 0x1.d79c225060917p-8, 0x1.c9530907615bcp-8, 0x1.bb6fd6eb24b6dp-8, 0x1.adf0063517bc4p-8, 0x1.a0d11e60604dfp-8, 0x1.9410b3fb29ffbp-8, 0x1.87ac6877c51fap-8, 0x1.7ba1e9fda7107p-8, 0x1.6feef33a4f0ddp-8, 0x1.64914b321ed69p-8, 0x1.5986c5112c951p-8, 0x1.4ecd3ffc18b8dp-8, 0x1.4462a6e0ebb19p-8, 0x1.3a44f0480b071p-8, 0x1.30721e25441d6p-8, 0x1.26e83da8fcb0cp-8, 0x1.1da5671186c91p-8, 0x1.14a7bd7ca877ap-8, 0x1.0bed6eb953269p-8, 0x1.0374b3199b15dp-8, 0x1.f6779a89d2c7p-9, 0x1.e6821414f1e8ap-9, 0x1.d705806831c2dp-9, 0x1.c7fea0b2859p-9, 0x1.b96a496502a24p-9, 0x1.ab4561da60778p-9, 0x1.9d8ce3ff2f332p-9, 0x1.903ddbface9fp-9, 0x1.835567d92ac4dp-9, 0x1.76d0b73542a0dp-9, 0x1.6aad0ae48670dp-9, 0x1.5ee7b4a30ace5p-9, 0x1.537e16c098769p-9, 0x1.486da3cea2e0cp-9, 0x1.3db3de4f2243cp-9, 0x1.334e58645a9bep-9, 0x1.293ab3818e00dp-9, 0x1.1f76a01ca85e8p-9, 0x1.15ffdd60d79ecp-9, 0x1.0cd438e22517p-9, 0x1.03f18e5202287p-9, 0x1.f6ab8e69aa078p-10, 0x1.e5fdb5310b246p-10, 0x1.d5d599980f634p-10, 0x1.c62f5e2fd66dap-10, 0x1.b7073eefd045cp-10, 0x1.a85990aaed9f6p-10, 0x1.9a22c086d081cp-10, 0x1.8c5f537502d31p-10, 0x1.7f0be5ae42915p-10, 0x1.72252a2fcd33ep-10, 0x1.65a7ea3abe798p-10, 0x1.599104d5709fep-10, 0x1.4ddd6e4eeca67p-10, 0x1.428a2fc4589a8p-10, 0x1.379466a8770eep-10, 0x1.2cf9444d1cbacp-10, 0x1.22b60d6eb503dp-10, 0x1.18c819c1b70eep-10, 0x1.0f2cd382253a6p-10, 0x1.05e1b704f79aep-10, 0x1.f9c8a49711c76p-11, 0x1.e8648931d3d97p-11, 0x1.d7927c12588b9p-11, 0x1.c74dfe5526cdbp-11, 0x1.b792b1315ac87p-11, 0x1.a85c55329b445p-11, 0x1.99a6c976ccc15p-11, 0x1.8b6e0aef75a38p-11, 0x1.7dae33a6cd5fcp-11, 0x1.70637a086af28p-11, 0x1.638a302d8a131p-11, 0x1.571ec32cdc53cp-11, 0x1.4b1dba6ddcb98p-11, 0x1.3f83b6ff9afd1p-11, 0x1.344d72f2f2f82p-11, 0x1.2977c0b827b1bp-11, 0x1.1eff8a7fd4beep-11, 0x1.14e1d19f2d314p-11, 0x1.0b1badf77b3c5p-11, 0x1.01aa4d60d5fc7p-11, 0x1.f115e6300521bp-12, 0x1.df75ee5ee932dp-12, 0x1.ce6f8c06c777cp-12, 0x1.bdfdbf61cf8f7p-12, 0x1.ae1baf2029e1cp-12, 0x1.9ec4a7620fd57p-12, 0x1.8ff418b7b0dbbp-12, 0x1.81a59726cf9b8p-12, 0x1.73d4d935f981bp-12, 0x1.667db6fd49669p-12, 0x1.599c293c98ea8p-12, 0x1.4d2c48770b5dp-12, 0x1.412a4c13db37ap-12, 0x1.3592898453a86p-12, 0x1.2a61736ee018ap-12, 0x1.1f9398df18edbp-12, 0x1.1525a47ab93cfp-12, 0x1.0b145bbb6609ap-12, 0x1.015c9e2d31e1p-12, 0x1.eff6c963881f5p-13, 0x1.dddb81902841cp-13, 0x1.cc61b7b1318ccp-13, 0x1.bb83ed0bc503bp-13, 0x1.ab3cd002ffaa7p-13, 0x1.9b873aca40558p-13, 0x1.8c5e321facc49p-13, 0x1.7dbce40ee883p-13, 0x1.6f9ea6bbb0199p-13, 0x1.61fef73454f62p-13, 0x1.54d9784bd849p-13, 0x1.4829f17b829dap-13, 0x1.3bec4dcbde0fdp-13, 0x1.301c9ac4da5eap-13, 0x1.24b70764fe0ap-13, 0x1.19b7e31f815abp-13, 0x1.0f1b9ce12564ap-13, 0x1.04dec21ba77dp-13, 0x1.f5fbfbaf6508ep-14, 0x1.e2ec2f9a31c1cp-14, 0x1.d087e70296e26p-14, 0x1.bec91ed7aedfap-14, 0x1.adaa08419b163p-14, 0x1.9d250701fc0cp-14, 0x1.8d34afdfa1028p-14, 0x1.7dd3c71d5cd6p-14, 0x1.6efd3efba0252p-14, 0x1.60ac3644a87a8p-14, 0x1.52dbf6e3008ccp-14, 0x1.4587f4821766dp-14, 0x1.38abcb38b0ad5p-14, 0x1.2c433e3cf260dp-14, 0x1.204a36a1d7e84p-14, 0x1.14bcc21dcf7bfp-14, 0x1.099711da4a45cp-14, 0x1.fdaaf298136f3p-15, 0x1.e8e8da27e19a2p-15, 0x1.d4e103d04cd9cp-15, 0x1.c18cd70aabdc6p-15, 0x1.aee5f74fac8c2p-15, 0x1.9ce642191492dp-15, 0x1.8b87ccf28c43bp-15, 0x1.7ac4e39915e21p-15, 0x1.6a980628ce306p-15, 0x1.5afbe758a19c8p-15, 0x1.4beb6ac3923d7p-15, 0x1.3d61a33f3c7c2p-15, 0x1.2f59d13f3cbb3p-15, 0x1.21cf61452601ap-15, 0x1.14bdea5cb444dp-15, 0x1.08212ca3e5a77p-15, 0x1.f7ea1fbd59b3dp-16, 0x1.e06b442bdc252p-16, 0x1.c9be2c82f1947p-16, 0x1.b3db85f965284p-16, 0x1.9ebc428b56bedp-16, 0x1.8a59968c9d7f6p-16, 0x1.76acf64ee660cp-16, 0x1.63b013daf0d72p-16, 0x1.515cdcbc793f4p-16, 0x1.3fad77e0378c8p-16, 0x1.2e9c438384b2p-16, 0x1.1e23d33516a97p-16, 0x1.0e3eede66b54ep-16, 0x1.fdd1181ab2a3ap-17, 0x1.e037abaab831cp-17, 0x1.c3a842c046286p-17, 0x1.a819e229edbaep-17, 0x1.8d83e3fd111b5p-17, 0x1.73ddf46d756bep-17, 0x1.5b200ec006e4fp-17, 0x1.43427a57fa784p-17, 0x1.2c3dc7dd87384p-17, 0x1.160ace7d7d50ap-17, 0x1.00a2a940f6226p-17, 0x1.d7fd68f8d42e7p-18, 0x1.b03116aaf212dp-18, 0x1.89d40abd67666p-18, 0x1.64da6891808bap-18, 0x1.4138c3505fe99p-18, 0x1.1ee4199ecc6b7p-18, 0x1.fba3a2efd310ap-19, 0x1.bbef685b40c3p-19, 0x1.7e97d51b29abcp-19, 0x1.4389f25303666p-19, 0x1.0ab37983b9e21p-19, 0x1.a8059b46dc29bp-20, 0x1.3ecde8eb09f59p-20, 0x1.b33e40841713p-21, 0x1.e166c819f8274p-22, 0x1.adf2f79a74449p-24, -0x1.f76e088c0a4fp-23, -0x1.2a52de7be1392p-21, -0x1.cfde5684c9722p-21, -0x1.37595020f235dp-20, -0x1.83814d7b9dff7p-20, -0x1.cc7fb1094f867p-20, -0x1.093617d71fbf8p-19, -0x1.2aaed71d7e8cfp-19, -0x1.4ab524ea88df3p-19, -0x1.6953b0060c75dp-19, -0x1.8694cb4f20dc8p-19, -0x1.a282717766b7ap-19, -0x1.bd264898b43d3p-19, -0x1.d689a5a663439p-19, -0x1.eeb58fbb95017p-19, -0x1.02d961a3cc34cp-18, -0x1.0dc4da8cd3c47p-18, -0x1.18214aa69187ep-18, -0x1.21f2a90bb1385p-18, -0x1.2b3ccd3c1c1f8p-18, -0x1.340370671686dp-18, -0x1.3c4a2ea7bdd9dp-18, -0x1.44148834636cfp-18, -0x1.4b65e28140b52p-18, -0x1.52418956f885ep-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      39, 0x1.5c28f5c28f5c3p+2, 0x1.68972a10b3c04p+0, 0x1.0857dc87c1766p+2, -0x1.779e719c7057bp+0, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.4420480f9fd45p+2, -0x1.2668f84fa5e4bp+3, 0x1.9eb1757ae6498p+2, 0x1.8931c04e49289p-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0d70af2e80631p+2, -0x1.f8682e7c2ebc4p+2, 0x1.ad701fe43c3bp+2, -0x1.eb7e3061dc76dp+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.be18a1f197e61p+1, -0x1.a9e44a1ccdad1p+2, 0x1.63b6cbd58e5c5p+2, -0x1.1d9d0eefea0d8p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.6fbf1d122afa2p+1, -0x1.67087c732183dp+2, 0x1.38df3ccb2b40cp+2, -0x1.2866cc6478da7p+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2de6a46cac2fap+1, -0x1.2ce79ee07bf5p+2, 0x1.0c696aef4c532p+2, -0x1.f8f0737d9430cp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.edabe8989d265p+0, -0x1.f604d745b15ddp+1, 0x1.cd152af228d21p+1, -0x1.c4cea430ec315p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.92095d77eae57p+0, -0x1.a0982fddacbecp+1, 0x1.89295f1e05644p+1, -0x1.8d3e6fe10d41cp+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.462f054d3cec4p+0, -0x1.57ebbaae3f111p+1, 0x1.4d9334bc43675p+1, -0x1.5c7a8c2aeef5fp+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.07b8f7eb8d11p+0, -0x1.1a6ed8a2d6734p+1, 0x1.194d9fb5d2c27p+1, -0x1.2f819d65fd693p+0}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.a91df2b725e04p-1, -0x1.cd732bdeb9cc4p+0, 0x1.d78df699d97efp+0, -0x1.06de1c609c834p+0}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.55bb7c20f14cp-1, -0x1.770666ebd06f2p+0, 0x1.88b1bae344243p+0, -0x1.c44e82a53a443p-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.122102310a31cp-1, -0x1.2f45504da3aep+0, 0x1.44d9274a7b66bp+0, -0x1.826ae4af03448p-1}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.b72bb126eee34p-2, -0x1.e831da4f894cbp-1, 0x1.0ae2b8303ae94p+0, -0x1.479f3d24c0e19p-1}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.5f8d49a9c70ffp-2, -0x1.8744e6f31b5c5p-1, 0x1.b37c113bd58fp-1, -0x1.1382c648e561dp-1}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.1974ed57641f5p-2, -0x1.3870030d2abaep-1, 0x1.60d4d5bf90be6p-1, -0x1.cb5470bab4da9p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.c32210e401303p-3, -0x1.f185be39b577cp-2, 0x1.1bee91a38f372p-1, -0x1.7b55ef544afa2p-2}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.6a3a290642baap-3, -0x1.8b5469dea7642p-2, 0x1.c61028476e564p-2, -0x1.363474be98c2bp-2}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.239f417a8575p-3, -0x1.39d2c179ecf28p-2, 0x1.69006ba7da1c5p-2, -0x1.f6350c1aade2p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.d72689356ddbp-4, -0x1.f24fe50dabb5p-3, 0x1.1daba9d70cd3ep-2, -0x1.9265436b7d9d4p-3}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.7e1c3270d78d4p-4, -0x1.8c1da09479b3fp-3, 0x1.c29f590dda5efp-3, -0x1.3f4e8fe66fb4ap-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.3742c5fe7baccp-4, -0x1.3b9208d89e2e3p-3, 0x1.62d49448b8dbep-3, -0x1.f68be21bae8fcp-4}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.fd7b4adb593cp-5, -0x1.f848fe71232c9p-4, 0x1.1772cbf7c512ep-3, -0x1.8940cd53aefa5p-4}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.a30419928f7e7p-5, -0x1.944da8c64ccb8p-4, 0x1.b8ebc0bcd5a81p-4, -0x1.3365e0bf227d6p-4}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.5a5be534f3716p-5, -0x1.45575335a089ap-4, 0x1.5cb396e9e4e8cp-4, -0x1.e34a386a16de4p-5}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.1fc80f55b5962p-5, -0x1.06d9a3f3f5a8ap-4, 0x1.143541a6c7e0fp-4, -0x1.8150fb3e78227p-5}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.e0b35a178c91dp-6, -0x1.aac6cec85c695p-5, 0x1.b4d237ee05519p-5, -0x1.3a34141f5c712p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.93740ae6dcd2cp-6, -0x1.5cd6a57afa477p-5, 0x1.568f6517cffbep-5, -0x1.074757c9a99c1p-5}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.54029f5d301ffp-6, -0x1.20398c372521bp-5, 0x1.0793978e83809p-5, -0x1.c3bec48c79efdp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.1f2f60c78e889p-6, -0x1.e49242fc0f141p-6, 0x1.87a1275948d1fp-6, -0x1.869bcfaa55088p-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.e481daef0af47p-7, -0x1.a1f6b48b78d37p-6, 0x1.1272690c95b66p-6, -0x1.49dee91b4312ap-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.95be6377b2943p-7, -0x1.74f86e354af9fp-6, 0x1.5ef8aca269956p-7, -0x1.ffe073ccfc3c8p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.4e25bfad2d9ap-7, -0x1.598d2b7b538fbp-6, 0x1.8ad113c9d56b3p-8, -0x1.38cbf00332f2ep-7}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.0ab2cde109f04p-7, -0x1.4a80a7b1485fdp-6, 0x1.9e47078fd41adp-9, -0x1.cde299f89755dp-11}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.9335a427da451p-8, -0x1.409421ba51ef1p-6, 0x1.7ba2d59d2f276p-9, 0x1.54acf1e0d2de4p-7}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.158ebfa3efa8ep-8, -0x1.31fa44477f833p-6, 0x1.8a392f22494b6p-8, 0x1.cba18b5bc0509p-6}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.41e50827a547p-9, -0x1.107a3dbde9474p-6, 0x1.d8e3eb2e98083p-7, 0x1.57225f3e5d66ap-5}, 
        {0x1.4cccccccccccdp+2, 0x1.5333333333333p+2, 0x1.00a306f819b36p-10, -0x1.993369fa61422p-7, 0x1.ba5361efea762p-6, 0x1.8053b572f49f3p-4}, 
        {0x1.5333333333333p+2, 0x1.599999999999ap+2, 0x1.8a52bad69834ep-14, -0x1.18106bf36894cp-8, 0x1.c3c25109bb334p-5, -0x1.bebcde7a7581ap-3}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x0p+0, 0x1.bc39efb481a07p-13, -0x1.514e1af1adad1p-7, -0x1.6d80683554bbfp-6}, 
      }}, 
      0x1.cb573acaf6338p+2, -0x1.5d90949d75234p+6
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_o_p() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.21d06ace8aa65p-5, 0x1.2093d0b54faf4p-4, 0x1.add5e7875de81p-4, 0x1.1bcdf4415a3cdp-3, 0x1.5e79c38693c64p-3, 0x1.9e86a5d524d83p-3, 0x1.db9e74666875ap-3, 0x1.0abdf5a60b942p-2, 0x1.25f4d41156926p-2, 0x1.3f605c090fd6ap-2, 0x1.56f3976477d52p-2, 0x1.6ca73fe3aa689p-2, 0x1.80791c542b1c9p-2, 0x1.926b24f9e3ad2p-2, 0x1.a2830fcbf82e9p-2, 0x1.b0c9840e7f362p-2, 0x1.bd49c0b52afcp-2, 0x1.c811084ee6018p-2, 0x1.d12e39301ee6p-2, 0x1.d8b18321cb41bp-2, 0x1.deac1aae29bb1p-2, 0x1.e32fdc21ca4f9p-2, 0x1.e64f280f616ep-2, 0x1.e81ca34bf7ab3p-2, 0x1.e8aaf6c0aced7p-2, 0x1.e80cfbf1a95a9p-2, 0x1.e655a3a23eeb6p-2, 0x1.e3974d0cb2f14p-2, 0x1.dfe3954d81b8dp-2, 0x1.db4bed023c844p-2, 0x1.d5e2846cb81e7p-2, 0x1.cfb7594f3ff1ap-2, 0x1.c8daab77c2e99p-2, 0x1.c15c21577f003p-2, 0x1.b94a967167ca2p-2, 0x1.b0b42911e0f3ep-2, 0x1.a7a66a2d65ecbp-2, 0x1.9e2e61412d824p-2, 0x1.94586da0452d7p-2, 0x1.8a303c63b0e3ap-2, 0x1.7fc0de4a2ca1bp-2, 0x1.7514dbc80664ep-2, 0x1.6a3630ef5fd31p-2, 0x1.5f2e3ce4a1af6p-2, 0x1.5405b9f845463p-2, 0x1.48c4c447cd631p-2, 0x1.3d72e71e28b22p-2, 0x1.321728e3eca1cp-2, 0x1.26b812e5a84f4p-2, 0x1.1b5bb56cc4b38p-2, 0x1.1007a9793c91cp-2, 0x1.04c11230f9375p-2, 0x1.f3194139be31bp-3, 0x1.dcdd369848404p-3, 0x1.c6d5d2a29fc81p-3, 0x1.b10a3cadca138p-3, 0x1.9b810a9341f45p-3, 0x1.864050176314ap-3, 0x1.714da7c3a5f45p-3, 0x1.5cae3635091b7p-3, 0x1.4866a96105cfcp-3, 0x1.347b354b3e7f6p-3, 0x1.20e9eef1efb06p-3, 0x1.0dc275dee8b18p-3, 0x1.f600c6260b66ep-4, 0x1.d14bba5ba63ddp-4, 0x1.ad697f1500569p-4, 0x1.8a5d28a5ebd87p-4, 0x1.6829189fe8ab1p-4, 0x1.46cef50f5e9e7p-4, 0x1.264fad7bba985p-4, 0x1.06ab8cf380605p-4, 0x1.cfc4a6e95ac03p-5, 0x1.93e69ea95f194p-5, 0x1.59bae1832c83ep-5, 0x1.213ea981decf8p-5, 0x1.d4dd220219b05p-6, 0x1.6a8d2056b8efep-6, 0x1.0383f19efaf97p-6, 0x1.3f6dd9da17ea5p-7, 0x1.f8d15a571b03cp-9, -0x1.e5f5ba2646172p-10, -0x1.e30eacb220e6p-8, -0x1.a0432e8bbf97fp-7, -0x1.24889b8921c76p-6, -0x1.7608b7170736dp-6, -0x1.c4b24ebf319eep-6, -0x1.084b0aabd343fp-5, -0x1.2ce27c9fe1311p-5, -0x1.50280addb067ep-5, -0x1.72245373b3845p-5, -0x1.92dfffa8907e8p-5, -0x1.b263bf4820e9bp-5, -0x1.d0b84445e8e64p-5, -0x1.ede63e9e58c2bp-5, -0x1.04fb2c329bbfp-4, -0x1.127898f59c28ep-4, -0x1.1f6faef0dbdafp-4, -0x1.2be4aeb4d5f7fp-4, -0x1.37dbce05b959dp-4, -0x1.435935d4cbaebp-4, -0x1.4e610047bbee3p-4, -0x1.58f736ded8abfp-4, -0x1.631fd0c3bdbf3p-4, -0x1.6cdeb13d776b2p-4, -0x1.7637a63a5463ep-4, -0x1.7f2e66d7f3e1dp-4, -0x1.87c691d32c67ep-4, -0x1.9003abd396dd3p-4, -0x1.97e91d977148ep-4, -0x1.9f7a321747f15p-4, -0x1.a6ba14c8833a4p-4, -0x1.adabd02e2c68bp-4, -0x1.b4524ce64e4fdp-4, -0x1.bab05157c9fdp-4, -0x1.c0c8821398f05p-4, -0x1.c69d62e7bbedfp-4, -0x1.cc31588e03211p-4, -0x1.d186aad0788ccp-4, -0x1.d69f86f2daa27p-4, -0x1.db7e022d2e059p-4, -0x1.e0241c06cb888p-4, -0x1.e493c06a5e151p-4, -0x1.e8cec957a64fbp-4, -0x1.ecd70025e59c1p-4, -0x1.f0ae1e572c53ep-4, -0x1.f446f10597d25p-4, -0x1.f7c3343fad032p-4, -0x1.fb139bfae6b0bp-4, -0x1.fe3981b20da44p-4, -0x1.009b175abfe46p-3, -0x1.02056ef778b81p-3, -0x1.035c5ea7ec4fap-3, -0x1.04a07770d43fdp-3, -0x1.05d244bbcd0f1p-3, -0x1.06f24c84b7356p-3, -0x1.08010f626c0a8p-3, -0x1.08ff0873c5736p-3, -0x1.09ecad3b133cap-3, -0x1.0aca6d7247b08p-3, -0x1.0b98b2e142e39p-3, -0x1.0c57e13e55f8p-3, -0x1.0d08561f206f5p-3, -0x1.0daa68fde1cd4p-3, -0x1.0e3e6b55421cep-3, -0x1.0ec4a8d2abbc5p-3, -0x1.0f3d679da3918p-3, -0x1.0fa8e8b13f6dcp-3, -0x1.10076843f853ep-3, -0x1.10591e39690e4p-3, -0x1.109e3e997c4fbp-3, -0x1.10d6fa0881498p-3, -0x1.11037e3c1c4afp-3, -0x1.1123f6698cef8p-3, -0x1.11388baa807f1p-3, -0x1.1141655671729p-3, -0x1.113ea94f7aa2ep-3, -0x1.11307c4247efap-3, -0x1.111701d98fabdp-3, -0x1.10f25ce61e77p-3, -0x1.10c2af7d03f7dp-3, -0x1.10881b0db0061p-3, -0x1.1042c0720499ep-3, -0x1.0ff2bffa5c6d6p-3, -0x1.0f983977533cp-3, -0x1.0f334c42f95aep-3, -0x1.0ec4174a9f7cbp-3, -0x1.0e4ab91a3eff1p-3, -0x1.0dc74fe9e5acp-3, -0x1.0d39f9ad795f3p-3, -0x1.0ca2d4268ef4ep-3, -0x1.0c01fcf8160cdp-3, -0x1.0b5791bb3ed36p-3, -0x1.0aa3b014e9e32p-3, -0x1.09e675cafb1fdp-3, -0x1.092000d8c6fdap-3, -0x1.08506f81f5b72p-3, -0x1.0777e06357a15p-3, -0x1.069672811ddfp-3, -0x1.05ac45523e48fp-3, -0x1.04b978c8d4cb7p-3, -0x1.03be2d5770a37p-3, -0x1.02ba83f385c52p-3, -0x1.01ae9e152e683p-3, -0x1.009a9db49bb92p-3, -0x1.fefd4a8b43bfp-4, -0x1.fcb5af63aa71bp-4, -0x1.fa5eb0a3547f4p-4, -0x1.f7f895ca2f524p-4, -0x1.f583a7183fc57p-4, -0x1.f3002d7f4aa65p-4, -0x1.f06e7295a13fap-4, -0x1.edcec08a7efe3p-4, -0x1.eb21621c5c75ap-4, -0x1.e866a2912b763p-4, -0x1.e59ecdb09d9e3p-4, -0x1.e2ca2fc042657p-4, -0x1.dfe915813b884p-4, -0x1.dcfbcc2f2fdeep-4, -0x1.da02a18038036p-4, -0x1.d6fde3a539cc6p-4, -0x1.d3ede14a6c3dfp-4, -0x1.d0d2e99788cbcp-4, -0x1.cdad4c2f61cbap-4, -0x1.ca7d592e87e45p-4, -0x1.c7436128b4967p-4, -0x1.c3ffb524df7b3p-4, -0x1.c0b2a697c42b6p-4, -0x1.bd5c875cdfd86p-4, -0x1.b9fda9adc8ae9p-4, -0x1.b696601807778p-4, -0x1.b326fd7177013p-4, -0x1.afafd4cb48f3bp-4, -0x1.ac313963f12ep-4, -0x1.a8ab7e9805bb5p-4, -0x1.a51ef7d25d45ap-4, -0x1.a18bf87b92b7cp-4, -0x1.9df2d3e924999p-4, -0x1.9a53dd4c6870dp-4, -0x1.96af67a1698ccp-4, -0x1.9305c59dfb309p-4, -0x1.8f5749a10a3f7p-4, -0x1.8ba445a2565ap-4, -0x1.87ed0b22b055p-4, -0x1.8431eb1cccfd7p-4, -0x1.807335f6baf0bp-4, -0x1.7cb13b7411e11p-4, -0x1.78ec4aa8d1121p-4, -0x1.7524b1ecfefdbp-4, -0x1.715abed10482fp-4, -0x1.6d8ebe12c17fbp-4, -0x1.69c0fb935724dp-4, -0x1.65f1c24da344ap-4, -0x1.62215c4d67279p-4, -0x1.5e5012a70c5adp-4, -0x1.5a7e2d70082dap-4, -0x1.56abf3b7d0ab8p-4, -0x1.52d9ab815c63cp-4, -0x1.4f0799bd23511p-4, -0x1.4b360243a10f2p-4, -0x1.476527d0455d8p-4, -0x1.43954bfcda80bp-4, -0x1.3fc6af3d4eae6p-4, -0x1.3bf990dbe3af8p-4, -0x1.382e2ef5bd555p-4, -0x1.3464c677cap-4, -0x1.309d931bfd7abp-4, -0x1.2cd8cf66e0dp-4, -0x1.2916b4a571482p-4, -0x1.25577aeb434f8p-4, -0x1.219b5910f45a3p-4, -0x1.1de284b2db686p-4, -0x1.1a2d322ffc642p-4, -0x1.167b94a93999ap-4, -0x1.12daa08f0c58ap-4, -0x1.0f3154ccf6fffp-4, -0x1.0b8c50dffef2ep-4, -0x1.07ebc334218b3p-4, -0x1.044fd8f0d6ccp-4, -0x1.00b8bdf8faafbp-4, -0x1.fa4d39d5fd88dp-5, -0x1.f3333e42b9bebp-5, -0x1.ec23d966924a7p-5, -0x1.e51f58eb3d4f5p-5, -0x1.de2607f808427p-5, -0x1.d7382f348b49dp-5, -0x1.d05614cbb97f5p-5, -0x1.c97ffc6f5410fp-5, -0x1.c2b6275bb0c4dp-5, -0x1.bbf8d45bd10f6p-5, -0x1.b5483fcdcb248p-5, -0x1.aea4a3a7752dfp-5, -0x1.a80e377b5cdb7p-5, -0x1.a185307dfc85cp-5, -0x1.9b09c18b30b45p-5, -0x1.949c1b2bea81fp-5, -0x1.8e3c6b9c19f27p-5, -0x1.87eaded0d4ccfp-5, -0x1.81a79e7eadaa2p-5, -0x1.7b72d22043a7ap-5, -0x1.754c9efd035e1p-5, -0x1.6f35283017568p-5, -0x1.692c8eaf8c385p-5, -0x1.6332f1539e7cp-5, -0x1.5d486cde37435p-5, -0x1.576d1c02963aap-5, -0x1.51a1176d1fb7ep-5, -0x1.4be475cb594acp-5, -0x1.46374bd409227p-5, -0x1.4099ac4f78fc3p-5, -0x1.3b0ba81fe0d41p-5, -0x1.358d4e49ecadcp-5, -0x1.301eabfd64238p-5, -0x1.2abfcc9df091fp-5, -0x1.2570b9cbf751dp-5, -0x1.20317b6d9341fp-5, -0x1.1b0217b79fe9p-5, -0x1.15e29336d84b4p-5, -0x1.10d2f0d907b22p-5, -0x1.0bd331f648862p-5, -0x1.06e3565a4e6bep-5, -0x1.02035c4db9865p-5, -0x1.fa66813ee2ed6p-6, -0x1.f0e5fd5c092b9p-6, -0x1.e78520e210757p-6, -0x1.de43dd04f204cp-6, -0x1.d52220502f23p-6, -0x1.cc1fd6b980d4dp-6, -0x1.c33ce9b37a25ap-6, -0x1.ba79404013ef5p-6, -0x1.b1d4bf0324397p-6, -0x1.a94f4854b80a9p-6, -0x1.a0e8bc534fab5p-6, -0x1.98a0f8f5f2cd9p-6, -0x1.9077da1e29f5bp-6, -0x1.886d39a9c1012p-6, -0x1.8080ef8462f8ap-6, -0x1.78b2d1b90c5ep-6, -0x1.7102b48340f5ep-6, -0x1.69706a6011b72p-6, -0x1.61fbc41eef5c5p-6, -0x1.5aa490f240705p-6, -0x1.536a9e7fbcf32p-6, -0x1.4c4db8f08ee2ep-6, -0x1.454dab01358bep-6, -0x1.3e6a3e112aec3p-6, -0x1.37a33a3244d54p-6, -0x1.30f86637dc59bp-6, -0x1.2a6987c5a8876p-6, -0x1.23f6635e66772p-6, -0x1.1d9ebc722d9f8p-6, -0x1.1762556c8df7fp-6, -0x1.1140efc26000ap-6, -0x1.0b3a4bff5c7e7p-6, -0x1.054e29d366ceep-6, -0x1.fef8903f2e66cp-7, -0x1.f388ca060755ep-7, -0x1.e84c7bce83725p-7, -0x1.dd431f1953197p-7, -0x1.d26c2c2c9bb42p-7, -0x1.c7c71a2b86513p-7, -0x1.bd535f2d1b827p-7, -0x1.b3107052cac92p-7, -0x1.a8fdc1de50286p-7, -0x1.9f1ac7472bf24p-7, -0x1.9566f34f97b15p-7, -0x1.8be1b818fb001p-7, -0x1.828a8737e757cp-7, -0x1.7960d1c79c3ebp-7, -0x1.7064087d0b647p-7, -0x1.67939bb973304p-7, -0x1.5eeefb9c6c928p-7, -0x1.567598159a8bap-7, -0x1.4e26e0f5df40dp-7, -0x1.460246001003ap-7, -0x1.3e0736f955bf3p-7, -0x1.363523b905baep-7, -0x1.2e8b7c3811825p-7, -0x1.2709b0a012e21p-7, -0x1.1faf3159de26bp-7, -0x1.187b6f1bba6d8p-7, -0x1.116ddaf71d683p-7, -0x1.0a85e6660b393p-7, -0x1.03c303580aca4p-7, -0x1.fa49487d6a755p-8, -0x1.ed547833b585ep-8, -0x1.e0a67d069644bp-8, -0x1.d43e3f7466744p-8, -0x1.c81aa95c3289fp-8, -0x1.bc3aa612fb6f5p-8, -0x1.b09d2278205fcp-8, -0x1.a5410d091c39fp-8, -0x1.9a2555f47ca9dp-8, -0x1.8f48ef2c27253p-8, -0x1.84aacc76d3cf9p-8, -0x1.7a49e380d481p-8, -0x1.70252bec4024cp-8, -0x1.663b9f60494d3p-8, -0x1.5c8c3997f0655p-8, -0x1.5315f8700c27cp-8, -0x1.49d7dbf4a61aep-8, -0x1.40d0e66d95ad1p-8, -0x1.38001c6aa097bp-8, -0x1.2f6484ceca67ep-8, -0x1.26fd28db12811p-8, -0x1.1ec91438acb46p-8, -0x1.16c7550251106p-8, -0x1.0ef6fbcd4dc45p-8, -0x1.07571bb1c62fcp-8, -0x1.ffcd94a4df40bp-9, -0x1.f14a3fc7550a7p-9, -0x1.e3226e645f19bp-9, -0x1.d5545b521f4eep-9, -0x1.c7de46ae717fcp-9, -0x1.babe75e8cded2p-9, -0x1.adf333cb5f5f4p-9, -0x1.a17ad082d8ef9p-9, -0x1.9553a1a55db32p-9, -0x1.897c0238b55f2p-9, -0x1.7df252b70a917p-9, -0x1.72b4f9135d19dp-9, -0x1.67c260bc997b8p-9, -0x1.5d18faa0147f9p-9, -0x1.52b73d2b1ae67p-9, -0x1.489ba44bb39fcp-9, -0x1.3ec4b1708945cp-9, -0x1.3530eb8835f89p-9, -0x1.2bdedeffa7d9ap-9, -0x1.22cd1dbfe486fp-9, -0x1.19fa3f2b17e0ap-9, -0x1.1164e018f20bp-9, -0x1.090ba2d2589c9p-9, -0x1.00ed2f0cb397fp-9, -0x1.f21063c83455dp-10, -0x1.e2b6bbab2401cp-10, -0x1.d3cad570a283ap-10, -0x1.c54a2b6d3e5a5p-10, -0x1.b732428c68b4cp-10, -0x1.a980aa40377f7p-10, -0x1.9c32fc706c8b1p-10, -0x1.8f46dd6817cacp-10, -0x1.82b9fbc34cb5cp-10, -0x1.768a105b45b73p-10, -0x1.6ab4de325bb4ap-10, -0x1.5f38325f08226p-10, -0x1.5411e3f673207p-10, -0x1.493fd3f67299cp-10, -0x1.3ebfed2f0247fp-10, -0x1.3490242b445edp-10, -0x1.2aae771a25e4cp-10, -0x1.2118edb69ed6cp-10, -0x1.17cd992fab5dcp-10, -0x1.0eca9410149a4p-10, -0x1.060e02259e49dp-10, -0x1.fb2c20d16ef4ap-11, -0x1.eac1e9c6d56c1p-11, -0x1.dad9dd30c968ap-11, -0x1.cb708ad3ed85dp-11, -0x1.bc8294028d915p-11, -0x1.ae0cab6949f09p-11, -0x1.a00b94de1a3acp-11, -0x1.927c252d7765p-11, -0x1.855b41e8f1d2fp-11, -0x1.78a5e1348df3ap-11, -0x1.6c5909951410cp-11, -0x1.6071d1bec6586p-11, -0x1.54ed60631b9a7p-11, -0x1.49c8ebffc3028p-11, -0x1.3f01baac5bae5p-11, -0x1.349521e9c7aadp-11, -0x1.2a808670374eep-11, -0x1.20c15bfd7b842p-11, -0x1.17552523c306p-11, -0x1.0e39731773117p-11, -0x1.056be57d639d1p-11, -0x1.f9d454701ebfdp-12, -0x1.e963fa6d0cdd1p-12, -0x1.d982507f56f85p-12, -0x1.ca2b0580365bap-12, -0x1.bb59e32c6b309p-12, -0x1.ad0acdbbe2f33p-12, -0x1.9f39c378e0cb1p-12, -0x1.91e2dc558dddap-12, -0x1.8502498103de8p-12, -0x1.789454fb7af32p-12, -0x1.6c95612853f2cp-12, -0x1.6101e861b7f9ap-12, -0x1.55d67c8923daap-12, -0x1.4b0fc69818f29p-12, -0x1.40aa86306665bp-12, -0x1.36a3912bb2f6ep-12, -0x1.2cf7d32b12937p-12, -0x1.23a44d25e5072p-12, -0x1.1aa614f98d4f3p-12, -0x1.11fa54f7685e8p-12, -0x1.099e4b7761a0dp-12, -0x1.018f4a65a2963p-12, -0x1.f3956da918d3cp-13, -0x1.e49c111d9a026p-13, -0x1.d62d935524f0ep-13, -0x1.c8452c3a860ffp-13, -0x1.bade36a2dfee7p-13, -0x1.adf42f7c2ac24p-13, -0x1.a182b4fcbbd99p-13, -0x1.958585dc160c7p-13, -0x1.89f88087ff6b4p-13, -0x1.7ed7a26233e3p-13, -0x1.741f07011497fp-13, -0x1.69cae77353f68p-13, -0x1.5fd799890691bp-13, -0x1.56418f1fba9fcp-13, -0x1.4d055573762b6p-13, -0x1.441f9471a8441p-13, -0x1.3b8d0e14ad3cfp-13, -0x1.334a9dbfdaecfp-13, -0x1.2b55379e2b12dp-13, -0x1.23a9e8085323fp-13, -0x1.1c45d2ec853ebp-13, -0x1.1526333a7ce52p-13, -0x1.0e485a51562ep-13, -0x1.07a9af7418d5fp-13, -0x1.0147af3e778d8p-13, -0x1.f63fd63b513d5p-14, -0x1.ea6011980a7a6p-14, -0x1.deeb83a2af64cp-14, -0x1.d3ddc6033a6ffp-14, -0x1.c932980bd1fedp-14, -0x1.bee5ddbbb39a7p-14, -0x1.b4f39ed81adc4p-14, -0x1.ab58060218b7bp-14, -0x1.a20a836c87e9bp-14, -0x1.99116ad391b6p-14, -0x1.906441980ef8ap-14, -0x1.87ffb4b7ea03cp-14, -0x1.7fe08fc55cf3ep-14, -0x1.7803bc179bb4p-14, -0x1.70663fff3ac0ap-14, -0x1.69053dfe524cap-14, -0x1.61ddf405169cap-14, -0x1.5aedbaaffbfb6p-14, -0x1.5432048cdc5f3p-14, -0x1.4da85d5cc5324p-14, -0x1.474e696436ec5p-14, -0x1.4121e4b4ca60ep-14, -0x1.3b20a27ebeb1dp-14, -0x1.35488c6445a6bp-14, -0x1.2f97a1d1af83ep-14, -0x1.2a0bf758a0be4p-14, -0x1.24a3b60c7652ep-14, -0x1.1f5d1ae4770c3p-14, -0x1.1a3676226f5cbp-14, -0x1.152e2ab554da5p-14, -0x1.1042ada7b8b85p-14, -0x1.0b72858dacd83p-14, -0x1.06bc49f404b5bp-14, -0x1.021ea2d6c53c3p-14, -0x1.fb30902c0116cp-15, -0x1.f25001e51e0ccp-15, -0x1.e9994715990f4p-15, -0x1.e10a28b2d2baep-15, -0x1.d8a08b74a13dcp-15, -0x1.d05a6ee25eb6bp-15, -0x1.c835ec6395e04p-15, -0x1.c03136586ed7ep-15, -0x1.b84a97391caf8p-15, -0x1.b08070b75e0f8p-15, -0x1.a8d13ae7395e7p-15, -0x1.a13b8370345cap-15, -0x1.99bdecbf44f06p-15, -0x1.92572d3d18b6ap-15, -0x1.8b060e9304413p-15, -0x1.83c96cea09d8p-15, -0x1.7ca03632b1126p-15, -0x1.75896973f47dp-15, -0x1.6e84162352f5dp-15, -0x1.678f5b6d86a5cp-15, -0x1.60aa67a4e8e43p-15, -0x1.59d4779132fd4p-15, -0x1.530cd5df27101p-15, -0x1.4c52da8640a42p-15, -0x1.45a5ea379f4c1p-15, -0x1.3f0575d1516a2p-15, -0x1.3870f9cf76a31p-15, -0x1.31e7fdcef1a08p-15, -0x1.2b6a1406d8ef5p-15, -0x1.24f6d8cbd2741p-15, -0x1.1e8df21706546p-15, -0x1.182f0f104ffafp-15, -0x1.11d9e79b8f4dcp-15, -0x1.0b8e3bead654ep-15, -0x1.054bd4154af52p-15, -0x1.fe24ff5356d55p-16, -0x1.f1c42aa3ab212p-16, -0x1.e574e4db1ea73p-16, -0x1.d936f56cefcd3p-16, -0x1.cd0a2fca1fa68p-16, -0x1.c0ee72ae1904ap-16, -0x1.b4e3a78506103p-16, -0x1.a8e9c1b92e5f7p-16, -0x1.9d00be1db66c8p-16, -0x1.9128a255e187ap-16, -0x1.85617c41733c4p-16, -0x1.79ab61761bdc3p-16, -0x1.6e066eac17246p-16, -0x1.6272c751d827p-16, -0x1.56f094f18b0b3p-16, -0x1.4b8006cda9965p-16, -0x1.402151651aap-16, -0x1.34d4adfffd9e8p-16, -0x1.299a5a5142884p-16, -0x1.1e72980512445p-16, -0x1.135dac61436f2p-16, -0x1.085bdfe51a42dp-16, -0x1.fadafbeb64bb7p-17, -0x1.e525a8f8d96e6p-17, -0x1.cf98673718e02p-17, -0x1.ba33dab736b89p-17, -0x1.a4f8aac7e24b3p-17, -0x1.8fe7815622f63p-17, -0x1.7b010a70bdae4p-17, -0x1.6645f3b646033p-17, -0x1.51b6ebefb5372p-17, -0x1.3d54a275f83e2p-17, -0x1.291fc6deae672p-17, -0x1.151908840752cp-17, -0x1.0141161dcd256p-17, -0x1.db313ab298172p-18, -0x1.b4409541faae2p-18, -0x1.8db1911cac527p-18, -0x1.67857f8110d56p-18, -0x1.41bdacff41e28p-18, -0x1.1c5b60f05e638p-18, -0x1.eebfb9d6712c3p-19, -0x1.a598b8882488p-19, -0x1.5d44272af6c9ap-19, -0x1.15c4608471c89p-19, -0x1.9e376102d38c5p-20, -0x1.1298a5b1a3636p-20, -0x1.1161cb4900fe2p-21, }}, 
      {{0x1.f6552aaa402a3p-6, 0x1.f5413494b51aep-5, 0x1.769cb0fe8c6a1p-4, 0x1.f10c7cf1f631dp-4, 0x1.34be9f2e81141p-3, 0x1.6fc3d9c247dacp-3, 0x1.a9684b2c429f9p-3, 0x1.e1844ae3aa12bp-3, 0x1.0bfb025f48e92p-2, 0x1.26509761544bbp-2, 0x1.3fb7572430c75p-2, 0x1.58261a908945ap-2, 0x1.6f95e9b9c931fp-2, 0x1.8601c880a56ecp-2, 0x1.9b66845f5948cp-2, 0x1.afc27e265fbbbp-2, 0x1.c315801063b03p-2, 0x1.d5608fef2d616p-2, 0x1.e6a5c81fd5b9dp-2, 0x1.f6e834016c912p-2, 0x1.0315d6b9c70d4p-1, 0x1.0a3a5f1ee2807p-1, 0x1.10e444256cd2p-1, 0x1.171654cb8c90bp-1, 0x1.1cd3939e37673p-1, 0x1.221f318f90922p-1, 0x1.26fc806a41637p-1, 0x1.2b6ee4f94c2e4p-1, 0x1.2f79d8adac08ep-1, 0x1.3320ebee60149p-1, 0x1.3667bd1f0dcc8p-1, 0x1.3951cdf4a02dbp-1, 0x1.3be2bc148668cp-1, 0x1.3e1e17c04fd66p-1, 0x1.400766c88d07ep-1, 0x1.41a224da74878p-1, 0x1.42f1c207ed88ep-1, 0x1.43f99ec1c54e5p-1, 0x1.44bd08dca5e72p-1, 0x1.453f3b0bb62bdp-1, 0x1.45835ce245ac7p-1, 0x1.458c81bf5d0abp-1, 0x1.455da73df4cbdp-1, 0x1.44f9b4734de7ap-1, 0x1.44637a27ee1acp-1, 0x1.439db3378edp-1, 0x1.42ab046d779e9p-1, 0x1.418dfbf6a47fap-1, 0x1.404910f82827ep-1, 0x1.3edea3b138f53p-1, 0x1.3d50fe171dd24p-1, 0x1.3ba2548073e11p-1, 0x1.39d4c5ff16c6dp-1, 0x1.37ea5c6015e54p-1, 0x1.35e50c2069bd5p-1, 0x1.33c6b4b68263ap-1, 0x1.319121557230ap-1, 0x1.2f4609f9b8b58p-1, 0x1.2ce71460fdaf6p-1, 0x1.2a75d4a1c00adp-1, 0x1.27f3cd5a2a4dfp-1, 0x1.25626faeba3a4p-1, 0x1.22c339400b1aap-1, 0x1.201730fd8ec87p-1, 0x1.1d5fc0d29dec6p-1, 0x1.1a9e1b223665cp-1, 0x1.17d3636925578p-1, 0x1.1500ae5b244e7p-1, 0x1.122702417da74p-1, 0x1.0f475794b27c5p-1, 0x1.0c6299b3b7fddp-1, 0x1.0979a796825cap-1, 0x1.068d5463e8357p-1, 0x1.039e67e4056aap-1, 0x1.00ad9ed760ac9p-1, 0x1.fb7756851fb4bp-2, 0x1.f592697a7d29cp-2, 0x1.efadb19a1e107p-2, 0x1.e9ca5699c7456p-2, 0x1.e3e96db67edc9p-2, 0x1.de0bfa9035fe2p-2, 0x1.d832eff75d3e6p-2, 0x1.d25f30a5ff5e9p-2, 0x1.cc918fe570f05p-2, 0x1.c6cad2273caafp-2, 0x1.c10bad9a225b5p-2, 0x1.bb54cac2bc69bp-2, 0x1.b5a6c51bca813p-2, 0x1.b0022bbd98205p-2, 0x1.aa6782085962fp-2, 0x1.a4d7404b5f6fap-2, 0x1.9f51d4635d08p-2, 0x1.99d7a24c08559p-2, 0x1.946904a40f6dep-2, 0x1.8f064d2510c2bp-2, 0x1.89afc512d0207p-2, 0x1.8465ada574a45p-2, 0x1.7f28407208bb3p-2, 0x1.79f7afd358b01p-2, 0x1.74d42753e0963p-2, 0x1.6fbdcc18444cap-2, 0x1.6ab4bd48dca6bp-2, 0x1.65b914787893ep-2, 0x1.60cae60676d97p-2, 0x1.5bea417ab94bep-2, 0x1.571731da97d46p-2, 0x1.5251bdf6b6ab5p-2, 0x1.4d99e8b259b6fp-2, 0x1.48efb1455834cp-2, 0x1.4453137a34951p-2, 0x1.3fc407e9e1b9ep-2, 0x1.3b42843682f67p-2, 0x1.36ce7b4605cc2p-2, 0x1.3267dd7ce25a8p-2, 0x1.2e0e98f8b7bffp-2, 0x1.29c299ca139bfp-2, 0x1.2583ca2c578afp-2, 0x1.215212bab1352p-2, 0x1.1d2d5aa1337bdp-2, 0x1.191587c956bbbp-2, 0x1.150a7f0186dd2p-2, 0x1.110c241fb5843p-2, 0x1.0d1a5a1f3ab57p-2, 0x1.0935033a84cb6p-2, 0x1.055c010158dp-2, 0x1.018f346c71efcp-2, 0x1.fb9d26385511bp-3, 0x1.f433b175d87fp-3, 0x1.ece1e4e9bae79p-3, 0x1.e5a77ee5109b4p-3, 0x1.de843d76ebbdp-3, 0x1.d777de8a4d2dcp-3, 0x1.d082200081c9fp-3, 0x1.c9a2bfc873714p-3, 0x1.c2d97bf379b2bp-3, 0x1.bc2612c82fd17p-3, 0x1.b58842d3ae3fep-3, 0x1.aeffcaf98bd82p-3, 0x1.a88c6a82e1c08p-3, 0x1.a22de12c95b6fp-3, 0x1.9be3ef34f470ep-3, 0x1.95ae5568cb8e1p-3, 0x1.8f8cd52fe456ap-3, 0x1.897f3098e64c7p-3, 0x1.83852a648489bp-3, 0x1.7d9e860fce572p-3, 0x1.77cb07dd9243cp-3, 0x1.720a74dea0b98p-3, 0x1.6c5c92f8df1bp-3, 0x1.66c128ed0ca07p-3, 0x1.6137fe5b348ecp-3, 0x1.5bc0dbc5c177ap-3, 0x1.565b8a9344dc7p-3, 0x1.5107d50ef172ep-3, 0x1.4bc586680135dp-3, 0x1.46946ab002dedp-3, 0x1.41744ed85d0fap-3, 0x1.3c6500af11bacp-3, 0x1.37664edb05857p-3, 0x1.327808d7e2022p-3, 0x1.2d99fef1c86b2p-3, 0x1.28cc0240de8a5p-3, 0x1.240de4a4e62fbp-3, 0x1.1f5f78c0d4a6fp-3, 0x1.1ac091f68ab98p-3, 0x1.16310462a2adcp-3, 0x1.11b0a4d84fddcp-3, 0x1.0d3f48dd57d06p-3, 0x1.08dcc6a60fb87p-3, 0x1.0488f51160fcap-3, 0x1.0043aba4c3326p-3, 0x1.f819851050092p-4, 0x1.efc82503b2114p-4, 0x1.e792e9e472d9ap-4, 0x1.df79879edc49dp-4, 0x1.d77bb341e0326p-4, 0x1.cf9922f607e41p-4, 0x1.c7d18df445defp-4, 0x1.c024ac7caee04p-4, 0x1.b89237cd2a251p-4, 0x1.b119ea1828b58p-4, 0x1.a9bb7e7b7e1dap-4, 0x1.a276b0f7570dfp-4, 0x1.9b4b3e6571135p-4, 0x1.9438e47096bep-4, 0x1.8d3f618c6dc37p-4, 0x1.865e74ed96939p-4, 0x1.7f95de822e458p-4, 0x1.78e55eeaa9e22p-4, 0x1.724cb77314e77p-4, 0x1.6bcbaa0ca3b5ap-4, 0x1.6561f947a3c0dp-4, 0x1.5f0f684db6b3ap-4, 0x1.58d3badc5bdb3p-4, 0x1.52aeb53fbd7aap-4, 0x1.4ca01c4db887p-4, 0x1.46a7b5611d359p-4, 0x1.40c5465523428p-4, 0x1.3af8958107082p-4, 0x1.354169b3d453ep-4, 0x1.2f9f8a3054f0bp-4, 0x1.2a12bea9258c1p-4, 0x1.249acf3cf202ep-4, 0x1.1f378472d2eddp-4, 0x1.19e8a736d2964p-4, 0x1.14ae00d69cd7ap-4, 0x1.0f875afe533e4p-4, 0x1.0a747fb58c9a3p-4, 0x1.0575395c85d41p-4, 0x1.008952a97adep-4, 0x1.f7612d4c5c2d1p-5, 0x1.edd5a15b4b598p-5, 0x1.e46f98d4218ebp-5, 0x1.db2eaba5bb268p-5, 0x1.d212725601832p-5, 0x1.c91a85fecc058p-5, 0x1.c046804b16294p-5, 0x1.b795fb748c2e7p-5, 0x1.af0892415fe3bp-5, 0x1.a69de0026be7p-5, 0x1.9e55809193102p-5, 0x1.962f105063697p-5, 0x1.8e2a2c26f119fp-5, 0x1.86467182e561dp-5, 0x1.7e837e56c312p-5, 0x1.76e0f11953206p-5, 0x1.6f5e68c539576p-5, 0x1.67fb84d8b7d1ep-5, 0x1.60b7e555905eep-5, 0x1.59932ac0ffee7p-5, 0x1.528cf623ea32fp-5, 0x1.4ba4e90b11921p-5, 0x1.44daa58775706p-5, 0x1.3e2dce2ebc192p-5, 0x1.379e061bc8466p-5, 0x1.312af0ef55b39p-5, 0x1.2ad432d0b06ccp-5, 0x1.2499706e7bf33p-5, 0x1.1e7a4eff97f09p-5, 0x1.1876744409d67p-5, 0x1.128d8685ff1f3p-5, 0x1.0cbf2c9ad8b4dp-5, 0x1.070b0de446e0fp-5, 0x1.0170d25173a9cp-5, 0x1.f7e044c064ed1p-6, 0x1.ed114e3c75eb3p-6, 0x1.e2741454df3edp-6, 0x1.d807eb6c4d5fap-6, 0x1.cdcc290ceb2bbp-6, 0x1.c3c023eb11683p-6, 0x1.b9e333e7e6c6ep-6, 0x1.b034b21412374p-6, 0x1.a6b3f8b25dbccp-6, 0x1.9d60633a64874p-6, 0x1.943ecd7541c07p-6, 0x1.8b43cd3b678eep-6, 0x1.82740b9780da2p-6, 0x1.79cee8dfb572p-6, 0x1.7153c6aa19ec8p-6, 0x1.690207cf2bc7ep-6, 0x1.60d9106c28414p-6, 0x1.58d845e56d052p-6, 0x1.50ff0ee8b00f9p-6, 0x1.494cd36f459f4p-6, 0x1.41c0fcc034e6ap-6, 0x1.3a5af57250f57p-6, 0x1.331a296e36317p-6, 0x1.2bfe05f0276f9p-6, 0x1.2505f989ee928p-6, 0x1.1e31742493a49p-6, 0x1.177fe70204764p-6, 0x1.10f0c4be9eaefp-6, 0x1.0a838152b3884p-6, 0x1.04379213e150bp-6, 0x1.fc18db6cbc4ecp-7, 0x1.f003189c515c7p-7, 0x1.e42ccea0446ffp-7, 0x1.d894f32618378p-7, 0x1.cd3a7ea0dba0bp-7, 0x1.c21c6c4acea64p-7, 0x1.b739ba26c2283p-7, 0x1.ac91690158cd7p-7, 0x1.a2227c720457bp-7, 0x1.97ebfadbd7564p-7, 0x1.8deced6e2e08ap-7, 0x1.8424602510e2dp-7, 0x1.7a9161c979833p-7, 0x1.713303f14fe2p-7, 0x1.68085aff4cc38p-7, 0x1.5f107e2291924p-7, 0x1.564a875624149p-7, 0x1.4db5936027fb8p-7, 0x1.4550c1d0ec654p-7, 0x1.3d1b3501d3842p-7, 0x1.35141213fb37fp-7, 0x1.2d3a80eebb032p-7, 0x1.258dac3def798p-7, 0x1.1e0cc1701d6eap-7, 0x1.16b6f0b47140cp-7, 0x1.0f8b6cf85bc44p-7, 0x1.08896be559ae9p-7, 0x1.01b025de3ee12p-7, 0x1.f5fdabf90b482p-8, 0x1.e8e9741abda9p-8, 0x1.dc22251d40df8p-8, 0x1.cfa6455723474p-8, 0x1.c3746072e5817p-8, 0x1.b78b07682b48p-8, 0x1.abe8d074169d6p-8, 0x1.a08c5711dc1fcp-8, 0x1.95743bf2bb245p-8, 0x1.8a9f24f5cc2a3p-8, 0x1.800bbd1f9d331p-8, 0x1.75b8b49173c0ep-8, 0x1.6ba4c08063337p-8, 0x1.61ce9b2c1c36dp-8, 0x1.583503d59121p-8, 0x1.4ed6beb55e5bfp-8, 0x1.45b294f1d3f32p-8, 0x1.3cc75495388ddp-8, 0x1.3413d08360259p-8, 0x1.2b96e06f6d85bp-8, 0x1.234f60d133cfp-8, 0x1.1b3c32da9a83fp-8, 0x1.135c3c6ca58a5p-8, 0x1.0bae680c99523p-8, 0x1.0431a4d8c923bp-8, 0x1.f9c9ccfa77886p-9, 0x1.eb8e4a51166e8p-9, 0x1.ddaebb007fd9fp-9, 0x1.d029212a87b98p-9, 0x1.c2fb87b071d54p-9, 0x1.b624021b733f6p-9, 0x1.a9a0ac850d7ep-9, 0x1.9d6fab7f20858p-9, 0x1.918f2bfc2ecd9p-9, 0x1.85fd63374091bp-9, 0x1.7ab88e9b93d85p-9, 0x1.6fbef3acb6de5p-9, 0x1.650edfee0f95ep-9, 0x1.5aa6a8ca75b81p-9, 0x1.5084ab7c05b28p-9, 0x1.46a74cf3853e9p-9, 0x1.3d0cf9c00e56dp-9, 0x1.33b425f69c561p-9, 0x1.2a9b4d198ef5p-9, 0x1.21c0f200514eap-9, 0x1.19239ebeea604p-9, 0x1.10c1e48db612p-9, 0x1.089a5bb0b85a2p-9, 0x1.00aba35ff1a52p-9, 0x1.f1e8c35d7a778p-10, 0x1.e2e686e777aa3p-10, 0x1.d44df861ef2a1p-10, 0x1.c61c8bf78b39dp-10, 0x1.b84fc2c9bc6e4p-10, 0x1.aae52ac1603e4p-10, 0x1.9dda5e5f546ecp-10, 0x1.912d048d8e394p-10, 0x1.84dad06fffe8dp-10, 0x1.78e18135e3cb4p-10, 0x1.6d3ee1ebea912p-10, 0x1.61f0c94dbb29fp-10, 0x1.56f5199853cebp-10, 0x1.4c49c05c788e7p-10, 0x1.41ecb651b9db1p-10, 0x1.37dbff294e0bcp-10, 0x1.2e15a961ba0abp-10, 0x1.2497ce1a9f29cp-10, 0x1.1b6090e89d3bcp-10, 0x1.126e1faa235e6p-10, 0x1.09beb25c37c21p-10, 0x1.01508aeef0f8ep-10, 0x1.f243ea387aedcp-11, 0x1.e2628c79aaec6p-11, 0x1.d2f9ba3df445dp-11, 0x1.c40643b990081p-11, 0x1.b5850b6763ae6p-11, 0x1.a77305b73ea6bp-11, 0x1.99cd38bdd3382p-11, 0x1.8c90bbe505e19p-11, 0x1.7fbab79d82c77p-11, 0x1.7348651079a38p-11, 0x1.67370dd2c0ddcp-11, 0x1.5b840b989b39ep-11, 0x1.502cc7ea77b17p-11, 0x1.452ebbd91541bp-11, 0x1.3a876fb61a953p-11, 0x1.30347ac921877p-11, 0x1.2633830899912p-11, 0x1.1c823cd25589cp-11, 0x1.131e6aa57022bp-11, 0x1.0a05dcdc6c0ddp-11, 0x1.013671690a585p-11, 0x1.f15c272099ce8p-12, 0x1.e0d5774e74529p-12, 0x1.d0d4dda328751p-12, 0x1.c1567d80611eap-12, 0x1.b25692e24fa4p-12, 0x1.a3d171de921c2p-12, 0x1.95c3862a06c69p-12, 0x1.8829529ba9f0dp-12, 0x1.7aff70b366043p-12, 0x1.6e4290221a52bp-12, 0x1.61ef765359e51p-12, 0x1.5602fdf9663d1p-12, 0x1.4a7a1699c41e5p-12, 0x1.3f51c41caa5f7p-12, 0x1.34871e5d4f356p-12, 0x1.2a1750be55975p-12, 0x1.1fff99b8071dp-12, 0x1.163d4a75aa022p-12, 0x1.0ccdc6682979ep-12, 0x1.03ae82e0c3338p-12, 0x1.f5ba0d561aac9p-13, 0x1.e4add353b7dbp-13, 0x1.d433a8ea62c96p-13, 0x1.c446fff3d0bc6p-13, 0x1.b4e36a3603726p-13, 0x1.a60498a8dab16p-13, 0x1.97a65ac002b91p-13, 0x1.89c49db4bf941p-13, 0x1.7c5b6bda4ce0ap-13, 0x1.6f66ebe9b0d8cp-13, 0x1.62e3605b9b07bp-13, 0x1.56cd26bfe9506p-13, 0x1.4b20b71a45326p-13, 0x1.3fdaa33cb13c5p-13, 0x1.34f7962f4496fp-13, 0x1.2a745390758aep-13, 0x1.204db6fe6977bp-13, 0x1.1680b380404bp-13, 0x1.0d0a52f3a656cp-13, 0x1.03e7b57e56f64p-13, 0x1.f62c21f98d095p-14, 0x1.e52560f9651dep-14, 0x1.d4b5e76721299p-14, 0x1.c4d89cf1a8bd4p-14, 0x1.b588908706693p-14, 0x1.a6c0f757b7d51p-14, 0x1.987d2bda315e8p-14, 0x1.8ab8acd6377p-14, 0x1.7d6f1c75fb398p-14, 0x1.709c3f5a69713p-14, 0x1.643bfbaf87219p-14, 0x1.584a58544e6fep-14, 0x1.4cc37bf9537fdp-14, 0x1.41a3ac4657093p-14, 0x1.36e74d0b444f1p-14, 0x1.2c8adf6d4cdedp-14, 0x1.228b011e83e19p-14, 0x1.18e46b973b9afp-14, 0x1.0f93f353fb3f5p-14, 0x1.0696871b88d7ap-14, 0x1.fbd25e6c57e19p-15, 0x1.eb1219a10b062p-15, 0x1.dae6b270be7dfp-15, 0x1.cb4aca69a6dbbp-15, 0x1.bc3930b64629fp-15, 0x1.adace0d44e937p-15, 0x1.9fa10155dc15p-15, 0x1.9210e29b88481p-15, 0x1.84f7fda213f17p-15, 0x1.7851f2d6a9986p-15, 0x1.6c1a88ec6e199p-15, 0x1.604dabc4f2da7p-15, 0x1.54e76b4a0b798p-15, 0x1.49e3fa6391c5p-15, 0x1.3f3fade833521p-15, 0x1.34f6fb9dd93a6p-15, 0x1.2b0679314e239p-15, 0x1.216adb436a298p-15, 0x1.1820f475571d8p-15, 0x1.0f25b47ac3637p-15, 0x1.0676273c38967p-15, 0x1.fc1ee7b8b77fp-16, 0x1.ebddb7fbad3c9p-16, 0x1.dc2375c63d28ep-16, 0x1.cceb091470c65p-16, 0x1.be2f8a01ded66p-16, 0x1.afec3f1ca3b97p-16, 0x1.a21c9bee7a7b7p-16, 0x1.94bc3f86986e8p-16, 0x1.87c6f313a8f44p-16, 0x1.7b38a87c21932p-16, 0x1.6f0d790b85b1ap-16, 0x1.6341a423f8cc2p-16, 0x1.57d18df9c6c91p-16, 0x1.4cb9be5853befp-16, 0x1.41f6df6fc63bdp-16, 0x1.3785bca9c2321p-16, 0x1.2d63418bfbb02p-16, 0x1.238c78a21eb19p-16, 0x1.19fe8a5f3e019p-16, 0x1.10b6bc287c64p-16, 0x1.07b26f3b1fb24p-16, 0x1.fdde3f9c90825p-17, 0x1.ecd4c820c2fcep-17, 0x1.dc43d67e93149p-17, 0x1.cc26f98285289p-17, 0x1.bc79eeb06571ap-17, 0x1.ad38a07ce11c2p-17, 0x1.9e5f24555fedp-17, 0x1.8fe9b9d567c25p-17, 0x1.81d4c89362c56p-17, 0x1.741cdee5943bcp-17, 0x1.66beb072015f6p-17, 0x1.59b714ba3b49fp-17, 0x1.4d0305caced38p-17, 0x1.409f9ee8c7db9p-17, 0x1.348a3cf14ae4ap-17, 0x1.28bff660bd2cfp-17, 0x1.1d3e6496990b1p-17, 0x1.12031b885123p-17, 0x1.070bca61dd708p-17, 0x1.f8ac7504bac06p-18, 0x1.e3c09ce4bbf8p-18, 0x1.cf5001ca08929p-18, 0x1.bb56c764e0701p-18, 0x1.a7d13ddb7ee4cp-18, 0x1.94bbe023ba89dp-18, 0x1.8213517a09caap-18, 0x1.6fd45cd0fb0cbp-18, 0x1.5dfbf25263ab9p-18, 0x1.4c87264a2df0fp-18, 0x1.3b732f209527ap-18, 0x1.2abd64312f677p-18, 0x1.1a633c43c402ap-18, 0x1.0a624c3058ce3p-18, 0x1.f5708af06fd43p-19, 0x1.d6c5ea1b651adp-19, 0x1.b8c084222e3cfp-19, 0x1.9b5c59332062cp-19, 0x1.7e959906a2c1bp-19, 0x1.6268a10329b12p-19, 0x1.46d1f977686f6p-19, 0x1.2bce543b35a4bp-19, 0x1.115a8a1c88f57p-19, 0x1.eee732703e664p-20, 0x1.bc2d474697ec5p-20, 0x1.8a81d80f73c1ep-20, 0x1.59dfabfff8b3ap-20, 0x1.2a41c6720c17p-20, 0x1.f746c8938cd21p-21, 0x1.9bfff20faf93p-21, 0x1.42a65793b9922p-21, 0x1.d6635243ce8ddp-22, 0x1.2b33e82abafe9p-22, 0x1.075e6901d7db2p-23, -0x1.01cac9324addfp-25, -0x1.81277266a06fep-23, -0x1.5d6d511738e48p-22, -0x1.f6d2fc752344bp-22, -0x1.4668892ba20f2p-21, -0x1.8fb9ba6b7d668p-21, -0x1.d762c7845a2dbp-21, -0x1.0eb498c058b68p-20, -0x1.30e9236b33cebp-20, -0x1.5251938673176p-20, -0x1.72f062fbd1e0ap-20, -0x1.92c7f6dc6a156p-20, -0x1.b1daa1a36bcc5p-20, -0x1.d02aa3a3f87eep-20, -0x1.edba2d197d7adp-20, -0x1.0545af6a1ab1fp-19, -0x1.135025b32ef31p-19, -0x1.20fd7c51e879bp-19, -0x1.2e4eb02cc2da2p-19, -0x1.3b44b892e4257p-19, -0x1.47e087dea9e27p-19, -0x1.54230b70f8491p-19, -0x1.600d2d8e28a56p-19, -0x1.6b9fd394c093ap-19, -0x1.76dbdfd26c53cp-19, -0x1.81c23194a2d5p-19, -0x1.8c53a528e1a9bp-19, -0x1.96911494964ebp-19, -0x1.a07b57a514b31p-19, -0x1.aa134443ca3d4p-19, -0x1.b359aeab3ccc3p-19, -0x1.bc4f69a746d5dp-19, -0x1.c4f546ce5a392p-19, -0x1.cd4c16aaa14c6p-19, -0x1.d554a8f2257d3p-19, -0x1.dd0fccc9833c3p-19, -0x1.e47e50b7272f7p-19, -0x1.eba10304bac57p-19, -0x1.f278b131ac0f8p-19, -0x1.f90629d3bcd2dp-19, -0x1.ff4a3a7a1f818p-19, -0x1.02a2d88f08557p-18, -0x1.057cadf47db2fp-18, -0x1.083304b26afbap-18, -0x1.0ac6440d31b17p-18, -0x1.0d36d3a931484p-18, -0x1.0f851b53871b8p-18, -0x1.11b183194aedep-18, -0x1.13bc734e5c1c2p-18, -0x1.15a654846b034p-18, -0x1.176f8fb0b0b83p-18, -0x1.19188deb2c04bp-18, -0x1.1aa1b8ba31fc8p-18, -0x1.1c0b79da71721p-18, -0x1.1d563b69d514dp-18, -0x1.1e8267e9a5102p-18, -0x1.1f9069ffdf4f9p-18, -0x1.2080aca7e0868p-18, -0x1.21539b3193ccp-18, -0x1.2209a1288d8afp-18, -0x1.22a32a5c1d418p-18, -0x1.2320a2db3e24ep-18, -0x1.238276ef9dbafp-18, -0x1.23c913190f1ccp-18, -0x1.23f4e407a0064p-18, -0x1.2406569b486bcp-18, -0x1.23fdd7d6a9b77p-18, -0x1.23dbd4e11ba77p-18, -0x1.23a0bafb533adp-18, -0x1.234cf78ec83eap-18, }}, 
      {{0x1.0b15648c4fbc8p-1, 0x1.fcde574e4c91cp-2, 0x1.d45465c34fa98p-2, 0x1.9e7b349a9562ap-2, 0x1.5d7c47b917c06p-2, 0x1.138f8655bac2cp-2, 0x1.85bb57031ba01p-3, 0x1.b5b6315b2d207p-4, 0x1.5188b6059a5e7p-6, -0x1.11ed0f0f2490dp-4, -0x1.3bba194742f03p-3, -0x1.eba1f1f745e78p-3, -0x1.4b4d5f5c9375fp-2, -0x1.9d76e91b74f31p-2, -0x1.eb9e8bc77f8cp-2, -0x1.1a9cf5b53feb2p-1, -0x1.3cf0ef93923a8p-1, -0x1.5ca64841dccadp-1, -0x1.79a4fe0cdec57p-1, -0x1.93e05d7780d9ep-1, -0x1.ab551efbc630ap-1, -0x1.c007b2a08e27cp-1, -0x1.d203141c62243p-1, -0x1.e157d7bb4c883p-1, -0x1.ee1b1bcff47cep-1, -0x1.f865a16df86c1p-1, -0x1.0029763bc9975p+0, -0x1.030025186bfb1p+0, -0x1.04c61d8000aa1p+0, -0x1.058b30205e51bp+0, -0x1.055fb8399f839p+0, -0x1.04544d85680b1p+0, -0x1.0278fb88839adp+0, -0x1.ffbb841edea1ep-1, -0x1.f924bb85bc20cp-1, -0x1.f14c5a34f0d29p-1, -0x1.e8501f488f29ap-1, -0x1.de4ca77db4b23p-1, -0x1.d35d63c626943p-1, -0x1.c79c90c444d34p-1, -0x1.bb2326ef6675ep-1, -0x1.ae08ceade6a66p-1, -0x1.a063df48b5716p-1, -0x1.9249636de48cbp-1, -0x1.83cd1d149b8ep-1, -0x1.7501896985771p-1, -0x1.65f7e7fb74e8ap-1, -0x1.56c044e9d66bfp-1, -0x1.476982e65f2efp-1, -0x1.3801630b627b1p-1, -0x1.28948b7921017p-1, -0x1.192e8f1d67641p-1, -0x1.09d9f871ee3b5p-1, -0x1.f540af27029aep-2, -0x1.d714a5afa91abp-2, -0x1.b93f70ad805d3p-2, -0x1.9bcf1d82671cdp-2, -0x1.7ed0488c20dc3p-2, -0x1.624e35efa7282p-2, -0x1.4652e5c441fcdp-2, -0x1.2ae7250e46ac5p-2, -0x1.10129d5b43cadp-2, -0x1.ebb2ec788c8d3p-3, -0x1.b88cd1b59eedfp-3, -0x1.86b6dd49cd455p-3, -0x1.563887aa583b3p-3, -0x1.2717905925cf4p-3, -0x1.f2b0599de19fcp-4, -0x1.99fa7237faac2p-4, -0x1.4410c6a6cd7c3p-4, -0x1.e1e9371a96f6p-5, -0x1.414a9e6afa703p-5, -0x1.4c81f01365c7fp-6, -0x1.0c426c368aa74p-9, 0x1.fcdc41d77f018p-7, 0x1.09becb6df35c6p-5, 0x1.8ee3c60f39aaap-5, 0x1.075c8761e223cp-4, 0x1.44a9dc8e86393p-4, 0x1.7f654a2df1f9ap-4, 0x1.b79af4f4c4901p-4, 0x1.ed57a2afc612bp-4, 0x1.10545155dcb14p-3, 0x1.28cddca91ddc5p-3, 0x1.401f86c9e3eebp-3, 0x1.56508b81a2888p-3, 0x1.6b68460fc872ap-3, 0x1.7f6e2871d8aeap-3, 0x1.9269b30fe7f4dp-3, 0x1.a4626d1db89d5p-3, 0x1.b55fddef2811ep-3, 0x1.c569875af9301p-3, 0x1.d486e1209ebc8p-3, 0x1.e2bf552859182p-3, 0x1.f01a3c65ca85ep-3, 0x1.fc9edc23f95f1p-3, 0x1.042a31c5a829fp-2, 0x1.09a0f4a10ffdp-2, 0x1.0eb7348cdf23bp-2, 0x1.137060e4f66abp-2, 0x1.17cfd963715f9p-2, 0x1.1bd8ed215dfbap-2, 0x1.1f8ed9b4928eap-2, 0x1.22f4ca6eb7c43p-2, 0x1.260dd7bd088adp-2, 0x1.28dd06a4125acp-2, 0x1.2b65485016394p-2, 0x1.2da979b261d17p-2, 0x1.2fac632631f9dp-2, 0x1.3170b81b9f23p-2, 0x1.32f916cbcb014p-2, 0x1.344807fd7abe2p-2, 0x1.355ffee3b0ba7p-2, 0x1.3643591fe92e8p-2, 0x1.36f45eef77a55p-2, 0x1.37754387a54ffp-2, 0x1.37c8259f58cfp-2, 0x1.37ef1020577bbp-2, 0x1.37ebfaf61f346p-2, 0x1.37c0cbedd2f07p-2, 0x1.376f5799c7516p-2, 0x1.36f9622c0725fp-2, 0x1.3660a03d6c601p-2, 0x1.35a6b77a3438p-2, 0x1.34cd3f30b4dd7p-2, 0x1.33d5c0c2a7f22p-2, 0x1.32be52c7f71fp-2, 0x1.318fc3b8f4da8p-2, 0x1.3047902fcfe3cp-2, 0x1.2ee70306c4a43p-2, 0x1.2d6f5ac503f43p-2, 0x1.2be1ca6077cbp-2, 0x1.2a3f79e1cb5acp-2, 0x1.288986e8fde88p-2, 0x1.26c105136270ep-2, 0x1.24e6fe460d4fdp-2, 0x1.22fc72e16811dp-2, 0x1.210259e3bfaeap-2, 0x1.1ef9a1010d312p-2, 0x1.1ce32cb6393f1p-2, 0x1.1abfd85d6b072p-2, 0x1.189076480d89p-2, 0x1.1655cfe1f82fbp-2, 0x1.1410a5dfe3934p-2, 0x1.11c1b07a0c015p-2, 0x1.0f699fb2c58adp-2, 0x1.0d091ba7c5d07p-2, 0x1.0aa0c4ec4033fp-2, 0x1.083134e96378dp-2, 0x1.05bafe4292a7p-2, 0x1.033ead3a9c927p-2, 0x1.00bcc81760f75p-2, 0x1.fc6b9f03192e2p-3, 0x1.f7547dbd0bd51p-3, 0x1.f23519461b12cp-3, 0x1.ed0e553b460d1p-3, 0x1.e7e10c70760d7p-3, 0x1.e2ae11628ee4bp-3, 0x1.dd762e991e361p-3, 0x1.d83a26f941cc6p-3, 0x1.d2fab60bda055p-3, 0x1.cdb890397d3d9p-3, 0x1.c87462feb5655p-3, 0x1.c32ed51af6803p-3, 0x1.bde886bc9e0afp-3, 0x1.b8a211abd3a09p-3, 0x1.b35c0975e5a56p-3, 0x1.ae16fb9a2b9d5p-3, 0x1.a8d36fb91d37cp-3, 0x1.a391e7c5cf524p-3, 0x1.9e52e039c9c24p-3, 0x1.9916d04abc814p-3, 0x1.93de2a2183193p-3, 0x1.8ea95b1198a89p-3, 0x1.8978cbd03e7e2p-3, 0x1.844ce0aa68af8p-3, 0x1.7f25f9b8b8d3fp-3, 0x1.7a047310cb88p-3, 0x1.74e8a4f3584d6p-3, 0x1.6fd2e3f6bb1b5p-3, 0x1.6ac3812dbe476p-3, 0x1.65baca4a7fd51p-3, 0x1.60b909bda6f3fp-3, 0x1.5bbe86d21302bp-3, 0x1.56cb85c55a4aep-3, 0x1.51e047dd947cdp-3, 0x1.4cfd0b7ccfe99p-3, 0x1.48220c32c37fdp-3, 0x1.434f82cd2a9dep-3, 0x1.3e85a56744fcbp-3, 0x1.39c4a778de18ap-3, 0x1.350cb9e5316c1p-3, 0x1.305e0b09f47bdp-3, 0x1.2bb8c6ceaf2d2p-3, 0x1.271d16b484b24p-3, 0x1.228b21e671748p-3, 0x1.1e030d4a009e7p-3, 0x1.1984fb905c3f6p-3, 0x1.15110d47a9152p-3, 0x1.10a760ec78527p-3, 0x1.0c4812fb35e1p-3, 0x1.07f33e016642dp-3, 0x1.03a8faae88175p-3, 0x1.fed2bfc8f6b95p-4, 0x1.f669058e967b5p-4, 0x1.ee14ed98871bcp-4, 0x1.e5d69b907b71dp-4, 0x1.ddae2ffa38b0cp-4, 0x1.d59bc84ce054fp-4, 0x1.cd9f7f0a8b0ep-4, 0x1.c5b96bd650cd4p-4, 0x1.bde9a388ca476p-4, 0x1.b63038432d57ep-4, 0x1.ae8d39813acdfp-4, 0x1.a700b42a09f45p-4, 0x1.9f8ab29ff9f47p-4, 0x1.982b3ccfe1b5fp-4, 0x1.90e2583fb1c61p-4, 0x1.89b0081c9e9eap-4, 0x1.82944d4909a8ep-4, 0x1.7b8f266a36872p-4, 0x1.74a08ff5e953ap-4, 0x1.6dc8844003d05p-4, 0x1.6706fb8828bf2p-4, 0x1.605bec0773d01p-4, 0x1.59c749fe478bbp-4, 0x1.534907c234eep-4, 0x1.4ce115cbf65a5p-4, 0x1.468f62c57e43fp-4, 0x1.4053db980f293p-4, 0x1.3a2e6b7a56055p-4, 0x1.341efbfe81c48p-4, 0x1.2e2575204a88bp-4, 0x1.2841bd52e648cp-4, 0x1.2273b98edb7b6p-4, 0x1.1cbb4d5fb336ap-4, 0x1.17185af17fae5p-4, 0x1.118ac31e3332cp-4, 0x1.0c12657ac2efep-4, 0x1.06af2064167aep-4, 0x1.0160d10bbb625p-4, 0x1.f84ea708c51f8p-5, 0x1.ee05059c42483p-5, 0x1.e3e471c4f0506p-5, 0x1.d9ec9d80456bcp-5, 0x1.d01d38ed52651p-5, 0x1.c675f2637c5a5p-5, 0x1.bcf67688c36bbp-5, 0x1.b39e70679bfdfp-5, 0x1.aa6d89845ec98p-5, 0x1.a16369f24bd6dp-5, 0x1.987fb868200efp-5, 0x1.8fc21a544bccp-5, 0x1.872a33f0b6028p-5, 0x1.7ec548aff75e8p-5, 0x1.767816cbec8afp-5, 0x1.6e4f836cb60b1p-5, 0x1.664b2ed25bb8p-5, 0x1.5e6ab85f0a196p-5, 0x1.56adbea8455edp-5, 0x1.4f13df87cffedp-5, 0x1.479cb82c42e02p-5, 0x1.4047e52952201p-5, 0x1.39150287becf7p-5, 0x1.3203abd4eef7ap-5, 0x1.2b137c322da92p-5, 0x1.24440e638d198p-5, 0x1.1d94fcde6a1b6p-5, 0x1.1705e1d790f15p-5, 0x1.10965750ff9ccp-5, 0x1.0a45f72747c4bp-5, 0x1.04145b1e8f81p-5, 0x1.fc0239de57856p-6, 0x1.f017aca3be822p-6, 0x1.e468421767713p-6, 0x1.d8f32df2ec8d1p-6, 0x1.cdb7a435a98a2p-6, 0x1.c2b4d93a39b87p-6, 0x1.b7ea01cb3fe46p-6, 0x1.ad565337811bbp-6, 0x1.a2f9036543902p-6, 0x1.98d148e50fd9dp-6, 0x1.8ede5b03bcacbp-6, 0x1.851f71dbdfbdep-6, 0x1.7b93c6669d848p-6, 0x1.723a928bd2e81p-6, 0x1.69131131b2329p-6, 0x1.601c7e4bc261fp-6, 0x1.575616e94b679p-6, 0x1.4ebf194335aadp-6, 0x1.4656c4c95eebap-6, 0x1.3e1c5a2f5c12bp-6, 0x1.360f1b78bd0bcp-6, 0x1.2e2e4c04c32f5p-6, 0x1.267930999a6a5p-6, 0x1.1eef0f6f10ebcp-6, 0x1.178f3038c7023p-6, 0x1.1058dc2ff07edp-6, 0x1.094b5e1c8b77ep-6, 0x1.0266025e27dcep-6, 0x1.f7502de864f98p-7, 0x1.ea21d70b9510ap-7, 0x1.dd3fa2d24759fp-7, 0x1.d0a83754e6bf4p-7, 0x1.c45a3e24df59ap-7, 0x1.b8546458b3da8p-7, 0x1.ac955a9750bcep-7, 0x1.a11bd522665b8p-7, 0x1.95e68be00d7a1p-7, 0x1.8af43a6391a9ap-7, 0x1.80439ff5726bdp-7, 0x1.75d37f9aa386ep-7, 0x1.6ba2a01b01478p-7, 0x1.61afcc071a783p-7, 0x1.57f9d1bd327f8p-7, 0x1.4e7f836d9c046p-7, 0x1.453fb71e5d509p-7, 0x1.3c3946ae3322ap-7, 0x1.336b0fd6efd1fp-7, 0x1.2ad3f42f31fcbp-7, 0x1.2272d92b90291p-7, 0x1.1a46a81f265a1p-7, 0x1.124e4e3b93875p-7, 0x1.0a88bc907551dp-7, 0x1.02f4e80a5593bp-7, 0x1.f72392e233f4cp-8, 0x1.e8bcbacbf5783p-8, 0x1.dab348c205092p-8, 0x1.cd05455c27525p-8, 0x1.bfb0c0d31b0a6p-8, 0x1.b2b3d2f8fc04ep-8, 0x1.a60c9b30ef062p-8, 0x1.99b94065fe246p-8, 0x1.8db7f1014d67p-8, 0x1.8206e2df8aedp-8, 0x1.76a45345dac8dp-8, 0x1.6b8e86d607659p-8, 0x1.60c3c98223376p-8, 0x1.56426e7fa8a89p-8, 0x1.4c08d039fea7ep-8, 0x1.4215504493a85p-8, 0x1.3866574c6e253p-8, 0x1.2efa550958615p-8, 0x1.25cfc02e970e3p-8, 0x1.1ce5165b40cfdp-8, 0x1.1438dc0a3f56fp-8, 0x1.0bc99c81eb266p-8, 0x1.0395e9c35fd9bp-8, 0x1.f738b8f2eef3bp-9, 0x1.e7b727cf2d104p-9, 0x1.d8a46bb03e2d5p-9, 0x1.c9fddd15665eap-9, 0x1.bbc0e144849eep-9, 0x1.adeaea25bb807p-9, 0x1.a079761ec3bbdp-9, 0x1.936a0fedfd715p-9, 0x1.86ba4e852126cp-9, 0x1.7a67d4e3a705cp-9, 0x1.6e7051f125a92p-9, 0x1.62d180573f322p-9, 0x1.5789265b97603p-9, 0x1.4c9515b9885aep-9, 0x1.41f32b7bcb198p-9, 0x1.37a14fd5ec002p-9, 0x1.2d9d75fddde2cp-9, 0x1.23e59c0554bd1p-9, 0x1.1a77cab3365e9p-9, 0x1.1152155cfd03cp-9, 0x1.087299c02bf35p-9, 0x1.ffaeffb7558bcp-10, 0x1.eefdf392e13bep-10, 0x1.dece8730026dep-10, 0x1.cf1d46483ffd8p-10, 0x1.bfe6cfe52ee77p-10, 0x1.b127d61458d71p-10, 0x1.a2dd1d9b1ad2ap-10, 0x1.95037dab4a1p-10, 0x1.8797df97ba633p-10, 0x1.7a973e89636d5p-10, 0x1.6dfea734cefa9p-10, 0x1.61cb378feef57p-10, 0x1.55fa1e884facep-10, 0x1.4a889bb9f53cfp-10, 0x1.3f73ff2679259p-10, 0x1.34b9a8ecb25cbp-10, 0x1.2a570900f43fdp-10, 0x1.20499ee5a5578p-10, 0x1.168ef964b9891p-10, 0x1.0d24b6496a355p-10, 0x1.0408821aa6164p-10, 0x1.f6702fac1b79fp-11, 0x1.e56281573136ap-11, 0x1.d4e3a773dd85bp-11, 0x1.c4ef6b9671446p-11, 0x1.b581b2256f76dp-11, 0x1.a69679d5e7f23p-11, 0x1.9829db29a50c2p-11, 0x1.8a3807eddf0c8p-11, 0x1.7cbd4abc4dcdfp-11, 0x1.6fb6067ce98f8p-11, 0x1.631eb5e99cf87p-11, 0x1.56f3eb130b67fp-11, 0x1.4b324ee70b377p-11, 0x1.3fd6a0b892694p-11, 0x1.34ddb5c927ff9p-11, 0x1.2a4478d388ecap-11, 0x1.2007e99883c9dp-11, 0x1.16251c6ca7536p-11, 0x1.0c9939c7e4cabp-11, 0x1.03617dd6794e4p-11, 0x1.f4f67017402c3p-12, 0x1.e3c7956ba6f5bp-12, 0x1.d3315528ec8dcp-12, 0x1.c32ebcddc53a8p-12, 0x1.b3bafd5b611cfp-12, 0x1.a4d169e9bd10bp-12, 0x1.966d777fc2929p-12, 0x1.888abbfe6eb9fp-12, 0x1.7b24ed6f34f41p-12, 0x1.6e37e1453a6efp-12, 0x1.61bf8ba1e5985p-12, 0x1.55b7fe9d44bfep-12, 0x1.4a1d698f844a3p-12, 0x1.3eec18608b597p-12, 0x1.342072d7fa306p-12, 0x1.29b6fbf1d5a3ap-12, 0x1.1fac5135e8191p-12, 0x1.15fd2a117ca91p-12, 0x1.0ca65736119cep-12, 0x1.03a4c1f91da5dp-12, 0x1.f5ead76fe1568p-13, 0x1.e52ada7c8897bp-13, 0x1.d503ec60aa497p-13, 0x1.c57098ee5a7d3p-13, 0x1.b66b9760a927p-13, 0x1.a7efc94228853p-13, 0x1.99f83956db6ep-13, 0x1.8c801a8d4c942p-13, 0x1.7f82c6f632ef8p-13, 0x1.72fbbebf83728p-13, 0x1.66e6a737508c2p-13, 0x1.5b3f49d2c4ccfp-13, 0x1.5001933ac167dp-13, 0x1.4529925e856dbp-13, 0x1.3ab3778a3f8a6p-13, 0x1.309b93844a9e4p-13, 0x1.26de56ad46a12p-13, 0x1.1d785027d07abp-13, 0x1.14662d0223d9p-13, 0x1.0ba4b76684b64p-13, 0x1.0330d5ceeda46p-13, 0x1.f60f147af1521p-14, 0x1.e64be2f254cc4p-14, 0x1.d712849d905f4p-14, 0x1.c85d99aad730cp-14, 0x1.ba27f36e08336p-14, 0x1.ac6c92fb22fddp-14, 0x1.9f26a7c5859cfp-14, 0x1.92518e46d0621p-14, 0x1.85e8ceaed2613p-14, 0x1.79e81b96e509bp-14, 0x1.6e4b50bdf4617p-14, 0x1.630e71cce0a8fp-14, 0x1.582da91d182b2p-14, 0x1.4da54688c0d9fp-14, 0x1.4371be3dc22a1p-14, 0x1.398fa79c4caf1p-14, 0x1.2ffbbc167d439p-14, 0x1.26b2d618500d9p-14, 0x1.1db1eff3cf423p-14, 0x1.14f622d714e63p-14, 0x1.0c7ca5c490719p-14, 0x1.0442cc927fae3p-14, 0x1.f88c0de293dfdp-15, 0x1.e907beec1f51cp-15, 0x1.d9f3f55ae36d4p-15, 0x1.cb4c2c679d901p-15, 0x1.bd0c0fa3ce0bep-15, 0x1.af2f793f234f8p-15, 0x1.a1b27062f26a3p-15, 0x1.9491278b74249p-15, 0x1.87c7faf57968p-15, 0x1.7b536f15f104ap-15, 0x1.6f302f1c8c19dp-15, 0x1.635b0b82dde39p-15, 0x1.57d0f8a74fc0ap-15, 0x1.4c8f0d712b3cdp-15, 0x1.419282024bfbep-15, 0x1.36d8ae718eabp-15, 0x1.2c5f0991a4a4ep-15, 0x1.222327c0efe95p-15, 0x1.1822b9c3fffa3p-15, 0x1.0e5b8ba87cd89p-15, 0x1.04cb83b694ef3p-15, 0x1.f6e142c91eb2bp-16, 0x1.e491f8b16a44ap-16, 0x1.d2a586e413e94p-16, 0x1.c11877b26928ap-16, 0x1.afe7803476dedp-16, 0x1.9f0f7e8e0db6cp-16, 0x1.8e8d7838525f8p-16, 0x1.7e5e986f64436p-16, 0x1.6e802e9b2fbbcp-16, 0x1.5eefacbf9841cp-16, 0x1.4faaa61f1cb48p-16, 0x1.40aecdc124dddp-16, 0x1.31f9f51608f7p-16, 0x1.238a0aa9758f3p-16, 0x1.155d18dbe803cp-16, 0x1.077144a6dc701p-16, 0x1.f392e9a0db8dap-17, 0x1.d8b52ea1f5cb8p-17, 0x1.be4fac5dfbeabp-17, 0x1.a45f6a7db9ff2p-17, 0x1.8ae19ade1d5c6p-17, 0x1.71d39784fb9aep-17, 0x1.5932e0bceca65p-17, 0x1.40fd1b1ee0fabp-17, 0x1.29300df39c271p-17, 0x1.11c9a15347e48p-17, 0x1.f58fb920bff88p-18, 0x1.c851c91aa69e6p-18, 0x1.9bd5f4779c82bp-18, 0x1.7018f23bebd13p-18, 0x1.4517ab8a05026p-18, 0x1.1acf391168263p-18, 0x1.e279c084bfdd5p-19, 0x1.90bc219a22235p-19, 0x1.4060c440b8d4p-19, 0x1.e2c64450a1834p-20, 0x1.477df6a09873fp-20, 0x1.5dc1462479bdp-21, 0x1.8e6c8ba27e177p-24, -0x1.e9da97466f566p-22, -0x1.0b3e4a8dcaf18p-20, -0x1.997662e8c725dp-20, -0x1.1292679cbd123p-19, -0x1.57278ca047eb5p-19, -0x1.9a7d3d59fdb3p-19, -0x1.dc95f1a14d37ap-19, -0x1.0eb9ffc9e8e6ep-18, -0x1.2e8cceeb6e685p-18, -0x1.4dc47354677b9p-18, -0x1.6c61ed2816601p-18, -0x1.8a6630c7e23d1p-18, -0x1.a7d227fa21ea4p-18, -0x1.c4a6b2f87a23p-18, -0x1.e0e4a98eb489ep-18, -0x1.fc8cdc01d5803p-18, -0x1.0bd00a0afb604p-17, -0x1.190f8aedd3bcap-17, -0x1.26055049bd8eep-17, -0x1.32b1b7b2b6099p-17, -0x1.3f151d288e70dp-17, -0x1.4b2fdb4aeadeap-17, -0x1.57024bce00de7p-17, -0x1.628cc7ba03964p-17, -0x1.6dcfa7b72fddap-17, -0x1.78cb444e74bbcp-17, -0x1.837ff6466feb6p-17, -0x1.8dee16b91a49fp-17, -0x1.9815ff5c3b77dp-17, -0x1.a1f80abb5d0f8p-17, -0x1.ab949461e677p-17, -0x1.b4ebf904a2cf3p-17, -0x1.bdfe96b480efep-17, -0x1.c6ccccf943e83p-17, -0x1.cf56fcf8ae875p-17, -0x1.d79d8995cbd79p-17, -0x1.dfa0d78b54ae7p-17, -0x1.e7614d81cc844p-17, -0x1.eedf542de63c3p-17, -0x1.f61b565b9f884p-17, -0x1.fd15c1037fd1ep-17, -0x1.01e781abed11cp-16, -0x1.0523c769ed662p-16, -0x1.083feba076b87p-16, -0x1.0b3c29611bc6bp-16, -0x1.0e18bced6b594p-16, -0x1.10d5e3b888d3bp-16, -0x1.1373dc68a5114p-16, -0x1.15f2e6d74da84p-16, -0x1.1853441217b11p-16, -0x1.1a9536575f81ep-16, -0x1.1cb90115bd9cep-16, -0x1.1ebee8eab9c8p-16, -0x1.20a7339d98de2p-16, -0x1.2272281c9b5d7p-16, -0x1.24200e7c39686p-16, -0x1.25b12feab3fcdp-16, -0x1.2725d6b0eaf6ep-16, -0x1.287e4e2b109d2p-16, -0x1.29bae2c0913fdp-16, -0x1.2adbe1e5e7991p-16, -0x1.2be19a091d5eap-16, -0x1.2ccc5a9392a9ap-16, -0x1.2d9c73e036ae5p-16, -0x1.2e5237328dd1ap-16, -0x1.2eedf6b1ba909p-16, -0x1.2f70055def576p-16, -0x1.2fd8b7067a8c6p-16, -0x1.30286046deedfp-16, -0x1.305f56746c724p-16, -0x1.307defa914555p-16, -0x1.3084829d7c0f1p-16, -0x1.307366b69f12cp-16, -0x1.304af3f4b3debp-16, -0x1.300b82e93c59ep-16, -0x1.2fb56cafd9cd4p-16, -0x1.2f490ae3d681dp-16, -0x1.2ec6b798408a1p-16, -0x1.2e2ecd4a1fa74p-16, -0x1.2d81a6dd35beap-16, -0x1.2cbf9f8ef976ap-16, -0x1.2be912ecedeb5p-16, -0x1.2afe5ccd5e275p-16, -0x1.29ffd94477ca8p-16, -0x1.28ede49be8713p-16, -0x1.27c8db492d7bbp-16, }}, 
      {{0x1.0df36a8580a1fp-1, 0x1.09ade18ee38e8p-1, 0x1.02bbd8bfa04bbp-1, 0x1.f2a8d003d72b3p-2, 0x1.db6f7d5fa90ep-2, 0x1.c054ea36818acp-2, 0x1.a1e472a866cd3p-2, 0x1.80a6f9611b61bp-2, 0x1.5d1fc5836f4dp-2, 0x1.37ca65fbfc2f7p-2, 0x1.1119696c75e5ap-2, 0x1.d2eb46004a4d9p-3, 0x1.827bf8f4d61bfp-3, 0x1.318ee22b74a52p-3, 0x1.c175c9bc55ae6p-4, 0x1.21094d3b97c1bp-4, 0x1.057eadcb3b53ep-5, -0x1.8a0c7dc521b74p-8, -0x1.60da23637daafp-5, -0x1.44163d88b7243p-4, -0x1.d325255b2ab52p-4, -0x1.2e9c3d8c3425fp-3, -0x1.710155bc643e4p-3, -0x1.b0a3db65ebdbbp-3, -0x1.ed6d977b8bb37p-3, -0x1.13a7a34a5bea5p-2, -0x1.2f1fe0c92e42ap-2, -0x1.491d95de4c6e3p-2, -0x1.61a12dd076404p-2, -0x1.78ad2dc639f33p-2, -0x1.8e45f1579b10ap-2, -0x1.a2711d13583e4p-2, -0x1.b535c1586e1d8p-2, -0x1.c69bfaaca64c8p-2, -0x1.d6accd728af42p-2, -0x1.e571f7ef40d22p-2, -0x1.f2f5cb22e7f2ep-2, -0x1.ff430b6964d3fp-2, -0x1.05326a3c4b869p-1, -0x1.0a333f4096726p-1, -0x1.0ea9c2f357db3p-1, -0x1.129bbb6cb10dfp-1, -0x1.160eee14466e1p-1, -0x1.19091820ae24ap-1, -0x1.1b8fe8139175p-1, -0x1.1da8f83cda189p-1, -0x1.1f59ca186304fp-1, -0x1.20a7c247d1048p-1, -0x1.219825206e052p-1, -0x1.223013eed32bp-1, -0x1.22748af4f70dcp-1, -0x1.226a5fec980dp-1, -0x1.221640c8d58f1p-1, -0x1.217cb29d960c9p-1, -0x1.20a210cb6120fp-1, -0x1.1f8a8c9f2c3cep-1, -0x1.1e3a2d7509355p-1, -0x1.1cb4d139d4b2p-1, -0x1.1afe2d0ba0b81p-1, -0x1.1919cdc5aa022p-1, -0x1.170b186ea029ap-1, -0x1.14d54aa8a01e1p-1, -0x1.127b84cf3d6aep-1, -0x1.10009fcffb7fep-1, -0x1.0d6778240e637p-1, -0x1.0ab2b74550729p-1, -0x1.07e4e46d640e8p-1, -0x1.050065c9e268ep-1, -0x1.0207819edfcccp-1, -0x1.fdf8beb43e18dp-2, -0x1.f7c211390b661p-2, -0x1.f16ed47fe1c65p-2, -0x1.eb02aabd595bep-2, -0x1.e48100bff9aeap-2, -0x1.dded101542e17p-2, -0x1.d749e13730e75p-2, -0x1.d09a4dba56032p-2, -0x1.c9e10272a1237p-2, -0x1.c3208185c2c6dp-2, -0x1.bc5b2465267d3p-2, -0x1.b5931dada67aep-2, -0x1.aeca7aeed7bedp-2, -0x1.a803265e3182fp-2, -0x1.a13ee87b34bdcp-2, -0x1.9a7f69a92b4d2p-2, -0x1.93c633c1ac6efp-2, -0x1.8d14b3a0f6c41p-2, -0x1.866c3aaafa13bp-2, -0x1.7fce00462b4c8p-2, -0x1.793b2348895f3p-2, -0x1.72b4ab53d37dbp-2, -0x1.6c3b8a1f52016p-2, -0x1.65d09caf16b52p-2, -0x1.5f74ac79ddd1p-2, -0x1.5928707f655e2p-2, -0x1.52ec8e513e05fp-2, -0x1.4cc19b0ffdeb3p-2, -0x1.46a81c5e55812p-2, -0x1.40a0894b20badp-2, -0x1.3aab4b32e91efp-2, -0x1.34c8be98dc454p-2, -0x1.2ef933f6c8c9cp-2, -0x1.293cf08387c74p-2, -0x1.23942eef32522p-2, -0x1.1dff2014c4643p-2, -0x1.187deba11e458p-2, -0x1.1310b0afbc68bp-2, -0x1.0db7865ddd90dp-2, -0x1.08727c550763p-2, -0x1.03419b4df930ep-2, -0x1.fc49cb1a29ba6p-3, -0x1.f238aeb21921p-3, -0x1.e84fced8d58cp-3, -0x1.de8f0ec47d282p-3, -0x1.d4f6483bd075cp-3, -0x1.cb854c5bbf6bbp-3, -0x1.c23be4526b152p-3, -0x1.b919d20f1352fp-3, -0x1.b01ed0e69ef31p-3, -0x1.a74a962c9688dp-3, -0x1.9e9cd1c0a7229p-3, -0x1.96152e9104d22p-3, -0x1.8db353123b885p-3, -0x1.8576e1ad334a9p-3, -0x1.7d5f79246ec43p-3, -0x1.756cb4f19beaap-3, -0x1.6d9e3f13f5fc2p-3, -0x1.65f39019f05a1p-3, -0x1.5e6c461c983c6p-3, -0x1.5707f28dad827p-3, -0x1.4fc6253ce2dcap-3, -0x1.48a66c990dbebp-3, -0x1.41a855ebfcc51p-3, -0x1.3acb6d9168a94p-3, -0x1.340f3f297f4eap-3, -0x1.2d7355c77196cp-3, -0x1.26f73c1c78f75p-3, -0x1.209a7c9fbbbep-3, -0x1.1a5ca1b359e44p-3, -0x1.143d35c6f7c58p-3, -0x1.0e3bc378060d4p-3, -0x1.0857d5afebcdep-3, -0x1.0290f7c04322p-3, -0x1.f9cd6afa5cff4p-4, -0x1.eeb136abb43p-4, -0x1.e3cc6cd6560b4p-4, -0x1.d91e294938928p-4, -0x1.cea589868de38p-4, -0x1.c461ace645419p-4, -0x1.ba51b4b4f0881p-4, -0x1.b074c44f3f47cp-4, -0x1.a6ca013a1be03p-4, -0x1.9d509337b0f28p-4, -0x1.9407a459678b1p-4, -0x1.8aee610f283e9p-4, -0x1.8203f8342b672p-4, -0x1.79479b197d463p-4, -0x1.70b87d8e96f9dp-4, -0x1.6855d5e83d2d9p-4, -0x1.601edd05f275ep-4, -0x1.5812ce562cd56p-4, -0x1.5030e7d980901p-4, -0x1.48786a24ef9ep-4, -0x1.40e898636f564p-4, -0x1.3980b856c12b3p-4, -0x1.32401257aaf6p-4, -0x1.2b25f15597431p-4, -0x1.2431a2d5a82d8p-4, -0x1.1d6276f13a263p-4, -0x1.16b7c053e2158p-4, -0x1.1030d438e028cp-4, -0x1.09cd0a6812604p-4, -0x1.038bbd32613dp-4, -0x1.fad892db6346ep-5, -0x1.eedc1ce0b3526p-5, -0x1.e320dc184b5aap-5, -0x1.d7a59911d7967p-5, -0x1.cc69213d8bdeap-5, -0x1.c16a46dfe0e15p-5, -0x1.b6a7e104bf523p-5, -0x1.ac20cb7236feap-5, -0x1.a1d3e69acf248p-5, -0x1.97c0178f944ap-5, -0x1.8de447f1f41ebp-5, -0x1.843f65e578fe5p-5, -0x1.7ad0640176521p-5, -0x1.71963942b81d1p-5, -0x1.688fe0fd34a5p-5, -0x1.5fbc5acdd00c3p-5, -0x1.571aaa8c3670bp-5, -0x1.4ea9d83cc90afp-5, -0x1.4668f002a8daep-5, -0x1.3e570211d833p-5, -0x1.367322a178c44p-5, -0x1.2ebc69de1a8c7p-5, -0x1.2731f3dc2c8c1p-5, -0x1.1fd2e08a7e05bp-5, -0x1.189e53a4d424ap-5, -0x1.119374a692feep-5, -0x1.0ab16ebd7bb21p-5, -0x1.03f770bc7e359p-5, -0x1.fac95a1d33e56p-6, -0x1.edf0b353b0cdbp-6, -0x1.e1636004b7a73p-6, -0x1.d51fd9fb02912p-6, -0x1.c924a1ca4780ap-6, -0x1.bd703eb5eceb8p-6, -0x1.b2013e97f8274p-6, -0x1.a6d635c84c007p-6, -0x1.9bedbf041c188p-6, -0x1.91467b55b298dp-6, -0x1.86df11fc81e53p-6, -0x1.7cb630558199cp-6, -0x1.72ca89c3dff9fp-6, -0x1.691ad799feab3p-6, -0x1.5fa5d902c32cap-6, -0x1.566a52eb334e4p-6, -0x1.4d670fec720ffp-6, -0x1.449ae035ea3dcp-6, -0x1.3c049977e61ebp-6, -0x1.33a316ce59195p-6, -0x1.2b7538abff326p-6, -0x1.2379e4c5beb0cp-6, -0x1.1bb005fe4c9b2p-6, -0x1.14168c5219b05p-6, -0x1.0cac6cc37b302p-6, -0x1.0570a14715157p-6, -0x1.fcc45161128cbp-7, -0x1.ef000d3eb9e74p-7, -0x1.e19286d83227dp-7, -0x1.d479d82b66b42p-7, -0x1.c7b4245e49d19p-7, -0x1.bb3f979a7b14fp-7, -0x1.af1a66e96843bp-7, -0x1.a342d010da92dp-7, -0x1.97b7196ff314fp-7, -0x1.8c7591dc94eecp-7, -0x1.817c90813eb9fp-7, -0x1.76ca74bb4ede6p-7, -0x1.6c5da5f9bb52bp-7, -0x1.6234939c24d79p-7, -0x1.584db4d25529p-7, -0x1.4ea7887c48843p-7, -0x1.4540950a6ea05p-7, -0x1.3c17685e63487p-7, -0x1.332a97ac2045ap-7, -0x1.2a78bf5b7c694p-7, -0x1.220082ea0972ap-7, -0x1.19c08ccd712e5p-7, -0x1.11b78e5610efp-7, -0x1.09e43f920a1d5p-7, -0x1.02455f30a51d6p-7, -0x1.f5b364cc297ecp-8, -0x1.e740099f3629ap-8, -0x1.d935906db06d6p-8, -0x1.cb83609f6a4p-8, -0x1.be2e3fd0d47b2p-8, -0x1.b133f64f5960dp-8, -0x1.a492582d116bap-8, -0x1.9847450d29f81p-8, -0x1.8c50a7f10c2cep-8, -0x1.80ac77062f96cp-8, -0x1.7558b3747fb21p-8, -0x1.6a53692d816bep-8, -0x1.5f9aaebbf4341p-8, -0x1.552ca5145516p-8, -0x1.4b077765befcp-8, -0x1.41295aeb9794dp-8, -0x1.37908ebfc865ep-8, -0x1.2e3b5bad99b66p-8, -0x1.2528140528da4p-8, -0x1.1c55136f6310bp-8, -0x1.13c0bec2ceb42p-8, -0x1.0b6983d8b1ddep-8, -0x1.034dd962ef6f3p-8, -0x1.f6d87d84e98e6p-9, -0x1.e78677bc43d5dp-9, -0x1.d8a2c1f50d7fep-9, -0x1.ca2a8d23892e4p-9, -0x1.bc1b1a590ba01p-9, -0x1.ae71ba761f531p-9, -0x1.a12bcdde4e5bcp-9, -0x1.9446c42cbf58cp-9, -0x1.87c01bea242a6p-9, -0x1.7b95624358dfcp-9, -0x1.6fc432c1b4ab2p-9, -0x1.644a3703cbfecp-9, -0x1.5925267791f09p-9, -0x1.4e52c6157933p-9, -0x1.43d0e81c817d5p-9, -0x1.399d6bcf7b247p-9, -0x1.2fb63d33236f1p-9, -0x1.261954cd392d6p-9, -0x1.1cc4b764d8f37p-9, -0x1.13b675c379345p-9, -0x1.0aecac77180bep-9, -0x1.026583954be6dp-9, -0x1.f43e5cfeb501p-10, -0x1.e42fd74e33f4bp-10, -0x1.d49c08aa1284bp-10, -0x1.c57f98ddc0c57p-10, -0x1.b6d7447f7309ap-10, -0x1.a89fdc80e47f7p-10, -0x1.9ad645c2c779fp-10, -0x1.8d7778a996228p-10, -0x1.808080b472162p-10, -0x1.73ee7c15730dfp-10, -0x1.67be9b4bf4b03p-10, -0x1.5bee20c04829fp-10, -0x1.507a6061b6024p-10, -0x1.4560bf4571feap-10, -0x1.3a9eb347ac962p-10, -0x1.3031c2ae30b63p-10, -0x1.261783cc654f9p-10, -0x1.1c4d9ca961301p-10, -0x1.12d1c2a7311b2p-10, -0x1.09a1ba2bd19b2p-10, -0x1.00bb564bd5cbp-10, -0x1.f038f0ec4e115p-11, -0x1.df8620440e101p-11, -0x1.cf5a34fbc8a81p-11, -0x1.bfb1443ff781cp-11, -0x1.b0877d70f2b45p-11, -0x1.a1d9298934b6bp-11, -0x1.93a2aa884c804p-11, -0x1.85e07ade8a8f5p-11, -0x1.788f2cdd1ea4ep-11, -0x1.6bab6a280e61ap-11, -0x1.5f31f32a6f0c3p-11, -0x1.531f9e8f7e9d3p-11, -0x1.477158bbac94bp-11, -0x1.3c242349e0679p-11, -0x1.3135148ae5236p-11, -0x1.26a15707682cap-11, -0x1.1c6629044a3c9p-11, -0x1.1280dc09dca58p-11, -0x1.08eed46d3d458p-11, -0x1.ff5b11b710d9ep-12, -0x1.ed7503d1edb17p-12, -0x1.dc26b34165f0cp-12, -0x1.cb6b762ffaa98p-12, -0x1.bb3ec4056b4c1p-12, -0x1.ab9c34964d4fap-12, -0x1.9c7f7f5694dacp-12, -0x1.8de47a90ada7dp-12, -0x1.7fc71aa114d56p-12, -0x1.72237135f8af9p-12, -0x1.64f5ac92f0032p-12, -0x1.583a16d923f2fp-12, -0x1.4bed1551fe44ep-12, -0x1.400b27c0645ebp-12, -0x1.3490e7b307afcp-12, -0x1.297b07dc95da8p-12, -0x1.1ec6536d4d1a8p-12, -0x1.146fad72f2921p-12, -0x1.0a74103ae506ap-12, -0x1.00d08cb74f743p-12, -0x1.ef0493d1ab958p-13, -0x1.dd0d0895e00bp-13, -0x1.cbb51a859e408p-13, -0x1.baf7952926968p-13, -0x1.aacf6bb0dc9b9p-13, -0x1.9b37b7e81df9bp-13, -0x1.8c2bb92f6bc92p-13, -0x1.7da6d37b38d65p-13, -0x1.6fa48e5871611p-13, -0x1.622093f90798dp-13, -0x1.5516b043a38a7p-13, -0x1.4882cfea01855p-13, -0x1.3c60ff85e78d2p-13, -0x1.30ad6ab8b807ap-13, -0x1.25645b53cbb62p-13, -0x1.1a82388111f0dp-13, -0x1.100385f810b6fp-13, -0x1.05e4e330c4b5ep-13, -0x1.f846153e4af77p-14, -0x1.e575a1e4d1db3p-14, -0x1.d35248b251e2ep-14, -0x1.c1d61793c2f61p-14, -0x1.b0fb4ca0765ccp-14, -0x1.a0bc54bd6656cp-14, -0x1.9113ca48925ecp-14, -0x1.81fc73cd51324p-14, -0x1.737142c07d9f1p-14, -0x1.656d52447ca35p-14, -0x1.57ebe5fa0f791p-14, -0x1.4ae868c9dafafp-14, -0x1.3e5e6bcab0cc4p-14, -0x1.3249a52160cd3p-14, -0x1.26a5eee9dda57p-14, -0x1.1b6f46297da1bp-14, -0x1.10a1c9c70b60bp-14, -0x1.0639b98aea313p-14, -0x1.f866ea46db6f1p-15, -0x1.e516f6696241dp-15, -0x1.d27cd0c70a95dp-15, -0x1.c091ecf03effcp-15, -0x1.af4ff6f0bccbbp-15, -0x1.9eb0d19a0e626p-15, -0x1.8eae94d5837f2p-15, -0x1.7f438c0c57889p-15, -0x1.706a348f741cfp-15, -0x1.621d3c0f52b7ep-15, -0x1.54577f1d599a2p-15, -0x1.471407b75f73ep-15, -0x1.3a4e0bdf74683p-15, -0x1.2e00ec3902b81p-15, -0x1.222832b4334e5p-15, -0x1.16bf9140b0673p-15, -0x1.0bc2e08a5f0e6p-15, -0x1.012e1eb943431p-15, -0x1.edfadc8ff9c9dp-16, -0x1.da5a29ae2e312p-16, -0x1.c772f411f8689p-16, -0x1.b53e4cd60b81ep-16, -0x1.a3b584c9b019ep-16, -0x1.92d22a5dbbc4bp-16, -0x1.828e07a14afaep-16, -0x1.72e3204bcccabp-16, -0x1.63cbafdcae00bp-16, -0x1.554227bc16d98p-16, -0x1.47412d7cad0f5p-16, -0x1.39c398fce1a9fp-16, -0x1.2cc472e980dd8p-16, -0x1.203ef2fa90746p-16, -0x1.142e7e61e6793p-16, -0x1.088ea644168dep-16, -0x1.fab64c6df3dbcp-17, -0x1.e51fc5a02ef85p-17, -0x1.d051d07a1f414p-17, -0x1.bc44d1c2c6ce2p-17, -0x1.a8f1781b3cfbbp-17, -0x1.9650b95b39d04p-17, -0x1.845bd02bf2ed2p-17, -0x1.730c39685b39cp-17, -0x1.625bb218bc965p-17, -0x1.524434eb8b98ep-17, -0x1.42bff82c7e4f1p-17, -0x1.33c96b95aa6eap-17, -0x1.255b363b3d408p-17, -0x1.17703496ce9b3p-17, -0x1.0a037694a3c3ep-17, -0x1.fa207b7fbffebp-18, -0x1.e123f6c2e955p-18, -0x1.c9089da985c5bp-18, -0x1.b1c6078541532p-18, -0x1.9b54211f42e32p-18, -0x1.85ab2974c8cd2p-18, -0x1.70c3aea11f9d4p-18, -0x1.5c968b01b66ep-18, -0x1.491ce242375fdp-18, -0x1.36501e9c0b8b6p-18, -0x1.2429ee2763d1dp-18, -0x1.12a44051db20dp-18, -0x1.01b943203b6eap-18, -0x1.e2c6c23538838p-19, -0x1.c33a7dab231a3p-19, -0x1.a4c3710096089p-19, -0x1.8757bff50f186p-19, -0x1.6aedf5226eb61p-19, -0x1.4f7cfde972cddp-19, -0x1.34fc2660fe333p-19, -0x1.1b631622cc92ap-19, -0x1.02a9cc1552d5cp-19, -0x1.d591361e40e6ap-20, -0x1.a7704cc97a7adp-20, -0x1.7ae2bd5e9d4a7p-20, -0x1.4fdafd2b413cfp-20, -0x1.264c0f7e0a4e2p-20, -0x1.fc52ffc52912ap-21, -0x1.aeceb8888d933p-21, -0x1.63f45f2e6c354p-21, -0x1.1badf920388c3p-21, -0x1.abcce233761a8p-22, -0x1.25131a788b21ap-22, -0x1.460f9ad67d999p-23, -0x1.2c2df373b66f3p-25, 0x1.4e5b35bb20302p-24, 0x1.90e046f0ed90ap-23, 0x1.39272d2dcc5d8p-22, 0x1.a5db8495f07bcp-22, 0x1.0755c0d9e3d2bp-21, 0x1.39da24674f477p-21, 0x1.6a88ec55b9b86p-21, 0x1.996f8a9e0615dp-21, 0x1.c69aebfff5efcp-21, 0x1.f2177cc6b8dd2p-21, 0x1.0df897740ea0dp-20, 0x1.2219bfc9a2fc6p-20, 0x1.3574be42c6976p-20, 0x1.480ee482811f7p-20, 0x1.59ed51b4d5efbp-20, 0x1.6b14f444ad8a7p-20, 0x1.7b8a8ccc043e2p-20, 0x1.8b52afc6c3a25p-20, 0x1.9a71c7972dcbap-20, 0x1.a8ec16f9c2c4p-20, 0x1.b6c5ba7742445p-20, 0x1.c402aa52b4e3p-20, 0x1.d0a6bc151bc35p-20, 0x1.dcb5a4e4720f6p-20, 0x1.e832f9e54f27ep-20, 0x1.f32232c541ba7p-20, 0x1.fd86ab1617d71p-20, 0x1.03b1d163e9733p-19, 0x1.085e20301843p-19, 0x1.0cc9c8daf8cfap-19, 0x1.10f646c16122dp-19, 0x1.14e50a245b911p-19, 0x1.189778afdea47p-19, 0x1.1c0f29d9a3c25p-19, 0x1.1f4cfc7c4496ap-19, 0x1.225270ed74414p-19, 0x1.2520c7bf3d148p-19, 0x1.27b939005cf09p-19, 0x1.2a1cf51164646p-19, 0x1.2c4d24bb4ee27p-19, 0x1.2e4aea1c56dc9p-19, 0x1.301760368e9fbp-19, 0x1.31b39bac74089p-19, 0x1.3320ab11bc81p-19, 0x1.345f974ada76ap-19, 0x1.3571638987e98p-19, 0x1.36570dccd9342p-19, 0x1.37118efba5334p-19, 0x1.37a1db4273c1dp-19, 0x1.3808e233b2d6ep-19, 0x1.38478f045ceafp-19, 0x1.385ec8c276bd8p-19, 0x1.384f727d440a8p-19, 0x1.381a6b57b4b77p-19, 0x1.37c08ef42ad0cp-19, 0x1.3742b566f69edp-19, 0x1.36a1b35f7e9efp-19, 0x1.35de5a743388fp-19, 0x1.34f97907d0883p-19, 0x1.33f3da825d7d4p-19, 0x1.32ce477a6e998p-19, 0x1.318985cda6923p-19, 0x1.3026586479262p-19, 0x1.2ea58021ae5ccp-19, 0x1.2d07baf8eba6dp-19, 0x1.2b4dc49415735p-19, 0x1.297856479d0cap-19, 0x1.2788271c05df3p-19, 0x1.257debe7670b8p-19, 0x1.235a57584717fp-19, 0x1.211e1a0b3dff8p-19, 0x1.1ec9e26ebcfd3p-19, 0x1.1c5e5d090b85dp-19, 0x1.19dc3462fe937p-19, 0x1.1744110d9dd4cp-19, 0x1.149699b160965p-19, 0x1.11d4734bfe2f1p-19, 0x1.0efe40aeb1cabp-19, 0x1.0c14a30689e3p-19, 0x1.091839a0ea289p-19, 0x1.0609a218ff5e7p-19, 0x1.02e9781ee0d65p-19, 0x1.ff70abf4b3b68p-20, 0x1.f8eda7dc99b2p-20, 0x1.f24b111f8d0b3p-20, 0x1.eb8a118955d6fp-20, 0x1.e4abcf8468accp-20, 0x1.ddb16dfd005a1p-20, 0x1.d69c0cb10505p-20, 0x1.cf6cc7d89e819p-20, 0x1.c824b86031567p-20, 0x1.c0c4f3cd0759bp-20, 0x1.b94e8c57541eap-20, 0x1.b1c290d3092d8p-20, 0x1.aa220cda0447p-20, 0x1.a26e088d622eap-20, 0x1.9aa788c1e9eecp-20, 0x1.92cf8f1fe2d8fp-20, 0x1.8ae7197204431p-20, 0x1.82ef22a8cb5c2p-20, 0x1.7ae8a2415e25fp-20, 0x1.72d48c4800f3cp-20, 0x1.6ab3d1743b05ap-20, 0x1.62875f20268bep-20, 0x1.5a501f4e91c7dp-20, 0x1.520ef88c98d2fp-20, 0x1.49c4ce39d2579p-20, 0x1.41727ff9785a7p-20, 0x1.3918ea5e71d51p-20, 0x1.30b8e68451169p-20, 0x1.285349d59f61ap-20, 0x1.1fe8e7182911dp-20, 0x1.177a8cfa492e1p-20, 0x1.0f0906fe994p-20, 0x1.06951d426056ep-20, 0x1.fc3f28b8ca389p-21, 0x1.eb525bc10fdap-21, 0x1.da654f3b2d454p-21, 0x1.c9797837f8cp-21, 0x1.b890450441045p-21, 0x1.a7ab1d18b38efp-21, 0x1.96cb6154f6696p-21, 0x1.85f26bdc169eap-21, 0x1.75218f7bd0a9cp-21, 0x1.645a1924eecd8p-21, 0x1.539d4e1aa48d8p-21, 0x1.42ec6ea49d01p-21, 0x1.3248b2485de5cp-21, 0x1.21b34b134ae6fp-21, 0x1.112d645233bd7p-21, 0x1.00b8224e57673p-21, 0x1.e0a9464d7b83fp-22, 0x1.c007fc8450803p-22, 0x1.9f8e88fe1b307p-22, 0x1.7f3f0089b44dep-22, 0x1.5f1b6af37c5bdp-22, 0x1.3f25c3288ba99p-22, 0x1.1f5ff75ae66d1p-22, 0x1.ff97d24fda5b4p-23, 0x1.c0d6d9c594651p-23, 0x1.828095e83e9dfp-23, 0x1.44987e78c6a5bp-23, }}, 
      {{0x1.076dfed046d17p-10, 0x1.01d4e9d145747p-8, 0x1.18d240d7878fep-7, 0x1.df09879f175abp-7, 0x1.646c588833bedp-6, 0x1.e5ac0bc25723ap-6, 0x1.37034eac2921dp-5, 0x1.7c535bf68d43dp-5, 0x1.c09cd6ac27892p-5, 0x1.00ff2e9471a1cp-4, 0x1.1f6fe99dfb046p-4, 0x1.3af83e284ffap-4, 0x1.5311a05a44465p-4, 0x1.675433be206b1p-4, 0x1.7774755ec8c2cp-4, 0x1.833f6373c1a16p-4, 0x1.8a97ba8024a07p-4, 0x1.8d72cb4a4ae58p-4, 0x1.8bd58e8dd3bp-4, 0x1.85d22c8737fefp-4, 0x1.7b85b5fd527f2p-4, 0x1.6d15f228f6955p-4, 0x1.5aaf4b1097386p-4, 0x1.448378b9630e3p-4, 0x1.2ac89c4d1d1c3p-4, 0x1.0db7514903954p-4, 0x1.db128e91637a1p-5, 0x1.94f32acf12e63p-5, 0x1.4988f3e205dd7p-5, 0x1.f295f3706a94cp-6, 0x1.4953234a29cd1p-6, 0x1.3062dddae1945p-7, -0x1.ff224c830576ep-10, -0x1.bc7fc2bf1d9a3p-7, -0x1.a1e95880fed6dp-6, -0x1.3514cb70ddc7ep-5, -0x1.9b2204fa7c975p-5, -0x1.01611d3e9533ep-4, -0x1.35cff8509a93ap-4, -0x1.6ab546b1e2f31p-4, -0x1.9feb168dd203ap-4, -0x1.d54db4d2add33p-4, -0x1.055dd29225815p-3, -0x1.200acf1bf466p-3, -0x1.3a9f3cdd741cdp-3, -0x1.550d8fb35f8cp-3, -0x1.6f493cbb74922p-3, -0x1.8946b8e433e58p-3, -0x1.a2fb75b8396efp-3, -0x1.bc5dd824afefap-3, -0x1.d56529a0791c2p-3, -0x1.ee09865d04d31p-3, -0x1.0321e58cfc38ap-2, -0x1.0f06c26b4198bp-2, -0x1.1ab0722441f66p-2, -0x1.261c5af692c3dp-2, -0x1.31482ece49cecp-2, -0x1.3c31e96b50f3ep-2, -0x1.46d7cd5a81fd9p-2, -0x1.51385ef0114d8p-2, -0x1.5b525d9e4debep-2, -0x1.6524bcf57d976p-2, -0x1.6eb03002006dap-2, -0x1.77f093c19ea9fp-2, -0x1.80e72e8558dedp-2, -0x1.8993ab95eb812p-2, -0x1.91f5d80083145p-2, -0x1.9a0da2d8925c8p-2, -0x1.a1db1e0ba80a7p-2, -0x1.a95e7e53fdb38p-2, -0x1.b09819846a5cbp-2, -0x1.b788633851cp-2, -0x1.be2fe893030bbp-2, -0x1.c48f4bfb3cb5p-2, -0x1.caa7419d9d468p-2, -0x1.d0788d1d42bdp-2, -0x1.d604006862b21p-2, -0x1.db4a7b52cc051p-2, -0x1.e04ceb77fddb4p-2, -0x1.e50c4bf687305p-2, -0x1.e989a4c3867dbp-2, -0x1.edc609882500ep-2, -0x1.f1c2982218382p-2, -0x1.f58076f3b313ep-2, -0x1.f900d3314439cp-2, -0x1.fc44df4ee278cp-2, -0x1.ff4dd1a2f7ae8p-2, -0x1.010e71a2083f6p-1, -0x1.0259a78f313bep-1, -0x1.0389289bae0c9p-1, -0x1.049d9309a1c55p-1, -0x1.05978518ce58fp-1, -0x1.06779ccbf9526p-1, -0x1.073e77b33475ap-1, -0x1.07ecb2ba53c2dp-1, -0x1.0882e9fbbe99ep-1, -0x1.0901b897e56fep-1, -0x1.0969b8913b532p-1, -0x1.09bb82ac0e18dp-1, -0x1.09f7ae514d48cp-1, -0x1.0a1ed17342e5cp-1, -0x1.0a3180734c658p-1, -0x1.0a304e07a3b5bp-1, -0x1.0a1bcb2026bfep-1, -0x1.09f486c8d8d8ep-1, -0x1.09bb0e08d63acp-1, -0x1.096febbcc1ee6p-1, -0x1.0913a86c97458p-1, -0x1.08a6ca1deb657p-1, -0x1.0829d4251b47cp-1, -0x1.079d46f8fe0bdp-1, -0x1.0701a00d59791p-1, -0x1.065759b842904p-1, -0x1.059eeb25a33e5p-1, -0x1.04d8c85aab11ep-1, -0x1.0405624906aa7p-1, -0x1.032526efe2916p-1, -0x1.02388187298c2p-1, -0x1.013fdab071261p-1, -0x1.003b98a8ae1dfp-1, -0x1.fe583eec51e7ap-2, -0x1.fc23a21e19c5ap-2, -0x1.f9da1aec72538p-2, -0x1.f77c659ae04f5p-2, -0x1.f50b3abab99d7p-2, -0x1.f2874f2a2b79p-2, -0x1.efef92a07a12p-2, -0x1.ed487f5eeddc5p-2, -0x1.ea90bc878daacp-2, -0x1.e7c8ead9d3139p-2, -0x1.e4f1a778e4051p-2, -0x1.e20b8c2cda77ep-2, -0x1.df172f9779334p-2, -0x1.dc15255b1b183p-2, -0x1.d905fe33e2aa9p-2, -0x1.d5ea48043c48ep-2, -0x1.d2c28dd6b6156p-2, -0x1.cf8f57d7cb62ep-2, -0x1.cc512b4a91131p-2, -0x1.c9088a7b48133p-2, -0x1.c5b5f4b28d4bbp-2, -0x1.c259e62b91611p-2, -0x1.bef4d80f1559fp-2, -0x1.bb87407466a18p-2, -0x1.b8119268e1dabp-2, -0x1.b4943dfdfac2dp-2, -0x1.b10fb05d421dbp-2, -0x1.ad8453e181e52p-2, -0x1.a9f29033bcbf4p-2, -0x1.a65aca6ac0b99p-2, -0x1.a2bd652be5f5dp-2, -0x1.9f1ac0cbafep-2, -0x1.9b733b6d1e615p-2, -0x1.97c7311ec3c46p-2, -0x1.9416fbf4dc766p-2, -0x1.9062f42000d88p-2, -0x1.8cab70003867p-2, -0x1.88f0c434826f9p-2, -0x1.853343a7133c7p-2, -0x1.81733f96b8eebp-2, -0x1.7db1079de7925p-2, -0x1.79ece9b80cf37p-2, -0x1.76273245bdc93p-2, -0x1.72602c104ffa6p-2, -0x1.6e98204d57dcp-2, -0x1.6acf56a26caf2p-2, -0x1.6706152977a87p-2, -0x1.633ca075b89bdp-2, -0x1.5f733b99819cfp-2, -0x1.5baa282ca9958p-2, -0x1.57e1a6538eac9p-2, -0x1.5419f4c67cf43p-2, -0x1.505350d9473a3p-2, -0x1.4c8df682d5bbbp-2, -0x1.48ca20647e4f4p-2, -0x1.450807d0e7923p-2, -0x1.4147e4d2603a4p-2, -0x1.3d89ee307fe26p-2, -0x1.39ce597507a59p-2, -0x1.36155aeff4e6p-2, -0x1.325f25bad3e1fp-2, -0x1.2eabebbb53d94p-2, -0x1.2afbdda53ea11p-2, -0x1.274f2afbe61ep-2, -0x1.23a602132e591p-2, -0x1.2000901052f8bp-2, -0x1.1c5f00ea88a91p-2, -0x1.18c17f6ba0b7dp-2, -0x1.15283530c46f3p-2, -0x1.11934aab61b3ap-2, -0x1.0e02e7225f511p-2, -0x1.0a7730b3a2357p-2, -0x1.06f04c55e7fd1p-2, -0x1.036e5ddb015fdp-2, -0x1.ffe30fe4b5cf1p-3, -0x1.f8f3d857bcfa8p-3, -0x1.f20f55f62978cp-3, -0x1.eb35c77500a6ap-3, -0x1.e467695e4f24cp-3, -0x1.dda476187603p-3, -0x1.d6ed25ed9e9ffp-3, -0x1.d041af133ad87p-3, -0x1.c9a245b17643ep-3, -0x1.c30f1bea9b1f5p-3, -0x1.bc8861e243531p-3, -0x1.b60e45c464871p-3, -0x1.afa0f3cc20669p-3, -0x1.a940964a63a22p-3, -0x1.a2ed55ac4bc4bp-3, -0x1.9ca758815d88ep-3, -0x1.966ec381882a1p-3, -0x1.9043b993090bp-3, -0x1.8a265bd02b4b8p-3, -0x1.8416c98cf161ap-3, -0x1.7e15205cab57dp-3, -0x1.78217c1789871p-3, -0x1.723bf6e023e19p-3, -0x1.6c64a9290cac7p-3, -0x1.669ba9ba65dd7p-3, -0x1.60e10db781e7ap-3, -0x1.5b34e8a4953e7p-3, -0x1.55974c6c77ae9p-3, -0x1.50084966758b5p-3, -0x1.4a87ee5c35178p-3, -0x1.4516488fb1ec1p-3, -0x1.3fb363c142ec2p-3, -0x1.3a5f4a35bc5fbp-3, -0x1.351a04bc9bbabp-3, -0x1.2fe39ab64b24p-3, -0x1.2abc121a6ce75p-3, -0x1.25a36f7e414a6p-3, -0x1.2099b61b136b2p-3, -0x1.1b9ee7d4b6d53p-3, -0x1.16b3054015ccfp-3, -0x1.11d60da9ca292p-3, -0x1.0d07ff1cc35e6p-3, -0x1.0848d668fc5f4p-3, -0x1.03988f2a3cec9p-3, -0x1.fdee479dc21a2p-4, -0x1.f4c91b3d6ec94p-4, -0x1.ebc18983bd52ep-4, -0x1.e2d7808f6259bp-4, -0x1.da0aec5b77a5fp-4, -0x1.d15bb6cd711e9p-4, -0x1.c8c9c7c31fd53p-4, -0x1.c0550520bc1b9p-4, -0x1.b7fd52defdabfp-4, -0x1.afc2931933d11p-4, -0x1.a7a4a61b54c2ep-4, -0x1.9fa36a700ec56p-4, -0x1.97bebceed5efcp-4, -0x1.8ff678c9def37p-4, -0x1.884a779c09e17p-4, -0x1.80ba9176bb579p-4, -0x1.794d31306e4e5p-4, -0x1.71f5325ad6ae3p-4, -0x1.6ab8cdf92e25cp-4, -0x1.6397d69ee4478p-4, -0x1.5c921d981261ep-4, -0x1.55a772f62f0f1p-4, -0x1.4ed7a59ca085bp-4, -0x1.4822834d2ff31p-4, -0x1.4187d8b45bef9p-4, -0x1.3b077175846c3p-4, -0x1.34a11836f1817p-4, -0x1.2e5496adb1c86p-4, -0x1.2821b5a94f2e4p-4, -0x1.22083d1f55b1dp-4, -0x1.1c07f436b2309p-4, -0x1.1620a152de8a1p-4, -0x1.10520a1ee0e72p-4, -0x1.0a9bf3981c08p-4, -0x1.04fe2218ed6fcp-4, -0x1.fef0b2c6381f3p-5, -0x1.f414b95428905p-5, -0x1.e967dd39e76dp-5, -0x1.dee9a2e0c4541p-5, -0x1.d4998dd071487p-5, -0x1.ca7720c1ecc39p-5, -0x1.c081ddb209f85p-5, -0x1.b6b945f39258cp-5, -0x1.ad1cda41065a2p-5, -0x1.a3ac1acdf55f1p-5, -0x1.9a668757fc9e1p-5, -0x1.914b9f3758f58p-5, -0x1.885ae16f1df8cp-5, -0x1.7f93ccbd085d1p-5, -0x1.76f5dfa8effedp-5, -0x1.6e809893db40dp-5, -0x1.663375c6ae7fep-5, -0x1.5e0df58081738p-5, -0x1.560f96048fee1p-5, -0x1.4e37d5a7d2a73p-5, -0x1.468632de34cd6p-5, -0x1.3efa2c4771482p-5, -0x1.379340bb91546p-5, -0x1.3050ef57105a5p-5, -0x1.2932b786a2e04p-5, -0x1.22381912a7a43p-5, -0x1.1b60942a39b59p-5, -0x1.14aba96dedc3ap-5, -0x1.0e18d9fa37766p-5, -0x1.07a7a77172f21p-5, -0x1.015794059e227p-5, -0x1.f65045036f34p-6, -0x1.ea31aca59907bp-6, -0x1.de52672156eb2p-6, -0x1.d2b17e0c9fa87p-6, -0x1.c74dfc73dddc1p-6, -0x1.bc26eee979e6bp-6, -0x1.b13b6394b8e07p-6, -0x1.a68a6a4001701p-6, -0x1.9c131466846a7p-6, -0x1.91d47541493a1p-6, -0x1.87cda1d3a247bp-6, -0x1.7dfdb0f70b7fbp-6, -0x1.7463bb66794a9p-6, -0x1.6afedbc910eebp-6, -0x1.61ce2ebc4ffbbp-6, -0x1.58d0d2ddb2f0ap-6, -0x1.5005e8d3be40bp-6, -0x1.476c93569baedp-6, -0x1.3f03f7380f7a5p-6, -0x1.36cb3b6b08372p-6, -0x1.2ec1890aa4b9bp-6, -0x1.26e60b60b5037p-6, -0x1.1f37efebd1a2p-6, -0x1.17b66664e9d64p-6, -0x1.1060a0c46996p-6, -0x1.0935d346e51c5p-6, -0x1.023534715fdap-6, -0x1.f6bbfa2a2976ep-7, -0x1.e95ed0a5d3fb2p-7, -0x1.dc51673cdefd2p-7, -0x1.cf923d80feef3p-7, -0x1.c31fd7b2faccdp-7, -0x1.b6f8bec66bef1p-7, -0x1.ab1b8064cdf5p-7, -0x1.9f86aeefcddcap-7, -0x1.9438e183011cap-7, -0x1.8930b3f4f5442p-7, -0x1.7e6cc6d78b753p-7, -0x1.73ebbf77d0fdp-7, -0x1.69ac47dd3a4b7p-7, -0x1.5fad0ec84cf5p-7, -0x1.55ecc7b0be606p-7, -0x1.4c6a2ac3169adp-7, -0x1.4323f4ddc2a27p-7, -0x1.3a18e78dc1383p-7, -0x1.3147c90abc9fap-7, -0x1.28af6432defc8p-7, -0x1.204e8886019a3p-7, -0x1.18240a209ff7bp-7, -0x1.102ec1b6552a9p-7, -0x1.086d8c8bfd7fap-7, -0x1.00df4c7179ac4p-7, -0x1.f305cf76372c2p-8, -0x1.e4ae927582f34p-8, -0x1.d6b6c07138f83p-8, -0x1.c91c40d764d58p-8, -0x1.bbdd03e416127p-8, -0x1.aef702915ddc5p-8, -0x1.a2683e8682165p-8, -0x1.962ec206f78e5p-8, -0x1.8a489fe0c118dp-8, -0x1.7eb3f35a67f1p-8, -0x1.736ee0208729fp-8, -0x1.68779232f37b4p-8, -0x1.5dcc3dd183a2dp-8, -0x1.536b1f687d932p-8, -0x1.49527b7cafc13p-8, -0x1.3f809e973d51fp-8, -0x1.35f3dd31110e2p-8, -0x1.2caa939e3bc95p-8, -0x1.23a325f8b7f99p-8, -0x1.1adc000b522edp-8, -0x1.1253953c112f9p-8, -0x1.0a08607699dcfp-8, -0x1.01f8e416499fep-8, -0x1.f44753a0599d2p-9, -0x1.e50e853995b32p-9, -0x1.d6448d43c71bap-9, -0x1.c7e6aa37c6deep-9, -0x1.b9f2288ec8ef2p-9, -0x1.ac64629518f58p-9, -0x1.9f3ac03c98122p-9, -0x1.9272b6ef0f437p-9, -0x1.8609c9609c433p-9, -0x1.79fd8761e1965p-9, -0x1.6e4b8db229aafp-9, -0x1.62f185d19928ep-9, -0x1.57ed25d335e99p-9, -0x1.4d3c302f1c198p-9, -0x1.42dc73949fa58p-9, -0x1.38cbcabc9990cp-9, -0x1.2f081c3b9d167p-9, -0x1.258f5a545ca4bp-9, -0x1.1c5f82ca6f1b8p-9, -0x1.13769eb49f636p-9, -0x1.0ad2c24fdfd58p-9, -0x1.02720cd252787p-9, -0x1.f4a5507cd403ap-10, -0x1.e4e5926c9068p-10, -0x1.d5a15d9ea48fbp-10, -0x1.c6d544cc0c259p-10, -0x1.b87deee432f94p-10, -0x1.aa9816b57537ap-10, -0x1.9d208a9680d1cp-10, -0x1.90142c1003732p-10, -0x1.836fef87580cap-10, -0x1.7730dbe915f88p-10, -0x1.6b540a552fd13p-10, -0x1.5fd6a5cb5935ep-10, -0x1.54b5ead7c340dp-10, -0x1.49ef274106bbep-10, -0x1.3f7fb9b6c2799p-10, -0x1.35651180c1ea1p-10, -0x1.2b9cae2f1a427p-10, -0x1.22241f4af868ap-10, -0x1.18f904084049ap-10, -0x1.10190af82ce4bp-10, -0x1.0781f1bc536a4p-10, -0x1.fe6309765e25p-11, -0x1.ee4b3da9b1b7ap-11, -0x1.deb852323087bp-11, -0x1.cfa634fc6828fp-11, -0x1.c110ef3158806p-11, -0x1.b2f4a4a7f5bc7p-11, -0x1.a54d9357f6e48p-11, -0x1.981812cf1a758p-11, -0x1.8b5093a82d21dp-11, -0x1.7ef39f03d6c0bp-11, -0x1.72fdd6036305ep-11, -0x1.676bf145df2cep-11, -0x1.5c3ac066427bp-11, -0x1.5167297c8834dp-11, -0x1.46ee28a0394bfp-11, -0x1.3ccccf6cf7029p-11, -0x1.330044899c09bp-11, -0x1.2985c33009356p-11, -0x1.205a9ab7ff919p-11, -0x1.177c2e23a9e81p-11, -0x1.0ee7f3ae17064p-11, -0x1.069b745b5a727p-11, -0x1.fd289715b4746p-12, -0x1.eda04d16ea5aap-12, -0x1.de9988634aa98p-12, -0x1.d00fe8dda5b53p-12, -0x1.c1ff2fd746dd7p-12, -0x1.b4633f453e795p-12, -0x1.a73818fb84c2bp-12, -0x1.9a79ddea84d9p-12, -0x1.8e24cd5fc8f4dp-12, -0x1.8235444abf7edp-12, -0x1.76a7bc833bc1ap-12, -0x1.6b78cc155fea4p-12, -0x1.60a5248f0c985p-12, -0x1.5629924f573e9p-12, -0x1.4c02fbdb3cc9p-12, -0x1.422e613422551p-12, -0x1.38a8db30cf1ep-12, -0x1.2f6f9ad9fe7f8p-12, -0x1.267fe8c8dc694p-12, -0x1.1dd72488d6ce1p-12, -0x1.1572c3fb5d919p-12, -0x1.0d5052c0c175ap-12, -0x1.056d719ec6687p-12, -0x1.fb8fabde103ffp-13, -0x1.ecba9219d8a22p-13, -0x1.de574f8e707d7p-13, -0x1.d061c3a81bdb3p-13, -0x1.c2d5f28f72091p-13, -0x1.b5b0041b19b2dp-13, -0x1.a8ec42c79fbb5p-13, -0x1.9c871ab601f4fp-13, -0x1.907d18ab2d0bbp-13, -0x1.84cae919ef602p-13, -0x1.796d572eb2beap-13, -0x1.6e614be1c5ef4p-13, -0x1.63a3cd0f802adp-13, -0x1.5931fc946afc5p-13, -0x1.4f09176fc989ap-13, -0x1.452674ea8a438p-13, -0x1.3b8785c508607p-13, -0x1.3229d36997394p-13, -0x1.290aff20b6c91p-13, -0x1.2028c14fd90ap-13, -0x1.1780e8ba81e72p-13, -0x1.0f1159c84312dp-13, -0x1.06d80dd09ac4ep-13, -0x1.fda624d50c0f2p-14, -0x1.ee0111847125ep-14, -0x1.debd49e725a87p-14, -0x1.cfd75acc1d505p-14, -0x1.c14bf463bb53bp-14, -0x1.b317e90b4142cp-14, -0x1.a5382c267c01ap-14, -0x1.97a9d0fd72adbp-14, -0x1.8a6a09a3f5d5ap-14, -0x1.7d7625eade317p-14, -0x1.70cb92548e806p-14, -0x1.6467d7167cc4bp-14, -0x1.5848971ae2963p-14, -0x1.4c6b8f15b4814p-14, -0x1.40ce9490cb403p-14, -0x1.356f950ae140dp-14, -0x1.2a4c951aaffc2p-14, -0x1.1f63af919a5fap-14, -0x1.14b314ae228bfp-14, -0x1.0a39094e4b095p-14, -0x1.ffe2f08117dc3p-15, -0x1.ebbf76c820a02p-15, -0x1.d7ffa3173784cp-15, -0x1.c4a094e5f62fcp-15, -0x1.b19f8da52cfa4p-15, -0x1.9ef9ef63d0af7p-15, -0x1.8cad3b86fa31fp-15, -0x1.7ab7118900249p-15, -0x1.69152dc2b97ep-15, -0x1.57c568395a414p-15, -0x1.46c5b37ed3705p-15, -0x1.36141b90e9b0dp-15, -0x1.25aec4c9a0e37p-15, -0x1.1593ead2e34ffp-15, -0x1.05c1dfa60fc5bp-15, -0x1.ec6e151b57782p-16, -0x1.cde3ce6d523a4p-16, -0x1.afe2098c35f1ep-16, -0x1.926609e502a1cp-16, -0x1.756d365d51c49p-16, -0x1.58f517aa378dbp-16, -0x1.3cfb56a365145p-16, -0x1.217dbac999df2p-16, -0x1.067a28c45ba7p-16, -0x1.d7dd41dbb8ba1p-17, -0x1.a3b27bd8bbd0dp-17, -0x1.707066ce35edep-17, -0x1.3e13994d99326p-17, -0x1.0c98d6c394e9ap-17, -0x1.b7fa1a36743f7p-18, -0x1.587aa488d0a84p-18, -0x1.f55b88812ff07p-19, -0x1.3d1c711e94bcep-19, -0x1.105c0fffc27d4p-20, 0x1.4bc9796c762e3p-22, 0x1.afc473245372fp-20, 0x1.8315ac93d112ep-19, 0x1.158dda7366378p-18, 0x1.67fe0ed07d1f3p-18, 0x1.b8df2af2c1ea9p-18, 0x1.041a5dfdaa50fp-17, 0x1.2b0113b27397fp-17, 0x1.512556e50a428p-17, 0x1.7688b6eeb035bp-17, 0x1.9b2cb35444c05p-17, 0x1.bf12bd3204586p-17, 0x1.e23c38567979cp-17, 0x1.02553e3470d7fp-16, 0x1.132f6afd70798p-16, 0x1.23ad43ca8a107p-16, 0x1.33cf6557d3b01p-16, 0x1.439668522340fp-16, 0x1.5302e1c3dc5dfp-16, 0x1.6215638980d1fp-16, 0x1.70ce7cad7587ep-16, 0x1.7f2eb9d25faa2p-16, 0x1.8d36a58949dccp-16, 0x1.9ae6c8aa71b0dp-16, 0x1.a83faaa433deap-16, 0x1.b541d1cd1bf2p-16, 0x1.c1edc3a3893b3p-16, 0x1.ce44052540a59p-16, 0x1.da451af6696ap-16, 0x1.e5f189ad67dc5p-16, 0x1.f149d6093140dp-16, 0x1.fc4e851f30ca5p-16, 0x1.03800e4a3f03ap-15, 0x1.08af9160676a6p-15, 0x1.0db60f733b9d5p-15, 0x1.1293cca70b0fap-15, 0x1.17490db6b302bp-15, 0x1.1bd6180345a59p-15, 0x1.203b31a5f5fd1p-15, 0x1.2478a1796a141p-15, 0x1.288eaf25ea5a8p-15, 0x1.2c7da33188ac5p-15, 0x1.3045c706851adp-15, 0x1.33e764f7b8de9p-15, 0x1.3762c8522321ep-15, 0x1.3ab83d5a3316ap-15, 0x1.3de811555e3e2p-15, 0x1.40f2928de76cfp-15, 0x1.43d8105701ad5p-15, 0x1.4698db0d3e7eep-15, 0x1.4935441c0eecdp-15, 0x1.4bad9dfc3ad6dp-15, 0x1.4e023c3569a85p-15, 0x1.5033735cd9c2dp-15, 0x1.524199147763p-15, 0x1.542d040c012e6p-15, 0x1.55f60bf82abf4p-15, 0x1.579d09985bb2ap-15, 0x1.592256aabcd07p-15, 0x1.5a864defca745p-15, 0x1.5bc94b22e0d43p-15, 0x1.5cebaaf3aa898p-15, 0x1.5dedcb042c7cdp-15, 0x1.5ed009deade9ap-15, 0x1.5f92c6f5d983cp-15, 0x1.60366299ca6d1p-15, 0x1.60bb3df3679e5p-15, 0x1.6121bafce9557p-15, 0x1.616a3c7acc0a4p-15, 0x1.619525f473c43p-15, 0x1.61a2dbac70adfp-15, 0x1.6193c29892a9ep-15, 0x1.6168405ac5381p-15, 0x1.6120bb3774db2p-15, 0x1.60bd9a103f025p-15, }}, 
      {{0x1.dcedcc76c9b1p-3, 0x1.cf5d0128fa60ap-2, 0x1.4d206c887fc28p-1, 0x1.a5597647a4aeep-1, 0x1.ef7eac997c64bp-1, 0x1.15cf45254bb08p+0, 0x1.2d30207a09ed5p+0, 0x1.3e6529e8e664fp+0, 0x1.4a0c1ff3228abp+0, 0x1.50cedf3f52795p+0, 0x1.5358ec704366bp+0, 0x1.5250be2de29fep+0, 0x1.4e530d8f4714ep+0, 0x1.47f030b7a3dfep+0, 0x1.3faab31354dbbp+0, 0x1.35f6ebc54e93ep+0, 0x1.2b3aed9d87684p+0, 0x1.1fcf5770fcd0fp+0, 0x1.140012e0af2f6p+0, 0x1.080d45acb0d4ep+0, 0x1.f858f3748f3a5p-1, 0x1.e113867c9ccdfp-1, 0x1.ca91975578092p-1, 0x1.b50b8166c1befp-1, 0x1.a0ac75342dfabp-1, 0x1.8d946508022e1p-1, 0x1.7bd9c4da4c10cp-1, 0x1.6b8ad1b6b4cdbp-1, 0x1.5caeb14da255p-1, 0x1.4f46af0fb4766p-1, 0x1.434fa477d4b9cp-1, 0x1.38c15e8c3e7eap-1, 0x1.2f91713b4d434p-1, 0x1.27b2a6daf7c9cp-1, 0x1.2115c31a48f69p-1, 0x1.1baa0a1ab0b9ap-1, 0x1.175dbc9e487d1p-1, 0x1.141e731e435a3p-1, 0x1.11d961adccb8ap-1, 0x1.107b98fde3c4ap-1, 0x1.0ff24675f3d2ap-1, 0x1.102ae7d00e93dp-1, 0x1.11136d0c9b363p-1, 0x1.129a4f0052814p-1, 0x1.14aea28911035p-1, 0x1.17402ad2b1558p-1, 0x1.1a3f68eb5daefp-1, 0x1.1d9da717d6a16p-1, 0x1.214cfff7b7074p-1, 0x1.2540621ca0b2bp-1, 0x1.296b9076d9513p-1, 0x1.2dc31fe7cae9p-1, 0x1.323c7295518fcp-1, 0x1.36cdb1dc6cc3bp-1, 0x1.3b6dc7ba6a687p-1, 0x1.40145832ce92dp-1, 0x1.44b9bac4a8c75p-1, 0x1.4956f39e83651p-1, 0x1.4de5ac1ab1028p-1, 0x1.52602a39d0e09p-1, 0x1.56c147377a90ep-1, 0x1.5b0465be2ed86p-1, 0x1.5f2625a6dc6e8p-1, 0x1.6321472e84533p-1, 0x1.66f35f5e89bebp-1, 0x1.6a99aba1c0e8p-1, 0x1.6e11d23407a1cp-1, 0x1.7159d906b326dp-1, 0x1.74701cd446a4cp-1, 0x1.7753492e7c2c3p-1, 0x1.7a0251d74beeap-1, 0x1.7c7c6d443b77cp-1, 0x1.7ec10fe936e4ep-1, 0x1.80cfe7ddcff83p-1, 0x1.82a8d88e30e73p-1, 0x1.844bf65778fb3p-1, 0x1.85b98217ab35p-1, 0x1.86f1e4cffb8d6p-1, 0x1.87f5ab7c3eed2p-1, 0x1.88c5833908381p-1, 0x1.896235c2d8563p-1, 0x1.89cca64a0457cp-1, 0x1.8a05ce8ca5c7p-1, 0x1.8a0ebc2430621p-1, 0x1.89e88df6ffccbp-1, 0x1.899471c54d76fp-1, 0x1.8913a1d161dbp-1, 0x1.886762a92e9d5p-1, 0x1.87910119f66e1p-1, 0x1.8691d055280b3p-1, 0x1.856b28497cff5p-1, 0x1.841e642ed4affp-1, 0x1.82ace13fb263ep-1, 0x1.8117fd9984526p-1, 0x1.7f61173cb34bep-1, 0x1.7d898b267d9e5p-1, 0x1.7b92b47ffde74p-1, 0x1.797debdf3af8p-1, 0x1.774c8698481e9p-1, 0x1.74ffd61d6c9f7p-1, 0x1.7299276dce36fp-1, 0x1.7019c292427edp-1, 0x1.6d82ea27b64d4p-1, 0x1.6ad5daf61f369p-1, 0x1.6813cb925b889p-1, 0x1.653dec08fdbd8p-1, 0x1.625565900f8f9p-1, 0x1.5f5b5a3e55be3p-1, 0x1.5c50e4c7b200ep-1, 0x1.5937183f7875ap-1, 0x1.560effe2d153bp-1, 0x1.52d99eee01657p-1, 0x1.4f97f07fab38ap-1, 0x1.4c4ae78c856abp-1, 0x1.48f36ee4e345p-1, 0x1.4592694bdcdd6p-1, 0x1.4228b19e4998p-1, 0x1.3eb71b0657449p-1, 0x1.3b3e71378f227p-1, 0x1.37bf78aeb47e3p-1, 0x1.343aeef1137f8p-1, 0x1.30b18ac78f715p-1, 0x1.2d23fc72ccfdp-1, 0x1.2992edd720687p-1, 0x1.25ff02a0311d8p-1, 0x1.2268d85d67fd8p-1, 0x1.1ed034fa12438p-1, 0x1.1b376ff4fec61p-1, 0x1.179e25029205ep-1, 0x1.1404d7adbc0a6p-1, 0x1.106c060d26af2p-1, 0x1.0cd42901c6e23p-1, 0x1.093db46da6034p-1, 0x1.05a917625a9adp-1, 0x1.0216bc476021dp-1, 0x1.fd0e11f227868p-2, 0x1.f5f4bdc32976fp-2, 0x1.eee2361a311adp-2, 0x1.e7d72c76cdcd8p-2, 0x1.e0d449e04e4dep-2, 0x1.d9da2f070f3c2p-2, 0x1.d2e97468f6cafp-2, 0x1.cc02aa7af2e8cp-2, 0x1.c52659d892eafp-2, 0x1.be55037a2809dp-2, 0x1.b78f20f12f1bbp-2, 0x1.b0d524aa3da54p-2, 0x1.aa277a3359a6ap-2, 0x1.a386868548f3cp-2, 0x1.9cf2a84e5e4cp-2, 0x1.966c383d37ef9p-2, 0x1.8ff3894a0b01cp-2, 0x1.8988e8fd3b8c8p-2, 0x1.832c9fb2404b9p-2, 0x1.7cdef0d62172dp-2, 0x1.76a01b21182acp-2, 0x1.707058cb34613p-2, 0x1.6a4fdfbc1cb73p-2, 0x1.643ee1b63ddf9p-2, 0x1.5e3d8c7def923p-2, 0x1.584c09fd242aep-2, 0x1.526a806453c29p-2, 0x1.4c991249507a7p-2, 0x1.46d7dec4a4813p-2, 0x1.4127018e09a38p-2, 0x1.3b86931871968p-2, 0x1.35f6a8adf1ac9p-2, 0x1.3077548bd45cap-2, 0x1.2b08a5fedc7bcp-2, 0x1.25aaa97fce657p-2, 0x1.205d68d018cd4p-2, 0x1.1b20eb168ba45p-2, 0x1.15f534fbd7942p-2, 0x1.10da48c6b7b5ep-2, 0x1.0bd026777ba47p-2, 0x1.06d6cbe2cba4p-2, 0x1.01ee34cb728afp-2, 0x1.fa2cb5f61f03ap-3, 0x1.f09e6cb31f02cp-3, 0x1.e7317a06ce261p-3, 0x1.dde5c6bd054fap-3, 0x1.d4bb385beca21p-3, 0x1.cbb1b148fdc61p-3, 0x1.c2c910ebbfe2fp-3, 0x1.ba0133ce98c48p-3, 0x1.b159f3bdc3e52p-3, 0x1.a8d327e4daabap-3, 0x1.a06ca4eb102b4p-3, 0x1.98263d0e6a48bp-3, 0x1.8fffc03e308f9p-3, 0x1.87f8fc34b68b6p-3, 0x1.8011bc90b123ap-3, 0x1.7849caee28925p-3, 0x1.70a0eeff27813p-3, 0x1.6916eea41cbe9p-3, 0x1.61ab8e04082bep-3, 0x1.5a5e8fa455de4p-3, 0x1.532fb48073c1dp-3, 0x1.4c1ebc210215bp-3, 0x1.452b64b294315p-3, 0x1.3e556b1bfb6cap-3, 0x1.379c8b13f3b34p-3, 0x1.31007f364279ap-3, 0x1.2a8101181f9e7p-3, 0x1.241dc95bec9d2p-3, 0x1.1dd68fc435ac8p-3, 0x1.17ab0b45e96ebp-3, 0x1.119af219dd314p-3, 0x1.0ba5f9cd889f1p-3, 0x1.05cbd7530d218p-3, 0x1.000c3f1088ee9p-3, 0x1.f4cdc9dd7b61dp-4, 0x1.e9b6f8ce2ff29p-4, 0x1.ded371222ef61p-4, 0x1.d422985e5fa52p-4, 0x1.c9a3d3763ca31p-4, 0x1.bf5686e3975e6p-4, 0x1.b53a16bd68abfp-4, 0x1.ab4de6cdde1cp-4, 0x1.a1915aa78d2aap-4, 0x1.9803d5ba0bfaep-4, 0x1.8ea4bb65bd1e4p-4, 0x1.85736f0f11cb1p-4, 0x1.7c6f54312199dp-4, 0x1.7397ce6faf5e8p-4, 0x1.6aec41a89bd04p-4, 0x1.626c1204c876fp-4, 0x1.5a16a4086fcb7p-4, 0x1.51eb5ca2f013cp-4, 0x1.49e9a13e0f239p-4, 0x1.4210d7ccb4e4dp-4, 0x1.3a6066d9202cep-4, 0x1.32d7b592930dap-4, 0x1.2b762bda7cf84p-4, 0x1.243b325120678p-4, 0x1.1d263261b65bbp-4, 0x1.1636964e13b3ap-4, 0x1.0f6bc939cdec5p-4, 0x1.08c53734e7e64p-4, 0x1.02424d4601fp-4, 0x1.f7c4f2e82d2c7p-5, 0x1.eb4a559f805a8p-5, 0x1.df13a2f822eb7p-5, 0x1.d31fbd6df6668p-5, 0x1.c76d89c2911f7p-5, 0x1.bbfbef0c64965p-5, 0x1.b0c9d6c514f49p-5, 0x1.a5d62cd7041e9p-5, 0x1.9b1fdfaa2358ep-5, 0x1.90a5e02ff9908p-5, 0x1.866721eef57d6p-5, 0x1.7c629b0d08766p-5, 0x1.729744598aa8fp-5, 0x1.690419567452bp-5, 0x1.5faf2e25b0868p-5, 0x1.5689890cec0f7p-5, 0x1.4d99129855bbap-5, 0x1.44dcd16ca4dd1p-5, 0x1.3c53cf03782bp-5, 0x1.33fd17b0a278p-5, 0x1.2bd7baa6eb5eap-5, 0x1.23e2c9fc4f283p-5, 0x1.1c1d5aadb35edp-5, 0x1.148684a222569p-5, 0x1.0d1d62ad8103cp-5, 0x1.05e11292d10efp-5, 0x1.fda16a0beb4fap-6, 0x1.efd6db5a0cb09p-6, 0x1.e260c6425ce0cp-6, 0x1.d53d7dde3e0bp-6, 0x1.c86b5b2e2bf7bp-6, 0x1.bbe8bd18fa897p-6, 0x1.afb4086a4dc89p-6, 0x1.a3cba7d04f032p-6, 0x1.982e0bd8aaf78p-6, 0x1.8cd9aaecd9097p-6, 0x1.81cd014dbafc8p-6, 0x1.7706910e9a223p-6, 0x1.6c84e20f7c585p-6, 0x1.624681f6f2a14p-6, 0x1.584a042b48b2ap-6, 0x1.4e8e01cb368ebp-6, 0x1.451119a60560cp-6, 0x1.3bd1f0333ed5ep-6, 0x1.32cf2f89e203fp-6, 0x1.2a07875729d6ap-6, 0x1.2179acd4e44d6p-6, 0x1.19245abf67355p-6, 0x1.1106514b21aacp-6, 0x1.091e5619d43cap-6, 0x1.016b342f6fb15p-6, 0x1.f3d777cd49f77p-7, 0x1.e53d85ca45b63p-7, 0x1.d706481f1a398p-7, 0x1.c92f7efa66412p-7, 0x1.bbb6f4d6f4bb4p-7, 0x1.ae9a7e622f4a5p-7, 0x1.a1d7fa620de77p-7, 0x1.956d519aa6d1dp-7, 0x1.895876b35388p-7, 0x1.7d97661b7bae9p-7, 0x1.722825ef13f77p-7, 0x1.6708c5dab7b49p-7, 0x1.5c375eff92907p-7, 0x1.51b213d6fa0eep-7, 0x1.47771015cde92p-7, 0x1.3d84888fa4102p-7, 0x1.33d8bb19c87d8p-7, 0x1.2a71ee6e07ad5p-7, 0x1.214e720d64afep-7, 0x1.186c9e22a32ebp-7, 0x1.0fcad364bc0cfp-7, 0x1.07677af941483p-7, 0x1.fe820cad58a26p-8, 0x1.eeabde4d48bd8p-8, 0x1.df496e5085009p-8, 0x1.d057d02499a4cp-8, 0x1.c1d426eaf95bbp-8, 0x1.b3bba53d83c3cp-8, 0x1.a60b8cf34590dp-8, 0x1.98c12ee532831p-8, 0x1.8bd9eab317621p-8, 0x1.7f532e88c171fp-8, 0x1.732a76e3417ecp-8, 0x1.675d4e568fbb7p-8, 0x1.5be94d534fffbp-8, 0x1.50cc19ecf528bp-8, 0x1.460367a024efcp-8, 0x1.3b8cf7197422ap-8, 0x1.316695fc8b912p-8, 0x1.278e1eab9dc3ap-8, 0x1.1e01780f39dc9p-8, 0x1.14be955e9bbb4p-8, 0x1.0bc375e85afa8p-8, 0x1.030e24db99b91p-8, 0x1.f53972232c5d2p-9, 0x1.e4daa9af9b8c1p-9, 0x1.d4fc4b74fac72p-9, 0x1.c59ac89fa3bcp-9, 0x1.b6b2a806ecf7cp-9, 0x1.a84085c5620a9p-9, 0x1.9a4112d22e7aap-9, 0x1.8cb1149b860a2p-9, 0x1.7f8d64a237eb3p-9, 0x1.72d2f0166c505p-9, 0x1.667eb77571e4dp-9, 0x1.5a8dce28cb066p-9, 0x1.4efd5a265e9a7p-9, 0x1.43ca9391f3576p-9, 0x1.38f2c45f989ddp-9, 0x1.2e7347f7a9b66p-9, 0x1.24498adbbaaefp-9, 0x1.1a730a4ce7e0cp-9, 0x1.10ed53f331fd3p-9, 0x1.07b605865faa4p-9, 0x1.fd9598efb104ep-10, 0x1.ec52cb3bb2557p-10, 0x1.db9f39bfe95a6p-10, 0x1.cb7699c953578p-10, 0x1.bbd4bd808acedp-10, 0x1.acb5934a4d3ebp-10, 0x1.9e15252a20afap-10, 0x1.8fef982779e4cp-10, 0x1.82412bb58a97dp-10, 0x1.7506391d32e4fp-10, 0x1.683b32e9a4e3ap-10, 0x1.5bdca4574af61p-10, 0x1.4fe730c526da5p-10, 0x1.445793288334ap-10, 0x1.392a9d8326dd4p-10, 0x1.2e5d385ba01c4p-10, 0x1.23ec62383b507p-10, 0x1.19d52f1bcdf6fp-10, 0x1.1014c8058a911p-10, 0x1.06a86a725a1a7p-10, 0x1.fb1acfc1f4b8cp-11, 0x1.e9824ab01340dp-11, 0x1.d88235dcdad54p-11, 0x1.c815a6abec1f6p-11, 0x1.b837d6d01c1f9p-11, 0x1.a8e423694cd36p-11, 0x1.9a160c26916a5p-11, 0x1.8bc9326c3638ep-11, 0x1.7df9587e4b9e9p-11, 0x1.70a260af305d3p-11, 0x1.63c04c9241e35p-11, 0x1.574f3c31f7dcdp-11, 0x1.4b4b6d4b213cfp-11, 0x1.3fb13a8b1248ep-11, 0x1.347d1ad202f14p-11, 0x1.29aba07953642p-11, 0x1.1f39789d90ca2p-11, 0x1.15236a6c033d2p-11, 0x1.0b6656742e59cp-11, 0x1.01ff35fd08fadp-11, 0x1.f1d634b9cf28bp-12, 0x1.e04e58ace6a34p-12, 0x1.cf6156f0233dfp-12, 0x1.bf09dafcfd5dfp-12, 0x1.af42bb7775102p-12, 0x1.a006f9011d27fp-12, 0x1.9151bd136c27bp-12, 0x1.831e58e04e307p-12, 0x1.7568443906d68p-12, 0x1.682b1c7b5fb2bp-12, 0x1.5b62a385927adp-12, 0x1.4f0abeaeff3bfp-12, 0x1.431f75c843d6fp-12, 0x1.379cf22050b62p-12, 0x1.2c7f7d8ff0872p-12, 0x1.21c38189d1c81p-12, 0x1.1765863224077p-12, 0x1.0d623179a4b1ep-12, 0x1.03b6463fbd6bbp-12, 0x1.f4bd46f0fc1bap-13, 0x1.e2b086b24140cp-13, 0x1.d1407511b5d22p-13, 0x1.c0676eae35454p-13, 0x1.b02001ecf88a7p-13, 0x1.a064ed7a48b8ep-13, 0x1.91311ed259989p-13, 0x1.827fb0d4695fep-13, 0x1.744bea5db73f3p-13, 0x1.66913cf121dp-13, 0x1.594b43639a347p-13, 0x1.4c75c092ead39p-13, 0x1.400c9e25e21b7p-13, 0x1.340beb531b83cp-13, 0x1.286fdbb1d41f4p-13, 0x1.1d34c61173f27p-13, 0x1.12572359a1565p-13, 0x1.07d38d72741ecp-13, 0x1.fb4d7c65b23c1p-14, 0x1.e79b1cb1f06a9p-14, 0x1.d489e909f85bep-14, 0x1.c2140884bc17fp-14, 0x1.b033da22b56a7p-14, 0x1.9ee3f2f6a7f6ap-14, 0x1.8e1f1c56d44c7p-14, 0x1.7de0521eb4bd1p-14, 0x1.6e22c0fb9685ep-14, 0x1.5ee1c4c6d1da9p-14, 0x1.5018e6eaea297p-14, 0x1.41c3dcd54fc84p-14, 0x1.33de8674d98c7p-14, 0x1.2664ecbfba94ep-14, 0x1.1953404a0a491p-14, 0x1.0ca5d7e0a34bap-14, 0x1.00592f34952cap-14, 0x1.e8d3cb1790f24p-15, 0x1.d1a978fdd7191p-15, 0x1.bb2d2d7d8459ep-15, 0x1.a558edc7d7115p-15, 0x1.9026fc9048019p-15, 0x1.7b91d7c7fbee4p-15, 0x1.6794367e324fp-15, 0x1.542906ba2f28p-15, 0x1.414b6b720377bp-15, 0x1.2ef6ba9375cbap-15, 0x1.1d267b117fedep-15, 0x1.0bd66309f8849p-15, 0x1.f604abe6e257dp-16, 0x1.d54cc5c518bcp-16, 0x1.b57d85a3206b2p-16, 0x1.968fadf604e52p-16, 0x1.787c4e8b2759ep-16, 0x1.5b3cc1623741bp-16, 0x1.3ecaa7b9c9132p-16, 0x1.231fe7218d67dp-16, 0x1.0836a6b569c5ep-16, 0x1.dc1298b425d78p-17, 0x1.a924f44c5608fp-17, 0x1.779a17a6c98f6p-17, 0x1.47682896e2456p-17, 0x1.1885b6975a96cp-17, 0x1.d5d36c61eda1ep-18, 0x1.7d16f9225b48p-18, 0x1.26c576a049aafp-18, 0x1.a59df0ce7abf1p-19, 0x1.024875c25b56bp-19, 0x1.8db4db21898e9p-21, -0x1.b87ef07fb9267p-22, -0x1.9a936afe28b79p-20, -0x1.5f5a248f09a2cp-19, -0x1.ed59f59098145p-19, -0x1.3bb07a7317b86p-18, -0x1.7ec2fe71653e5p-18, -0x1.bfef80a8a4aep-18, -0x1.ff408d53548cap-18, -0x1.1e602423c8fcep-17, -0x1.3c3c390d85e3p-17, -0x1.5939367be120ep-17, -0x1.755ba0a48c795p-17, -0x1.90a7d127a8fa9p-17, -0x1.ab21f92e71ffcp-17, -0x1.c4ce23694de96p-17, -0x1.ddb036203382dp-17, -0x1.f5cbf50437d4p-17, -0x1.0692817ea9bfbp-16, -0x1.11df71efd364dp-16, -0x1.1cce7f0ccbafp-16, -0x1.27614e184b30bp-16, -0x1.3199772a46db4p-16, -0x1.3b7885e2eb421p-16, -0x1.44fffa12ff9e3p-16, -0x1.4e31486954d05p-16, -0x1.570ddb0e3ac98p-16, -0x1.5f97123b2ef08p-16, -0x1.67ce44c8a1619p-16, -0x1.6fb4c0b97ec3p-16, -0x1.7748da241a23bp-16, -0x1.7e91af1f2dafep-16, -0x1.858d891e6acf9p-16, -0x1.8c3d97b5df789p-16, -0x1.92a303e684861p-16, -0x1.98bef091b53p-16, -0x1.9e927acc7f5eap-16, -0x1.a41eba4c7804p-16, -0x1.a964c1a77210bp-16, -0x1.ae659eacb744bp-16, -0x1.b3225ab84a1a1p-16, -0x1.b79bfaf92af29p-16, -0x1.bbd380aebebc2p-16, -0x1.bfc9e96f72842p-16, -0x1.c3802f6130c7p-16, -0x1.c6f74977216f3p-16, -0x1.ca302ba4ae454p-16, -0x1.cd2bc70e887d2p-16, -0x1.cfeb0a3d0b051p-16, -0x1.d26ee1421c089p-16, -0x1.d4b835e85cac8p-16, -0x1.d6c7efd7242e8p-16, -0x1.d89ef4b55c3a1p-16, -0x1.da3e284a2ecbbp-16, -0x1.dba66c9c0e8a5p-16, -0x1.dcd8a20eb98f2p-16, -0x1.ddd5a7767fe6cp-16, -0x1.de9e5a391128cp-16, -0x1.df33965f0e4d4p-16, -0x1.df96369d2a812p-16, -0x1.dfc714830975p-16, -0x1.dfc70869ac16ep-16, -0x1.df96e995b089cp-16, -0x1.df378e3f72734p-16, -0x1.dea9cb9da2826p-16, -0x1.ddee75f0cd321p-16, -0x1.dd06608b0b65ep-16, -0x1.dbf25dd91c095p-16, -0x1.dab33f62cd445p-16, -0x1.d949d5d714cb7p-16, -0x1.d7b6f10d921acp-16, -0x1.d5fb60099f2abp-16, -0x1.d417f0f6e155ep-16, -0x1.d20d71381117ap-16, -0x1.cfdcad5802be7p-16, -0x1.cd86710f4b2d7p-16, -0x1.cb0b87470e465p-16, -0x1.c86cba136c2bap-16, -0x1.c5aad2ab986fbp-16, -0x1.c2c69978e4d61p-16, -0x1.bfc0d5fbda103p-16, -0x1.bc9a4ed772d65p-16, -0x1.b953c9c619bb5p-16, -0x1.b5ee0b99f7b79p-16, -0x1.b269d8317b17dp-16, -0x1.aec7f2780ff4ep-16, -0x1.ab091c5bdcfb1p-16, -0x1.a72e16c991099p-16, -0x1.a337a1a410741p-16, -0x1.9f267bc0e6ec4p-16, -0x1.9afb62dd806c4p-16, -0x1.96b7139dd7fbbp-16, -0x1.925a497f70dc5p-16, -0x1.8de5bed5a0d22p-16, -0x1.895a2cc548dcbp-16, -0x1.84b84b2e55a6fp-16, -0x1.8000d0be80b9ep-16, -0x1.7b3472cf113cdp-16, -0x1.7653e571e09fcp-16, -0x1.715fdb5f6a601p-16, -0x1.6c5905f21964ap-16, -0x1.6740151f2bd0bp-16, -0x1.6215b76f766a6p-16, -0x1.5cda99f7d017cp-16, -0x1.578f6852c0e61p-16, -0x1.5234cc99d2ab2p-16, -0x1.4ccb6f5ef68d4p-16, -0x1.4753f79fa7424p-16, -0x1.41cf0ad08799p-16, -0x1.3c3d4cbfa7081p-16, -0x1.369f5f9cac11bp-16, -0x1.30f5e3ef5fd98p-16, -0x1.2b41789091f7fp-16, -0x1.2582baa98b3e9p-16, -0x1.1fba45a66bf83p-16, -0x1.19e8b336d3cep-16, -0x1.140e9b46e54f1p-16, -0x1.0e2c93fb53b15p-16, -0x1.084331a819a3p-16, -0x1.025306d53f641p-16, -0x1.f8b9485c84831p-17, -0x1.ecc131151f5cdp-17, -0x1.e0bee1b7e6dbp-17, -0x1.d4b37084c6c26p-17, -0x1.c89fefc99266fp-17, -0x1.bc856e1a65ce7p-17, -0x1.b064f6317dd4cp-17, -0x1.a43f8ee54e4d5p-17, -0x1.98163b3036f32p-17, -0x1.8be9fa240cb2ap-17, -0x1.7fbbc6e607b63p-17, -0x1.738c98af8a46dp-17, -0x1.675d62c31b05dp-17, -0x1.5b2f146ee63cbp-17, -0x1.4f0299065dc28p-17, -0x1.42d8d7e35c3dap-17, -0x1.36b2b461fb683p-17, -0x1.2a910ddf792a6p-17, -0x1.1e74bfbb6e9a9p-17, }}, 
      {{0x1.42e336ad397f4p-2, 0x1.a2eba4758a4d1p-3, 0x1.e3d49fe53c179p-5, -0x1.9b47722e539dcp-4, -0x1.0a4c5f0a89516p-2, -0x1.a4e6966c1d06bp-2, -0x1.189780dbcca43p-1, -0x1.561ff183c783bp-1, -0x1.8a7c364841c77p-1, -0x1.b5b53faea0046p-1, -0x1.d8388082b9cd1p-1, -0x1.f2b164074bea9p-1, -0x1.02f70416f2ac2p+0, -0x1.0965bb8274b13p+0, -0x1.0d1456268fbe9p+0, -0x1.0e6e8971c5d54p+0, -0x1.0dd98ec04e802p+0, -0x1.0bb253eb7052cp+0, -0x1.084ca2b13020ep+0, -0x1.03f2e99418f78p+0, -0x1.fdccb6db574a4p-1, -0x1.f2be98ad3931bp-1, -0x1.e71b91ac5f298p-1, -0x1.db34960b60342p-1, -0x1.cf4ce109b1922p-1, -0x1.c39b6f2f9ab42p-1, -0x1.b84c622db5123p-1, -0x1.ad822dd7202f4p-1, -0x1.a356c9c3beb5cp-1, -0x1.99dd0116a68aap-1, -0x1.9121949dc40aep-1, -0x1.892c68ce15a3ap-1, -0x1.82007975dcff9p-1, -0x1.7b9d447d49922p-1, -0x1.75ff53c9fe315p-1, -0x1.7120cab99c017p-1, -0x1.6cf9dd8aa1887p-1, -0x1.69814237cbf4cp-1, -0x1.66ac9784f37afp-1, -0x1.6470b999dbb6ap-1, -0x1.62c2052d24cd9p-1, -0x1.619490330c073p-1, -0x1.60dc5b4faefe1p-1, -0x1.608d7af5bf1d3p-1, -0x1.609c37ee9d557p-1, -0x1.60fd299752d1fp-1, -0x1.61a54c125eb44p-1, -0x1.628a12b1f3977p-1, -0x1.63a175d06b732p-1, -0x1.64e1fbedbf933p-1, -0x1.6642bedb48a15p-1, -0x1.67bb6dfc84808p-1, -0x1.69444e669af4dp-1, -0x1.6ad6397b5d21fp-1, -0x1.6c6a9a90952adp-1, -0x1.6dfb6c0e4357bp-1, -0x1.6f833417b52d4p-1, -0x1.70fd007a1cdc7p-1, -0x1.72646180b5832p-1, -0x1.73b5638aef0ffp-1, -0x1.74ec87afec712p-1, -0x1.7606bc14ca862p-1, -0x1.7701c697d0844p-1, -0x1.77da56a4b7f27p-1, -0x1.788f0de6a28b2p-1, -0x1.791e5174ec8d8p-1, -0x1.7986d389af759p-1, -0x1.79c78f0c9d38ap-1, -0x1.79dfc3462758fp-1, -0x1.79ceef41e7cfep-1, -0x1.7994ccb0272aep-1, -0x1.79314a61e764ep-1, -0x1.78a486ae893d3p-1, -0x1.77eeca2049c6fp-1, -0x1.771082afbaef7p-1, -0x1.760a3fac5b21ap-1, -0x1.74dcae450b278p-1, -0x1.73889685ac4d6p-1, -0x1.720ed89682af4p-1, -0x1.70706a137b396p-1, -0x1.6eae53650bc7ap-1, -0x1.6cc9ad1890a5bp-1, -0x1.6ac39d443c246p-1, -0x1.689d5508480eep-1, -0x1.66580e3d6fb6fp-1, -0x1.63f5095ac8401p-1, -0x1.61758b961e6bap-1, -0x1.5edadd3c3ba38p-1, -0x1.5c26483afd5a9p-1, -0x1.595916d609571p-1, -0x1.5674927fa2dc6p-1, -0x1.537a02d0a49c1p-1, -0x1.506aac9c56f6cp-1, -0x1.4d47d11df042cp-1, -0x1.4a12ad3e26133p-1, -0x1.46cc78ef2faadp-1, -0x1.4376669d64c45p-1, -0x1.4011a2b26f4d8p-1, -0x1.3c9f532906094p-1, -0x1.3920972f65d03p-1, -0x1.359686d7279f7p-1, -0x1.320232d1680c7p-1, -0x1.2e64a4365d67ep-1, -0x1.2abedc575f726p-1, -0x1.2711d49a19352p-1, -0x1.235e7e5b5ab43p-1, -0x1.1fa5c2d7f56cdp-1, -0x1.1be8831a5757cp-1, -0x1.182797ec417f5p-1, -0x1.1463d1ccd5bfap-1, -0x1.109df8ec0d07ep-1, -0x1.0cd6cd2d3cc45p-1, -0x1.090f063285fdp-1, -0x1.05475372abb12p-1, -0x1.01805c5a1f94cp-1, -0x1.fb7580ee276e9p-2, -0x1.f3ee2f5eae896p-2, -0x1.ec6be4fbc49b2p-2, -0x1.e4efb46aa9466p-2, -0x1.dd7aa288d1f4cp-2, -0x1.d60da6f2ffadfp-2, -0x1.cea9ac85a92bep-2, -0x1.c74f91d34bc2dp-2, -0x1.c000298edefecp-2, -0x1.b8bc3aea5a402p-2, -0x1.b18481eac703fp-2, -0x1.aa58c94bd586fp-2, -0x1.a33baedbf9d22p-2, -0x1.9c2cc246cf2b2p-2, -0x1.952c92caac194p-2, -0x1.8e3ba62d86b0fp-2, -0x1.875a7934635b2p-2, -0x1.8089800fdc9dp-2, -0x1.79c926bcee207p-2, -0x1.7319d15a16c89p-2, -0x1.6c7bdc71b451bp-2, -0x1.65ef9d3b2f4e6p-2, -0x1.5f7561d4ec729p-2, -0x1.590d71793cb71p-2, -0x1.52b80cb086c44p-2, -0x1.4c756d829e934p-2, -0x1.4645c7a907ea3p-2, -0x1.402948c34b3fap-2, -0x1.3a20188e2c9c9p-2, -0x1.342a591e05934p-2, -0x1.2e48271c24d43p-2, -0x1.28799a06b75a4p-2, -0x1.22bec472889eep-2, -0x1.1d17b44daefaep-2, -0x1.178473223482fp-2, -0x1.12050657c371p-2, -0x1.0c996f736d026p-2, -0x1.0741ac54cb09cp-2, -0x1.01fdb76fcf5cp-2, -0x1.f99b1005beec2p-3, -0x1.ef622491d9815p-3, -0x1.e5508f4f0935bp-3, -0x1.db662db1db728p-3, -0x1.d1a2d82538977p-3, -0x1.c8066250ac633p-3, -0x1.be909b58ff7c7p-3, -0x1.b5414e1c1a277p-3, -0x1.ac1841691da7fp-3, -0x1.a3153835b6e91p-3, -0x1.9a37f1d161617p-3, -0x1.91802a174e857p-3, -0x1.88ed999f76993p-3, -0x1.807ff5ef28353p-3, -0x1.7836f1a938cbbp-3, -0x1.70123cbdfb2p-3, -0x1.6811849ac3646p-3, -0x1.60347458f1f53p-3, -0x1.587ab4ec214c1p-3, -0x1.50e3ed4f54dc3p-3, -0x1.496fc2b0c3b1bp-3, -0x1.421dd89c0cafp-3, -0x1.3aedd1228b678p-3, -0x1.33df4d01adecep-3, -0x1.2cf1ebc71f933p-3, -0x1.26254bf2b390bp-3, -0x1.1f790b161f4ddp-3, -0x1.18ecc5f27f1e5p-3, -0x1.12801893c50e3p-3, -0x1.0c329e6a324e2p-3, -0x1.0603f26206593p-3, -0x1.ffe75df324e41p-4, -0x1.f402dcabb59f4p-4, -0x1.e85994ac0d20dp-4, -0x1.dceab94b6e29ep-4, -0x1.d1b57d9d06e78p-4, -0x1.c6b9149163108p-4, -0x1.bbf4b1169f984p-4, -0x1.b167863794bd2p-4, -0x1.a710c73a0100dp-4, -0x1.9cefa7bbef181p-4, -0x1.93035bd04459ap-4, -0x1.894b181a80a4ep-4, -0x1.7fc611e9ada3ap-4, -0x1.76737f526cddcp-4, -0x1.6d52974816e67p-4, -0x1.646291b4d8a21p-4, -0x1.5ba2a790c065ep-4, -0x1.531212f7aac11p-4, -0x1.4ab00f3e03ae8p-4, -0x1.427bd90452802p-4, -0x1.3a74ae498c1fcp-4, -0x1.3299ce7c2b1dcp-4, -0x1.2aea7a8a10b77p-4, -0x1.2365f4ef3558cp-4, -0x1.1c0b81c331eb4p-4, -0x1.14da66c5af518p-4, -0x1.0dd1eb69ca21bp-4, -0x1.06f158e07a1abp-4, -0x1.0037fa220e90ap-4, -0x1.f34a37eda21f7p-5, -0x1.e67019fdb99b3p-5, -0x1.d9e03b7279b8ap-5, -0x1.cd994114c0d91p-5, -0x1.c199d383dfb3ap-5, -0x1.b5e09f4025bc1p-5, -0x1.aa6c54b45e43bp-5, -0x1.9f3ba83e558dbp-5, -0x1.944d52367551bp-5, -0x1.89a00ef6833b6p-5, -0x1.7f329edf9087p-5, -0x1.7503c65f21119p-5, -0x1.6b124df38fd6dp-5, -0x1.615d022fbd2dfp-5, -0x1.57e2b3be01d85p-5, -0x1.4ea2376276028p-5, -0x1.459a65fc86f19p-5, -0x1.3cca1c87e6f7ep-5, -0x1.34303c1cd379ap-5, -0x1.2bcba9efbc9cbp-5, -0x1.239b4f504dfp-5, -0x1.1b9e19a7e07c3p-5, -0x1.13d2fa77547bp-5, -0x1.0c38e75462308p-5, -0x1.04ced9e65cf9cp-5, -0x1.fb279fc4ed458p-6, -0x1.ed0d960f08263p-6, -0x1.df4da2329296cp-6, -0x1.d1e5d7b6b2097p-6, -0x1.c4d4521706be7p-6, -0x1.b81734b7c5805p-6, -0x1.abacaad912addp-6, -0x1.9f92e789a7024p-6, -0x1.93c82598ca13p-6, -0x1.884aa787afe0fp-6, -0x1.7d18b77a3e6aap-6, -0x1.7230a72747366p-6, -0x1.6790cfc83bdc4p-6, -0x1.5d379208654f2p-6, -0x1.532355f3a872p-6, -0x1.4958ed0b15e48p-6, -0x1.3fca3258a7857p-6, -0x1.367bdccd23131p-6, -0x1.2d6c7148d8258p-6, -0x1.249a7bae94b71p-6, -0x1.1c048ed01f8dcp-6, -0x1.13a9445a7403dp-6, -0x1.0b873cc1c9bd8p-6, -0x1.039d1f2d66307p-6, -0x1.f7d332c6894acp-7, -0x1.e8d6bf671cc27p-7, -0x1.da4259c7db039p-7, -0x1.cc1384357d8fep-7, -0x1.be47cd9443361p-7, -0x1.b0dcd135ded5fp-7, -0x1.a3d036af391bbp-7, -0x1.971fb1ae03c9cp-7, -0x1.8ac901ce32451p-7, -0x1.7ec9f26f613dcp-7, -0x1.73205a8a1c912p-7, -0x1.67ca1c8531d61p-7, -0x1.5cc5260aef359p-7, -0x1.520f6fde70563p-7, -0x1.47a6fdb0f7f1ap-7, -0x1.3d89ddf754653p-7, -0x1.33b629bf6945ap-7, -0x1.2a2a0485cd5aap-7, -0x1.20e39c0b9363ep-7, -0x1.17e1282c3c1ap-7, -0x1.0f20eab3d94dfp-7, -0x1.06a12f35651a7p-7, -0x1.fcc095c2ac552p-8, -0x1.ecb938b8dfe89p-8, -0x1.dd29172dad49cp-8, -0x1.ce0d1346d998fp-8, -0x1.bf62211ef2308p-8, -0x1.b125467539f2dp-8, -0x1.a3539a5e3a213p-8, -0x1.95ea44f4f7dcbp-8, -0x1.88e67f0ce685bp-8, -0x1.7c4591e482fdep-8, -0x1.7004d6d8b049cp-8, -0x1.6421b718d080bp-8, -0x1.5899ab5ba54e3p-8, -0x1.4d6a3b94f2aa1p-8, -0x1.4290feabee7bap-8, -0x1.380b9a3280867p-8, -0x1.2dd7c21d52a26p-8, -0x1.23f3387cb3c6ap-8, -0x1.1a5bcd3650285p-8, -0x1.110f5dbfc575fp-8, -0x1.080bd4da10efdp-8, -0x1.fe9e549ba887fp-9, -0x1.edaec55108a5p-9, -0x1.dd451df4ca466p-9, -0x1.cd5d992af69cp-9, -0x1.bdf4899a988aep-9, -0x1.af06596f1473p-9, -0x1.a08f89db40a05p-9, -0x1.928cb29e4138ap-9, -0x1.84fa818a30173p-9, -0x1.77d5ba0c83a45p-9, -0x1.6b1b34b842baap-9, -0x1.5ec7ded1fd299p-9, -0x1.52d8b9dd7d019p-9, -0x1.474adb2d5c93bp-9, -0x1.3c1b6b743885cp-9, -0x1.3147a657bfd7bp-9, -0x1.26ccda0578c2ep-9, -0x1.1ca866c946d51p-9, -0x1.12d7bea5ad362p-9, -0x1.095864edcb68ep-9, -0x1.0027ede11756p-9, -0x1.ee87fc9180be6p-10, -0x1.dd54962da519fp-10, -0x1.ccb1320e166b3p-10, -0x1.bc99788296d19p-10, -0x1.ad092ffb8d0c1p-10, -0x1.9dfc3c55978e3p-10, -0x1.8f6e9e287bc55p-10, -0x1.815c721937018p-10, -0x1.73c1f02f7a31cp-10, -0x1.669b6b2e30bf7p-10, -0x1.59e54fef25ad2p-10, -0x1.4d9c24c213887p-10, -0x1.41bc88ce806e8p-10, -0x1.36433378d4794p-10, -0x1.2b2cf3ca7a2c4p-10, -0x1.2076afdcf91d2p-10, -0x1.161d64480d18dp-10, -0x1.0c1e2392ae829p-10, -0x1.027615a703d1fp-10, -0x1.f244ee925aa6bp-11, -0x1.e0413321d97b3p-11, -0x1.cedbc2cc2f3b6p-11, -0x1.be0f8dff69e8cp-11, -0x1.add7aacc0b0c5p-11, -0x1.9e2f53ee1cfd8p-11, -0x1.8f11e7dba9cffp-11, -0x1.807ae7d87019ep-11, -0x1.7265f70ec115ep-11, -0x1.64ced9ad55af5p-11, -0x1.57b1740a2d9c9p-11, -0x1.4b09c9ca4c9f5p-11, -0x1.3ed3fd0e5503p-11, -0x1.330c4da3b86bfp-11, -0x1.27af183abbfcdp-11, -0x1.1cb8d5a10f31ep-11, -0x1.12261a00be809p-11, -0x1.07f39423a7569p-11, -0x1.fc3c197686444p-12, -0x1.e944cb59630bep-12, -0x1.d6fb32c1e69ep-12, -0x1.c55974328035ap-12, -0x1.b459e28ed257p-12, -0x1.a3f6fdd42d7eep-12, -0x1.942b71da364a8p-12, -0x1.84f2151adb519p-12, -0x1.7645e7817310fp-12, -0x1.682211421bd28p-12, -0x1.5a81e1b764b7dp-12, -0x1.4d60ce476af2p-12, -0x1.40ba714fadff5p-12, -0x1.348a8917e28aap-12, -0x1.28ccf6cb36827p-12, -0x1.1d7dbd7822c79p-12, -0x1.1299011696a8p-12, -0x1.081b05947665ap-12, -0x1.fc005bd0144d8p-13, -0x1.e889f6512ed3ap-13, -0x1.d5cc175964494p-13, -0x1.c3c0345ceb7e7p-13, -0x1.b25ff9e9c96cap-13, -0x1.a1a54a07681bcp-13, -0x1.918a3a9f033d2p-13, -0x1.820913efa0ef8p-13, -0x1.731c4f0c33caep-13, -0x1.64be9463a2a5cp-13, -0x1.56eaba52f353ep-13, -0x1.499bc3c0e185fp-13, -0x1.3cccdec3405cep-13, -0x1.3079634c98937p-13, -0x1.249cd1e490433p-13, -0x1.1932d26775524p-13, -0x1.0e3732cf5e576p-13, -0x1.03a5e6050492bp-13, -0x1.f2f60573c2fd9p-14, -0x1.df658492b10cp-14, -0x1.cc92ff4477dbbp-14, -0x1.ba776c6fcf6b6p-14, -0x1.a90c01f5b9972p-14, -0x1.984a32b188897p-14, -0x1.882bac86dfbbbp-14, -0x1.78aa567e0c1e9p-14, -0x1.69c04eedc8af5p-14, -0x1.5b67e9b2dea04p-14, -0x1.4d9bae7243fe7p-14, -0x1.405656ed2f40ep-14, -0x1.3392cd5bd7548p-14, -0x1.274c2ad7d4792p-14, -0x1.1b7db5d0af432p-14, -0x1.1022e08cb7abp-14, -0x1.053747b4b225dp-14, -0x1.f56d61d52b5fdp-15, -0x1.e13a12d5d9139p-15, -0x1.cdccc970d32bp-15, -0x1.bb1df6a4613a6p-15, -0x1.a92652e6a0b87p-15, -0x1.97dedbb76f39cp-15, -0x1.8740d147e89b8p-15, -0x1.7745b430b47ddp-15, -0x1.67e7433c28eb9p-15, -0x1.591f7941c1982p-15, -0x1.4ae88b0f88d9p-15, -0x1.3d3ce56a363acp-15, -0x1.30172b16ee2cap-15, -0x1.237232f7f0fdap-15, -0x1.17490637ad6ep-15, -0x1.0b96de82a6e3ap-15, -0x1.00572450ecc38p-15, -0x1.eb0ada71d09bfp-16, -0x1.d63af4b01c13ap-16, -0x1.c2366d82172d3p-16, -0x1.aef56bf5b29f8p-16, -0x1.9c7065151630fp-16, -0x1.8aa019168aa7cp-16, -0x1.797d909f74e95p-16, -0x1.69021a217fe4cp-16, -0x1.5927474c6beb2p-16, -0x1.49e6ea96fc1ep-16, -0x1.3b3b14d9599ap-16, -0x1.2d1e1301af83dp-16, -0x1.1f8a6bd74f6aap-16, -0x1.127addd264086p-16, -0x1.05ea5d073ca82p-16, -0x1.f3a82244bcec6p-17, -0x1.dc66a6ecef436p-17, -0x1.c6075a36184f9p-17, -0x1.b081aa35c47c2p-17, -0x1.9bcd5d6963abbp-17, -0x1.87e28f4398edfp-17, -0x1.74b9acfb64ccdp-17, -0x1.624b72506535fp-17, -0x1.5090e68375dd3p-17, -0x1.3f83595eb0b2fp-17, -0x1.2f1c605e7168ep-17, -0x1.1f55d3eeb4bf8p-17, -0x1.1029ccbea8d81p-17, -0x1.0192a134f4ed6p-17, -0x1.e715c5e199dbap-18, -0x1.cc1ab8cba8da7p-18, -0x1.b22a1d1b6be5ep-18, -0x1.993a5d57f6b8dp-18, -0x1.814248518a249p-18, -0x1.6a390cfa70ce1p-18, -0x1.541636684e979p-18, -0x1.3ed1a7f8ab0f6p-18, -0x1.2a63999b39a3p-18, -0x1.16c4943d2ed3ap-18, -0x1.03ed6e571e4e4p-18, -0x1.e3ae914ad6962p-19, -0x1.c0f715bbff64cp-19, -0x1.9fa7c182155dp-19, -0x1.7fb46e2cecdc4p-19, -0x1.6111718d717edp-19, -0x1.43b3988c67337p-19, -0x1.279021be0cbe5p-19, -0x1.0c9cb86ca10e7p-19, -0x1.e59edf8bf0228p-20, -0x1.b43d7c90deep-20, -0x1.8502f28a164bdp-20, -0x1.57dda166a3d6fp-20, -0x1.2cbc9633fbc9p-20, -0x1.038f835f3b7d8p-20, -0x1.b88d728016f1p-21, -0x1.6da63dfca2addp-21, -0x1.264c57853a2f9p-21, -0x1.c4c780a2d2ac4p-22, -0x1.43a3009e36567p-22, -0x1.91ee679445439p-23, -0x1.5247f6adfcfa2p-24, 0x1.9bcf5c2631c5ep-26, 0x1.04488c3b9b2b5p-23, 0x1.c9a1e5dff10b3p-23, 0x1.41ee6e8015a9ep-22, 0x1.99a6afb3ac92cp-22, 0x1.ec2243a01d7bfp-22, 0x1.1cc42eb1329b3p-21, 0x1.40ff73a66af8p-21, 0x1.62d5480159479p-21, 0x1.82576cdee2c5dp-21, 0x1.9f9713dedf9f6p-21, 0x1.baa4e5c95e30cp-21, 0x1.d391088f07e3ep-21, 0x1.ea6b2545b3af3p-21, 0x1.ff426dd09b21fp-21, 0x1.09167043705f6p-20, 0x1.1194bc195da95p-20, 0x1.19271dd31c852p-20, 0x1.1fd45a380fef6p-20, 0x1.25a30693cecb5p-20, 0x1.2a998adec5f63p-20, 0x1.2ebe23a48df7ap-20, 0x1.3216e418e20a9p-20, 0x1.34a9b79cf06a3p-20, 0x1.367c63b3d9f21p-20, 0x1.37948966d5ff4p-20, 0x1.37f7a72c229e1p-20, 0x1.37ab19ea6834fp-20, 0x1.36b41ea72a4bcp-20, 0x1.3517d3b93204ep-20, 0x1.32db3a183e93ep-20, 0x1.30033680d83f7p-20, 0x1.2c949291c5281p-20, 0x1.2893fdda18387p-20, 0x1.24060ee3fe855p-20, 0x1.1eef440f6c8f8p-20, 0x1.1954048ac8d36p-20, 0x1.1338a122016bap-20, 0x1.0ca155099f9aep-20, 0x1.059246a1f99abp-20, 0x1.fc1f105a4ff52p-21, 0x1.ec3a30d0c71efp-21, 0x1.db7dc69088254p-21, 0x1.c9f184ffe7be3p-21, 0x1.b79cfbdfac9bap-21, 0x1.a4879935b1af4p-21, 0x1.90b8a91733a71p-21, 0x1.7c3757570c35ep-21, 0x1.670ab0336b19bp-21, 0x1.5139a11dbdfcdp-21, 0x1.3acaf98e926b6p-21, 0x1.23c56b9ea4182p-21, 0x1.0c2f8cbc40284p-21, 0x1.e81fad2fe6c1p-22, 0x1.b6d94e27b85ebp-22, 0x1.849882c191f73p-22, 0x1.51699c8caf708p-22, 0x1.1d58b93d0648p-22, 0x1.d0e3874094fe7p-23, 0x1.6580e924b88afp-23, 0x1.f1414d64950a6p-24, 0x1.14b2db5d0df46p-24, 0x1.ac18bd13fb352p-27, -0x1.58444015c96cfp-25, -0x1.9011a697e914dp-24, -0x1.3b1088d19aabcp-23, -0x1.af1356380137cp-23, -0x1.11fe5df2b17c3p-22, -0x1.4cdc4989d8a71p-22, -0x1.881986fa49f36p-22, -0x1.c3ac5b26f3052p-22, -0x1.ff8b367d5cf44p-22, -0x1.1dd65a494005bp-21, -0x1.3c03cdef5d69cp-21, -0x1.5a496ea860154p-21, -0x1.78a2ca33bb0cdp-21, -0x1.970b82d35943fp-21, -0x1.b57f50142b0cdp-21, -0x1.d3f9fe10ecb75p-21, -0x1.f2776d7618c16p-21, -0x1.0879c9b39f45dp-20, -0x1.17b53cb91e724p-20, -0x1.26ec1ea06ac2bp-20, -0x1.361c8856d3b08p-20, -0x1.45449cc8fee5p-20, -0x1.546288d6f22e6p-20, -0x1.637483458541ap-20, -0x1.7278ccb414ffp-20, -0x1.816daf8c56272p-20, -0x1.90517ff00ff3bp-20, -0x1.9f229bb5e4e7fp-20, -0x1.addf6a50900d6p-20, -0x1.bc865ce417c13p-20, -0x1.cb15edd9f4b12p-20, -0x1.d98ca14c79e21p-20, -0x1.e7e904adf4ef1p-20, -0x1.f629aecbd88a9p-20, -0x1.02269fe060e98p-19, -0x1.0929307133fa7p-19, -0x1.101be25ba9727p-19, -0x1.16fe137193182p-19, -0x1.1dcf260c516e8p-19, -0x1.248e810567b0bp-19, -0x1.2b3b8fab3172cp-19, -0x1.31d5c1b9d64ebp-19, -0x1.385c8b5c01354p-19, -0x1.3ecf650e99cfbp-19, -0x1.452dcbb31a9e8p-19, -0x1.4b774060b1f1ap-19, -0x1.51ab487b3001fp-19, -0x1.57c96da3b4b42p-19, -0x1.5dd13da805c96p-19, -0x1.63c24a798be0ap-19, -0x1.699c2a284a128p-19, -0x1.6f5e76d502674p-19, -0x1.7508cea740277p-19, -0x1.7a9ad3c768e23p-19, -0x1.80142c4d98689p-19, -0x1.8574823b3a803p-19, -0x1.8abb83702316cp-19, -0x1.8fe8e19e05ad5p-19, -0x1.94fc523f10ed4p-19, -0x1.99f58e899431cp-19, -0x1.9ed453614bd17p-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{-0x1.00e21e66bb51dp-6, -0x1.00a0d25283279p-5, -0x1.804e777263286p-5, -0x1.ff3a1bb6add7bp-5, -0x1.3e929b66e8f98p-4, -0x1.7ce97d3d8594cp-4, -0x1.ba84528ac7f22p-4, -0x1.f746e372b7953p-4, -0x1.198b1eb88415dp-3, -0x1.36ec64ea41f9p-3, -0x1.53bb2f6a6321cp-3, -0x1.6fec25e368b6ep-3, -0x1.8b74b07a7397cp-3, -0x1.a64af9cd7fb3ap-3, -0x1.c065ef421073fp-3, -0x1.d9bd3fdf4b5a6p-3, -0x1.f24959eaedcdfp-3, -0x1.0501b3be250ddp-2, -0x1.1072a51a0aa79p-2, -0x1.1b74cb21750adp-2, -0x1.2605c671d3f0ep-2, -0x1.30238b34ff14ep-2, -0x1.39cc5e007bd9ap-2, -0x1.42fed09894d2cp-2, -0x1.4bb9bea1305ffp-2, -0x1.53fc4a44b22ddp-2, -0x1.5bc5d8d7ccfabp-2, -0x1.63160f7ff4d1bp-2, -0x1.69eccfe132ac4p-2, -0x1.704a34d73c514p-2, -0x1.762e8f3d2224ap-2, -0x1.7b9a62c64a3d1p-2, -0x1.808e62eb05a59p-2, -0x1.850b6feab2f83p-2, -0x1.891293e50675dp-2, -0x1.8ca5000bc72d5p-2, -0x1.8fc409ee1412p-2, -0x1.927128ddf91fp-2, -0x1.94adf370ea7f9p-2, -0x1.967c1d1b786c5p-2, -0x1.97dd73e85933dp-2, -0x1.98d3de4abaec1p-2, -0x1.9961590b8b6f6p-2, -0x1.9987f551467d8p-2, -0x1.9949d6c1ade0dp-2, -0x1.98a931bca3ebp-2, -0x1.97a849af4c61bp-2, -0x1.96496f7e7688dp-2, -0x1.948f00074400bp-2, -0x1.927b62b4f3006p-2, -0x1.9011082aa53f8p-2, -0x1.8d5268fff87e9p-2, -0x1.8a42048f5501fp-2, -0x1.86e25fd4c1a6cp-2, -0x1.8336045c2f16ap-2, -0x1.7f3f7f3e2739fp-2, -0x1.7b016029e0f0ep-2, -0x1.767e387bcc57bp-2, -0x1.71b89a5fb200fp-2, -0x1.6cb317fda01f2p-2, -0x1.677042b0e64b6p-2, -0x1.61f2aa487afcep-2, -0x1.5c3cdc5034b82p-2, -0x1.565163625536cp-2, -0x1.5032c680efca1p-2, -0x1.49e38876d05d8p-2, -0x1.4366273f83aa2p-2, -0x1.3cbd1b7641451p-2, -0x1.35ead7cb7c9aep-2, -0x1.2ef1c880e56c9p-2, -0x1.27d452ebb5108p-2, -0x1.2094d4fd293cap-2, -0x1.1935a4d10a0cap-2, -0x1.11b9104233c91p-2, -0x1.0a215c850536fp-2, -0x1.0270c5c7af59fp-2, -0x1.f552fdb0a4e03p-3, -0x1.e59b61a1c69c7p-3, -0x1.d5bef5918f0f3p-3, -0x1.c5c1e318446e7p-3, -0x1.b5a83eb186b0bp-3, -0x1.a57607414f4bep-3, -0x1.952f25a4014c3p-3, -0x1.84d76c49579ebp-3, -0x1.747296da1023ap-3, -0x1.640449e82a30cp-3, -0x1.539012a9792edp-3, -0x1.431966bc61fa1p-3, -0x1.32a3a3f683b1ep-3, -0x1.2232103cfe8f1p-3, -0x1.11c7d96629412p-3, -0x1.016815245b1a1p-3, -0x1.e22b81f307936p-4, -0x1.c1a784667f767p-4, -0x1.a149cbde30518p-4, -0x1.8117c24d29a55p-4, -0x1.6116a1859bcd3p-4, -0x1.414b736e3e011p-4, -0x1.21bb12454aab9p-4, -0x1.026a28f0584d2p-4, -0x1.c6ba66b0b9ca2p-5, -0x1.8930fda244e76p-5, -0x1.4c405516f7eafp-5, -0x1.0ff050230c57bp-5, -0x1.a890ef3117704p-6, -0x1.329ff647dc772p-6, -0x1.7c36c9e31e3f2p-7, -0x1.2c40f469de78ep-8, 0x1.33a951d069f45p-9, 0x1.2cd2448deba2cp-7, 0x1.04c0a1c4a9e15p-6, 0x1.717142141540cp-6, 0x1.dc713c57dd294p-6, 0x1.22dbb33ee0e9ep-5, 0x1.569d981d17cecp-5, 0x1.897a4ffbebfbep-5, 0x1.bb6e27de93ec8p-5, 0x1.ec75b5049dc7dp-5, 0x1.0e46e9aa7e99ep-4, 0x1.25d9d1e3344bep-4, 0x1.3cf24562de63dp-4, 0x1.538f174d86ecbp-4, 0x1.69af3ae704082p-4, 0x1.7f51c2c519c9dp-4, 0x1.9475e001cf9e2p-4, 0x1.a91ae16e3c9dap-4, 0x1.bd4032c60642bp-4, 0x1.d0e55be3c07a2p-4, 0x1.e409fff66701p-4, 0x1.f6addcb827788p-4, 0x1.046864d3476bbp-3, 0x1.0d395b9e2b03ap-3, 0x1.15c9d71670853p-3, 0x1.1e19e750d2b6bp-3, 0x1.2629a7bcb87f4p-3, 0x1.2df93ec4ed55ep-3, 0x1.3588dd7160b17p-3, 0x1.3cd8bf0a0a619p-3, 0x1.43e928baf673bp-3, 0x1.4aba693976e3p-3, 0x1.514cd86a9b9d4p-3, 0x1.57a0d70ad5994p-3, 0x1.5db6ce56e74ccp-3, 0x1.638f2fb618d3fp-3, 0x1.692a7465b5f43p-3, 0x1.6e891d25dc20cp-3, 0x1.73abb1e797a1dp-3, 0x1.7892c17c5523ap-3, 0x1.7d3ee146acf59p-3, 0x1.81b0acec7f2d5p-3, 0x1.85e8c60a6cfe1p-3, 0x1.89e7d3e8a91c7p-3, 0x1.8dae833126378p-3, 0x1.913d85a719daep-3, 0x1.949591dfe009cp-3, 0x1.97b762fd37a8cp-3, 0x1.9aa3b868d5123p-3, 0x1.9d5b55915726ap-3, 0x1.9fdf01a88e222p-3, 0x1.a22f876322499p-3, 0x1.a44db4b98b7b9p-3, 0x1.a63a5aaa64347p-3, 0x1.a7f64cfe147e5p-3, 0x1.a982620bd0699p-3, 0x1.aadf727fe5a6ap-3, 0x1.ac0e592368168p-3, 0x1.ad0ff2a51f69fp-3, 0x1.ade51d63d65b1p-3, 0x1.ae8eb939e9336p-3, 0x1.af0da74a2c3f4p-3, 0x1.af62c9ce18968p-3, 0x1.af8f03e543a1cp-3, 0x1.af93396620794p-3, 0x1.af704eb003345p-3, 0x1.af27287e6ef3cp-3, 0x1.aeb8abbd9df26p-3, 0x1.ae25bd6054506p-3, 0x1.ad6f4236e79d7p-3, 0x1.ac961ec785aecp-3, 0x1.ab9b3727b81e5p-3, 0x1.aa7f6ed719e46p-3, 0x1.a943a89b46156p-3, 0x1.a7e8c65cf5353p-3, 0x1.a66fa9064ca61p-3, 0x1.a4d930625a08ap-3, 0x1.a3263afdb70aap-3, 0x1.a157a60859275p-3, 0x1.9f6e4d387e66bp-3, 0x1.9d6b0aaebf057p-3, 0x1.9b4eb6db3ddd3p-3, 0x1.991a2863f3284p-3, 0x1.96ce340c07f2cp-3, 0x1.946bac9c4e89fp-3, 0x1.91f362ccc5716p-3, 0x1.8f66252f25be8p-3, 0x1.8cc4c01a806p-3, 0x1.8a0ffd97d6f66p-3, 0x1.8748a54fbf32p-3, 0x1.846f7c78fd5d2p-3, 0x1.818545c818b49p-3, 0x1.7e8ac15fe4487p-3, 0x1.7b80acc2ff093p-3, 0x1.7867c2c635018p-3, 0x1.7540bb83d194bp-3, 0x1.720c4c4fd2ea5p-3, 0x1.6ecb27acfda7p-3, 0x1.6b7dfd42c908p-3, 0x1.682579d426038p-3, 0x1.64c24737127bcp-3, 0x1.61550c4cff8ccp-3, 0x1.5dde6cfbfea4fp-3, 0x1.5a5f0a28b2c4cp-3, 0x1.56d781b0fdfadp-3, 0x1.53486e6771452p-3, 0x1.4fb2680f6b7cap-3, 0x1.4c160359ed745p-3, 0x1.4873d1e317db9p-3, 0x1.44cc623054a71p-3, 0x1.41203faf2415p-3, 0x1.3d6ff2b4801afp-3, 0x1.39bc007ce612bp-3, 0x1.3604eb2cea80dp-3, 0x1.324b31d26506ep-3, 0x1.2e8f50662209p-3, 0x1.2ad1bfce202f9p-3, 0x1.2712f5e04d735p-3, 0x1.23536565c2d4p-3, 0x1.1f937e1e77afp-3, 0x1.1bd3acc5711c9p-3, 0x1.18145b1552f03p-3, 0x1.1455efcd6da04p-3, 0x1.1098ceb725e6p-3, 0x1.0cdd58abc7adep-3, 0x1.0923eb9ab2bfbp-3, 0x1.056ce28fe5859p-3, 0x1.01b895badb626p-3, 0x1.fc0eb4eb79ad3p-4, 0x1.f4b30699c669bp-4, 0x1.ed5ec00d35943p-4, 0x1.e6127b567673fp-4, 0x1.dececd1adeb49p-4, 0x1.d79444a59bf6fp-4, 0x1.d0636bf93810cp-4, 0x1.c93cc7e1a8465p-4, 0x1.c220d806abaedp-4, 0x1.bb1016fe9bf2p-4, 0x1.b40afa6186266p-4, 0x1.ad11f2dca0eccp-4, 0x1.a6256c4608e9dp-4, 0x1.9f45cdb0be57ap-4, 0x1.98737980eab72p-4, 0x1.91aecd8052aa5p-4, 0x1.8af822f302362p-4, 0x1.844fceac21a76p-4, 0x1.7db62122f0a53p-4, 0x1.772b6687e3637p-4, 0x1.70afe6d9da39ap-4, 0x1.6a43e5fb7071bp-4, 0x1.63e7a3c85abfap-4, 0x1.5d9b5c2ad3175p-4, 0x1.575f47310bb91p-4, 0x1.51339922a4b4fp-4, 0x1.4b1882961fd84p-4, 0x1.450e30864ecd3p-4, 0x1.3f14cc67b78d5p-4, 0x1.392c7c3de9861p-4, 0x1.335562b0c206dp-4, 0x1.2d8f9f219b0b5p-4, 0x1.27db4dc05f76p-4, 0x1.223887a084056p-4, 0x1.1ca762cde0723p-4, 0x1.1727f26164d75p-4, 0x1.11ba4695a9196p-4, 0x1.0c5e6cdb54e7p-4, 0x1.07146fed5a283p-4, 0x1.01dc57e50318fp-4, 0x1.f96c549b9d8f2p-5, 0x1.ef43d47236857p-5, 0x1.e53f30a335a78p-5, 0x1.db5e65dd228eep-5, 0x1.d1a16c4db2e4ap-5, 0x1.c80837c75d157p-5, 0x1.be92b7e67419dp-5, 0x1.b540d835c4ed7p-5, 0x1.ac128052b66bdp-5, 0x1.a3079410e53b7p-5, 0x1.9a1ff39d3c7c4p-5, 0x1.915b7ba087002p-5, 0x1.88ba056177a5cp-5, 0x1.803b66e625aa9p-5, 0x1.77df7314fc402p-5, 0x1.6fa5f9d51dbe4p-5, 0x1.678ec82e341ep-5, 0x1.5f99a867b2f49p-5, 0x1.57c66227838c3p-5, 0x1.5014ba90238bdp-5, 0x1.4884745e2b45ap-5, 0x1.4115500540995p-5, 0x1.39c70bcc77d2cp-5, 0x1.329963ea1b212p-5, 0x1.2b8c129ee0641p-5, 0x1.249ed05088082p-5, 0x1.1dd153a3e7c31p-5, 0x1.172351965eb8dp-5, 0x1.10947d96b6e93p-5, 0x1.0a24899d72227p-5, 0x1.03d32644821fdp-5, 0x1.fb4005bcdc942p-6, 0x1.ef159b19d4897p-6, 0x1.e32666ada9ac4p-6, 0x1.d771c07b5be34p-6, 0x1.cbf6fea4ef26ap-6, 0x1.c0b5759417423p-6, 0x1.b5ac7821c699ap-6, 0x1.aadb57bca9142p-6, 0x1.a041648e858e6p-6, 0x1.95ddeda08fad2p-6, 0x1.8bb040feac2c7p-6, 0x1.81b7abd9a7abep-6, 0x1.77f37aa862c83p-6, 0x1.6e62f947fa8bcp-6, 0x1.6505731af0ba9p-6, 0x1.5bda332750755p-6, 0x1.52e08433d9c14p-6, 0x1.4a17b0e43779ep-6, 0x1.417f03d43cdc2p-6, 0x1.3915c7b236a07p-6, 0x1.30db47584b6c5p-6, 0x1.28cecde4f790bp-6, 0x1.20efa6d29fdcfp-6, 0x1.193d1e0e477c3p-6, 0x1.11b6800d64a4fp-6, 0x1.0a5b19e2dd409p-6, 0x1.032a395331df8p-6, 0x1.f84659cfa2b3cp-7, 0x1.ea8a8803465cap-7, 0x1.dd1f9dd595795p-7, 0x1.d0043dcf3e457p-7, 0x1.c3370c8dcfd5ap-7, 0x1.b6b6b0e2b33ddp-7, 0x1.aa81d3f0b6cccp-7, 0x1.9e97214829f4bp-7, 0x1.92f547019efcbp-7, 0x1.879af5d74e427p-7, 0x1.7c86e13d27b74p-7, 0x1.71b7bf779c715p-7, 0x1.672c49b125f3dp-7, 0x1.5ce33c0e966e9p-7, 0x1.52db55c2308e7p-7, 0x1.4913591d99292p-7, 0x1.3f8a0ba2aaa6bp-7, 0x1.363e361325831p-7, 0x1.2d2ea47f5178cp-7, 0x1.245a265393d45p-7, 0x1.1bbf8e64ffdeap-7, 0x1.135db2fcea5fp-7, 0x1.0b336de388cbfp-7, 0x1.033f9c699f8ap-7, 0x1.f7023ee295cffp-8, 0x1.e7edb6ebccb9dp-8, 0x1.d93f7126353b7p-8, 0x1.caf54516312eep-8, 0x1.bd0d119810afdp-8, 0x1.af84bce9654bdp-8, 0x1.a25a34b0d6acbp-8, 0x1.958b6e0486cf4p-8, 0x1.8916656f0fa0bp-8, 0x1.7cf91ef32935ap-8, 0x1.7131a60e058dfp-8, 0x1.65be0db868a5dp-8, 0x1.5a9c70668ed88p-8, 0x1.4fcaf006e80e2p-8, 0x1.4547b5ffb656bp-8, 0x1.3b10f32b9a155p-8, 0x1.3124dfd5139cfp-8, 0x1.2781bbb10bb1fp-8, 0x1.1e25cdd864e91p-8, 0x1.150f64c0a757cp-8, 0x1.0c3cd633cb5dfp-8, 0x1.03ac7f4730c51p-8, 0x1.f6b988a393998p-9, 0x1.e69821c306e0ap-9, 0x1.d6f1af5fec4cp-9, 0x1.c7c3252cc7c48p-9, 0x1.b90985022251bp-9, 0x1.aac1dec3f91a6p-9, 0x1.9ce950460207cp-9, 0x1.8f7d052ed0bep-9, 0x1.827a36d9ededep-9, 0x1.75de2c38f0319p-9, 0x1.69a639b3a2d89p-9, 0x1.5dcfc1074e561p-9, 0x1.5258312529a2fp-9, 0x1.473d061009f89p-9, 0x1.3c7bc8b95203ep-9, 0x1.32120edd40a7dp-9, 0x1.27fd7ade937c8p-9, 0x1.1e3bbba1a352dp-9, 0x1.14ca8c66eb89dp-9, 0x1.0ba7b4a5239d3p-9, 0x1.02d107e2d97a4p-9, 0x1.f488cb1f6383fp-10, 0x1.e3ff71ba89ee4p-10, 0x1.d401f12f56171p-10, 0x1.c48c4dfb86befp-10, 0x1.b59aa3326f065p-10, 0x1.a729222c9c3c2p-10, 0x1.9934123716585p-10, 0x1.8bb7d04262897p-10, 0x1.7eb0ce913ed3cp-10, 0x1.721b946744eb4p-10, 0x1.65f4bdb76245p-10, 0x1.5a38fad24cc7bp-10, 0x1.4ee51014f9bcap-10, 0x1.43f5d59721237p-10, 0x1.396836d9dc0b2p-10, 0x1.2f3932766ed45p-10, 0x1.2565d9cd497e2p-10, 0x1.1beb50b53a9ep-10, 0x1.12c6cd2b020a8p-10, 0x1.09f597012293cp-10, 0x1.017507901eb0fp-10, 0x1.f28512ce3b543p-11, 0x1.e2b72ff9f3d57p-11, 0x1.d37b7ec39eaf3p-11, 0x1.c4cd37e21184fp-11, 0x1.b6a7b407ede65p-11, 0x1.a9066b49f0829p-11, 0x1.9be4f48671082p-11, 0x1.8f3f04ce1bb02p-11, 0x1.83106ecdf4e7cp-11, 0x1.7755223ab258cp-11, 0x1.6c092b3d704cap-11, 0x1.6128b1e1d2f39p-11, 0x1.56aff9859a8aap-11, 0x1.4c9b6049b2093p-11, 0x1.42e75e84c47ep-11, 0x1.399086375d2ap-11, 0x1.309382819c076p-11, 0x1.27ed171a8377bp-11, 0x1.1f9a1fc8e7e0cp-11, 0x1.17978fde0426dp-11, 0x1.0fe271b1b8301p-11, 0x1.0877e620786e6p-11, 0x1.0155240af0e83p-11, 0x1.f4eeefaebd5c7p-12, 0x1.e7b885e9487efp-12, 0x1.db01f6be35c27p-12, 0x1.cec6564e490d4p-12, 0x1.c300dff2fd00cp-12, 0x1.b7acf552adf8dp-12, 0x1.acc61d78516a2p-12, 0x1.a24803eeb2e0cp-12, 0x1.982e77df416b9p-12, 0x1.8e756b34655acp-12, 0x1.8518f1bf649f5p-12, 0x1.7c154061d0d63p-12, 0x1.7366ac3a7f011p-12, 0x1.6b09a9d6071d7p-12, 0x1.62facc62c9ceep-12, 0x1.5b36c4e8763f9p-12, 0x1.53ba618312066p-12, 0x1.4c828ca178b54p-12, 0x1.458c4c47546a6p-12, 0x1.3ed4c15286d58p-12, 0x1.385926c3ff8a9p-12, 0x1.3216d10bfa398p-12, 0x1.2c0b2d599ae3bp-12, 0x1.2633c0edeac22p-12, 0x1.208e287223657p-12, 0x1.1b1817514c90dp-12, 0x1.15cf57151e66cp-12, 0x1.10b1c6c6203fp-12, 0x1.0bbd5a4f05801p-12, 0x1.06f019e332de1p-12, 0x1.024821686f264p-12, 0x1.fb873fc7650e9p-13, 0x1.f2c1add2195d2p-13, 0x1.ea3c341d2cf0cp-13, 0x1.e1f39cc4d8174p-13, 0x1.d9e4d3c741efdp-13, 0x1.d20ce5fc500fap-13, 0x1.ca69001347f0dp-13, 0x1.c2f66d9633c2bp-13, 0x1.bbb297f2eeaecp-13, 0x1.b49b0589d4f86p-13, 0x1.adad58c1f3095p-13, 0x1.a6e74f22a89bbp-13, 0x1.a046c072b44c2p-13, 0x1.99c99ddc7c581p-13, 0x1.936df117a123dp-13, 0x1.8d31db97a464fp-13, 0x1.871395bfab3e1p-13, 0x1.81116e1b3adf8p-13, 0x1.7b29c89bd9286p-13, 0x1.755b1ddb88458p-13, 0x1.6fa3fa63fbfb9p-13, 0x1.6a02fdfa85015p-13, 0x1.6476daf08814ep-13, 0x1.5efe557888e71p-13, 0x1.599842ff966c5p-13, 0x1.5443898b20ae4p-13, 0x1.4eff1f1b107c1p-13, 0x1.49ca091018df4p-13, 0x1.44a35b9628344p-13, 0x1.3f8a3912ea7f7p-13, 0x1.3a7dd19843c47p-13, 0x1.357d625ab4de6p-13, 0x1.3088352b98d47p-13, 0x1.2b9d9ff71c0b3p-13, 0x1.26bd0445ea9f1p-13, 0x1.21e5cec27bc8dp-13, 0x1.1d1776c1df46cp-13, 0x1.18517dd00f7dfp-13, 0x1.13936f3f9dfe6p-13, 0x1.0edcdfbcbc372p-13, 0x1.0a2d6ce3846ecp-13, 0x1.0584bcd970fb5p-13, 0x1.00e27de9f6ebcp-13, 0x1.f88ccc4c5b3cfp-14, 0x1.ef60660ee0b27p-14, 0x1.e63f5229e8f93p-14, 0x1.dd292718642fcp-14, 0x1.d41d88183f87bp-14, 0x1.cb1c24864f4cap-14, 0x1.c224b73f8900bp-14, 0x1.b93706077f268p-14, 0x1.b052e0f3efe17p-14, 0x1.a77821dd529bbp-14, 0x1.9ea6abd43b152p-14, 0x1.95de6a9b7c3c9p-14, 0x1.8d1f5226f1115p-14, 0x1.84695e1ec3609p-14, 0x1.7bbc91671d463p-14, 0x1.7318f5ac2479bp-14, 0x1.6a7e9af227723p-14, 0x1.61ed9729de78cp-14, 0x1.596605c8a7445p-14, 0x1.50e80764a12d3p-14, 0x1.4873c1548f209p-14, 0x1.40095d5368187p-14, 0x1.37a9092779fbdp-14, 0x1.2f52f64d0a5f2p-14, 0x1.270759a459388p-14, 0x1.1ec66b22f1b6ep-14, 0x1.169065882f78ep-14, 0x1.0e658614e1a01p-14, 0x1.06460c45f763cp-14, 0x1.fc6473243dcf4p-15, 0x1.ec54a2547ee96p-15, 0x1.dc5d2f797d5fcp-15, 0x1.cc7ea676eb363p-15, 0x1.bcb9954890cf7p-15, 0x1.ad0e8b988ce3ep-15, 0x1.9d7e1a5a8ad75p-15, 0x1.8e08d36bbdb7cp-15, 0x1.7eaf493783104p-15, 0x1.6f720e6088198p-15, 0x1.6051b56e47d7ap-15, 0x1.514ed07ec6c4bp-15, 0x1.4269f0fc651e2p-15, 0x1.33a3a757a9ed5p-15, 0x1.24fc82c4e09b7p-15, 0x1.167510fd708ffp-15, 0x1.080dde04cbe74p-15, 0x1.f38ee7e1a6c7cp-16, 0x1.d744b56b33f73p-16, 0x1.bb3e2fe8c6822p-16, 0x1.9f7c5d9b8b35cp-16, 0x1.84003f6da126fp-16, 0x1.68cad0a23fad9p-16, 0x1.4ddd068b7ccdep-16, 0x1.3337d0457d4d1p-16, 0x1.18dc1676e8f89p-16, 0x1.fd95762cc0375p-17, 0x1.ca093269a4e19p-17, 0x1.971509990020cp-17, 0x1.64ba9528ef63ep-17, 0x1.32fb5fb0d864ep-17, 0x1.01d8e4a95dbacp-17, 0x1.a2a920589c37bp-18, 0x1.42df7d78854f4p-18, 0x1.c8aef44e56fcfp-19, 0x1.0e271fe99e86ap-19, 0x1.58b0c23665f74p-21, -0x1.7cf59f0f12f8ap-21, -0x1.1211782b7f401p-19, -0x1.c24c11300cb4ep-19, -0x1.37f4c2749414dp-18, -0x1.8d73338b0134bp-18, -0x1.e19fc68f64d18p-18, -0x1.1a3c8380a05a1p-17, -0x1.42fed08c85e6bp-17, -0x1.6b1630d668398p-17, -0x1.92821b0628b19p-17, -0x1.b94215ea88088p-17, -0x1.df55b85f65326p-17, -0x1.025e54982782ep-16, -0x1.14bb4f7bd58e7p-16, -0x1.26c1affd5177bp-16, -0x1.38716101012f8p-16, -0x1.49ca551816995p-16, -0x1.5acc866a31206p-16, -0x1.6b77f69dba51fp-16, -0x1.7bccaebf0f80bp-16, -0x1.8bcabf268be5bp-16, -0x1.9b723f5d8bbe5p-16, -0x1.aac34e0274a7ep-16, -0x1.b9be10abd5f4bp-16, -0x1.c862b3cab5dfep-16, -0x1.d6b16a8c1a0a1p-16, -0x1.e4aa6eb9d8367p-16, -0x1.f24e009ac657cp-16, -0x1.ff9c66d24ef86p-16, -0x1.064af71fbf717p-15, -0x1.0c9d74edceab4p-15, -0x1.12c5d94c25f2ap-15, -0x1.18c4539ea9ba9p-15, -0x1.1e99162307fc5p-15, }}, 
      {{-0x1.bd0234c076a4p-7, -0x1.bcc99f50403dbp-6, -0x1.4d50a0158a713p-5, -0x1.bbe81cc79eeebp-5, -0x1.1507e4e6429d6p-4, -0x1.4bd65724ea399p-4, -0x1.8252375b9cfe1p-4, -0x1.b86eb1ee27b32p-4, -0x1.ee1f574d0ebdep-4, -0x1.11ac122828ecp-3, -0x1.2c06c48fb5b68p-3, -0x1.461a376062ec7p-3, -0x1.5fe11db65b53dp-3, -0x1.79566ae00512ep-3, -0x1.9275537501158p-3, -0x1.ab394df85d02p-3, -0x1.c39e1312f74e2p-3, -0x1.db9f9d72740abp-3, -0x1.f33a295858729p-3, -0x1.053519f20f8f9p-2, -0x1.10963d111b3cfp-2, -0x1.1bbefbf482314p-2, -0x1.26adf3460422fp-2, -0x1.3161ddb6420adp-2, -0x1.3bd993370495dp-2, -0x1.4614082a576aap-2, -0x1.50104c88f3065p-2, -0x1.59cd8b021c429p-2, -0x1.634b0816e0637p-2, -0x1.6c8821324b869p-2, -0x1.75844bbffdb34p-2, -0x1.7e3f14425f282p-2, -0x1.86b81d6978b57p-2, -0x1.8eef1f2b643a6p-2, -0x1.96e3e5df1182ap-2, -0x1.9e96515a22c9fp-2, -0x1.a606541266288p-2, -0x1.ad33f2437a66ep-2, -0x1.b41f41190c4c9p-2, -0x1.bac865de07026p-2, -0x1.c12f95310c69bp-2, -0x1.c755123e6f07dp-2, -0x1.cd392dffe39bbp-2, -0x1.d2dc46820b5c3p-2, -0x1.d83ec62ff7d9ep-2, -0x1.dd612324ab287p-2, -0x1.e243de82a3b47p-2, -0x1.e6e783d166938p-2, -0x1.eb4ca860fcdf5p-2, -0x1.ef73eab354b7ap-2, -0x1.f35df1eb6017ap-2, -0x1.f70b6d41d78c6p-2, -0x1.fa7d137f7b6a3p-2, -0x1.fdb3a27ca6338p-2, -0x1.0057ef5302c4bp-1, -0x1.01b9494324a19p-1, -0x1.02fe472a4fe3bp-1, -0x1.042753c3e0991p-1, -0x1.0534dc36b345p-1, -0x1.06274fe2fa238p-1, -0x1.06ff2032133d2p-1, -0x1.07bcc0684d09ep-1, -0x1.0860a5787c9cfp-1, -0x1.08eb45d955834p-1, -0x1.095d195c6a444p-1, -0x1.09b69906c53dfp-1, -0x1.09f83eeb064adp-1, -0x1.0a228604f328ep-1, -0x1.0a35ea166be6dp-1, -0x1.0a32e785b50aap-1, -0x1.0a19fb3d06bd5p-1, -0x1.09eba28b582e2p-1, -0x1.09a85b06598bcp-1, -0x1.0950a26d91247p-1, -0x1.08e4f68e94a2ep-1, -0x1.0865d52a52f91p-1, -0x1.07d3bbdb68d0ap-1, -0x1.072f27fd759b8p-1, -0x1.067896956e30dp-1, -0x1.05b0843ae4298p-1, -0x1.04d76d023b9dcp-1, -0x1.03edcc67cc9dap-1, -0x1.02f41d3be9959p-1, -0x1.01ead98fc6a8p-1, -0x1.00d27aa33c0d7p-1, -0x1.ff56f1a6c6839p-2, -0x1.fcec97140951dp-2, -0x1.fa66d25bb17f8p-2, -0x1.f7c68e2726c82p-2, -0x1.f50cb2df6fc2fp-2, -0x1.f23a2692655fep-2, -0x1.ef4fccd963433p-2, -0x1.ec4e86c177a39p-2, -0x1.e93732b50183ap-2, -0x1.e60aac66b9521p-2, -0x1.e2c9ccbe1e374p-2, -0x1.df7569c539ffap-2, -0x1.dc0e5697bc118p-2, -0x1.d895635358f68p-2, -0x1.d50b5d096e788p-2, -0x1.d1710db1e0015p-2, -0x1.cdc73c1f20af2p-2, -0x1.ca0eabf36b1dep-2, -0x1.c6481d970f252p-2, -0x1.c2744e2fdc242p-2, -0x1.be93f7999643ap-2, -0x1.baa7d05f6d718p-2, -0x1.b6b08bb67372ap-2, -0x1.b2aed978ff738p-2, -0x1.aea36622fea6ap-2, -0x1.aa8edacf22fccp-2, -0x1.a671dd34eab07p-2, -0x1.a24d0fa77534cp-2, -0x1.9e2111151f5f4p-2, -0x1.99ee7d07de01ap-2, -0x1.95b5eba64bf3ep-2, -0x1.9177f1b565d7ap-2, -0x1.8d35209aee4dap-2, -0x1.88ee066067b33p-2, -0x1.84a32db6abc42p-2, -0x1.80551dfa0c04p-2, -0x1.7c045b36f84aep-2, -0x1.77b1662f2862ap-2, -0x1.735cbc5f38de3p-2, -0x1.6f06d804bdcf5p-2, -0x1.6ab03024bd474p-2, -0x1.665938928fe0cp-2, -0x1.620261f71e15fp-2, -0x1.5dac19d878308p-2, -0x1.5956caa1be445p-2, -0x1.5502dbab5592fp-2, -0x1.50b0b1436841fp-2, -0x1.4c60acb6a314dp-2, -0x1.48132c59335d2p-2, -0x1.43c88b8ffe174p-2, -0x1.3f8122da099aap-2, -0x1.3b3d47da181c4p-2, -0x1.36fd4d606c68ep-2, -0x1.32c18374b8d8dp-2, -0x1.2e8a37602f3f2p-2, -0x1.2a57b3b7b3982p-2, -0x1.262a406627584p-2, -0x1.220222b6d4661p-2, -0x1.1ddf9d5fe7789p-2, -0x1.19c2f08d00e38p-2, -0x1.15ac59e9d68adp-2, -0x1.119c14ace0d51p-2, -0x1.0d9259a2145e8p-2, -0x1.098f5f35a0f3ap-2, -0x1.0593597ebcdbfp-2, -0x1.019e7a4a6b4e8p-2, -0x1.fb61e24c97642p-3, -0x1.f395d6d6c9d02p-3, -0x1.ebd92891dcc91p-3, -0x1.e42c299e2d451p-3, -0x1.dc8f27f3843cfp-3, -0x1.d5026d7685ad5p-3, -0x1.cd86400e0ee07p-3, -0x1.c61ae1b87ebb6p-3, -0x1.bec090a0e64acp-3, -0x1.b77787341e0b2p-3, -0x1.b03ffc35baa5dp-3, -0x1.a91a22d4ed724p-3, -0x1.a2062ac131125p-3, -0x1.9b04403ee5575p-3, -0x1.94148c3bb5801p-3, -0x1.8d373462decb9p-3, -0x1.866c5b314bf29p-3, -0x1.7fb4200983c46p-3, -0x1.790e9f476a06ap-3, -0x1.727bf253d61c9p-3, -0x1.6bfc2fb7f324cp-3, -0x1.658f6b3076bf8p-3, -0x1.5f35b5c09a42dp-3, -0x1.58ef1dc4ea96ep-3, -0x1.52bbaf05de047p-3, -0x1.4c9b72ca353c8p-3, -0x1.468e6fe923337p-3, -0x1.4094aadc40353p-3, -0x1.3aae25d142ebap-3, -0x1.34dae0bb7cb38p-3, -0x1.2f1ad96525904p-3, -0x1.296e0b805c7aep-3, -0x1.23d470b7fd77bp-3, -0x1.1e4e00c0314dcp-3, -0x1.18dab166c24f7p-3, -0x1.137a76a333903p-3, -0x1.0e2d42a69fcf2p-3, -0x1.08f305eb52028p-3, -0x1.03cbaf4423d62p-3, -0x1.fd6e57d740b25p-4, -0x1.f36acf25c41f7p-4, -0x1.e98c98e06fb03p-4, -0x1.dfd3869b019bcp-4, -0x1.d63f672cb15a9p-4, -0x1.ccd006cbea19p-4, -0x1.c3852f2992d07p-4, -0x1.ba5ea78be081dp-4, -0x1.b15c34e8966d4p-4, -0x1.a87d99fedaf8bp-4, -0x1.9fc297707a936p-4, -0x1.972aebdaba01dp-4, -0x1.8eb653eea8f23p-4, -0x1.86648a88ee287p-4, -0x1.7e3548c91e815p-4, -0x1.76284628935b4p-4, -0x1.6e3d3890c580ap-4, -0x1.6673d4712c0b2p-4, -0x1.5ecbccd49eba4p-4, -0x1.5744d3763fc76p-4, -0x1.4fde98d5ea684p-4, -0x1.4898cc4c27c14p-4, -0x1.41731c1dae26ep-4, -0x1.3a6d358e65397p-4, -0x1.3386c4f3f6c7p-4, -0x1.2cbf75c7e8392p-4, -0x1.2616f2b940c89p-4, -0x1.1f8ce5bdba2cbp-4, -0x1.1920f82281efp-4, -0x1.12d2d29c85eefp-4, -0x1.0ca21d5853d3ap-4, -0x1.068e800987319p-4, -0x1.0097a1f9cbad6p-4, -0x1.f57a542ee145dp-5, -0x1.e9fd7e0726d8ep-5, -0x1.deb80e3fbcb37p-5, -0x1.d3a95137bf035p-5, -0x1.c8d09303efeb9p-5, -0x1.be2d1f87ca8e1p-5, -0x1.b3be428dcbc58p-5, -0x1.a98347def5d72p-5, -0x1.9f7b7b598fd05p-5, -0x1.95a6290723065p-5, -0x1.8c029d31bd0dep-5, -0x1.8290247875763p-5, -0x1.794e0be33acc4p-5, -0x1.703ba0f5ebd2fp-5, -0x1.675831c2bf0d7p-5, -0x1.5ea30cfbfa5cep-5, -0x1.561b8204fe91ap-5, -0x1.4dc0e102aa737p-5, -0x1.45927aeb186bep-5, -0x1.3d8fa194b83b8p-5, -0x1.35b7a7c4ca004p-5, -0x1.2e09e13d3caa1p-5, -0x1.2685a2c9f0372p-5, -0x1.1f2a424d6646ep-5, -0x1.17f716ccd9453p-5, -0x1.10eb787bc94f5p-5, -0x1.0a06c0c6f5acfp-5, -0x1.03484a5ed149bp-5, -0x1.f95ee282d7003p-6, -0x1.ec772587af893p-6, -0x1.dfd81b3624dap-6, -0x1.d38083c8cfb9ep-6, -0x1.c76f225abd949p-6, -0x1.bba2bcf65b63ep-6, -0x1.b01a1ca36c6b4p-6, -0x1.a4d40d7423497p-6, -0x1.99cf5e9157c0ap-6, -0x1.8f0ae245e5dd9p-6, -0x1.84856e0935177p-6, -0x1.7a3dda88f6e21p-6, -0x1.703303b2165e3p-6, -0x1.6663c8b8e9565p-6, -0x1.5ccf0c20a288fp-6, -0x1.5373b3c20a2c7p-6, -0x1.4a50a8d185d34p-6, -0x1.4164d7e46e46fp-6, -0x1.38af30f5c2d6fp-6, -0x1.302ea76a352bfp-6, -0x1.27e2321396c7dp-6, -0x1.1fc8cb33af3a1p-6, -0x1.17e1707e7b098p-6, -0x1.102b231bdffd8p-6, -0x1.08a4e7a8cda12p-6, -0x1.014dc637e408fp-6, -0x1.f44994a31a515p-7, -0x1.e65205e73fdf9p-7, -0x1.d8b305211083p-7, -0x1.cb6abe1bfb42cp-7, -0x1.be7763868b882p-7, -0x1.b1d72eee1f5e6p-7, -0x1.a58860b9c65dap-7, -0x1.9989402465681p-7, -0x1.8dd81b360b84dp-7, -0x1.827346bc9f401p-7, -0x1.77591e43d67e7p-7, -0x1.6c88040c8135p-7, -0x1.61fe61033c21dp-7, -0x1.57baa4b688b52p-7, -0x1.4dbb454c4cfb3p-7, -0x1.43febf76cd1f2p-7, -0x1.3a83966920c5dp-7, -0x1.314853cb27eb8p-7, -0x1.284b87ad088c5p-7, -0x1.1f8bc87a3c222p-7, -0x1.1707b2ec30c42p-7, -0x1.0ebde9fc8539fp-7, -0x1.06ad16d6e5a2dp-7, -0x1.fda7d1951ca5bp-8, -0x1.ee622a76f3a55p-8, -0x1.df86af26813dfp-8, -0x1.d112e2635cea5p-8, -0x1.c30452ba26736p-8, -0x1.b5589a64a83aep-8, -0x1.a80d5f298276p-8, -0x1.9b20523b6c02p-8, -0x1.8e8f30180d54p-8, -0x1.8257c066810e6p-8, -0x1.7677d5d582f57p-8, -0x1.6aed4df954048p-8, -0x1.5fb611295ca61p-8, -0x1.54d0125d94a77p-8, -0x1.4a394f0bb6d25p-8, -0x1.3fefcf044b6dp-8, -0x1.35f1a44f8a7bap-8, -0x1.2c3ceb0a241aep-8, -0x1.22cfc941ec6ddp-8, -0x1.19a86ed27c00ap-8, -0x1.10c51541beb88p-8, -0x1.0823ff9c8352fp-8, -0x1.ff86f4a60de98p-9, -0x1.ef43b62b12554p-9, -0x1.df7b0161d0b68p-9, -0x1.d029a5d69feadp-9, -0x1.c14c84c1f5c3bp-9, -0x1.b2e090c21d752p-9, -0x1.a4e2cd952a4p-9, -0x1.97504fd32daa8p-9, -0x1.8a263ca8b927fp-9, -0x1.7d61c991b5522p-9, -0x1.71003c148f446p-9, -0x1.64fee97dceabbp-9, -0x1.595b369c0e5b9p-9, -0x1.4e12977c69fa4p-9, -0x1.43228f2757c3ap-9, -0x1.3888af5e0846ep-9, -0x1.2e4298583d7d6p-9, -0x1.244df882abccep-9, -0x1.1aa88c3de2266p-9, -0x1.11501d9dc5a22p-9, -0x1.084284299c19ap-9, -0x1.fefb49395b408p-10, -0x1.edfee14f09789p-10, -0x1.dd8bcd6396401p-10, -0x1.cd9e23398c87ap-10, -0x1.be32110cf663cp-10, -0x1.af43dd1af549dp-10, -0x1.a0cfe52aac124p-10, -0x1.92d29e177f40bp-10, -0x1.8548935cbd95dp-10, -0x1.782e66a2a0077p-10, -0x1.6b80cf4cb442ep-10, -0x1.5f3c9a09ae589p-10, -0x1.535ea864aa939p-10, -0x1.47e3f057d79ap-10, -0x1.3cc97be090b97p-10, -0x1.320c6894f2807p-10, -0x1.27a9e73ade637p-10, -0x1.1d9f3b606c4bep-10, -0x1.13e9baf5e2d82p-10, -0x1.0a86cde91483cp-10, -0x1.0173edc24466ep-10, -0x1.f15d4a84eb378p-11, -0x1.e069200674078p-11, -0x1.d006b42fe848cp-11, -0x1.c0317f6124635p-11, -0x1.b0e5197b7a2fep-11, -0x1.a21d392cfb179p-11, -0x1.93d5b33ea7f1ap-11, -0x1.860a79e5874c7p-11, -0x1.78b79c169cba6p-11, -0x1.6bd944ddbd4ddp-11, -0x1.5f6bbab74098p-11, -0x1.536b5eec860fap-11, -0x1.47d4acf34ede4p-11, -0x1.3ca439cfe1ba3p-11, -0x1.31d6b379fb455p-11, -0x1.2768e0447e567p-11, -0x1.1d579e47e3b8p-11, -0x1.139fe2cf629cfp-11, -0x1.0a3eb9c8c9adfp-11, -0x1.0131453706376p-11, -0x1.f0e9794ea1cf6p-12, -0x1.e00cd951f1612p-12, -0x1.cfc76c8f9315p-12, -0x1.c0141d1204fdp-12, -0x1.b0edfbd5b2c41p-12, -0x1.a2503fcd027a7p-12, -0x1.943644e95ff41p-12, -0x1.869b8b292d0ddp-12, -0x1.797bb5aa98a6cp-12, -0x1.6cd289c33a12fp-12, -0x1.609bee1c7348ep-12, -0x1.54d3e9d47ddc2p-12, -0x1.4976a3a41c792p-12, -0x1.3e806108d974bp-12, -0x1.33ed8573cac8ep-12, -0x1.29ba917cc3a06p-12, -0x1.1fe42219ebc7bp-12, -0x1.1666efdba6f41p-12, -0x1.0d3fce2cbecf3p-12, -0x1.046baa96beac5p-12, -0x1.f7cf1814e7ab3p-13, -0x1.e7612458fa906p-13, -0x1.d787e94bc1ebfp-13, -0x1.c83e04f122c52p-13, -0x1.b97e42afad179p-13, -0x1.ab439a09159c2p-13, -0x1.9d892d5a31b43p-13, -0x1.904a48a25c3fep-13, -0x1.8382605222f17p-13, -0x1.772d102115633p-13, -0x1.6b4619eaa051fp-13, -0x1.5fc96491d65b7p-13, -0x1.54b2faebfa1f4p-13, -0x1.49ff0ab1bc3e7p-13, -0x1.3fa9e37701179p-13, -0x1.35aff5a91a6ebp-13, -0x1.2c0dd1934f2cp-13, -0x1.22c0266997f98p-13, -0x1.19c3c1596f6bap-13, -0x1.11158ca0a0fd9p-13, -0x1.08b28ea9eabe6p-13, -0x1.0097e92f63464p-13, -0x1.f185b0c50aa63p-14, -0x1.e26164337109cp-14, -0x1.d3bdca069c6f1p-14, -0x1.c595efbb8ae2fp-14, -0x1.b7e5116a92946p-14, -0x1.aaa6984c80b48p-14, -0x1.9dd61949c5e0ap-14, -0x1.916f53935bc63p-14, -0x1.856e2f4545624p-14, -0x1.79cebc126d266p-14, -0x1.6e8d2ff9b2e4cp-14, -0x1.63a5e603f292fp-14, -0x1.59155d0ad7ed9p-14, -0x1.4ed836884a917p-14, -0x1.44eb356e44107p-14, -0x1.3b4b3d06e0a07p-14, -0x1.31f54fdc7c475p-14, -0x1.28e68ea9ad508p-14, -0x1.201c3750f0d1p-14, -0x1.1793a3dbd9d87p-14, -0x1.0f4a49819c65fp-14, -0x1.073db7b4c1b0bp-14, -0x1.fed72e6fc7cb4p-15, -0x1.efa352727e8b6p-15, -0x1.e0db8ce9eeff9p-15, -0x1.d27bbcbbc259bp-15, -0x1.c47fec995cecap-15, -0x1.b6e4516aa80fep-15, -0x1.a9a548c50036ep-15, -0x1.9cbf576dffe67p-15, -0x1.902f27e9d9b65p-15, -0x1.83f18914fb78p-15, -0x1.78036cc8aff04p-15, -0x1.6c61e68a7d8f5p-15, -0x1.610a2a45f7945p-15, -0x1.55f98b10c4b7fp-15, -0x1.4b2d79f894088p-15, -0x1.40a384dac0e9bp-15, -0x1.36595545672c6p-15, -0x1.2c4caf61a6bf4p-15, -0x1.227b70e6dec5p-15, -0x1.18e390169b9aap-15, -0x1.0f831ac1055e4p-15, -0x1.0658355190fcfp-15, -0x1.fac233c776709p-16, -0x1.e9382ebf32c8cp-16, -0x1.d80f213c0de54p-16, -0x1.c743f7287432bp-16, -0x1.b6d3c10d223e4p-16, -0x1.a6bbb284b7837p-16, -0x1.96f920bcfa1cp-16, -0x1.87898105499dp-16, -0x1.786a6769fed6bp-16, -0x1.6999855c469cep-16, -0x1.5b14a8662d5fap-16, -0x1.4cd9b8ea7489dp-16, -0x1.3ee6b8efe0f12p-16, -0x1.3139c2f7b1a25p-16, -0x1.23d108dee4f8bp-16, -0x1.16aad2c9fc042p-16, -0x1.09c57e1af4e6dp-16, -0x1.fa3ef8e23e6fap-17, -0x1.e16ea56525da4p-17, -0x1.c917303dde069p-17, -0x1.b135ead63e0f8p-17, -0x1.99c847cbc4b32p-17, -0x1.82cbd9499fe73p-17, -0x1.6c3e4f7321b4ap-17, -0x1.561d76de24fadp-17, -0x1.4067371ce36b4p-17, -0x1.2b199156c03adp-17, -0x1.16329eef896edp-17, -0x1.01b0903cc3652p-17, -0x1.db23569105502p-18, -0x1.b3a89542d3ac7p-18, -0x1.8cedb86eb7dedp-18, -0x1.66efc088f19d7p-18, -0x1.41abd083fb4ap-18, -0x1.1d1f2bd147fd8p-18, -0x1.f28e68f07025ap-19, -0x1.ac42d2851368fp-19, -0x1.6756c7fb0f8bdp-19, -0x1.23c5af9e85725p-19, -0x1.c3163e7c9aaacp-20, -0x1.4145b244fa9eap-20, -0x1.8423249c00667p-21, -0x1.15c80fc8088p-22, 0x1.a50458a1bafafp-23, 0x1.585ad355751c6p-21, 0x1.213ba81b46dbep-20, 0x1.93d21c99f844dp-20, 0x1.01fbb3c8fd25ep-19, 0x1.38d8fbdd2f57ep-19, 0x1.6e8406fa9607dp-19, 0x1.a2ffe07d55a55p-19, 0x1.d64f80696b4afp-19, 0x1.043ae687b9acdp-18, 0x1.1cbace4d31235p-18, 0x1.34a8db4388ca1p-18, 0x1.4c066a83440f2p-18, 0x1.62d4d325e579dp-18, 0x1.791566e303b48p-18, 0x1.8ec972a3f4672p-18, 0x1.a3f23f0e688c3p-18, 0x1.b89111065df87p-18, 0x1.cca72a27bd6cfp-18, 0x1.e035c9380294dp-18, 0x1.f33e2a9040149p-18, 0x1.02e0c43fea346p-17, 0x1.0be08dd410b76p-17, 0x1.149f0da8c8c45p-17, 0x1.1d1cdedd1cabp-17, 0x1.255a9c2f2d72p-17, 0x1.2d58e01d8b36ep-17, 0x1.35184505c32d2p-17, 0x1.3c996540468acp-17, 0x1.43dcdb39c9845p-17, 0x1.4ae3418a38bffp-17, 0x1.51ad33096339ap-17, 0x1.583b4ae177b9fp-17, 0x1.5e8e249f68077p-17, 0x1.64a65c415be7cp-17, 0x1.6a848e4342c8bp-17, 0x1.702957a99a1d7p-17, 0x1.7595560a905bep-17, 0x1.7ac927958328fp-17, 0x1.7fc56b190b24cp-17, 0x1.848ac00792746p-17, 0x1.8919c67a9a115p-17, 0x1.8d731f34b5122p-17, 0x1.91976ba25df51p-17, 0x1.95874dd9a8cdbp-17, 0x1.99436898e9645p-17, 0x1.9ccc5f445e92ep-17, 0x1.a022d5e2f42acp-17, 0x1.a347711a2e1edp-17, 0x1.a63ad6293cf22p-17, 0x1.a8fdaae35e026p-17, 0x1.ab9095a9891dcp-17, 0x1.adf43d637b3fap-17, 0x1.b02949782b6b7p-17, 0x1.b23061c5b981ap-17, 0x1.b40a2e98d70c4p-17, 0x1.b5b758a3c285fp-17, 0x1.b73888f4ddbe9p-17, 0x1.b88e68ece0cf5p-17, 0x1.b9b9a234b5269p-17, 0x1.babadeb31129bp-17, 0x1.bb92c881c775ep-17, 0x1.bc4209e2df5d3p-17, 0x1.bcc94d357dd51p-17, 0x1.bd293cea9ed56p-17, 0x1.bd628379b0748p-17, 0x1.bd75cb5512a15p-17, 0x1.bd63bede7a0aap-17, 0x1.bd2d085b51953p-17, 0x1.bcd251e8fefffp-17, 0x1.bc5445713761ap-17, 0x1.bbb38c9e4b014p-17, 0x1.baf0d0cf712e9p-17, 0x1.ba0cbb0d353ffp-17, 0x1.b907f3fdd526bp-17, 0x1.b7e323d9d103bp-17, 0x1.b69ef2607d9d5p-17, 0x1.b53c06ccbc4e3p-17, 0x1.b3bb07c9cfc62p-17, 0x1.b21c9b6851f0fp-17, 0x1.b06167134b02cp-17, 0x1.ae8a0f8580b86p-17, 0x1.ac9738bed6e38p-17, 0x1.aa8985f9f2417p-17, 0x1.a86199a200ca4p-17, 0x1.a6201548b2ffcp-17, 0x1.a3c5999c6d712p-17, 0x1.a152c65eab3dep-17, 0x1.9ec83a5a98cdbp-17, 0x1.9c26935bde16ep-17, 0x1.996e6e25b3d5bp-17, 0x1.96a0666a25702p-17, 0x1.93bd16c1899dfp-17, 0x1.90c518a24a537p-17, 0x1.8db90458d677ep-17, 0x1.8a9970ffdbaa4p-17, 0x1.8766f478bb1cap-17, 0x1.842223643f495p-17, 0x1.80cb911b8b4dfp-17, 0x1.7d63cfa94f72ap-17, 0x1.79eb6fc33a393p-17, 0x1.766300c3aa45cp-17, 0x1.72cb10a39ccf6p-17, 0x1.6f242bf4dfcbbp-17, 0x1.6b6edddc7f31cp-17, 0x1.67abb00d77695p-17, }}, 
      {{0x1.2df44ef86099dp-1, 0x1.2e30fa601f13bp-1, 0x1.2e93eefb3cfbdp-1, 0x1.2f1a12757caabp-1, 0x1.2fbf491b5f2e5p-1, 0x1.307ea33697ebfp-1, 0x1.31528b86a82a3p-1, 0x1.3234f43b0ddf5p-1, 0x1.331f80cab8df9p-1, 0x1.340babb63fdbbp-1, 0x1.34f2e7c06b5d9p-1, 0x1.35cebc800cbcdp-1, 0x1.3698de68985cdp-1, 0x1.374b428c49f61p-1, 0x1.37e02e707ad31p-1, 0x1.38524457c7313p-1, 0x1.389c8c68fa05ep-1, 0x1.38ba7b17ef368p-1, 0x1.38a7f530a42e5p-1, 0x1.386151ddaf6a1p-1, 0x1.37e35afb723acp-1, 0x1.372b4c010db88p-1, 0x1.3636cfbff1207p-1, 0x1.3503fd3311818p-1, 0x1.3391538f86d7dp-1, 0x1.31ddb5c1a9122p-1, 0x1.2fe8657bc06c8p-1, 0x1.2db0fdf5f526dp-1, 0x1.2b376e7a6c4cfp-1, 0x1.287bf4d4432b9p-1, 0x1.257f17b471d16p-1, 0x1.2241a11c5b565p-1, 0x1.1ec498db14b51p-1, 0x1.1b093f27ec6b3p-1, 0x1.17110762b84d2p-1, 0x1.12dd93008eb9p-1, 0x1.0e70acaa13e3bp-1, 0x1.09cc438f2737ap-1, 0x1.04f266f2a0a15p-1, 0x1.ffca83dfaf90cp-2, 0x1.f54e2ef5c1071p-2, 0x1.ea747d377c8ap-2, 0x1.df423dc8733edp-2, 0x1.d3bc5a3f28574p-2, 0x1.c7e7d075e1401p-2, 0x1.bbc9acc9f3d8ap-2, 0x1.af6704c62f681p-2, 0x1.a2c4f23496fc6p-2, 0x1.95e88e93664bbp-2, 0x1.88d6eee9280dbp-2, 0x1.7b951ff37a8b4p-2, 0x1.6e2822ac1f905p-2, 0x1.6094e91fe2061p-2, 0x1.52e05392e596bp-2, 0x1.450f2dee0f1f8p-2, 0x1.37262d7132147p-2, 0x1.2929eea5e42dp-2, 0x1.1b1ef38eedd12p-2, 0x1.0d09a210657a5p-2, 0x1.fddc85198e32dp-3, 0x1.e1a1fd66bc8c6p-3, 0x1.c56bc0f93fdd9p-3, 0x1.a941a2a24aadbp-3, 0x1.8d2b32b065e74p-3, 0x1.712fbdd59ca69p-3, 0x1.55564c5145dcep-3, 0x1.39a5a15815c02p-3, 0x1.1e243ab584637p-3, 0x1.02d850a1dfd7ep-3, 0x1.cf8fab914296ep-4, 0x1.99f0eef5c4313p-4, 0x1.64df3c1441e2ep-4, 0x1.3064da8f5283dp-4, 0x1.f91714952e777p-5, 0x1.92b909d0d6dep-5, 0x1.2dc0fefbfb47p-5, 0x1.947eb1e13ec9ap-6, 0x1.a10ded684d867p-7, 0x1.f6f3492d639f8p-11, -0x1.5ba90b33d5ae7p-7, -0x1.6804716025c44p-6, -0x1.0f6086a9ba532p-5, -0x1.68fa8778cb561p-5, -0x1.c0c678f7d6d91p-5, -0x1.0b5dbb3e952dp-4, -0x1.3568b98f4c419p-4, -0x1.5e8099ef17838p-4, -0x1.86a224e251c77p-4, -0x1.adca85f6f2dcap-4, -0x1.d3f748c5f861cp-4, -0x1.f92655f1c85e5p-4, -0x1.0eaaf811ad02p-3, -0x1.20425883d537cp-3, -0x1.3158c32787deep-3, -0x1.41edd757d021cp-3, -0x1.52015b7607bf9p-3, -0x1.61933b70099bbp-3, -0x1.70a38749ab72ap-3, -0x1.7f3271a9fd5e2p-3, -0x1.8d404e6cb7d61p-3, -0x1.9acd913849a4fp-3, -0x1.a7dacc18cd10ap-3, -0x1.b468ae204b20cp-3, -0x1.c078020c89b4bp-3, -0x1.cc09acf2b1d04p-3, -0x1.d71eacf0fcbe7p-3, -0x1.e1b817e6ae683p-3, -0x1.ebd71a327823bp-3, -0x1.f57cf57783518p-3, -0x1.feaaff692e554p-3, -0x1.03b1504ed8588p-2, -0x1.07d2a9b3db7cdp-2, -0x1.0bba515b817a6p-2, -0x1.0f6914801a68fp-2, -0x1.12dfc795dc8cp-2, -0x1.161f45c5f51efp-2, -0x1.1928706d391d3p-2, -0x1.1bfc2e9e72f3dp-2, -0x1.1e9b6ca84d8c1p-2, -0x1.21071b9ee185ep-2, -0x1.234030e8d5ae4p-2, -0x1.2547a5d01ccedp-2, -0x1.271e77163ded6p-2, -0x1.28c5a48c2e04fp-2, -0x1.2a3e30ada6fcep-2, -0x1.2b89203fffd3fp-2, -0x1.2ca779f472a4cp-2, -0x1.2d9a460dce50ap-2, -0x1.2e628e09846d3p-2, -0x1.2f015c4c0c69ap-2, -0x1.2f77bbd089043p-2, -0x1.2fc6b7dbb00ddp-2, -0x1.2fef5bb1d7066p-2, -0x1.2ff2b2502814cp-2, -0x1.2fd1c628e4f82p-2, -0x1.2f8da0e2aeb5dp-2, -0x1.2f274b1ac5b35p-2, -0x1.2e9fcc2a2e014p-2, -0x1.2df829edad48fp-2, -0x1.2d3168909135ep-2, -0x1.2c4c8a5a2ef6bp-2, -0x1.2b4a8f7e0b8e9p-2, -0x1.2a2c75ee9d947p-2, -0x1.28f339329b2c1p-2, -0x1.279fd23cbe3d2p-2, -0x1.26333745f3e92p-2, -0x1.24ae5ba9e76a8p-2, -0x1.23122fc5d1ef1p-2, -0x1.215fa0d987837p-2, -0x1.1f9798eaac635p-2, -0x1.1dbafeaa034a6p-2, -0x1.1bcab55ac4efcp-2, -0x1.19c79cbbf148ep-2, -0x1.17b290f38b2d6p-2, -0x1.158c6a7bada6ap-2, -0x1.1355fe116d48dp-2, -0x1.11101ca5723a7p-2, -0x1.0ebb934e42909p-2, -0x1.0c592b3c261fcp-2, -0x1.09e9a9ae9c487p-2, -0x1.076dcfeb5146p-2, -0x1.04e65b3681686p-2, -0x1.025404ccc724ap-2, -0x1.ff6f03bc6d091p-3, -0x1.fa23071591325p-3, -0x1.f4c56dbff4b36p-3, -0x1.ef5789af3b39dp-3, -0x1.e9daa4af9287fp-3, -0x1.e4500067b6c97p-3, -0x1.deb8d65d094f9p-3, -0x1.d91657f999294p-3, -0x1.d369ae9411466p-3, -0x1.cdb3fb79610cbp-3, -0x1.c7f657f823c46p-3, -0x1.c231d56d93d73p-3, -0x1.bc677d540d67ap-3, -0x1.b6985152f6e82p-3, -0x1.b0c54b5007c84p-3, -0x1.aaef5d81d8fbcp-3, -0x1.a51772839df02p-3, -0x1.9f3e6d6a0a54dp-3, -0x1.996529d936fa5p-3, -0x1.938c7c1b8db1dp-3, -0x1.8db5313998fe6p-3, -0x1.87e00f12ac287p-3, -0x1.820dd47656823p-3, -0x1.7c3f393e8f634p-3, -0x1.7674ee6a8944dp-3, -0x1.70af9e3a216fdp-3, -0x1.6aefec49dc681p-3, -0x1.653675af5bb9bp-3, -0x1.5f83d11652711p-3, -0x1.59d88eddc99dfp-3, -0x1.54353935d1e8cp-3, -0x1.4e9a543d72ba6p-3, -0x1.49085e20dee1fp-3, -0x1.437fcf37e4288p-3, -0x1.3e011a247b714p-3, -0x1.388cabf184d48p-3, -0x1.3322ec31938fcp-3, -0x1.2dc43d1dce31p-3, -0x1.2870fbb4d0847p-3, -0x1.23297fd989fd8p-3, -0x1.1dee1c721353cp-3, -0x1.18bf1f867369fp-3, -0x1.139cd25f464c6p-3, -0x1.0e8779a441009p-3, -0x1.097f557a9a0fcp-3, -0x1.0484a1a3339e3p-3, -0x1.ff2f2b313f5fp-4, -0x1.f570c959cbeep-4, -0x1.ebce7c4e11222p-4, -0x1.e2489ac099d84p-4, -0x1.d8df73c265c7bp-4, -0x1.cf934efc590eep-4, -0x1.c6646ce7edc0ep-4, -0x1.bd5307075531fp-4, -0x1.b45f501ce08b8p-4, -0x1.ab897461b42dap-4, -0x1.a2d199bbb7ca6p-4, -0x1.9a37dff2dbdc4p-4, -0x1.91bc60e57efcbp-4, -0x1.895f30bc15f01p-4, -0x1.81205e1c0474dp-4, -0x1.78fff2599f195p-4, -0x1.70fdf1a958606p-4, -0x1.691a5b5015de4p-4, -0x1.615529d2a724ep-4, -0x1.59ae5324609bfp-4, -0x1.5225c8d4d44a1p-4, -0x1.4abb783caa50bp-4, -0x1.436f4aa99596cp-4, -0x1.3c41258964745p-4, -0x1.3530ea942cab9p-4, -0x1.2e3e77f592283p-4, -0x1.2769a87528b16p-4, -0x1.20b2539def26fp-4, -0x1.1a184de4e665dp-4, -0x1.139b68cec487cp-4, -0x1.0d3b7314c2351p-4, -0x1.06f838c886f55p-4, -0x1.00d183773370ep-4, -0x1.f58e349714545p-5, -0x1.e9b1845e751afp-5, -0x1.de0c7bd69d09ap-5, -0x1.d29e9c8f76e08p-5, -0x1.c7676454373acp-5, -0x1.bc664d671be82p-5, -0x1.b19acebb845c3p-5, -0x1.a7045c2e62d8ep-5, -0x1.9ca266bd0b414p-5, -0x1.92745cba68bacp-5, -0x1.8879aa0299c2bp-5, -0x1.7eb1b82cfc37bp-5, -0x1.751beebcadea5p-5, -0x1.6bb7b34f85938p-5, -0x1.628469cb8d57p-5, -0x1.5981748b00ed9p-5, -0x1.50ae3486d951ap-5, -0x1.480a097fe972ep-5, -0x1.3f945226929fdp-5, -0x1.374c6c411917fp-5, -0x1.2f31b4d099d38p-5, -0x1.27438834b0fcfp-5, -0x1.1f81424dcc2ebp-5, -0x1.17ea3e9e38a4dp-5, -0x1.107dd869f08cap-5, -0x1.093b6ad5298f9p-5, -0x1.02225101b4c77p-5, -0x1.f663cc565715ap-6, -0x1.e8d30b83f3e66p-6, -0x1.db91170a8ab74p-6, -0x1.ce9ca7377650bp-6, -0x1.c1f4755696b77p-6, -0x1.b5973bdfa87f4p-6, -0x1.a983b6a19904dp-6, -0x1.9db8a2ebcdb3dp-6, -0x1.9234bfb582f14p-6, -0x1.86f6cdc33aec6p-6, -0x1.7bfd8fca592fcp-6, -0x1.7147ca92ed0f2p-6, -0x1.66d44517b8514p-6, -0x1.5ca1c8a48460bp-6, -0x1.52af20f2caf0fp-6, -0x1.48fb1c44c2fb6p-6, -0x1.3f848b7ed8696p-6, -0x1.364a423fa16b2p-6, -0x1.2d4b16f6571dp-6, -0x1.2485e2f7dcbcbp-6, -0x1.1bf9829264ea9p-6, -0x1.13a4d51fbbff6p-6, -0x1.0b86bd16436e6p-6, -0x1.039e2018a8bfep-6, -0x1.f7d3ce08c6d15p-7, -0x1.e8d1fbfe03dd8p-7, -0x1.da34a904a4a43p-7, -0x1.cbf9baced9861p-7, -0x1.be1f1de16042fp-7, -0x1.b0a2c5a564c1dp-7, -0x1.a382ac7865c9fp-7, -0x1.96bcd3ba2e8e6p-7, -0x1.8a4f43d8f489p-7, -0x1.7e380c5babef6p-7, -0x1.727543eaa6767p-7, -0x1.670508569180bp-7, -0x1.5be57e9dc9dd5p-7, -0x1.5114d2f0419c6p-7, -0x1.469138b1e3b3dp-7, -0x1.3c58ea7b8995fp-7, -0x1.326a2a1aa8282p-7, -0x1.28c3408fa7706p-7, -0x1.1f627e0b033a8p-7, -0x1.164639e93d6ffp-7, -0x1.0d6cd2adb07cap-7, -0x1.04d4adfc4f8b8p-7, -0x1.f8f87124c002ep-8, -0x1.e8c3cc7c7492bp-8, -0x1.d90863ac39d6ep-8, -0x1.c9c33a5c3d7d5p-8, -0x1.baf1621a95cc6p-8, -0x1.ac8ffa43e4932p-8, -0x1.9e9c2fea7a73p-8, -0x1.91133dbc10bf8p-8, -0x1.83f26be62baf9p-8, -0x1.77370ff93a8d4p-8, -0x1.6ade8cca8bd7dp-8, -0x1.5ee652552172bp-8, -0x1.534bdd997def3p-8, -0x1.480cb87c7752ap-8, -0x1.3d2679a5230d2p-8, -0x1.3296c459eb74bp-8, -0x1.285b485cdd675p-8, -0x1.1e71c1c73d8fbp-8, -0x1.14d7f8e4762fp-8, -0x1.0b8bc20c68674p-8, -0x1.028afd7d31a0cp-8, -0x1.f3a72e68e24aep-9, -0x1.e2c70d903659dp-9, -0x1.d2719e7dca565p-9, -0x1.c2a2fdd0aefa3p-9, -0x1.b3575e69235ap-9, -0x1.a48b091790b13p-9, -0x1.963a5c4b15977p-9, -0x1.8861cbbfb6934p-9, -0x1.7afde02c3d9cp-9, -0x1.6e0b36efe5417p-9, -0x1.618681bfde1b1p-9, -0x1.556c8654bdb37p-9, -0x1.49ba1e17eaa27p-9, -0x1.3e6c35d111a9cp-9, -0x1.337fcd53ba575p-9, -0x1.28f1f72cffafdp-9, -0x1.1ebfd8517f73bp-9, -0x1.14e6a7cb9293bp-9, -0x1.0b63ae69d0841p-9, -0x1.0234466deee36p-9, -0x1.f2abb6781a6e2p-10, -0x1.e18bd214d61b5p-10, -0x1.d103f92345f8cp-10, -0x1.c10f657ac76d4p-10, -0x1.b1a970bb75e61p-10, -0x1.a2cd93b1f2ep-10, -0x1.947765bc66f09p-10, -0x1.86a29c30d0133p-10, -0x1.794b09c4b4df9p-10, -0x1.6c6c9df633a72p-10, -0x1.600364769181p-10, -0x1.540b84964a651p-10, -0x1.488140b2a6d64p-10, -0x1.3d60f5a4eec1ep-10, -0x1.32a71a3336325p-10, -0x1.28503e82d6fa1p-10, -0x1.1e590b8c9bd6dp-10, -0x1.14be4292964c7p-10, -0x1.0b7cbc97c57edp-10, -0x1.029169d96f6aep-10, -0x1.f3f2a294951ddp-11, -0x1.e363201eee6fep-11, -0x1.d36eb1fe8a616p-11, -0x1.c40fe843a29b7p-11, -0x1.b5417c66f6ce1p-11, -0x1.a6fe50526c6c1p-11, -0x1.99416d6d6a4a5p-11, -0x1.8c0603acf05cp-11, -0x1.7f4768a76f60ap-11, -0x1.730116ac624ffp-11, -0x1.672eabdfa89ep-11, -0x1.5bcbe958a4442p-11, -0x1.50d4b24517bb6p-11, -0x1.46450b0fc494dp-11, -0x1.3c19188ac7fcdp-11, -0x1.324d1f1db200ep-11, -0x1.28dd81f753ff2p-11, -0x1.1fc6c2434591bp-11, -0x1.17057e63160d8p-11, -0x1.0e96712b29e86p-11, -0x1.067671233d7d7p-11, -0x1.fd44df950c6bcp-12, -0x1.ee2ef1bedab61p-12, -0x1.dfa56355ba46fp-12, -0x1.d1a2b09e2d7f7p-12, -0x1.c42186341e4c2p-12, -0x1.b71cbfb689c22p-12, -0x1.aa8f667a15a62p-12, -0x1.9e74b04278e64p-12, -0x1.92c7fe02ac364p-12, -0x1.8784daa3cb648p-12, -0x1.7ca6f9d295d64p-12, -0x1.722a36d37d821p-12, -0x1.680a935d2e564p-12, -0x1.5e4436797dd5ep-12, -0x1.54d36b6ca93fdp-12, -0x1.4bb4a0a2d44a1p-12, -0x1.42e466a3ae52dp-12, -0x1.3a5f6f0c2ce93p-12, -0x1.32228b8e44438p-12, -0x1.2a2aacf68a44cp-12, -0x1.2274e237aa664p-12, -0x1.1afe577b9ba83p-12, -0x1.13c4553a7bb6cp-12, -0x1.0cc43f56fd405p-12, -0x1.05fb944054514p-12, -0x1.fecfd8330c484p-13, -0x1.f20defcc19447p-13, -0x1.e5ad01775de9ap-13, -0x1.d9a8cdf308b0ap-13, -0x1.cdfd4307ffbb2p-13, -0x1.c2a67a0beb924p-13, -0x1.b7a0b66d064bfp-13, -0x1.ace8644781258p-13, -0x1.a27a170452a58p-13, -0x1.985288014dbd5p-13, -0x1.8e6e954242dd7p-13, -0x1.84cb402b10de6p-13, -0x1.7b65ac42734ccp-13, -0x1.723b1dfd6676ep-13, -0x1.6948f992efb28p-13, -0x1.608cc1d82885cp-13, -0x1.580417246091ep-13, -0x1.4facb63d2b033p-13, -0x1.4784774a2b636p-13, -0x1.3f894cd084157p-13, -0x1.37b942b5af895p-13, -0x1.30127d49a9217p-13, -0x1.289338583a8edp-13, -0x1.2139c6413a4b6p-13, -0x1.1a048f17b14b8p-13, -0x1.12f20fc79d228p-13, -0x1.0c00d9424be84p-13, -0x1.052f8fb10f36ep-13, -0x1.fcf9d35c734b1p-14, -0x1.efcf5f085f9d3p-14, -0x1.e2dd74e4eaeap-14, -0x1.d621e7f1201e2p-14, -0x1.c99aaa4d28c04p-14, -0x1.bd45cbe6913a8p-14, -0x1.b121792f6c5cbp-14, -0x1.a52bf9e0016dbp-14, -0x1.9963afc2e1aa6p-14, -0x1.8dc7158b00226p-14, -0x1.8254bdb3b59d6p-14, -0x1.770b516a4e87dp-14, -0x1.6be98f80f9d59p-14, -0x1.60ee4b6ad3db3p-14, -0x1.56186c40d6888p-14, -0x1.4b66ebcf7053ep-14, -0x1.40d8d5ac8b9d3p-14, -0x1.366d4655cd3ecp-14, -0x1.2c236a56d18e2p-14, -0x1.21fa7d7733324p-14, -0x1.17f1c9f026d88p-14, -0x1.0e08a7a974d74p-14, -0x1.043e7b7da0486p-14, -0x1.f5256d0a0ebbep-15, -0x1.e209aacf9a0b7p-15, -0x1.cf28bf6cb2d67p-15, -0x1.bc81ce90872bep-15, -0x1.aa140f42ecc5fp-15, -0x1.97decabac00f2p-15, -0x1.85e15b4005p-15, -0x1.741b2b1971ec9p-15, -0x1.628bb3850ae6ep-15, -0x1.51327bbb7e17cp-15, -0x1.400f17fdec626p-15, -0x1.2f2128add1389p-15, -0x1.1e68596eb60a5p-15, -0x1.0de460516c7e9p-15, -0x1.fb29fa10f4df4p-16, -0x1.daf3f04af4d4dp-16, -0x1.bb2644be3a351p-16, -0x1.9bc0a7bf1d802p-16, -0x1.7cc2d735ee5dfp-16, -0x1.5e2c9d5ba9de2p-16, -0x1.3ffdcf85e03a2p-16, -0x1.22364d014bff1p-16, -0x1.04d5fdfaa0d8cp-16, -0x1.cfb9a4ea2c1afp-17, -0x1.9695829c6fddp-17, -0x1.5e3f8e9d1e386p-17, -0x1.26b7cc8d4c49bp-17, -0x1.dffc90e034e78p-18, -0x1.74262a2785585p-18, -0x1.09ec9521eebb1p-18, -0x1.42a0137eee3f4p-19, -0x1.d286280f35684p-21, 0x1.5887cc4146b4p-21, 0x1.1da9e4438982dp-19, 0x1.e1f5ce32180bp-19, 0x1.51829edcee8b5p-18, 0x1.b06be5f09aa83p-18, 0x1.06db485ef23f2p-17, 0x1.34b13ea3fb45ep-17, 0x1.61b7ca5fb9f91p-17, 0x1.8deee67cabab7p-17, 0x1.b95694e4d9e58p-17, 0x1.e3eedf21acd78p-17, 0x1.06dbeb777061dp-16, 0x1.1b58cb607f64cp-16, 0x1.2f6e211ffb26ep-16, 0x1.431c035b2ae88p-16, 0x1.56628dbacb3f8p-16, 0x1.6941e11800f83p-16, 0x1.7bba23a44ac6bp-16, 0x1.8dcb810cb63d9p-16, 0x1.9f762a988345fp-16, 0x1.b0ba574374c9cp-16, 0x1.c19843d40048p-16, 0x1.d21032ed89b8dp-16, 0x1.e2226d1ee4ae5p-16, 0x1.f1cf40ed40e27p-16, 0x1.008b816ddc7b3p-15, 0x1.07fd06b7d358cp-15, 0x1.0f3c6098f6273p-15, 0x1.1649c256aeadcp-15, 0x1.1d256235353dfp-15, 0x1.23cf79741c8ep-15, 0x1.2a484449a591p-15, 0x1.309001dceec12p-15, 0x1.36a6f43f0e5ap-15, 0x1.3c8d60632702p-15, 0x1.42438e158b6a3p-15, 0x1.47c9c7f1fddf6p-15, 0x1.4d205b5916994p-15, 0x1.52479864e8ed4p-15, 0x1.573fd1dce98c8p-15, 0x1.5c095d292eab1p-15, 0x1.60a492450c942p-15, 0x1.6511cbb12336p-15, 0x1.69516664e2c54p-15, 0x1.6d63c1bf95279p-15, 0x1.71493f78f91f7p-15, 0x1.7502439174fc1p-15, 0x1.788f3441ee7dfp-15, 0x1.7bf079eb5096cp-15, 0x1.7f267f05c9d29p-15, 0x1.8231b00fc5944p-15, 0x1.85127b7cb50acp-15, 0x1.87c951a3a1becp-15, 0x1.8a56a4ad9c194p-15, 0x1.8cbae8840920cp-15, 0x1.8ef692bed645ap-15, 0x1.910a1a929a162p-15, 0x1.92f5f8bea96acp-15, 0x1.94baa77b272b7p-15, 0x1.9658a26712476p-15, 0x1.97d0667658b7fp-15, 0x1.992271dff7201p-15, 0x1.9a4f440c26d5p-15, 0x1.9b575d829d8e4p-15, 0x1.9c3b3fd8ea449p-15, 0x1.9cfb6da0ea90fp-15, 0x1.9d986a5763b6bp-15, 0x1.9e12ba52bfb4dp-15, 0x1.9e6ae2b1f0882p-15, 0x1.9ea1694b80d3p-15, 0x1.9eb6d49cd2a2fp-15, 0x1.9eababb98fee3p-15, 0x1.9e80763b4c6dep-15, 0x1.9e35bc3163a2cp-15, 0x1.9dcc06110a5f3p-15, 0x1.9d43dca59deep-15, 0x1.9c9dc90131e8ep-15, 0x1.9bda546d5af2fp-15, 0x1.9afa085c3b05dp-15, 0x1.99fd6e59d0097p-15, 0x1.98e50ffd873cep-15, 0x1.97b176dc156f3p-15, 0x1.96632c7993514p-15, 0x1.94faba3be6287p-15, 0x1.9378a95d6accbp-15, 0x1.91dd82dfeed54p-15, 0x1.9029cf7ff063p-15, 0x1.8e5e17a82a4ccp-15, 0x1.8c7ae36569124p-15, 0x1.8a80ba5aada1fp-15, 0x1.887023b59ab36p-15, 0x1.8649a6232bfcdp-15, 0x1.840dc7c4bd658p-15, 0x1.81bd0e25598d9p-15, 0x1.7f57fe2f59671p-15, 0x1.7cdf1c224ac8bp-15, 0x1.7a52eb8925e7ap-15, 0x1.77b3ef30ce7bp-15, 0x1.7502a91edc34ep-15, 0x1.723f9a88b393ep-15, 0x1.6f6b43cae5aeep-15, 0x1.6c862460d97ffp-15, 0x1.6990badcc1351p-15, 0x1.668b84dfd732ep-15, 0x1.6376ff12e26e9p-15, 0x1.6053a51f038dap-15, 0x1.5d21f1a6c95d6p-15, 0x1.59e25e3f89615p-15, 0x1.5695636b01e23p-15, 0x1.533b78913b65bp-15, 0x1.4fd513fab2912p-15, 0x1.4c62aacac39eap-15, 0x1.48e4b0fa5650ap-15, 0x1.455b9952cda09p-15, }}, 
      {{0x1.2de6afd0efee3p-1, 0x1.2dfb051aeeb1fp-1, 0x1.2e1c78fc3481cp-1, 0x1.2e4a69551a3e8p-1, 0x1.2e83fc64086d7p-1, 0x1.2ec827fa51af9p-1, 0x1.2f15b91cafa48p-1, 0x1.2f6b5ba8105f2p-1, 0x1.2fc7a1b3967d1p-1, 0x1.30290a80e6c07p-1, 0x1.308e08de0504ap-1, 0x1.30f508e95436p-1, 0x1.315c7531f5c06p-1, 0x1.31c2bb35a1462p-1, 0x1.32264f41b0e83p-1, 0x1.3285afc03647fp-1, 0x1.32df67fbba365p-1, 0x1.3332126547709p-1, 0x1.337c5a68a9cd2p-1, 0x1.33bcfddaaf4edp-1, 0x1.33f2ce0ccb481p-1, 0x1.341cb090d3475p-1, 0x1.34399fb6de41ap-1, 0x1.3448aace7333bp-1, 0x1.3448f633719abp-1, 0x1.3439bb2e48d92p-1, 0x1.341a47ae52505p-1, 0x1.33e9fde46b727p-1, 0x1.33a853c3384ddp-1, 0x1.3354d269e11a4p-1, 0x1.32ef157d86058p-1, 0x1.3276ca7520c29p-1, 0x1.31ebafdb15f3ep-1, 0x1.314d94874c8d6p-1, 0x1.309c56d43f39ap-1, 0x1.2fd7e3d12722dp-1, 0x1.2f00367313a2ap-1, 0x1.2e1556c67b8d3p-1, 0x1.2d1759229c47ap-1, 0x1.2c065d5fbe99ap-1, 0x1.2ae28e11538efp-1, 0x1.29ac1fc4a99b2p-1, 0x1.28635044d7aa6p-1, 0x1.270865e45fde1p-1, 0x1.259baeccec085p-1, 0x1.241d80556963dp-1, 0x1.228e365ec152dp-1, 0x1.20ee32b746e51p-1, 0x1.1f3ddc84f69c9p-1, 0x1.1d7d9fb6839a1p-1, 0x1.1badec7b33838p-1, 0x1.19cf36c173cfep-1, 0x1.17e1f5bc12eb3p-1, 0x1.15e6a36dfae4cp-1, 0x1.13ddbc3c4c734p-1, 0x1.11c7be86ab77cp-1, 0x1.0fa52a4595a2ap-1, 0x1.0d7680ae8e03dp-1, 0x1.0b3c43ddee75bp-1, 0x1.08f6f6862afedp-1, 0x1.06a71ba44f868p-1, 0x1.044d363987b48p-1, 0x1.01e9c90978e78p-1, 0x1.fefaacba6f05ap-2, 0x1.fa10bf9551e4dp-2, 0x1.f516cc0031236p-2, 0x1.f00dd127a2fc4p-2, 0x1.eaf6cbaf12713p-2, 0x1.e5d2b55ed729ep-2, 0x1.e0a284d934e73p-2, 0x1.db672d55e318bp-2, 0x1.d6219e63c824bp-2, 0x1.d0d2c3b0922e4p-2, 0x1.cb7b84d5ddbe8p-2, 0x1.c61cc52b98134p-2, 0x1.c0b7639f54f2p-2, 0x1.bb4c3a9051303p-2, 0x1.b5dc1fafd488fp-2, 0x1.b067e3e5be6a2p-2, 0x1.aaf05338ee8efp-2, 0x1.a57634bb5ac86p-2, 0x1.9ffa4a7990dd6p-2, 0x1.9a7d516d6d88bp-2, 0x1.95000173dc281p-2, 0x1.8f830d4560aa2p-2, 0x1.8a072271488bp-2, 0x1.848ce95b519d9p-2, 0x1.7f15053b96412p-2, 0x1.79a01420a42efp-2, 0x1.742eaef386e58p-2, 0x1.6ec1697db258dp-2, 0x1.6958d2709a00dp-2, 0x1.63f5736ee5c32p-2, 0x1.5e97d11716199p-2, 0x1.59406b0f841b1p-2, 0x1.53efbc139cdbfp-2, 0x1.4ea63a0241464p-2, 0x1.496455ed2f261p-2, 0x1.442a7c295d6bfp-2, 0x1.3ef9146033e5bp-2, 0x1.39d081a18bf51p-2, 0x1.34b1227665277p-2, 0x1.2f9b50f43c179p-2, 0x1.2a8f62d0ee0b8p-2, 0x1.258da97720845p-2, 0x1.2096721b148dbp-2, 0x1.1baa05cfdec51p-2, 0x1.16c8a99cef6bep-2, 0x1.11f29e93e37cp-2, 0x1.0d2821e68e076p-2, 0x1.08696cfd2f553p-2, 0x1.03b6b58cd3946p-2, 0x1.fe205b5b8e351p-3, 0x1.f4ec07e43875bp-3, 0x1.ebd0c6f86e8a1p-3, 0x1.e2cee82ab7ac7p-3, 0x1.d9e6b4885d74cp-3, 0x1.d1186ec64e2efp-3, 0x1.c864536dd5d91p-3, 0x1.bfca9909152ap-3, 0x1.b74b704f377ffp-3, 0x1.aee7045056208p-3, 0x1.a69d7aa0fab67p-3, 0x1.9e6ef3853e6b1p-3, 0x1.965b8a1b7e8f8p-3, 0x1.8e63548696221p-3, 0x1.8686641797c79p-3, 0x1.7ec4c57709fc9p-3, 0x1.771e80cd91423p-3, 0x1.6f9399ec0bcc3p-3, 0x1.682410731a49fp-3, 0x1.60cfdffa09796p-3, 0x1.599700351f289p-3, 0x1.5279651b472p-3, 0x1.4b76ff0b14873p-3, 0x1.448fbaef1deb1p-3, 0x1.3dc38261af80dp-3, 0x1.37123bcfcd7cep-3, 0x1.307bca9b867d8p-3, 0x1.2a000f3d96ebp-3, 0x1.239ee76659c83p-3, 0x1.1d582e1e0612p-3, 0x1.172bbbe438aedp-3, 0x1.111966cec92a1p-3, 0x1.0b2102a7eda35p-3, 0x1.0542610ba5241p-3, 0x1.fefaa308e412cp-4, 0x1.f3a3434ec57f3p-4, 0x1.e87e3a5ec38bap-4, 0x1.dd8b1c2fb0d26p-4, 0x1.d2c9796d3c1efp-4, 0x1.c838dfaa77f68p-4, 0x1.bdd8d992fd022p-4, 0x1.b3a8ef1ab3a99p-4, 0x1.a9a8a5ac4be97p-4, 0x1.9fd780565c5acp-4, 0x1.9634fff736d8ep-4, 0x1.8cc0a3676f9b3p-4, 0x1.8379e7a31884cp-4, 0x1.7a6047f1bf714p-4, 0x1.71733e0d28fcdp-4, 0x1.68b24246d281cp-4, 0x1.601ccbac3d956p-4, 0x1.57b2502a093e1p-4, 0x1.4f7244ade0713p-4, 0x1.475c1d473f6ffp-4, 0x1.3f6f4d4717388p-4, 0x1.37ab475e53f91p-4, 0x1.300f7dbb49dc2p-4, 0x1.289b62261018dp-4, 0x1.214e661bcd44bp-4, 0x1.1a27fae8fbf1p-4, 0x1.132791c2aa62dp-4, 0x1.0c4c9bdebebaap-4, 0x1.05968a8b3fe39p-4, 0x1.fe099e895b5a5p-5, 0x1.f12db796d3476p-5, 0x1.e49844706e542p-5, 0x1.d8482a1fb416ap-5, 0x1.cc3c4eaba97f7p-5, 0x1.c073993ca0d71p-5, 0x1.b4ecf23e60b5p-5, 0x1.a9a74380af4e7p-5, 0x1.9ea178564b42bp-5, 0x1.93da7db25f44p-5, 0x1.89514244763d7p-5, 0x1.7f04b692febe1p-5, 0x1.74f3cd146187p-5, 0x1.6b1d7a46bf4bp-5, 0x1.6180b4c652cecp-5, 0x1.581c75628bd2bp-5, 0x1.4eefb731e6a43p-5, 0x1.45f977a48b3fp-5, 0x1.3d38b695bccaap-5, 0x1.34ac765c2569dp-5, 0x1.2c53bbd902957p-5, 0x1.242d8e863f07p-5, 0x1.1c38f883802ecp-5, 0x1.147506a233de7p-5, 0x1.0ce0c870a0a18p-5, 0x1.057b5044061eep-5, 0x1.fc876683a7b88p-6, 0x1.ee7212cffda45p-6, 0x1.e0b4db28f904p-6, 0x1.d34dfb17d695dp-6, 0x1.c63bb3fee89b3p-6, 0x1.b97c4d23ca3bap-6, 0x1.ad0e13b824fbap-6, 0x1.a0ef5ae105792p-6, 0x1.951e7bbcd8c1p-6, 0x1.8999d5681f9d6p-6, 0x1.7e5fcd00d7dc3p-6, 0x1.736ecda8b9d0bp-6, 0x1.68c548864e485p-6, 0x1.5e61b4c4e618cp-6, 0x1.54428f9389187p-6, 0x1.4a665c22dbcbfp-6, 0x1.40cba3a2124e8p-6, 0x1.3770f53af99a6p-6, 0x1.2e54e60d167d1p-6, 0x1.25761127f7c6p-6, 0x1.1cd31784b82a7p-6, 0x1.146a9ffebc892p-6, 0x1.0c3b574bbb393p-6, 0x1.0443eff3136c3p-6, 0x1.f9064489056f1p-7, 0x1.e9ef589c6be88p-7, 0x1.db40a3a4995bp-7, 0x1.ccf7b8779b6c8p-7, 0x1.bf1235262c167p-7, 0x1.b18dc2e3a5ca3p-7, 0x1.a46815ecfe7acp-7, 0x1.979eed6eecba4p-7, 0x1.8b30136b5041p-7, 0x1.7f195c9dc5f12p-7, 0x1.7358a85f9b698p-7, 0x1.67ebe08b20bf4p-7, 0x1.5cd0f95e54256p-7, 0x1.5205f15d1053p-7, 0x1.4788d132bf33ep-7, 0x1.3d57ab9387e23p-7, 0x1.33709d1d24cep-7, 0x1.29d1cc3751e3bp-7, 0x1.207968f3e9c5ap-7, 0x1.1765aceeb796bp-7, 0x1.0e94db2d070afp-7, 0x1.06053ffcfc2dp-7, 0x1.fb6a61a9764bap-8, 0x1.eb461862d0effp-8, 0x1.db9a72ec12d94p-8, 0x1.cc645194972edp-8, 0x1.bda0a5f279761p-8, 0x1.af4c729fee476p-8, 0x1.a164caf897818p-8, 0x1.93e6d2d6dc6e4p-8, 0x1.86cfbe515673p-8, 0x1.7a1cd178590f2p-8, 0x1.6dcb6013a33aap-8, 0x1.61d8cd6043ff5p-8, 0x1.56428bcebbdebp-8, 0x1.4b061cc165fdfp-8, 0x1.4021104b2eba6p-8, 0x1.359104eea407ep-8, 0x1.2b53a75d65834p-8, 0x1.2166b237fc611p-8, 0x1.17c7edce22d4ap-8, 0x1.0e752fdf7ffd4p-8, 0x1.056c5b5ce27edp-8, 0x1.f956c053f4a6ap-9, 0x1.e86075bf3d03bp-9, 0x1.d7f1e91d38621p-9, 0x1.c80745063540bp-9, 0x1.b89ccc11280f8p-9, 0x1.a9aed85cd94f6p-9, 0x1.9b39db1a48c17p-9, 0x1.8d3a5c185e6aep-9, 0x1.7facf950e45b6p-9, 0x1.728e6676d2c99p-9, 0x1.65db6c85f274fp-9, 0x1.5990e953e361p-9, 0x1.4dabcf227af68p-9, 0x1.4229243393705p-9, 0x1.3706025e3a001p-9, 0x1.2c3f96a5534f6p-9, 0x1.21d320cfa96afp-9, 0x1.17bdf3016eea3p-9, 0x1.0dfd71573633p-9, 0x1.048f11825c494p-9, 0x1.f6e0b4cddab7bp-10, 0x1.e53dc776019d9p-10, 0x1.d430ab4f1aa33p-10, 0x1.c3b4d0d568e65p-10, 0x1.b3c5c7f715863p-10, 0x1.a45f3f5eac9fep-10, 0x1.957d03c088239p-10, 0x1.871aff2b30655p-10, 0x1.7935385aa0651p-10, 0x1.6bc7d20e7d913p-10, 0x1.5ecf0a632b5edp-10, 0x1.52473a2dca7aep-10, 0x1.462cd45b18528p-10, 0x1.3a7c65511ced8p-10, 0x1.2f329253c3422p-10, 0x1.244c18ec2ef87p-10, 0x1.19c5ce52f043ap-10, 0x1.0f9c9edcee695p-10, 0x1.05cd8d6b21495p-10, 0x1.f8ab65b9fb445p-11, 0x1.e6647b0b2ce19p-11, 0x1.d4c0e146de46p-11, 0x1.c3bb47b5e6439p-11, 0x1.b34e85671d10ap-11, 0x1.a375982ebd992p-11, 0x1.942ba3aaed03ap-11, 0x1.856bf04d54d39p-11, 0x1.7731ea69c298dp-11, 0x1.69792149bf367p-11, 0x1.5c3d46450a63bp-11, 0x1.4f7a2bdeed571p-11, 0x1.432bc4e8537e9p-11, 0x1.374e23a6990edp-11, 0x1.2bdd78fefebf7p-11, 0x1.20d613a6b329ep-11, 0x1.16345f575fc8cp-11, 0x1.0bf4e4082999bp-11, 0x1.0214452b147e6p-11, 0x1.f11e81dd71d9bp-12, 0x1.dec55f08744a2p-12, 0x1.cd1704d2d8f65p-12, 0x1.bc0d876e35a6ep-12, 0x1.aba32ae6b4d8cp-12, 0x1.9bd261cfb9802p-12, 0x1.8c95cbf856e59p-12, 0x1.7de8352786ffp-12, 0x1.6fc493dfeea19p-12, 0x1.6226082b1d87dp-12, 0x1.5507da6c1bca2p-12, 0x1.48657a392a35ep-12, 0x1.3c3a7d3c98b27p-12, 0x1.30829e1c83db6p-12, 0x1.2539bb696bdc3p-12, 0x1.1a5bd69374ce3p-12, 0x1.0fe512e638494p-12, 0x1.05d1b48b0744bp-12, 0x1.f83c3f22f8a0fp-13, 0x1.e58dadfc7a8a8p-13, 0x1.d390f7bfa6668p-13, 0x1.c23f98d2e00fdp-13, 0x1.b19346271dff1p-13, 0x1.a185eb8495045p-13, 0x1.9211a9e2944abp-13, 0x1.8330d5ca601c5p-13, 0x1.74ddf5c4c8be3p-13, 0x1.6713c0d24927bp-13, 0x1.59cd1ced6e877p-13, 0x1.4d051d975b8d4p-13, 0x1.40b7026e2952p-13, 0x1.34de35ccec38fp-13, 0x1.29764b7532745p-13, 0x1.1e7aff41bb537p-13, 0x1.13e833e23b378p-13, 0x1.09b9f19ff7f1bp-13, 0x1.ffd8ca5610ca7p-14, 0x1.ecf7bce0082dep-14, 0x1.dac99eebf0a8dp-14, 0x1.c9479688df372p-14, 0x1.b86b09a2afd64p-14, 0x1.a82d9bed3b4e5p-14, 0x1.98892cde9e663p-14, 0x1.8977d5b829db5p-14, 0x1.7af3e79db0b4ep-14, 0x1.6cf7e9bad51d2p-14, 0x1.5f7e977602de9p-14, 0x1.5282deb0bf3eep-14, 0x1.45ffde15011e7p-14, 0x1.39f0e36f388ccp-14, 0x1.2e516a14bed68p-14, 0x1.231d195659abfp-14, 0x1.184fc2fe88f3p-14, 0x1.0de561db5172bp-14, 0x1.03da18533d312p-14, 0x1.f4545e0a8d7f2p-15, 0x1.e1a426e6d1b12p-15, 0x1.cf9cad6f1c114p-15, 0x1.be37588537226p-15, 0x1.ad6dd14aa5c7dp-15, 0x1.9d3a00c5988e9p-15, 0x1.8d960d988c067p-15, 0x1.7e7c59cc18e83p-15, 0x1.6fe780aa77ef9p-15, 0x1.61d254ac42e05p-15, 0x1.5437dd75fb182p-15, 0x1.471355e5e377fp-15, 0x1.3a602a31bd97cp-15, 0x1.2e19f613f8c73p-15, 0x1.223c8307ebd01p-15, 0x1.16c3c694aa26cp-15, 0x1.0babe0a6139dap-15, 0x1.00f119f3b1cc6p-15, 0x1.ed1fc4ea173fp-16, 0x1.d9099fc600e5dp-16, 0x1.c599388bb85c1p-16, 0x1.b2c8491f72bd8p-16, 0x1.a090ce85c8744p-16, 0x1.8eed0647bc9fbp-16, 0x1.7dd76bed5dfd3p-16, 0x1.6d4ab68e643aep-16, 0x1.5d41d6781702fp-16, 0x1.4db7f2e7e9948p-16, 0x1.3ea867da2af38p-16, 0x1.300ec3ec39d97p-16, 0x1.21e6c6519a45cp-16, 0x1.142c5cdb6e93ap-16, 0x1.06dba211b4d6bp-16, 0x1.f3e1b6bba331cp-17, 0x1.dad0ee8b9e6d5p-17, 0x1.c27e176fc5c29p-17, 0x1.aae2a8cb4a01ap-17, 0x1.93f8625d21be2p-17, 0x1.7db949329540ap-17, 0x1.681fa4b66f0ccp-17, 0x1.5325fbdbea664p-17, 0x1.3ec7126488d02p-17, 0x1.2afde63fee22bp-17, 0x1.17c5ad04ebe99p-17, 0x1.0519d182fb5aep-17, 0x1.e5ebe2d6a3d3cp-18, 0x1.c2abb621a79d9p-18, 0x1.a06b167c49afap-18, 0x1.7f2256423cf08p-18, 0x1.5eca1c95f4cb8p-18, 0x1.3f5b618901e06p-18, 0x1.20cf6a6b23c4fp-18, 0x1.031fc63ec9923p-18, 0x1.cc8c94a377a84p-19, 0x1.947a1df17c169p-19, 0x1.5dfcd8d9e5892p-19, 0x1.2909ef93c41a3p-19, 0x1.eb2e00ac09401p-20, 0x1.87342f9eb4c2p-20, 0x1.261357b1d020dp-20, 0x1.8f72598686354p-21, 0x1.b0508483150abp-22, 0x1.3135c35a51ac7p-24, -0x1.0d6539864ba9fp-22, -0x1.2e82cec27838cp-21, -0x1.d167b813f8ff3p-21, -0x1.37bf05f0e0bc6p-20, -0x1.8470b27774d4dp-20, -0x1.ced629ef18161p-20, -0x1.0b7e1b354ea77p-19, -0x1.2e7795209f171p-19, -0x1.505d7322edeeap-19, -0x1.71356fdaa3fbcp-19, -0x1.910512ef3587ep-19, -0x1.afd1b3c36fd9p-19, -0x1.cda07c075351cp-19, -0x1.ea766a2aaf2d7p-19, -0x1.032c29d8dccb4p-18, -0x1.10a573b667a36p-18, -0x1.1da957ca3c054p-18, -0x1.2a3a09e566bfap-18, -0x1.3659ad81a44fp-18, -0x1.420a56a906897p-18, -0x1.4d4e0ad1cd588p-18, -0x1.5826c1aef5a7dp-18, -0x1.629665f5f060ap-18, -0x1.6c9ed619f4743p-18, -0x1.7641e4fd5b807p-18, -0x1.7f815a9972d66p-18, -0x1.885ef49d277f4p-18, -0x1.90dc6702f4251p-18, -0x1.98fb5c9e6b60fp-18, -0x1.a0bd77a1c0b7fp-18, -0x1.a824521ba5e0dp-18, -0x1.af317e6dd563fp-18, -0x1.b5e687bc9d96fp-18, -0x1.bc44f257b89fep-18, -0x1.c24e3c1cc56p-18, -0x1.c803dcd3a7066p-18, -0x1.cd67468514ca7p-18, -0x1.d279e5cb9fd7dp-18, -0x1.d73d221f70908p-18, -0x1.dbb25e1cfe967p-18, -0x1.dfdaf7c6fd8c9p-18, -0x1.e3b848c3bd63fp-18, -0x1.e74ba69634afep-18, -0x1.ea9662d2f1871p-18, -0x1.ed99cb511de97p-18, -0x1.f0572a57d199ep-18, -0x1.f2cfc6c7e065dp-18, -0x1.f504e44252674p-18, -0x1.f6f7c34bb4a68p-18, -0x1.f8a9a16c6ecafp-18, -0x1.fa1bb94e44c1cp-18, -0x1.fb4f42d72f98dp-18, -0x1.fc457341b1dd1p-18, -0x1.fcff7d32cb856p-18, -0x1.fd7e90cdb49b6p-18, -0x1.fdc3dbc57b2c9p-18, -0x1.fdd0896ca9675p-18, -0x1.fda5c2c3106d5p-18, -0x1.fd44ae81d61f3p-18, -0x1.fcae7125e3da2p-18, -0x1.fbe42cf8cc113p-18, -0x1.fae7021849ea1p-18, -0x1.f9b80e7c69dc2p-18, -0x1.f8586dfc794a6p-18, -0x1.f6c93a52d1d9ap-18, -0x1.f50b8b1f96209p-18, -0x1.f32075ea73957p-18, -0x1.f1090e237e793p-18, -0x1.eec6652339e9dp-18, -0x1.ec598a29ddf97p-18, -0x1.e9c38a5dec831p-18, -0x1.e70570ca24dfdp-18, -0x1.e420465ae60e2p-18, -0x1.e11511db0d69ep-18, -0x1.dde4d7f05fcb9p-18, -0x1.da909b178a9a4p-18, -0x1.d7195b9fc80e5p-18, -0x1.d38017a633e6bp-18, -0x1.cfc5cb10da5dfp-18, -0x1.cbeb6f898ae1cp-18, -0x1.c7f1fc787dd3ap-18, -0x1.c3da66fecc2b9p-18, -0x1.bfa5a1f0ce9b2p-18, -0x1.bb549dd061986p-18, -0x1.b6e848c71c266p-18, -0x1.b2618ea07e427p-18, -0x1.adc158c41e736p-18, -0x1.a9088e2fde441p-18, -0x1.a438137226862p-18, -0x1.9f50caa4380b8p-18, -0x1.9a53936491209p-18, -0x1.95414ad16cf74p-18, -0x1.901acb8363109p-18, -0x1.8ae0ed882af6dp-18, -0x1.8594865d84938p-18, -0x1.803668ec4e0efp-18, -0x1.7ac76583c57fdp-18, -0x1.754849d4fabcfp-18, -0x1.6fb9e0ee775f5p-18, -0x1.6a1cf33818a0ep-18, -0x1.6472466f24086p-18, -0x1.5eba9da293ff3p-18, -0x1.58f6b92fa05b7p-18, -0x1.532756be83713p-18, -0x1.4d4d313f7df91p-18, -0x1.476900e818ef4p-18, -0x1.417b7b30a929cp-18, -0x1.3b8552d2117aap-18, -0x1.358737c3c8445p-18, -0x1.2f81d73a1d9dfp-18, -0x1.2975dba4c4ea5p-18, -0x1.2363ecad9efefp-18, -0x1.1d4caf37c7bcdp-18, -0x1.1730c55ee5ab3p-18, -0x1.1110ce76bb494p-18, -0x1.0aed670afa611p-18, -0x1.04c728df587e6p-18, -0x1.fd3d55dfc758ap-19, -0x1.f0e902e331403p-19, -0x1.e4927ba66edfbp-19, -0x1.d83add7cadaacp-19, -0x1.cbe340316c8cp-19, -0x1.bf8cb60b9adf2p-19, -0x1.b3384bd12b486p-19, -0x1.a6e708cb2155ep-19, -0x1.9a99eeca14b99p-19, -0x1.8e51fa2b1e01ep-19, -0x1.821021dd3eae6p-19, -0x1.75d557672eb9fp-19, -0x1.69a286ed9685p-19, -0x1.5d789739b3f7ep-19, -0x1.515869c0651acp-19, -0x1.4542daa991cb3p-19, -0x1.3938c0d7fdc84p-19, -0x1.2d3aedf173857p-19, -0x1.214a2e674b393p-19, -0x1.1567497f4cffep-19, -0x1.0993015ce7bcdp-19, -0x1.fb9c26157721fp-20, -0x1.e4326d08eb32fp-20, -0x1.ccea3d81ed3ebp-20, -0x1.b5c4f37993cefp-20, -0x1.9ec3e109c25f4p-20, -0x1.87e84e832bb0fp-20, -0x1.71337a83dd516p-20, -0x1.5aa69a0e48cb9p-20, -0x1.4442d8a0ccd31p-20, -0x1.2e09584da9a7bp-20, -0x1.17fb31d36fafp-20, -0x1.021974b5d0be3p-20, -0x1.d8ca4eadc09bp-21, -0x1.adbe8e215147ap-21, -0x1.8311909e4566p-21, -0x1.58c52d550101bp-21, -0x1.2edb2a0392611p-21, -0x1.05553b2b815b2p-21, -0x1.b86a0890580e8p-22, -0x1.66f8300b4f184p-22, -0x1.1657f0f0364ap-22, -0x1.8d185d4e2eb35p-23, -0x1.de5eb1207eca4p-24, -0x1.4be86866207b8p-25, 0x1.1e0959f379554p-25, 0x1.c0825f1db0bb1p-24, 0x1.773de48763121p-23, 0x1.063a127cdf823p-22, 0x1.4fefeddce6946p-22, 0x1.98be96f9dd9b7p-22, 0x1.e0a43d2191469p-22, 0x1.13cf95f26d68bp-21, 0x1.36d6e55166d86p-21, 0x1.59674e09e57bdp-21, 0x1.7b801eea43e85p-21, 0x1.9d20b3f88ae88p-21, 0x1.be487637fd7cbp-21, }}, 
      {{0x1.01a5ec5a5be67p-14, 0x1.02665134971c2p-12, 0x1.2414fa43d56c8p-11, 0x1.054d411d5463bp-10, 0x1.9b87daf582f8bp-10, 0x1.2b0b627b8eb86p-9, 0x1.9b3eb30d76286p-9, 0x1.0f95cf48efd92p-8, 0x1.5bd293ae283e4p-8, 0x1.b2bec3a49bf24p-8, 0x1.0a603a23e464bp-7, 0x1.411c37c1d1406p-7, 0x1.7dc02664429fcp-7, 0x1.c074705b68219p-7, 0x1.04ae3f8bb96d4p-6, 0x1.2c4b20b30837ep-6, 0x1.571cea19f5d06p-6, 0x1.852ca537a3ab7p-6, 0x1.b68048424fbadp-6, 0x1.eb1ab3efd9d4dp-6, 0x1.117dddb98e4d6p-5, 0x1.2f101a8164259p-5, 0x1.4e4108a9c0c45p-5, 0x1.6f0c3c4a04489p-5, 0x1.916bf5d230305p-5, 0x1.b55934367d9fcp-5, 0x1.dacbc83333c25p-5, 0x1.00dd3422ba8a5p-4, 0x1.150d62840d19ap-4, 0x1.29f0ced9e9b83p-4, 0x1.3f816a479fd7ap-4, 0x1.55b8c19367d4cp-4, 0x1.6c90071686493p-4, 0x1.84001c7562d34p-4, 0x1.9c019c15e693dp-4, 0x1.b48ce24c6fb66p-4, 0x1.cd9a163909489p-4, 0x1.e721324fd0555p-4, 0x1.008d064409ef2p-3, 0x1.0dbe2f174b8dcp-3, 0x1.1b1fe5abeeffep-3, 0x1.28adf4f8144cdp-3, 0x1.36642433825ffp-3, 0x1.443e39fab1cdep-3, 0x1.5237ff3ea56a7p-3, 0x1.604d4201a087dp-3, 0x1.6e79d7e0f2461p-3, 0x1.7cb9a06c760c4p-3, 0x1.8b08874cb2428p-3, 0x1.99628638c13fcp-3, 0x1.a7c3a6bd7c031p-3, 0x1.b62803d795ba8p-3, 0x1.c48bcb628cc27p-3, 0x1.d2eb3f5e8545ep-3, 0x1.e142b70f36c78p-3, 0x1.ef8e9ff63f2fap-3, 0x1.fdcb7eab34269p-3, 0x1.05faf7c9e8637p-2, 0x1.0d0553bf502cap-2, 0x1.14033a114131fp-2, 0x1.1af31e42a489dp-2, 0x1.21d380a5d43bcp-2, 0x1.28a2ee7a4e274p-2, 0x1.2f600201164c4p-2, 0x1.36096288c324cp-2, 0x1.3c9dc4720ea4cp-2, 0x1.431be92db944cp-2, 0x1.49829f347b52ep-2, 0x1.4fd0c1f9b3243p-2, 0x1.560539d968c48p-2, 0x1.5c1efc022f099p-2, 0x1.621d0a5b62767p-2, 0x1.67fe73682c687p-2, 0x1.6dc25227ad831p-2, 0x1.7367cdf29da27p-2, 0x1.78ee1a56aebd9p-2, 0x1.7e5476efe54b9p-2, 0x1.839a2f4025f18p-2, 0x1.88be9a8519754p-2, 0x1.8dc11b8c920ebp-2, 0x1.92a120878f8f9p-2, 0x1.975e22dbfcc4cp-2, 0x1.9bf7a6f538faap-2, 0x1.a06d3c1387972p-2, 0x1.a4be7c1a6a2fcp-2, 0x1.a8eb0b5e01b15p-2, 0x1.acf2986f769a1p-2, 0x1.b0d4dbe87c103p-2, 0x1.b4919835f46ep-2, 0x1.b8289961c94b9p-2, 0x1.bb99b4dbf624fp-2, 0x1.bee4c942df8fap-2, 0x1.c209be2afa139p-2, 0x1.c50883e5cc169p-2, 0x1.c7e11348622a3p-2, 0x1.ca936d71377ddp-2, 0x1.cd1f9b8da9539p-2, 0x1.cf85ae9f01c93p-2, 0x1.d1c5bf3f2b8bcp-2, 0x1.d3dfed651c89ep-2, 0x1.d5d460290cbfcp-2, 0x1.d7a34588833b9p-2, 0x1.d94cd22a557f9p-2, 0x1.dad14122a19cbp-2, 0x1.dc30d3b6d9e56p-2, 0x1.dd6bd121f3cf3p-2, 0x1.de828658c9682p-2, 0x1.df7545cec35ep-2, 0x1.e044673ad7058p-2, 0x1.e0f0475cefb21p-2, 0x1.e17947c3ceccap-2, 0x1.e1dfce9373d0fp-2, 0x1.e224464c1e38ep-2, 0x1.e2471d91f303dp-2, 0x1.e248c6f559a3cp-2, 0x1.e229b8bc16082p-2, 0x1.e1ea6cab35535p-2, 0x1.e18b5fd1cefcep-2, 0x1.e10d1254ac696p-2, 0x1.e070073adee19p-2, 0x1.dfb4c43b49a14p-2, 0x1.dedbd18b2d2f3p-2, 0x1.dde5b9adb782fp-2, 0x1.dcd30944a0e31p-2, 0x1.dba44ee1dba43p-2, 0x1.da5a1ada5abe4p-2, 0x1.d8f4ff19f32ccp-2, 0x1.d7758ef85cf1p-2, 0x1.d5dc5f0f5497cp-2, 0x1.d42a0511e0556p-2, 0x1.d25f17a4b768p-2, 0x1.d07c2e37d419fp-2, 0x1.ce81e0e124141p-2, 0x1.cc70c83862e0cp-2, 0x1.ca497d3415d27p-2, 0x1.c80c9907aa301p-2, 0x1.c5bab502b4c52p-2, 0x1.c3546a714ee15p-2, 0x1.c0da527d90561p-2, 0x1.be4d06121da6ap-2, 0x1.bbad1dbdd1744p-2, 0x1.b8fb319872323p-2, 0x1.b637d9287816dp-2, 0x1.b363ab49da7e6p-2, 0x1.b07f3e15e52f7p-2, 0x1.ad8b26cc0cb5cp-2, 0x1.aa87f9bbbd6d6p-2, 0x1.a7764a2f23ec3p-2, 0x1.a456aa56e7c0bp-2, 0x1.a129ab36d2ce2p-2, 0x1.9defdc9360ep-2, 0x1.9aa9cce034d1dp-2, 0x1.9758092f68bc6p-2, 0x1.93fb1d21bbccbp-2, 0x1.909392d78ecffp-2, 0x1.8d21f2e2b60dap-2, 0x1.89a6c4390fb9cp-2, 0x1.86228c27e3d4dp-2, 0x1.8295ce4800487p-2, 0x1.7f010c729221fp-2, 0x1.7b64c6b6b5c1ep-2, 0x1.77c17b4fb616ep-2, 0x1.7417a69bf920ap-2, 0x1.7067c31495c61p-2, 0x1.6cb249458aa3cp-2, 0x1.68f7afc694f07p-2, 0x1.65386b349fffp-2, 0x1.6174ee2bcb9a6p-2, 0x1.5dada94204655p-2, 0x1.59e30b0224918p-2, 0x1.56157fe7a5b89p-2, 0x1.5245725acddb3p-2, 0x1.4e734aad6597bp-2, 0x1.4a9f6f17e43ecp-2, 0x1.46ca43b719b15p-2, 0x1.42f42a8a49b64p-2, 0x1.3f1d8371bb6cp-2, 0x1.3b46ac2db4eb3p-2, 0x1.3770005de0e7cp-2, 0x1.3399d9811b3bap-2, 0x1.2fc48ef5a147fp-2, 0x1.2bf075f9a073fp-2, 0x1.281de1ac241c5p-2, 0x1.244d230e57f39p-2, 0x1.207e8905264dep-2, 0x1.1cb2605b25268p-2, 0x1.18e8f3c2d5d3cp-2, 0x1.15228bd92dbddp-2, 0x1.115f6f287000fp-2, 0x1.0d9fe22b46d63p-2, 0x1.09e4275025fdap-2, 0x1.062c7efcee3fbp-2, 0x1.02792792ce81ep-2, 0x1.fd94bae4c3178p-3, 0x1.f640b6000e598p-3, 0x1.eef6b150e36eap-3, 0x1.e7b719cad7901p-3, 0x1.e082588596b2cp-3, 0x1.d958d2c7325b5p-3, 0x1.d23aea0ec9493p-3, 0x1.cb28fc1f800e7p-3, 0x1.c423630bd19d2p-3, 0x1.bd2a75412a999p-3, 0x1.b63e8593cccdp-3, 0x1.af5fe34af9d7dp-3, 0x1.a88eda2d57f1cp-3, 0x1.a1cbb28d9ecb2p-3, 0x1.9b16b1576dc4bp-3, 0x1.9470181c625edp-3, 0x1.8dd8252159c16p-3, 0x1.874f136be001bp-3, 0x1.80d51acfc6fd6p-3, 0x1.7a6a6ffce5ab4p-3, 0x1.740f448cf554ep-3, 0x1.6dc3c7118f5b1p-3, 0x1.678823224720ep-3, 0x1.615c816ad66eep-3, 0x1.5b4107b966dd6p-3, 0x1.5535d90ce0863p-3, 0x1.4f3b15a354db8p-3, 0x1.4950db0866dbbp-3, 0x1.43774423c7805p-3, 0x1.3dae6947adc68p-3, 0x1.37f6603f58657p-3, 0x1.324f3c5d8ce05p-3, 0x1.2cb90e8b11519p-3, 0x1.2733e55526367p-3, 0x1.21bfccfbf5abep-3, 0x1.1c5ccf80f73c3p-3, 0x1.170af4b54ae16p-3, 0x1.11ca424803504p-3, 0x1.0c9abbd4606efp-3, 0x1.077c62eff6715p-3, 0x1.026f3738c0bap-3, 0x1.fae66cc639f7ep-4, 0x1.f110b88f627e5p-4, 0x1.e75d45e264771p-4, 0x1.ddcc055425a92p-4, 0x1.d45ce4142613p-4, 0x1.cb0fcc076038fp-4, 0x1.c1e4a3e2ea1d6p-4, 0x1.b8db4f4653605p-4, 0x1.aff3aed5b271dp-4, 0x1.a72da0537cfe1p-4, 0x1.9e88feb9f6cb5p-4, 0x1.9605a254719f9p-4, 0x1.8da360d826c37p-4, 0x1.85620d7cc6ce6p-4, 0x1.7d417914b47b3p-4, 0x1.75417224e8676p-4, 0x1.6d61c4fc7d092p-4, 0x1.65a23bcbe2836p-4, 0x1.5e029ebbb50e8p-4, 0x1.5682b4033ab7cp-4, 0x1.4f223ffe80316p-4, 0x1.47e1054419fb3p-4, 0x1.40bec4ba846f7p-4, 0x1.39bb3dad241bap-4, 0x1.32d62de0e4fdap-4, 0x1.2c0f51a8773d4p-4, 0x1.256663f82a6eep-4, 0x1.1edb1e7965714p-4, 0x1.186d399dba8c4p-4, 0x1.121c6cb198dd9p-4, 0x1.0be86dee9952ap-4, 0x1.05d0f28d675bbp-4, 0x1.ffab5dae8c72ap-5, 0x1.f3ecac6e65163p-5, 0x1.e86536953c03fp-5, 0x1.dd145fe394a1ep-5, 0x1.d1f98abf7b1b8p-5, 0x1.c7141853ac542p-5, 0x1.bc6368adf3893p-5, 0x1.b1e6dadcc6173p-5, 0x1.a79dcd0c1bf8fp-5, 0x1.9d879ca18289dp-5, 0x1.93a3a65772b1cp-5, 0x1.89f14657e1aecp-5, 0x1.806fd8561926fp-5, 0x1.771eb7a7ce104p-5, 0x1.6dfd3f5d7e874p-5, 0x1.650aca5a15df4p-5, 0x1.5c46b369d9091p-5, 0x1.53b055589c049p-5, 0x1.4b470b074765bp-5, 0x1.430a2f80a73eap-5, 0x1.3af91e0d9018fp-5, 0x1.3313324850d82p-5, 0x1.2b57c82f7e8a3p-5, 0x1.23c63c3815ed5p-5, 0x1.1c5deb5ef5216p-5, 0x1.151e3339b5428p-5, 0x1.0e067206dd3d8p-5, 0x1.071606bd7c4b4p-5, 0x1.004c511c21deep-5, 0x1.f351636e82e6bp-6, 0x1.e655140df38e9p-6, 0x1.d9a278e899caap-6, 0x1.cd3858cb85482p-6, 0x1.c1157c96fc1dep-6, 0x1.b538af558737bp-6, 0x1.a9a0be51f5777p-6, 0x1.9e4c792c4610bp-6, 0x1.933ab1ed91576p-6, 0x1.886a3d1aeb155p-6, 0x1.7dd9f1c7483f5p-6, 0x1.7388a9a46dac6p-6, 0x1.69754112eb52dp-6, 0x1.5f9e973129ac9p-6, 0x1.56038de991b4dp-6, 0x1.4ca309ffcf7ebp-6, 0x1.437bf31d393e9p-6, 0x1.3a8d33dc61d0bp-6, 0x1.31d5b9d3d6077p-6, 0x1.295475a00de83p-6, 0x1.21085aec960f4p-6, 0x1.18f0607c78444p-6, 0x1.110b8031e9947p-6, 0x1.0958b71539ba3p-6, 0x1.01d7055b161c8p-6, 0x1.f50adcd43f681p-7, 0x1.e6c5f1bfa6401p-7, 0x1.d8dd5d29a635cp-7, 0x1.cb4f3941222bdp-7, 0x1.be19a6b8b8db6p-7, 0x1.b13acccbc2b94p-7, 0x1.a4b0d9421fdd8p-7, 0x1.987a0072fbecp-7, 0x1.8c947d46825dfp-7, 0x1.80fe91368a34dp-7, 0x1.75b6844e49faep-7, 0x1.6abaa52916e1bp-7, 0x1.600948f03e793p-7, 0x1.55a0cb57fb006p-7, 0x1.4b7f8e9b8ac0ap-7, 0x1.41a3fb7888259p-7, 0x1.380c81295fcf1p-7, 0x1.2eb7955f1ce88p-7, 0x1.25a3b43a6fe75p-7, 0x1.1ccf6044089a5p-7, 0x1.14392264465abp-7, 0x1.0bdf89da4566bp-7, 0x1.03c12c3251fdfp-7, 0x1.f7b94a778edd1p-8, 0x1.e8612dfcc4839p-8, 0x1.d977535e17babp-8, 0x1.caf917484dd45p-8, 0x1.bce3e292c5adap-8, 0x1.af352a2637548p-8, 0x1.a1ea6ee29c58bp-8, 0x1.95013d844a12cp-8, 0x1.88772e8849b3ap-8, 0x1.7c49e60ffb0ecp-8, 0x1.707713c40c894p-8, 0x1.64fc72b6d1788p-8, 0x1.59d7c9460549cp-8, 0x1.4f06e8fc003dap-8, 0x1.4487ae706e50dp-8, 0x1.3a5801288bb4ap-8, 0x1.3075d376f4a0dp-8, 0x1.26df225b0fd0ap-8, 0x1.1d91f5601bd53p-8, 0x1.148c5e7bebe7p-8, 0x1.0bcc79ed559f8p-8, 0x1.03506e1a5f156p-8, 0x1.f62cd6dc5f399p-9, 0x1.e639586d9cd94p-9, 0x1.d6c2e9056906dp-9, 0x1.c7c623fc72378p-9, 0x1.b93fb7a1c1b72p-9, 0x1.ab2c64f5287bp-9, 0x1.9d88ff618b4f6p-9, 0x1.90526c771abffp-9, 0x1.8385a3a57aadp-9, 0x1.771fadf5f2e32p-9, 0x1.6b1da5c5a793dp-9, 0x1.5f7cb67fe852ep-9, 0x1.543a1c58a43b9p-9, 0x1.4953240703cd6p-9, 0x1.3ec52a803b146p-9, 0x1.348d9cb2992dfp-9, 0x1.2aa9f740d88bp-9, 0x1.2117c63dc4c39p-9, 0x1.17d4a4e8320afp-9, 0x1.0ede3d675067p-9, 0x1.0632488769dd1p-9, 0x1.fb9d1aee0be75p-10, 0x1.eb61c30904982p-10, 0x1.dbae4fb845292p-10, 0x1.cc7ea28d3c082p-10, 0x1.bdceb7d066c3p-10, 0x1.af9aa600818cp-10, 0x1.a1de9d52da5a4p-10, 0x1.9496e734c4448p-10, 0x1.87bfe5ce3e3b9p-10, 0x1.7b561385c6619p-10, 0x1.6f56028573e49p-10, 0x1.63bc5c4151ba4p-10, 0x1.5885e0ff021fcp-10, 0x1.4daf675eba9edp-10, 0x1.4335dbe590b8fp-10, 0x1.3916408925d9dp-10, 0x1.2f4dac3cb7129p-10, 0x1.25d94a7f8f7dbp-10, 0x1.1cb65aece88ep-10, 0x1.13e230cd3186bp-10, 0x1.0b5a32a8cf00cp-10, 0x1.031bd9dc4ee2bp-10, 0x1.f649645c0ee53p-11, 0x1.e6e4b2ca7cab1p-11, 0x1.d804fdc57ec69p-11, 0x1.c9a5c675e6d1ep-11, 0x1.bbc2afa2e813p-11, 0x1.ae577cec39b24p-11, 0x1.a160120737e7ap-11, 0x1.94d871ff028afp-11, 0x1.88bcbe779a274p-11, 0x1.7d0936f3fc3e9p-11, 0x1.71ba381f3ae97p-11, 0x1.66cc3b1891a09p-11, 0x1.5c3bd4c2747b4p-11, 0x1.5205b514960fep-11, 0x1.4826a670e3f62p-11, 0x1.3e9b8cfb75699p-11, 0x1.356165f5691fdp-11, 0x1.2c75471aacea4p-11, 0x1.23d45e02afd0fp-11, 0x1.1b7bef83f3635p-11, 0x1.1369571a7d99dp-11, 0x1.0b9a0651232c2p-11, 0x1.040b842da5687p-11, 0x1.f976d93f3e156p-12, 0x1.eb4edfe472a49p-12, 0x1.dd9aa48146837p-12, 0x1.d055d5da8b426p-12, 0x1.c37c483758aa2p-12, 0x1.b709f45a3fb6p-12, 0x1.aafaf67fcaf09p-12, 0x1.9f4b8d6244fep-12, 0x1.93f81942b09d6p-12, 0x1.88fd1af6e7c3dp-12, 0x1.7e5732fcd19cdp-12, 0x1.740320929e50dp-12, 0x1.69fdc0d3ff91ap-12, 0x1.60440ddc43595p-12, 0x1.56d31ded4c5bfp-12, 0x1.4da8229b52192p-12, 0x1.44c067fd59b28p-12, 0x1.3c1953e256dc3p-12, 0x1.33b0650ae5245p-12, 0x1.2b833267895b3p-12, 0x1.238f6a5b69ffp-12, 0x1.1bd2d2036ee7ep-12, 0x1.144b4481b3ef9p-12, 0x1.0cf6b24d4520cp-12, 0x1.05d320860ac1p-12, 0x1.fdbd5099b9508p-13, 0x1.f02eec3f4af25p-13, 0x1.e2f79273123e6p-13, 0x1.d613e5edfaea1p-13, 0x1.c980ac7b7fd0ep-13, 0x1.bd3acdd13e33bp-13, 0x1.b13f526e01328p-13, 0x1.a58b62802d2ecp-13, 0x1.9a1c44d3628e2p-13, 0x1.8eef5dc54072bp-13, 0x1.84022e41227ap-13, 0x1.795252c2b014dp-13, 0x1.6edd825f2b735p-13, 0x1.64a18dd55a31dp-13, 0x1.5a9c5ea3e10ap-13, 0x1.50cbf626016c8p-13, 0x1.472e6cb685aadp-13, 0x1.3dc1f0d8d2b05p-13, 0x1.3484c667eea61p-13, 0x1.2b7545cb68b15p-13, 0x1.2291db31f85d5p-13, 0x1.19d905d1c72e1p-13, 0x1.1149572e37526p-13, 0x1.08e172630f23ap-13, 0x1.00a00b74ed876p-13, 0x1.f107cd4dda26ep-14, 0x1.e117afaaa20d8p-14, 0x1.d16d83aa508c5p-14, 0x1.c2072bb18f7a2p-14, 0x1.b2e2a5b1f9379p-14, 0x1.a3fe0a05c544ep-14, 0x1.95578a547f83bp-14, 0x1.86ed708092a79p-14, 0x1.78be1d9d78437p-14, 0x1.6ac808ee5752bp-14, 0x1.5d09beecdf581p-14, 0x1.4f81e0582f9d7p-14, 0x1.422f214b970dfp-14, 0x1.3510485cff465p-14, 0x1.28242dc2cf83p-14, 0x1.1b69ba811dcf7p-14, 0x1.0edfe79dfa95bp-14, 0x1.0285bd5cad1d9p-14, 0x1.ecb4a4ff67e8ep-15, 0x1.d4b99722b7505p-15, 0x1.bd18b465835dep-15, 0x1.a5d078e23419bp-15, 0x1.8edf78421a0abp-15, 0x1.78445c80073p-15, 0x1.61fde4b6764dap-15, 0x1.4c0ae3f8f4e2ep-15, 0x1.366a40387b204p-15, 0x1.211af1326d0b7p-15, 0x1.0c1bff69f4d5dp-15, 0x1.eed90656e835ap-16, 0x1.c6174733724fdp-16, 0x1.9df12b8981a44p-16, 0x1.7665379361166p-16, 0x1.4f7207f7a60cdp-16, 0x1.2916502c93f03p-16, 0x1.0350d8ec75d9dp-16, 0x1.bc40fd74ddd21p-17, 0x1.730860ee77e06p-17, 0x1.2af5dc0aec447p-17, 0x1.c80f1bf3702bfp-18, 0x1.3c7765b0ab27fp-18, 0x1.66428548c79eap-19, 0x1.604c85c01bep-21, -0x1.634a97b3112a8p-20, -0x1.b6ec5e09bac9bp-19, -0x1.5be3b41cefc9ap-18, -0x1.da1dbe525417cp-18, -0x1.2b135cf1b6089p-17, -0x1.68007cc96f08bp-17, -0x1.a3d75cef9cb29p-17, -0x1.de9912082f681p-17, -0x1.0c2354470dad5p-16, -0x1.2870931900714p-16, -0x1.4434c592e6a7dp-16, -0x1.5f7069aaff58cp-16, -0x1.7a23fbc89b09ap-16, -0x1.944ff74f51448p-16, -0x1.adf4d721fd508p-16, -0x1.c713161dc5d95p-16, -0x1.dfab2f8d784c4p-16, -0x1.f7bd9f9587e6dp-16, -0x1.07a571cc77942p-15, -0x1.1329bd4b9bb03p-15, -0x1.1e6bf2c1f9035p-15, -0x1.296c53cbeb807p-15, -0x1.342b234de9c24p-15, -0x1.3ea8a5971eb93p-15, -0x1.48e5208136bc8p-15, -0x1.52e0db8d79931p-15, -0x1.5c9c1fff50143p-15, -0x1.661738f45064bp-15, -0x1.6f527379eac2dp-15, -0x1.784e1ea0cfbbcp-15, -0x1.810a8b8e2b2cfp-15, -0x1.89880d8aca67fp-15, -0x1.91c6fa1044e3bp-15, -0x1.99c7a8d442249p-15, -0x1.a18a73d1eba11p-15, -0x1.a90fb751a8e62p-15, -0x1.b057d1ef32f42p-15, -0x1.b763249e19d9fp-15, -0x1.be3212acc9861p-15, -0x1.c4c501c6281bcp-15, -0x1.cb1c59f1d899dp-15, -0x1.d138859338e3ap-15, -0x1.d719f1672b619p-15, -0x1.dcc10c80b9ea5p-15, -0x1.e22e4844a7efbp-15, -0x1.e7621863fbdaep-15, -0x1.ec5cf2d59594p-15, -0x1.f11f4fcedbedep-15, -0x1.f5a9a9bb9356bp-15, -0x1.f9fc7d34e616dp-15, -0x1.fe1848f7afc4dp-15, -0x1.00fec6ed0aa6ep-14, -0x1.02d667603c873p-14, -0x1.04934848ea2e3p-14, -0x1.0635ad15bfeeep-14, -0x1.07bdda2a3da01p-14, -0x1.092c14d81c52p-14, -0x1.0a80a3587df8bp-14, -0x1.0bbbccc4e7f2p-14, -0x1.0cddd9101196fp-14, -0x1.0de710fe8735p-14, -0x1.0ed7be1f28a3cp-14, -0x1.0fb02ac38710ep-14, -0x1.1070a1f822bc1p-14, -0x1.11196f7c9289bp-14, -0x1.11aadfbb93a0cp-14, -0x1.12253fc3061e1p-14, -0x1.1288dd3bdc44dp-14, -0x1.12d60661fc5a6p-14, -0x1.130d09fc1a391p-14, -0x1.132e375389ad9p-14, -0x1.1339de2c0feedp-14, -0x1.13304ebbb17a4p-14, -0x1.1311d9a28416p-14, -0x1.12decfe28329bp-14, -0x1.129782d76d47ap-14, -0x1.123c442ea6ef5p-14, -0x1.11cd65df2ad2ap-14, -0x1.114b3a2185a2bp-14, -0x1.10b61367e0179p-14, -0x1.100e445619e79p-14, -0x1.0f541fb9f6374p-14, -0x1.0e87f8835b7e5p-14, -0x1.0daa21bca8244p-14, -0x1.0cbaee831dcfp-14, -0x1.0bbab1ff63652p-14, -0x1.0aa9bf5e212e1p-14, -0x1.098869c8b4e91p-14, -0x1.0857045e02594p-14, -0x1.0715e22b5f34bp-14, -0x1.05c556259afe8p-14, -0x1.0465b322260c2p-14, -0x1.02f74bd054d25p-14, -0x1.017a72b2c5103p-14, -0x1.ffdef431be85cp-15, }}, 
      {{-0x1.22f0d74e31f17p-6, -0x1.2206b645d3322p-5, -0x1.b0d057ce74685p-5, -0x1.1e8a2b06cbbefp-4, -0x1.63181f68cd162p-4, -0x1.a5d0e0e617396p-4, -0x1.e68309b66255p-4, -0x1.1285fae73308ap-3, -0x1.30ab2d3fda53bp-3, -0x1.4dac550f10417p-3, -0x1.6989b38bb91e1p-3, -0x1.8447bf0c5ca03p-3, -0x1.9dee5b2e722cap-3, -0x1.b68820984628cp-3, -0x1.ce21b6b8fe978p-3, -0x1.e4c9407020b3p-3, -0x1.fa8ddb86580b4p-3, -0x1.07bf991d42c41p-2, -0x1.11d68edf8acb9p-2, -0x1.1b93ac24cd9e1p-2, -0x1.24fe9e9e0f2edp-2, -0x1.2e1ecaf53610ep-2, -0x1.36fb38c35b127p-2, -0x1.3f9a836979446p-2, -0x1.4802cf25e689ap-2, -0x1.5039c1ce1b945p-2, -0x1.58447ea200d17p-2, -0x1.6027a4bb7da98p-2, -0x1.67e74faa3ee8dp-2, -0x1.6f8719d81fe99p-2, -0x1.770a205e4c5fcp-2, -0x1.7e7307fe0dfb2p-2, -0x1.85c402fa1359dp-2, -0x1.8cfed79617dc8p-2, -0x1.9424e70af2716p-2, -0x1.9b3734c47d601p-2, -0x1.a2366dc553058p-2, -0x1.a922f01245af2p-2, -0x1.affcd20caeb09p-2, -0x1.b6c3e9a73cfb4p-2, -0x1.bd77d36504dc1p-2, -0x1.c417f916084a2p-2, -0x1.caa398477eeafp-2, -0x1.d119c860c5d8dp-2, -0x1.d77980681f5b8p-2, -0x1.ddc19c6c44e07p-2, -0x1.e3f0e2917496ep-2, -0x1.ea0607c1ed0d4p-2, -0x1.efffb402df23p-2, -0x1.f5dc866fc516p-2, -0x1.fb9b18deb7a83p-2, -0x1.009d0198731a3p-1, -0x1.035bef295fd3ep-1, -0x1.0609a377cecf5p-1, -0x1.08a56fee7cb61p-1, -0x1.0b2eaa20a1c62p-1, -0x1.0da4acbd458d4p-1, -0x1.1006d8648b4bdp-1, -0x1.12549460fed8bp-1, -0x1.148d4f46e06a8p-1, -0x1.16b07f7b5afa7p-1, -0x1.18bda3a57d99bp-1, -0x1.1ab4430abe0b2p-1, -0x1.1c93edd8b1e18p-1, -0x1.1e5c3d5d960c9p-1, -0x1.200cd43127dd3p-1, -0x1.21a55e4f342e3p-1, -0x1.23259125369a6p-1, -0x1.248d2b943fb1p-1, -0x1.25dbf5e84c57bp-1, -0x1.2711c1c622c6ap-1, -0x1.282e6a10b03d3p-1, -0x1.2931d2c6d7237p-1, -0x1.2a1be8da89449p-1, -0x1.2aeca201f364fp-1, -0x1.2ba3fc8379832p-1, -0x1.2c41fefd2eda2p-1, -0x1.2cc6b828643b7p-1, -0x1.2d323e99e1a1ap-1, -0x1.2d84b07f4f5c4p-1, -0x1.2dbe335a47571p-1, -0x1.2ddef3b981b72p-1, -0x1.2de724f07ea8dp-1, -0x1.2dd700ce1053ep-1, -0x1.2daec752168acp-1, -0x1.2d6ebe62b99d1p-1, -0x1.2d1731816ff28p-1, -0x1.2ca8718008442p-1, -0x1.2c22d435f8396p-1, -0x1.2b86b43621c45p-1, -0x1.2ad470853e4c4p-1, -0x1.2a0c6c511c4afp-1, -0x1.292f0ea8d647fp-1, -0x1.283cc23622a4fp-1, -0x1.2735f4f7de88ap-1, -0x1.261b17fdeddb7p-1, -0x1.24ec9f268652cp-1, -0x1.23ab00dcff465p-1, -0x1.2256b5da33806p-1, -0x1.20f038e687f2dp-1, -0x1.1f78069da44a1p-1, -0x1.1dee9d33e77bap-1, -0x1.1c547c3da1fd5p-1, -0x1.1aaa24781ce6dp-1, -0x1.18f0179474ce7p-1, -0x1.1726d8044861cp-1, -0x1.154ee8c842a3cp-1, -0x1.1368cd407d149p-1, -0x1.117508febc2d4p-1, -0x1.0f741f9a84a5fp-1, -0x1.0d66948705c8fp-1, -0x1.0b4ceaead6683p-1, -0x1.0927a57981604p-1, -0x1.06f7464ed8dd9p-1, -0x1.04bc4ecc0f829p-1, -0x1.02773f768dc16p-1, -0x1.002897d87b7f4p-1, -0x1.fba1acc5f569p-2, -0x1.f6e0f0a40bafap-2, -0x1.f20ff323dd1f5p-2, -0x1.ed2fa94cdd2f6p-2, -0x1.e84105268ce6dp-2, -0x1.e344f58cbb3c6p-2, -0x1.de3c6606b749ap-2, -0x1.d9283ea15ec47p-2, -0x1.d40963cbf878ep-2, -0x1.cee0b637c0606p-2, -0x1.c9af12ba1894ep-2, -0x1.c47552314218bp-2, -0x1.bf34496b8fd1ap-2, -0x1.b9ecc910fb159p-2, -0x1.b49f9d8f07c0ap-2, -0x1.af4d8f06dec31p-2, -0x1.a9f7613d8f524p-2, -0x1.a49dd38e63622p-2, -0x1.9f41a0df2a6p-2, -0x1.99e37f9672b62p-2, -0x1.94842193957f9p-2, -0x1.8f24342882d66p-2, -0x1.89c460153e761p-2, -0x1.84654984f7244p-2, -0x1.7f07900ca749ap-2, -0x1.79abceab2cb19p-2, -0x1.74529bcac4883p-2, -0x1.6efc8943ded47p-2, -0x1.69aa24612e2b5p-2, -0x1.645bf5e4f248ap-2, -0x1.5f12820f5c92bp-2, -0x1.59ce48a60d35cp-2, -0x1.548fc4fc8e048p-2, -0x1.4f576dfdc7275p-2, -0x1.4a25b63651e54p-2, -0x1.44fb0bdfa9f83p-2, -0x1.3fd7d8ec23782p-2, -0x1.3abc83139ec5ap-2, -0x1.35a96be0eb7fp-2, -0x1.309ef0bfcea07p-2, -0x1.2b9d6b0b9f0ep-2, -0x1.26a5301e6df8dp-2, -0x1.21b69160ad7e2p-2, -0x1.1cd1dc594d94cp-2, -0x1.17f75abe43d9fp-2, -0x1.13275285725dbp-2, -0x1.0e6205f5e6654p-2, -0x1.09a7b3b963b3cp-2, -0x1.04f896ee36321p-2, -0x1.0054e7393bp-2, -0x1.f779b1b04728cp-3, -0x1.ee613967babaap-3, -0x1.e560c0e648142p-3, -0x1.dc789d1a59cd1p-3, -0x1.d3a91cb8d0684p-3, -0x1.caf28862a834cp-3, -0x1.c25522caae22ap-3, -0x1.b9d128db38fe6p-3, -0x1.b166d1dbe46e2p-3, -0x1.a9164f97342efp-3, -0x1.a0dfce8021555p-3, -0x1.98c375d7861fdp-3, -0x1.90c167d152607p-3, -0x1.88d9c1b9984fdp-3, -0x1.810c9c195140bp-3, -0x1.795a0adade97cp-3, -0x1.71c21d6e40e0ap-3, -0x1.6a44deecf7ce4p-3, -0x1.62e2563d8a44ep-3, -0x1.5b9a8636aaff1p-3, -0x1.546d6dc1fe33p-3, -0x1.4d5b07fe6cde7p-3, -0x1.46634c620cc2fp-3, -0x1.3f862edb90c17p-3, -0x1.38c39ff34a60ep-3, -0x1.321b8ceba13c4p-3, -0x1.2b8ddfe117355p-3, -0x1.251a7fe9c5322p-3, -0x1.1ec1513453083p-3, -0x1.1882352667f1fp-3, -0x1.125d0a7a90099p-3, -0x1.0c51ad5d9c11p-3, -0x1.065ff78b69ee5p-3, -0x1.0087c06b222e2p-3, -0x1.f591ba55d89bep-4, -0x1.ea4641b607a0cp-4, -0x1.df2cb91094849p-4, -0x1.d444beac708f2p-4, -0x1.c98ded308ca2p-4, -0x1.bf07dbd57c0ebp-4, -0x1.b4b21e95e8d6dp-4, -0x1.aa8c465df3b96p-4, -0x1.a095e1395cdf3p-4, -0x1.96ce7a808df27p-4, -0x1.8d359b047f4e8p-4, -0x1.83cac9397e6e6p-4, -0x1.7a8d8960cd55ep-4, -0x1.717d5db12529bp-4, -0x1.6899c67e1c233p-4, -0x1.5fe2425e70481p-4, -0x1.57564e51395cbp-4, -0x1.4ef565e205efep-4, -0x1.46bf034be5425p-4, -0x1.3eb29f9b61341p-4, -0x1.36cfb2cf6c44ap-4, -0x1.2f15b3f945947p-4, -0x1.2784195b5801dp-4, -0x1.201a588715f74p-4, -0x1.18d7e679d7314p-4, -0x1.11bc37b8bc5b3p-4, -0x1.0ac6c06b9a459p-4, -0x1.03f6f476f3646p-4, -0x1.fa988f2a030bbp-5, -0x1.ed8c5adbaa0f8p-5, -0x1.e0c8335d1a21bp-5, -0x1.d44b003f5ac18p-5, -0x1.c813a9752a1c9p-5, -0x1.bc21177c38b8bp-5, -0x1.b0723384b6cfep-5, -0x1.a505e7974170ap-5, -0x1.99db1eb93126p-5, -0x1.8ef0c50f5c725p-5, -0x1.8445c7ff4c5a8p-5, -0x1.79d9164ef27d2p-5, -0x1.6fa9a042e9271p-5, -0x1.65b657bb42525p-5, -0x1.5bfe304ef01e1p-5, -0x1.52801f65d25afp-5, -0x1.493b1c516cb1bp-5, -0x1.402e206450a59p-5, -0x1.37582708443ecp-5, -0x1.2eb82dd32d19ep-5, -0x1.264d349ac79bp-5, -0x1.1e163d87330edp-5, -0x1.16124d245da39p-5, -0x1.0e406a7250ecbp-5, -0x1.069f9ef4713d6p-5, -0x1.fe5ded7f5b7bdp-6, -0x1.efdb010f63896p-6, -0x1.e1b49b56304e7p-6, -0x1.d3e8e47d58f39p-6, -0x1.c6760a2f828d8p-6, -0x1.b95a3fab3e39dp-6, -0x1.ac93bdd436767p-6, -0x1.a020c342a6c7ep-6, -0x1.93ff94513e0cap-6, -0x1.882e7b296960fp-6, -0x1.7cabc7ce27f1ep-6, -0x1.7175d0255f4e6p-6, -0x1.668aefffce774p-6, -0x1.5be9891fa8d57p-6, -0x1.5190033ddeb69p-6, -0x1.477ccc0e2704ap-6, -0x1.3dae5741d62ebp-6, -0x1.34231e898ab46p-6, -0x1.2ad9a195bcb38p-6, -0x1.21d066163d21bp-6, -0x1.1905f7b8abbb7p-6, -0x1.1078e825f97a3p-6, -0x1.0827cefeef1dep-6, -0x1.001149d7d9927p-6, -0x1.f067f866a344fp-7, -0x1.e11d1ef86dc7cp-7, -0x1.d23f65fdbff5fp-7, -0x1.c3cc37c31c8e7p-7, -0x1.b5c10a38596d6p-7, -0x1.a81b5edebec42p-7, -0x1.9ad8c2b5e56e9p-7, -0x1.8df6ce275b713p-7, -0x1.817324f12522fp-7, -0x1.754b760f2be72p-7, -0x1.697d7ba3a4511p-7, -0x1.5e06fade7b2d2p-7, -0x1.52e5c3e3e15b3p-7, -0x1.4817b1b1fd84ap-7, -0x1.3d9aaa05cf387p-7, -0x1.336c9d3f5a814p-7, -0x1.298b86451af9cp-7, -0x1.1ff56a66db158p-7, -0x1.16a8593ff0519p-7, -0x1.0da26c98ebed1p-7, -0x1.04e1c848cc435p-7, -0x1.f8c9342b733cbp-8, -0x1.e852332aaebe6p-8, -0x1.d85b10196ed66p-8, -0x1.c8e0609feb466p-8, -0x1.b9decd4310aedp-8, -0x1.ab5311229c536p-8, -0x1.9d39f9b6c0cf4p-8, -0x1.8f90668d6bedap-8, -0x1.8253490736f12p-8, -0x1.757fa4141665cp-8, -0x1.69128befd748ap-8, -0x1.5d0925de759fap-8, -0x1.5160a7e860356p-8, -0x1.46165896b03aep-8, -0x1.3b278eaf67a9fp-8, -0x1.3091b0f1be938p-8, -0x1.265235d28db3p-8, -0x1.1c66a338e022dp-8, -0x1.12cc8e3ab84a3p-8, -0x1.09819ada1077ep-8, -0x1.00837bc2238bap-8, -0x1.ef9fe40a057e1p-9, -0x1.dec999b31013ap-9, -0x1.ce7fd2b34ad16p-9, -0x1.bebe648241956p-9, -0x1.af813f597c19ep-9, -0x1.a0c46db3c3febp-9, -0x1.928413cd6825bp-9, -0x1.84bc6f2586f5fp-9, -0x1.7769d6006f476p-9, -0x1.6a88b6eb24ea2p-9, -0x1.5e1598400b0a2p-9, -0x1.520d17acc9432p-9, -0x1.466be9b969249p-9, -0x1.3b2ed950bfd94p-9, -0x1.3052c74a21b2fp-9, -0x1.25d4a9f46dacp-9, -0x1.1bb18ca276807p-9, -0x1.11e68f38cd4fdp-9, -0x1.0870e5bcf2d81p-9, -0x1.fe9bafcbef771p-10, -0x1.ecf5815d1f85cp-10, -0x1.dbea1bd135d7bp-10, -0x1.cb747fa446475p-10, -0x1.bb8fd157c0436p-10, -0x1.ac3758a2645dap-10, -0x1.9d667fa34738bp-10, -0x1.8f18d217de766p-10, -0x1.8149fc950b414p-10, -0x1.73f5cbc3455b1p-10, -0x1.67182b9dc4e79p-10, -0x1.5aad26b4c95a9p-10, -0x1.4eb0e572e3a3cp-10, -0x1.431fad655e9dep-10, -0x1.37f5e087af3cap-10, -0x1.2d2ffc91f33abp-10, -0x1.22ca9a4a7d27cp-10, -0x1.18c26cda7136ap-10, -0x1.0f14412558e77p-10, -0x1.05bcfd23d039ep-10, -0x1.f9733e823f6b7p-11, -0x1.e80e7b77bcd7dp-11, -0x1.d7460c130c69bp-11, -0x1.c7147879f8d9cp-11, -0x1.b77474e00c936p-11, -0x1.a860e05f4d107p-11, -0x1.99d4c3d6b6e29p-11, -0x1.8bcb50ce71a14p-11, -0x1.7e3fe061adc75p-11, -0x1.712df22e1ddc6p-11, -0x1.64912b48ffa7fp-11, -0x1.58655539a48b3p-11, -0x1.4ca65cf969ea7p-11, -0x1.415051f915b76p-11, -0x1.365f652b829edp-11, -0x1.2bcfe81591435p-11, -0x1.219e4be348e82p-11, -0x1.17c720821c82ap-11, -0x1.0e4713c03d74bp-11, -0x1.051af070f2073p-11, -0x1.f87f3b2baf197p-12, -0x1.e7643b1a05c6ep-12, -0x1.d6df1a87db8aap-12, -0x1.c6ea46de3b136p-12, -0x1.b7805f8ce4e87p-12, -0x1.a89c348c1b1bfp-12, -0x1.9a38c4e778bcdp-12, -0x1.8c513d51ac813p-12, -0x1.7ee0f6c0f554cp-12, -0x1.71e375143daacp-12, -0x1.655465c0ad0b4p-12, -0x1.592f9e8794d64p-12, -0x1.4d711c3484e4ep-12, -0x1.4215016376059p-12, -0x1.3717954ed9af8p-12, -0x1.2c7542a56bcc1p-12, -0x1.222a9667aceb4p-12, -0x1.18343eccd3ccp-12, -0x1.0e8f0a2f1d738p-12, -0x1.0537e5ff5431p-12, -0x1.f857bb7ecf75bp-13, -0x1.e6d03407f889dp-13, -0x1.d5d3bef9870e8p-13, -0x1.c55d1c070c138p-13, -0x1.b5673f636bf2cp-13, -0x1.a5ed4ff8d71a4p-13, -0x1.96eaa5ad5602dp-13, -0x1.885ac7b399f5dp-13, -0x1.7a396ae7e3cc3p-13, -0x1.6c827038b3306p-13, -0x1.5f31e31afca22p-13, -0x1.5243f809b5997p-13, -0x1.45b50b1063e98p-13, -0x1.39819e608275bp-13, -0x1.2da658f17b438p-13, -0x1.2220052aeedb8p-13, -0x1.16eb8f992070cp-13, -0x1.0c0605ab3b25ep-13, -0x1.016c947b4198fp-13, -0x1.ee390f3ecf866p-14, -0x1.da26900947a9ap-14, -0x1.c69cb5a473681p-14, -0x1.b396c0ac22c4ap-14, -0x1.a11025f32df49p-14, -0x1.8f048c7dfd405p-14, -0x1.7d6fcb8d54eb9p-14, -0x1.6c4de8b90dc59p-14, -0x1.5b9b161a518a8p-14, -0x1.4b53b084f719dp-14, -0x1.3b743dcf9dc65p-14, -0x1.2bf96b2a2872ap-14, -0x1.1ce00b8237ec8p-14, -0x1.0e2515f54c132p-14, -0x1.ff8b48a05956p-15, -0x1.e37de33686711p-15, -0x1.c81cb1671caafp-15, -0x1.ad62a5dfae9fdp-15, -0x1.934aeda3ac41bp-15, -0x1.79d0ed85e6c38p-15, -0x1.60f03fb8a6d1p-15, -0x1.48a4b173bbf3ap-15, -0x1.30ea40afe86adp-15, -0x1.19bd19f70f9fdp-15, -0x1.03199648920c7p-15, -0x1.d9f872228da6cp-16, -0x1.aec35c6d01869p-16, -0x1.848d906723ca1p-16, -0x1.5b50fc9294e0dp-16, -0x1.3307d57dcb1dfp-16, -0x1.0bac9267c97e1p-16, -0x1.ca73d409636afp-17, -0x1.7f559ec469353p-17, -0x1.35f4ddd5dd7adp-17, -0x1.dc90ae1efbf0fp-18, -0x1.508e6f78acf6ep-18, -0x1.8fa43d5795167p-19, -0x1.092e537eac224p-20, 0x1.0052913b24099p-20, 0x1.7ebab84ad7409p-19, 0x1.3b9cc3c1fd2a2p-18, 0x1.b4e076af44906p-18, 0x1.159ac18e9fa16p-17, 0x1.4f5438dfb57fp-17, 0x1.87a2a6aa0ab3bp-17, 0x1.be8bd4ebcce38p-17, 0x1.f41555b322c5ap-17, 0x1.14224333ea83bp-16, 0x1.2d8f49778761p-16, 0x1.46543c552ce3ap-16, 0x1.5e7384a9a6badp-16, 0x1.75ef76da7be99p-16, 0x1.8cca54222d65cp-16, 0x1.a3064bcc84d0bp-16, 0x1.b8a57c638e35dp-16, 0x1.cda9f4cdc2d5dp-16, 0x1.e215b55df0111p-16, 0x1.f5eab0d562a14p-16, 0x1.049566ac6965ap-15, 0x1.0debf2ac47d18p-15, 0x1.16f9e43634762p-15, 0x1.1fc01e11e3a44p-15, 0x1.283f7e653583fp-15, 0x1.3078df1121038p-15, 0x1.386d16095b4bep-15, 0x1.401cf5a6fac7fp-15, 0x1.47894cf63ed1ap-15, 0x1.4eb2e7ffb1564p-15, 0x1.559a900cd70dfp-15, 0x1.5c410be89419p-15, 0x1.62a7201b79fa9p-15, 0x1.68cd8f24274acp-15, 0x1.6eb519abe514p-15, 0x1.745e7eb7a80d7p-15, 0x1.79ca7bd5a0914p-15, 0x1.7ef9cd478205fp-15, 0x1.83ed2e299ee8fp-15, 0x1.88a5589706e1p-15, 0x1.8d2305cac4be5p-15, 0x1.9166ee3e5deb6p-15, 0x1.9571c9c5b6f91p-15, 0x1.99444fa87ad14p-15, 0x1.9cdf36b9238c3p-15, 0x1.a0433569c102cp-15, 0x1.a37101de9d8a3p-15, 0x1.a66951fed78d4p-15, 0x1.a92cdb830d306p-15, 0x1.abbc5402344e8p-15, 0x1.ae1870fcb5252p-15, 0x1.b041e7e5e0e82p-15, 0x1.b2396e2bda92dp-15, 0x1.b3ffb93e0a77bp-15, 0x1.b5957e922baf5p-15, 0x1.b6fb73a811aadp-15, 0x1.b8324e0c2d1e1p-15, 0x1.b93ac358f1679p-15, 0x1.ba1589371e6c9p-15, 0x1.bac3555d0cd02p-15, 0x1.bb44dd8d04cfbp-15, 0x1.bb9ad792b3949p-15, 0x1.bbc5f93fcf327p-15, 0x1.bbc6f867f47cbp-15, 0x1.bb9e8adbd33cap-15, 0x1.bb4d6663ae8cdp-15, 0x1.bad440b945851p-15, 0x1.ba33cf812c81ep-15, 0x1.b96cc843a6293p-15, 0x1.b87fe06503033p-15, 0x1.b76dcd1d98986p-15, 0x1.b6374371557bp-15, 0x1.b4dcf82700492p-15, 0x1.b35f9fbf270f6p-15, 0x1.b1bfee6acc608p-15, 0x1.affe9801d841ep-15, 0x1.ae1c4ff95536bp-15, 0x1.ac19c959826aap-15, 0x1.a9f7b6b3c2ea9p-15, 0x1.a7b6ca186d84cp-15, 0x1.a557b50c8aa4fp-15, 0x1.a2db287f7d4b7p-15, 0x1.a041d4c0a869bp-15, 0x1.9d8c69750b98ep-15, 0x1.9abb958ce2b32p-15, 0x1.97d007394ecap-15, 0x1.94ca6be2070abp-15, 0x1.91ab701b1aed3p-15, 0x1.8e73bf9aca017p-15, 0x1.8b24052f72cbcp-15, 0x1.87bceab59e737p-15, 0x1.843f190e2ab58p-15, 0x1.80ab3814983aep-15, 0x1.7d01ee957f1fp-15, 0x1.7943e2452abc6p-15, 0x1.7571b7b662264p-15, 0x1.718c12515e06cp-15, 0x1.6d93944aee0d3p-15, 0x1.6988de9bd23d1p-15, 0x1.656c90f8470a5p-15, 0x1.613f49c7c66c2p-15, 0x1.5d01a61d01dc7p-15, 0x1.58b441ae15444p-15, 0x1.5457b6ccf1c0ap-15, 0x1.4fec9e60054aap-15, 0x1.4b738fdb1dd26p-15, 0x1.46ed21388a51bp-15, 0x1.4259e6f27699ap-15, 0x1.3dba73fc890dcp-15, 0x1.390f59bdbc8b7p-15, 0x1.3459280a7ace8p-15, 0x1.2f986d1ef471dp-15, 0x1.2acdb599bb3aep-15, 0x1.25f98c7698edp-15, 0x1.211c7b09a97bep-15, 0x1.1c3708fab0b0ap-15, 0x1.1749bc40b2d2dp-15, 0x1.1255191dcaeccp-15, 0x1.0d59a21b401d6p-15, 0x1.0857d805d93dfp-15, 0x1.035039ea6f951p-15, 0x1.fc868a257d93p-16, 0x1.f262ea04e2b76p-16, 0x1.e83686e8d6e89p-16, 0x1.de0250b09d3efp-16, 0x1.d3c733a079e24p-16, 0x1.c986185da5218p-16, 0x1.bf3fe3eab6276p-16, 0x1.b4f577a480fa8p-16, 0x1.aaa7b13f62bc2p-16, 0x1.a0576ac4f945ap-16, 0x1.96057a9250393p-16, 0x1.8bb2b3567012ap-16, 0x1.815fe4115c2ffp-16, 0x1.770dd81373924p-16, 0x1.6cbd56fd3ad27p-16, 0x1.626f24bf875d6p-16, 0x1.5824019c0b3eap-16, 0x1.4ddcaa2640c12p-16, 0x1.4399d744b4759p-16, 0x1.395c3e32a5b03p-16, 0x1.2f24908206dd6p-16, 0x1.24f37c1dcba8ap-16, 0x1.1ac9ab4c95883p-16, 0x1.10a7c4b3a9c95p-16, 0x1.068e6b5a3bea3p-16, 0x1.f8fc7d5a0cffcp-17, 0x1.e4efb50460f96p-17, 0x1.d0f7ae3aef48ep-17, 0x1.bd1592694be14p-17, 0x1.a94a83e89e077p-17, 0x1.95979e0995b7ep-17, 0x1.81fdf51ee713bp-17, 0x1.6e7e968851979p-17, 0x1.5b1a88be038f8p-17, 0x1.47d2cb5c964cep-17, 0x1.34a857315c138p-17, 0x1.219c1e473150ap-17, 0x1.0eaf0bf3ac37p-17, 0x1.f7c409c967a95p-18, 0x1.d26bce5cf2506p-18, 0x1.ad5714b397727p-18, 0x1.88877ee59164ep-18, }}, 
      {{0x1.5099d2a104825p-1, 0x1.50cbd3ad2833cp-1, 0x1.5117a2be2cbc4p-1, 0x1.5174b3e148d5p-1, 0x1.51d9f57d803e7p-1, 0x1.523eb2fe612a6p-1, 0x1.529b1c65e713ep-1, 0x1.52e88e81239cap-1, 0x1.5321afe60c97fp-1, 0x1.53427145109a9p-1, 0x1.5347fb775aaf5p-1, 0x1.533092aa575c2p-1, 0x1.52fb73d19187bp-1, 0x1.52a8afeafb02fp-1, 0x1.52390776a7e78p-1, 0x1.51adc7abd049dp-1, 0x1.5108aa5b548d5p-1, 0x1.504bb9036e526p-1, 0x1.4f79334ca2c16p-1, 0x1.4e9378f460b73p-1, 0x1.4d9cf7077415p-1, 0x1.4c981838b4e14p-1, 0x1.4b8738139a739p-1, 0x1.4a6c98c3e8832p-1, 0x1.494a5b29b73a2p-1, 0x1.482278f222d6ep-1, 0x1.46f6c0700778fp-1, 0x1.45c8d1f4800dfp-1, 0x1.449a1e6bf9514p-1, 0x1.436be70a1219fp-1, 0x1.423f3dd40a276p-1, 0x1.411506dee213cp-1, 0x1.3fedfa1b78079p-1, 0x1.3ecaa58fc9375p-1, 0x1.3dab6fe0f779ep-1, 0x1.3c909b15cef23p-1, 0x1.3b7a477d3798fp-1, 0x1.3a6876a754fdcp-1, 0x1.395b0e63066f3p-1, 0x1.3851dbb415916p-1, 0x1.374c95b8a9eb2p-1, 0x1.364ae0768d51dp-1, 0x1.354c4f8a88df2p-1, 0x1.345068b596d98p-1, 0x1.3356a644dd1fp-1, 0x1.325e79527ce6p-1, 0x1.31674bde17c04p-1, 0x1.307082bcaa012p-1, 0x1.2f797f5ff0d64p-1, 0x1.2e81a17608eb8p-1, 0x1.2d8848625842ep-1, 0x1.2c8cd491196a1p-1, 0x1.2b8ea8a71e70bp-1, 0x1.2a8d2a8f81385p-1, 0x1.2987c4691c555p-1, 0x1.287de555ae15bp-1, 0x1.276f022c9719ap-1, 0x1.265a96131e6e4p-1, 0x1.254022fc26a76p-1, 0x1.241f32112dda5p-1, 0x1.22f754066a73bp-1, 0x1.21c8215bc03b6p-1, 0x1.20913a8c3a1c1p-1, 0x1.1f52482d9e68cp-1, 0x1.1e0afb019ffc4p-1, 0x1.1cbb0bfa16d32p-1, 0x1.1b623c3194f83p-1, 0x1.1a0054d99a945p-1, 0x1.1895271f90afbp-1, 0x1.17208c09a2596p-1, 0x1.15a2644c75b92p-1, 0x1.141a981ab368fp-1, 0x1.128916ef3918ap-1, 0x1.10edd752c077ap-1, 0x1.0f48d69db6326p-1, 0x1.0d9a18b6ea54ep-1, 0x1.0be1a7cfb553fp-1, 0x1.0a1f941e21fe3p-1, 0x1.0853f39597b2p-1, 0x1.067ee19e80a71p-1, 0x1.04a07ecd4e263p-1, 0x1.02b8f0994080ep-1, 0x1.00c861134180cp-1, 0x1.fd9dfd3a463d3p-2, 0x1.f999f74304187p-2, 0x1.f5851c9911f8dp-2, 0x1.f15fe08b9824ap-2, 0x1.ed2abcd6cf25cp-2, 0x1.e8e6311d18204p-2, 0x1.e492c26334498p-2, 0x1.e030fa8fd830cp-2, 0x1.dbc167eecebe7p-2, 0x1.d7449cb7cffb1p-2, 0x1.d2bb2e9936b77p-2, 0x1.ce25b646a5cc9p-2, 0x1.c984cf0bbf41p-2, 0x1.c4d91662ece3ap-2, 0x1.c0232b9052fc3p-2, 0x1.bb63af40e6799p-2, 0x1.b69b432dafd95p-2, 0x1.b1ca89c335821p-2, 0x1.acf225cd01b07p-2, 0x1.a812ba254629cp-2, 0x1.a32ce96888273p-2, 0x1.9e4155ad46d78p-2, 0x1.9950a03f93abap-2, 0x1.945b696080478p-2, 0x1.8f62500955c7ep-2, 0x1.8a65f1b27a882p-2, 0x1.8566ea1df37f2p-2, 0x1.8065d3256b358p-2, 0x1.7b63448b9dcap-2, 0x1.765fd3d11cd19p-2, 0x1.715c140c47039p-2, 0x1.6c5895c4628a7p-2, 0x1.6755e6cfb6ca1p-2, 0x1.6254923495c65p-2, 0x1.5d55200d2f574p-2, 0x1.5858156e1fa76p-2, 0x1.535df44f92b87p-2, 0x1.4e673b78eca9bp-2, 0x1.4974666ed7f51p-2, 0x1.4485ed639f416p-2, 0x1.3f9c4529bd3bp-2, 0x1.3ab7df28856d8p-2, 0x1.35d92952d1014p-2, 0x1.31008e1f92561p-2, 0x1.2c2e74844086bp-2, 0x1.27633ff0f8f86p-2, 0x1.229f504e48727p-2, 0x1.1de301fc80e9bp-2, 0x1.192eadd48ad95p-2, 0x1.1482a92a18a6fp-2, 0x1.0fdf45cf28b6fp-2, 0x1.0b44d218c6cep-2, 0x1.06b398e4f1ea1p-2, 0x1.022be1a19a443p-2, 0x1.fb5be0a9475cep-3, 0x1.f2740b49af48ep-3, 0x1.e9a0bdc778fd5p-3, 0x1.e0e26c3072508p-3, 0x1.d8398413fe5ddp-3, 0x1.cfa66c9b46da2p-3, 0x1.c72986a2b904cp-3, 0x1.bec32cd4ada9dp-3, 0x1.b673b3c51e4dbp-3, 0x1.ae3b6a0e55088p-3, 0x1.a61a986e7aec7p-3, 0x1.9e1181e5e8d0bp-3, 0x1.962063d62b8d1p-3, 0x1.8e4776219e9fcp-3, 0x1.8686eb4b938f3p-3, 0x1.7edef098df558p-3, 0x1.774fae30d23a3p-3, 0x1.6fd9473e77cd2p-3, 0x1.687bda1212b11p-3, 0x1.61378042c380cp-3, 0x1.5a0c4ed052017p-3, 0x1.52fa5644ff21ap-3, 0x1.4c01a2d7599afp-3, 0x1.45223c8c08e78p-3, 0x1.3e5c27577cf23p-3, 0x1.37af633f7a984p-3, 0x1.311bec7c7d109p-3, 0x1.2aa1bb9add459p-3, 0x1.2440c59bb4928p-3, 0x1.1df8fc157922fp-3, 0x1.17ca4d544a469p-3, 0x1.11b4a479da408p-3, 0x1.0bb7e99cfe5f1p-3, 0x1.05d401e8d4a42p-3, 0x1.0008cfbb7efebp-3, 0x1.f4ac6588cdc8ep-4, 0x1.e97810441619ap-4, 0x1.de7454fea7925p-4, 0x1.d3a0e460c5164p-4, 0x1.c8fd6a9dbe78p-4, 0x1.be898fab7fc1ep-4, 0x1.b444f778fffb2p-4, 0x1.aa2f4223ab8fep-4, 0x1.a0480c2b93d2fp-4, 0x1.968eeea6996d8p-4, 0x1.8d037f725f13ep-4, 0x1.83a551651bb6cp-4, 0x1.7a73f47d41fd4p-4, 0x1.716ef60ffe9d5p-4, 0x1.6895e0f688d2ap-4, 0x1.5fe83dba484abp-4, 0x1.576592bfce3e5p-4, 0x1.4f0d6470a31fp-4, 0x1.46df3563ea41dp-4, 0x1.3eda8685da4bep-4, 0x1.36fed73e0f20ap-4, 0x1.2f4ba594b4f7cp-4, 0x1.27c06e56901f9p-4, 0x1.205cad37e1f2bp-4, 0x1.191fdcf631b0ep-4, 0x1.12097778f669fp-4, 0x1.0b18f5f12ba7fp-4, 0x1.044dd0f7ce625p-4, 0x1.fb4f015695b0bp-5, 0x1.ee4af997b64c3p-5, 0x1.e18e79adba871p-5, 0x1.d518704246214p-5, 0x1.c8e7cbe0847aap-5, 0x1.bcfb7b25ca908p-5, 0x1.b1526cf04cc05p-5, 0x1.a5eb908bea6cp-5, 0x1.9ac5d5dd1bd0cp-5, 0x1.8fe02d8a0c443p-5, 0x1.85398921e895p-5, 0x1.7ad0db426a018p-5, 0x1.70a517bbae4d8p-5, 0x1.66b533b25be85p-5, 0x1.5d0025c027f4cp-5, 0x1.5384e612bcc94p-5, 0x1.4a426e8915524p-5, 0x1.4137bacf4ebcbp-5, 0x1.3863c878fe243p-5, 0x1.2fc5971a152a5p-5, 0x1.275c285e5e9f5p-5, 0x1.1f26801f9881ap-5, 0x1.1723a47a3ceccp-5, 0x1.0f529de0fdd5ap-5, 0x1.07b2772eff319p-5, 0x1.00423db8d7f8dp-5, 0x1.f20202b8ccabcp-6, 0x1.e3dba91ef727bp-6, 0x1.d60f98dadb0a7p-6, 0x1.c89c018726bbep-6, 0x1.bb7f18397286cp-6, 0x1.aeb717972119fp-6, 0x1.a2423fe8520dp-6, 0x1.961ed728eed98p-6, 0x1.8a4b2917edba4p-6, 0x1.7ec58744d17a6p-6, 0x1.738c491b79e84p-6, 0x1.689dcbee551b9p-6, 0x1.5df872ff03d99p-6, 0x1.539aa7857af31p-6, 0x1.4982d8b5b54e6p-6, 0x1.3faf7bc4012cep-6, 0x1.361f0be7faf7p-6, 0x1.2cd00a5e42edep-6, 0x1.23c0fe68f9048p-6, 0x1.1af0754f0c3fcp-6, 0x1.125d025a736d4p-6, 0x1.0a053ed54bac5p-6, 0x1.01e7ca05fa579p-6, 0x1.f4069254a1cc1p-7, 0x1.e4accee395641p-7, 0x1.d5bfabedc6773p-7, 0x1.c73c976f3b12fp-7, 0x1.b9210b1a73ad8p-7, 0x1.ab6a8c4669fe9p-7, 0x1.9e16abdb0e399p-7, 0x1.9123063c7f2cep-7, 0x1.848d4334f63d8p-7, 0x1.785315dd84cc9p-7, 0x1.6c723c85b2824p-7, 0x1.60e8809a0d617p-7, 0x1.55b3b689c6613p-7, 0x1.4ad1bdab5654p-7, 0x1.4040802052cc4p-7, 0x1.35fdf2b8753eap-7, 0x1.2c0814d3e19d3p-7, 0x1.225cf044c4579p-7, 0x1.18fa99304f37p-7, 0x1.0fdf2def23935p-7, 0x1.0708d6ed37f5dp-7, 0x1.fceb8d128ba57p-8, 0x1.ec4871e793d2p-8, 0x1.dc24e81b4903dp-8, 0x1.cc7d8e8cc8873p-8, 0x1.bd4f16f48adf8p-8, 0x1.ae96459fe3e36p-8, 0x1.a04ff12c13199p-8, 0x1.92790240fc8c3p-8, 0x1.850e734b96bc6p-8, 0x1.780d5038255bdp-8, 0x1.6b72b62c4c0d8p-8, 0x1.5f3bd3410c0bp-8, 0x1.5365e63cbb97cp-8, 0x1.47ee3e4d047dfp-8, 0x1.3cd23ac0f9106p-8, 0x1.320f4ac34c5b3p-8, 0x1.27a2ed14b90ep-8, 0x1.1d8aafc6a45adp-8, 0x1.13c42ff6080b1p-8, 0x1.0a4d1986ae7d8p-8, 0x1.012326dec7de9p-8, 0x1.f0884145d14c4p-9, 0x1.df5bbae4e6a6p-9, 0x1.cebc8348f5cf2p-9, 0x1.bea67e0a478fcp-9, 0x1.af15a92717f77p-9, 0x1.a0061c80820aep-9, 0x1.91740958938eap-9, 0x1.835bb9d195507p-9, 0x1.75b9906e9a84p-9, 0x1.688a079554617p-9, 0x1.5bc9b1113e4b1p-9, 0x1.4f7535982e4b6p-9, 0x1.43895450444b4p-9, 0x1.3802e2574f143p-9, 0x1.2cdeca4ba7afcp-9, 0x1.221a0bd68563ap-9, 0x1.17b1bb37db2e2p-9, 0x1.0da300d3b8924p-9, 0x1.03eb18c139859p-9, 0x1.f50ea4b60c1e1p-10, 0x1.e2ea1fa2d2f49p-10, 0x1.d1638b7bfa598p-10, 0x1.c075f571e7007p-10, 0x1.b01c8ddff2211p-10, 0x1.a052a77d6d3cdp-10, 0x1.9113b691edd0dp-10, 0x1.825b502ccb8eap-10, 0x1.7425295fe681bp-10, 0x1.666d167db2df8p-10, 0x1.592f0a5a82a1bp-10, 0x1.4c6715910aaap-10, 0x1.401165ca30f15p-10, 0x1.342a45080f7fcp-10, 0x1.28ae18f42f8c8p-10, 0x1.1d996230ff073p-10, 0x1.12e8bbae7427ep-10, 0x1.0898da01dde52p-10, 0x1.fd4d1581c1f42p-11, 0x1.ea1d67bf1fd7dp-11, 0x1.d79ca6234be12p-11, 0x1.c5c4fa5dab066p-11, 0x1.b490bb344fe6p-11, 0x1.a3fa6b58caf4fp-11, 0x1.93fcb842ff95bp-11, 0x1.84927911ec12cp-11, 0x1.75b6ad7259afcp-11, 0x1.67647c8b5ef72p-11, 0x1.599733f0a856ep-11, 0x1.4c4a469a74ce9p-11, 0x1.3f794be334372p-11, 0x1.331ffe8ab6b5p-11, 0x1.273a3bbedb89fp-11, 0x1.1bc40229abe97p-11, 0x1.10b97104d03f3p-11, 0x1.0616c7324bdcep-11, 0x1.f7b0c4b4de25fp-12, 0x1.e3f57c1dd1771p-12, 0x1.d0f4e5e5cb50cp-12, 0x1.bea86bd056f75p-12, 0x1.ad09ae8235c41p-12, 0x1.9c1283ef0637dp-12, 0x1.8bbcf5d06f807p-12, 0x1.7c034026a1407p-12, 0x1.6cdfcfc204eb8p-12, 0x1.5e4d40d5f9893p-12, 0x1.50465d946f155p-12, 0x1.42c61cd23d76bp-12, 0x1.35c7a0b40cb69p-12, 0x1.29463563aa715p-12, 0x1.1d3d4fcda4defp-12, 0x1.11a88c66ff50dp-12, 0x1.0683adfae26aep-12, 0x1.f79539003451fp-13, 0x1.e2f2c7ec82867p-13, 0x1.cf186694d71cp-13, 0x1.bbfeb6866b54bp-13, 0x1.a99e9ae81579ap-13, 0x1.97f1366efa14p-13, 0x1.86efe96124cbbp-13, 0x1.76944fa5b18bap-13, 0x1.66d83ee247c72p-13, 0x1.57b5c4a59a68dp-13, 0x1.4927249ea9c3cp-13, 0x1.3b26d6e086ae2p-13, 0x1.2daf86323e7e6p-13, 0x1.20bc0e6acbe4ep-13, 0x1.14477ad8a50c2p-13, 0x1.084d04b4c3dfp-13, 0x1.f9902341acfbcp-14, 0x1.e3686460aa764p-14, 0x1.ce1a40f89e926p-14, 0x1.b99d7d8334aa1p-14, 0x1.a5ea2c126aa1dp-14, 0x1.92f8a9b543169p-14, 0x1.80c19befd549ap-14, 0x1.6f3dee46605c6p-14, 0x1.5e66cfdadd17p-14, 0x1.4e35b11ca10fdp-14, 0x1.3ea44189a3dedp-14, 0x1.2fac6d80f598ap-14, 0x1.21485c25fc191p-14, 0x1.13726d540bc09p-14, 0x1.062537a1f2f9cp-14, 0x1.f2b70cea24c7p-15, 0x1.da20b04735851p-15, 0x1.c27db84b216c3p-15, 0x1.abc4e2a865db5p-15, 0x1.95ed486ec6cadp-15, 0x1.80ee5ac16e238p-15, 0x1.6cbfdfa7a0ec1p-15, 0x1.5959eef75514dp-15, 0x1.46b4ef58f6f8fp-15, 0x1.34c99363b5fa4p-15, 0x1.2390d6d1a8bf3p-15, 0x1.1303fbcb2bff8p-15, 0x1.031c8848d05e5p-15, 0x1.e7a8871680baap-16, 0x1.ca4a6750fcdfcp-16, 0x1.ae13365bca9bfp-16, 0x1.92f7edacaabb8p-16, 0x1.78edf6a7fc028p-16, 0x1.5feb265a65564p-16, 0x1.47e5b9578e492p-16, 0x1.30d44fbcbe98p-16, 0x1.1aade95676cfap-16, 0x1.0569e1e7ecaecp-16, 0x1.e1ffdb26dcae6p-17, 0x1.bad02ac5815cep-17, 0x1.953567dcf23f3p-17, 0x1.7120e446e99bep-17, 0x1.4e84884aef282p-17, 0x1.2d52cc9c4442cp-17, 0x1.0d7eb48eaca41p-17, 0x1.ddf79100f62dap-18, 0x1.a37c20f070725p-18, 0x1.6b741de89c52fp-18, 0x1.35c977d659e6cp-18, 0x1.0266fff4cd9c9p-18, 0x1.a270bf0d28138p-19, 0x1.44541dce241c7p-19, 0x1.d4a533c475a4bp-20, 0x1.28905ae0f412bp-20, 0x1.0848fc8f10b2p-21, -0x1.8e0da4ff90f29p-24, -0x1.5d7f148b7fc1fp-21, -0x1.3db4ec6a5e691p-20, -0x1.c5fbf63eeac44p-20, -0x1.23e6a91314169p-19, -0x1.61afbc47d9674p-19, -0x1.9c736412f7009p-19, -0x1.d44ace839ede6p-19, -0x1.04a719c4addcap-18, -0x1.1dca6fd41fbbdp-18, -0x1.359a9f1f5b37ap-18, -0x1.4c2271b06e0b6p-18, -0x1.616c4aa67dd1bp-18, -0x1.75822abe6566ap-18, -0x1.886db4ab7271fp-18, -0x1.9a383141ebf2fp-18, -0x1.aaea93750a5fp-18, -0x1.ba8d7c29f5fecp-18, -0x1.c9293de155d77p-18, -0x1.d6c5e038efe93p-18, -0x1.e36b2346cbb21p-18, -0x1.ef2082cf42fefp-18, -0x1.f9ed39575807fp-18, -0x1.01ec218a563a5p-17, -0x1.0674305e2c07ap-17, -0x1.0a920d18f1b55p-17, -0x1.0e48e08bcb911p-17, -0x1.119bb9a0a6e28p-17, -0x1.148d8e8571e1ap-17, -0x1.17213dc9b1ec5p-17, -0x1.19598f6efbdacp-17, -0x1.1b3935ecd4e6p-17, -0x1.1cc2cf2878388p-17, -0x1.1df8e560fdcedp-17, -0x1.1eddf010578b9p-17, -0x1.1f7454c198c9ap-17, -0x1.1fbe67dcf6d2dp-17, -0x1.1fbe6d69ec94dp-17, -0x1.1f7699c7eac9cp-17, -0x1.1ee9125df770cp-17, -0x1.1e17ee419d6fp-17, -0x1.1d0536d58b2dcp-17, -0x1.1bb2e8603764cp-17, -0x1.1a22f29ae702p-17, -0x1.1857393964052p-17, -0x1.1651946aba7aep-17, -0x1.1413d15345ab6p-17, -0x1.119fb2805d092p-17, -0x1.0ef6f055e52f9p-17, -0x1.0c1b39760f98bp-17, -0x1.090e332387de7p-17, -0x1.05d1799e54248p-17, -0x1.0266a07ba2e21p-17, -0x1.fd9e65f18cf19p-18, -0x1.f61968932a212p-18, -0x1.ee413fc4cec3cp-18, -0x1.e618d37bd4e6ep-18, -0x1.dda2fd3df0efbp-18, -0x1.d4e2889d55e32p-18, -0x1.cbda33adaa7b3p-18, -0x1.c28caf722b456p-18, -0x1.b8fca0455246ep-18, -0x1.af2c9e3a58e3ep-18, -0x1.a51f3578e42a9p-18, -0x1.9ad6e6932ba35p-18, -0x1.905626d6e2fd8p-18, -0x1.859f609930f6ep-18, -0x1.7ab4f37df611fp-18, -0x1.6f9934baa5f99p-18, -0x1.644e6f54f38fap-18, -0x1.58d6e45d89de9p-18, -0x1.4d34cb270ebebp-18, -0x1.416a5179a3f03p-18, -0x1.35799bc31dfe3p-18, -0x1.2964c5441fe89p-18, -0x1.1d2de03a520c8p-18, -0x1.10d6f607daa2fp-18, -0x1.046207584cdc1p-18, -0x1.efa218865eeacp-19, -0x1.d64be8d8941b7p-19, -0x1.bcc54e43ba7fcp-19, -0x1.a31206f1cf0cp-19, -0x1.8935c0cf3d58cp-19, -0x1.6f3419bc701dcp-19, -0x1.55109fbc4ff43p-19, -0x1.3aced11fd7026p-19, -0x1.20721caf06cdbp-19, -0x1.05fde1cf65189p-19, -0x1.d6eae1507f924p-20, -0x1.a1b81489c0649p-20, -0x1.6c69c169bb309p-20, -0x1.37062e557a1ccp-20, -0x1.01938432031c6p-20, -0x1.982f9d3774aa7p-21, -0x1.2d31f8366cb4dp-21, -0x1.8473795f81955p-22, -0x1.5d495244b4f0fp-23, 0x1.3790f3adf40cfp-25, 0x1.f875d9ca0e08fp-23, 0x1.d120424898781p-22, 0x1.52c687594a2dfp-21, 0x1.bcb658c10564fp-21, 0x1.132abe2f778f8p-20, 0x1.47cd081c865c4p-20, 0x1.7c3d3483bbd5p-20, 0x1.b07688f240457p-20, 0x1.e47465fe9ad8ep-20, 0x1.0c1923907cfe6p-19, 0x1.25d5e145ba6c2p-19, 0x1.3f6e4481110ep-19, 0x1.58e032d977b3cp-19, 0x1.72299f0690887p-19, 0x1.8b4888cc37621p-19, 0x1.a43afce5ceee2p-19, 0x1.bcff14f14a6bbp-19, 0x1.d592f759e7446p-19, 0x1.edf4d7429718ep-19, 0x1.03117a380634dp-18, 0x1.0f0dcd9934eebp-18, 0x1.1aee92274934ap-18, 0x1.26b2fa7385659p-18, 0x1.325a3f323cccp-18, 0x1.3de39f2eda495p-18, 0x1.494e5f3fb1653p-18, 0x1.5499ca399771bp-18, 0x1.5fc530e342c0ep-18, 0x1.6acfe9e871a56p-18, 0x1.75b951ccd9d2ap-18, 0x1.8080cadedc5c3p-18, 0x1.8b25bd2a02a8bp-18, 0x1.95a79669432fbp-18, 0x1.a005c9f90d6fcp-18, 0x1.aa3fd0c920db6p-18, 0x1.b455294e2c25cp-18, 0x1.be4557733785ep-18, 0x1.c80fe48addb0dp-18, 0x1.d1b45f404ea35p-18, 0x1.db325b8823baap-18, 0x1.e489729102cd1p-18, 0x1.edb942b413b87p-18, 0x1.f6c16f654866p-18, 0x1.ffa1a1237a261p-18, 0x1.042cc2b42f0eep-17, 0x1.0874674c28886p-17, 0x1.0ca799f8ff6d2p-17, 0x1.10c638bef1ecdp-17, 0x1.14d023fed77a2p-17, 0x1.18c53e6dc1144p-17, 0x1.1ca56d0c8a497p-17, 0x1.2070971f5c63fp-17, 0x1.2426a625250d2p-17, 0x1.27c785ceffae7p-17, 0x1.2b5323f795744p-17, 0x1.2ec9709a7135ap-17, 0x1.322a5dcb4c02dp-17, 0x1.3575dfad510d8p-17, 0x1.38abec6a5a382p-17, 0x1.3bcc7c2a272b1p-17, 0x1.3ed789098f148p-17, 0x1.41cd0f11ae5f6p-17, 0x1.44ad0c2f113f5p-17, 0x1.47778028dca57p-17, 0x1.4a2c6c97f531fp-17, 0x1.4ccbd4de2693cp-17, 0x1.4f55be1d4bc54p-17, 0x1.51ca2f2e7793cp-17, 0x1.54293099247f5p-17, 0x1.5672cc8a5cae8p-17, 0x1.58a70ecbf59ffp-17, 0x1.5ac604bbc515fp-17, 0x1.5ccfbd42e189dp-17, 0x1.5ec448cce6f1ep-17, 0x1.60a3b93f470eep-17, 0x1.626e21f099b96p-17, 0x1.642397a0015c9p-17, 0x1.65c4306c92527p-17, 0x1.675003ccc456fp-17, 0x1.68c72a85f5463p-17, 0x1.6a29bea3f19e2p-17, 0x1.6b77db708cdb3p-17, 0x1.6cb19d6b455bap-17, 0x1.6dd72240faffap-17, 0x1.6ee888c3acfd9p-17, 0x1.6fe5f0e24be3ep-17, 0x1.70cf7ba09ce5dp-17, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      102, 0x1.4p+2, 0x1.899b66b437aeep+0, 0x1.b7821a7efb31dp+1, -0x1.4be01927f6964p-1, 
      {{
        {0x1.6b9f559b3d07dp+0, 0x1.6e978d4fdf3b6p+0, 0x1.6baf640639d5ep+1, -0x1.575f1261d37bdp+2, 0x1.07f8b1c4f4ep+2, 0x1.5c375da1b2d61p-1}, 
        {0x1.6e978d4fdf3b6p+0, 0x1.718fc504816fp+0, 0x1.63ca42aed1394p+1, -0x1.513acb5898ae5p+2, 0x1.097c77d24b24ep+2, -0x1.b345350bbb477p+1}, 
        {0x1.718fc504816fp+0, 0x1.7487fcb923a2ap+0, 0x1.5c0980b242071p+1, -0x1.4b288270c0fd9p+2, 0x1.01e9998f94a25p+2, 0x1.be3261c4fc6e6p-4}, 
        {0x1.7487fcb923a2ap+0, 0x1.7780346dc5d64p+0, 0x1.546c764adff82p+1, -0x1.452bfec113de2p+2, 0x1.0227b5df8b99ap+2, -0x1.b88bcc06bb90bp+1}, 
        {0x1.7780346dc5d64p+0, 0x1.7a786c226809dp+0, 0x1.4cf2cf95d4e9p+1, -0x1.3f458612e15fdp+2, 0x1.f4faaf1754761p+1, 0x1.b0a0cd5257421p-1}, 
        {0x1.7a786c226809dp+0, 0x1.7d70a3d70a3d7p+0, 0x1.459be4cd74928p+1, -0x1.39703a2a21ccfp+2, 0x1.f8be3bbb5943fp+1, -0x1.960fdb11d13c3p+2}, 
        {0x1.7d70a3d70a3d7p+0, 0x1.8068db8bac711p+0, 0x1.3e67620ee8d11p+1, -0x1.33bf4e2da3d4cp+2, 0x1.dc7b2f25a0ec3p+1, 0x1.541b4353f291fp+2}, 
        {0x1.8068db8bac711p+0, 0x1.836113404ea4bp+0, 0x1.37544bb1af3a1p+1, -0x1.2e153314b706fp+2, 0x1.f42710cfecfe3p+1, -0x1.102bebe839973p+3}, 
        {0x1.836113404ea4bp+0, 0x1.86594af4f0d84p+0, 0x1.3062f5989df11p+1, -0x1.2880332e494f3p+2, 0x1.ce442d69f7d14p+1, 0x1.8a5d646ebd8cfp+1}, 
        {0x1.86594af4f0d84p+0, 0x1.895182a9930bep+0, 0x1.299210385c67ep+1, -0x1.230f139dd6147p+2, 0x1.dbfd7ea16e704p+1, -0x1.e8c5e217dd305p+1}, 
        {0x1.895182a9930bep+0, 0x1.8c49ba5e353f8p+0, 0x1.22e19b90ea9e7p+1, -0x1.1da2d4dd0459ep+2, 0x1.cafb1d299cb4bp+1, -0x1.3d6d1718c9a59p-1}, 
        {0x1.8c49ba5e353f8p+0, 0x1.8f41f212d7732p+0, 0x1.1c50efdc9c4dbp+1, -0x1.1853f134b75d4p+2, 0x1.c8382476602c6p+1, -0x1.baf7755fa9c42p-4}, 
        {0x1.8f41f212d7732p+0, 0x1.923a29c779a6bp+0, 0x1.15dfb9389b52p+1, -0x1.1309de5e3df0bp+2, 0x1.c7bcd20d9bf77p+1, -0x1.56a84034cb2e3p+2}, 
        {0x1.923a29c779a6bp+0, 0x1.9532617c1bda5p+0, 0x1.0f8da3c21187ep+1, -0x1.0de3ebd4f6e57p+2, 0x1.afe37db6605c7p+1, 0x1.26f99ec36b083p+1}, 
        {0x1.9532617c1bda5p+0, 0x1.982a9930be0dfp+0, 0x1.0959b3d07c84bp+1, -0x1.08d2249f1d405p+2, 0x1.ba275d73a75cdp+1, -0x1.ee95faa566c75p+1}, 
        {0x1.982a9930be0dfp+0, 0x1.9b22d0e560419p+0, 0x1.0343e963dc487p+1, -0x1.03caadd1e37d3p+2, 0x1.a8f132d5bb3c4p+1, 0x1.5a4710d965f17p-2}, 
        {0x1.9b22d0e560419p+0, 0x1.9e1b089a02752p+0, 0x1.fa97396d0917dp+0, -0x1.fdb51177846fcp+1, 0x1.aa72d0351701cp+1, -0x1.f29842a2531d4p+1}, 
        {0x1.9e1b089a02752p+0, 0x1.a113404ea4a8cp+0, 0x1.eee0f3cb3e575p+0, -0x1.f403d4c84e352p+1, 0x1.9918eea81173fp+1, 0x1.3702beba24b82p+1}, 
        {0x1.a113404ea4a8cp+0, 0x1.a40b780346dc6p+0, 0x1.e363b256ffc11p+0, -0x1.ea65fabdc571cp+1, 0x1.a3ebaa21d92ecp+1, -0x1.74b95c239492dp+2}, 
        {0x1.a40b780346dc6p+0, 0x1.a703afb7e91p+0, 0x1.d81f75104d552p+0, -0x1.e0f505fd84fep+1, 0x1.89fa9dc7b7b2fp+1, 0x1.a55007a2b236bp+0}, 
        {0x1.a703afb7e91p+0, 0x1.a9fbe76c8b439p+0, 0x1.cd1244a6223e2p+0, -0x1.d7bb557685d72p+1, 0x1.914f4faded7cep+1, -0x1.84b55bfe862c3p-1}, 
        {0x1.a9fbe76c8b439p+0, 0x1.acf41f212d773p+0, 0x1.c23c21187e7cp+0, -0x1.ce75eac7493d5p+1, 0x1.8ded946f2b591p+1, -0x1.40feae555d782p+2}, 
        {0x1.acf41f212d773p+0, 0x1.afec56d5cfaadp+0, 0x1.b79c62a1b5c7dp+0, -0x1.c57ce32cc643ap+1, 0x1.779638d697533p+1, 0x1.9a05562ff530dp+0}, 
        {0x1.afec56d5cfaadp+0, 0x1.b2e48e8a71de7p+0, 0x1.ad3111f0c34c2p+0, -0x1.bcb1041baf478p+1, 0x1.7eb89e6f14798p+1, -0x1.641a9f6a5edb4p+0}, 
        {0x1.b2e48e8a71de7p+0, 0x1.b5dcc63f1412p+0, 0x1.a2fa2f05a708fp+0, -0x1.b3e25bd73ec5bp+1, 0x1.788663a5b3e64p+1, -0x1.38d8211f00d5ap+1}, 
        {0x1.b5dcc63f1412p+0, 0x1.b8d4fdf3b645ap+0, 0x1.98f7121ab4b73p+0, -0x1.ab466e83cdbe4p+1, 0x1.6da352852fe0ap+1, -0x1.a54f2b05ad448p+0}, 
        {0x1.b8d4fdf3b645ap+0, 0x1.bbcd35a858794p+0, 0x1.8f266ba493c8ap+0, -0x1.a2e09aa6c81afp+1, 0x1.664ea475ad52cp+1, 0x1.4f6bc24e93f17p+1}, 
        {0x1.bbcd35a858794p+0, 0x1.bec56d5cfaacep+0, 0x1.858793dd97f63p+0, -0x1.9a6de20625346p+1, 0x1.71fad726b2445p+1, -0x1.1ac1dcedf1c9ap+3}, 
        {0x1.bec56d5cfaacep+0, 0x1.c1bda5119ce07p+0, 0x1.7c1a8ac5c13fdp+0, -0x1.924d61aa91605p+1, 0x1.4a9eba721e54cp+1, 0x1.c6439c9201ad7p+2}, 
        {0x1.c1bda5119ce07p+0, 0x1.c4b5dcc63f141p+0, 0x1.72dcb1465e892p+0, -0x1.8a43dfb273cf1p+1, 0x1.6a3c9fdd5b11p+1, -0x1.af8003904a35p+2}, 
        {0x1.c4b5dcc63f141p+0, 0x1.c7ae147ae147bp+0, 0x1.69cf56eac8605p+0, -0x1.8235a941789cp+1, 0x1.4c3454400fdc1p+1, 0x1.4d6313333f675p-1}, 
        {0x1.c7ae147ae147bp+0, 0x1.caa64c2f837b5p+0, 0x1.60f08461f9f02p+0, -0x1.7a7804fd82d9ap+1, 0x1.4f1ad941747b5p+1, -0x1.226dc0ee548d9p+1}, 
        {0x1.caa64c2f837b5p+0, 0x1.cd9e83e425aeep+0, 0x1.583f91e646f15p+0, -0x1.72cfc7326a496p+1, 0x1.44ff7a2ba4f1bp+1, 0x1.02538a1183db5p+1}, 
        {0x1.cd9e83e425aeep+0, 0x1.d096bb98c7e28p+0, 0x1.4fbbd7b2031cfp+0, -0x1.6b2adab0e22bep+1, 0x1.4dfcdad3fc2b3p+1, -0x1.737033ab4b54bp+2}, 
        {0x1.d096bb98c7e28p+0, 0x1.d38ef34d6a162p+0, 0x1.476555c52e72ep+0, -0x1.63b8013d403fdp+1, 0x1.3422b74878f91p+1, 0x1.fa1be96e3918cp+0}, 
        {0x1.d38ef34d6a162p+0, 0x1.d6872b020c49cp+0, 0x1.3f3a14cec41ddp+0, -0x1.5c77c64f84f74p+1, 0x1.3cf120c5a0fb2p+1, -0x1.0d576b858bb1dp+1}, 
        {0x1.d6872b020c49cp+0, 0x1.d97f62b6ae7d5p+0, 0x1.373a14cec41ddp+0, -0x1.55393a4358e17p+1, 0x1.33919e5c86ec5p+1, 0x1.114120ce74a83p-5}, 
        {0x1.d97f62b6ae7d5p+0, 0x1.dc779a6b50b0fp+0, 0x1.2f64adff822bcp+0, -0x1.4e1612d80eb86p+1, 0x1.33b7a7d63d42ep+1, -0x1.1be3adb066a1fp+2}, 
        {0x1.dc779a6b50b0fp+0, 0x1.df6fd21ff2e49p+0, 0x1.27b9389b52008p+0, -0x1.472d2761b830fp+1, 0x1.1ff56dab0978cp+1, 0x1.39617fa4b14e8p+2}, 
        {0x1.df6fd21ff2e49p+0, 0x1.e26809d495183p+0, 0x1.20366516db0dep+0, -0x1.403e237dc103fp+1, 0x1.35c51f8318453p+1, -0x1.17ce7b3a7fdcep+3}, 
        {0x1.e26809d495183p+0, 0x1.e5604189374bcp+0, 0x1.18dcdb37c99afp+0, -0x1.398204085e2eap+1, 0x1.0ed228fb90ea6p+1, 0x1.1cfcf078fe03bp+2}, 
        {0x1.e5604189374bcp+0, 0x1.e858793dd97f6p+0, 0x1.11a9fbe76c8b4p+0, -0x1.32fea74d5a9ecp+1, 0x1.22a7f68b90924p+1, -0x1.54a2e20119b14p+1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb50b0f27bb3p+0, 0x1.0a9e6eeb7026p+0, -0x1.2c63974155692p+1, 0x1.16cd4d80ac0aap+1, -0x1.b790dc961721dp-3}, 
        {0x1.eb50b0f27bb3p+0, 0x1.ee48e8a71de6ap+0, 0x1.03b98c7e28241p+0, -0x1.25ee91bef7687p+1, 0x1.15d88d6eb50a8p+1, -0x1.71839bb4ba422p+1}, 
        {0x1.ee48e8a71de6ap+0, 0x1.f141205bc01a3p+0, 0x1.f9f559b3d07c8p-1, -0x1.1fa292c108f2dp+1, 0x1.08fca013f0185p+1, 0x1.d743711ff58e5p-3}, 
        {0x1.f141205bc01a3p+0, 0x1.f4395810624ddp+0, 0x1.ecc144028e4fcp-1, -0x1.1979b83f5d991p+1, 0x1.0a030658a901bp+1, -0x1.3ca535ff753f7p+0}, 
        {0x1.f4395810624ddp+0, 0x1.f7318fc504817p+0, 0x1.dfd63022dd7aap-1, -0x1.135e2f095bf68p+1, 0x1.04808f49d2553p+1, -0x1.0c66dbb17312fp+0}, 
        {0x1.f7318fc504817p+0, 0x1.fa29c779a6b51p+0, 0x1.d332f01754b06p-1, -0x1.0d60e0b444878p+1, 0x1.ffa9fb488d832p+0, -0x1.f3a989e1abd3p-1}, 
        {0x1.fa29c779a6b51p+0, 0x1.04816f0068db9p+1, 0x1.c6d634549b62cp-1, -0x1.077e597231815p+1, 0x1.f6f8493791f22p+0, -0x1.e79f856433e76p-1}, 
        {0x1.04816f0068db9p+1, 0x1.0bedfa43fe5c9p+1, 0x1.8cfebd09e12a5p-1, -0x1.d71a67cd499fap+0, 0x1.cc8bf1947c05ap+0, -0x1.c774b66c48b0ep-1}, 
        {0x1.0bedfa43fe5c9p+1, 0x1.135a858793dd9p+1, 0x1.595b573eab368p-1, -0x1.a3fa5be8dd2f8p+0, 0x1.a4ec0798e3444p+0, -0x1.a8e6938333dbap-1}, 
        {0x1.135a858793dd9p+1, 0x1.1ac710cb295eap+1, 0x1.2b636f3b213e4p-1, -0x1.754b893d44114p+0, 0x1.7ff4a43c52364p+0, -0x1.90d9022921d99p-1}, 
        {0x1.1ac710cb295eap+1, 0x1.22339c0ebedfap+1, 0x1.02975afaf8594p-1, -0x1.4ac7652509dabp+0, 0x1.5d14f639412fbp+0, -0x1.6f8af128ec594p-1}, 
        {0x1.22339c0ebedfap+1, 0x1.29a027525460bp+1, 0x1.bcfede97d06bcp-2, -0x1.2423d7a8d3133p+0, 0x1.3d1b0cc34327p+0, -0x1.5cffa1c9864ecp-1}, 
        {0x1.29a027525460bp+1, 0x1.310cb295e9e1bp+1, 0x1.7d5992428d435p-2, -0x1.011de68df6406p+0, 0x1.1ebe27642962dp+0, -0x1.3d66b0d681366p-1}, 
        {0x1.310cb295e9e1bp+1, 0x1.38793dd97f62bp+1, 0x1.456eefa1e3eafp-2, -0x1.c2e998898375bp-1, 0x1.0320feeb19898p+0, -0x1.2e434ab042b07p-1}, 
        {0x1.38793dd97f62bp+1, 0x1.3fe5c91d14e3cp+1, 0x1.147f13059641fp-2, -0x1.89d8531baa508p-1, 0x1.d1a9feaa37dbp-1, -0x1.0f144033eab14p-1}, 
        {0x1.3fe5c91d14e3cp+1, 0x1.47525460aa64cp+1, 0x1.d3acd5b6805a3p-3, -0x1.56904feceb36ap-1, 0x1.a27f0c11d31d3p-1, -0x1.0020e5721c55dp-1}, 
        {0x1.47525460aa64cp+1, 0x1.4ebedfa43fe5dp+1, 0x1.89a1b9f98b71cp-3, -0x1.289a5e37eef18p-1, 0x1.75ee0f2771001p-1, -0x1.d48dc7bb4765ap-2}, 
        {0x1.4ebedfa43fe5dp+1, 0x1.562b6ae7d566dp+1, 0x1.49ab29e4d5d81p-3, -0x1.ff2ed2d2e2e3bp-2, 0x1.4d2a6da6408c4p-1, -0x1.afd8f04a39b42p-2}, 
        {0x1.562b6ae7d566dp+1, 0x1.5d97f62b6ae7dp+1, 0x1.12af9a8cdea03p-3, -0x1.b63f24f887928p-2, 0x1.27985299a6894p-1, -0x1.8773d48f29b6ap-2}, 
        {0x1.5d97f62b6ae7dp+1, 0x1.6504816f0068ep+1, 0x1.c759253543aebp-4, -0x1.759e80dbb2834p-2, 0x1.0589e4b72dea6p-1, -0x1.6c102cbc832a8p-2}, 
        {0x1.6504816f0068ep+1, 0x1.6c710cb295e9ep+1, 0x1.776c4827b6fe3p-4, -0x1.3c9dc6b7d329cp-2, 0x1.cbbaf4d8d251ap-2, -0x1.4513dedb89ee8p-2}, 
        {0x1.6c710cb295e9ep+1, 0x1.73dd97f62b6aep+1, 0x1.33e681a9b8cb9p-4, -0x1.0a917af0543a5p-2, 0x1.932ab2ef09aep-2, -0x1.2fba09e2d160ep-2}, 
        {0x1.73dd97f62b6aep+1, 0x1.7b4a2339c0ebfp+1, 0x1.f67d34df04ddbp-5, -0x1.bdbb773fb7c0dp-3, 0x1.5e517f099e97ap-2, -0x1.096b6b18ef695p-2}, 
        {0x1.7b4a2339c0ebfp+1, 0x1.82b6ae7d566cfp+1, 0x1.9817b95a29414p-5, -0x1.71d0cf3389d4cp-3, 0x1.3022a53c1095p-2, -0x1.eba047b4b52e3p-3}, 
        {0x1.82b6ae7d566cfp+1, 0x1.8a2339c0ebeep+1, 0x1.4a18bd66277c4p-5, -0x1.3037bec66a12ap-3, 0x1.055d262a0a092p-2, -0x1.b9afb1e30e54fp-3}, 
        {0x1.8a2339c0ebeep+1, 0x1.918fc504816fp+1, 0x1.0a350d2806af4p-5, -0x1.f013e2648c921p-4, 0x1.bddfd2c089e54p-3, -0x1.82c16d5c7ee36p-3}, 
        {0x1.918fc504816fp+1, 0x1.98fc504816fp+1, 0x1.acb85a4f00ef1p-6, -0x1.9070ec7316ca3p-4, 0x1.7a942ed3c5bd1p-3, -0x1.6004ce0d9b923p-3}, 
        {0x1.98fc504816fp+1, 0x1.a068db8bac711p+1, 0x1.5974e65bea0bap-6, -0x1.3fb7496aac1b6p-4, 0x1.3d53dbdeb7783p-3, -0x1.3079f6373355ep-3}, 
        {0x1.a068db8bac711p+1, 0x1.a7d566cf41f21p+1, 0x1.1758e219652bdp-6, -0x1.f87ba85b01c43p-5, 0x1.085942f2cecacp-3, -0x1.15773e56d6388p-3}, 
        {0x1.a7d566cf41f21p+1, 0x1.af41f212d7732p+1, 0x1.c70435efa615bp-7, -0x1.8906a74deac77p-5, 0x1.b023a67992867p-4, -0x1.d33b9faf467a6p-4}, 
        {0x1.af41f212d7732p+1, 0x1.b6ae7d566cf42p+1, 0x1.76bc1eff9f87fp-7, -0x1.2e33479909f34p-5, 0x1.5ed73a4e46429p-4, -0x1.9a338a1950af6p-4}, 
        {0x1.b6ae7d566cf42p+1, 0x1.be1b089a02752p+1, 0x1.396d0917d6b66p-7, -0x1.ca2b6645d6b85p-6, 0x1.1777384ae4c4p-4, -0x1.7124e582eed19p-4}, 
        {0x1.be1b089a02752p+1, 0x1.c58793dd97f63p+1, 0x1.0b39192641b33p-7, -0x1.5766285caad0dp-6, 0x1.ae7820b712127p-5, -0x1.138229474ea16p-4}, 
        {0x1.c58793dd97f63p+1, 0x1.c7ae147ae147bp+1, 0x1.d18090b417ca2p-8, -0x1.fd4dc7751114ap-7, 0x1.4e97a1b5cec54p-5, -0x1.623b3e5b8e118p-4}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.c11e42e126202p-8, -0x1.d2bbedc33b85ap-7, 0x1.2ae2c2bf02ce6p-5, -0x1.d0f1263e3176bp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.9f5dfeb8d8234p-8, -0x1.7c047cfa6695p-7, 0x1.e62f7c506024p-6, -0x1.cb944a1795527p-5}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.83d790752da98p-8, -0x1.370d41240f84cp-7, 0x1.77e2efa6e0249p-6, -0x1.80bdb16378cb4p-5}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.6d2aa5c5f7c67p-8, -0x1.024c060938ee9p-7, 0x1.1b8c73289a312p-6, -0x1.3174f05a8761fp-5}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.5a294141e9af6p-8, -0x1.b596817303c67p-8, 0x1.a47a5e77abb82p-7, -0x1.396e8d326babcp-5}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.49d7ba6698bb5p-8, -0x1.7e58e31257579p-8, 0x1.0e07dd40bfb95p-7, -0x1.d1a1b5b78d1b9p-6}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.3b4b2fa93af75p-8, -0x1.5c1519feced4dp-8, 0x1.3c8ee866d550cp-8, -0x1.469c0ebcf8208p-6}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.2dcb1465e8922p-8, -0x1.4907572609641p-8, 0x1.3f923d88e5632p-9, -0x1.09f707aa4863ep-5}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.20c069e7fb268p-8, -0x1.46757906bdc5ep-8, -0x1.7e29b6d840f78p-10, -0x1.a6aecfc318c7ap-8}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.13836a832b991p-8, -0x1.50218a2c5c7a4p-8, -0x1.24867decdec05p-9, -0x1.456320e85634dp-6}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.05c03361565c3p-8, -0x1.621457ba1794ap-8, -0x1.2e72d3e0d631ep-8, -0x1.018f90dbc1b4bp-7}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.ee2435696e58ap-9, -0x1.7cbf7867610d8p-8, -0x1.6c435d0b569aep-8, -0x1.6efb7ac04c14bp-7}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.ce6c093d96638p-9, -0x1.9d6979a729a21p-8, -0x1.c456c22f3fe79p-8, 0x1.7afaf7b9e44c9p-8}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.abf3387160957p-9, -0x1.bfc7af51fc7f7p-8, -0x1.96dc7b7f57b56p-8, -0x1.86fa74b37d6b9p-7}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.86b9c304ccee6p-9, -0x1.e41512626705dp-8, -0x1.f4b2311b0f68ep-8, 0x1.5e6c56f103de7p-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.5e7c8d195896ap-9, -0x1.04631044c99dp-7, -0x1.a09830b841ae5p-8, 0x1.06a48c77b6f1ap-6}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.33a0407cc7d1cp-9, -0x1.1287853205e05p-7, -0x1.2286a59d8377bp-8, 0x1.b1bd15450fd6bp-9}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.06cca2db61bbp-9, -0x1.1da142fcf3762p-7, -0x1.08806c04e3cc1p-8, 0x1.103e7472e1027p-5}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.b10fd7e45803dp-10, -0x1.22fba00115be9p-7, -0x1.92df64e72c5d9p-15, 0x1.47d4b9c055046p-6}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.54434e3369b9dp-10, -0x1.1ff62d6e1ed21p-7, 0x1.346c3efc11158p-9, 0x1.6018180c75381p-5}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.f3a57eaa2a0a9p-11, -0x1.130870858309bp-7, 0x1.ec38c5f06497fp-8, 0x1.5bb542ee0074bp-5}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.4b599aa60913ap-11, -0x1.f1561167134f2p-8, 0x1.9d02c0892846ap-7, 0x1.18896e1dc47cdp-4}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.7225b749adc9p-12, -0x1.99b591aa9831ap-8, 0x1.5529be156d551p-6, 0x1.5fff4c23db8cap-5}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.23810e8858ff7p-13, -0x1.1f0537b390695p-8, 0x1.a9a47432834dfp-6, 0x1.73bbfccd420a8p-3}, 
        {0x1.2147ae147ae14p+2, 0x1.228f5c28f5c29p+2, 0x1.1d3671ac14c66p-16, -0x1.76dd9d8c6af2ap-10, 0x1.8740f0e22e22cp-5, -0x1.e044d57b2de2ep-1}, 
        {0x1.228f5c28f5c29p+2, 0x1.4p+2, 0x0p+0, -0x1.5246bfc6783e1p-11, -0x1.1737c22754009p-7, 0x1.2e8f74fae0c02p-4}, 
      }}, 
      -0x1.64056867f5b44p-3, 0x1.0bd2dda0d445fp-3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_p_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.0b15648c4fbc8p-1, 0x1.fcde574e4c91cp-2, 0x1.d45465c34fa98p-2, 0x1.9e7b349a9562ap-2, 0x1.5d7c47b917c06p-2, 0x1.138f8655bac2cp-2, 0x1.85bb57031ba01p-3, 0x1.b5b6315b2d207p-4, 0x1.5188b6059a5e7p-6, -0x1.11ed0f0f2490dp-4, -0x1.3bba194742f03p-3, -0x1.eba1f1f745e78p-3, -0x1.4b4d5f5c9375fp-2, -0x1.9d76e91b74f31p-2, -0x1.eb9e8bc77f8cp-2, -0x1.1a9cf5b53feb2p-1, -0x1.3cf0ef93923a8p-1, -0x1.5ca64841dccadp-1, -0x1.79a4fe0cdec57p-1, -0x1.93e05d7780d9ep-1, -0x1.ab551efbc630ap-1, -0x1.c007b2a08e27cp-1, -0x1.d203141c62243p-1, -0x1.e157d7bb4c883p-1, -0x1.ee1b1bcff47cep-1, -0x1.f865a16df86c1p-1, -0x1.0029763bc9975p+0, -0x1.030025186bfb1p+0, -0x1.04c61d8000aa1p+0, -0x1.058b30205e51bp+0, -0x1.055fb8399f839p+0, -0x1.04544d85680b1p+0, -0x1.0278fb88839adp+0, -0x1.ffbb841edea1ep-1, -0x1.f924bb85bc20cp-1, -0x1.f14c5a34f0d29p-1, -0x1.e8501f488f29ap-1, -0x1.de4ca77db4b23p-1, -0x1.d35d63c626943p-1, -0x1.c79c90c444d34p-1, -0x1.bb2326ef6675ep-1, -0x1.ae08ceade6a66p-1, -0x1.a063df48b5716p-1, -0x1.9249636de48cbp-1, -0x1.83cd1d149b8ep-1, -0x1.7501896985771p-1, -0x1.65f7e7fb74e8ap-1, -0x1.56c044e9d66bfp-1, -0x1.476982e65f2efp-1, -0x1.3801630b627b1p-1, -0x1.28948b7921017p-1, -0x1.192e8f1d67641p-1, -0x1.09d9f871ee3b5p-1, -0x1.f540af27029aep-2, -0x1.d714a5afa91abp-2, -0x1.b93f70ad805d3p-2, -0x1.9bcf1d82671cdp-2, -0x1.7ed0488c20dc3p-2, -0x1.624e35efa7282p-2, -0x1.4652e5c441fcdp-2, -0x1.2ae7250e46ac5p-2, -0x1.10129d5b43cadp-2, -0x1.ebb2ec788c8d3p-3, -0x1.b88cd1b59eedfp-3, -0x1.86b6dd49cd455p-3, -0x1.563887aa583b3p-3, -0x1.2717905925cf4p-3, -0x1.f2b0599de19fcp-4, -0x1.99fa7237faac2p-4, -0x1.4410c6a6cd7c3p-4, -0x1.e1e9371a96f6p-5, -0x1.414a9e6afa703p-5, -0x1.4c81f01365c7fp-6, -0x1.0c426c368aa74p-9, 0x1.fcdc41d77f018p-7, 0x1.09becb6df35c6p-5, 0x1.8ee3c60f39aaap-5, 0x1.075c8761e223cp-4, 0x1.44a9dc8e86393p-4, 0x1.7f654a2df1f9ap-4, 0x1.b79af4f4c4901p-4, 0x1.ed57a2afc612bp-4, 0x1.10545155dcb14p-3, 0x1.28cddca91ddc5p-3, 0x1.401f86c9e3eebp-3, 0x1.56508b81a2888p-3, 0x1.6b68460fc872ap-3, 0x1.7f6e2871d8aeap-3, 0x1.9269b30fe7f4dp-3, 0x1.a4626d1db89d5p-3, 0x1.b55fddef2811ep-3, 0x1.c569875af9301p-3, 0x1.d486e1209ebc8p-3, 0x1.e2bf552859182p-3, 0x1.f01a3c65ca85ep-3, 0x1.fc9edc23f95f1p-3, 0x1.042a31c5a829fp-2, 0x1.09a0f4a10ffdp-2, 0x1.0eb7348cdf23bp-2, 0x1.137060e4f66abp-2, 0x1.17cfd963715f9p-2, 0x1.1bd8ed215dfbap-2, 0x1.1f8ed9b4928eap-2, 0x1.22f4ca6eb7c43p-2, 0x1.260dd7bd088adp-2, 0x1.28dd06a4125acp-2, 0x1.2b65485016394p-2, 0x1.2da979b261d17p-2, 0x1.2fac632631f9dp-2, 0x1.3170b81b9f23p-2, 0x1.32f916cbcb014p-2, 0x1.344807fd7abe2p-2, 0x1.355ffee3b0ba7p-2, 0x1.3643591fe92e8p-2, 0x1.36f45eef77a55p-2, 0x1.37754387a54ffp-2, 0x1.37c8259f58cfp-2, 0x1.37ef1020577bbp-2, 0x1.37ebfaf61f346p-2, 0x1.37c0cbedd2f07p-2, 0x1.376f5799c7516p-2, 0x1.36f9622c0725fp-2, 0x1.3660a03d6c601p-2, 0x1.35a6b77a3438p-2, 0x1.34cd3f30b4dd7p-2, 0x1.33d5c0c2a7f22p-2, 0x1.32be52c7f71fp-2, 0x1.318fc3b8f4da8p-2, 0x1.3047902fcfe3cp-2, 0x1.2ee70306c4a43p-2, 0x1.2d6f5ac503f43p-2, 0x1.2be1ca6077cbp-2, 0x1.2a3f79e1cb5acp-2, 0x1.288986e8fde88p-2, 0x1.26c105136270ep-2, 0x1.24e6fe460d4fdp-2, 0x1.22fc72e16811dp-2, 0x1.210259e3bfaeap-2, 0x1.1ef9a1010d312p-2, 0x1.1ce32cb6393f1p-2, 0x1.1abfd85d6b072p-2, 0x1.189076480d89p-2, 0x1.1655cfe1f82fbp-2, 0x1.1410a5dfe3934p-2, 0x1.11c1b07a0c015p-2, 0x1.0f699fb2c58adp-2, 0x1.0d091ba7c5d07p-2, 0x1.0aa0c4ec4033fp-2, 0x1.083134e96378dp-2, 0x1.05bafe4292a7p-2, 0x1.033ead3a9c927p-2, 0x1.00bcc81760f75p-2, 0x1.fc6b9f03192e2p-3, 0x1.f7547dbd0bd51p-3, 0x1.f23519461b12cp-3, 0x1.ed0e553b460d1p-3, 0x1.e7e10c70760d7p-3, 0x1.e2ae11628ee4bp-3, 0x1.dd762e991e361p-3, 0x1.d83a26f941cc6p-3, 0x1.d2fab60bda055p-3, 0x1.cdb890397d3d9p-3, 0x1.c87462feb5655p-3, 0x1.c32ed51af6803p-3, 0x1.bde886bc9e0afp-3, 0x1.b8a211abd3a09p-3, 0x1.b35c0975e5a56p-3, 0x1.ae16fb9a2b9d5p-3, 0x1.a8d36fb91d37cp-3, 0x1.a391e7c5cf524p-3, 0x1.9e52e039c9c24p-3, 0x1.9916d04abc814p-3, 0x1.93de2a2183193p-3, 0x1.8ea95b1198a89p-3, 0x1.8978cbd03e7e2p-3, 0x1.844ce0aa68af8p-3, 0x1.7f25f9b8b8d3fp-3, 0x1.7a047310cb88p-3, 0x1.74e8a4f3584d6p-3, 0x1.6fd2e3f6bb1b5p-3, 0x1.6ac3812dbe476p-3, 0x1.65baca4a7fd51p-3, 0x1.60b909bda6f3fp-3, 0x1.5bbe86d21302bp-3, 0x1.56cb85c55a4aep-3, 0x1.51e047dd947cdp-3, 0x1.4cfd0b7ccfe99p-3, 0x1.48220c32c37fdp-3, 0x1.434f82cd2a9dep-3, 0x1.3e85a56744fcbp-3, 0x1.39c4a778de18ap-3, 0x1.350cb9e5316c1p-3, 0x1.305e0b09f47bdp-3, 0x1.2bb8c6ceaf2d2p-3, 0x1.271d16b484b24p-3, 0x1.228b21e671748p-3, 0x1.1e030d4a009e7p-3, 0x1.1984fb905c3f6p-3, 0x1.15110d47a9152p-3, 0x1.10a760ec78527p-3, 0x1.0c4812fb35e1p-3, 0x1.07f33e016642dp-3, 0x1.03a8faae88175p-3, 0x1.fed2bfc8f6b95p-4, 0x1.f669058e967b5p-4, 0x1.ee14ed98871bcp-4, 0x1.e5d69b907b71dp-4, 0x1.ddae2ffa38b0cp-4, 0x1.d59bc84ce054fp-4, 0x1.cd9f7f0a8b0ep-4, 0x1.c5b96bd650cd4p-4, 0x1.bde9a388ca476p-4, 0x1.b63038432d57ep-4, 0x1.ae8d39813acdfp-4, 0x1.a700b42a09f45p-4, 0x1.9f8ab29ff9f47p-4, 0x1.982b3ccfe1b5fp-4, 0x1.90e2583fb1c61p-4, 0x1.89b0081c9e9eap-4, 0x1.82944d4909a8ep-4, 0x1.7b8f266a36872p-4, 0x1.74a08ff5e953ap-4, 0x1.6dc8844003d05p-4, 0x1.6706fb8828bf2p-4, 0x1.605bec0773d01p-4, 0x1.59c749fe478bbp-4, 0x1.534907c234eep-4, 0x1.4ce115cbf65a5p-4, 0x1.468f62c57e43fp-4, 0x1.4053db980f293p-4, 0x1.3a2e6b7a56055p-4, 0x1.341efbfe81c48p-4, 0x1.2e2575204a88bp-4, 0x1.2841bd52e648cp-4, 0x1.2273b98edb7b6p-4, 0x1.1cbb4d5fb336ap-4, 0x1.17185af17fae5p-4, 0x1.118ac31e3332cp-4, 0x1.0c12657ac2efep-4, 0x1.06af2064167aep-4, 0x1.0160d10bbb625p-4, 0x1.f84ea708c51f8p-5, 0x1.ee05059c42483p-5, 0x1.e3e471c4f0506p-5, 0x1.d9ec9d80456bcp-5, 0x1.d01d38ed52651p-5, 0x1.c675f2637c5a5p-5, 0x1.bcf67688c36bbp-5, 0x1.b39e70679bfdfp-5, 0x1.aa6d89845ec98p-5, 0x1.a16369f24bd6dp-5, 0x1.987fb868200efp-5, 0x1.8fc21a544bccp-5, 0x1.872a33f0b6028p-5, 0x1.7ec548aff75e8p-5, 0x1.767816cbec8afp-5, 0x1.6e4f836cb60b1p-5, 0x1.664b2ed25bb8p-5, 0x1.5e6ab85f0a196p-5, 0x1.56adbea8455edp-5, 0x1.4f13df87cffedp-5, 0x1.479cb82c42e02p-5, 0x1.4047e52952201p-5, 0x1.39150287becf7p-5, 0x1.3203abd4eef7ap-5, 0x1.2b137c322da92p-5, 0x1.24440e638d198p-5, 0x1.1d94fcde6a1b6p-5, 0x1.1705e1d790f15p-5, 0x1.10965750ff9ccp-5, 0x1.0a45f72747c4bp-5, 0x1.04145b1e8f81p-5, 0x1.fc0239de57856p-6, 0x1.f017aca3be822p-6, 0x1.e468421767713p-6, 0x1.d8f32df2ec8d1p-6, 0x1.cdb7a435a98a2p-6, 0x1.c2b4d93a39b87p-6, 0x1.b7ea01cb3fe46p-6, 0x1.ad565337811bbp-6, 0x1.a2f9036543902p-6, 0x1.98d148e50fd9dp-6, 0x1.8ede5b03bcacbp-6, 0x1.851f71dbdfbdep-6, 0x1.7b93c6669d848p-6, 0x1.723a928bd2e81p-6, 0x1.69131131b2329p-6, 0x1.601c7e4bc261fp-6, 0x1.575616e94b679p-6, 0x1.4ebf194335aadp-6, 0x1.4656c4c95eebap-6, 0x1.3e1c5a2f5c12bp-6, 0x1.360f1b78bd0bcp-6, 0x1.2e2e4c04c32f5p-6, 0x1.267930999a6a5p-6, 0x1.1eef0f6f10ebcp-6, 0x1.178f3038c7023p-6, 0x1.1058dc2ff07edp-6, 0x1.094b5e1c8b77ep-6, 0x1.0266025e27dcep-6, 0x1.f7502de864f98p-7, 0x1.ea21d70b9510ap-7, 0x1.dd3fa2d24759fp-7, 0x1.d0a83754e6bf4p-7, 0x1.c45a3e24df59ap-7, 0x1.b8546458b3da8p-7, 0x1.ac955a9750bcep-7, 0x1.a11bd522665b8p-7, 0x1.95e68be00d7a1p-7, 0x1.8af43a6391a9ap-7, 0x1.80439ff5726bdp-7, 0x1.75d37f9aa386ep-7, 0x1.6ba2a01b01478p-7, 0x1.61afcc071a783p-7, 0x1.57f9d1bd327f8p-7, 0x1.4e7f836d9c046p-7, 0x1.453fb71e5d509p-7, 0x1.3c3946ae3322ap-7, 0x1.336b0fd6efd1fp-7, 0x1.2ad3f42f31fcbp-7, 0x1.2272d92b90291p-7, 0x1.1a46a81f265a1p-7, 0x1.124e4e3b93875p-7, 0x1.0a88bc907551dp-7, 0x1.02f4e80a5593bp-7, 0x1.f72392e233f4cp-8, 0x1.e8bcbacbf5783p-8, 0x1.dab348c205092p-8, 0x1.cd05455c27525p-8, 0x1.bfb0c0d31b0a6p-8, 0x1.b2b3d2f8fc04ep-8, 0x1.a60c9b30ef062p-8, 0x1.99b94065fe246p-8, 0x1.8db7f1014d67p-8, 0x1.8206e2df8aedp-8, 0x1.76a45345dac8dp-8, 0x1.6b8e86d607659p-8, 0x1.60c3c98223376p-8, 0x1.56426e7fa8a89p-8, 0x1.4c08d039fea7ep-8, 0x1.4215504493a85p-8, 0x1.3866574c6e253p-8, 0x1.2efa550958615p-8, 0x1.25cfc02e970e3p-8, 0x1.1ce5165b40cfdp-8, 0x1.1438dc0a3f56fp-8, 0x1.0bc99c81eb266p-8, 0x1.0395e9c35fd9bp-8, 0x1.f738b8f2eef3bp-9, 0x1.e7b727cf2d104p-9, 0x1.d8a46bb03e2d5p-9, 0x1.c9fddd15665eap-9, 0x1.bbc0e144849eep-9, 0x1.adeaea25bb807p-9, 0x1.a079761ec3bbdp-9, 0x1.936a0fedfd715p-9, 0x1.86ba4e852126cp-9, 0x1.7a67d4e3a705cp-9, 0x1.6e7051f125a92p-9, 0x1.62d180573f322p-9, 0x1.5789265b97603p-9, 0x1.4c9515b9885aep-9, 0x1.41f32b7bcb198p-9, 0x1.37a14fd5ec002p-9, 0x1.2d9d75fddde2cp-9, 0x1.23e59c0554bd1p-9, 0x1.1a77cab3365e9p-9, 0x1.1152155cfd03cp-9, 0x1.087299c02bf35p-9, 0x1.ffaeffb7558bcp-10, 0x1.eefdf392e13bep-10, 0x1.dece8730026dep-10, 0x1.cf1d46483ffd8p-10, 0x1.bfe6cfe52ee77p-10, 0x1.b127d61458d71p-10, 0x1.a2dd1d9b1ad2ap-10, 0x1.95037dab4a1p-10, 0x1.8797df97ba633p-10, 0x1.7a973e89636d5p-10, 0x1.6dfea734cefa9p-10, 0x1.61cb378feef57p-10, 0x1.55fa1e884facep-10, 0x1.4a889bb9f53cfp-10, 0x1.3f73ff2679259p-10, 0x1.34b9a8ecb25cbp-10, 0x1.2a570900f43fdp-10, 0x1.20499ee5a5578p-10, 0x1.168ef964b9891p-10, 0x1.0d24b6496a355p-10, 0x1.0408821aa6164p-10, 0x1.f6702fac1b79fp-11, 0x1.e56281573136ap-11, 0x1.d4e3a773dd85bp-11, 0x1.c4ef6b9671446p-11, 0x1.b581b2256f76dp-11, 0x1.a69679d5e7f23p-11, 0x1.9829db29a50c2p-11, 0x1.8a3807eddf0c8p-11, 0x1.7cbd4abc4dcdfp-11, 0x1.6fb6067ce98f8p-11, 0x1.631eb5e99cf87p-11, 0x1.56f3eb130b67fp-11, 0x1.4b324ee70b377p-11, 0x1.3fd6a0b892694p-11, 0x1.34ddb5c927ff9p-11, 0x1.2a4478d388ecap-11, 0x1.2007e99883c9dp-11, 0x1.16251c6ca7536p-11, 0x1.0c9939c7e4cabp-11, 0x1.03617dd6794e4p-11, 0x1.f4f67017402c3p-12, 0x1.e3c7956ba6f5bp-12, 0x1.d3315528ec8dcp-12, 0x1.c32ebcddc53a8p-12, 0x1.b3bafd5b611cfp-12, 0x1.a4d169e9bd10bp-12, 0x1.966d777fc2929p-12, 0x1.888abbfe6eb9fp-12, 0x1.7b24ed6f34f41p-12, 0x1.6e37e1453a6efp-12, 0x1.61bf8ba1e5985p-12, 0x1.55b7fe9d44bfep-12, 0x1.4a1d698f844a3p-12, 0x1.3eec18608b597p-12, 0x1.342072d7fa306p-12, 0x1.29b6fbf1d5a3ap-12, 0x1.1fac5135e8191p-12, 0x1.15fd2a117ca91p-12, 0x1.0ca65736119cep-12, 0x1.03a4c1f91da5dp-12, 0x1.f5ead76fe1568p-13, 0x1.e52ada7c8897bp-13, 0x1.d503ec60aa497p-13, 0x1.c57098ee5a7d3p-13, 0x1.b66b9760a927p-13, 0x1.a7efc94228853p-13, 0x1.99f83956db6ep-13, 0x1.8c801a8d4c942p-13, 0x1.7f82c6f632ef8p-13, 0x1.72fbbebf83728p-13, 0x1.66e6a737508c2p-13, 0x1.5b3f49d2c4ccfp-13, 0x1.5001933ac167dp-13, 0x1.4529925e856dbp-13, 0x1.3ab3778a3f8a6p-13, 0x1.309b93844a9e4p-13, 0x1.26de56ad46a12p-13, 0x1.1d785027d07abp-13, 0x1.14662d0223d9p-13, 0x1.0ba4b76684b64p-13, 0x1.0330d5ceeda46p-13, 0x1.f60f147af1521p-14, 0x1.e64be2f254cc4p-14, 0x1.d712849d905f4p-14, 0x1.c85d99aad730cp-14, 0x1.ba27f36e08336p-14, 0x1.ac6c92fb22fddp-14, 0x1.9f26a7c5859cfp-14, 0x1.92518e46d0621p-14, 0x1.85e8ceaed2613p-14, 0x1.79e81b96e509bp-14, 0x1.6e4b50bdf4617p-14, 0x1.630e71cce0a8fp-14, 0x1.582da91d182b2p-14, 0x1.4da54688c0d9fp-14, 0x1.4371be3dc22a1p-14, 0x1.398fa79c4caf1p-14, 0x1.2ffbbc167d439p-14, 0x1.26b2d618500d9p-14, 0x1.1db1eff3cf423p-14, 0x1.14f622d714e63p-14, 0x1.0c7ca5c490719p-14, 0x1.0442cc927fae3p-14, 0x1.f88c0de293dfdp-15, 0x1.e907beec1f51cp-15, 0x1.d9f3f55ae36d4p-15, 0x1.cb4c2c679d901p-15, 0x1.bd0c0fa3ce0bep-15, 0x1.af2f793f234f8p-15, 0x1.a1b27062f26a3p-15, 0x1.9491278b74249p-15, 0x1.87c7faf57968p-15, 0x1.7b536f15f104ap-15, 0x1.6f302f1c8c19dp-15, 0x1.635b0b82dde39p-15, 0x1.57d0f8a74fc0ap-15, 0x1.4c8f0d712b3cdp-15, 0x1.419282024bfbep-15, 0x1.36d8ae718eabp-15, 0x1.2c5f0991a4a4ep-15, 0x1.222327c0efe95p-15, 0x1.1822b9c3fffa3p-15, 0x1.0e5b8ba87cd89p-15, 0x1.04cb83b694ef3p-15, 0x1.f6e142c91eb2bp-16, 0x1.e491f8b16a44ap-16, 0x1.d2a586e413e94p-16, 0x1.c11877b26928ap-16, 0x1.afe7803476dedp-16, 0x1.9f0f7e8e0db6cp-16, 0x1.8e8d7838525f8p-16, 0x1.7e5e986f64436p-16, 0x1.6e802e9b2fbbcp-16, 0x1.5eefacbf9841cp-16, 0x1.4faaa61f1cb48p-16, 0x1.40aecdc124dddp-16, 0x1.31f9f51608f7p-16, 0x1.238a0aa9758f3p-16, 0x1.155d18dbe803cp-16, 0x1.077144a6dc701p-16, 0x1.f392e9a0db8dap-17, 0x1.d8b52ea1f5cb8p-17, 0x1.be4fac5dfbeabp-17, 0x1.a45f6a7db9ff2p-17, 0x1.8ae19ade1d5c6p-17, 0x1.71d39784fb9aep-17, 0x1.5932e0bceca65p-17, 0x1.40fd1b1ee0fabp-17, 0x1.29300df39c271p-17, 0x1.11c9a15347e48p-17, 0x1.f58fb920bff88p-18, 0x1.c851c91aa69e6p-18, 0x1.9bd5f4779c82bp-18, 0x1.7018f23bebd13p-18, 0x1.4517ab8a05026p-18, 0x1.1acf391168263p-18, 0x1.e279c084bfdd5p-19, 0x1.90bc219a22235p-19, 0x1.4060c440b8d4p-19, 0x1.e2c64450a1834p-20, 0x1.477df6a09873fp-20, 0x1.5dc1462479bdp-21, 0x1.8e6c8ba27e177p-24, -0x1.e9da97466f566p-22, -0x1.0b3e4a8dcaf18p-20, -0x1.997662e8c725dp-20, -0x1.1292679cbd123p-19, -0x1.57278ca047eb5p-19, -0x1.9a7d3d59fdb3p-19, -0x1.dc95f1a14d37ap-19, -0x1.0eb9ffc9e8e6ep-18, -0x1.2e8cceeb6e685p-18, -0x1.4dc47354677b9p-18, -0x1.6c61ed2816601p-18, -0x1.8a6630c7e23d1p-18, -0x1.a7d227fa21ea4p-18, -0x1.c4a6b2f87a23p-18, -0x1.e0e4a98eb489ep-18, -0x1.fc8cdc01d5803p-18, -0x1.0bd00a0afb604p-17, -0x1.190f8aedd3bcap-17, -0x1.26055049bd8eep-17, -0x1.32b1b7b2b6099p-17, -0x1.3f151d288e70dp-17, -0x1.4b2fdb4aeadeap-17, -0x1.57024bce00de7p-17, -0x1.628cc7ba03964p-17, -0x1.6dcfa7b72fddap-17, -0x1.78cb444e74bbcp-17, -0x1.837ff6466feb6p-17, -0x1.8dee16b91a49fp-17, -0x1.9815ff5c3b77dp-17, -0x1.a1f80abb5d0f8p-17, -0x1.ab949461e677p-17, -0x1.b4ebf904a2cf3p-17, -0x1.bdfe96b480efep-17, -0x1.c6ccccf943e83p-17, -0x1.cf56fcf8ae875p-17, -0x1.d79d8995cbd79p-17, -0x1.dfa0d78b54ae7p-17, -0x1.e7614d81cc844p-17, -0x1.eedf542de63c3p-17, -0x1.f61b565b9f884p-17, -0x1.fd15c1037fd1ep-17, -0x1.01e781abed11cp-16, -0x1.0523c769ed662p-16, -0x1.083feba076b87p-16, -0x1.0b3c29611bc6bp-16, -0x1.0e18bced6b594p-16, -0x1.10d5e3b888d3bp-16, -0x1.1373dc68a5114p-16, -0x1.15f2e6d74da84p-16, -0x1.1853441217b11p-16, -0x1.1a9536575f81ep-16, -0x1.1cb90115bd9cep-16, -0x1.1ebee8eab9c8p-16, -0x1.20a7339d98de2p-16, -0x1.2272281c9b5d7p-16, -0x1.24200e7c39686p-16, -0x1.25b12feab3fcdp-16, -0x1.2725d6b0eaf6ep-16, -0x1.287e4e2b109d2p-16, -0x1.29bae2c0913fdp-16, -0x1.2adbe1e5e7991p-16, -0x1.2be19a091d5eap-16, -0x1.2ccc5a9392a9ap-16, -0x1.2d9c73e036ae5p-16, -0x1.2e5237328dd1ap-16, -0x1.2eedf6b1ba909p-16, -0x1.2f70055def576p-16, -0x1.2fd8b7067a8c6p-16, -0x1.30286046deedfp-16, -0x1.305f56746c724p-16, -0x1.307defa914555p-16, -0x1.3084829d7c0f1p-16, -0x1.307366b69f12cp-16, -0x1.304af3f4b3debp-16, -0x1.300b82e93c59ep-16, -0x1.2fb56cafd9cd4p-16, -0x1.2f490ae3d681dp-16, -0x1.2ec6b798408a1p-16, -0x1.2e2ecd4a1fa74p-16, -0x1.2d81a6dd35beap-16, -0x1.2cbf9f8ef976ap-16, -0x1.2be912ecedeb5p-16, -0x1.2afe5ccd5e275p-16, -0x1.29ffd94477ca8p-16, -0x1.28ede49be8713p-16, -0x1.27c8db492d7bbp-16, }}, 
      {{0x1.0df36a8580a1fp-1, 0x1.09ade18ee38e8p-1, 0x1.02bbd8bfa04bbp-1, 0x1.f2a8d003d72b3p-2, 0x1.db6f7d5fa90ep-2, 0x1.c054ea36818acp-2, 0x1.a1e472a866cd3p-2, 0x1.80a6f9611b61bp-2, 0x1.5d1fc5836f4dp-2, 0x1.37ca65fbfc2f7p-2, 0x1.1119696c75e5ap-2, 0x1.d2eb46004a4d9p-3, 0x1.827bf8f4d61bfp-3, 0x1.318ee22b74a52p-3, 0x1.c175c9bc55ae6p-4, 0x1.21094d3b97c1bp-4, 0x1.057eadcb3b53ep-5, -0x1.8a0c7dc521b74p-8, -0x1.60da23637daafp-5, -0x1.44163d88b7243p-4, -0x1.d325255b2ab52p-4, -0x1.2e9c3d8c3425fp-3, -0x1.710155bc643e4p-3, -0x1.b0a3db65ebdbbp-3, -0x1.ed6d977b8bb37p-3, -0x1.13a7a34a5bea5p-2, -0x1.2f1fe0c92e42ap-2, -0x1.491d95de4c6e3p-2, -0x1.61a12dd076404p-2, -0x1.78ad2dc639f33p-2, -0x1.8e45f1579b10ap-2, -0x1.a2711d13583e4p-2, -0x1.b535c1586e1d8p-2, -0x1.c69bfaaca64c8p-2, -0x1.d6accd728af42p-2, -0x1.e571f7ef40d22p-2, -0x1.f2f5cb22e7f2ep-2, -0x1.ff430b6964d3fp-2, -0x1.05326a3c4b869p-1, -0x1.0a333f4096726p-1, -0x1.0ea9c2f357db3p-1, -0x1.129bbb6cb10dfp-1, -0x1.160eee14466e1p-1, -0x1.19091820ae24ap-1, -0x1.1b8fe8139175p-1, -0x1.1da8f83cda189p-1, -0x1.1f59ca186304fp-1, -0x1.20a7c247d1048p-1, -0x1.219825206e052p-1, -0x1.223013eed32bp-1, -0x1.22748af4f70dcp-1, -0x1.226a5fec980dp-1, -0x1.221640c8d58f1p-1, -0x1.217cb29d960c9p-1, -0x1.20a210cb6120fp-1, -0x1.1f8a8c9f2c3cep-1, -0x1.1e3a2d7509355p-1, -0x1.1cb4d139d4b2p-1, -0x1.1afe2d0ba0b81p-1, -0x1.1919cdc5aa022p-1, -0x1.170b186ea029ap-1, -0x1.14d54aa8a01e1p-1, -0x1.127b84cf3d6aep-1, -0x1.10009fcffb7fep-1, -0x1.0d6778240e637p-1, -0x1.0ab2b74550729p-1, -0x1.07e4e46d640e8p-1, -0x1.050065c9e268ep-1, -0x1.0207819edfcccp-1, -0x1.fdf8beb43e18dp-2, -0x1.f7c211390b661p-2, -0x1.f16ed47fe1c65p-2, -0x1.eb02aabd595bep-2, -0x1.e48100bff9aeap-2, -0x1.dded101542e17p-2, -0x1.d749e13730e75p-2, -0x1.d09a4dba56032p-2, -0x1.c9e10272a1237p-2, -0x1.c3208185c2c6dp-2, -0x1.bc5b2465267d3p-2, -0x1.b5931dada67aep-2, -0x1.aeca7aeed7bedp-2, -0x1.a803265e3182fp-2, -0x1.a13ee87b34bdcp-2, -0x1.9a7f69a92b4d2p-2, -0x1.93c633c1ac6efp-2, -0x1.8d14b3a0f6c41p-2, -0x1.866c3aaafa13bp-2, -0x1.7fce00462b4c8p-2, -0x1.793b2348895f3p-2, -0x1.72b4ab53d37dbp-2, -0x1.6c3b8a1f52016p-2, -0x1.65d09caf16b52p-2, -0x1.5f74ac79ddd1p-2, -0x1.5928707f655e2p-2, -0x1.52ec8e513e05fp-2, -0x1.4cc19b0ffdeb3p-2, -0x1.46a81c5e55812p-2, -0x1.40a0894b20badp-2, -0x1.3aab4b32e91efp-2, -0x1.34c8be98dc454p-2, -0x1.2ef933f6c8c9cp-2, -0x1.293cf08387c74p-2, -0x1.23942eef32522p-2, -0x1.1dff2014c4643p-2, -0x1.187deba11e458p-2, -0x1.1310b0afbc68bp-2, -0x1.0db7865ddd90dp-2, -0x1.08727c550763p-2, -0x1.03419b4df930ep-2, -0x1.fc49cb1a29ba6p-3, -0x1.f238aeb21921p-3, -0x1.e84fced8d58cp-3, -0x1.de8f0ec47d282p-3, -0x1.d4f6483bd075cp-3, -0x1.cb854c5bbf6bbp-3, -0x1.c23be4526b152p-3, -0x1.b919d20f1352fp-3, -0x1.b01ed0e69ef31p-3, -0x1.a74a962c9688dp-3, -0x1.9e9cd1c0a7229p-3, -0x1.96152e9104d22p-3, -0x1.8db353123b885p-3, -0x1.8576e1ad334a9p-3, -0x1.7d5f79246ec43p-3, -0x1.756cb4f19beaap-3, -0x1.6d9e3f13f5fc2p-3, -0x1.65f39019f05a1p-3, -0x1.5e6c461c983c6p-3, -0x1.5707f28dad827p-3, -0x1.4fc6253ce2dcap-3, -0x1.48a66c990dbebp-3, -0x1.41a855ebfcc51p-3, -0x1.3acb6d9168a94p-3, -0x1.340f3f297f4eap-3, -0x1.2d7355c77196cp-3, -0x1.26f73c1c78f75p-3, -0x1.209a7c9fbbbep-3, -0x1.1a5ca1b359e44p-3, -0x1.143d35c6f7c58p-3, -0x1.0e3bc378060d4p-3, -0x1.0857d5afebcdep-3, -0x1.0290f7c04322p-3, -0x1.f9cd6afa5cff4p-4, -0x1.eeb136abb43p-4, -0x1.e3cc6cd6560b4p-4, -0x1.d91e294938928p-4, -0x1.cea589868de38p-4, -0x1.c461ace645419p-4, -0x1.ba51b4b4f0881p-4, -0x1.b074c44f3f47cp-4, -0x1.a6ca013a1be03p-4, -0x1.9d509337b0f28p-4, -0x1.9407a459678b1p-4, -0x1.8aee610f283e9p-4, -0x1.8203f8342b672p-4, -0x1.79479b197d463p-4, -0x1.70b87d8e96f9dp-4, -0x1.6855d5e83d2d9p-4, -0x1.601edd05f275ep-4, -0x1.5812ce562cd56p-4, -0x1.5030e7d980901p-4, -0x1.48786a24ef9ep-4, -0x1.40e898636f564p-4, -0x1.3980b856c12b3p-4, -0x1.32401257aaf6p-4, -0x1.2b25f15597431p-4, -0x1.2431a2d5a82d8p-4, -0x1.1d6276f13a263p-4, -0x1.16b7c053e2158p-4, -0x1.1030d438e028cp-4, -0x1.09cd0a6812604p-4, -0x1.038bbd32613dp-4, -0x1.fad892db6346ep-5, -0x1.eedc1ce0b3526p-5, -0x1.e320dc184b5aap-5, -0x1.d7a59911d7967p-5, -0x1.cc69213d8bdeap-5, -0x1.c16a46dfe0e15p-5, -0x1.b6a7e104bf523p-5, -0x1.ac20cb7236feap-5, -0x1.a1d3e69acf248p-5, -0x1.97c0178f944ap-5, -0x1.8de447f1f41ebp-5, -0x1.843f65e578fe5p-5, -0x1.7ad0640176521p-5, -0x1.71963942b81d1p-5, -0x1.688fe0fd34a5p-5, -0x1.5fbc5acdd00c3p-5, -0x1.571aaa8c3670bp-5, -0x1.4ea9d83cc90afp-5, -0x1.4668f002a8daep-5, -0x1.3e570211d833p-5, -0x1.367322a178c44p-5, -0x1.2ebc69de1a8c7p-5, -0x1.2731f3dc2c8c1p-5, -0x1.1fd2e08a7e05bp-5, -0x1.189e53a4d424ap-5, -0x1.119374a692feep-5, -0x1.0ab16ebd7bb21p-5, -0x1.03f770bc7e359p-5, -0x1.fac95a1d33e56p-6, -0x1.edf0b353b0cdbp-6, -0x1.e1636004b7a73p-6, -0x1.d51fd9fb02912p-6, -0x1.c924a1ca4780ap-6, -0x1.bd703eb5eceb8p-6, -0x1.b2013e97f8274p-6, -0x1.a6d635c84c007p-6, -0x1.9bedbf041c188p-6, -0x1.91467b55b298dp-6, -0x1.86df11fc81e53p-6, -0x1.7cb630558199cp-6, -0x1.72ca89c3dff9fp-6, -0x1.691ad799feab3p-6, -0x1.5fa5d902c32cap-6, -0x1.566a52eb334e4p-6, -0x1.4d670fec720ffp-6, -0x1.449ae035ea3dcp-6, -0x1.3c049977e61ebp-6, -0x1.33a316ce59195p-6, -0x1.2b7538abff326p-6, -0x1.2379e4c5beb0cp-6, -0x1.1bb005fe4c9b2p-6, -0x1.14168c5219b05p-6, -0x1.0cac6cc37b302p-6, -0x1.0570a14715157p-6, -0x1.fcc45161128cbp-7, -0x1.ef000d3eb9e74p-7, -0x1.e19286d83227dp-7, -0x1.d479d82b66b42p-7, -0x1.c7b4245e49d19p-7, -0x1.bb3f979a7b14fp-7, -0x1.af1a66e96843bp-7, -0x1.a342d010da92dp-7, -0x1.97b7196ff314fp-7, -0x1.8c7591dc94eecp-7, -0x1.817c90813eb9fp-7, -0x1.76ca74bb4ede6p-7, -0x1.6c5da5f9bb52bp-7, -0x1.6234939c24d79p-7, -0x1.584db4d25529p-7, -0x1.4ea7887c48843p-7, -0x1.4540950a6ea05p-7, -0x1.3c17685e63487p-7, -0x1.332a97ac2045ap-7, -0x1.2a78bf5b7c694p-7, -0x1.220082ea0972ap-7, -0x1.19c08ccd712e5p-7, -0x1.11b78e5610efp-7, -0x1.09e43f920a1d5p-7, -0x1.02455f30a51d6p-7, -0x1.f5b364cc297ecp-8, -0x1.e740099f3629ap-8, -0x1.d935906db06d6p-8, -0x1.cb83609f6a4p-8, -0x1.be2e3fd0d47b2p-8, -0x1.b133f64f5960dp-8, -0x1.a492582d116bap-8, -0x1.9847450d29f81p-8, -0x1.8c50a7f10c2cep-8, -0x1.80ac77062f96cp-8, -0x1.7558b3747fb21p-8, -0x1.6a53692d816bep-8, -0x1.5f9aaebbf4341p-8, -0x1.552ca5145516p-8, -0x1.4b077765befcp-8, -0x1.41295aeb9794dp-8, -0x1.37908ebfc865ep-8, -0x1.2e3b5bad99b66p-8, -0x1.2528140528da4p-8, -0x1.1c55136f6310bp-8, -0x1.13c0bec2ceb42p-8, -0x1.0b6983d8b1ddep-8, -0x1.034dd962ef6f3p-8, -0x1.f6d87d84e98e6p-9, -0x1.e78677bc43d5dp-9, -0x1.d8a2c1f50d7fep-9, -0x1.ca2a8d23892e4p-9, -0x1.bc1b1a590ba01p-9, -0x1.ae71ba761f531p-9, -0x1.a12bcdde4e5bcp-9, -0x1.9446c42cbf58cp-9, -0x1.87c01bea242a6p-9, -0x1.7b95624358dfcp-9, -0x1.6fc432c1b4ab2p-9, -0x1.644a3703cbfecp-9, -0x1.5925267791f09p-9, -0x1.4e52c6157933p-9, -0x1.43d0e81c817d5p-9, -0x1.399d6bcf7b247p-9, -0x1.2fb63d33236f1p-9, -0x1.261954cd392d6p-9, -0x1.1cc4b764d8f37p-9, -0x1.13b675c379345p-9, -0x1.0aecac77180bep-9, -0x1.026583954be6dp-9, -0x1.f43e5cfeb501p-10, -0x1.e42fd74e33f4bp-10, -0x1.d49c08aa1284bp-10, -0x1.c57f98ddc0c57p-10, -0x1.b6d7447f7309ap-10, -0x1.a89fdc80e47f7p-10, -0x1.9ad645c2c779fp-10, -0x1.8d7778a996228p-10, -0x1.808080b472162p-10, -0x1.73ee7c15730dfp-10, -0x1.67be9b4bf4b03p-10, -0x1.5bee20c04829fp-10, -0x1.507a6061b6024p-10, -0x1.4560bf4571feap-10, -0x1.3a9eb347ac962p-10, -0x1.3031c2ae30b63p-10, -0x1.261783cc654f9p-10, -0x1.1c4d9ca961301p-10, -0x1.12d1c2a7311b2p-10, -0x1.09a1ba2bd19b2p-10, -0x1.00bb564bd5cbp-10, -0x1.f038f0ec4e115p-11, -0x1.df8620440e101p-11, -0x1.cf5a34fbc8a81p-11, -0x1.bfb1443ff781cp-11, -0x1.b0877d70f2b45p-11, -0x1.a1d9298934b6bp-11, -0x1.93a2aa884c804p-11, -0x1.85e07ade8a8f5p-11, -0x1.788f2cdd1ea4ep-11, -0x1.6bab6a280e61ap-11, -0x1.5f31f32a6f0c3p-11, -0x1.531f9e8f7e9d3p-11, -0x1.477158bbac94bp-11, -0x1.3c242349e0679p-11, -0x1.3135148ae5236p-11, -0x1.26a15707682cap-11, -0x1.1c6629044a3c9p-11, -0x1.1280dc09dca58p-11, -0x1.08eed46d3d458p-11, -0x1.ff5b11b710d9ep-12, -0x1.ed7503d1edb17p-12, -0x1.dc26b34165f0cp-12, -0x1.cb6b762ffaa98p-12, -0x1.bb3ec4056b4c1p-12, -0x1.ab9c34964d4fap-12, -0x1.9c7f7f5694dacp-12, -0x1.8de47a90ada7dp-12, -0x1.7fc71aa114d56p-12, -0x1.72237135f8af9p-12, -0x1.64f5ac92f0032p-12, -0x1.583a16d923f2fp-12, -0x1.4bed1551fe44ep-12, -0x1.400b27c0645ebp-12, -0x1.3490e7b307afcp-12, -0x1.297b07dc95da8p-12, -0x1.1ec6536d4d1a8p-12, -0x1.146fad72f2921p-12, -0x1.0a74103ae506ap-12, -0x1.00d08cb74f743p-12, -0x1.ef0493d1ab958p-13, -0x1.dd0d0895e00bp-13, -0x1.cbb51a859e408p-13, -0x1.baf7952926968p-13, -0x1.aacf6bb0dc9b9p-13, -0x1.9b37b7e81df9bp-13, -0x1.8c2bb92f6bc92p-13, -0x1.7da6d37b38d65p-13, -0x1.6fa48e5871611p-13, -0x1.622093f90798dp-13, -0x1.5516b043a38a7p-13, -0x1.4882cfea01855p-13, -0x1.3c60ff85e78d2p-13, -0x1.30ad6ab8b807ap-13, -0x1.25645b53cbb62p-13, -0x1.1a82388111f0dp-13, -0x1.100385f810b6fp-13, -0x1.05e4e330c4b5ep-13, -0x1.f846153e4af77p-14, -0x1.e575a1e4d1db3p-14, -0x1.d35248b251e2ep-14, -0x1.c1d61793c2f61p-14, -0x1.b0fb4ca0765ccp-14, -0x1.a0bc54bd6656cp-14, -0x1.9113ca48925ecp-14, -0x1.81fc73cd51324p-14, -0x1.737142c07d9f1p-14, -0x1.656d52447ca35p-14, -0x1.57ebe5fa0f791p-14, -0x1.4ae868c9dafafp-14, -0x1.3e5e6bcab0cc4p-14, -0x1.3249a52160cd3p-14, -0x1.26a5eee9dda57p-14, -0x1.1b6f46297da1bp-14, -0x1.10a1c9c70b60bp-14, -0x1.0639b98aea313p-14, -0x1.f866ea46db6f1p-15, -0x1.e516f6696241dp-15, -0x1.d27cd0c70a95dp-15, -0x1.c091ecf03effcp-15, -0x1.af4ff6f0bccbbp-15, -0x1.9eb0d19a0e626p-15, -0x1.8eae94d5837f2p-15, -0x1.7f438c0c57889p-15, -0x1.706a348f741cfp-15, -0x1.621d3c0f52b7ep-15, -0x1.54577f1d599a2p-15, -0x1.471407b75f73ep-15, -0x1.3a4e0bdf74683p-15, -0x1.2e00ec3902b81p-15, -0x1.222832b4334e5p-15, -0x1.16bf9140b0673p-15, -0x1.0bc2e08a5f0e6p-15, -0x1.012e1eb943431p-15, -0x1.edfadc8ff9c9dp-16, -0x1.da5a29ae2e312p-16, -0x1.c772f411f8689p-16, -0x1.b53e4cd60b81ep-16, -0x1.a3b584c9b019ep-16, -0x1.92d22a5dbbc4bp-16, -0x1.828e07a14afaep-16, -0x1.72e3204bcccabp-16, -0x1.63cbafdcae00bp-16, -0x1.554227bc16d98p-16, -0x1.47412d7cad0f5p-16, -0x1.39c398fce1a9fp-16, -0x1.2cc472e980dd8p-16, -0x1.203ef2fa90746p-16, -0x1.142e7e61e6793p-16, -0x1.088ea644168dep-16, -0x1.fab64c6df3dbcp-17, -0x1.e51fc5a02ef85p-17, -0x1.d051d07a1f414p-17, -0x1.bc44d1c2c6ce2p-17, -0x1.a8f1781b3cfbbp-17, -0x1.9650b95b39d04p-17, -0x1.845bd02bf2ed2p-17, -0x1.730c39685b39cp-17, -0x1.625bb218bc965p-17, -0x1.524434eb8b98ep-17, -0x1.42bff82c7e4f1p-17, -0x1.33c96b95aa6eap-17, -0x1.255b363b3d408p-17, -0x1.17703496ce9b3p-17, -0x1.0a037694a3c3ep-17, -0x1.fa207b7fbffebp-18, -0x1.e123f6c2e955p-18, -0x1.c9089da985c5bp-18, -0x1.b1c6078541532p-18, -0x1.9b54211f42e32p-18, -0x1.85ab2974c8cd2p-18, -0x1.70c3aea11f9d4p-18, -0x1.5c968b01b66ep-18, -0x1.491ce242375fdp-18, -0x1.36501e9c0b8b6p-18, -0x1.2429ee2763d1dp-18, -0x1.12a44051db20dp-18, -0x1.01b943203b6eap-18, -0x1.e2c6c23538838p-19, -0x1.c33a7dab231a3p-19, -0x1.a4c3710096089p-19, -0x1.8757bff50f186p-19, -0x1.6aedf5226eb61p-19, -0x1.4f7cfde972cddp-19, -0x1.34fc2660fe333p-19, -0x1.1b631622cc92ap-19, -0x1.02a9cc1552d5cp-19, -0x1.d591361e40e6ap-20, -0x1.a7704cc97a7adp-20, -0x1.7ae2bd5e9d4a7p-20, -0x1.4fdafd2b413cfp-20, -0x1.264c0f7e0a4e2p-20, -0x1.fc52ffc52912ap-21, -0x1.aeceb8888d933p-21, -0x1.63f45f2e6c354p-21, -0x1.1badf920388c3p-21, -0x1.abcce233761a8p-22, -0x1.25131a788b21ap-22, -0x1.460f9ad67d999p-23, -0x1.2c2df373b66f3p-25, 0x1.4e5b35bb20302p-24, 0x1.90e046f0ed90ap-23, 0x1.39272d2dcc5d8p-22, 0x1.a5db8495f07bcp-22, 0x1.0755c0d9e3d2bp-21, 0x1.39da24674f477p-21, 0x1.6a88ec55b9b86p-21, 0x1.996f8a9e0615dp-21, 0x1.c69aebfff5efcp-21, 0x1.f2177cc6b8dd2p-21, 0x1.0df897740ea0dp-20, 0x1.2219bfc9a2fc6p-20, 0x1.3574be42c6976p-20, 0x1.480ee482811f7p-20, 0x1.59ed51b4d5efbp-20, 0x1.6b14f444ad8a7p-20, 0x1.7b8a8ccc043e2p-20, 0x1.8b52afc6c3a25p-20, 0x1.9a71c7972dcbap-20, 0x1.a8ec16f9c2c4p-20, 0x1.b6c5ba7742445p-20, 0x1.c402aa52b4e3p-20, 0x1.d0a6bc151bc35p-20, 0x1.dcb5a4e4720f6p-20, 0x1.e832f9e54f27ep-20, 0x1.f32232c541ba7p-20, 0x1.fd86ab1617d71p-20, 0x1.03b1d163e9733p-19, 0x1.085e20301843p-19, 0x1.0cc9c8daf8cfap-19, 0x1.10f646c16122dp-19, 0x1.14e50a245b911p-19, 0x1.189778afdea47p-19, 0x1.1c0f29d9a3c25p-19, 0x1.1f4cfc7c4496ap-19, 0x1.225270ed74414p-19, 0x1.2520c7bf3d148p-19, 0x1.27b939005cf09p-19, 0x1.2a1cf51164646p-19, 0x1.2c4d24bb4ee27p-19, 0x1.2e4aea1c56dc9p-19, 0x1.301760368e9fbp-19, 0x1.31b39bac74089p-19, 0x1.3320ab11bc81p-19, 0x1.345f974ada76ap-19, 0x1.3571638987e98p-19, 0x1.36570dccd9342p-19, 0x1.37118efba5334p-19, 0x1.37a1db4273c1dp-19, 0x1.3808e233b2d6ep-19, 0x1.38478f045ceafp-19, 0x1.385ec8c276bd8p-19, 0x1.384f727d440a8p-19, 0x1.381a6b57b4b77p-19, 0x1.37c08ef42ad0cp-19, 0x1.3742b566f69edp-19, 0x1.36a1b35f7e9efp-19, 0x1.35de5a743388fp-19, 0x1.34f97907d0883p-19, 0x1.33f3da825d7d4p-19, 0x1.32ce477a6e998p-19, 0x1.318985cda6923p-19, 0x1.3026586479262p-19, 0x1.2ea58021ae5ccp-19, 0x1.2d07baf8eba6dp-19, 0x1.2b4dc49415735p-19, 0x1.297856479d0cap-19, 0x1.2788271c05df3p-19, 0x1.257debe7670b8p-19, 0x1.235a57584717fp-19, 0x1.211e1a0b3dff8p-19, 0x1.1ec9e26ebcfd3p-19, 0x1.1c5e5d090b85dp-19, 0x1.19dc3462fe937p-19, 0x1.1744110d9dd4cp-19, 0x1.149699b160965p-19, 0x1.11d4734bfe2f1p-19, 0x1.0efe40aeb1cabp-19, 0x1.0c14a30689e3p-19, 0x1.091839a0ea289p-19, 0x1.0609a218ff5e7p-19, 0x1.02e9781ee0d65p-19, 0x1.ff70abf4b3b68p-20, 0x1.f8eda7dc99b2p-20, 0x1.f24b111f8d0b3p-20, 0x1.eb8a118955d6fp-20, 0x1.e4abcf8468accp-20, 0x1.ddb16dfd005a1p-20, 0x1.d69c0cb10505p-20, 0x1.cf6cc7d89e819p-20, 0x1.c824b86031567p-20, 0x1.c0c4f3cd0759bp-20, 0x1.b94e8c57541eap-20, 0x1.b1c290d3092d8p-20, 0x1.aa220cda0447p-20, 0x1.a26e088d622eap-20, 0x1.9aa788c1e9eecp-20, 0x1.92cf8f1fe2d8fp-20, 0x1.8ae7197204431p-20, 0x1.82ef22a8cb5c2p-20, 0x1.7ae8a2415e25fp-20, 0x1.72d48c4800f3cp-20, 0x1.6ab3d1743b05ap-20, 0x1.62875f20268bep-20, 0x1.5a501f4e91c7dp-20, 0x1.520ef88c98d2fp-20, 0x1.49c4ce39d2579p-20, 0x1.41727ff9785a7p-20, 0x1.3918ea5e71d51p-20, 0x1.30b8e68451169p-20, 0x1.285349d59f61ap-20, 0x1.1fe8e7182911dp-20, 0x1.177a8cfa492e1p-20, 0x1.0f0906fe994p-20, 0x1.06951d426056ep-20, 0x1.fc3f28b8ca389p-21, 0x1.eb525bc10fdap-21, 0x1.da654f3b2d454p-21, 0x1.c9797837f8cp-21, 0x1.b890450441045p-21, 0x1.a7ab1d18b38efp-21, 0x1.96cb6154f6696p-21, 0x1.85f26bdc169eap-21, 0x1.75218f7bd0a9cp-21, 0x1.645a1924eecd8p-21, 0x1.539d4e1aa48d8p-21, 0x1.42ec6ea49d01p-21, 0x1.3248b2485de5cp-21, 0x1.21b34b134ae6fp-21, 0x1.112d645233bd7p-21, 0x1.00b8224e57673p-21, 0x1.e0a9464d7b83fp-22, 0x1.c007fc8450803p-22, 0x1.9f8e88fe1b307p-22, 0x1.7f3f0089b44dep-22, 0x1.5f1b6af37c5bdp-22, 0x1.3f25c3288ba99p-22, 0x1.1f5ff75ae66d1p-22, 0x1.ff97d24fda5b4p-23, 0x1.c0d6d9c594651p-23, 0x1.828095e83e9dfp-23, 0x1.44987e78c6a5bp-23, }}, 
      std::vector<double>(619, 0.0), 
      {{0x1.3d19c09c5e1d3p-8, 0x1.2d80b5718830ep-8, -0x1.cd162375b73fep-9, -0x1.5144a8a2bc4e6p-6, -0x1.7d437ee959d79p-5, -0x1.4a3ad6e80bca7p-4, -0x1.f254e53da1703p-4, -0x1.58ac3630549ebp-3, -0x1.c0b796b1753b8p-3, -0x1.17394f4ebb7a5p-2, -0x1.4f998736de088p-2, -0x1.8848130bcf457p-2, -0x1.c035e001c1fbdp-2, -0x1.f67af473036fdp-2, -0x1.152a5e7fff2b2p-1, -0x1.2d92dec70c229p-1, -0x1.4438a0d7b5cd3p-1, -0x1.58ec9a06f0523p-1, -0x1.6b8d40e44d559p-1, -0x1.7c04b79dfa689p-1, -0x1.8a47509e38729p-1, -0x1.9652333d3b821p-1, -0x1.a029fb7ae8488p-1, -0x1.a7d954fcf55c5p-1, -0x1.ad6fc638c0f18p-1, -0x1.b100e31e34e7ap-1, -0x1.b2a39498e42dfp-1, -0x1.b271318d19181p-1, -0x1.b084c12400017p-1, -0x1.acfa9859b1ba2p-1, -0x1.a7f0712b4acabp-1, -0x1.a182c440529d7p-1, -0x1.99cf4d8a75da3p-1, -0x1.90f3343282212p-1, -0x1.870b04c3be9bfp-1, -0x1.7c328767c279ap-1, -0x1.7084a6be2d9fdp-1, -0x1.641b49e01191ep-1, -0x1.570f2c041f69bp-1, -0x1.4977c8624afddp-1, -0x1.3b6b59b26c0d6p-1, -0x1.2cfedc2ca5491p-1, -0x1.1e46094a092f9p-1, -0x1.0f53528658706p-1, -0x1.0037e23d06c9dp-1, -0x1.e20745fa73ae9p-2, -0x1.c38a92e9c8a89p-2, -0x1.a514bc7ef8916p-2, -0x1.86be8eaf6b512p-2, -0x1.689ea373059c4p-2, -0x1.4ac97723519fcp-2, -0x1.2d517ec3dd92fp-2, -0x1.1047414647ce5p-2, -0x1.e772e860c4f8fp-3, -0x1.af6a35442da65p-3, -0x1.788b496fae6dep-3, -0x1.42ea1ab8edaf2p-3, -0x1.0e97eb065d14bp-3, -0x1.b746f2e3978cap-4, -0x1.54325debb1e3cp-4, -0x1.e80d1e125b2f7p-5, -0x1.2da7e0304cb9ep-5, -0x1.e507bf779c932p-7, 0x1.a7b388bcca6d4p-8, 0x1.ba0d2658e9beap-6, 0x1.7ee8a93be6498p-5, 0x1.0d4df8409bde7p-4, 0x1.5812308dc3a17p-4, 0x1.9fc532ad95093p-4, 0x1.e46d435af4581p-4, 0x1.130942672a23dp-3, 0x1.325f5eee7f7ffp-3, 0x1.503e8faafd3b4p-3, 0x1.6cad06a70ef47p-3, 0x1.87b1783b91f7ap-3, 0x1.a153087231371p-3, 0x1.b9993c8328d51p-3, 0x1.d08bef089c17ep-3, 0x1.e633455e0a9a2p-3, 0x1.fa97a50402ea7p-3, 0x1.06e0d43fe1d08p-2, 0x1.0fdd09e2c5898p-2, 0x1.1844e44e360acp-2, 0x1.201cddc3d9055p-2, 0x1.276974d4d9a52p-2, 0x1.2e2f27f0701bbp-2, 0x1.3472719524c73p-2, 0x1.3a37c516c2b02p-2, 0x1.3f838be146409p-2, 0x1.445a23207e41p-2, 0x1.48bfd9b920d9bp-2, 0x1.4cb8ee86a746dp-2, 0x1.50498ed67b0f2p-2, 0x1.5375d51b479a8p-2, 0x1.5641c7d337273p-2, 0x1.58b1589a7acaap-2, 0x1.5ac86362617ccp-2, 0x1.5c8aadc54c4c2p-2, 0x1.5dfbe6714ffdbp-2, 0x1.5f1fa4a6155dcp-2, 0x1.5ff967c5721dfp-2, 0x1.608c96f85b2fep-2, 0x1.60dc80ea864dap-2, 0x1.60ec5b9e130fp-2, 0x1.60bf44565b3d8p-2, 0x1.60583f96b4692p-2, 0x1.5fba39302bb53p-2, 0x1.5ee804590eb9fp-2, 0x1.5de45bca6d9afp-2, 0x1.5cb1e1e25a87fp-2, 0x1.5b5320ccc3dabp-2, 0x1.59ca8ab75078ap-2, 0x1.581a7a162d1f4p-2, 0x1.564531ffa2601p-2, 0x1.544cdea2c0932p-2, 0x1.523395daca283p-2, 0x1.4ffb57dddb127p-2, 0x1.4da61002458a9p-2, 0x1.4b35959399d59p-2, 0x1.48abacaed9ca5p-2, 0x1.460a071d0068fp-2, 0x1.43524523b5c37p-2, 0x1.4085f645c41b7p-2, 0x1.3da699ef40446p-2, 0x1.3ab5a00be1628p-2, 0x1.37b46988a2608p-2, 0x1.34a27bee6cb6bp-2, 0x1.31850c3e3117fp-2, 0x1.2e5b379bd2ff1p-2, 0x1.2b26216dceefap-2, 0x1.27e6e03de93c3p-2, 0x1.249e7e64ac345p-2, 0x1.214dfaa2dc5fep-2, 0x1.1df648a756f41p-2, 0x1.1a98518151b74p-2, 0x1.1734f40066b8cp-2, 0x1.13cd0504ea76p-2, 0x1.10614fc3db7d6p-2, 0x1.0cf296022972ep-2, 0x1.0981904b1b09fp-2, 0x1.060eee2551f3ap-2, 0x1.029b56495e254p-2, 0x1.fe4ecdb85c7a3p-3, 0x1.f7676b5d81a8p-3, 0x1.f081a107ac16dp-3, 0x1.e99e7ab7108d8p-3, 0x1.e2bef5886a6b4p-3, 0x1.dbe4005f264e4p-3, 0x1.d50e7c95194bep-3, 0x1.ce3f3eac93926p-3, 0x1.c7770f0183c9ap-3, 0x1.c0b6aa7677676p-3, 0x1.b9fec31aacd71p-3, 0x1.b35000c6c28a1p-3, 0x1.acab01ae4175dp-3, 0x1.a6105ae4c3b1ep-3, 0x1.9f8098d649448p-3, 0x1.98fc3fb2caf12p-3, 0x1.9283cbcdcacb9p-3, 0x1.8c17b1f2f5dfep-3, 0x1.85b85fb16aad6p-3, 0x1.7f663b9f401d1p-3, 0x1.7921a59715771p-3, 0x1.72eaf6f163261p-3, 0x1.6cc282bb0d8cep-3, 0x1.66a895ea95609p-3, 0x1.609d7794f3917p-3, 0x1.5aa16922e5caap-3, 0x1.54b4a6871516dp-3, 0x1.4ed7667558a1cp-3, 0x1.4909da9af2491p-3, 0x1.434c2fd781416p-3, 0x1.3d9e8e7643e56p-3, 0x1.38011a6713267p-3, 0x1.3273f3768ca53p-3, 0x1.2cf73584ca781p-3, 0x1.278af8ba33a53p-3, 0x1.222f51b9d0a69p-3, 0x1.1ce451d0e90a7p-3, 0x1.17aa07238b2fap-3, 0x1.12807cd5fb7b3p-3, 0x1.0d67bb32e3713p-3, 0x1.085fc7ce7d635p-3, 0x1.0368a5a6c1fb5p-3, 0x1.fd04aa81f992ap-4, 0x1.f359a989e9655p-4, 0x1.e9d0402c255e4p-4, 0x1.e06861d5b68d3p-4, 0x1.d721fdc60ce91p-4, 0x1.cdfcff3939b56p-4, 0x1.c4f94d909fd8p-4, 0x1.bc16cc7aba347p-4, 0x1.b3555c1a41f07p-4, 0x1.aab4d92d0047bp-4, 0x1.a2351d328d051p-4, 0x1.99d5fe92f298dp-4, 0x1.919750c54a9dfp-4, 0x1.8978e476397a3p-4, 0x1.817a87ae1c3bdp-4, 0x1.799c05f6cc08bp-4, 0x1.71dd2880bd10cp-4, 0x1.6a3db647473abp-4, 0x1.62bd7433ea191p-4, 0x1.5b5c25405d5cap-4, 0x1.54198a974bfd2p-4, 0x1.4cf563b39a4p-4, 0x1.45ef6e7e25611p-4, 0x1.3f076769f32ebp-4, 0x1.383d098ecd8eap-4, 0x1.31900ec2552d6p-4, 0x1.2b002faf96f48p-4, 0x1.248d23ed38b04p-4, 0x1.1e36a21258dccp-4, 0x1.17fc5fca392e8p-4, 0x1.11de11e6d4338p-4, 0x1.0bdb6c727db8dp-4, 0x1.05f422c0a775cp-4, 0x1.0027e77de97afp-4, 0x1.f4ecd97ecd563p-5, 0x1.e9bec823461fcp-5, 0x1.dec4fd0dc2a3bp-5, 0x1.d3fed98a2b2abp-5, 0x1.c96bbe26f6e84p-5, 0x1.bf0b0acfaf655p-5, 0x1.b4dc1ee6d91bbp-5, 0x1.aade595f45d42p-5, 0x1.a11118d4d8dffp-5, 0x1.9773bba4b6d79p-5, 0x1.8e05a004de69p-5, 0x1.84c6241b28cc5p-5, 0x1.7bb4a613a372bp-5, 0x1.72d0843644571p-5, 0x1.6a191cfbeb92ap-5, 0x1.618dcf22afbe2p-5, 0x1.592df9c16e167p-5, 0x1.50f8fc5a9db0cp-5, 0x1.48ee36ee5f0eap-5, 0x1.410d0a0bce674p-5, 0x1.3954d6e191429p-5, 0x1.31c4ff4da9403p-5, 0x1.2a5ce5ec89ed8p-5, 0x1.231bee277ad1p-5, 0x1.1c017c4244f6fp-5, 0x1.150cf568379b1p-5, 0x1.0e3dbfb88666ap-5, 0x1.0793425206894p-5, 0x1.010ce55e53787p-5, 0x1.f5542438bf1e9p-6, 0x1.e8d465d4edc55p-6, 0x1.dc99669f6c1a1p-6, 0x1.d0a2000a03385p-6, 0x1.c4ed0dfaf5ebfp-6, 0x1.b9796edcf5994p-6, 0x1.ae4603ae294bdp-6, 0x1.a35de62f62432p-6, 0x1.98a7de98ff22cp-6, 0x1.8e2ebe0ffccc3p-6, 0x1.83f170787157fp-6, 0x1.79eee48284f78p-6, 0x1.70260bb449dc9p-6, 0x1.6695da72e7059p-6, 0x1.5d3d480b2130cp-6, 0x1.541b4eb93aec8p-6, 0x1.4b2eebb03382fp-6, 0x1.42771f206574dp-6, 0x1.39f2ec3d81b27p-6, 0x1.31a15943f0b9fp-6, 0x1.29816f7d95605p-6, 0x1.21923b45f85p-6, 0x1.19d2cc0ddc3c2p-6, 0x1.1242345e41d2dp-6, 0x1.0adf89dad5181p-6, 0x1.03a9e543d72a1p-6, 0x1.f940c4eef9619p-7, 0x1.eb8440e58bccbp-7, 0x1.de1c82a3b4234p-7, 0x1.d107d49fd991ap-7, 0x1.c444878d40a26p-7, 0x1.b7d0f25a0f2e3p-7, 0x1.abab722c58993p-7, 0x1.9fd26a5e71b2ep-7, 0x1.9444447a69086p-7, 0x1.88ff7034dbf64p-7, 0x1.7e026366fcd7p-7, 0x1.734b9a080403fp-7, 0x1.68d99625f0e94p-7, 0x1.5eaadfddb483fp-7, 0x1.54be0552cae9cp-7, 0x1.4b119aa64c4dp-7, 0x1.41a439ed7384bp-7, 0x1.38748327a9daap-7, 0x1.2f811c3422af8p-7, 0x1.26c8b0c6ffa1dp-7, 0x1.1e49f25e0f188p-7, 0x1.1603983523c7fp-7, 0x1.0df45f3a1008cp-7, 0x1.061b0a0045d78p-7, 0x1.fcecc16843a5ep-8, 0x1.ee0a621bcdfc9p-8, 0x1.df8c9c88e0205p-8, 0x1.d17121ff2e94fp-8, 0x1.c3b5ae94bb724p-8, 0x1.b6580909a757bp-8, 0x1.a95602ab8b07cp-8, 0x1.9cad7738696ddp-8, 0x1.905c4cc134261p-8, 0x1.8460738bfc6bcp-8, 0x1.78b7e5f5c4548p-8, 0x1.6d60a85407fc9p-8, 0x1.6258c8d5fb433p-8, 0x1.579e5f658832fp-8, 0x1.4d2f8d8812dd7p-8, 0x1.430a7e3f0a44ap-8, 0x1.392d65e84ccb5p-8, 0x1.2f96821e653d5p-8, 0x1.26441998ab222p-8, 0x1.1d347c0b44188p-8, 0x1.1466020716d83p-8, 0x1.0bd70cd9ad07p-8, 0x1.0386066d0b7cep-8, 0x1.f6e2c24f186f7p-9, 0x1.e72f2f976b8d9p-9, 0x1.d7ee5ab03800ap-9, 0x1.c91d59ce9b52dp-9, 0x1.bab9531fa3c2ap-9, 0x1.acbf7c887822cp-9, 0x1.9f2d1b66b0237p-9, 0x1.91ff8450ede9cp-9, 0x1.85341ad7b352cp-9, 0x1.78c851468d583p-9, 0x1.6cb9a86589c4ep-9, 0x1.6105af3b0d2cp-9, 0x1.55aa02ce0413fp-9, 0x1.4aa44de87df61p-9, 0x1.3ff248dab9f62p-9, 0x1.3591b93e9bbfp-9, 0x1.2b8071bba41a2p-9, 0x1.21bc51cb5d7f1p-9, 0x1.1843457e54cf4p-9, 0x1.0f134541902bep-9, 0x1.062a55a499da2p-9, 0x1.fb0d0e402244ep-10, 0x1.ea4bebb9ac001p-10, 0x1.da0d92f791bc3p-10, 0x1.ca4e69bc492a1p-10, 0x1.bb0aebdcec0f5p-10, 0x1.ac3faad463e1dp-10, 0x1.9de94d57dd061p-10, 0x1.90048eec82d0cp-10, 0x1.828e3f7e89ed1p-10, 0x1.758342f985c64p-10, 0x1.68e090e21557bp-10, 0x1.5ca333f0ef45p-10, 0x1.50c849af35951p-10, 0x1.454d021431b66p-10, 0x1.3a2e9f246a2adp-10, 0x1.2f6a7492141a4p-10, 0x1.24fde75edfabep-10, 0x1.1ae66d7f324aep-10, 0x1.11218d7ea2ecbp-10, 0x1.07acde25fd075p-10, 0x1.fd0c0c44fe766p-11, 0x1.eb55775d0eb0bp-11, 0x1.da31887737481p-11, 0x1.c99be83b93e3p-11, 0x1.b9905c70cbcb3p-11, 0x1.aa0ac75834ecap-11, 0x1.9b07270cad491p-11, 0x1.8c8194e413ae6p-11, 0x1.7e7644d36ec68p-11, 0x1.70e184d5a8611p-11, 0x1.63bfbc54ebd4ap-11, 0x1.570d6b96900bp-11, 0x1.4ac72b299d708p-11, 0x1.3ee9ab57d6ffcp-11, 0x1.3371b3993d695p-11, 0x1.285c220a2c169p-11, 0x1.1da5eae3c98cbp-11, 0x1.134c17f70aeap-11, 0x1.094bc82a0fb78p-11, 0x1.ff445defda80ep-12, 0x1.ec9927e596f9fp-12, 0x1.da90a490e45fcp-12, 0x1.c925b09223f1dp-12, 0x1.b8534de0c8c46p-12, 0x1.a814a2e223221p-12, 0x1.9864f984932e4p-12, 0x1.893fbe5f5bf98p-12, 0x1.7aa07fd6a9256p-12, 0x1.6c82ed4400491p-12, 0x1.5ee2d622ef40fp-12, 0x1.51bc294212e21p-12, 0x1.450af3f8224c6p-12, 0x1.38cb615d3a4fp-12, 0x1.2cf9b988246a4p-12, 0x1.219260cf9def7p-12, 0x1.1691d70fcfe3p-12, 0x1.0bf4b6f35017dp-12, 0x1.01b7b5404515ep-12, 0x1.efaf405298dabp-13, 0x1.dca2bd43f4efep-13, 0x1.ca43df6e5ee26p-13, 0x1.b88cd3d60947ap-13, 0x1.a777f5289df2cp-13, 0x1.96ffca834b9e6p-13, 0x1.871f063fc0337p-13, 0x1.77d084c816e37p-13, 0x1.690f4b71639ccp-13, 0x1.5ad6875ceddd1p-13, 0x1.4d218c5fe78aep-13, 0x1.3febd3f18dd22p-13, 0x1.3330fc1fb885p-13, 0x1.26ecc68964b58p-13, 0x1.1b1b175f7c4ap-13, 0x1.0fb7f46bb2029p-13, 0x1.04bf841d0fc2ap-13, 0x1.f45c1934dfbaep-14, 0x1.dfffe5b5514cfp-14, 0x1.cc63738481ae1p-14, 0x1.b980028d83005p-14, 0x1.a74f0b2e59ae2p-14, 0x1.95ca3c946e3f4p-14, 0x1.84eb7b22373fp-14, 0x1.74acdee06086ap-14, 0x1.6508b1f80dc56p-14, 0x1.55f96f375d8e1p-14, 0x1.4779c09fc0d24p-14, 0x1.39847dfcf856p-14, 0x1.2c14ab870304ap-14, 0x1.1f25788b92badp-14, 0x1.12b23e2158333p-14, 0x1.06b67de3d6796p-14, 0x1.f65bc17009baep-15, 0x1.e0286b32301a8p-15, 0x1.cacae0db1603dp-15, 0x1.b63b51ca594d7p-15, 0x1.a27232bbb7938p-15, 0x1.8f683ba137d52p-15, 0x1.7d16658ca5719p-15, 0x1.6b75e8a749fb6p-15, 0x1.5a803a392a23p-15, 0x1.4a2f0abd48bd4p-15, 0x1.3a7c4403f7423p-15, 0x1.2b6207636d103p-15, 0x1.1cdaabf423c49p-15, 0x1.0ee0bcdb3d17dp-15, 0x1.016ef7a0214d5p-15, 0x1.e900951ea5e09p-16, 0x1.d01fa64f8c8e5p-16, 0x1.b831b9296ca9ap-16, 0x1.a12dbc638b704p-16, 0x1.8b0af4337dfecp-16, 0x1.75c0f78107a9dp-16, 0x1.6147ad2c70c2ep-16, 0x1.4d974967a50b5p-16, 0x1.3aa84b25a50b7p-16, 0x1.287379980a49fp-16, 0x1.16f1e1c1b4ce5p-16, 0x1.061cd4185b0a7p-16, 0x1.ebdbc46efaf92p-17, 0x1.ccbdb9488430ep-17, 0x1.aed3a13dbd682p-17, 0x1.92120c0ec2092p-17, 0x1.766dfa9a9f697p-17, 0x1.5bdcdae08075fp-17, 0x1.425484195866dp-17, 0x1.29cb32f3b4a12p-17, 0x1.123785e4c8e4ap-17, 0x1.f720f32dd6cccp-18, 0x1.cb9acae40f508p-18, 0x1.a1cbf07bf0af3p-18, 0x1.79a469bc77a97p-18, 0x1.5314de4c7ec87p-18, 0x1.2e0e918f2c51fp-18, 0x1.0a835caa528bap-18, 0x1.d0cb518851a63p-19, 0x1.8f50d2e020d44p-19, 0x1.507e2e8c285d4p-19, 0x1.143b5534e7dedp-19, 0x1.b4e25a1b2f607p-20, 0x1.46130fe63db8cp-20, 0x1.b7bc681aa54ap-21, 0x1.d86b84c156fadp-22, 0x1.4a1d2aeeb2d0cp-24, -0x1.22cab0b117ddap-22, -0x1.440da0ed3b3d5p-21, -0x1.eefabec01108dp-21, -0x1.4937bd47185fp-20, -0x1.9755fc42a05dp-20, -0x1.e1f6ea19e2904p-20, -0x1.149c0edb8b384p-19, -0x1.369b020333cf7p-19, -0x1.5705f64272115p-19, -0x1.75ea0a7cbbfb7p-19, -0x1.9353da8a5b92cp-19, -0x1.af4f84acafb83p-19, -0x1.c9e8aedde7f34p-19, -0x1.e32a8be236c41p-19, -0x1.fb1fe024ea637p-19, -0x1.08e98337ec15dp-18, -0x1.13a6fa2e3fc1p-18, -0x1.1dcd1f5375b75p-18, -0x1.27608eaef27c5p-18, -0x1.3065b7ec9b2a7p-18, -0x1.38e0e03b06141p-18, -0x1.40d6242e4c04fp-18, -0x1.4849797c6064dp-18, -0x1.4f3eb0acbec2cp-18, -0x1.55b976b99c011p-18, -0x1.5bbd569da3bfbp-18, -0x1.61511e25346f7p-18, -0x1.667135a4ffbc1p-18, -0x1.6b244b25ab41p-18, -0x1.6f6d703cd7e18p-18, -0x1.734f9b641b0abp-18, -0x1.76cda93097088p-18, -0x1.79ea5d7bcf36fp-18, -0x1.7ca8648bccaafp-18, -0x1.7f0a541771f55p-18, -0x1.8112ac5750468p-18, -0x1.82c3d8fc733d9p-18, -0x1.842032304c3fcp-18, -0x1.8529fd66517d5p-18, -0x1.85e36e46fd636p-18, -0x1.864ea78478236p-18, -0x1.866dbb9f26f5cp-18, -0x1.8642adabca45p-18, -0x1.85cf720b3adc2p-18, -0x1.8515ef1bd0eb1p-18, -0x1.8417fde0e006bp-18, -0x1.82d76aaa75bc9p-18, -0x1.8155f5a4633a2p-18, -0x1.7f9553708fe23p-18, -0x1.7d972db089dd4p-18, -0x1.7b5d238a4d1bcp-18, -0x1.78e8ca271b14fp-18, -0x1.763bad2df6c88p-18, -0x1.73574f3217915p-18, -0x1.703d2a215ad12p-18, -0x1.6ceeafab25daep-18, -0x1.696d49ac6bec4p-18, -0x1.65ba5a77ebe7bp-18, -0x1.61d73d3df9b16p-18, -0x1.5dc5465b4b241p-18, -0x1.5985c3a88545cp-18, -0x1.5519fcc2fc48dp-18, -0x1.50833356ec8f5p-18, -0x1.4bc2a35c62335p-18, -0x1.46d9835a9da23p-18, -0x1.41c904a28ad67p-18, -0x1.3c9253829a108p-18, -0x1.3736977e1af8ep-18, -0x1.31b6f37eb9378p-18, -0x1.2c1486007cc83p-18, -0x1.2650693f8bf34p-18, -0x1.206bb35cc88e1p-18, -0x1.1a67768785c37p-18, -0x1.1444c11ee252ep-18, -0x1.0e049dceb57e3p-18, -0x1.07a813bbada1bp-18, -0x1.0130268d552abp-18, -0x1.f53bad293720bp-19, -0x1.e7e441c6bc69dp-19, -0x1.da5bfebb4256bp-19, -0x1.cca4d1a73ae32p-19, -0x1.bec0a224c715cp-19, -0x1.b0b151ed07884p-19, -0x1.a278bcf7b143cp-19, -0x1.9418b999b892ep-19, -0x1.8593189f18e76p-19, -0x1.76e9a55df146ep-19, -0x1.681e25e32aee6p-19, -0x1.59325ae5e8ab9p-19, -0x1.4a27ffeebdedap-19, -0x1.3b00cb61cd622p-19, -0x1.2bbe6e8d76543p-19, -0x1.1c6295bcc01f9p-19, -0x1.0ceee835294bp-19, -0x1.faca109772f38p-20, -0x1.db8d26d22f64cp-20, -0x1.bc2a44221d311p-20, -0x1.9ca48fcfc5467p-20, -0x1.7cff2773857a7p-20, -0x1.5d3d1ef0bdc29p-20, -0x1.3d61809196458p-20, -0x1.1d6f4cf2f1657p-20, -0x1.fad2f62814a05p-21, -0x1.baa5f09059eeap-21, -0x1.7a5d50ffca142p-21, -0x1.39fecb9f672e3p-21, -0x1.f320030bd9f5bp-22, -0x1.722d011004b5p-22, -0x1.e25f0cbf66489p-23, -0x1.c0c985fe660f4p-24, 0x1.0bfc5c8a74282p-26, 0x1.2338dcd52970ep-23, 0x1.12593e2b37991p-22, 0x1.92ec01b7db184p-22, 0x1.09a5565e385ffp-21, 0x1.49b5ad0047fafp-21, 0x1.89a2259e75be9p-21, 0x1.c965f4d6e3769p-21, 0x1.047e3174f4af3p-20, 0x1.243065c9e0b11p-20, 0x1.43c74f4300522p-20, 0x1.6340af94cef3ep-20, 0x1.829a525a76f2ep-20, 0x1.a1d20d1130ad9p-20, 0x1.c0e5bf2d1db21p-20, 0x1.dfd3520fb353fp-20, 0x1.fe98b91164d7p-20, 0x1.0e99f8bb324bbp-19, 0x1.1dd1814269166p-19, 0x1.2cf1febbdaa91p-19, 0x1.3bfa7ec29e7fap-19, 0x1.4aea13eec536ep-19, 0x1.59bfd5d246d51p-19, 0x1.687ae0fe61123p-19, 0x1.771a5700f5762p-19, }}, 
      {{0x1.42e336ad397f4p-2, 0x1.a2eba4758a4d1p-3, 0x1.e3d49fe53c179p-5, -0x1.9b47722e539dcp-4, -0x1.0a4c5f0a89516p-2, -0x1.a4e6966c1d06bp-2, -0x1.189780dbcca43p-1, -0x1.561ff183c783bp-1, -0x1.8a7c364841c77p-1, -0x1.b5b53faea0046p-1, -0x1.d8388082b9cd1p-1, -0x1.f2b164074bea9p-1, -0x1.02f70416f2ac2p+0, -0x1.0965bb8274b13p+0, -0x1.0d1456268fbe9p+0, -0x1.0e6e8971c5d54p+0, -0x1.0dd98ec04e802p+0, -0x1.0bb253eb7052cp+0, -0x1.084ca2b13020ep+0, -0x1.03f2e99418f78p+0, -0x1.fdccb6db574a4p-1, -0x1.f2be98ad3931bp-1, -0x1.e71b91ac5f298p-1, -0x1.db34960b60342p-1, -0x1.cf4ce109b1922p-1, -0x1.c39b6f2f9ab42p-1, -0x1.b84c622db5123p-1, -0x1.ad822dd7202f4p-1, -0x1.a356c9c3beb5cp-1, -0x1.99dd0116a68aap-1, -0x1.9121949dc40aep-1, -0x1.892c68ce15a3ap-1, -0x1.82007975dcff9p-1, -0x1.7b9d447d49922p-1, -0x1.75ff53c9fe315p-1, -0x1.7120cab99c017p-1, -0x1.6cf9dd8aa1887p-1, -0x1.69814237cbf4cp-1, -0x1.66ac9784f37afp-1, -0x1.6470b999dbb6ap-1, -0x1.62c2052d24cd9p-1, -0x1.619490330c073p-1, -0x1.60dc5b4faefe1p-1, -0x1.608d7af5bf1d3p-1, -0x1.609c37ee9d557p-1, -0x1.60fd299752d1fp-1, -0x1.61a54c125eb44p-1, -0x1.628a12b1f3977p-1, -0x1.63a175d06b732p-1, -0x1.64e1fbedbf933p-1, -0x1.6642bedb48a15p-1, -0x1.67bb6dfc84808p-1, -0x1.69444e669af4dp-1, -0x1.6ad6397b5d21fp-1, -0x1.6c6a9a90952adp-1, -0x1.6dfb6c0e4357bp-1, -0x1.6f833417b52d4p-1, -0x1.70fd007a1cdc7p-1, -0x1.72646180b5832p-1, -0x1.73b5638aef0ffp-1, -0x1.74ec87afec712p-1, -0x1.7606bc14ca862p-1, -0x1.7701c697d0844p-1, -0x1.77da56a4b7f27p-1, -0x1.788f0de6a28b2p-1, -0x1.791e5174ec8d8p-1, -0x1.7986d389af759p-1, -0x1.79c78f0c9d38ap-1, -0x1.79dfc3462758fp-1, -0x1.79ceef41e7cfep-1, -0x1.7994ccb0272aep-1, -0x1.79314a61e764ep-1, -0x1.78a486ae893d3p-1, -0x1.77eeca2049c6fp-1, -0x1.771082afbaef7p-1, -0x1.760a3fac5b21ap-1, -0x1.74dcae450b278p-1, -0x1.73889685ac4d6p-1, -0x1.720ed89682af4p-1, -0x1.70706a137b396p-1, -0x1.6eae53650bc7ap-1, -0x1.6cc9ad1890a5bp-1, -0x1.6ac39d443c246p-1, -0x1.689d5508480eep-1, -0x1.66580e3d6fb6fp-1, -0x1.63f5095ac8401p-1, -0x1.61758b961e6bap-1, -0x1.5edadd3c3ba38p-1, -0x1.5c26483afd5a9p-1, -0x1.595916d609571p-1, -0x1.5674927fa2dc6p-1, -0x1.537a02d0a49c1p-1, -0x1.506aac9c56f6cp-1, -0x1.4d47d11df042cp-1, -0x1.4a12ad3e26133p-1, -0x1.46cc78ef2faadp-1, -0x1.4376669d64c45p-1, -0x1.4011a2b26f4d8p-1, -0x1.3c9f532906094p-1, -0x1.3920972f65d03p-1, -0x1.359686d7279f7p-1, -0x1.320232d1680c7p-1, -0x1.2e64a4365d67ep-1, -0x1.2abedc575f726p-1, -0x1.2711d49a19352p-1, -0x1.235e7e5b5ab43p-1, -0x1.1fa5c2d7f56cdp-1, -0x1.1be8831a5757cp-1, -0x1.182797ec417f5p-1, -0x1.1463d1ccd5bfap-1, -0x1.109df8ec0d07ep-1, -0x1.0cd6cd2d3cc45p-1, -0x1.090f063285fdp-1, -0x1.05475372abb12p-1, -0x1.01805c5a1f94cp-1, -0x1.fb7580ee276e9p-2, -0x1.f3ee2f5eae896p-2, -0x1.ec6be4fbc49b2p-2, -0x1.e4efb46aa9466p-2, -0x1.dd7aa288d1f4cp-2, -0x1.d60da6f2ffadfp-2, -0x1.cea9ac85a92bep-2, -0x1.c74f91d34bc2dp-2, -0x1.c000298edefecp-2, -0x1.b8bc3aea5a402p-2, -0x1.b18481eac703fp-2, -0x1.aa58c94bd586fp-2, -0x1.a33baedbf9d22p-2, -0x1.9c2cc246cf2b2p-2, -0x1.952c92caac194p-2, -0x1.8e3ba62d86b0fp-2, -0x1.875a7934635b2p-2, -0x1.8089800fdc9dp-2, -0x1.79c926bcee207p-2, -0x1.7319d15a16c89p-2, -0x1.6c7bdc71b451bp-2, -0x1.65ef9d3b2f4e6p-2, -0x1.5f7561d4ec729p-2, -0x1.590d71793cb71p-2, -0x1.52b80cb086c44p-2, -0x1.4c756d829e934p-2, -0x1.4645c7a907ea3p-2, -0x1.402948c34b3fap-2, -0x1.3a20188e2c9c9p-2, -0x1.342a591e05934p-2, -0x1.2e48271c24d43p-2, -0x1.28799a06b75a4p-2, -0x1.22bec472889eep-2, -0x1.1d17b44daefaep-2, -0x1.178473223482fp-2, -0x1.12050657c371p-2, -0x1.0c996f736d026p-2, -0x1.0741ac54cb09cp-2, -0x1.01fdb76fcf5cp-2, -0x1.f99b1005beec2p-3, -0x1.ef622491d9815p-3, -0x1.e5508f4f0935bp-3, -0x1.db662db1db728p-3, -0x1.d1a2d82538977p-3, -0x1.c8066250ac633p-3, -0x1.be909b58ff7c7p-3, -0x1.b5414e1c1a277p-3, -0x1.ac1841691da7fp-3, -0x1.a3153835b6e91p-3, -0x1.9a37f1d161617p-3, -0x1.91802a174e857p-3, -0x1.88ed999f76993p-3, -0x1.807ff5ef28353p-3, -0x1.7836f1a938cbbp-3, -0x1.70123cbdfb2p-3, -0x1.6811849ac3646p-3, -0x1.60347458f1f53p-3, -0x1.587ab4ec214c1p-3, -0x1.50e3ed4f54dc3p-3, -0x1.496fc2b0c3b1bp-3, -0x1.421dd89c0cafp-3, -0x1.3aedd1228b678p-3, -0x1.33df4d01adecep-3, -0x1.2cf1ebc71f933p-3, -0x1.26254bf2b390bp-3, -0x1.1f790b161f4ddp-3, -0x1.18ecc5f27f1e5p-3, -0x1.12801893c50e3p-3, -0x1.0c329e6a324e2p-3, -0x1.0603f26206593p-3, -0x1.ffe75df324e41p-4, -0x1.f402dcabb59f4p-4, -0x1.e85994ac0d20dp-4, -0x1.dceab94b6e29ep-4, -0x1.d1b57d9d06e78p-4, -0x1.c6b9149163108p-4, -0x1.bbf4b1169f984p-4, -0x1.b167863794bd2p-4, -0x1.a710c73a0100dp-4, -0x1.9cefa7bbef181p-4, -0x1.93035bd04459ap-4, -0x1.894b181a80a4ep-4, -0x1.7fc611e9ada3ap-4, -0x1.76737f526cddcp-4, -0x1.6d52974816e67p-4, -0x1.646291b4d8a21p-4, -0x1.5ba2a790c065ep-4, -0x1.531212f7aac11p-4, -0x1.4ab00f3e03ae8p-4, -0x1.427bd90452802p-4, -0x1.3a74ae498c1fcp-4, -0x1.3299ce7c2b1dcp-4, -0x1.2aea7a8a10b77p-4, -0x1.2365f4ef3558cp-4, -0x1.1c0b81c331eb4p-4, -0x1.14da66c5af518p-4, -0x1.0dd1eb69ca21bp-4, -0x1.06f158e07a1abp-4, -0x1.0037fa220e90ap-4, -0x1.f34a37eda21f7p-5, -0x1.e67019fdb99b3p-5, -0x1.d9e03b7279b8ap-5, -0x1.cd994114c0d91p-5, -0x1.c199d383dfb3ap-5, -0x1.b5e09f4025bc1p-5, -0x1.aa6c54b45e43bp-5, -0x1.9f3ba83e558dbp-5, -0x1.944d52367551bp-5, -0x1.89a00ef6833b6p-5, -0x1.7f329edf9087p-5, -0x1.7503c65f21119p-5, -0x1.6b124df38fd6dp-5, -0x1.615d022fbd2dfp-5, -0x1.57e2b3be01d85p-5, -0x1.4ea2376276028p-5, -0x1.459a65fc86f19p-5, -0x1.3cca1c87e6f7ep-5, -0x1.34303c1cd379ap-5, -0x1.2bcba9efbc9cbp-5, -0x1.239b4f504dfp-5, -0x1.1b9e19a7e07c3p-5, -0x1.13d2fa77547bp-5, -0x1.0c38e75462308p-5, -0x1.04ced9e65cf9cp-5, -0x1.fb279fc4ed458p-6, -0x1.ed0d960f08263p-6, -0x1.df4da2329296cp-6, -0x1.d1e5d7b6b2097p-6, -0x1.c4d4521706be7p-6, -0x1.b81734b7c5805p-6, -0x1.abacaad912addp-6, -0x1.9f92e789a7024p-6, -0x1.93c82598ca13p-6, -0x1.884aa787afe0fp-6, -0x1.7d18b77a3e6aap-6, -0x1.7230a72747366p-6, -0x1.6790cfc83bdc4p-6, -0x1.5d379208654f2p-6, -0x1.532355f3a872p-6, -0x1.4958ed0b15e48p-6, -0x1.3fca3258a7857p-6, -0x1.367bdccd23131p-6, -0x1.2d6c7148d8258p-6, -0x1.249a7bae94b71p-6, -0x1.1c048ed01f8dcp-6, -0x1.13a9445a7403dp-6, -0x1.0b873cc1c9bd8p-6, -0x1.039d1f2d66307p-6, -0x1.f7d332c6894acp-7, -0x1.e8d6bf671cc27p-7, -0x1.da4259c7db039p-7, -0x1.cc1384357d8fep-7, -0x1.be47cd9443361p-7, -0x1.b0dcd135ded5fp-7, -0x1.a3d036af391bbp-7, -0x1.971fb1ae03c9cp-7, -0x1.8ac901ce32451p-7, -0x1.7ec9f26f613dcp-7, -0x1.73205a8a1c912p-7, -0x1.67ca1c8531d61p-7, -0x1.5cc5260aef359p-7, -0x1.520f6fde70563p-7, -0x1.47a6fdb0f7f1ap-7, -0x1.3d89ddf754653p-7, -0x1.33b629bf6945ap-7, -0x1.2a2a0485cd5aap-7, -0x1.20e39c0b9363ep-7, -0x1.17e1282c3c1ap-7, -0x1.0f20eab3d94dfp-7, -0x1.06a12f35651a7p-7, -0x1.fcc095c2ac552p-8, -0x1.ecb938b8dfe89p-8, -0x1.dd29172dad49cp-8, -0x1.ce0d1346d998fp-8, -0x1.bf62211ef2308p-8, -0x1.b125467539f2dp-8, -0x1.a3539a5e3a213p-8, -0x1.95ea44f4f7dcbp-8, -0x1.88e67f0ce685bp-8, -0x1.7c4591e482fdep-8, -0x1.7004d6d8b049cp-8, -0x1.6421b718d080bp-8, -0x1.5899ab5ba54e3p-8, -0x1.4d6a3b94f2aa1p-8, -0x1.4290feabee7bap-8, -0x1.380b9a3280867p-8, -0x1.2dd7c21d52a26p-8, -0x1.23f3387cb3c6ap-8, -0x1.1a5bcd3650285p-8, -0x1.110f5dbfc575fp-8, -0x1.080bd4da10efdp-8, -0x1.fe9e549ba887fp-9, -0x1.edaec55108a5p-9, -0x1.dd451df4ca466p-9, -0x1.cd5d992af69cp-9, -0x1.bdf4899a988aep-9, -0x1.af06596f1473p-9, -0x1.a08f89db40a05p-9, -0x1.928cb29e4138ap-9, -0x1.84fa818a30173p-9, -0x1.77d5ba0c83a45p-9, -0x1.6b1b34b842baap-9, -0x1.5ec7ded1fd299p-9, -0x1.52d8b9dd7d019p-9, -0x1.474adb2d5c93bp-9, -0x1.3c1b6b743885cp-9, -0x1.3147a657bfd7bp-9, -0x1.26ccda0578c2ep-9, -0x1.1ca866c946d51p-9, -0x1.12d7bea5ad362p-9, -0x1.095864edcb68ep-9, -0x1.0027ede11756p-9, -0x1.ee87fc9180be6p-10, -0x1.dd54962da519fp-10, -0x1.ccb1320e166b3p-10, -0x1.bc99788296d19p-10, -0x1.ad092ffb8d0c1p-10, -0x1.9dfc3c55978e3p-10, -0x1.8f6e9e287bc55p-10, -0x1.815c721937018p-10, -0x1.73c1f02f7a31cp-10, -0x1.669b6b2e30bf7p-10, -0x1.59e54fef25ad2p-10, -0x1.4d9c24c213887p-10, -0x1.41bc88ce806e8p-10, -0x1.36433378d4794p-10, -0x1.2b2cf3ca7a2c4p-10, -0x1.2076afdcf91d2p-10, -0x1.161d64480d18dp-10, -0x1.0c1e2392ae829p-10, -0x1.027615a703d1fp-10, -0x1.f244ee925aa6bp-11, -0x1.e0413321d97b3p-11, -0x1.cedbc2cc2f3b6p-11, -0x1.be0f8dff69e8cp-11, -0x1.add7aacc0b0c5p-11, -0x1.9e2f53ee1cfd8p-11, -0x1.8f11e7dba9cffp-11, -0x1.807ae7d87019ep-11, -0x1.7265f70ec115ep-11, -0x1.64ced9ad55af5p-11, -0x1.57b1740a2d9c9p-11, -0x1.4b09c9ca4c9f5p-11, -0x1.3ed3fd0e5503p-11, -0x1.330c4da3b86bfp-11, -0x1.27af183abbfcdp-11, -0x1.1cb8d5a10f31ep-11, -0x1.12261a00be809p-11, -0x1.07f39423a7569p-11, -0x1.fc3c197686444p-12, -0x1.e944cb59630bep-12, -0x1.d6fb32c1e69ep-12, -0x1.c55974328035ap-12, -0x1.b459e28ed257p-12, -0x1.a3f6fdd42d7eep-12, -0x1.942b71da364a8p-12, -0x1.84f2151adb519p-12, -0x1.7645e7817310fp-12, -0x1.682211421bd28p-12, -0x1.5a81e1b764b7dp-12, -0x1.4d60ce476af2p-12, -0x1.40ba714fadff5p-12, -0x1.348a8917e28aap-12, -0x1.28ccf6cb36827p-12, -0x1.1d7dbd7822c79p-12, -0x1.1299011696a8p-12, -0x1.081b05947665ap-12, -0x1.fc005bd0144d8p-13, -0x1.e889f6512ed3ap-13, -0x1.d5cc175964494p-13, -0x1.c3c0345ceb7e7p-13, -0x1.b25ff9e9c96cap-13, -0x1.a1a54a07681bcp-13, -0x1.918a3a9f033d2p-13, -0x1.820913efa0ef8p-13, -0x1.731c4f0c33caep-13, -0x1.64be9463a2a5cp-13, -0x1.56eaba52f353ep-13, -0x1.499bc3c0e185fp-13, -0x1.3cccdec3405cep-13, -0x1.3079634c98937p-13, -0x1.249cd1e490433p-13, -0x1.1932d26775524p-13, -0x1.0e3732cf5e576p-13, -0x1.03a5e6050492bp-13, -0x1.f2f60573c2fd9p-14, -0x1.df658492b10cp-14, -0x1.cc92ff4477dbbp-14, -0x1.ba776c6fcf6b6p-14, -0x1.a90c01f5b9972p-14, -0x1.984a32b188897p-14, -0x1.882bac86dfbbbp-14, -0x1.78aa567e0c1e9p-14, -0x1.69c04eedc8af5p-14, -0x1.5b67e9b2dea04p-14, -0x1.4d9bae7243fe7p-14, -0x1.405656ed2f40ep-14, -0x1.3392cd5bd7548p-14, -0x1.274c2ad7d4792p-14, -0x1.1b7db5d0af432p-14, -0x1.1022e08cb7abp-14, -0x1.053747b4b225dp-14, -0x1.f56d61d52b5fdp-15, -0x1.e13a12d5d9139p-15, -0x1.cdccc970d32bp-15, -0x1.bb1df6a4613a6p-15, -0x1.a92652e6a0b87p-15, -0x1.97dedbb76f39cp-15, -0x1.8740d147e89b8p-15, -0x1.7745b430b47ddp-15, -0x1.67e7433c28eb9p-15, -0x1.591f7941c1982p-15, -0x1.4ae88b0f88d9p-15, -0x1.3d3ce56a363acp-15, -0x1.30172b16ee2cap-15, -0x1.237232f7f0fdap-15, -0x1.17490637ad6ep-15, -0x1.0b96de82a6e3ap-15, -0x1.00572450ecc38p-15, -0x1.eb0ada71d09bfp-16, -0x1.d63af4b01c13ap-16, -0x1.c2366d82172d3p-16, -0x1.aef56bf5b29f8p-16, -0x1.9c7065151630fp-16, -0x1.8aa019168aa7cp-16, -0x1.797d909f74e95p-16, -0x1.69021a217fe4cp-16, -0x1.5927474c6beb2p-16, -0x1.49e6ea96fc1ep-16, -0x1.3b3b14d9599ap-16, -0x1.2d1e1301af83dp-16, -0x1.1f8a6bd74f6aap-16, -0x1.127addd264086p-16, -0x1.05ea5d073ca82p-16, -0x1.f3a82244bcec6p-17, -0x1.dc66a6ecef436p-17, -0x1.c6075a36184f9p-17, -0x1.b081aa35c47c2p-17, -0x1.9bcd5d6963abbp-17, -0x1.87e28f4398edfp-17, -0x1.74b9acfb64ccdp-17, -0x1.624b72506535fp-17, -0x1.5090e68375dd3p-17, -0x1.3f83595eb0b2fp-17, -0x1.2f1c605e7168ep-17, -0x1.1f55d3eeb4bf8p-17, -0x1.1029ccbea8d81p-17, -0x1.0192a134f4ed6p-17, -0x1.e715c5e199dbap-18, -0x1.cc1ab8cba8da7p-18, -0x1.b22a1d1b6be5ep-18, -0x1.993a5d57f6b8dp-18, -0x1.814248518a249p-18, -0x1.6a390cfa70ce1p-18, -0x1.541636684e979p-18, -0x1.3ed1a7f8ab0f6p-18, -0x1.2a63999b39a3p-18, -0x1.16c4943d2ed3ap-18, -0x1.03ed6e571e4e4p-18, -0x1.e3ae914ad6962p-19, -0x1.c0f715bbff64cp-19, -0x1.9fa7c182155dp-19, -0x1.7fb46e2cecdc4p-19, -0x1.6111718d717edp-19, -0x1.43b3988c67337p-19, -0x1.279021be0cbe5p-19, -0x1.0c9cb86ca10e7p-19, -0x1.e59edf8bf0228p-20, -0x1.b43d7c90deep-20, -0x1.8502f28a164bdp-20, -0x1.57dda166a3d6fp-20, -0x1.2cbc9633fbc9p-20, -0x1.038f835f3b7d8p-20, -0x1.b88d728016f1p-21, -0x1.6da63dfca2addp-21, -0x1.264c57853a2f9p-21, -0x1.c4c780a2d2ac4p-22, -0x1.43a3009e36567p-22, -0x1.91ee679445439p-23, -0x1.5247f6adfcfa2p-24, 0x1.9bcf5c2631c5ep-26, 0x1.04488c3b9b2b5p-23, 0x1.c9a1e5dff10b3p-23, 0x1.41ee6e8015a9ep-22, 0x1.99a6afb3ac92cp-22, 0x1.ec2243a01d7bfp-22, 0x1.1cc42eb1329b3p-21, 0x1.40ff73a66af8p-21, 0x1.62d5480159479p-21, 0x1.82576cdee2c5dp-21, 0x1.9f9713dedf9f6p-21, 0x1.baa4e5c95e30cp-21, 0x1.d391088f07e3ep-21, 0x1.ea6b2545b3af3p-21, 0x1.ff426dd09b21fp-21, 0x1.09167043705f6p-20, 0x1.1194bc195da95p-20, 0x1.19271dd31c852p-20, 0x1.1fd45a380fef6p-20, 0x1.25a30693cecb5p-20, 0x1.2a998adec5f63p-20, 0x1.2ebe23a48df7ap-20, 0x1.3216e418e20a9p-20, 0x1.34a9b79cf06a3p-20, 0x1.367c63b3d9f21p-20, 0x1.37948966d5ff4p-20, 0x1.37f7a72c229e1p-20, 0x1.37ab19ea6834fp-20, 0x1.36b41ea72a4bcp-20, 0x1.3517d3b93204ep-20, 0x1.32db3a183e93ep-20, 0x1.30033680d83f7p-20, 0x1.2c949291c5281p-20, 0x1.2893fdda18387p-20, 0x1.24060ee3fe855p-20, 0x1.1eef440f6c8f8p-20, 0x1.1954048ac8d36p-20, 0x1.1338a122016bap-20, 0x1.0ca155099f9aep-20, 0x1.059246a1f99abp-20, 0x1.fc1f105a4ff52p-21, 0x1.ec3a30d0c71efp-21, 0x1.db7dc69088254p-21, 0x1.c9f184ffe7be3p-21, 0x1.b79cfbdfac9bap-21, 0x1.a4879935b1af4p-21, 0x1.90b8a91733a71p-21, 0x1.7c3757570c35ep-21, 0x1.670ab0336b19bp-21, 0x1.5139a11dbdfcdp-21, 0x1.3acaf98e926b6p-21, 0x1.23c56b9ea4182p-21, 0x1.0c2f8cbc40284p-21, 0x1.e81fad2fe6c1p-22, 0x1.b6d94e27b85ebp-22, 0x1.849882c191f73p-22, 0x1.51699c8caf708p-22, 0x1.1d58b93d0648p-22, 0x1.d0e3874094fe7p-23, 0x1.6580e924b88afp-23, 0x1.f1414d64950a6p-24, 0x1.14b2db5d0df46p-24, 0x1.ac18bd13fb352p-27, -0x1.58444015c96cfp-25, -0x1.9011a697e914dp-24, -0x1.3b1088d19aabcp-23, -0x1.af1356380137cp-23, -0x1.11fe5df2b17c3p-22, -0x1.4cdc4989d8a71p-22, -0x1.881986fa49f36p-22, -0x1.c3ac5b26f3052p-22, -0x1.ff8b367d5cf44p-22, -0x1.1dd65a494005bp-21, -0x1.3c03cdef5d69cp-21, -0x1.5a496ea860154p-21, -0x1.78a2ca33bb0cdp-21, -0x1.970b82d35943fp-21, -0x1.b57f50142b0cdp-21, -0x1.d3f9fe10ecb75p-21, -0x1.f2776d7618c16p-21, -0x1.0879c9b39f45dp-20, -0x1.17b53cb91e724p-20, -0x1.26ec1ea06ac2bp-20, -0x1.361c8856d3b08p-20, -0x1.45449cc8fee5p-20, -0x1.546288d6f22e6p-20, -0x1.637483458541ap-20, -0x1.7278ccb414ffp-20, -0x1.816daf8c56272p-20, -0x1.90517ff00ff3bp-20, -0x1.9f229bb5e4e7fp-20, -0x1.addf6a50900d6p-20, -0x1.bc865ce417c13p-20, -0x1.cb15edd9f4b12p-20, -0x1.d98ca14c79e21p-20, -0x1.e7e904adf4ef1p-20, -0x1.f629aecbd88a9p-20, -0x1.02269fe060e98p-19, -0x1.0929307133fa7p-19, -0x1.101be25ba9727p-19, -0x1.16fe137193182p-19, -0x1.1dcf260c516e8p-19, -0x1.248e810567b0bp-19, -0x1.2b3b8fab3172cp-19, -0x1.31d5c1b9d64ebp-19, -0x1.385c8b5c01354p-19, -0x1.3ecf650e99cfbp-19, -0x1.452dcbb31a9e8p-19, -0x1.4b774060b1f1ap-19, -0x1.51ab487b3001fp-19, -0x1.57c96da3b4b42p-19, -0x1.5dd13da805c96p-19, -0x1.63c24a798be0ap-19, -0x1.699c2a284a128p-19, -0x1.6f5e76d502674p-19, -0x1.7508cea740277p-19, -0x1.7a9ad3c768e23p-19, -0x1.80142c4d98689p-19, -0x1.8574823b3a803p-19, -0x1.8abb83702316cp-19, -0x1.8fe8e19e05ad5p-19, -0x1.94fc523f10ed4p-19, -0x1.99f58e899431cp-19, -0x1.9ed453614bd17p-19, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      {{0x1.2df44ef86099dp-1, 0x1.2e30fa601f13bp-1, 0x1.2e93eefb3cfbdp-1, 0x1.2f1a12757caabp-1, 0x1.2fbf491b5f2e5p-1, 0x1.307ea33697ebfp-1, 0x1.31528b86a82a3p-1, 0x1.3234f43b0ddf5p-1, 0x1.331f80cab8df9p-1, 0x1.340babb63fdbbp-1, 0x1.34f2e7c06b5d9p-1, 0x1.35cebc800cbcdp-1, 0x1.3698de68985cdp-1, 0x1.374b428c49f61p-1, 0x1.37e02e707ad31p-1, 0x1.38524457c7313p-1, 0x1.389c8c68fa05ep-1, 0x1.38ba7b17ef368p-1, 0x1.38a7f530a42e5p-1, 0x1.386151ddaf6a1p-1, 0x1.37e35afb723acp-1, 0x1.372b4c010db88p-1, 0x1.3636cfbff1207p-1, 0x1.3503fd3311818p-1, 0x1.3391538f86d7dp-1, 0x1.31ddb5c1a9122p-1, 0x1.2fe8657bc06c8p-1, 0x1.2db0fdf5f526dp-1, 0x1.2b376e7a6c4cfp-1, 0x1.287bf4d4432b9p-1, 0x1.257f17b471d16p-1, 0x1.2241a11c5b565p-1, 0x1.1ec498db14b51p-1, 0x1.1b093f27ec6b3p-1, 0x1.17110762b84d2p-1, 0x1.12dd93008eb9p-1, 0x1.0e70acaa13e3bp-1, 0x1.09cc438f2737ap-1, 0x1.04f266f2a0a15p-1, 0x1.ffca83dfaf90cp-2, 0x1.f54e2ef5c1071p-2, 0x1.ea747d377c8ap-2, 0x1.df423dc8733edp-2, 0x1.d3bc5a3f28574p-2, 0x1.c7e7d075e1401p-2, 0x1.bbc9acc9f3d8ap-2, 0x1.af6704c62f681p-2, 0x1.a2c4f23496fc6p-2, 0x1.95e88e93664bbp-2, 0x1.88d6eee9280dbp-2, 0x1.7b951ff37a8b4p-2, 0x1.6e2822ac1f905p-2, 0x1.6094e91fe2061p-2, 0x1.52e05392e596bp-2, 0x1.450f2dee0f1f8p-2, 0x1.37262d7132147p-2, 0x1.2929eea5e42dp-2, 0x1.1b1ef38eedd12p-2, 0x1.0d09a210657a5p-2, 0x1.fddc85198e32dp-3, 0x1.e1a1fd66bc8c6p-3, 0x1.c56bc0f93fdd9p-3, 0x1.a941a2a24aadbp-3, 0x1.8d2b32b065e74p-3, 0x1.712fbdd59ca69p-3, 0x1.55564c5145dcep-3, 0x1.39a5a15815c02p-3, 0x1.1e243ab584637p-3, 0x1.02d850a1dfd7ep-3, 0x1.cf8fab914296ep-4, 0x1.99f0eef5c4313p-4, 0x1.64df3c1441e2ep-4, 0x1.3064da8f5283dp-4, 0x1.f91714952e777p-5, 0x1.92b909d0d6dep-5, 0x1.2dc0fefbfb47p-5, 0x1.947eb1e13ec9ap-6, 0x1.a10ded684d867p-7, 0x1.f6f3492d639f8p-11, -0x1.5ba90b33d5ae7p-7, -0x1.6804716025c44p-6, -0x1.0f6086a9ba532p-5, -0x1.68fa8778cb561p-5, -0x1.c0c678f7d6d91p-5, -0x1.0b5dbb3e952dp-4, -0x1.3568b98f4c419p-4, -0x1.5e8099ef17838p-4, -0x1.86a224e251c77p-4, -0x1.adca85f6f2dcap-4, -0x1.d3f748c5f861cp-4, -0x1.f92655f1c85e5p-4, -0x1.0eaaf811ad02p-3, -0x1.20425883d537cp-3, -0x1.3158c32787deep-3, -0x1.41edd757d021cp-3, -0x1.52015b7607bf9p-3, -0x1.61933b70099bbp-3, -0x1.70a38749ab72ap-3, -0x1.7f3271a9fd5e2p-3, -0x1.8d404e6cb7d61p-3, -0x1.9acd913849a4fp-3, -0x1.a7dacc18cd10ap-3, -0x1.b468ae204b20cp-3, -0x1.c078020c89b4bp-3, -0x1.cc09acf2b1d04p-3, -0x1.d71eacf0fcbe7p-3, -0x1.e1b817e6ae683p-3, -0x1.ebd71a327823bp-3, -0x1.f57cf57783518p-3, -0x1.feaaff692e554p-3, -0x1.03b1504ed8588p-2, -0x1.07d2a9b3db7cdp-2, -0x1.0bba515b817a6p-2, -0x1.0f6914801a68fp-2, -0x1.12dfc795dc8cp-2, -0x1.161f45c5f51efp-2, -0x1.1928706d391d3p-2, -0x1.1bfc2e9e72f3dp-2, -0x1.1e9b6ca84d8c1p-2, -0x1.21071b9ee185ep-2, -0x1.234030e8d5ae4p-2, -0x1.2547a5d01ccedp-2, -0x1.271e77163ded6p-2, -0x1.28c5a48c2e04fp-2, -0x1.2a3e30ada6fcep-2, -0x1.2b89203fffd3fp-2, -0x1.2ca779f472a4cp-2, -0x1.2d9a460dce50ap-2, -0x1.2e628e09846d3p-2, -0x1.2f015c4c0c69ap-2, -0x1.2f77bbd089043p-2, -0x1.2fc6b7dbb00ddp-2, -0x1.2fef5bb1d7066p-2, -0x1.2ff2b2502814cp-2, -0x1.2fd1c628e4f82p-2, -0x1.2f8da0e2aeb5dp-2, -0x1.2f274b1ac5b35p-2, -0x1.2e9fcc2a2e014p-2, -0x1.2df829edad48fp-2, -0x1.2d3168909135ep-2, -0x1.2c4c8a5a2ef6bp-2, -0x1.2b4a8f7e0b8e9p-2, -0x1.2a2c75ee9d947p-2, -0x1.28f339329b2c1p-2, -0x1.279fd23cbe3d2p-2, -0x1.26333745f3e92p-2, -0x1.24ae5ba9e76a8p-2, -0x1.23122fc5d1ef1p-2, -0x1.215fa0d987837p-2, -0x1.1f9798eaac635p-2, -0x1.1dbafeaa034a6p-2, -0x1.1bcab55ac4efcp-2, -0x1.19c79cbbf148ep-2, -0x1.17b290f38b2d6p-2, -0x1.158c6a7bada6ap-2, -0x1.1355fe116d48dp-2, -0x1.11101ca5723a7p-2, -0x1.0ebb934e42909p-2, -0x1.0c592b3c261fcp-2, -0x1.09e9a9ae9c487p-2, -0x1.076dcfeb5146p-2, -0x1.04e65b3681686p-2, -0x1.025404ccc724ap-2, -0x1.ff6f03bc6d091p-3, -0x1.fa23071591325p-3, -0x1.f4c56dbff4b36p-3, -0x1.ef5789af3b39dp-3, -0x1.e9daa4af9287fp-3, -0x1.e4500067b6c97p-3, -0x1.deb8d65d094f9p-3, -0x1.d91657f999294p-3, -0x1.d369ae9411466p-3, -0x1.cdb3fb79610cbp-3, -0x1.c7f657f823c46p-3, -0x1.c231d56d93d73p-3, -0x1.bc677d540d67ap-3, -0x1.b6985152f6e82p-3, -0x1.b0c54b5007c84p-3, -0x1.aaef5d81d8fbcp-3, -0x1.a51772839df02p-3, -0x1.9f3e6d6a0a54dp-3, -0x1.996529d936fa5p-3, -0x1.938c7c1b8db1dp-3, -0x1.8db5313998fe6p-3, -0x1.87e00f12ac287p-3, -0x1.820dd47656823p-3, -0x1.7c3f393e8f634p-3, -0x1.7674ee6a8944dp-3, -0x1.70af9e3a216fdp-3, -0x1.6aefec49dc681p-3, -0x1.653675af5bb9bp-3, -0x1.5f83d11652711p-3, -0x1.59d88eddc99dfp-3, -0x1.54353935d1e8cp-3, -0x1.4e9a543d72ba6p-3, -0x1.49085e20dee1fp-3, -0x1.437fcf37e4288p-3, -0x1.3e011a247b714p-3, -0x1.388cabf184d48p-3, -0x1.3322ec31938fcp-3, -0x1.2dc43d1dce31p-3, -0x1.2870fbb4d0847p-3, -0x1.23297fd989fd8p-3, -0x1.1dee1c721353cp-3, -0x1.18bf1f867369fp-3, -0x1.139cd25f464c6p-3, -0x1.0e8779a441009p-3, -0x1.097f557a9a0fcp-3, -0x1.0484a1a3339e3p-3, -0x1.ff2f2b313f5fp-4, -0x1.f570c959cbeep-4, -0x1.ebce7c4e11222p-4, -0x1.e2489ac099d84p-4, -0x1.d8df73c265c7bp-4, -0x1.cf934efc590eep-4, -0x1.c6646ce7edc0ep-4, -0x1.bd5307075531fp-4, -0x1.b45f501ce08b8p-4, -0x1.ab897461b42dap-4, -0x1.a2d199bbb7ca6p-4, -0x1.9a37dff2dbdc4p-4, -0x1.91bc60e57efcbp-4, -0x1.895f30bc15f01p-4, -0x1.81205e1c0474dp-4, -0x1.78fff2599f195p-4, -0x1.70fdf1a958606p-4, -0x1.691a5b5015de4p-4, -0x1.615529d2a724ep-4, -0x1.59ae5324609bfp-4, -0x1.5225c8d4d44a1p-4, -0x1.4abb783caa50bp-4, -0x1.436f4aa99596cp-4, -0x1.3c41258964745p-4, -0x1.3530ea942cab9p-4, -0x1.2e3e77f592283p-4, -0x1.2769a87528b16p-4, -0x1.20b2539def26fp-4, -0x1.1a184de4e665dp-4, -0x1.139b68cec487cp-4, -0x1.0d3b7314c2351p-4, -0x1.06f838c886f55p-4, -0x1.00d183773370ep-4, -0x1.f58e349714545p-5, -0x1.e9b1845e751afp-5, -0x1.de0c7bd69d09ap-5, -0x1.d29e9c8f76e08p-5, -0x1.c7676454373acp-5, -0x1.bc664d671be82p-5, -0x1.b19acebb845c3p-5, -0x1.a7045c2e62d8ep-5, -0x1.9ca266bd0b414p-5, -0x1.92745cba68bacp-5, -0x1.8879aa0299c2bp-5, -0x1.7eb1b82cfc37bp-5, -0x1.751beebcadea5p-5, -0x1.6bb7b34f85938p-5, -0x1.628469cb8d57p-5, -0x1.5981748b00ed9p-5, -0x1.50ae3486d951ap-5, -0x1.480a097fe972ep-5, -0x1.3f945226929fdp-5, -0x1.374c6c411917fp-5, -0x1.2f31b4d099d38p-5, -0x1.27438834b0fcfp-5, -0x1.1f81424dcc2ebp-5, -0x1.17ea3e9e38a4dp-5, -0x1.107dd869f08cap-5, -0x1.093b6ad5298f9p-5, -0x1.02225101b4c77p-5, -0x1.f663cc565715ap-6, -0x1.e8d30b83f3e66p-6, -0x1.db91170a8ab74p-6, -0x1.ce9ca7377650bp-6, -0x1.c1f4755696b77p-6, -0x1.b5973bdfa87f4p-6, -0x1.a983b6a19904dp-6, -0x1.9db8a2ebcdb3dp-6, -0x1.9234bfb582f14p-6, -0x1.86f6cdc33aec6p-6, -0x1.7bfd8fca592fcp-6, -0x1.7147ca92ed0f2p-6, -0x1.66d44517b8514p-6, -0x1.5ca1c8a48460bp-6, -0x1.52af20f2caf0fp-6, -0x1.48fb1c44c2fb6p-6, -0x1.3f848b7ed8696p-6, -0x1.364a423fa16b2p-6, -0x1.2d4b16f6571dp-6, -0x1.2485e2f7dcbcbp-6, -0x1.1bf9829264ea9p-6, -0x1.13a4d51fbbff6p-6, -0x1.0b86bd16436e6p-6, -0x1.039e2018a8bfep-6, -0x1.f7d3ce08c6d15p-7, -0x1.e8d1fbfe03dd8p-7, -0x1.da34a904a4a43p-7, -0x1.cbf9baced9861p-7, -0x1.be1f1de16042fp-7, -0x1.b0a2c5a564c1dp-7, -0x1.a382ac7865c9fp-7, -0x1.96bcd3ba2e8e6p-7, -0x1.8a4f43d8f489p-7, -0x1.7e380c5babef6p-7, -0x1.727543eaa6767p-7, -0x1.670508569180bp-7, -0x1.5be57e9dc9dd5p-7, -0x1.5114d2f0419c6p-7, -0x1.469138b1e3b3dp-7, -0x1.3c58ea7b8995fp-7, -0x1.326a2a1aa8282p-7, -0x1.28c3408fa7706p-7, -0x1.1f627e0b033a8p-7, -0x1.164639e93d6ffp-7, -0x1.0d6cd2adb07cap-7, -0x1.04d4adfc4f8b8p-7, -0x1.f8f87124c002ep-8, -0x1.e8c3cc7c7492bp-8, -0x1.d90863ac39d6ep-8, -0x1.c9c33a5c3d7d5p-8, -0x1.baf1621a95cc6p-8, -0x1.ac8ffa43e4932p-8, -0x1.9e9c2fea7a73p-8, -0x1.91133dbc10bf8p-8, -0x1.83f26be62baf9p-8, -0x1.77370ff93a8d4p-8, -0x1.6ade8cca8bd7dp-8, -0x1.5ee652552172bp-8, -0x1.534bdd997def3p-8, -0x1.480cb87c7752ap-8, -0x1.3d2679a5230d2p-8, -0x1.3296c459eb74bp-8, -0x1.285b485cdd675p-8, -0x1.1e71c1c73d8fbp-8, -0x1.14d7f8e4762fp-8, -0x1.0b8bc20c68674p-8, -0x1.028afd7d31a0cp-8, -0x1.f3a72e68e24aep-9, -0x1.e2c70d903659dp-9, -0x1.d2719e7dca565p-9, -0x1.c2a2fdd0aefa3p-9, -0x1.b3575e69235ap-9, -0x1.a48b091790b13p-9, -0x1.963a5c4b15977p-9, -0x1.8861cbbfb6934p-9, -0x1.7afde02c3d9cp-9, -0x1.6e0b36efe5417p-9, -0x1.618681bfde1b1p-9, -0x1.556c8654bdb37p-9, -0x1.49ba1e17eaa27p-9, -0x1.3e6c35d111a9cp-9, -0x1.337fcd53ba575p-9, -0x1.28f1f72cffafdp-9, -0x1.1ebfd8517f73bp-9, -0x1.14e6a7cb9293bp-9, -0x1.0b63ae69d0841p-9, -0x1.0234466deee36p-9, -0x1.f2abb6781a6e2p-10, -0x1.e18bd214d61b5p-10, -0x1.d103f92345f8cp-10, -0x1.c10f657ac76d4p-10, -0x1.b1a970bb75e61p-10, -0x1.a2cd93b1f2ep-10, -0x1.947765bc66f09p-10, -0x1.86a29c30d0133p-10, -0x1.794b09c4b4df9p-10, -0x1.6c6c9df633a72p-10, -0x1.600364769181p-10, -0x1.540b84964a651p-10, -0x1.488140b2a6d64p-10, -0x1.3d60f5a4eec1ep-10, -0x1.32a71a3336325p-10, -0x1.28503e82d6fa1p-10, -0x1.1e590b8c9bd6dp-10, -0x1.14be4292964c7p-10, -0x1.0b7cbc97c57edp-10, -0x1.029169d96f6aep-10, -0x1.f3f2a294951ddp-11, -0x1.e363201eee6fep-11, -0x1.d36eb1fe8a616p-11, -0x1.c40fe843a29b7p-11, -0x1.b5417c66f6ce1p-11, -0x1.a6fe50526c6c1p-11, -0x1.99416d6d6a4a5p-11, -0x1.8c0603acf05cp-11, -0x1.7f4768a76f60ap-11, -0x1.730116ac624ffp-11, -0x1.672eabdfa89ep-11, -0x1.5bcbe958a4442p-11, -0x1.50d4b24517bb6p-11, -0x1.46450b0fc494dp-11, -0x1.3c19188ac7fcdp-11, -0x1.324d1f1db200ep-11, -0x1.28dd81f753ff2p-11, -0x1.1fc6c2434591bp-11, -0x1.17057e63160d8p-11, -0x1.0e96712b29e86p-11, -0x1.067671233d7d7p-11, -0x1.fd44df950c6bcp-12, -0x1.ee2ef1bedab61p-12, -0x1.dfa56355ba46fp-12, -0x1.d1a2b09e2d7f7p-12, -0x1.c42186341e4c2p-12, -0x1.b71cbfb689c22p-12, -0x1.aa8f667a15a62p-12, -0x1.9e74b04278e64p-12, -0x1.92c7fe02ac364p-12, -0x1.8784daa3cb648p-12, -0x1.7ca6f9d295d64p-12, -0x1.722a36d37d821p-12, -0x1.680a935d2e564p-12, -0x1.5e4436797dd5ep-12, -0x1.54d36b6ca93fdp-12, -0x1.4bb4a0a2d44a1p-12, -0x1.42e466a3ae52dp-12, -0x1.3a5f6f0c2ce93p-12, -0x1.32228b8e44438p-12, -0x1.2a2aacf68a44cp-12, -0x1.2274e237aa664p-12, -0x1.1afe577b9ba83p-12, -0x1.13c4553a7bb6cp-12, -0x1.0cc43f56fd405p-12, -0x1.05fb944054514p-12, -0x1.fecfd8330c484p-13, -0x1.f20defcc19447p-13, -0x1.e5ad01775de9ap-13, -0x1.d9a8cdf308b0ap-13, -0x1.cdfd4307ffbb2p-13, -0x1.c2a67a0beb924p-13, -0x1.b7a0b66d064bfp-13, -0x1.ace8644781258p-13, -0x1.a27a170452a58p-13, -0x1.985288014dbd5p-13, -0x1.8e6e954242dd7p-13, -0x1.84cb402b10de6p-13, -0x1.7b65ac42734ccp-13, -0x1.723b1dfd6676ep-13, -0x1.6948f992efb28p-13, -0x1.608cc1d82885cp-13, -0x1.580417246091ep-13, -0x1.4facb63d2b033p-13, -0x1.4784774a2b636p-13, -0x1.3f894cd084157p-13, -0x1.37b942b5af895p-13, -0x1.30127d49a9217p-13, -0x1.289338583a8edp-13, -0x1.2139c6413a4b6p-13, -0x1.1a048f17b14b8p-13, -0x1.12f20fc79d228p-13, -0x1.0c00d9424be84p-13, -0x1.052f8fb10f36ep-13, -0x1.fcf9d35c734b1p-14, -0x1.efcf5f085f9d3p-14, -0x1.e2dd74e4eaeap-14, -0x1.d621e7f1201e2p-14, -0x1.c99aaa4d28c04p-14, -0x1.bd45cbe6913a8p-14, -0x1.b121792f6c5cbp-14, -0x1.a52bf9e0016dbp-14, -0x1.9963afc2e1aa6p-14, -0x1.8dc7158b00226p-14, -0x1.8254bdb3b59d6p-14, -0x1.770b516a4e87dp-14, -0x1.6be98f80f9d59p-14, -0x1.60ee4b6ad3db3p-14, -0x1.56186c40d6888p-14, -0x1.4b66ebcf7053ep-14, -0x1.40d8d5ac8b9d3p-14, -0x1.366d4655cd3ecp-14, -0x1.2c236a56d18e2p-14, -0x1.21fa7d7733324p-14, -0x1.17f1c9f026d88p-14, -0x1.0e08a7a974d74p-14, -0x1.043e7b7da0486p-14, -0x1.f5256d0a0ebbep-15, -0x1.e209aacf9a0b7p-15, -0x1.cf28bf6cb2d67p-15, -0x1.bc81ce90872bep-15, -0x1.aa140f42ecc5fp-15, -0x1.97decabac00f2p-15, -0x1.85e15b4005p-15, -0x1.741b2b1971ec9p-15, -0x1.628bb3850ae6ep-15, -0x1.51327bbb7e17cp-15, -0x1.400f17fdec626p-15, -0x1.2f2128add1389p-15, -0x1.1e68596eb60a5p-15, -0x1.0de460516c7e9p-15, -0x1.fb29fa10f4df4p-16, -0x1.daf3f04af4d4dp-16, -0x1.bb2644be3a351p-16, -0x1.9bc0a7bf1d802p-16, -0x1.7cc2d735ee5dfp-16, -0x1.5e2c9d5ba9de2p-16, -0x1.3ffdcf85e03a2p-16, -0x1.22364d014bff1p-16, -0x1.04d5fdfaa0d8cp-16, -0x1.cfb9a4ea2c1afp-17, -0x1.9695829c6fddp-17, -0x1.5e3f8e9d1e386p-17, -0x1.26b7cc8d4c49bp-17, -0x1.dffc90e034e78p-18, -0x1.74262a2785585p-18, -0x1.09ec9521eebb1p-18, -0x1.42a0137eee3f4p-19, -0x1.d286280f35684p-21, 0x1.5887cc4146b4p-21, 0x1.1da9e4438982dp-19, 0x1.e1f5ce32180bp-19, 0x1.51829edcee8b5p-18, 0x1.b06be5f09aa83p-18, 0x1.06db485ef23f2p-17, 0x1.34b13ea3fb45ep-17, 0x1.61b7ca5fb9f91p-17, 0x1.8deee67cabab7p-17, 0x1.b95694e4d9e58p-17, 0x1.e3eedf21acd78p-17, 0x1.06dbeb777061dp-16, 0x1.1b58cb607f64cp-16, 0x1.2f6e211ffb26ep-16, 0x1.431c035b2ae88p-16, 0x1.56628dbacb3f8p-16, 0x1.6941e11800f83p-16, 0x1.7bba23a44ac6bp-16, 0x1.8dcb810cb63d9p-16, 0x1.9f762a988345fp-16, 0x1.b0ba574374c9cp-16, 0x1.c19843d40048p-16, 0x1.d21032ed89b8dp-16, 0x1.e2226d1ee4ae5p-16, 0x1.f1cf40ed40e27p-16, 0x1.008b816ddc7b3p-15, 0x1.07fd06b7d358cp-15, 0x1.0f3c6098f6273p-15, 0x1.1649c256aeadcp-15, 0x1.1d256235353dfp-15, 0x1.23cf79741c8ep-15, 0x1.2a484449a591p-15, 0x1.309001dceec12p-15, 0x1.36a6f43f0e5ap-15, 0x1.3c8d60632702p-15, 0x1.42438e158b6a3p-15, 0x1.47c9c7f1fddf6p-15, 0x1.4d205b5916994p-15, 0x1.52479864e8ed4p-15, 0x1.573fd1dce98c8p-15, 0x1.5c095d292eab1p-15, 0x1.60a492450c942p-15, 0x1.6511cbb12336p-15, 0x1.69516664e2c54p-15, 0x1.6d63c1bf95279p-15, 0x1.71493f78f91f7p-15, 0x1.7502439174fc1p-15, 0x1.788f3441ee7dfp-15, 0x1.7bf079eb5096cp-15, 0x1.7f267f05c9d29p-15, 0x1.8231b00fc5944p-15, 0x1.85127b7cb50acp-15, 0x1.87c951a3a1becp-15, 0x1.8a56a4ad9c194p-15, 0x1.8cbae8840920cp-15, 0x1.8ef692bed645ap-15, 0x1.910a1a929a162p-15, 0x1.92f5f8bea96acp-15, 0x1.94baa77b272b7p-15, 0x1.9658a26712476p-15, 0x1.97d0667658b7fp-15, 0x1.992271dff7201p-15, 0x1.9a4f440c26d5p-15, 0x1.9b575d829d8e4p-15, 0x1.9c3b3fd8ea449p-15, 0x1.9cfb6da0ea90fp-15, 0x1.9d986a5763b6bp-15, 0x1.9e12ba52bfb4dp-15, 0x1.9e6ae2b1f0882p-15, 0x1.9ea1694b80d3p-15, 0x1.9eb6d49cd2a2fp-15, 0x1.9eababb98fee3p-15, 0x1.9e80763b4c6dep-15, 0x1.9e35bc3163a2cp-15, 0x1.9dcc06110a5f3p-15, 0x1.9d43dca59deep-15, 0x1.9c9dc90131e8ep-15, 0x1.9bda546d5af2fp-15, 0x1.9afa085c3b05dp-15, 0x1.99fd6e59d0097p-15, 0x1.98e50ffd873cep-15, 0x1.97b176dc156f3p-15, 0x1.96632c7993514p-15, 0x1.94faba3be6287p-15, 0x1.9378a95d6accbp-15, 0x1.91dd82dfeed54p-15, 0x1.9029cf7ff063p-15, 0x1.8e5e17a82a4ccp-15, 0x1.8c7ae36569124p-15, 0x1.8a80ba5aada1fp-15, 0x1.887023b59ab36p-15, 0x1.8649a6232bfcdp-15, 0x1.840dc7c4bd658p-15, 0x1.81bd0e25598d9p-15, 0x1.7f57fe2f59671p-15, 0x1.7cdf1c224ac8bp-15, 0x1.7a52eb8925e7ap-15, 0x1.77b3ef30ce7bp-15, 0x1.7502a91edc34ep-15, 0x1.723f9a88b393ep-15, 0x1.6f6b43cae5aeep-15, 0x1.6c862460d97ffp-15, 0x1.6990badcc1351p-15, 0x1.668b84dfd732ep-15, 0x1.6376ff12e26e9p-15, 0x1.6053a51f038dap-15, 0x1.5d21f1a6c95d6p-15, 0x1.59e25e3f89615p-15, 0x1.5695636b01e23p-15, 0x1.533b78913b65bp-15, 0x1.4fd513fab2912p-15, 0x1.4c62aacac39eap-15, 0x1.48e4b0fa5650ap-15, 0x1.455b9952cda09p-15, }}, 
      {{0x1.2de6afd0efee3p-1, 0x1.2dfb051aeeb1fp-1, 0x1.2e1c78fc3481cp-1, 0x1.2e4a69551a3e8p-1, 0x1.2e83fc64086d7p-1, 0x1.2ec827fa51af9p-1, 0x1.2f15b91cafa48p-1, 0x1.2f6b5ba8105f2p-1, 0x1.2fc7a1b3967d1p-1, 0x1.30290a80e6c07p-1, 0x1.308e08de0504ap-1, 0x1.30f508e95436p-1, 0x1.315c7531f5c06p-1, 0x1.31c2bb35a1462p-1, 0x1.32264f41b0e83p-1, 0x1.3285afc03647fp-1, 0x1.32df67fbba365p-1, 0x1.3332126547709p-1, 0x1.337c5a68a9cd2p-1, 0x1.33bcfddaaf4edp-1, 0x1.33f2ce0ccb481p-1, 0x1.341cb090d3475p-1, 0x1.34399fb6de41ap-1, 0x1.3448aace7333bp-1, 0x1.3448f633719abp-1, 0x1.3439bb2e48d92p-1, 0x1.341a47ae52505p-1, 0x1.33e9fde46b727p-1, 0x1.33a853c3384ddp-1, 0x1.3354d269e11a4p-1, 0x1.32ef157d86058p-1, 0x1.3276ca7520c29p-1, 0x1.31ebafdb15f3ep-1, 0x1.314d94874c8d6p-1, 0x1.309c56d43f39ap-1, 0x1.2fd7e3d12722dp-1, 0x1.2f00367313a2ap-1, 0x1.2e1556c67b8d3p-1, 0x1.2d1759229c47ap-1, 0x1.2c065d5fbe99ap-1, 0x1.2ae28e11538efp-1, 0x1.29ac1fc4a99b2p-1, 0x1.28635044d7aa6p-1, 0x1.270865e45fde1p-1, 0x1.259baeccec085p-1, 0x1.241d80556963dp-1, 0x1.228e365ec152dp-1, 0x1.20ee32b746e51p-1, 0x1.1f3ddc84f69c9p-1, 0x1.1d7d9fb6839a1p-1, 0x1.1badec7b33838p-1, 0x1.19cf36c173cfep-1, 0x1.17e1f5bc12eb3p-1, 0x1.15e6a36dfae4cp-1, 0x1.13ddbc3c4c734p-1, 0x1.11c7be86ab77cp-1, 0x1.0fa52a4595a2ap-1, 0x1.0d7680ae8e03dp-1, 0x1.0b3c43ddee75bp-1, 0x1.08f6f6862afedp-1, 0x1.06a71ba44f868p-1, 0x1.044d363987b48p-1, 0x1.01e9c90978e78p-1, 0x1.fefaacba6f05ap-2, 0x1.fa10bf9551e4dp-2, 0x1.f516cc0031236p-2, 0x1.f00dd127a2fc4p-2, 0x1.eaf6cbaf12713p-2, 0x1.e5d2b55ed729ep-2, 0x1.e0a284d934e73p-2, 0x1.db672d55e318bp-2, 0x1.d6219e63c824bp-2, 0x1.d0d2c3b0922e4p-2, 0x1.cb7b84d5ddbe8p-2, 0x1.c61cc52b98134p-2, 0x1.c0b7639f54f2p-2, 0x1.bb4c3a9051303p-2, 0x1.b5dc1fafd488fp-2, 0x1.b067e3e5be6a2p-2, 0x1.aaf05338ee8efp-2, 0x1.a57634bb5ac86p-2, 0x1.9ffa4a7990dd6p-2, 0x1.9a7d516d6d88bp-2, 0x1.95000173dc281p-2, 0x1.8f830d4560aa2p-2, 0x1.8a072271488bp-2, 0x1.848ce95b519d9p-2, 0x1.7f15053b96412p-2, 0x1.79a01420a42efp-2, 0x1.742eaef386e58p-2, 0x1.6ec1697db258dp-2, 0x1.6958d2709a00dp-2, 0x1.63f5736ee5c32p-2, 0x1.5e97d11716199p-2, 0x1.59406b0f841b1p-2, 0x1.53efbc139cdbfp-2, 0x1.4ea63a0241464p-2, 0x1.496455ed2f261p-2, 0x1.442a7c295d6bfp-2, 0x1.3ef9146033e5bp-2, 0x1.39d081a18bf51p-2, 0x1.34b1227665277p-2, 0x1.2f9b50f43c179p-2, 0x1.2a8f62d0ee0b8p-2, 0x1.258da97720845p-2, 0x1.2096721b148dbp-2, 0x1.1baa05cfdec51p-2, 0x1.16c8a99cef6bep-2, 0x1.11f29e93e37cp-2, 0x1.0d2821e68e076p-2, 0x1.08696cfd2f553p-2, 0x1.03b6b58cd3946p-2, 0x1.fe205b5b8e351p-3, 0x1.f4ec07e43875bp-3, 0x1.ebd0c6f86e8a1p-3, 0x1.e2cee82ab7ac7p-3, 0x1.d9e6b4885d74cp-3, 0x1.d1186ec64e2efp-3, 0x1.c864536dd5d91p-3, 0x1.bfca9909152ap-3, 0x1.b74b704f377ffp-3, 0x1.aee7045056208p-3, 0x1.a69d7aa0fab67p-3, 0x1.9e6ef3853e6b1p-3, 0x1.965b8a1b7e8f8p-3, 0x1.8e63548696221p-3, 0x1.8686641797c79p-3, 0x1.7ec4c57709fc9p-3, 0x1.771e80cd91423p-3, 0x1.6f9399ec0bcc3p-3, 0x1.682410731a49fp-3, 0x1.60cfdffa09796p-3, 0x1.599700351f289p-3, 0x1.5279651b472p-3, 0x1.4b76ff0b14873p-3, 0x1.448fbaef1deb1p-3, 0x1.3dc38261af80dp-3, 0x1.37123bcfcd7cep-3, 0x1.307bca9b867d8p-3, 0x1.2a000f3d96ebp-3, 0x1.239ee76659c83p-3, 0x1.1d582e1e0612p-3, 0x1.172bbbe438aedp-3, 0x1.111966cec92a1p-3, 0x1.0b2102a7eda35p-3, 0x1.0542610ba5241p-3, 0x1.fefaa308e412cp-4, 0x1.f3a3434ec57f3p-4, 0x1.e87e3a5ec38bap-4, 0x1.dd8b1c2fb0d26p-4, 0x1.d2c9796d3c1efp-4, 0x1.c838dfaa77f68p-4, 0x1.bdd8d992fd022p-4, 0x1.b3a8ef1ab3a99p-4, 0x1.a9a8a5ac4be97p-4, 0x1.9fd780565c5acp-4, 0x1.9634fff736d8ep-4, 0x1.8cc0a3676f9b3p-4, 0x1.8379e7a31884cp-4, 0x1.7a6047f1bf714p-4, 0x1.71733e0d28fcdp-4, 0x1.68b24246d281cp-4, 0x1.601ccbac3d956p-4, 0x1.57b2502a093e1p-4, 0x1.4f7244ade0713p-4, 0x1.475c1d473f6ffp-4, 0x1.3f6f4d4717388p-4, 0x1.37ab475e53f91p-4, 0x1.300f7dbb49dc2p-4, 0x1.289b62261018dp-4, 0x1.214e661bcd44bp-4, 0x1.1a27fae8fbf1p-4, 0x1.132791c2aa62dp-4, 0x1.0c4c9bdebebaap-4, 0x1.05968a8b3fe39p-4, 0x1.fe099e895b5a5p-5, 0x1.f12db796d3476p-5, 0x1.e49844706e542p-5, 0x1.d8482a1fb416ap-5, 0x1.cc3c4eaba97f7p-5, 0x1.c073993ca0d71p-5, 0x1.b4ecf23e60b5p-5, 0x1.a9a74380af4e7p-5, 0x1.9ea178564b42bp-5, 0x1.93da7db25f44p-5, 0x1.89514244763d7p-5, 0x1.7f04b692febe1p-5, 0x1.74f3cd146187p-5, 0x1.6b1d7a46bf4bp-5, 0x1.6180b4c652cecp-5, 0x1.581c75628bd2bp-5, 0x1.4eefb731e6a43p-5, 0x1.45f977a48b3fp-5, 0x1.3d38b695bccaap-5, 0x1.34ac765c2569dp-5, 0x1.2c53bbd902957p-5, 0x1.242d8e863f07p-5, 0x1.1c38f883802ecp-5, 0x1.147506a233de7p-5, 0x1.0ce0c870a0a18p-5, 0x1.057b5044061eep-5, 0x1.fc876683a7b88p-6, 0x1.ee7212cffda45p-6, 0x1.e0b4db28f904p-6, 0x1.d34dfb17d695dp-6, 0x1.c63bb3fee89b3p-6, 0x1.b97c4d23ca3bap-6, 0x1.ad0e13b824fbap-6, 0x1.a0ef5ae105792p-6, 0x1.951e7bbcd8c1p-6, 0x1.8999d5681f9d6p-6, 0x1.7e5fcd00d7dc3p-6, 0x1.736ecda8b9d0bp-6, 0x1.68c548864e485p-6, 0x1.5e61b4c4e618cp-6, 0x1.54428f9389187p-6, 0x1.4a665c22dbcbfp-6, 0x1.40cba3a2124e8p-6, 0x1.3770f53af99a6p-6, 0x1.2e54e60d167d1p-6, 0x1.25761127f7c6p-6, 0x1.1cd31784b82a7p-6, 0x1.146a9ffebc892p-6, 0x1.0c3b574bbb393p-6, 0x1.0443eff3136c3p-6, 0x1.f9064489056f1p-7, 0x1.e9ef589c6be88p-7, 0x1.db40a3a4995bp-7, 0x1.ccf7b8779b6c8p-7, 0x1.bf1235262c167p-7, 0x1.b18dc2e3a5ca3p-7, 0x1.a46815ecfe7acp-7, 0x1.979eed6eecba4p-7, 0x1.8b30136b5041p-7, 0x1.7f195c9dc5f12p-7, 0x1.7358a85f9b698p-7, 0x1.67ebe08b20bf4p-7, 0x1.5cd0f95e54256p-7, 0x1.5205f15d1053p-7, 0x1.4788d132bf33ep-7, 0x1.3d57ab9387e23p-7, 0x1.33709d1d24cep-7, 0x1.29d1cc3751e3bp-7, 0x1.207968f3e9c5ap-7, 0x1.1765aceeb796bp-7, 0x1.0e94db2d070afp-7, 0x1.06053ffcfc2dp-7, 0x1.fb6a61a9764bap-8, 0x1.eb461862d0effp-8, 0x1.db9a72ec12d94p-8, 0x1.cc645194972edp-8, 0x1.bda0a5f279761p-8, 0x1.af4c729fee476p-8, 0x1.a164caf897818p-8, 0x1.93e6d2d6dc6e4p-8, 0x1.86cfbe515673p-8, 0x1.7a1cd178590f2p-8, 0x1.6dcb6013a33aap-8, 0x1.61d8cd6043ff5p-8, 0x1.56428bcebbdebp-8, 0x1.4b061cc165fdfp-8, 0x1.4021104b2eba6p-8, 0x1.359104eea407ep-8, 0x1.2b53a75d65834p-8, 0x1.2166b237fc611p-8, 0x1.17c7edce22d4ap-8, 0x1.0e752fdf7ffd4p-8, 0x1.056c5b5ce27edp-8, 0x1.f956c053f4a6ap-9, 0x1.e86075bf3d03bp-9, 0x1.d7f1e91d38621p-9, 0x1.c80745063540bp-9, 0x1.b89ccc11280f8p-9, 0x1.a9aed85cd94f6p-9, 0x1.9b39db1a48c17p-9, 0x1.8d3a5c185e6aep-9, 0x1.7facf950e45b6p-9, 0x1.728e6676d2c99p-9, 0x1.65db6c85f274fp-9, 0x1.5990e953e361p-9, 0x1.4dabcf227af68p-9, 0x1.4229243393705p-9, 0x1.3706025e3a001p-9, 0x1.2c3f96a5534f6p-9, 0x1.21d320cfa96afp-9, 0x1.17bdf3016eea3p-9, 0x1.0dfd71573633p-9, 0x1.048f11825c494p-9, 0x1.f6e0b4cddab7bp-10, 0x1.e53dc776019d9p-10, 0x1.d430ab4f1aa33p-10, 0x1.c3b4d0d568e65p-10, 0x1.b3c5c7f715863p-10, 0x1.a45f3f5eac9fep-10, 0x1.957d03c088239p-10, 0x1.871aff2b30655p-10, 0x1.7935385aa0651p-10, 0x1.6bc7d20e7d913p-10, 0x1.5ecf0a632b5edp-10, 0x1.52473a2dca7aep-10, 0x1.462cd45b18528p-10, 0x1.3a7c65511ced8p-10, 0x1.2f329253c3422p-10, 0x1.244c18ec2ef87p-10, 0x1.19c5ce52f043ap-10, 0x1.0f9c9edcee695p-10, 0x1.05cd8d6b21495p-10, 0x1.f8ab65b9fb445p-11, 0x1.e6647b0b2ce19p-11, 0x1.d4c0e146de46p-11, 0x1.c3bb47b5e6439p-11, 0x1.b34e85671d10ap-11, 0x1.a375982ebd992p-11, 0x1.942ba3aaed03ap-11, 0x1.856bf04d54d39p-11, 0x1.7731ea69c298dp-11, 0x1.69792149bf367p-11, 0x1.5c3d46450a63bp-11, 0x1.4f7a2bdeed571p-11, 0x1.432bc4e8537e9p-11, 0x1.374e23a6990edp-11, 0x1.2bdd78fefebf7p-11, 0x1.20d613a6b329ep-11, 0x1.16345f575fc8cp-11, 0x1.0bf4e4082999bp-11, 0x1.0214452b147e6p-11, 0x1.f11e81dd71d9bp-12, 0x1.dec55f08744a2p-12, 0x1.cd1704d2d8f65p-12, 0x1.bc0d876e35a6ep-12, 0x1.aba32ae6b4d8cp-12, 0x1.9bd261cfb9802p-12, 0x1.8c95cbf856e59p-12, 0x1.7de8352786ffp-12, 0x1.6fc493dfeea19p-12, 0x1.6226082b1d87dp-12, 0x1.5507da6c1bca2p-12, 0x1.48657a392a35ep-12, 0x1.3c3a7d3c98b27p-12, 0x1.30829e1c83db6p-12, 0x1.2539bb696bdc3p-12, 0x1.1a5bd69374ce3p-12, 0x1.0fe512e638494p-12, 0x1.05d1b48b0744bp-12, 0x1.f83c3f22f8a0fp-13, 0x1.e58dadfc7a8a8p-13, 0x1.d390f7bfa6668p-13, 0x1.c23f98d2e00fdp-13, 0x1.b19346271dff1p-13, 0x1.a185eb8495045p-13, 0x1.9211a9e2944abp-13, 0x1.8330d5ca601c5p-13, 0x1.74ddf5c4c8be3p-13, 0x1.6713c0d24927bp-13, 0x1.59cd1ced6e877p-13, 0x1.4d051d975b8d4p-13, 0x1.40b7026e2952p-13, 0x1.34de35ccec38fp-13, 0x1.29764b7532745p-13, 0x1.1e7aff41bb537p-13, 0x1.13e833e23b378p-13, 0x1.09b9f19ff7f1bp-13, 0x1.ffd8ca5610ca7p-14, 0x1.ecf7bce0082dep-14, 0x1.dac99eebf0a8dp-14, 0x1.c9479688df372p-14, 0x1.b86b09a2afd64p-14, 0x1.a82d9bed3b4e5p-14, 0x1.98892cde9e663p-14, 0x1.8977d5b829db5p-14, 0x1.7af3e79db0b4ep-14, 0x1.6cf7e9bad51d2p-14, 0x1.5f7e977602de9p-14, 0x1.5282deb0bf3eep-14, 0x1.45ffde15011e7p-14, 0x1.39f0e36f388ccp-14, 0x1.2e516a14bed68p-14, 0x1.231d195659abfp-14, 0x1.184fc2fe88f3p-14, 0x1.0de561db5172bp-14, 0x1.03da18533d312p-14, 0x1.f4545e0a8d7f2p-15, 0x1.e1a426e6d1b12p-15, 0x1.cf9cad6f1c114p-15, 0x1.be37588537226p-15, 0x1.ad6dd14aa5c7dp-15, 0x1.9d3a00c5988e9p-15, 0x1.8d960d988c067p-15, 0x1.7e7c59cc18e83p-15, 0x1.6fe780aa77ef9p-15, 0x1.61d254ac42e05p-15, 0x1.5437dd75fb182p-15, 0x1.471355e5e377fp-15, 0x1.3a602a31bd97cp-15, 0x1.2e19f613f8c73p-15, 0x1.223c8307ebd01p-15, 0x1.16c3c694aa26cp-15, 0x1.0babe0a6139dap-15, 0x1.00f119f3b1cc6p-15, 0x1.ed1fc4ea173fp-16, 0x1.d9099fc600e5dp-16, 0x1.c599388bb85c1p-16, 0x1.b2c8491f72bd8p-16, 0x1.a090ce85c8744p-16, 0x1.8eed0647bc9fbp-16, 0x1.7dd76bed5dfd3p-16, 0x1.6d4ab68e643aep-16, 0x1.5d41d6781702fp-16, 0x1.4db7f2e7e9948p-16, 0x1.3ea867da2af38p-16, 0x1.300ec3ec39d97p-16, 0x1.21e6c6519a45cp-16, 0x1.142c5cdb6e93ap-16, 0x1.06dba211b4d6bp-16, 0x1.f3e1b6bba331cp-17, 0x1.dad0ee8b9e6d5p-17, 0x1.c27e176fc5c29p-17, 0x1.aae2a8cb4a01ap-17, 0x1.93f8625d21be2p-17, 0x1.7db949329540ap-17, 0x1.681fa4b66f0ccp-17, 0x1.5325fbdbea664p-17, 0x1.3ec7126488d02p-17, 0x1.2afde63fee22bp-17, 0x1.17c5ad04ebe99p-17, 0x1.0519d182fb5aep-17, 0x1.e5ebe2d6a3d3cp-18, 0x1.c2abb621a79d9p-18, 0x1.a06b167c49afap-18, 0x1.7f2256423cf08p-18, 0x1.5eca1c95f4cb8p-18, 0x1.3f5b618901e06p-18, 0x1.20cf6a6b23c4fp-18, 0x1.031fc63ec9923p-18, 0x1.cc8c94a377a84p-19, 0x1.947a1df17c169p-19, 0x1.5dfcd8d9e5892p-19, 0x1.2909ef93c41a3p-19, 0x1.eb2e00ac09401p-20, 0x1.87342f9eb4c2p-20, 0x1.261357b1d020dp-20, 0x1.8f72598686354p-21, 0x1.b0508483150abp-22, 0x1.3135c35a51ac7p-24, -0x1.0d6539864ba9fp-22, -0x1.2e82cec27838cp-21, -0x1.d167b813f8ff3p-21, -0x1.37bf05f0e0bc6p-20, -0x1.8470b27774d4dp-20, -0x1.ced629ef18161p-20, -0x1.0b7e1b354ea77p-19, -0x1.2e7795209f171p-19, -0x1.505d7322edeeap-19, -0x1.71356fdaa3fbcp-19, -0x1.910512ef3587ep-19, -0x1.afd1b3c36fd9p-19, -0x1.cda07c075351cp-19, -0x1.ea766a2aaf2d7p-19, -0x1.032c29d8dccb4p-18, -0x1.10a573b667a36p-18, -0x1.1da957ca3c054p-18, -0x1.2a3a09e566bfap-18, -0x1.3659ad81a44fp-18, -0x1.420a56a906897p-18, -0x1.4d4e0ad1cd588p-18, -0x1.5826c1aef5a7dp-18, -0x1.629665f5f060ap-18, -0x1.6c9ed619f4743p-18, -0x1.7641e4fd5b807p-18, -0x1.7f815a9972d66p-18, -0x1.885ef49d277f4p-18, -0x1.90dc6702f4251p-18, -0x1.98fb5c9e6b60fp-18, -0x1.a0bd77a1c0b7fp-18, -0x1.a824521ba5e0dp-18, -0x1.af317e6dd563fp-18, -0x1.b5e687bc9d96fp-18, -0x1.bc44f257b89fep-18, -0x1.c24e3c1cc56p-18, -0x1.c803dcd3a7066p-18, -0x1.cd67468514ca7p-18, -0x1.d279e5cb9fd7dp-18, -0x1.d73d221f70908p-18, -0x1.dbb25e1cfe967p-18, -0x1.dfdaf7c6fd8c9p-18, -0x1.e3b848c3bd63fp-18, -0x1.e74ba69634afep-18, -0x1.ea9662d2f1871p-18, -0x1.ed99cb511de97p-18, -0x1.f0572a57d199ep-18, -0x1.f2cfc6c7e065dp-18, -0x1.f504e44252674p-18, -0x1.f6f7c34bb4a68p-18, -0x1.f8a9a16c6ecafp-18, -0x1.fa1bb94e44c1cp-18, -0x1.fb4f42d72f98dp-18, -0x1.fc457341b1dd1p-18, -0x1.fcff7d32cb856p-18, -0x1.fd7e90cdb49b6p-18, -0x1.fdc3dbc57b2c9p-18, -0x1.fdd0896ca9675p-18, -0x1.fda5c2c3106d5p-18, -0x1.fd44ae81d61f3p-18, -0x1.fcae7125e3da2p-18, -0x1.fbe42cf8cc113p-18, -0x1.fae7021849ea1p-18, -0x1.f9b80e7c69dc2p-18, -0x1.f8586dfc794a6p-18, -0x1.f6c93a52d1d9ap-18, -0x1.f50b8b1f96209p-18, -0x1.f32075ea73957p-18, -0x1.f1090e237e793p-18, -0x1.eec6652339e9dp-18, -0x1.ec598a29ddf97p-18, -0x1.e9c38a5dec831p-18, -0x1.e70570ca24dfdp-18, -0x1.e420465ae60e2p-18, -0x1.e11511db0d69ep-18, -0x1.dde4d7f05fcb9p-18, -0x1.da909b178a9a4p-18, -0x1.d7195b9fc80e5p-18, -0x1.d38017a633e6bp-18, -0x1.cfc5cb10da5dfp-18, -0x1.cbeb6f898ae1cp-18, -0x1.c7f1fc787dd3ap-18, -0x1.c3da66fecc2b9p-18, -0x1.bfa5a1f0ce9b2p-18, -0x1.bb549dd061986p-18, -0x1.b6e848c71c266p-18, -0x1.b2618ea07e427p-18, -0x1.adc158c41e736p-18, -0x1.a9088e2fde441p-18, -0x1.a438137226862p-18, -0x1.9f50caa4380b8p-18, -0x1.9a53936491209p-18, -0x1.95414ad16cf74p-18, -0x1.901acb8363109p-18, -0x1.8ae0ed882af6dp-18, -0x1.8594865d84938p-18, -0x1.803668ec4e0efp-18, -0x1.7ac76583c57fdp-18, -0x1.754849d4fabcfp-18, -0x1.6fb9e0ee775f5p-18, -0x1.6a1cf33818a0ep-18, -0x1.6472466f24086p-18, -0x1.5eba9da293ff3p-18, -0x1.58f6b92fa05b7p-18, -0x1.532756be83713p-18, -0x1.4d4d313f7df91p-18, -0x1.476900e818ef4p-18, -0x1.417b7b30a929cp-18, -0x1.3b8552d2117aap-18, -0x1.358737c3c8445p-18, -0x1.2f81d73a1d9dfp-18, -0x1.2975dba4c4ea5p-18, -0x1.2363ecad9efefp-18, -0x1.1d4caf37c7bcdp-18, -0x1.1730c55ee5ab3p-18, -0x1.1110ce76bb494p-18, -0x1.0aed670afa611p-18, -0x1.04c728df587e6p-18, -0x1.fd3d55dfc758ap-19, -0x1.f0e902e331403p-19, -0x1.e4927ba66edfbp-19, -0x1.d83add7cadaacp-19, -0x1.cbe340316c8cp-19, -0x1.bf8cb60b9adf2p-19, -0x1.b3384bd12b486p-19, -0x1.a6e708cb2155ep-19, -0x1.9a99eeca14b99p-19, -0x1.8e51fa2b1e01ep-19, -0x1.821021dd3eae6p-19, -0x1.75d557672eb9fp-19, -0x1.69a286ed9685p-19, -0x1.5d789739b3f7ep-19, -0x1.515869c0651acp-19, -0x1.4542daa991cb3p-19, -0x1.3938c0d7fdc84p-19, -0x1.2d3aedf173857p-19, -0x1.214a2e674b393p-19, -0x1.1567497f4cffep-19, -0x1.0993015ce7bcdp-19, -0x1.fb9c26157721fp-20, -0x1.e4326d08eb32fp-20, -0x1.ccea3d81ed3ebp-20, -0x1.b5c4f37993cefp-20, -0x1.9ec3e109c25f4p-20, -0x1.87e84e832bb0fp-20, -0x1.71337a83dd516p-20, -0x1.5aa69a0e48cb9p-20, -0x1.4442d8a0ccd31p-20, -0x1.2e09584da9a7bp-20, -0x1.17fb31d36fafp-20, -0x1.021974b5d0be3p-20, -0x1.d8ca4eadc09bp-21, -0x1.adbe8e215147ap-21, -0x1.8311909e4566p-21, -0x1.58c52d550101bp-21, -0x1.2edb2a0392611p-21, -0x1.05553b2b815b2p-21, -0x1.b86a0890580e8p-22, -0x1.66f8300b4f184p-22, -0x1.1657f0f0364ap-22, -0x1.8d185d4e2eb35p-23, -0x1.de5eb1207eca4p-24, -0x1.4be86866207b8p-25, 0x1.1e0959f379554p-25, 0x1.c0825f1db0bb1p-24, 0x1.773de48763121p-23, 0x1.063a127cdf823p-22, 0x1.4fefeddce6946p-22, 0x1.98be96f9dd9b7p-22, 0x1.e0a43d2191469p-22, 0x1.13cf95f26d68bp-21, 0x1.36d6e55166d86p-21, 0x1.59674e09e57bdp-21, 0x1.7b801eea43e85p-21, 0x1.9d20b3f88ae88p-21, 0x1.be487637fd7cbp-21, }}, 
      std::vector<double>(619, 0.0), 
      {{0x1.63460b07d0338p-8, 0x1.634f13659ec41p-7, 0x1.0a7af2b053e64p-6, 0x1.63322879db4dep-6, 0x1.bb9e9b77366c8p-6, 0x1.09be8938623f2p-5, 0x1.353be1b5e3428p-5, 0x1.6014b89bc535dp-5, 0x1.8a1081fa85873p-5, 0x1.b2f29f0e8e3d8p-5, 0x1.da7c27c6039a3p-5, 0x1.0036c7e062cabp-4, 0x1.12440dd7f3a12p-4, 0x1.234790f76f57dp-4, 0x1.33248aa5fbc85p-4, 0x1.41c02dd8e4bfcp-4, 0x1.4f01fa0f2a93dp-4, 0x1.5ad3f82aa29e8p-4, 0x1.6522e39bb7cbbp-4, 0x1.6dde42653ee2fp-4, 0x1.74f86e6f407d7p-4, 0x1.7a66927d244d9p-4, 0x1.7e209ced4c13fp-4, 0x1.80212a339dc6p-4, 0x1.806568c9d881ap-4, 0x1.7eecf81a761e9p-4, 0x1.7bb9c3b7350f9p-4, 0x1.76cfdbfc3b63cp-4, 0x1.70354d14be284p-4, 0x1.67f1f52e6e638p-4, 0x1.5e0f5a85ab909p-4, 0x1.529881d577ccap-4, 0x1.4599c59b25047p-4, 0x1.3720ae865325fp-4, 0x1.273bcd59e2982p-4, 0x1.15fa96716a356p-4, 0x1.036d3f1072369p-4, 0x1.df4939293d573p-5, 0x1.b5640b33f318ap-5, 0x1.894e6a309958cp-5, 0x1.5b2c5ef36b92p-5, 0x1.2b22534a6b699p-5, 0x1.f2a9c7ce650a1p-6, 0x1.8bd16c06d6c12p-6, 0x1.2204a1411a119p-6, 0x1.6b17e4fe55a42p-7, 0x1.1abc9f5454892p-8, -0x1.5257998533dddp-9, -0x1.3a39864c02855p-7, -0x1.11820aab6cd67p-6, -0x1.87381300d76d3p-6, -0x1.fdfdcf92efeb4p-6, -0x1.3ac9fe6a477c7p-5, -0x1.76de9d5a29ab2p-5, -0x1.b31f117e139d9p-5, -0x1.ef6eadf2ee60ap-5, -0x1.15d8e9cb4cd76p-4, -0x1.33e6fb79254b3p-4, -0x1.51d4d253b0fb4p-4, -0x1.6f96423f1f4a9p-4, -0x1.8d1fad9a794b9p-4, -0x1.aa66059515cf2p-4, -0x1.c75ec9ff7fe2ap-4, -0x1.e40008a46e306p-4, -0x1.00202e1ac3a6bp-3, -0x1.0e0b756b8cbb6p-3, -0x1.1bbdb22a8a05bp-3, -0x1.2933000575eedp-3, -0x1.3667bd43b659cp-3, -0x1.4358897a5d44cp-3, -0x1.5002442634d95p-3, -0x1.5c620b2f51f5cp-3, -0x1.687539598cf76p-3, -0x1.743964a4dfc9dp-3, -0x1.7fac5ca07eeap-3, -0x1.8acc28b32db6p-3, -0x1.9597065b36a6dp-3, -0x1.a00b67681d5f4p-3, -0x1.aa27f0300618fp-3, -0x1.b3eb75c28f84ap-3, -0x1.bd54fc1abba75p-3, -0x1.c663b4515bc6fp-3, -0x1.cf16fad14941cp-3, -0x1.d76e558e9119ap-3, -0x1.df697241ac8f1p-3, -0x1.e70824a7a2b2p-3, -0x1.ee4a64c7eed03p-3, -0x1.f5304d40e2b5ap-3, -0x1.fbba199b31279p-3, -0x1.00f412528cfdep-2, -0x1.03dd736ae477bp-2, -0x1.06997a5ca31e7p-2, -0x1.09287eb2a7214p-2, -0x1.0b8ae47bb1e5dp-2, -0x1.0dc11b8e2c653p-2, -0x1.0fcb9ed0bbdep-2, -0x1.11aaf387bf0c7p-2, -0x1.135fa8a7bee67p-2, -0x1.14ea562cdebc1p-2, -0x1.164b9c774d7eap-2, -0x1.178423acc24c1p-2, -0x1.18949b1efa918p-2, -0x1.197db8b738733p-2, -0x1.1a403866c0992p-2, -0x1.1adcdb9c41619p-2, -0x1.1b5468be27e16p-2, -0x1.1ba7aaa9c99eap-2, -0x1.1bd7703758782p-2, -0x1.1be48bc290e52p-2, -0x1.1bcfd2b81327ap-2, -0x1.1b9a1d274def5p-2, -0x1.1b444558eefe8p-2, -0x1.1acf2769be1aap-2, -0x1.1a3ba0e9d5184p-2, -0x1.198a90801474dp-2, -0x1.18bcd591c9f26p-2, -0x1.17d34fee6755ap-2, -0x1.16cedf7f3ba59p-2, -0x1.15b063fb1022dp-2, -0x1.1478bc9d9369bp-2, -0x1.1328c7e27ef45p-2, -0x1.11c1634458343p-2, -0x1.10436afeb896dp-2, -0x1.0eafb9d40677dp-2, -0x1.0d0728d680a87p-2, -0x1.0b4a8f348d97fp-2, -0x1.097ac2082a7d3p-2, -0x1.079894296ff2ep-2, -0x1.05a4d6040786dp-2, -0x1.03a0556f84274p-2, -0x1.018bdd8a83edbp-2, -0x1.fed06d30fc805p-3, -0x1.fa6c4bc4614a8p-3, -0x1.f5ecdb311e104p-3, -0x1.f15399743bd24p-3, -0x1.eca1fdf550d0ep-3, -0x1.e7d9795a6c0a4p-3, -0x1.e2fb75605b2f4p-3, -0x1.de0954b71e33bp-3, -0x1.d90472e262a6p-3, -0x1.d3ee241ddc96cp-3, -0x1.cec7b54551f63p-3, -0x1.c9926bc037db1p-3, -0x1.c44f8570b77b3p-3, -0x1.bf0038a5f17e2p-3, -0x1.b9a5b4116464ap-3, -0x1.b4411ebf4a0aep-3, -0x1.aed39811cad82p-3, -0x1.a95e37bee6f1p-3, -0x1.a3e20dd0f15d2p-3, -0x1.9e6022a97ad07p-3, -0x1.98d977069378fp-3, -0x1.934f040a38b5ap-3, -0x1.8dc1bb43da7c4p-3, -0x1.883286bbda85bp-3, -0x1.82a24900e04ebp-3, -0x1.7d11dd36ecd23p-3, -0x1.77821728163b4p-3, -0x1.71f3c356c31a9p-3, -0x1.6c67a7115fd68p-3, -0x1.66de8087633d1p-3, -0x1.615906df93437p-3, -0x1.5bd7ea4f75b7ep-3, -0x1.565bd433ce1c9p-3, -0x1.50e5672a1a988p-3, -0x1.4b753f2af4ba9p-3, -0x1.460bf1a546388p-3, -0x1.40aa0d9a43975p-3, -0x1.3b501bba098e6p-3, -0x1.35fe9e80de05bp-3, -0x1.30b61254f5e67p-3, -0x1.2b76eda4bc391p-3, -0x1.2641a10577614p-3, -0x1.2116975251cp-3, -0x1.1bf635cbb09dbp-3, -0x1.16e0dc36bd385p-3, -0x1.11d6e4fd2c452p-3, -0x1.0cd8a54d2278fp-3, -0x1.07e66d3930d0ep-3, -0x1.030087d864349p-3, -0x1.fc4e76cc9fa37p-4, -0x1.f2b592c6229dap-4, -0x1.e936dd668a52bp-4, -0x1.dfd2c77fbddb2p-4, -0x1.d689b92bb02e8p-4, -0x1.cd5c120b75c3fp-4, -0x1.c44a2985e6167p-4, -0x1.bb544f05c3c75p-4, -0x1.b27aca37699a4p-4, -0x1.a9bddb45e0279p-4, -0x1.a11dbb174ff1fp-4, -0x1.989a9b88da42dp-4, -0x1.9034a7a9a83d9p-4, -0x1.87ec03f550898p-4, -0x1.7fc0ce8d6bd03p-4, -0x1.77b31f725e64fp-4, -0x1.6fc308bb4a6b5p-4, -0x1.67f096cd277f1p-4, -0x1.603bd090f54eep-4, -0x1.58a4b7a9062d2p-4, -0x1.512b48a55cd5ap-4, -0x1.49cf7b3716e71p-4, -0x1.42914262e27ap-4, -0x1.3b708cb27961fp-4, -0x1.346d44652109bp-4, -0x1.2d874f9f2b39ap-4, -0x1.26be909875514p-4, -0x1.2012e5c9e6d57p-4, -0x1.19842a19eb19fp-4, -0x1.13123507e79cp-4, -0x1.0cbcdad6ad1e9p-4, -0x1.0683ecb5e4f07p-4, -0x1.006738ea78f38p-4, -0x1.f4cd15ebf050ep-5, -0x1.e9035779f1f25p-5, -0x1.dd70c358f0c33p-5, -0x1.d214e1bc7511fp-5, -0x1.c6ef367856c81p-5, -0x1.bbff414586235p-5, -0x1.b1447e04e01bdp-5, -0x1.a6be650010ef8p-5, -0x1.9c6c6b288c33dp-5, -0x1.924e02549df51p-5, -0x1.8862997a9c9efp-5, -0x1.7ea99cea3ed9ap-5, -0x1.752276841edcp-5, -0x1.6bcc8def701edp-5, -0x1.62a748cdeb506p-5, -0x1.59b20aee0003fp-5, -0x1.50ec367b4789ap-5, -0x1.48552c2d4a85fp-5, -0x1.3fec4b749b66ep-5, -0x1.37b0f2a64e80ap-5, -0x1.2fa27f25d6dc6p-5, -0x1.27c04d8d52473p-5, -0x1.2009b9d4487fdp-5, -0x1.187e1f74e86adp-5, -0x1.111cd98fca585p-5, -0x1.09e5430e41331p-5, -0x1.02d6b6c33d6b5p-5, -0x1.f7e11f15a0c6fp-6, -0x1.ea6450d0ac005p-6, -0x1.dd35b94691281p-6, -0x1.d0540fc59c928p-6, -0x1.c3be0c9005b0ap-6, -0x1.b772690e0d65ap-6, -0x1.ab6fdffdbe7c1p-6, -0x1.9fb52da051a37p-6, -0x1.94410fe553387p-6, -0x1.891246939565cp-6, -0x1.7e27936ff7c35p-6, -0x1.737fba62214e3p-6, -0x1.691981972cb8dp-6, -0x1.5ef3b1a261d0ep-6, -0x1.550d159c08a65p-6, -0x1.4b647b3e5d7bcp-6, -0x1.41f8b300bd6ep-6, -0x1.38c890311930dp-6, -0x1.2fd2e90bb0b28p-6, -0x1.271696d138038p-6, -0x1.1e9275db61fe9p-6, -0x1.164565afe7e97p-6, -0x1.0e2e49121950fp-6, -0x1.064c0612feaep-6, -0x1.fd3b0c403c9edp-7, -0x1.ee436c21dc2c2p-7, -0x1.dfaf0c65fd5c5p-7, -0x1.d17bd4a9dcb21p-7, -0x1.c3a7b3a058d88p-7, -0x1.b6309f232bf21p-7, -0x1.a914944205a7p-7, -0x1.9c51974f75123p-7, -0x1.8fe5b3ebe618bp-7, -0x1.83cefd0e9d101p-7, -0x1.780b8d0cdc553p-7, -0x1.6c99859f48ee4p-7, -0x1.61770fe593dafp-7, -0x1.56a25c688437p-7, -0x1.4c19a31a75e47p-7, -0x1.41db235657fe7p-7, -0x1.37e523dd422b3p-7, -0x1.2e35f2d2b0fa6p-7, -0x1.24cbe5b776205p-7, -0x1.1ba559637184dp-7, -0x1.12c0b1fe1fadap-7, -0x1.0a1c5af60d8e9p-7, -0x1.01b6c6f74116ep-7, -0x1.f31cdfc146064p-8, -0x1.e343ad70f3fadp-8, -0x1.d3df0740052f6p-8, -0x1.c4ec0b8c6584fp-8, -0x1.b667e6b367744p-8, -0x1.a84fd2f43f93ap-8, -0x1.9aa118511ce44p-8, -0x1.8d590c6ef9342p-8, -0x1.8075127431a05p-8, -0x1.73f29ae601acdp-8, -0x1.67cf2384f0fd4p-8, -0x1.5c0837284b9b4p-8, -0x1.509b6d98b5666p-8, -0x1.45866b69eb889p-8, -0x1.3ac6e1d3c51bbp-8, -0x1.305a8e8a866aep-8, -0x1.263f3b96937cp-8, -0x1.1c72bf2b9472ep-8, -0x1.12f2fb7f1bdbap-8, -0x1.09bdde9ed7dccp-8, -0x1.00d16246648d9p-8, -0x1.f057176989954p-9, -0x1.df94d70329574p-9, -0x1.cf583ae3fb895p-9, -0x1.bf9d909af4da7p-9, -0x1.b0613b64e8e04p-9, -0x1.a19fb3d5904abp-9, -0x1.935587806d518p-9, -0x1.857f58a1a17e2p-9, -0x1.7819ddc6cd07fp-9, -0x1.6b21e177ffa43p-9, -0x1.5e9441e0d2fdcp-9, -0x1.526df079bf29bp-9, -0x1.46abf1b1b2a8dp-9, -0x1.3b4b5c98023bcp-9, -0x1.30495a86bbcb3p-9, -0x1.25a326cd68c6ap-9, -0x1.1b560e5c4f2d4p-9, -0x1.115f6f7036e23p-9, -0x1.07bcb93ec81f7p-9, -0x1.fcd6d74702b0ap-10, -0x1.ead22d9aaf5d5p-10, -0x1.d966b5da0bd7p-10, -0x1.c88fcfc82ddd4p-10, -0x1.b848f9e95727bp-10, -0x1.a88dd0e41d45dp-10, -0x1.995a0ee42370ep-10, -0x1.8aa98afe86f63p-10, -0x1.7c783897f9ba2p-10, -0x1.6ec226ccaa59p-10, -0x1.61837fd9e4828p-10, -0x1.54b888899577dp-10, -0x1.485d9f9fa3c9ap-10, -0x1.3c6f3d492c591p-10, -0x1.30e9f28da7fd3p-10, -0x1.25ca68c202cdap-10, -0x1.1b0d60fda7541p-10, -0x1.10afb39184651p-10, -0x1.06ae4f810c809p-10, -0x1.fa0c73fa75fe8p-11, -0x1.e7691bc337595p-11, -0x1.d56cf666a720ep-11, -0x1.c4128d446a12cp-11, -0x1.b3549217b6cb5p-11, -0x1.a32dde019c64cp-11, -0x1.939970975c1ecp-11, -0x1.84926ef4d4417p-11, -0x1.761422d2fa6f2p-11, -0x1.6819f9a263964p-11, -0x1.5a9f83a9d697fp-11, -0x1.4da07328e5944p-11, -0x1.41189b7e88ae9p-11, -0x1.3503f053b796ap-11, -0x1.295e84c9f9f45p-11, -0x1.1e248aade9155p-11, -0x1.135251ad9d01ap-11, -0x1.08e44692fbbb3p-11, -0x1.fdade503caf71p-12, -0x1.ea4df47467261p-12, -0x1.d7a23abb05de1p-12, -0x1.c5a46b717e7c1p-12, -0x1.b44e6d22d13b6p-12, -0x1.a39a57ed0b45cp-12, -0x1.9382742a7a01fp-12, -0x1.840139220f01ep-12, -0x1.75114bbee77fdp-12, -0x1.66ad7d4edc662p-12, -0x1.58d0ca480782ap-12, -0x1.4b7659152763p-12, -0x1.3e9978e8ca6cap-12, -0x1.3235a0972aad6p-12, -0x1.26466d76a19ecp-12, -0x1.1ac7a2469eb1dp-12, -0x1.0fb5261d06841p-12, -0x1.050b0359e51fbp-12, -0x1.f58acd42adcf5p-13, -0x1.e1c13bb72c583p-13, -0x1.ceb22e761ada2p-13, -0x1.bc56c090ba5d3p-13, -0x1.aaa849e871171p-13, -0x1.99a05d5dfdb69p-13, -0x1.8938c70bffe72p-13, -0x1.796b8a8c90b14p-13, -0x1.6a32e149d34d5p-13, -0x1.5b8938d935721p-13, -0x1.4d6931613dccep-13, -0x1.3fcd9c09b0ca2p-13, -0x1.32b17975ddbe8p-13, -0x1.260ff848e59b2p-13, -0x1.19e473b3c7d48p-13, -0x1.0e2a720d06a67p-13, -0x1.02dda371b945ep-13, -0x1.eff3c0df9f4f3p-14, -0x1.daf65172d9abbp-14, -0x1.c6bb43c22a5dp-14, -0x1.b33b2c3d20375p-14, -0x1.a06ee6389dc8ep-14, -0x1.8e4f919a473e8p-14, -0x1.7cd690944aa6p-14, -0x1.6bfd85711f1d3p-14, -0x1.5bbe506ee7589p-14, -0x1.4c130daa23604p-14, -0x1.3cf61317593dap-14, -0x1.2e61ee8b64428p-14, -0x1.205163d214cd6p-14, -0x1.12bf6ad2d1756p-14, -0x1.05a72dc2e88d8p-14, -0x1.f2080eca83aadp-15, -0x1.d9a302ae42dfep-15, -0x1.c216a4d363173p-15, -0x1.ab5aba1007aaep-15, -0x1.95675b5283264p-15, -0x1.8034f29d7ffbbp-15, -0x1.6bbc381b60e57p-15, -0x1.57f62f48481d7p-15, -0x1.44dc2432401afp-15, -0x1.3267a8ceeff77p-15, -0x1.209292665dbb3p-15, -0x1.0f56f7123605fp-15, -0x1.fd5e56a225611p-16, -0x1.dd2b7f5a89a4fp-16, -0x1.be0afced3be5fp-16, -0x1.9ff2d31d8750dp-16, -0x1.82d9708f13938p-16, -0x1.66b5aaa5cb541p-16, -0x1.4b7eb987fb6b5p-16, -0x1.312c3441cac9p-16, -0x1.17b60d0928bfp-16, -0x1.fe291b42a4a56p-17, -0x1.ce80a7ba3122cp-17, -0x1.a0649c7e1f77fp-17, -0x1.73c7716db82b7p-17, -0x1.489c32f58da91p-17, -0x1.1ed67bf9c371ap-17, -0x1.ecd4dfeb9b923p-18, -0x1.9e996aa07e4afp-18, -0x1.52e4dfc2480d9p-18, -0x1.09a2775300ec5p-18, -0x1.857c9eea24c17p-19, -0x1.f8958a59c225cp-20, -0x1.de2befae796bep-21, 0x1.1cb1e02f3d30cp-24, 0x1.0a505808fe27ep-20, 0x1.fab97584250adp-20, 0x1.71a1ba71d35fep-19, 0x1.e214599bc0a69p-19, 0x1.2768429f99562p-18, 0x1.5bf87bb3fee25p-18, 0x1.8ec7a29b14665p-18, 0x1.bfe1f62e48fafp-18, 0x1.ef53300d5f5c9p-18, 0x1.0e93456d7be1ap-17, 0x1.24b3641d625c3p-17, 0x1.3a0f1b49ae32dp-17, 0x1.4eab5b4ac9c3cp-17, 0x1.628ce0459f3a7p-17, 0x1.75b834b795956p-17, 0x1.8831b3e80a912p-17, 0x1.99fd8c402a6efp-17, 0x1.ab1fc18a00376p-17, 0x1.bb9c2f17783b5p-17, 0x1.cb7689d24ddc4p-17, 0x1.dab262357a7cdp-17, 0x1.e95326310c2eep-17, 0x1.f75c22f90b4c5p-17, 0x1.0268436015e2p-16, 0x1.08d9b12f7f204p-16, 0x1.0f03d5742b5f6p-16, 0x1.14e81d95ba2ebp-16, 0x1.1a87ea92595cep-16, 0x1.1fe491aea798cp-16, 0x1.24ff5d1d6b3d3p-16, 0x1.29d98c9f7478dp-16, 0x1.2e74561be810ep-16, 0x1.32d0e6313f20fp-16, 0x1.36f060bf449ecp-16, 0x1.3ad3e16a4483bp-16, 0x1.3e7c7c17c53dbp-16, 0x1.41eb3d64f026dp-16, 0x1.45212b16fe0bbp-16, 0x1.481f4485cc7f3p-16, 0x1.4ae68300ed69dp-16, 0x1.4d77da2f4fcf5p-16, 0x1.4fd43869cee5ep-16, 0x1.51fc8710c5c1cp-16, 0x1.53f1aadcf1cd7p-16, 0x1.55b4842bbd478p-16, 0x1.5745ef47340fdp-16, 0x1.58a6c4a9c9afp-16, 0x1.59d7d93e177fep-16, 0x1.5ad9fe9aca77ap-16, 0x1.5bae033ae1b29p-16, 0x1.5c54b2b2661e8p-16, 0x1.5cced5dfc67ffp-16, 0x1.5d1d3319fc914p-16, 0x1.5d408e5b9af0bp-16, 0x1.5d39a96af1428p-16, 0x1.5d0943ff5c255p-16, 0x1.5cb01be3eda5ep-16, 0x1.5c2eed1783cfbp-16, 0x1.5b8671ea738cp-16, 0x1.5ab76319e4a11p-16, 0x1.59c277e8f3b87p-16, 0x1.58a86637c37cfp-16, 0x1.5769e2988a83dp-16, 0x1.5607a062bcfa8p-16, 0x1.548251c46fa68p-16, 0x1.52daa7d1ffbcdp-16, 0x1.5111529427346p-16, 0x1.4f27011481e55p-16, 0x1.4d1c6168a60b3p-16, 0x1.4af220bbdf4d6p-16, 0x1.48a8eb579f085p-16, 0x1.46416caab7762p-16, 0x1.43bc4f4f73bafp-16, 0x1.411a3d1099cc6p-16, 0x1.3e5bdeed6f6dp-16, 0x1.3b81dd1cc8b7fp-16, 0x1.388cdf0f35225p-16, 0x1.357d8b705f1f4p-16, 0x1.325488279a142p-16, 0x1.2f127a57c6f68p-16, 0x1.2bb8065e8354fp-16, 0x1.2845cfd2c0549p-16, 0x1.24bc7982c25ccp-16, 0x1.211ca571a1381p-16, 0x1.1d66f4d445103p-16, 0x1.199c080df8c47p-16, 0x1.15bc7eac8bd78p-16, 0x1.11c8f764217f8p-16, 0x1.0dc2100aa37a4p-16, 0x1.09a86592e9f07p-16, 0x1.057c9407a056p-16, 0x1.013f3685ee7b6p-16, 0x1.f9e1ce6fde5b8p-17, 0x1.f1247e9de5eccp-17, 0x1.e847adfb40856p-17, 0x1.df4c8ae3ec038p-17, 0x1.d634419e5d19cp-17, 0x1.ccfffc4f228a7p-17, 0x1.c3b0e2ec62ea3p-17, 0x1.ba481b31549eep-17, 0x1.b0c6c891979afp-17, 0x1.a72e0c2ca1d4ep-17, 0x1.9d7f04c123192p-17, 0x1.93bacea0843d9p-17, 0x1.89e283a271dcdp-17, 0x1.7ff73b18924d6p-17, 0x1.75fa09c255896p-17, 0x1.6bec01c0f4a5bp-17, 0x1.61ce328b9f667p-17, 0x1.57a1a8e3e93d2p-17, 0x1.4d676eca61a75p-17, 0x1.43208b737cae2p-17, 0x1.38ce033cb453p-17, 0x1.2e70d7a1f784dp-17, 0x1.240a073362de9p-17, 0x1.199a8d8b49d0ap-17, 0x1.0f23634490597p-17, 0x1.04a57df15ac7cp-17, 0x1.f443a024287d4p-18, 0x1.df3292199d267p-18, 0x1.ca19aa49fb5cap-18, 0x1.b4fabae7200dbp-18, 0x1.9fd78fbecb4cdp-18, 0x1.8ab1ee2c4dbedp-18, 0x1.758b950af7b68p-18, 0x1.60663ca94c06fp-18, 0x1.4b4396bcf71e5p-18, 0x1.36254e578bdbp-18, 0x1.210d07dc078b2p-18, 0x1.0bfc60f51a7fp-18, 0x1.ede9e11873956p-19, 0x1.c3f08d82ebc8ep-19, 0x1.9a0fd9c82df95p-19, 0x1.704acad7fd8bep-19, 0x1.46a457e79e33fp-19, 0x1.1d1f6a67a1bbdp-19, 0x1.e77dbbf67b988p-20, 0x1.950b00e23ea4p-20, 0x1.42ec237b692c2p-20, 0x1.e24d0fdbd7469p-21, 0x1.3f7eed467028dp-21, 0x1.3af070fe3a009p-22, -0x1.de765de4ba0acp-28, -0x1.482d3060879dcp-22, -0x1.438b171d66c2fp-21, -0x1.e210ee2ab318ap-21, -0x1.3fcf6ca910d5dp-20, -0x1.8e15e5e27f3d5p-20, -0x1.dbd777e5d5ca3p-20, -0x1.1487e9a81a0c9p-19, -0x1.3add621149ff9p-19, -0x1.60ea18d52c4a1p-19, -0x1.86ac0f33bed3ep-19, -0x1.ac2153f8435fap-19, -0x1.d148036a17f6p-19, -0x1.f61e473c74da1p-19, -0x1.0d512b3e92196p-18, -0x1.1f693ac1135e5p-18, -0x1.31567aeb31bdbp-18, -0x1.43181b12a96e9p-18, -0x1.54ad5112e07c9p-18, -0x1.66155941cfb63p-18, -0x1.774f76647ae85p-18, -0x1.885af1a2fa6bbp-18, -0x1.99371a7c1ceefp-18, -0x1.a9e346b89e07dp-18, -0x1.ba5ed25dfe3aap-18, -0x1.caa91fa0f7da4p-18, -0x1.dac196d79b6c8p-18, -0x1.eaa7a66b10f8fp-18, }}, 
      {{0x1.5099d2a104825p-1, 0x1.50cbd3ad2833cp-1, 0x1.5117a2be2cbc4p-1, 0x1.5174b3e148d5p-1, 0x1.51d9f57d803e7p-1, 0x1.523eb2fe612a6p-1, 0x1.529b1c65e713ep-1, 0x1.52e88e81239cap-1, 0x1.5321afe60c97fp-1, 0x1.53427145109a9p-1, 0x1.5347fb775aaf5p-1, 0x1.533092aa575c2p-1, 0x1.52fb73d19187bp-1, 0x1.52a8afeafb02fp-1, 0x1.52390776a7e78p-1, 0x1.51adc7abd049dp-1, 0x1.5108aa5b548d5p-1, 0x1.504bb9036e526p-1, 0x1.4f79334ca2c16p-1, 0x1.4e9378f460b73p-1, 0x1.4d9cf7077415p-1, 0x1.4c981838b4e14p-1, 0x1.4b8738139a739p-1, 0x1.4a6c98c3e8832p-1, 0x1.494a5b29b73a2p-1, 0x1.482278f222d6ep-1, 0x1.46f6c0700778fp-1, 0x1.45c8d1f4800dfp-1, 0x1.449a1e6bf9514p-1, 0x1.436be70a1219fp-1, 0x1.423f3dd40a276p-1, 0x1.411506dee213cp-1, 0x1.3fedfa1b78079p-1, 0x1.3ecaa58fc9375p-1, 0x1.3dab6fe0f779ep-1, 0x1.3c909b15cef23p-1, 0x1.3b7a477d3798fp-1, 0x1.3a6876a754fdcp-1, 0x1.395b0e63066f3p-1, 0x1.3851dbb415916p-1, 0x1.374c95b8a9eb2p-1, 0x1.364ae0768d51dp-1, 0x1.354c4f8a88df2p-1, 0x1.345068b596d98p-1, 0x1.3356a644dd1fp-1, 0x1.325e79527ce6p-1, 0x1.31674bde17c04p-1, 0x1.307082bcaa012p-1, 0x1.2f797f5ff0d64p-1, 0x1.2e81a17608eb8p-1, 0x1.2d8848625842ep-1, 0x1.2c8cd491196a1p-1, 0x1.2b8ea8a71e70bp-1, 0x1.2a8d2a8f81385p-1, 0x1.2987c4691c555p-1, 0x1.287de555ae15bp-1, 0x1.276f022c9719ap-1, 0x1.265a96131e6e4p-1, 0x1.254022fc26a76p-1, 0x1.241f32112dda5p-1, 0x1.22f754066a73bp-1, 0x1.21c8215bc03b6p-1, 0x1.20913a8c3a1c1p-1, 0x1.1f52482d9e68cp-1, 0x1.1e0afb019ffc4p-1, 0x1.1cbb0bfa16d32p-1, 0x1.1b623c3194f83p-1, 0x1.1a0054d99a945p-1, 0x1.1895271f90afbp-1, 0x1.17208c09a2596p-1, 0x1.15a2644c75b92p-1, 0x1.141a981ab368fp-1, 0x1.128916ef3918ap-1, 0x1.10edd752c077ap-1, 0x1.0f48d69db6326p-1, 0x1.0d9a18b6ea54ep-1, 0x1.0be1a7cfb553fp-1, 0x1.0a1f941e21fe3p-1, 0x1.0853f39597b2p-1, 0x1.067ee19e80a71p-1, 0x1.04a07ecd4e263p-1, 0x1.02b8f0994080ep-1, 0x1.00c861134180cp-1, 0x1.fd9dfd3a463d3p-2, 0x1.f999f74304187p-2, 0x1.f5851c9911f8dp-2, 0x1.f15fe08b9824ap-2, 0x1.ed2abcd6cf25cp-2, 0x1.e8e6311d18204p-2, 0x1.e492c26334498p-2, 0x1.e030fa8fd830cp-2, 0x1.dbc167eecebe7p-2, 0x1.d7449cb7cffb1p-2, 0x1.d2bb2e9936b77p-2, 0x1.ce25b646a5cc9p-2, 0x1.c984cf0bbf41p-2, 0x1.c4d91662ece3ap-2, 0x1.c0232b9052fc3p-2, 0x1.bb63af40e6799p-2, 0x1.b69b432dafd95p-2, 0x1.b1ca89c335821p-2, 0x1.acf225cd01b07p-2, 0x1.a812ba254629cp-2, 0x1.a32ce96888273p-2, 0x1.9e4155ad46d78p-2, 0x1.9950a03f93abap-2, 0x1.945b696080478p-2, 0x1.8f62500955c7ep-2, 0x1.8a65f1b27a882p-2, 0x1.8566ea1df37f2p-2, 0x1.8065d3256b358p-2, 0x1.7b63448b9dcap-2, 0x1.765fd3d11cd19p-2, 0x1.715c140c47039p-2, 0x1.6c5895c4628a7p-2, 0x1.6755e6cfb6ca1p-2, 0x1.6254923495c65p-2, 0x1.5d55200d2f574p-2, 0x1.5858156e1fa76p-2, 0x1.535df44f92b87p-2, 0x1.4e673b78eca9bp-2, 0x1.4974666ed7f51p-2, 0x1.4485ed639f416p-2, 0x1.3f9c4529bd3bp-2, 0x1.3ab7df28856d8p-2, 0x1.35d92952d1014p-2, 0x1.31008e1f92561p-2, 0x1.2c2e74844086bp-2, 0x1.27633ff0f8f86p-2, 0x1.229f504e48727p-2, 0x1.1de301fc80e9bp-2, 0x1.192eadd48ad95p-2, 0x1.1482a92a18a6fp-2, 0x1.0fdf45cf28b6fp-2, 0x1.0b44d218c6cep-2, 0x1.06b398e4f1ea1p-2, 0x1.022be1a19a443p-2, 0x1.fb5be0a9475cep-3, 0x1.f2740b49af48ep-3, 0x1.e9a0bdc778fd5p-3, 0x1.e0e26c3072508p-3, 0x1.d8398413fe5ddp-3, 0x1.cfa66c9b46da2p-3, 0x1.c72986a2b904cp-3, 0x1.bec32cd4ada9dp-3, 0x1.b673b3c51e4dbp-3, 0x1.ae3b6a0e55088p-3, 0x1.a61a986e7aec7p-3, 0x1.9e1181e5e8d0bp-3, 0x1.962063d62b8d1p-3, 0x1.8e4776219e9fcp-3, 0x1.8686eb4b938f3p-3, 0x1.7edef098df558p-3, 0x1.774fae30d23a3p-3, 0x1.6fd9473e77cd2p-3, 0x1.687bda1212b11p-3, 0x1.61378042c380cp-3, 0x1.5a0c4ed052017p-3, 0x1.52fa5644ff21ap-3, 0x1.4c01a2d7599afp-3, 0x1.45223c8c08e78p-3, 0x1.3e5c27577cf23p-3, 0x1.37af633f7a984p-3, 0x1.311bec7c7d109p-3, 0x1.2aa1bb9add459p-3, 0x1.2440c59bb4928p-3, 0x1.1df8fc157922fp-3, 0x1.17ca4d544a469p-3, 0x1.11b4a479da408p-3, 0x1.0bb7e99cfe5f1p-3, 0x1.05d401e8d4a42p-3, 0x1.0008cfbb7efebp-3, 0x1.f4ac6588cdc8ep-4, 0x1.e97810441619ap-4, 0x1.de7454fea7925p-4, 0x1.d3a0e460c5164p-4, 0x1.c8fd6a9dbe78p-4, 0x1.be898fab7fc1ep-4, 0x1.b444f778fffb2p-4, 0x1.aa2f4223ab8fep-4, 0x1.a0480c2b93d2fp-4, 0x1.968eeea6996d8p-4, 0x1.8d037f725f13ep-4, 0x1.83a551651bb6cp-4, 0x1.7a73f47d41fd4p-4, 0x1.716ef60ffe9d5p-4, 0x1.6895e0f688d2ap-4, 0x1.5fe83dba484abp-4, 0x1.576592bfce3e5p-4, 0x1.4f0d6470a31fp-4, 0x1.46df3563ea41dp-4, 0x1.3eda8685da4bep-4, 0x1.36fed73e0f20ap-4, 0x1.2f4ba594b4f7cp-4, 0x1.27c06e56901f9p-4, 0x1.205cad37e1f2bp-4, 0x1.191fdcf631b0ep-4, 0x1.12097778f669fp-4, 0x1.0b18f5f12ba7fp-4, 0x1.044dd0f7ce625p-4, 0x1.fb4f015695b0bp-5, 0x1.ee4af997b64c3p-5, 0x1.e18e79adba871p-5, 0x1.d518704246214p-5, 0x1.c8e7cbe0847aap-5, 0x1.bcfb7b25ca908p-5, 0x1.b1526cf04cc05p-5, 0x1.a5eb908bea6cp-5, 0x1.9ac5d5dd1bd0cp-5, 0x1.8fe02d8a0c443p-5, 0x1.85398921e895p-5, 0x1.7ad0db426a018p-5, 0x1.70a517bbae4d8p-5, 0x1.66b533b25be85p-5, 0x1.5d0025c027f4cp-5, 0x1.5384e612bcc94p-5, 0x1.4a426e8915524p-5, 0x1.4137bacf4ebcbp-5, 0x1.3863c878fe243p-5, 0x1.2fc5971a152a5p-5, 0x1.275c285e5e9f5p-5, 0x1.1f26801f9881ap-5, 0x1.1723a47a3ceccp-5, 0x1.0f529de0fdd5ap-5, 0x1.07b2772eff319p-5, 0x1.00423db8d7f8dp-5, 0x1.f20202b8ccabcp-6, 0x1.e3dba91ef727bp-6, 0x1.d60f98dadb0a7p-6, 0x1.c89c018726bbep-6, 0x1.bb7f18397286cp-6, 0x1.aeb717972119fp-6, 0x1.a2423fe8520dp-6, 0x1.961ed728eed98p-6, 0x1.8a4b2917edba4p-6, 0x1.7ec58744d17a6p-6, 0x1.738c491b79e84p-6, 0x1.689dcbee551b9p-6, 0x1.5df872ff03d99p-6, 0x1.539aa7857af31p-6, 0x1.4982d8b5b54e6p-6, 0x1.3faf7bc4012cep-6, 0x1.361f0be7faf7p-6, 0x1.2cd00a5e42edep-6, 0x1.23c0fe68f9048p-6, 0x1.1af0754f0c3fcp-6, 0x1.125d025a736d4p-6, 0x1.0a053ed54bac5p-6, 0x1.01e7ca05fa579p-6, 0x1.f4069254a1cc1p-7, 0x1.e4accee395641p-7, 0x1.d5bfabedc6773p-7, 0x1.c73c976f3b12fp-7, 0x1.b9210b1a73ad8p-7, 0x1.ab6a8c4669fe9p-7, 0x1.9e16abdb0e399p-7, 0x1.9123063c7f2cep-7, 0x1.848d4334f63d8p-7, 0x1.785315dd84cc9p-7, 0x1.6c723c85b2824p-7, 0x1.60e8809a0d617p-7, 0x1.55b3b689c6613p-7, 0x1.4ad1bdab5654p-7, 0x1.4040802052cc4p-7, 0x1.35fdf2b8753eap-7, 0x1.2c0814d3e19d3p-7, 0x1.225cf044c4579p-7, 0x1.18fa99304f37p-7, 0x1.0fdf2def23935p-7, 0x1.0708d6ed37f5dp-7, 0x1.fceb8d128ba57p-8, 0x1.ec4871e793d2p-8, 0x1.dc24e81b4903dp-8, 0x1.cc7d8e8cc8873p-8, 0x1.bd4f16f48adf8p-8, 0x1.ae96459fe3e36p-8, 0x1.a04ff12c13199p-8, 0x1.92790240fc8c3p-8, 0x1.850e734b96bc6p-8, 0x1.780d5038255bdp-8, 0x1.6b72b62c4c0d8p-8, 0x1.5f3bd3410c0bp-8, 0x1.5365e63cbb97cp-8, 0x1.47ee3e4d047dfp-8, 0x1.3cd23ac0f9106p-8, 0x1.320f4ac34c5b3p-8, 0x1.27a2ed14b90ep-8, 0x1.1d8aafc6a45adp-8, 0x1.13c42ff6080b1p-8, 0x1.0a4d1986ae7d8p-8, 0x1.012326dec7de9p-8, 0x1.f0884145d14c4p-9, 0x1.df5bbae4e6a6p-9, 0x1.cebc8348f5cf2p-9, 0x1.bea67e0a478fcp-9, 0x1.af15a92717f77p-9, 0x1.a0061c80820aep-9, 0x1.91740958938eap-9, 0x1.835bb9d195507p-9, 0x1.75b9906e9a84p-9, 0x1.688a079554617p-9, 0x1.5bc9b1113e4b1p-9, 0x1.4f7535982e4b6p-9, 0x1.43895450444b4p-9, 0x1.3802e2574f143p-9, 0x1.2cdeca4ba7afcp-9, 0x1.221a0bd68563ap-9, 0x1.17b1bb37db2e2p-9, 0x1.0da300d3b8924p-9, 0x1.03eb18c139859p-9, 0x1.f50ea4b60c1e1p-10, 0x1.e2ea1fa2d2f49p-10, 0x1.d1638b7bfa598p-10, 0x1.c075f571e7007p-10, 0x1.b01c8ddff2211p-10, 0x1.a052a77d6d3cdp-10, 0x1.9113b691edd0dp-10, 0x1.825b502ccb8eap-10, 0x1.7425295fe681bp-10, 0x1.666d167db2df8p-10, 0x1.592f0a5a82a1bp-10, 0x1.4c6715910aaap-10, 0x1.401165ca30f15p-10, 0x1.342a45080f7fcp-10, 0x1.28ae18f42f8c8p-10, 0x1.1d996230ff073p-10, 0x1.12e8bbae7427ep-10, 0x1.0898da01dde52p-10, 0x1.fd4d1581c1f42p-11, 0x1.ea1d67bf1fd7dp-11, 0x1.d79ca6234be12p-11, 0x1.c5c4fa5dab066p-11, 0x1.b490bb344fe6p-11, 0x1.a3fa6b58caf4fp-11, 0x1.93fcb842ff95bp-11, 0x1.84927911ec12cp-11, 0x1.75b6ad7259afcp-11, 0x1.67647c8b5ef72p-11, 0x1.599733f0a856ep-11, 0x1.4c4a469a74ce9p-11, 0x1.3f794be334372p-11, 0x1.331ffe8ab6b5p-11, 0x1.273a3bbedb89fp-11, 0x1.1bc40229abe97p-11, 0x1.10b97104d03f3p-11, 0x1.0616c7324bdcep-11, 0x1.f7b0c4b4de25fp-12, 0x1.e3f57c1dd1771p-12, 0x1.d0f4e5e5cb50cp-12, 0x1.bea86bd056f75p-12, 0x1.ad09ae8235c41p-12, 0x1.9c1283ef0637dp-12, 0x1.8bbcf5d06f807p-12, 0x1.7c034026a1407p-12, 0x1.6cdfcfc204eb8p-12, 0x1.5e4d40d5f9893p-12, 0x1.50465d946f155p-12, 0x1.42c61cd23d76bp-12, 0x1.35c7a0b40cb69p-12, 0x1.29463563aa715p-12, 0x1.1d3d4fcda4defp-12, 0x1.11a88c66ff50dp-12, 0x1.0683adfae26aep-12, 0x1.f79539003451fp-13, 0x1.e2f2c7ec82867p-13, 0x1.cf186694d71cp-13, 0x1.bbfeb6866b54bp-13, 0x1.a99e9ae81579ap-13, 0x1.97f1366efa14p-13, 0x1.86efe96124cbbp-13, 0x1.76944fa5b18bap-13, 0x1.66d83ee247c72p-13, 0x1.57b5c4a59a68dp-13, 0x1.4927249ea9c3cp-13, 0x1.3b26d6e086ae2p-13, 0x1.2daf86323e7e6p-13, 0x1.20bc0e6acbe4ep-13, 0x1.14477ad8a50c2p-13, 0x1.084d04b4c3dfp-13, 0x1.f9902341acfbcp-14, 0x1.e3686460aa764p-14, 0x1.ce1a40f89e926p-14, 0x1.b99d7d8334aa1p-14, 0x1.a5ea2c126aa1dp-14, 0x1.92f8a9b543169p-14, 0x1.80c19befd549ap-14, 0x1.6f3dee46605c6p-14, 0x1.5e66cfdadd17p-14, 0x1.4e35b11ca10fdp-14, 0x1.3ea44189a3dedp-14, 0x1.2fac6d80f598ap-14, 0x1.21485c25fc191p-14, 0x1.13726d540bc09p-14, 0x1.062537a1f2f9cp-14, 0x1.f2b70cea24c7p-15, 0x1.da20b04735851p-15, 0x1.c27db84b216c3p-15, 0x1.abc4e2a865db5p-15, 0x1.95ed486ec6cadp-15, 0x1.80ee5ac16e238p-15, 0x1.6cbfdfa7a0ec1p-15, 0x1.5959eef75514dp-15, 0x1.46b4ef58f6f8fp-15, 0x1.34c99363b5fa4p-15, 0x1.2390d6d1a8bf3p-15, 0x1.1303fbcb2bff8p-15, 0x1.031c8848d05e5p-15, 0x1.e7a8871680baap-16, 0x1.ca4a6750fcdfcp-16, 0x1.ae13365bca9bfp-16, 0x1.92f7edacaabb8p-16, 0x1.78edf6a7fc028p-16, 0x1.5feb265a65564p-16, 0x1.47e5b9578e492p-16, 0x1.30d44fbcbe98p-16, 0x1.1aade95676cfap-16, 0x1.0569e1e7ecaecp-16, 0x1.e1ffdb26dcae6p-17, 0x1.bad02ac5815cep-17, 0x1.953567dcf23f3p-17, 0x1.7120e446e99bep-17, 0x1.4e84884aef282p-17, 0x1.2d52cc9c4442cp-17, 0x1.0d7eb48eaca41p-17, 0x1.ddf79100f62dap-18, 0x1.a37c20f070725p-18, 0x1.6b741de89c52fp-18, 0x1.35c977d659e6cp-18, 0x1.0266fff4cd9c9p-18, 0x1.a270bf0d28138p-19, 0x1.44541dce241c7p-19, 0x1.d4a533c475a4bp-20, 0x1.28905ae0f412bp-20, 0x1.0848fc8f10b2p-21, -0x1.8e0da4ff90f29p-24, -0x1.5d7f148b7fc1fp-21, -0x1.3db4ec6a5e691p-20, -0x1.c5fbf63eeac44p-20, -0x1.23e6a91314169p-19, -0x1.61afbc47d9674p-19, -0x1.9c736412f7009p-19, -0x1.d44ace839ede6p-19, -0x1.04a719c4addcap-18, -0x1.1dca6fd41fbbdp-18, -0x1.359a9f1f5b37ap-18, -0x1.4c2271b06e0b6p-18, -0x1.616c4aa67dd1bp-18, -0x1.75822abe6566ap-18, -0x1.886db4ab7271fp-18, -0x1.9a383141ebf2fp-18, -0x1.aaea93750a5fp-18, -0x1.ba8d7c29f5fecp-18, -0x1.c9293de155d77p-18, -0x1.d6c5e038efe93p-18, -0x1.e36b2346cbb21p-18, -0x1.ef2082cf42fefp-18, -0x1.f9ed39575807fp-18, -0x1.01ec218a563a5p-17, -0x1.0674305e2c07ap-17, -0x1.0a920d18f1b55p-17, -0x1.0e48e08bcb911p-17, -0x1.119bb9a0a6e28p-17, -0x1.148d8e8571e1ap-17, -0x1.17213dc9b1ec5p-17, -0x1.19598f6efbdacp-17, -0x1.1b3935ecd4e6p-17, -0x1.1cc2cf2878388p-17, -0x1.1df8e560fdcedp-17, -0x1.1eddf010578b9p-17, -0x1.1f7454c198c9ap-17, -0x1.1fbe67dcf6d2dp-17, -0x1.1fbe6d69ec94dp-17, -0x1.1f7699c7eac9cp-17, -0x1.1ee9125df770cp-17, -0x1.1e17ee419d6fp-17, -0x1.1d0536d58b2dcp-17, -0x1.1bb2e8603764cp-17, -0x1.1a22f29ae702p-17, -0x1.1857393964052p-17, -0x1.1651946aba7aep-17, -0x1.1413d15345ab6p-17, -0x1.119fb2805d092p-17, -0x1.0ef6f055e52f9p-17, -0x1.0c1b39760f98bp-17, -0x1.090e332387de7p-17, -0x1.05d1799e54248p-17, -0x1.0266a07ba2e21p-17, -0x1.fd9e65f18cf19p-18, -0x1.f61968932a212p-18, -0x1.ee413fc4cec3cp-18, -0x1.e618d37bd4e6ep-18, -0x1.dda2fd3df0efbp-18, -0x1.d4e2889d55e32p-18, -0x1.cbda33adaa7b3p-18, -0x1.c28caf722b456p-18, -0x1.b8fca0455246ep-18, -0x1.af2c9e3a58e3ep-18, -0x1.a51f3578e42a9p-18, -0x1.9ad6e6932ba35p-18, -0x1.905626d6e2fd8p-18, -0x1.859f609930f6ep-18, -0x1.7ab4f37df611fp-18, -0x1.6f9934baa5f99p-18, -0x1.644e6f54f38fap-18, -0x1.58d6e45d89de9p-18, -0x1.4d34cb270ebebp-18, -0x1.416a5179a3f03p-18, -0x1.35799bc31dfe3p-18, -0x1.2964c5441fe89p-18, -0x1.1d2de03a520c8p-18, -0x1.10d6f607daa2fp-18, -0x1.046207584cdc1p-18, -0x1.efa218865eeacp-19, -0x1.d64be8d8941b7p-19, -0x1.bcc54e43ba7fcp-19, -0x1.a31206f1cf0cp-19, -0x1.8935c0cf3d58cp-19, -0x1.6f3419bc701dcp-19, -0x1.55109fbc4ff43p-19, -0x1.3aced11fd7026p-19, -0x1.20721caf06cdbp-19, -0x1.05fde1cf65189p-19, -0x1.d6eae1507f924p-20, -0x1.a1b81489c0649p-20, -0x1.6c69c169bb309p-20, -0x1.37062e557a1ccp-20, -0x1.01938432031c6p-20, -0x1.982f9d3774aa7p-21, -0x1.2d31f8366cb4dp-21, -0x1.8473795f81955p-22, -0x1.5d495244b4f0fp-23, 0x1.3790f3adf40cfp-25, 0x1.f875d9ca0e08fp-23, 0x1.d120424898781p-22, 0x1.52c687594a2dfp-21, 0x1.bcb658c10564fp-21, 0x1.132abe2f778f8p-20, 0x1.47cd081c865c4p-20, 0x1.7c3d3483bbd5p-20, 0x1.b07688f240457p-20, 0x1.e47465fe9ad8ep-20, 0x1.0c1923907cfe6p-19, 0x1.25d5e145ba6c2p-19, 0x1.3f6e4481110ep-19, 0x1.58e032d977b3cp-19, 0x1.72299f0690887p-19, 0x1.8b4888cc37621p-19, 0x1.a43afce5ceee2p-19, 0x1.bcff14f14a6bbp-19, 0x1.d592f759e7446p-19, 0x1.edf4d7429718ep-19, 0x1.03117a380634dp-18, 0x1.0f0dcd9934eebp-18, 0x1.1aee92274934ap-18, 0x1.26b2fa7385659p-18, 0x1.325a3f323cccp-18, 0x1.3de39f2eda495p-18, 0x1.494e5f3fb1653p-18, 0x1.5499ca399771bp-18, 0x1.5fc530e342c0ep-18, 0x1.6acfe9e871a56p-18, 0x1.75b951ccd9d2ap-18, 0x1.8080cadedc5c3p-18, 0x1.8b25bd2a02a8bp-18, 0x1.95a79669432fbp-18, 0x1.a005c9f90d6fcp-18, 0x1.aa3fd0c920db6p-18, 0x1.b455294e2c25cp-18, 0x1.be4557733785ep-18, 0x1.c80fe48addb0dp-18, 0x1.d1b45f404ea35p-18, 0x1.db325b8823baap-18, 0x1.e489729102cd1p-18, 0x1.edb942b413b87p-18, 0x1.f6c16f654866p-18, 0x1.ffa1a1237a261p-18, 0x1.042cc2b42f0eep-17, 0x1.0874674c28886p-17, 0x1.0ca799f8ff6d2p-17, 0x1.10c638bef1ecdp-17, 0x1.14d023fed77a2p-17, 0x1.18c53e6dc1144p-17, 0x1.1ca56d0c8a497p-17, 0x1.2070971f5c63fp-17, 0x1.2426a625250d2p-17, 0x1.27c785ceffae7p-17, 0x1.2b5323f795744p-17, 0x1.2ec9709a7135ap-17, 0x1.322a5dcb4c02dp-17, 0x1.3575dfad510d8p-17, 0x1.38abec6a5a382p-17, 0x1.3bcc7c2a272b1p-17, 0x1.3ed789098f148p-17, 0x1.41cd0f11ae5f6p-17, 0x1.44ad0c2f113f5p-17, 0x1.47778028dca57p-17, 0x1.4a2c6c97f531fp-17, 0x1.4ccbd4de2693cp-17, 0x1.4f55be1d4bc54p-17, 0x1.51ca2f2e7793cp-17, 0x1.54293099247f5p-17, 0x1.5672cc8a5cae8p-17, 0x1.58a70ecbf59ffp-17, 0x1.5ac604bbc515fp-17, 0x1.5ccfbd42e189dp-17, 0x1.5ec448cce6f1ep-17, 0x1.60a3b93f470eep-17, 0x1.626e21f099b96p-17, 0x1.642397a0015c9p-17, 0x1.65c4306c92527p-17, 0x1.675003ccc456fp-17, 0x1.68c72a85f5463p-17, 0x1.6a29bea3f19e2p-17, 0x1.6b77db708cdb3p-17, 0x1.6cb19d6b455bap-17, 0x1.6dd72240faffap-17, 0x1.6ee888c3acfd9p-17, 0x1.6fe5f0e24be3ep-17, 0x1.70cf7ba09ce5dp-17, }}, 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
      std::vector<double>(619, 0.0), 
    }}, 
    {
      102, 0x1.4p+2, 0x1.899b66b437aeep+0, 0x1.b7821a7efb31dp+1, -0x1.4be01927f6964p-1, 
      {{
        {0x1.6b9f559b3d07dp+0, 0x1.6e978d4fdf3b6p+0, 0x1.6baf640639d5ep+1, -0x1.575f1261d37bdp+2, 0x1.07f8b1c4f4ep+2, 0x1.5c375da1b2d61p-1}, 
        {0x1.6e978d4fdf3b6p+0, 0x1.718fc504816fp+0, 0x1.63ca42aed1394p+1, -0x1.513acb5898ae5p+2, 0x1.097c77d24b24ep+2, -0x1.b345350bbb477p+1}, 
        {0x1.718fc504816fp+0, 0x1.7487fcb923a2ap+0, 0x1.5c0980b242071p+1, -0x1.4b288270c0fd9p+2, 0x1.01e9998f94a25p+2, 0x1.be3261c4fc6e6p-4}, 
        {0x1.7487fcb923a2ap+0, 0x1.7780346dc5d64p+0, 0x1.546c764adff82p+1, -0x1.452bfec113de2p+2, 0x1.0227b5df8b99ap+2, -0x1.b88bcc06bb90bp+1}, 
        {0x1.7780346dc5d64p+0, 0x1.7a786c226809dp+0, 0x1.4cf2cf95d4e9p+1, -0x1.3f458612e15fdp+2, 0x1.f4faaf1754761p+1, 0x1.b0a0cd5257421p-1}, 
        {0x1.7a786c226809dp+0, 0x1.7d70a3d70a3d7p+0, 0x1.459be4cd74928p+1, -0x1.39703a2a21ccfp+2, 0x1.f8be3bbb5943fp+1, -0x1.960fdb11d13c3p+2}, 
        {0x1.7d70a3d70a3d7p+0, 0x1.8068db8bac711p+0, 0x1.3e67620ee8d11p+1, -0x1.33bf4e2da3d4cp+2, 0x1.dc7b2f25a0ec3p+1, 0x1.541b4353f291fp+2}, 
        {0x1.8068db8bac711p+0, 0x1.836113404ea4bp+0, 0x1.37544bb1af3a1p+1, -0x1.2e153314b706fp+2, 0x1.f42710cfecfe3p+1, -0x1.102bebe839973p+3}, 
        {0x1.836113404ea4bp+0, 0x1.86594af4f0d84p+0, 0x1.3062f5989df11p+1, -0x1.2880332e494f3p+2, 0x1.ce442d69f7d14p+1, 0x1.8a5d646ebd8cfp+1}, 
        {0x1.86594af4f0d84p+0, 0x1.895182a9930bep+0, 0x1.299210385c67ep+1, -0x1.230f139dd6147p+2, 0x1.dbfd7ea16e704p+1, -0x1.e8c5e217dd305p+1}, 
        {0x1.895182a9930bep+0, 0x1.8c49ba5e353f8p+0, 0x1.22e19b90ea9e7p+1, -0x1.1da2d4dd0459ep+2, 0x1.cafb1d299cb4bp+1, -0x1.3d6d1718c9a59p-1}, 
        {0x1.8c49ba5e353f8p+0, 0x1.8f41f212d7732p+0, 0x1.1c50efdc9c4dbp+1, -0x1.1853f134b75d4p+2, 0x1.c8382476602c6p+1, -0x1.baf7755fa9c42p-4}, 
        {0x1.8f41f212d7732p+0, 0x1.923a29c779a6bp+0, 0x1.15dfb9389b52p+1, -0x1.1309de5e3df0bp+2, 0x1.c7bcd20d9bf77p+1, -0x1.56a84034cb2e3p+2}, 
        {0x1.923a29c779a6bp+0, 0x1.9532617c1bda5p+0, 0x1.0f8da3c21187ep+1, -0x1.0de3ebd4f6e57p+2, 0x1.afe37db6605c7p+1, 0x1.26f99ec36b083p+1}, 
        {0x1.9532617c1bda5p+0, 0x1.982a9930be0dfp+0, 0x1.0959b3d07c84bp+1, -0x1.08d2249f1d405p+2, 0x1.ba275d73a75cdp+1, -0x1.ee95faa566c75p+1}, 
        {0x1.982a9930be0dfp+0, 0x1.9b22d0e560419p+0, 0x1.0343e963dc487p+1, -0x1.03caadd1e37d3p+2, 0x1.a8f132d5bb3c4p+1, 0x1.5a4710d965f17p-2}, 
        {0x1.9b22d0e560419p+0, 0x1.9e1b089a02752p+0, 0x1.fa97396d0917dp+0, -0x1.fdb51177846fcp+1, 0x1.aa72d0351701cp+1, -0x1.f29842a2531d4p+1}, 
        {0x1.9e1b089a02752p+0, 0x1.a113404ea4a8cp+0, 0x1.eee0f3cb3e575p+0, -0x1.f403d4c84e352p+1, 0x1.9918eea81173fp+1, 0x1.3702beba24b82p+1}, 
        {0x1.a113404ea4a8cp+0, 0x1.a40b780346dc6p+0, 0x1.e363b256ffc11p+0, -0x1.ea65fabdc571cp+1, 0x1.a3ebaa21d92ecp+1, -0x1.74b95c239492dp+2}, 
        {0x1.a40b780346dc6p+0, 0x1.a703afb7e91p+0, 0x1.d81f75104d552p+0, -0x1.e0f505fd84fep+1, 0x1.89fa9dc7b7b2fp+1, 0x1.a55007a2b236bp+0}, 
        {0x1.a703afb7e91p+0, 0x1.a9fbe76c8b439p+0, 0x1.cd1244a6223e2p+0, -0x1.d7bb557685d72p+1, 0x1.914f4faded7cep+1, -0x1.84b55bfe862c3p-1}, 
        {0x1.a9fbe76c8b439p+0, 0x1.acf41f212d773p+0, 0x1.c23c21187e7cp+0, -0x1.ce75eac7493d5p+1, 0x1.8ded946f2b591p+1, -0x1.40feae555d782p+2}, 
        {0x1.acf41f212d773p+0, 0x1.afec56d5cfaadp+0, 0x1.b79c62a1b5c7dp+0, -0x1.c57ce32cc643ap+1, 0x1.779638d697533p+1, 0x1.9a05562ff530dp+0}, 
        {0x1.afec56d5cfaadp+0, 0x1.b2e48e8a71de7p+0, 0x1.ad3111f0c34c2p+0, -0x1.bcb1041baf478p+1, 0x1.7eb89e6f14798p+1, -0x1.641a9f6a5edb4p+0}, 
        {0x1.b2e48e8a71de7p+0, 0x1.b5dcc63f1412p+0, 0x1.a2fa2f05a708fp+0, -0x1.b3e25bd73ec5bp+1, 0x1.788663a5b3e64p+1, -0x1.38d8211f00d5ap+1}, 
        {0x1.b5dcc63f1412p+0, 0x1.b8d4fdf3b645ap+0, 0x1.98f7121ab4b73p+0, -0x1.ab466e83cdbe4p+1, 0x1.6da352852fe0ap+1, -0x1.a54f2b05ad448p+0}, 
        {0x1.b8d4fdf3b645ap+0, 0x1.bbcd35a858794p+0, 0x1.8f266ba493c8ap+0, -0x1.a2e09aa6c81afp+1, 0x1.664ea475ad52cp+1, 0x1.4f6bc24e93f17p+1}, 
        {0x1.bbcd35a858794p+0, 0x1.bec56d5cfaacep+0, 0x1.858793dd97f63p+0, -0x1.9a6de20625346p+1, 0x1.71fad726b2445p+1, -0x1.1ac1dcedf1c9ap+3}, 
        {0x1.bec56d5cfaacep+0, 0x1.c1bda5119ce07p+0, 0x1.7c1a8ac5c13fdp+0, -0x1.924d61aa91605p+1, 0x1.4a9eba721e54cp+1, 0x1.c6439c9201ad7p+2}, 
        {0x1.c1bda5119ce07p+0, 0x1.c4b5dcc63f141p+0, 0x1.72dcb1465e892p+0, -0x1.8a43dfb273cf1p+1, 0x1.6a3c9fdd5b11p+1, -0x1.af8003904a35p+2}, 
        {0x1.c4b5dcc63f141p+0, 0x1.c7ae147ae147bp+0, 0x1.69cf56eac8605p+0, -0x1.8235a941789cp+1, 0x1.4c3454400fdc1p+1, 0x1.4d6313333f675p-1}, 
        {0x1.c7ae147ae147bp+0, 0x1.caa64c2f837b5p+0, 0x1.60f08461f9f02p+0, -0x1.7a7804fd82d9ap+1, 0x1.4f1ad941747b5p+1, -0x1.226dc0ee548d9p+1}, 
        {0x1.caa64c2f837b5p+0, 0x1.cd9e83e425aeep+0, 0x1.583f91e646f15p+0, -0x1.72cfc7326a496p+1, 0x1.44ff7a2ba4f1bp+1, 0x1.02538a1183db5p+1}, 
        {0x1.cd9e83e425aeep+0, 0x1.d096bb98c7e28p+0, 0x1.4fbbd7b2031cfp+0, -0x1.6b2adab0e22bep+1, 0x1.4dfcdad3fc2b3p+1, -0x1.737033ab4b54bp+2}, 
        {0x1.d096bb98c7e28p+0, 0x1.d38ef34d6a162p+0, 0x1.476555c52e72ep+0, -0x1.63b8013d403fdp+1, 0x1.3422b74878f91p+1, 0x1.fa1be96e3918cp+0}, 
        {0x1.d38ef34d6a162p+0, 0x1.d6872b020c49cp+0, 0x1.3f3a14cec41ddp+0, -0x1.5c77c64f84f74p+1, 0x1.3cf120c5a0fb2p+1, -0x1.0d576b858bb1dp+1}, 
        {0x1.d6872b020c49cp+0, 0x1.d97f62b6ae7d5p+0, 0x1.373a14cec41ddp+0, -0x1.55393a4358e17p+1, 0x1.33919e5c86ec5p+1, 0x1.114120ce74a83p-5}, 
        {0x1.d97f62b6ae7d5p+0, 0x1.dc779a6b50b0fp+0, 0x1.2f64adff822bcp+0, -0x1.4e1612d80eb86p+1, 0x1.33b7a7d63d42ep+1, -0x1.1be3adb066a1fp+2}, 
        {0x1.dc779a6b50b0fp+0, 0x1.df6fd21ff2e49p+0, 0x1.27b9389b52008p+0, -0x1.472d2761b830fp+1, 0x1.1ff56dab0978cp+1, 0x1.39617fa4b14e8p+2}, 
        {0x1.df6fd21ff2e49p+0, 0x1.e26809d495183p+0, 0x1.20366516db0dep+0, -0x1.403e237dc103fp+1, 0x1.35c51f8318453p+1, -0x1.17ce7b3a7fdcep+3}, 
        {0x1.e26809d495183p+0, 0x1.e5604189374bcp+0, 0x1.18dcdb37c99afp+0, -0x1.398204085e2eap+1, 0x1.0ed228fb90ea6p+1, 0x1.1cfcf078fe03bp+2}, 
        {0x1.e5604189374bcp+0, 0x1.e858793dd97f6p+0, 0x1.11a9fbe76c8b4p+0, -0x1.32fea74d5a9ecp+1, 0x1.22a7f68b90924p+1, -0x1.54a2e20119b14p+1}, 
        {0x1.e858793dd97f6p+0, 0x1.eb50b0f27bb3p+0, 0x1.0a9e6eeb7026p+0, -0x1.2c63974155692p+1, 0x1.16cd4d80ac0aap+1, -0x1.b790dc961721dp-3}, 
        {0x1.eb50b0f27bb3p+0, 0x1.ee48e8a71de6ap+0, 0x1.03b98c7e28241p+0, -0x1.25ee91bef7687p+1, 0x1.15d88d6eb50a8p+1, -0x1.71839bb4ba422p+1}, 
        {0x1.ee48e8a71de6ap+0, 0x1.f141205bc01a3p+0, 0x1.f9f559b3d07c8p-1, -0x1.1fa292c108f2dp+1, 0x1.08fca013f0185p+1, 0x1.d743711ff58e5p-3}, 
        {0x1.f141205bc01a3p+0, 0x1.f4395810624ddp+0, 0x1.ecc144028e4fcp-1, -0x1.1979b83f5d991p+1, 0x1.0a030658a901bp+1, -0x1.3ca535ff753f7p+0}, 
        {0x1.f4395810624ddp+0, 0x1.f7318fc504817p+0, 0x1.dfd63022dd7aap-1, -0x1.135e2f095bf68p+1, 0x1.04808f49d2553p+1, -0x1.0c66dbb17312fp+0}, 
        {0x1.f7318fc504817p+0, 0x1.fa29c779a6b51p+0, 0x1.d332f01754b06p-1, -0x1.0d60e0b444878p+1, 0x1.ffa9fb488d832p+0, -0x1.f3a989e1abd3p-1}, 
        {0x1.fa29c779a6b51p+0, 0x1.04816f0068db9p+1, 0x1.c6d634549b62cp-1, -0x1.077e597231815p+1, 0x1.f6f8493791f22p+0, -0x1.e79f856433e76p-1}, 
        {0x1.04816f0068db9p+1, 0x1.0bedfa43fe5c9p+1, 0x1.8cfebd09e12a5p-1, -0x1.d71a67cd499fap+0, 0x1.cc8bf1947c05ap+0, -0x1.c774b66c48b0ep-1}, 
        {0x1.0bedfa43fe5c9p+1, 0x1.135a858793dd9p+1, 0x1.595b573eab368p-1, -0x1.a3fa5be8dd2f8p+0, 0x1.a4ec0798e3444p+0, -0x1.a8e6938333dbap-1}, 
        {0x1.135a858793dd9p+1, 0x1.1ac710cb295eap+1, 0x1.2b636f3b213e4p-1, -0x1.754b893d44114p+0, 0x1.7ff4a43c52364p+0, -0x1.90d9022921d99p-1}, 
        {0x1.1ac710cb295eap+1, 0x1.22339c0ebedfap+1, 0x1.02975afaf8594p-1, -0x1.4ac7652509dabp+0, 0x1.5d14f639412fbp+0, -0x1.6f8af128ec594p-1}, 
        {0x1.22339c0ebedfap+1, 0x1.29a027525460bp+1, 0x1.bcfede97d06bcp-2, -0x1.2423d7a8d3133p+0, 0x1.3d1b0cc34327p+0, -0x1.5cffa1c9864ecp-1}, 
        {0x1.29a027525460bp+1, 0x1.310cb295e9e1bp+1, 0x1.7d5992428d435p-2, -0x1.011de68df6406p+0, 0x1.1ebe27642962dp+0, -0x1.3d66b0d681366p-1}, 
        {0x1.310cb295e9e1bp+1, 0x1.38793dd97f62bp+1, 0x1.456eefa1e3eafp-2, -0x1.c2e998898375bp-1, 0x1.0320feeb19898p+0, -0x1.2e434ab042b07p-1}, 
        {0x1.38793dd97f62bp+1, 0x1.3fe5c91d14e3cp+1, 0x1.147f13059641fp-2, -0x1.89d8531baa508p-1, 0x1.d1a9feaa37dbp-1, -0x1.0f144033eab14p-1}, 
        {0x1.3fe5c91d14e3cp+1, 0x1.47525460aa64cp+1, 0x1.d3acd5b6805a3p-3, -0x1.56904feceb36ap-1, 0x1.a27f0c11d31d3p-1, -0x1.0020e5721c55dp-1}, 
        {0x1.47525460aa64cp+1, 0x1.4ebedfa43fe5dp+1, 0x1.89a1b9f98b71cp-3, -0x1.289a5e37eef18p-1, 0x1.75ee0f2771001p-1, -0x1.d48dc7bb4765ap-2}, 
        {0x1.4ebedfa43fe5dp+1, 0x1.562b6ae7d566dp+1, 0x1.49ab29e4d5d81p-3, -0x1.ff2ed2d2e2e3bp-2, 0x1.4d2a6da6408c4p-1, -0x1.afd8f04a39b42p-2}, 
        {0x1.562b6ae7d566dp+1, 0x1.5d97f62b6ae7dp+1, 0x1.12af9a8cdea03p-3, -0x1.b63f24f887928p-2, 0x1.27985299a6894p-1, -0x1.8773d48f29b6ap-2}, 
        {0x1.5d97f62b6ae7dp+1, 0x1.6504816f0068ep+1, 0x1.c759253543aebp-4, -0x1.759e80dbb2834p-2, 0x1.0589e4b72dea6p-1, -0x1.6c102cbc832a8p-2}, 
        {0x1.6504816f0068ep+1, 0x1.6c710cb295e9ep+1, 0x1.776c4827b6fe3p-4, -0x1.3c9dc6b7d329cp-2, 0x1.cbbaf4d8d251ap-2, -0x1.4513dedb89ee8p-2}, 
        {0x1.6c710cb295e9ep+1, 0x1.73dd97f62b6aep+1, 0x1.33e681a9b8cb9p-4, -0x1.0a917af0543a5p-2, 0x1.932ab2ef09aep-2, -0x1.2fba09e2d160ep-2}, 
        {0x1.73dd97f62b6aep+1, 0x1.7b4a2339c0ebfp+1, 0x1.f67d34df04ddbp-5, -0x1.bdbb773fb7c0dp-3, 0x1.5e517f099e97ap-2, -0x1.096b6b18ef695p-2}, 
        {0x1.7b4a2339c0ebfp+1, 0x1.82b6ae7d566cfp+1, 0x1.9817b95a29414p-5, -0x1.71d0cf3389d4cp-3, 0x1.3022a53c1095p-2, -0x1.eba047b4b52e3p-3}, 
        {0x1.82b6ae7d566cfp+1, 0x1.8a2339c0ebeep+1, 0x1.4a18bd66277c4p-5, -0x1.3037bec66a12ap-3, 0x1.055d262a0a092p-2, -0x1.b9afb1e30e54fp-3}, 
        {0x1.8a2339c0ebeep+1, 0x1.918fc504816fp+1, 0x1.0a350d2806af4p-5, -0x1.f013e2648c921p-4, 0x1.bddfd2c089e54p-3, -0x1.82c16d5c7ee36p-3}, 
        {0x1.918fc504816fp+1, 0x1.98fc504816fp+1, 0x1.acb85a4f00ef1p-6, -0x1.9070ec7316ca3p-4, 0x1.7a942ed3c5bd1p-3, -0x1.6004ce0d9b923p-3}, 
        {0x1.98fc504816fp+1, 0x1.a068db8bac711p+1, 0x1.5974e65bea0bap-6, -0x1.3fb7496aac1b6p-4, 0x1.3d53dbdeb7783p-3, -0x1.3079f6373355ep-3}, 
        {0x1.a068db8bac711p+1, 0x1.a7d566cf41f21p+1, 0x1.1758e219652bdp-6, -0x1.f87ba85b01c43p-5, 0x1.085942f2cecacp-3, -0x1.15773e56d6388p-3}, 
        {0x1.a7d566cf41f21p+1, 0x1.af41f212d7732p+1, 0x1.c70435efa615bp-7, -0x1.8906a74deac77p-5, 0x1.b023a67992867p-4, -0x1.d33b9faf467a6p-4}, 
        {0x1.af41f212d7732p+1, 0x1.b6ae7d566cf42p+1, 0x1.76bc1eff9f87fp-7, -0x1.2e33479909f34p-5, 0x1.5ed73a4e46429p-4, -0x1.9a338a1950af6p-4}, 
        {0x1.b6ae7d566cf42p+1, 0x1.be1b089a02752p+1, 0x1.396d0917d6b66p-7, -0x1.ca2b6645d6b85p-6, 0x1.1777384ae4c4p-4, -0x1.7124e582eed19p-4}, 
        {0x1.be1b089a02752p+1, 0x1.c58793dd97f63p+1, 0x1.0b39192641b33p-7, -0x1.5766285caad0dp-6, 0x1.ae7820b712127p-5, -0x1.138229474ea16p-4}, 
        {0x1.c58793dd97f63p+1, 0x1.c7ae147ae147bp+1, 0x1.d18090b417ca2p-8, -0x1.fd4dc7751114ap-7, 0x1.4e97a1b5cec54p-5, -0x1.623b3e5b8e118p-4}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.c11e42e126202p-8, -0x1.d2bbedc33b85ap-7, 0x1.2ae2c2bf02ce6p-5, -0x1.d0f1263e3176bp-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.9f5dfeb8d8234p-8, -0x1.7c047cfa6695p-7, 0x1.e62f7c506024p-6, -0x1.cb944a1795527p-5}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.83d790752da98p-8, -0x1.370d41240f84cp-7, 0x1.77e2efa6e0249p-6, -0x1.80bdb16378cb4p-5}, 
        {0x1.d70a3d70a3d71p+1, 0x1.dc28f5c28f5c3p+1, 0x1.6d2aa5c5f7c67p-8, -0x1.024c060938ee9p-7, 0x1.1b8c73289a312p-6, -0x1.3174f05a8761fp-5}, 
        {0x1.dc28f5c28f5c3p+1, 0x1.e147ae147ae14p+1, 0x1.5a294141e9af6p-8, -0x1.b596817303c67p-8, 0x1.a47a5e77abb82p-7, -0x1.396e8d326babcp-5}, 
        {0x1.e147ae147ae14p+1, 0x1.e666666666666p+1, 0x1.49d7ba6698bb5p-8, -0x1.7e58e31257579p-8, 0x1.0e07dd40bfb95p-7, -0x1.d1a1b5b78d1b9p-6}, 
        {0x1.e666666666666p+1, 0x1.eb851eb851eb8p+1, 0x1.3b4b2fa93af75p-8, -0x1.5c1519feced4dp-8, 0x1.3c8ee866d550cp-8, -0x1.469c0ebcf8208p-6}, 
        {0x1.eb851eb851eb8p+1, 0x1.f0a3d70a3d70ap+1, 0x1.2dcb1465e8922p-8, -0x1.4907572609641p-8, 0x1.3f923d88e5632p-9, -0x1.09f707aa4863ep-5}, 
        {0x1.f0a3d70a3d70ap+1, 0x1.f5c28f5c28f5cp+1, 0x1.20c069e7fb268p-8, -0x1.46757906bdc5ep-8, -0x1.7e29b6d840f78p-10, -0x1.a6aecfc318c7ap-8}, 
        {0x1.f5c28f5c28f5cp+1, 0x1.fae147ae147aep+1, 0x1.13836a832b991p-8, -0x1.50218a2c5c7a4p-8, -0x1.24867decdec05p-9, -0x1.456320e85634dp-6}, 
        {0x1.fae147ae147aep+1, 0x1p+2, 0x1.05c03361565c3p-8, -0x1.621457ba1794ap-8, -0x1.2e72d3e0d631ep-8, -0x1.018f90dbc1b4bp-7}, 
        {0x1p+2, 0x1.028f5c28f5c29p+2, 0x1.ee2435696e58ap-9, -0x1.7cbf7867610d8p-8, -0x1.6c435d0b569aep-8, -0x1.6efb7ac04c14bp-7}, 
        {0x1.028f5c28f5c29p+2, 0x1.051eb851eb852p+2, 0x1.ce6c093d96638p-9, -0x1.9d6979a729a21p-8, -0x1.c456c22f3fe79p-8, 0x1.7afaf7b9e44c9p-8}, 
        {0x1.051eb851eb852p+2, 0x1.07ae147ae147bp+2, 0x1.abf3387160957p-9, -0x1.bfc7af51fc7f7p-8, -0x1.96dc7b7f57b56p-8, -0x1.86fa74b37d6b9p-7}, 
        {0x1.07ae147ae147bp+2, 0x1.0a3d70a3d70a4p+2, 0x1.86b9c304ccee6p-9, -0x1.e41512626705dp-8, -0x1.f4b2311b0f68ep-8, 0x1.5e6c56f103de7p-7}, 
        {0x1.0a3d70a3d70a4p+2, 0x1.0cccccccccccdp+2, 0x1.5e7c8d195896ap-9, -0x1.04631044c99dp-7, -0x1.a09830b841ae5p-8, 0x1.06a48c77b6f1ap-6}, 
        {0x1.0cccccccccccdp+2, 0x1.0f5c28f5c28f6p+2, 0x1.33a0407cc7d1cp-9, -0x1.1287853205e05p-7, -0x1.2286a59d8377bp-8, 0x1.b1bd15450fd6bp-9}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.11eb851eb851fp+2, 0x1.06cca2db61bbp-9, -0x1.1da142fcf3762p-7, -0x1.08806c04e3cc1p-8, 0x1.103e7472e1027p-5}, 
        {0x1.11eb851eb851fp+2, 0x1.147ae147ae148p+2, 0x1.b10fd7e45803dp-10, -0x1.22fba00115be9p-7, -0x1.92df64e72c5d9p-15, 0x1.47d4b9c055046p-6}, 
        {0x1.147ae147ae148p+2, 0x1.170a3d70a3d71p+2, 0x1.54434e3369b9dp-10, -0x1.1ff62d6e1ed21p-7, 0x1.346c3efc11158p-9, 0x1.6018180c75381p-5}, 
        {0x1.170a3d70a3d71p+2, 0x1.199999999999ap+2, 0x1.f3a57eaa2a0a9p-11, -0x1.130870858309bp-7, 0x1.ec38c5f06497fp-8, 0x1.5bb542ee0074bp-5}, 
        {0x1.199999999999ap+2, 0x1.1c28f5c28f5c3p+2, 0x1.4b599aa60913ap-11, -0x1.f1561167134f2p-8, 0x1.9d02c0892846ap-7, 0x1.18896e1dc47cdp-4}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1eb851eb851ecp+2, 0x1.7225b749adc9p-12, -0x1.99b591aa9831ap-8, 0x1.5529be156d551p-6, 0x1.5fff4c23db8cap-5}, 
        {0x1.1eb851eb851ecp+2, 0x1.2147ae147ae14p+2, 0x1.23810e8858ff7p-13, -0x1.1f0537b390695p-8, 0x1.a9a47432834dfp-6, 0x1.73bbfccd420a8p-3}, 
        {0x1.2147ae147ae14p+2, 0x1.228f5c28f5c29p+2, 0x1.1d3671ac14c66p-16, -0x1.76dd9d8c6af2ap-10, 0x1.8740f0e22e22cp-5, -0x1.e044d57b2de2ep-1}, 
        {0x1.228f5c28f5c29p+2, 0x1.4p+2, 0x0p+0, -0x1.5246bfc6783e1p-11, -0x1.1737c22754009p-7, 0x1.2e8f74fae0c02p-4}, 
      }}, 
      -0x1.64056867f5b44p-3, 0x1.0bd2dda0d445fp-3
    }
  };
  // clang-format on
}
SkfData params_mio_1_1_h_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
